/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (4.3f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 04 Jul 2019 08:10:18 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3f/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate.scm -o objs/obj_p/Eval/evaluate.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
static BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_ev_exprz00_bglt BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
static obj_t BGl_objectzd2initzd2zz__evaluatez00();
extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
extern obj_t bstring_to_symbol(obj_t);
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_symbol2987z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_appendzd221010zd2zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluatez00();
static obj_t BGl_symbol2995z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
static obj_t BGl_symbol2997z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol2999z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
static obj_t BGl_keyword3100z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
static obj_t BGl_evepairifyz00zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t, obj_t);
extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
extern int bgl_debug();
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_convertz00zz__evaluatez00(obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluatez00();
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
extern obj_t BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t, obj_t, bool_t);
extern obj_t c_substring(obj_t, long, long);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluatez00();
static obj_t BGl_loopze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_loopze71ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_convzd2globalzd2zz__evaluatez00(obj_t, obj_t, obj_t);
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
extern obj_t bgl_reverse(obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluatez00();
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza31353ze3ze1zz__evaluatez00(obj_t);
static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
extern obj_t bgl_reverse_bang(obj_t);
extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
static obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_getzd2location3zd2zz__evaluatez00(obj_t, obj_t, obj_t);
extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
extern obj_t BGl_findzd2statezd2zz__evaluate_compz00();
static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
static obj_t BGl_symbol3000z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3002z00zz__evaluatez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
static obj_t BGl_symbol3004z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3006z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_expandz00zz__expandz00(obj_t);
static obj_t BGl_symbol3008z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
static obj_t BGl_symbol3010z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3012z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3013z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3015z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3017z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3019z00zz__evaluatez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_symbol3021z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3023z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3025z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3027z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3029z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
static obj_t BGl_symbol3031z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3033z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3035z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3037z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3039z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
static obj_t BGl_symbol3041z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3043z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_symbol3045z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3047z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3049z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3051z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3053z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3055z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3057z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol3059z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol3061z00zz__evaluatez00 = BUNSPEC;
extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
static obj_t BGl_symbol3064z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
static obj_t BGl_symbol3067z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3069z00zz__evaluatez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol3072z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_rconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol3074z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3076z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3078z00zz__evaluatez00 = BUNSPEC;
extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
static obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int);
static obj_t BGl_symbol3080z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3082z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3084z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3086z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3088z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3090z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3092z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3094z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3096z00zz__evaluatez00 = BUNSPEC;
static obj_t BGl_symbol3098z00zz__evaluatez00 = BUNSPEC;
extern obj_t bstring_to_keyword(obj_t);
BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
static BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
static obj_t BGl_uconvze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string3011z00zz__evaluatez00, BgL_bgl_string3011za700za7za7_3103za7, "int", 3 );
DEFINE_STRING( BGl_string3014z00zz__evaluatez00, BgL_bgl_string3014za700za7za7_3104za7, "integer?", 8 );
DEFINE_STRING( BGl_string3016z00zz__evaluatez00, BgL_bgl_string3016za700za7za7_3105za7, "real", 4 );
DEFINE_STRING( BGl_string3018z00zz__evaluatez00, BgL_bgl_string3018za700za7za7_3106za7, "breal", 5 );
DEFINE_STRING( BGl_string3020z00zz__evaluatez00, BgL_bgl_string3020za700za7za7_3107za7, "real?", 5 );
DEFINE_STRING( BGl_string3022z00zz__evaluatez00, BgL_bgl_string3022za700za7za7_3108za7, "bool", 4 );
DEFINE_STRING( BGl_string3024z00zz__evaluatez00, BgL_bgl_string3024za700za7za7_3109za7, "boolean?", 8 );
DEFINE_STRING( BGl_string3026z00zz__evaluatez00, BgL_bgl_string3026za700za7za7_3110za7, "struct", 6 );
DEFINE_STRING( BGl_string3028z00zz__evaluatez00, BgL_bgl_string3028za700za7za7_3111za7, "struct?", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2restorezd2bpz12zd2envzc0zz__evaluatez00, BgL_bgl_za762evaluate2za7d2r3112z00, BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string3030z00zz__evaluatez00, BgL_bgl_string3030za700za7za7_3113za7, "class", 5 );
DEFINE_STRING( BGl_string3032z00zz__evaluatez00, BgL_bgl_string3032za700za7za7_3114za7, "class?", 6 );
DEFINE_STRING( BGl_string3034z00zz__evaluatez00, BgL_bgl_string3034za700za7za7_3115za7, "string", 6 );
DEFINE_STRING( BGl_string3036z00zz__evaluatez00, BgL_bgl_string3036za700za7za7_3116za7, "bstring", 7 );
DEFINE_STRING( BGl_string3038z00zz__evaluatez00, BgL_bgl_string3038za700za7za7_3117za7, "string?", 7 );
DEFINE_STRING( BGl_string3040z00zz__evaluatez00, BgL_bgl_string3040za700za7za7_3118za7, "o", 1 );
DEFINE_STRING( BGl_string3042z00zz__evaluatez00, BgL_bgl_string3042za700za7za7_3119za7, "quote", 5 );
DEFINE_STRING( BGl_string3044z00zz__evaluatez00, BgL_bgl_string3044za700za7za7_3120za7, "class-exists", 12 );
DEFINE_STRING( BGl_string3046z00zz__evaluatez00, BgL_bgl_string3046za700za7za7_3121za7, "c", 1 );
DEFINE_STRING( BGl_string3048z00zz__evaluatez00, BgL_bgl_string3048za700za7za7_3122za7, "isa?", 4 );
DEFINE_STRING( BGl_string3050z00zz__evaluatez00, BgL_bgl_string3050za700za7za7_3123za7, "if", 2 );
DEFINE_STRING( BGl_string3052z00zz__evaluatez00, BgL_bgl_string3052za700za7za7_3124za7, "let", 3 );
DEFINE_STRING( BGl_string3054z00zz__evaluatez00, BgL_bgl_string3054za700za7za7_3125za7, "lambda", 6 );
DEFINE_STRING( BGl_string3056z00zz__evaluatez00, BgL_bgl_string3056za700za7za7_3126za7, "bigloo-type-error/location", 26 );
DEFINE_STRING( BGl_string3058z00zz__evaluatez00, BgL_bgl_string3058za700za7za7_3127za7, "bigloo-type-error", 17 );
DEFINE_STRING( BGl_string3060z00zz__evaluatez00, BgL_bgl_string3060za700za7za7_3128za7, "at", 2 );
DEFINE_STRING( BGl_string3062z00zz__evaluatez00, BgL_bgl_string3062za700za7za7_3129za7, "tmp", 3 );
DEFINE_STRING( BGl_string3063z00zz__evaluatez00, BgL_bgl_string3063za700za7za7_3130za7, "~a::~a", 6 );
DEFINE_STRING( BGl_string3065z00zz__evaluatez00, BgL_bgl_string3065za700za7za7_3131za7, "\\@", 2 );
DEFINE_STRING( BGl_string3066z00zz__evaluatez00, BgL_bgl_string3066za700za7za7_3132za7, "Illegal form", 12 );
DEFINE_STRING( BGl_string3068z00zz__evaluatez00, BgL_bgl_string3068za700za7za7_3133za7, "begin", 5 );
DEFINE_STRING( BGl_string3070z00zz__evaluatez00, BgL_bgl_string3070za700za7za7_3134za7, " ", 1 );
DEFINE_STRING( BGl_string3071z00zz__evaluatez00, BgL_bgl_string3071za700za7za7_3135za7, "Illegal non toplevel module declaration", 39 );
DEFINE_STRING( BGl_string3073z00zz__evaluatez00, BgL_bgl_string3073za700za7za7_3136za7, "module", 6 );
DEFINE_STRING( BGl_string3075z00zz__evaluatez00, BgL_bgl_string3075za700za7za7_3137za7, "@", 1 );
DEFINE_STRING( BGl_string3077z00zz__evaluatez00, BgL_bgl_string3077za700za7za7_3138za7, "->", 2 );
DEFINE_STRING( BGl_string3079z00zz__evaluatez00, BgL_bgl_string3079za700za7za7_3139za7, "trap", 4 );
DEFINE_STRING( BGl_string3081z00zz__evaluatez00, BgL_bgl_string3081za700za7za7_3140za7, "or", 2 );
DEFINE_STRING( BGl_string3083z00zz__evaluatez00, BgL_bgl_string3083za700za7za7_3141za7, "and", 3 );
DEFINE_STRING( BGl_string3085z00zz__evaluatez00, BgL_bgl_string3085za700za7za7_3142za7, "let*", 4 );
DEFINE_STRING( BGl_string3087z00zz__evaluatez00, BgL_bgl_string3087za700za7za7_3143za7, "letrec", 6 );
DEFINE_STRING( BGl_string3089z00zz__evaluatez00, BgL_bgl_string3089za700za7za7_3144za7, "set!", 4 );
DEFINE_STRING( BGl_string3091z00zz__evaluatez00, BgL_bgl_string3091za700za7za7_3145za7, "define", 6 );
DEFINE_STRING( BGl_string3093z00zz__evaluatez00, BgL_bgl_string3093za700za7za7_3146za7, "bind-exit", 9 );
DEFINE_STRING( BGl_string3095z00zz__evaluatez00, BgL_bgl_string3095za700za7za7_3147za7, "unwind-protect", 14 );
DEFINE_STRING( BGl_string3097z00zz__evaluatez00, BgL_bgl_string3097za700za7za7_3148za7, "with-handler", 12 );
DEFINE_STRING( BGl_string3099z00zz__evaluatez00, BgL_bgl_string3099za700za7za7_3149za7, "synchronize", 11 );
extern obj_t BGl_errorzd2envzd2zz__errorz00;
DEFINE_STRING( BGl_string2981z00zz__evaluatez00, BgL_bgl_string2981za700za7za7_3150za7, "", 0 );
DEFINE_STRING( BGl_string2982z00zz__evaluatez00, BgL_bgl_string2982za700za7za7_3151za7, "/builddir/build/BUILD/bigloo4.3f/runtime/Eval/evaluate.scm", 58 );
DEFINE_STRING( BGl_string2983z00zz__evaluatez00, BgL_bgl_string2983za700za7za7_3152za7, "&evaluate2-restore-bp!", 22 );
DEFINE_STRING( BGl_string2984z00zz__evaluatez00, BgL_bgl_string2984za700za7za7_3153za7, "bint", 4 );
DEFINE_STRING( BGl_string2985z00zz__evaluatez00, BgL_bgl_string2985za700za7za7_3154za7, "&evaluate2-restore-state!", 25 );
DEFINE_STRING( BGl_string2986z00zz__evaluatez00, BgL_bgl_string2986za700za7za7_3155za7, "vector", 6 );
DEFINE_STRING( BGl_string2988z00zz__evaluatez00, BgL_bgl_string2988za700za7za7_3156za7, "toplevel", 8 );
DEFINE_STRING( BGl_string2989z00zz__evaluatez00, BgL_bgl_string2989za700za7za7_3157za7, "eval", 4 );
DEFINE_STRING( BGl_string2990z00zz__evaluatez00, BgL_bgl_string2990za700za7za7_3158za7, "Bad syntax", 10 );
DEFINE_STRING( BGl_string2991z00zz__evaluatez00, BgL_bgl_string2991za700za7za7_3159za7, "Class \"~a\" has no field \"~a\"", 28 );
DEFINE_STRING( BGl_string2992z00zz__evaluatez00, BgL_bgl_string2992za700za7za7_3160za7, "Static type not a class", 23 );
DEFINE_STRING( BGl_string2993z00zz__evaluatez00, BgL_bgl_string2993za700za7za7_3161za7, "Variable unbound", 16 );
DEFINE_STRING( BGl_string2994z00zz__evaluatez00, BgL_bgl_string2994za700za7za7_3162za7, "Field read-only", 15 );
DEFINE_STRING( BGl_string2996z00zz__evaluatez00, BgL_bgl_string2996za700za7za7_3163za7, "pair", 4 );
DEFINE_STRING( BGl_string2998z00zz__evaluatez00, BgL_bgl_string2998za700za7za7_3164za7, "pair?", 5 );
DEFINE_STRING( BGl_string3101z00zz__evaluatez00, BgL_bgl_string3101za700za7za7_3165za7, "prelock", 7 );
DEFINE_STRING( BGl_string3102z00zz__evaluatez00, BgL_bgl_string3102za700za7za7_3166za7, "__evaluate", 10 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00, BgL_bgl_za762setza7d2evaluat3167z00, BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2restorezd2statez12zd2envzc0zz__evaluatez00, BgL_bgl_za762evaluate2za7d2r3168z00, BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00, BgL_bgl_za762getza7d2evaluat3169z00, BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_evaluate2zd2envzd2zz__evaluatez00, BgL_bgl_za762evaluate2za762za73170za7, BGl_z62evaluate2z62zz__evaluatez00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string3001z00zz__evaluatez00, BgL_bgl_string3001za700za7za7_3171za7, "vector?", 7 );
DEFINE_STRING( BGl_string3003z00zz__evaluatez00, BgL_bgl_string3003za700za7za7_3172za7, "symbol", 6 );
DEFINE_STRING( BGl_string3005z00zz__evaluatez00, BgL_bgl_string3005za700za7za7_3173za7, "symbol?", 7 );
DEFINE_STRING( BGl_string3007z00zz__evaluatez00, BgL_bgl_string3007za700za7za7_3174za7, "char", 4 );
DEFINE_STRING( BGl_string3009z00zz__evaluatez00, BgL_bgl_string3009za700za7za7_3175za7, "char?", 5 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2987z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2995z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2997z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol2999z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_keyword3100z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3000z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3002z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3004z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3006z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3008z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3010z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3012z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3013z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3015z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3017z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3019z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3021z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3023z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3025z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3027z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3029z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3031z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3033z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3035z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3037z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3039z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3041z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3043z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3045z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3047z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3049z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3051z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3053z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3055z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3057z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3059z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3061z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3064z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3067z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3069z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3072z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3074z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3076z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3078z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3080z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3082z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3084z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3086z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3088z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3090z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3092z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3094z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3096z00zz__evaluatez00) );
ADD_ROOT( (void *)(&BGl_symbol3098z00zz__evaluatez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21010\" \"BGl_appendzd221010zd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"untype-ident\" \"Eval/evaluate.scm\" 2232) \"BGl_untypezd2identzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-evaluation-context\" \"Eval/evaluate.scm\" 2931) \"BGl_getzd2evaluationzd2contextz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&get-evaluation-context\" \"Eval/evaluate.scm\" 2931) \"BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"set-evaluation-context!\" \"Eval/evaluate.scm\" 3411) \"BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&set-evaluation-context!\" \"Eval/evaluate.scm\" 3411) \"BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2-restore-bp!\" \"Eval/evaluate.scm\" 3852) \"BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2-restore-bp!\" \"Eval/evaluate.scm\" 3852) \"BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2-restore-state!\" \"Eval/evaluate.scm\" 4196) \"BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2-restore-state!\" \"Eval/evaluate.scm\" 4196) \"BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evaluate2\" \"Eval/evaluate.scm\" 4542) \"BGl_evaluate2z00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&evaluate2\" \"Eval/evaluate.scm\" 4542) \"BGl_z62evaluate2z62zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1353>\" \"Eval/evaluate.scm\" 4796) \"BGl_z62zc3anonymousza31353ze3ze1zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-location\" \"Eval/evaluate.scm\" 5084) \"BGl_getzd2locationzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-location3\" \"Eval/evaluate.scm\" 5377) \"BGl_getzd2location3zd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"convert\" \"Eval/evaluate.scm\" 5715) \"BGl_convertz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-var\" \"Eval/evaluate.scm\" 6016) \"BGl_convzd2varzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-begin\" \"Eval/evaluate.scm\" 6437) \"BGl_convzd2beginzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-global\" \"Eval/evaluate.scm\" 7149) \"BGl_convzd2globalzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-field-ref\" \"Eval/evaluate.scm\" 7530) \"BGl_convzd2fieldzd2refz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-field-set\" \"Eval/evaluate.scm\" 8597) \"BGl_convzd2fieldzd2setz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-class-field-ref\" \"Eval/evaluate.scm\" 9944) \"BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-class-field-set\" \"Eval/evaluate.scm\" 10386) \"BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"evepairify\" \"Eval/evaluate.scm\" 10822) \"BGl_evepairifyz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-check\" \"Eval/evaluate.scm\" 11104) \"BGl_typezd2checkzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-checks\" \"Eval/evaluate.scm\" 12230) \"BGl_typezd2checkszd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"loop~1\" \"Eval/evaluate.scm\" 12330) \"BGl_loopze71ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"type-result\" \"Eval/evaluate.scm\" 12883) \"BGl_typezd2resultzd2zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv\" \"Eval/evaluate.scm\" 13355) \"BGl_convz00zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"loop~0\" \"Eval/evaluate.scm\" 13921) \"BGl_loopze70ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"rconv/loc~0\" \"Eval/evaluate.scm\" 13488) \"BGl_rconvzf2locze70z15zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"uconv/loc~0\" \"Eval/evaluate.scm\" 13727) \"BGl_uconvzf2locze70z15zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-vals~0\" \"Eval/evaluate.scm\" 17675) \"BGl_convzd2valsze70z35zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"conv-lambda~0\" \"Eval/evaluate.scm\" 14468) \"BGl_convzd2lambdaze70z35zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "((\"uconv~0\" \"Eval/evaluate.scm\" 13794) \"BGl_uconvze70ze7zz__evaluatez00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long BgL_checksumz00_4470, char * BgL_fromz00_4471)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluatez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluatez00(); 
BGl_cnstzd2initzd2zz__evaluatez00(); 
BGl_importedzd2moduleszd2initz00zz__evaluatez00(); 
return 
BGl_profzd2initzd2zz__evaluatez00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
BGl_symbol2987z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2988z00zz__evaluatez00); 
BGl_symbol2995z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2996z00zz__evaluatez00); 
BGl_symbol2997z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2998z00zz__evaluatez00); 
BGl_symbol2999z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2986z00zz__evaluatez00); 
BGl_symbol3000z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3001z00zz__evaluatez00); 
BGl_symbol3002z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3003z00zz__evaluatez00); 
BGl_symbol3004z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3005z00zz__evaluatez00); 
BGl_symbol3006z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3007z00zz__evaluatez00); 
BGl_symbol3008z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3009z00zz__evaluatez00); 
BGl_symbol3010z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3011z00zz__evaluatez00); 
BGl_symbol3012z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string2984z00zz__evaluatez00); 
BGl_symbol3013z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3014z00zz__evaluatez00); 
BGl_symbol3015z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3016z00zz__evaluatez00); 
BGl_symbol3017z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3018z00zz__evaluatez00); 
BGl_symbol3019z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3020z00zz__evaluatez00); 
BGl_symbol3021z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3022z00zz__evaluatez00); 
BGl_symbol3023z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3024z00zz__evaluatez00); 
BGl_symbol3025z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3026z00zz__evaluatez00); 
BGl_symbol3027z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3028z00zz__evaluatez00); 
BGl_symbol3029z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3030z00zz__evaluatez00); 
BGl_symbol3031z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3032z00zz__evaluatez00); 
BGl_symbol3033z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3034z00zz__evaluatez00); 
BGl_symbol3035z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3036z00zz__evaluatez00); 
BGl_symbol3037z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3038z00zz__evaluatez00); 
BGl_symbol3039z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3040z00zz__evaluatez00); 
BGl_symbol3041z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3042z00zz__evaluatez00); 
BGl_symbol3043z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3044z00zz__evaluatez00); 
BGl_symbol3045z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3046z00zz__evaluatez00); 
BGl_symbol3047z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3048z00zz__evaluatez00); 
BGl_symbol3049z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3050z00zz__evaluatez00); 
BGl_symbol3051z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3052z00zz__evaluatez00); 
BGl_symbol3053z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3054z00zz__evaluatez00); 
BGl_symbol3055z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3056z00zz__evaluatez00); 
BGl_symbol3057z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3058z00zz__evaluatez00); 
BGl_symbol3059z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3060z00zz__evaluatez00); 
BGl_symbol3061z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3062z00zz__evaluatez00); 
BGl_symbol3064z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3065z00zz__evaluatez00); 
BGl_symbol3067z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3068z00zz__evaluatez00); 
BGl_symbol3069z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3070z00zz__evaluatez00); 
BGl_symbol3072z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3073z00zz__evaluatez00); 
BGl_symbol3074z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3075z00zz__evaluatez00); 
BGl_symbol3076z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3077z00zz__evaluatez00); 
BGl_symbol3078z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3079z00zz__evaluatez00); 
BGl_symbol3080z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3081z00zz__evaluatez00); 
BGl_symbol3082z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3083z00zz__evaluatez00); 
BGl_symbol3084z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3085z00zz__evaluatez00); 
BGl_symbol3086z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3087z00zz__evaluatez00); 
BGl_symbol3088z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3089z00zz__evaluatez00); 
BGl_symbol3090z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3091z00zz__evaluatez00); 
BGl_symbol3092z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3093z00zz__evaluatez00); 
BGl_symbol3094z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3095z00zz__evaluatez00); 
BGl_symbol3096z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3097z00zz__evaluatez00); 
BGl_symbol3098z00zz__evaluatez00 = 
bstring_to_symbol(BGl_string3099z00zz__evaluatez00); 
return ( 
BGl_keyword3100z00zz__evaluatez00 = 
bstring_to_keyword(BGl_string3101z00zz__evaluatez00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__evaluatez00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{ BGL_FUNCTION_BEGIN;
{ 
{ 
obj_t BgL_headz00_1134;
BgL_headz00_1134 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
obj_t BgL_prevz00_1135;obj_t BgL_tailz00_1136;
BgL_prevz00_1135 = BgL_headz00_1134; 
BgL_tailz00_1136 = BgL_l1z00_1; 
BgL_loopz00_1137:
if(
PAIRP(BgL_tailz00_1136))
{ 
obj_t BgL_newzd2prevzd2_1139;
BgL_newzd2prevzd2_1139 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1136), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1135, BgL_newzd2prevzd2_1139); 
{ 
obj_t BgL_tailz00_4542;obj_t BgL_prevz00_4541;
BgL_prevz00_4541 = BgL_newzd2prevzd2_1139; 
BgL_tailz00_4542 = 
CDR(BgL_tailz00_1136); 
BgL_tailz00_1136 = BgL_tailz00_4542; 
BgL_prevz00_1135 = BgL_prevz00_4541; 
goto BgL_loopz00_1137;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1134);} } } 
BGL_FUNCTION_END;
}



/* untype-ident */
obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 73 */
{ /* Eval/evaluate.scm 74 */
obj_t BgL_stringz00_1142;
{ /* Eval/evaluate.scm 74 */
obj_t BgL_res2645z00_3106;
{ /* Eval/evaluate.scm 74 */
obj_t BgL_arg2500z00_3105;
BgL_arg2500z00_3105 = 
SYMBOL_TO_STRING(BgL_idz00_3); 
BgL_res2645z00_3106 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2500z00_3105); } 
BgL_stringz00_1142 = BgL_res2645z00_3106; } 
{ /* Eval/evaluate.scm 74 */
long BgL_lenz00_1143;
BgL_lenz00_1143 = 
STRING_LENGTH(BgL_stringz00_1142); 
{ /* Eval/evaluate.scm 75 */

{ 
long BgL_walkerz00_1145;
BgL_walkerz00_1145 = ((long)0); 
BgL_zc3anonymousza31318ze3z83_1146:
if(
(BgL_walkerz00_1145==BgL_lenz00_1143))
{ /* Eval/evaluate.scm 78 */
return 
MAKE_YOUNG_PAIR(BgL_idz00_3, BFALSE);}  else 
{ /* Eval/evaluate.scm 80 */
bool_t BgL_testz00_4551;
if(
(
STRING_REF(BgL_stringz00_1142, BgL_walkerz00_1145)==((unsigned char)':')))
{ /* Eval/evaluate.scm 80 */
if(
(BgL_walkerz00_1145<
(BgL_lenz00_1143-((long)1))))
{ /* Eval/evaluate.scm 81 */
BgL_testz00_4551 = 
(
STRING_REF(BgL_stringz00_1142, 
(BgL_walkerz00_1145+((long)1)))==((unsigned char)':'))
; }  else 
{ /* Eval/evaluate.scm 81 */
BgL_testz00_4551 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 80 */
BgL_testz00_4551 = ((bool_t)0)
; } 
if(BgL_testz00_4551)
{ /* Eval/evaluate.scm 83 */
obj_t BgL_arg1333z00_1157;obj_t BgL_arg1334z00_1158;
BgL_arg1333z00_1157 = 
bstring_to_symbol(
c_substring(BgL_stringz00_1142, ((long)0), BgL_walkerz00_1145)); 
{ /* Eval/evaluate.scm 84 */
obj_t BgL_arg1336z00_1160;
{ /* Eval/evaluate.scm 84 */
long BgL_arg1337z00_1161;
BgL_arg1337z00_1161 = 
(BgL_walkerz00_1145+((long)2)); 
{ /* Ieee/string.scm 189 */
long BgL_endz00_1164;
BgL_endz00_1164 = 
STRING_LENGTH(BgL_stringz00_1142); 
{ /* Ieee/string.scm 189 */

BgL_arg1336z00_1160 = 
BGl_substringz00zz__r4_strings_6_7z00(BgL_stringz00_1142, BgL_arg1337z00_1161, BgL_endz00_1164); } } } 
BgL_arg1334z00_1158 = 
bstring_to_symbol(BgL_arg1336z00_1160); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1333z00_1157, BgL_arg1334z00_1158);}  else 
{ 
long BgL_walkerz00_4568;
BgL_walkerz00_4568 = 
(BgL_walkerz00_1145+((long)1)); 
BgL_walkerz00_1145 = BgL_walkerz00_4568; 
goto BgL_zc3anonymousza31318ze3z83_1146;} } } } } } } 
BGL_FUNCTION_END;
}



/* get-evaluation-context */
BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 91 */
{ /* Eval/evaluate.scm 92 */
obj_t BgL_sz00_1173;
BgL_sz00_1173 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 93 */
obj_t BgL_bpz00_1174;
BgL_bpz00_1174 = 
VECTOR_REF(
((obj_t)BgL_sz00_1173),((long)0)); 
{ /* Eval/evaluate.scm 94 */
obj_t BgL_rz00_1175;
BgL_rz00_1175 = 
make_vector(
(long)CINT(BgL_bpz00_1174), BGl_string2981z00zz__evaluatez00); 
{ 
long BgL_iz00_1177;
BgL_iz00_1177 = ((long)0); 
BgL_zc3anonymousza31344ze3z83_1178:
if(
(BgL_iz00_1177<
(long)CINT(BgL_bpz00_1174)))
{ /* Eval/evaluate.scm 96 */
{ /* Eval/evaluate.scm 97 */
obj_t BgL_arg1346z00_1180;
BgL_arg1346z00_1180 = 
VECTOR_REF(
((obj_t)BgL_sz00_1173),BgL_iz00_1177); 
VECTOR_SET(BgL_rz00_1175,BgL_iz00_1177,BgL_arg1346z00_1180); } 
{ 
long BgL_iz00_4581;
BgL_iz00_4581 = 
(BgL_iz00_1177+((long)1)); 
BgL_iz00_1177 = BgL_iz00_4581; 
goto BgL_zc3anonymousza31344ze3z83_1178;} }  else 
{ /* Eval/evaluate.scm 96 */((bool_t)0); } } 
return BgL_rz00_1175;} } } } 
BGL_FUNCTION_END;
}



/* &get-evaluation-context */
obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t BgL_envz00_4419)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 91 */
return 
BGl_getzd2evaluationzd2contextz00zz__evaluatez00();} 
BGL_FUNCTION_END;
}



/* set-evaluation-context! */
BGL_EXPORTED_DEF obj_t BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 104 */
{ /* Eval/evaluate.scm 105 */
obj_t BgL_sz00_1183;
BgL_sz00_1183 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 106 */
obj_t BgL_bpz00_1184;
BgL_bpz00_1184 = 
VECTOR_REF(
((obj_t)BgL_vz00_4),((long)0)); 
{ 
long BgL_iz00_1186;
{ /* Eval/evaluate.scm 107 */
bool_t BgL_tmpz00_4587;
BgL_iz00_1186 = ((long)0); 
BgL_zc3anonymousza31348ze3z83_1187:
if(
(BgL_iz00_1186<
(long)CINT(BgL_bpz00_1184)))
{ /* Eval/evaluate.scm 108 */
{ /* Eval/evaluate.scm 109 */
obj_t BgL_arg1350z00_1189;
BgL_arg1350z00_1189 = 
VECTOR_REF(
((obj_t)BgL_vz00_4),BgL_iz00_1186); 
VECTOR_SET(
((obj_t)BgL_sz00_1183),BgL_iz00_1186,BgL_arg1350z00_1189); } 
{ 
long BgL_iz00_4595;
BgL_iz00_4595 = 
(BgL_iz00_1186+((long)1)); 
BgL_iz00_1186 = BgL_iz00_4595; 
goto BgL_zc3anonymousza31348ze3z83_1187;} }  else 
{ /* Eval/evaluate.scm 108 */
BgL_tmpz00_4587 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_4587);} } } } } 
BGL_FUNCTION_END;
}



/* &set-evaluation-context! */
obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t BgL_envz00_4420, obj_t BgL_vz00_4421)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 104 */
return 
BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_4421);} 
BGL_FUNCTION_END;
}



/* evaluate2-restore-bp! */
BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int BgL_bpz00_5)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 115 */
{ /* Eval/evaluate.scm 116 */
obj_t BgL_sz00_1192;
{ /* Eval/evaluate.scm 116 */
obj_t BgL_tmpz00_4599;
BgL_tmpz00_4599 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_sz00_1192 = 
BGL_ENV_EVSTATE(BgL_tmpz00_4599); } 
return 
VECTOR_SET(
((obj_t)BgL_sz00_1192),((long)0),
BINT(BgL_bpz00_5));} } 
BGL_FUNCTION_END;
}



/* &evaluate2-restore-bp! */
obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t BgL_envz00_4422, obj_t BgL_bpz00_4423)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 115 */
{ /* Eval/evaluate.scm 116 */
int BgL_auxz00_4605;
{ /* Eval/evaluate.scm 116 */
obj_t BgL_tmpz00_4606;
if(
INTEGERP(BgL_bpz00_4423))
{ /* Eval/evaluate.scm 116 */
BgL_tmpz00_4606 = BgL_bpz00_4423
; }  else 
{ 
obj_t BgL_auxz00_4609;
BgL_auxz00_4609 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2982z00zz__evaluatez00, 
BINT(((long)3890)), BGl_string2983z00zz__evaluatez00, BGl_string2984z00zz__evaluatez00, BgL_bpz00_4423); 
FAILURE(BgL_auxz00_4609,BFALSE,BFALSE);} 
BgL_auxz00_4605 = 
CINT(BgL_tmpz00_4606); } 
return 
BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(BgL_auxz00_4605);} } 
BGL_FUNCTION_END;
}



/* evaluate2-restore-state! */
BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t BgL_statez00_6)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 122 */
{ /* Eval/evaluate.scm 124 */
obj_t BgL_tmpz00_4615;
BgL_tmpz00_4615 = 
BGL_CURRENT_DYNAMIC_ENV(); 
return 
BGL_ENV_EVSTATE_SET(BgL_tmpz00_4615, BgL_statez00_6);} } 
BGL_FUNCTION_END;
}



/* &evaluate2-restore-state! */
obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t BgL_envz00_4424, obj_t BgL_statez00_4425)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 122 */
{ /* Eval/evaluate.scm 123 */
obj_t BgL_auxz00_4618;
if(
VECTORP(BgL_statez00_4425))
{ /* Eval/evaluate.scm 123 */
BgL_auxz00_4618 = BgL_statez00_4425
; }  else 
{ 
obj_t BgL_auxz00_4621;
BgL_auxz00_4621 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2982z00zz__evaluatez00, 
BINT(((long)4240)), BGl_string2985z00zz__evaluatez00, BGl_string2986z00zz__evaluatez00, BgL_statez00_4425); 
FAILURE(BgL_auxz00_4621,BFALSE,BFALSE);} 
return 
BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(BgL_auxz00_4618);} } 
BGL_FUNCTION_END;
}



/* evaluate2 */
BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_7, obj_t BgL_envz00_8, obj_t BgL_locz00_9)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 129 */
{ /* Eval/evaluate.scm 130 */
BgL_ev_exprz00_bglt BgL_astz00_1195;
{ /* Eval/evaluate.scm 130 */
obj_t BgL_arg1354z00_1205;
BgL_arg1354z00_1205 = 
BGl_convertz00zz__evaluatez00(BgL_sexpz00_7, BgL_envz00_8, BgL_locz00_9); 
BgL_astz00_1195 = 
BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(
((BgL_ev_exprz00_bglt)BgL_arg1354z00_1205)); } 
BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_1195); 
{ /* Eval/evaluate.scm 132 */
int BgL_nz00_1196;
BgL_nz00_1196 = 
BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_1195); 
{ /* Eval/evaluate.scm 133 */
obj_t BgL_fz00_1197;
BgL_fz00_1197 = 
BGl_compilez00zz__evaluate_compz00(BgL_astz00_1195); 
{ /* Eval/evaluate.scm 134 */
obj_t BgL_sz00_1198;
BgL_sz00_1198 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate.scm 135 */
obj_t BgL_bpz00_1199;
BgL_bpz00_1199 = 
VECTOR_REF(
((obj_t)BgL_sz00_1198),((long)0)); 
{ /* Eval/evaluate.scm 136 */
obj_t BgL_exitd1063z00_1200;
BgL_exitd1063z00_1200 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate.scm 138 */
obj_t BgL_zc3anonymousza31353ze3z83_4426;
BgL_zc3anonymousza31353ze3z83_4426 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31353ze3ze1zz__evaluatez00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza31353ze3z83_4426, 
(int)(((long)0)), BgL_sz00_1198); 
PROCEDURE_SET(BgL_zc3anonymousza31353ze3z83_4426, 
(int)(((long)1)), BgL_bpz00_1199); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1063z00_1200, BgL_zc3anonymousza31353ze3z83_4426); 
{ /* Eval/evaluate.scm 137 */
obj_t BgL_tmp1065z00_1202;
BgL_tmp1065z00_1202 = 
PROCEDURE_ENTRY(BgL_fz00_1197)(BgL_fz00_1197, BgL_sz00_1198, BEOA); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1063z00_1200); 
BGl_z62zc3anonymousza31353ze3ze1zz__evaluatez00(BgL_zc3anonymousza31353ze3z83_4426); 
return BgL_tmp1065z00_1202;} } } } } } } } } 
BGL_FUNCTION_END;
}



/* &evaluate2 */
obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_4427, obj_t BgL_sexpz00_4428, obj_t BgL_envz00_4429, obj_t BgL_locz00_4430)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 129 */
return 
BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_4428, BgL_envz00_4429, BgL_locz00_4430);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1353> */
obj_t BGl_z62zc3anonymousza31353ze3ze1zz__evaluatez00(obj_t BgL_envz00_4431)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 136 */
{ /* Eval/evaluate.scm 138 */
obj_t BgL_sz00_4432;obj_t BgL_bpz00_4433;
BgL_sz00_4432 = 
PROCEDURE_REF(BgL_envz00_4431, 
(int)(((long)0))); 
BgL_bpz00_4433 = 
PROCEDURE_REF(BgL_envz00_4431, 
(int)(((long)1))); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_4432),((long)0),BgL_bpz00_4433);} } 
BGL_FUNCTION_END;
}



/* get-location */
obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_10, obj_t BgL_locz00_11)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 143 */
{ /* Eval/evaluate.scm 144 */
obj_t BgL__ortest_1066z00_1206;
BgL__ortest_1066z00_1206 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_10); 
if(
CBOOL(BgL__ortest_1066z00_1206))
{ /* Eval/evaluate.scm 144 */
return BgL__ortest_1066z00_1206;}  else 
{ /* Eval/evaluate.scm 144 */
return BgL_locz00_11;} } } 
BGL_FUNCTION_END;
}



/* get-location3 */
obj_t BGl_getzd2location3zd2zz__evaluatez00(obj_t BgL_expz00_12, obj_t BgL_lstz00_13, obj_t BgL_locz00_14)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 149 */
{ /* Eval/evaluate.scm 150 */
obj_t BgL__ortest_1067z00_1207;
BgL__ortest_1067z00_1207 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_12); 
if(
CBOOL(BgL__ortest_1067z00_1207))
{ /* Eval/evaluate.scm 150 */
return BgL__ortest_1067z00_1207;}  else 
{ /* Eval/evaluate.scm 151 */
obj_t BgL__ortest_1068z00_1208;
BgL__ortest_1068z00_1208 = 
BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lstz00_13); 
if(
CBOOL(BgL__ortest_1068z00_1208))
{ /* Eval/evaluate.scm 151 */
return BgL__ortest_1068z00_1208;}  else 
{ /* Eval/evaluate.scm 151 */
return BgL_locz00_14;} } } } 
BGL_FUNCTION_END;
}



/* convert */
obj_t BGl_convertz00zz__evaluatez00(obj_t BgL_ez00_15, obj_t BgL_globalsz00_16, obj_t BgL_locz00_17)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 157 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_15, BNIL, BgL_globalsz00_16, BFALSE, BGl_symbol2987z00zz__evaluatez00, BgL_locz00_17, ((bool_t)1));} 
BGL_FUNCTION_END;
}



/* conv-var */
obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_18, obj_t BgL_localsz00_19)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 163 */
{ 
obj_t BgL_lz00_1210;
BgL_lz00_1210 = BgL_localsz00_19; 
BgL_zc3anonymousza31355ze3z83_1211:
if(
NULLP(BgL_lz00_1210))
{ /* Eval/evaluate.scm 165 */
return BFALSE;}  else 
{ /* Eval/evaluate.scm 167 */
obj_t BgL_rvz00_1213;
BgL_rvz00_1213 = 
CAR(
((obj_t)BgL_lz00_1210)); 
if(
(BgL_vz00_18==
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_rvz00_1213)))->BgL_namez00)))
{ /* Eval/evaluate.scm 169 */
return BgL_rvz00_1213;}  else 
{ 
obj_t BgL_lz00_4675;
BgL_lz00_4675 = 
CDR(
((obj_t)BgL_lz00_1210)); 
BgL_lz00_1210 = BgL_lz00_4675; 
goto BgL_zc3anonymousza31355ze3z83_1211;} } } } 
BGL_FUNCTION_END;
}



/* conv-begin */
obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_20, obj_t BgL_localsz00_21, obj_t BgL_globalsz00_22, obj_t BgL_tailzf3zf3_23, obj_t BgL_wherez00_24, obj_t BgL_locz00_25, bool_t BgL_topzf3zf3_26)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 176 */
{ /* Eval/evaluate.scm 177 */
obj_t BgL_locz00_1220;
BgL_locz00_1220 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_lz00_20, BgL_locz00_25); 
{ 
obj_t BgL_e1z00_1224;obj_t BgL_rz00_1225;obj_t BgL_ez00_1222;
if(
NULLP(BgL_lz00_20))
{ 
BgL_ev_littz00_bglt BgL_auxz00_4681;
{ /* Eval/evaluate.scm 180 */
BgL_ev_littz00_bglt BgL_new1071z00_1237;
{ /* Eval/evaluate.scm 181 */
BgL_ev_littz00_bglt BgL_new1070z00_1238;
BgL_new1070z00_1238 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 181 */
long BgL_arg1370z00_1239;
{ /* Eval/evaluate.scm 181 */
long BgL_res2668z00_3173;
BgL_res2668z00_3173 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg1370z00_1239 = BgL_res2668z00_3173; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1070z00_1238), BgL_arg1370z00_1239); } 
BgL_new1071z00_1237 = BgL_new1070z00_1238; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1071z00_1237))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4681 = BgL_new1071z00_1237; } 
return 
((obj_t)BgL_auxz00_4681);}  else 
{ /* Eval/evaluate.scm 178 */
if(
PAIRP(BgL_lz00_20))
{ /* Eval/evaluate.scm 178 */
if(
NULLP(
CDR(BgL_lz00_20)))
{ /* Eval/evaluate.scm 178 */
BgL_ez00_1222 = 
CAR(BgL_lz00_20); 
return 
BGl_convz00zz__evaluatez00(BgL_ez00_1222, BgL_localsz00_21, BgL_globalsz00_22, BgL_tailzf3zf3_23, BgL_wherez00_24, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_1222, BgL_locz00_1220), BgL_topzf3zf3_26);}  else 
{ /* Eval/evaluate.scm 178 */
obj_t BgL_arg1367z00_1234;obj_t BgL_arg1368z00_1235;
BgL_arg1367z00_1234 = 
CAR(BgL_lz00_20); 
BgL_arg1368z00_1235 = 
CDR(BgL_lz00_20); 
{ 
BgL_ev_prog2z00_bglt BgL_auxz00_4698;
BgL_e1z00_1224 = BgL_arg1367z00_1234; 
BgL_rz00_1225 = BgL_arg1368z00_1235; 
{ /* Eval/evaluate.scm 185 */
BgL_ev_prog2z00_bglt BgL_new1073z00_1241;
{ /* Eval/evaluate.scm 186 */
BgL_ev_prog2z00_bglt BgL_new1072z00_1243;
BgL_new1072z00_1243 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate.scm 186 */
long BgL_arg1374z00_1244;
{ /* Eval/evaluate.scm 186 */
long BgL_res2669z00_3177;
BgL_res2669z00_3177 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BgL_arg1374z00_1244 = BgL_res2669z00_3177; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_1243), BgL_arg1374z00_1244); } 
BgL_new1073z00_1241 = BgL_new1072z00_1243; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4703;
{ /* Eval/evaluate.scm 186 */
obj_t BgL_arg1373z00_1242;
BgL_arg1373z00_1242 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_e1z00_1224, BgL_locz00_1220); 
BgL_auxz00_4703 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_e1z00_1224, BgL_localsz00_21, BgL_globalsz00_22, BFALSE, BgL_wherez00_24, BgL_arg1373z00_1242, BgL_topzf3zf3_26)); } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1073z00_1241))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4703),BUNSPEC); } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1073z00_1241))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_rz00_1225, BgL_localsz00_21, BgL_globalsz00_22, BgL_tailzf3zf3_23, BgL_wherez00_24, BgL_locz00_1220, BgL_topzf3zf3_26))),BUNSPEC); 
BgL_auxz00_4698 = BgL_new1073z00_1241; } 
return 
((obj_t)BgL_auxz00_4698);} } }  else 
{ /* Eval/evaluate.scm 178 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_1220, BGl_string2989z00zz__evaluatez00, BGl_string2990z00zz__evaluatez00, BgL_lz00_20);} } } } } 
BGL_FUNCTION_END;
}



/* conv-global */
BgL_ev_globalz00_bglt BGl_convzd2globalzd2zz__evaluatez00(obj_t BgL_locz00_27, obj_t BgL_idz00_28, obj_t BgL_globalsz00_29)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 194 */
{ /* Eval/evaluate.scm 195 */
BgL_ev_globalz00_bglt BgL_new1075z00_1245;
{ /* Eval/evaluate.scm 196 */
BgL_ev_globalz00_bglt BgL_new1074z00_1247;
BgL_new1074z00_1247 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate.scm 196 */
long BgL_arg1376z00_1248;
{ /* Eval/evaluate.scm 196 */
long BgL_res2673z00_3188;
BgL_res2673z00_3188 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg1376z00_1248 = BgL_res2673z00_3188; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1074z00_1247), BgL_arg1376z00_1248); } 
BgL_new1075z00_1245 = BgL_new1074z00_1247; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1075z00_1245))->BgL_locz00)=((obj_t)BgL_locz00_27),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1075z00_1245))->BgL_namez00)=((obj_t)BgL_idz00_28),BUNSPEC); 
{ 
obj_t BgL_auxz00_4719;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_29))
{ /* Eval/evaluate.scm 198 */
BgL_auxz00_4719 = BgL_globalsz00_29
; }  else 
{ /* Eval/evaluate.scm 198 */
BgL_auxz00_4719 = 
BGL_MODULE()
; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1075z00_1245))->BgL_modz00)=((obj_t)BgL_auxz00_4719),BUNSPEC); } 
return BgL_new1075z00_1245;} } 
BGL_FUNCTION_END;
}



/* conv-field-ref */
obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_30, obj_t BgL_localsz00_31, obj_t BgL_globalsz00_32, obj_t BgL_tailzf3zf3_33, obj_t BgL_wherez00_34, obj_t BgL_locz00_35, bool_t BgL_topzf3zf3_36)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 203 */
{ /* Eval/evaluate.scm 204 */
obj_t BgL_lz00_1249;
BgL_lz00_1249 = 
CDR(
((obj_t)BgL_ez00_30)); 
{ /* Eval/evaluate.scm 204 */
obj_t BgL_vz00_1250;
BgL_vz00_1250 = 
BGl_convzd2varzd2zz__evaluatez00(
CAR(
((obj_t)BgL_lz00_1249)), BgL_localsz00_31); 
{ /* Eval/evaluate.scm 205 */

if(
BGl_isazf3zf3zz__objectz00(BgL_vz00_1250, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate.scm 208 */
obj_t BgL_g1078z00_1253;obj_t BgL_g1079z00_1254;
{ /* Eval/evaluate.scm 209 */
obj_t BgL_arg1393z00_1277;
BgL_arg1393z00_1277 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1250)))->BgL_typez00); 
BgL_g1078z00_1253 = 
BGl_classzd2existszd2zz__objectz00(BgL_arg1393z00_1277); } 
BgL_g1079z00_1254 = 
CDR(
((obj_t)BgL_lz00_1249)); 
{ 
BgL_ev_exprz00_bglt BgL_nodez00_1256;obj_t BgL_klassz00_1257;obj_t BgL_fieldsz00_1258;
BgL_nodez00_1256 = 
((BgL_ev_exprz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_1250)); 
BgL_klassz00_1257 = BgL_g1078z00_1253; 
BgL_fieldsz00_1258 = BgL_g1079z00_1254; 
BgL_zc3anonymousza31378ze3z83_1259:
if(
NULLP(BgL_fieldsz00_1258))
{ /* Eval/evaluate.scm 212 */
return 
((obj_t)BgL_nodez00_1256);}  else 
{ /* Eval/evaluate.scm 212 */
if(
BGl_classzf3zf3zz__objectz00(BgL_klassz00_1257))
{ /* Eval/evaluate.scm 215 */
obj_t BgL_fieldz00_1262;
{ /* Eval/evaluate.scm 215 */
obj_t BgL_arg1390z00_1273;
BgL_arg1390z00_1273 = 
CAR(
((obj_t)BgL_fieldsz00_1258)); 
BgL_fieldz00_1262 = 
BGl_findzd2classzd2fieldz00zz__objectz00(BgL_klassz00_1257, BgL_arg1390z00_1273); } 
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_fieldz00_1262))
{ /* Eval/evaluate.scm 217 */
BgL_ev_appz00_bglt BgL_nodez00_1264;
BgL_nodez00_1264 = 
BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(BgL_fieldz00_1262, BgL_nodez00_1256, BgL_locz00_35, BgL_tailzf3zf3_33); 
{ /* Eval/evaluate.scm 220 */
obj_t BgL_arg1382z00_1265;obj_t BgL_arg1383z00_1266;
BgL_arg1382z00_1265 = 
BGl_classzd2fieldzd2typez00zz__objectz00(BgL_fieldz00_1262); 
BgL_arg1383z00_1266 = 
CDR(
((obj_t)BgL_fieldsz00_1258)); 
{ 
obj_t BgL_fieldsz00_4753;obj_t BgL_klassz00_4752;BgL_ev_exprz00_bglt BgL_nodez00_4750;
BgL_nodez00_4750 = 
((BgL_ev_exprz00_bglt)BgL_nodez00_1264); 
BgL_klassz00_4752 = BgL_arg1382z00_1265; 
BgL_fieldsz00_4753 = BgL_arg1383z00_1266; 
BgL_fieldsz00_1258 = BgL_fieldsz00_4753; 
BgL_klassz00_1257 = BgL_klassz00_4752; 
BgL_nodez00_1256 = BgL_nodez00_4750; 
goto BgL_zc3anonymousza31378ze3z83_1259;} } }  else 
{ /* Eval/evaluate.scm 222 */
obj_t BgL_arg1384z00_1267;obj_t BgL_arg1385z00_1268;
BgL_arg1384z00_1267 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1250)))->BgL_typez00); 
{ /* Eval/evaluate.scm 223 */
obj_t BgL_arg1386z00_1269;obj_t BgL_arg1387z00_1270;
BgL_arg1386z00_1269 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1250)))->BgL_typez00); 
BgL_arg1387z00_1270 = 
CAR(
((obj_t)BgL_fieldsz00_1258)); 
{ /* Eval/evaluate.scm 223 */
obj_t BgL_list1388z00_1271;
{ /* Eval/evaluate.scm 223 */
obj_t BgL_arg1389z00_1272;
BgL_arg1389z00_1272 = 
MAKE_YOUNG_PAIR(BgL_arg1387z00_1270, BNIL); 
BgL_list1388z00_1271 = 
MAKE_YOUNG_PAIR(BgL_arg1386z00_1269, BgL_arg1389z00_1272); } 
BgL_arg1385z00_1268 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2991z00zz__evaluatez00, BgL_list1388z00_1271); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1384z00_1267, BgL_arg1385z00_1268, BgL_ez00_30);} }  else 
{ /* Eval/evaluate.scm 226 */
obj_t BgL_arg1391z00_1274;
{ /* Eval/evaluate.scm 226 */
obj_t BgL__ortest_1080z00_1275;
BgL__ortest_1080z00_1275 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1250)))->BgL_typez00); 
if(
CBOOL(BgL__ortest_1080z00_1275))
{ /* Eval/evaluate.scm 226 */
BgL_arg1391z00_1274 = BgL__ortest_1080z00_1275; }  else 
{ /* Eval/evaluate.scm 226 */
BgL_arg1391z00_1274 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1250)))->BgL_namez00); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1391z00_1274, BGl_string2992z00zz__evaluatez00, BgL_ez00_30);} } } }  else 
{ /* Eval/evaluate.scm 228 */
obj_t BgL_arg1394z00_1278;
{ /* Eval/evaluate.scm 228 */
obj_t BgL_pairz00_3201;
BgL_pairz00_3201 = 
CDR(
((obj_t)BgL_ez00_30)); 
BgL_arg1394z00_1278 = 
CAR(BgL_pairz00_3201); } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35, BgL_arg1394z00_1278, BGl_string2993z00zz__evaluatez00, BgL_ez00_30);} } } } } 
BGL_FUNCTION_END;
}



/* conv-field-set */
obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_37, obj_t BgL_e2z00_38, obj_t BgL_ez00_39, obj_t BgL_localsz00_40, obj_t BgL_globalsz00_41, obj_t BgL_tailzf3zf3_42, obj_t BgL_wherez00_43, obj_t BgL_locz00_44, bool_t BgL_topzf3zf3_45)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 233 */
{ /* Eval/evaluate.scm 234 */
obj_t BgL_vz00_1280;
BgL_vz00_1280 = 
BGl_convzd2varzd2zz__evaluatez00(
CAR(BgL_lz00_37), BgL_localsz00_40); 
{ /* Eval/evaluate.scm 234 */
obj_t BgL_e2z00_1281;
BgL_e2z00_1281 = 
BGl_convz00zz__evaluatez00(BgL_e2z00_38, BgL_localsz00_40, BgL_globalsz00_41, BFALSE, BgL_wherez00_43, BgL_locz00_44, ((bool_t)0)); 
{ /* Eval/evaluate.scm 235 */

if(
BGl_isazf3zf3zz__objectz00(BgL_vz00_1280, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate.scm 238 */
obj_t BgL_g1082z00_1284;obj_t BgL_g1083z00_1285;
{ /* Eval/evaluate.scm 239 */
obj_t BgL_arg1425z00_1316;
BgL_arg1425z00_1316 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1280)))->BgL_typez00); 
BgL_g1082z00_1284 = 
BGl_classzd2existszd2zz__objectz00(BgL_arg1425z00_1316); } 
BgL_g1083z00_1285 = 
CDR(BgL_lz00_37); 
{ 
BgL_ev_exprz00_bglt BgL_nodez00_1287;obj_t BgL_klassz00_1288;obj_t BgL_fieldsz00_1289;
BgL_nodez00_1287 = 
((BgL_ev_exprz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_1280)); 
BgL_klassz00_1288 = BgL_g1082z00_1284; 
BgL_fieldsz00_1289 = BgL_g1083z00_1285; 
BgL_zc3anonymousza31399ze3z83_1290:
if(
NULLP(BgL_fieldsz00_1289))
{ /* Eval/evaluate.scm 242 */
return 
((obj_t)BgL_nodez00_1287);}  else 
{ /* Eval/evaluate.scm 242 */
if(
BGl_classzf3zf3zz__objectz00(BgL_klassz00_1288))
{ /* Eval/evaluate.scm 245 */
obj_t BgL_fieldz00_1293;
{ /* Eval/evaluate.scm 245 */
obj_t BgL_arg1423z00_1312;
BgL_arg1423z00_1312 = 
CAR(
((obj_t)BgL_fieldsz00_1289)); 
BgL_fieldz00_1293 = 
BGl_findzd2classzd2fieldz00zz__objectz00(BgL_klassz00_1288, BgL_arg1423z00_1312); } 
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_fieldz00_1293))
{ /* Eval/evaluate.scm 246 */
if(
NULLP(
CDR(
((obj_t)BgL_fieldsz00_1289))))
{ /* Eval/evaluate.scm 247 */
if(
BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_1293))
{ /* Eval/evaluate.scm 250 */
obj_t BgL_arg1406z00_1298;
{ /* Eval/evaluate.scm 250 */
obj_t BgL_list1407z00_1299;
{ /* Eval/evaluate.scm 250 */
obj_t BgL_arg1408z00_1300;
BgL_arg1408z00_1300 = 
MAKE_YOUNG_PAIR(BgL_e2z00_1281, BNIL); 
BgL_list1407z00_1299 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_nodez00_1287), BgL_arg1408z00_1300); } 
BgL_arg1406z00_1298 = BgL_list1407z00_1299; } 
return 
((obj_t)
BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(BgL_fieldz00_1293, BgL_arg1406z00_1298, BgL_locz00_44, BgL_tailzf3zf3_42));}  else 
{ /* Eval/evaluate.scm 251 */
obj_t BgL_arg1409z00_1301;
BgL_arg1409z00_1301 = 
CAR(
((obj_t)BgL_fieldsz00_1289)); 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1409z00_1301, BGl_string2994z00zz__evaluatez00, BgL_ez00_39);} }  else 
{ /* Eval/evaluate.scm 254 */
BgL_ev_appz00_bglt BgL_nodez00_1302;
BgL_nodez00_1302 = 
BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(BgL_fieldz00_1293, BgL_nodez00_1287, BgL_locz00_44, BgL_tailzf3zf3_42); 
{ /* Eval/evaluate.scm 257 */
obj_t BgL_arg1410z00_1303;obj_t BgL_arg1411z00_1304;
BgL_arg1410z00_1303 = 
BGl_classzd2fieldzd2typez00zz__objectz00(BgL_fieldz00_1293); 
BgL_arg1411z00_1304 = 
CDR(
((obj_t)BgL_fieldsz00_1289)); 
{ 
obj_t BgL_fieldsz00_4817;obj_t BgL_klassz00_4816;BgL_ev_exprz00_bglt BgL_nodez00_4814;
BgL_nodez00_4814 = 
((BgL_ev_exprz00_bglt)BgL_nodez00_1302); 
BgL_klassz00_4816 = BgL_arg1410z00_1303; 
BgL_fieldsz00_4817 = BgL_arg1411z00_1304; 
BgL_fieldsz00_1289 = BgL_fieldsz00_4817; 
BgL_klassz00_1288 = BgL_klassz00_4816; 
BgL_nodez00_1287 = BgL_nodez00_4814; 
goto BgL_zc3anonymousza31399ze3z83_1290;} } } }  else 
{ /* Eval/evaluate.scm 259 */
obj_t BgL_arg1414z00_1306;obj_t BgL_arg1416z00_1307;
BgL_arg1414z00_1306 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1280)))->BgL_typez00); 
{ /* Eval/evaluate.scm 260 */
obj_t BgL_arg1417z00_1308;obj_t BgL_arg1418z00_1309;
BgL_arg1417z00_1308 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1280)))->BgL_typez00); 
BgL_arg1418z00_1309 = 
CAR(
((obj_t)BgL_fieldsz00_1289)); 
{ /* Eval/evaluate.scm 260 */
obj_t BgL_list1419z00_1310;
{ /* Eval/evaluate.scm 260 */
obj_t BgL_arg1420z00_1311;
BgL_arg1420z00_1311 = 
MAKE_YOUNG_PAIR(BgL_arg1418z00_1309, BNIL); 
BgL_list1419z00_1310 = 
MAKE_YOUNG_PAIR(BgL_arg1417z00_1308, BgL_arg1420z00_1311); } 
BgL_arg1416z00_1307 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2991z00zz__evaluatez00, BgL_list1419z00_1310); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1414z00_1306, BgL_arg1416z00_1307, BgL_ez00_39);} }  else 
{ /* Eval/evaluate.scm 264 */
obj_t BgL_arg1424z00_1313;
{ /* Eval/evaluate.scm 264 */
obj_t BgL__ortest_1084z00_1314;
BgL__ortest_1084z00_1314 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1280)))->BgL_typez00); 
if(
CBOOL(BgL__ortest_1084z00_1314))
{ /* Eval/evaluate.scm 264 */
BgL_arg1424z00_1313 = BgL__ortest_1084z00_1314; }  else 
{ /* Eval/evaluate.scm 264 */
BgL_arg1424z00_1313 = 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_1280)))->BgL_namez00); } } 
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, BgL_arg1424z00_1313, BGl_string2992z00zz__evaluatez00, BgL_ez00_39);} } } }  else 
{ /* Eval/evaluate.scm 236 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44, 
CAR(BgL_lz00_37), BGl_string2993z00zz__evaluatez00, BgL_ez00_39);} } } } } 
BGL_FUNCTION_END;
}



/* make-class-field-ref */
BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t BgL_fieldz00_46, BgL_ev_exprz00_bglt BgL_argz00_47, obj_t BgL_locz00_48, obj_t BgL_tailzf3zf3_49)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 270 */
{ /* Eval/evaluate.scm 271 */
obj_t BgL_getz00_1319;
BgL_getz00_1319 = 
BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_46); 
{ /* Eval/evaluate.scm 272 */
BgL_ev_appz00_bglt BgL_new1086z00_1320;
{ /* Eval/evaluate.scm 273 */
BgL_ev_appz00_bglt BgL_new1085z00_1325;
BgL_new1085z00_1325 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 273 */
long BgL_arg1430z00_1326;
{ /* Eval/evaluate.scm 273 */
long BgL_res2678z00_3214;
BgL_res2678z00_3214 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1430z00_1326 = BgL_res2678z00_3214; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_1325), BgL_arg1430z00_1326); } 
BgL_new1086z00_1320 = BgL_new1085z00_1325; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1086z00_1320))->BgL_locz00)=((obj_t)BgL_locz00_48),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4845;
{ /* Eval/evaluate.scm 274 */
BgL_ev_littz00_bglt BgL_new1088z00_1321;
{ /* Eval/evaluate.scm 274 */
BgL_ev_littz00_bglt BgL_new1087z00_1322;
BgL_new1087z00_1322 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 274 */
long BgL_arg1428z00_1323;
{ /* Eval/evaluate.scm 274 */
long BgL_res2679z00_3218;
{ /* Eval/evaluate.scm 274 */
obj_t BgL_classz00_3217;
BgL_classz00_3217 = BGl_ev_littz00zz__evaluate_typesz00; 
BgL_res2679z00_3218 = 
BGL_CLASS_INDEX(BgL_classz00_3217); } 
BgL_arg1428z00_1323 = BgL_res2679z00_3218; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1087z00_1322), BgL_arg1428z00_1323); } 
BgL_new1088z00_1321 = BgL_new1087z00_1322; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1088z00_1321))->BgL_valuez00)=((obj_t)BgL_getz00_1319),BUNSPEC); 
BgL_auxz00_4845 = 
((BgL_ev_exprz00_bglt)BgL_new1088z00_1321); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1086z00_1320))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4845),BUNSPEC); } 
{ 
obj_t BgL_auxz00_4853;
{ /* Eval/evaluate.scm 275 */
obj_t BgL_list1429z00_1324;
BgL_list1429z00_1324 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_argz00_47), BNIL); 
BgL_auxz00_4853 = BgL_list1429z00_1324; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1086z00_1320))->BgL_argsz00)=((obj_t)BgL_auxz00_4853),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1086z00_1320))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_49),BUNSPEC); 
return BgL_new1086z00_1320;} } } 
BGL_FUNCTION_END;
}



/* make-class-field-set */
BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t BgL_fieldz00_50, obj_t BgL_argsz00_51, obj_t BgL_locz00_52, obj_t BgL_tailzf3zf3_53)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 281 */
{ /* Eval/evaluate.scm 282 */
obj_t BgL_setz00_1327;
BgL_setz00_1327 = 
BGl_classzd2fieldzd2mutatorz00zz__objectz00(BgL_fieldz00_50); 
{ /* Eval/evaluate.scm 283 */
BgL_ev_appz00_bglt BgL_new1090z00_1328;
{ /* Eval/evaluate.scm 284 */
BgL_ev_appz00_bglt BgL_new1089z00_1332;
BgL_new1089z00_1332 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 284 */
long BgL_arg1432z00_1333;
{ /* Eval/evaluate.scm 284 */
long BgL_res2681z00_3223;
BgL_res2681z00_3223 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1432z00_1333 = BgL_res2681z00_3223; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1089z00_1332), BgL_arg1432z00_1333); } 
BgL_new1090z00_1328 = BgL_new1089z00_1332; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1090z00_1328))->BgL_locz00)=((obj_t)BgL_locz00_52),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4864;
{ /* Eval/evaluate.scm 285 */
BgL_ev_littz00_bglt BgL_new1092z00_1329;
{ /* Eval/evaluate.scm 285 */
BgL_ev_littz00_bglt BgL_new1091z00_1330;
BgL_new1091z00_1330 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 285 */
long BgL_arg1431z00_1331;
{ /* Eval/evaluate.scm 285 */
long BgL_res2682z00_3227;
{ /* Eval/evaluate.scm 285 */
obj_t BgL_classz00_3226;
BgL_classz00_3226 = BGl_ev_littz00zz__evaluate_typesz00; 
BgL_res2682z00_3227 = 
BGL_CLASS_INDEX(BgL_classz00_3226); } 
BgL_arg1431z00_1331 = BgL_res2682z00_3227; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_1330), BgL_arg1431z00_1331); } 
BgL_new1092z00_1329 = BgL_new1091z00_1330; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1092z00_1329))->BgL_valuez00)=((obj_t)BgL_setz00_1327),BUNSPEC); 
BgL_auxz00_4864 = 
((BgL_ev_exprz00_bglt)BgL_new1092z00_1329); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1090z00_1328))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4864),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1090z00_1328))->BgL_argsz00)=((obj_t)BgL_argsz00_51),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1090z00_1328))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_53),BUNSPEC); 
return BgL_new1090z00_1328;} } } 
BGL_FUNCTION_END;
}



/* evepairify */
obj_t BGl_evepairifyz00zz__evaluatez00(obj_t BgL_pz00_54, obj_t BgL_locz00_55)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 292 */
{ /* Eval/evaluate.scm 293 */
obj_t BgL_arg1433z00_1334;obj_t BgL_arg1434z00_1335;
BgL_arg1433z00_1334 = 
CAR(BgL_pz00_54); 
BgL_arg1434z00_1335 = 
CDR(BgL_pz00_54); 
{ /* Eval/evaluate.scm 293 */
obj_t BgL_res2683z00_3232;
BgL_res2683z00_3232 = 
MAKE_YOUNG_EPAIR(BgL_arg1433z00_1334, BgL_arg1434z00_1335, BgL_locz00_55); 
return BgL_res2683z00_3232;} } } 
BGL_FUNCTION_END;
}



/* type-check */
obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t BgL_varz00_56, obj_t BgL_tnamez00_57, obj_t BgL_locz00_58, obj_t BgL_procnamez00_59, obj_t BgL_bodyz00_60)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 298 */
if(
SYMBOLP(BgL_tnamez00_57))
{ /* Eval/evaluate.scm 301 */
obj_t BgL_predz00_1337;
if(
(BgL_tnamez00_57==BGl_symbol2995z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1337 = BGl_symbol2997z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol2999z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1337 = BGl_symbol3000z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol3002z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1337 = BGl_symbol3004z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol3006z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1337 = BGl_symbol3008z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
bool_t BgL_testz00_4887;
{ /* Eval/evaluate.scm 301 */
bool_t BgL__ortest_1093z00_1413;
BgL__ortest_1093z00_1413 = 
(BgL_tnamez00_57==BGl_symbol3010z00zz__evaluatez00); 
if(BgL__ortest_1093z00_1413)
{ /* Eval/evaluate.scm 301 */
BgL_testz00_4887 = BgL__ortest_1093z00_1413
; }  else 
{ /* Eval/evaluate.scm 301 */
BgL_testz00_4887 = 
(BgL_tnamez00_57==BGl_symbol3012z00zz__evaluatez00)
; } } 
if(BgL_testz00_4887)
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1337 = BGl_symbol3013z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
bool_t BgL_testz00_4891;
{ /* Eval/evaluate.scm 301 */
bool_t BgL__ortest_1094z00_1412;
BgL__ortest_1094z00_1412 = 
(BgL_tnamez00_57==BGl_symbol3015z00zz__evaluatez00); 
if(BgL__ortest_1094z00_1412)
{ /* Eval/evaluate.scm 301 */
BgL_testz00_4891 = BgL__ortest_1094z00_1412
; }  else 
{ /* Eval/evaluate.scm 301 */
BgL_testz00_4891 = 
(BgL_tnamez00_57==BGl_symbol3017z00zz__evaluatez00)
; } } 
if(BgL_testz00_4891)
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1337 = BGl_symbol3019z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol3021z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1337 = BGl_symbol3023z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol3025z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1337 = BGl_symbol3027z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
if(
(BgL_tnamez00_57==BGl_symbol3029z00zz__evaluatez00))
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1337 = BGl_symbol3031z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 301 */
bool_t BgL_testz00_4901;
{ /* Eval/evaluate.scm 301 */
bool_t BgL__ortest_1095z00_1411;
BgL__ortest_1095z00_1411 = 
(BgL_tnamez00_57==BGl_symbol3033z00zz__evaluatez00); 
if(BgL__ortest_1095z00_1411)
{ /* Eval/evaluate.scm 301 */
BgL_testz00_4901 = BgL__ortest_1095z00_1411
; }  else 
{ /* Eval/evaluate.scm 301 */
BgL_testz00_4901 = 
(BgL_tnamez00_57==BGl_symbol3035z00zz__evaluatez00)
; } } 
if(BgL_testz00_4901)
{ /* Eval/evaluate.scm 301 */
BgL_predz00_1337 = BGl_symbol3037z00zz__evaluatez00; }  else 
{ /* Eval/evaluate.scm 312 */
obj_t BgL_arg1482z00_1391;
{ /* Eval/evaluate.scm 312 */
obj_t BgL_arg1483z00_1392;obj_t BgL_arg1484z00_1393;
BgL_arg1483z00_1392 = 
MAKE_YOUNG_PAIR(BGl_symbol3039z00zz__evaluatez00, BNIL); 
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1485z00_1394;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1486z00_1395;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1487z00_1396;obj_t BgL_arg1488z00_1397;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1489z00_1398;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1490z00_1399;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1491z00_1400;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1492z00_1401;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1494z00_1402;
{ /* Eval/evaluate.scm 313 */
obj_t BgL_arg1496z00_1403;
BgL_arg1496z00_1403 = 
MAKE_YOUNG_PAIR(BgL_tnamez00_57, BNIL); 
BgL_arg1494z00_1402 = 
MAKE_YOUNG_PAIR(BGl_symbol3041z00zz__evaluatez00, BgL_arg1496z00_1403); } 
BgL_arg1492z00_1401 = 
MAKE_YOUNG_PAIR(BgL_arg1494z00_1402, BNIL); } 
BgL_arg1491z00_1400 = 
MAKE_YOUNG_PAIR(BGl_symbol3043z00zz__evaluatez00, BgL_arg1492z00_1401); } 
BgL_arg1490z00_1399 = 
MAKE_YOUNG_PAIR(BgL_arg1491z00_1400, BNIL); } 
BgL_arg1489z00_1398 = 
MAKE_YOUNG_PAIR(BGl_symbol3045z00zz__evaluatez00, BgL_arg1490z00_1399); } 
BgL_arg1487z00_1396 = 
MAKE_YOUNG_PAIR(BgL_arg1489z00_1398, BNIL); } 
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1497z00_1404;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1498z00_1405;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1499z00_1406;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1500z00_1407;obj_t BgL_arg1501z00_1408;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1503z00_1409;
{ /* Eval/evaluate.scm 314 */
obj_t BgL_arg1504z00_1410;
BgL_arg1504z00_1410 = 
MAKE_YOUNG_PAIR(BGl_symbol3045z00zz__evaluatez00, BNIL); 
BgL_arg1503z00_1409 = 
MAKE_YOUNG_PAIR(BGl_symbol3039z00zz__evaluatez00, BgL_arg1504z00_1410); } 
BgL_arg1500z00_1407 = 
MAKE_YOUNG_PAIR(BGl_symbol3047z00zz__evaluatez00, BgL_arg1503z00_1409); } 
BgL_arg1501z00_1408 = 
MAKE_YOUNG_PAIR(BTRUE, BNIL); 
BgL_arg1499z00_1406 = 
MAKE_YOUNG_PAIR(BgL_arg1500z00_1407, BgL_arg1501z00_1408); } 
BgL_arg1498z00_1405 = 
MAKE_YOUNG_PAIR(BGl_symbol3045z00zz__evaluatez00, BgL_arg1499z00_1406); } 
BgL_arg1497z00_1404 = 
MAKE_YOUNG_PAIR(BGl_symbol3049z00zz__evaluatez00, BgL_arg1498z00_1405); } 
BgL_arg1488z00_1397 = 
MAKE_YOUNG_PAIR(BgL_arg1497z00_1404, BNIL); } 
BgL_arg1486z00_1395 = 
MAKE_YOUNG_PAIR(BgL_arg1487z00_1396, BgL_arg1488z00_1397); } 
BgL_arg1485z00_1394 = 
MAKE_YOUNG_PAIR(BGl_symbol3051z00zz__evaluatez00, BgL_arg1486z00_1395); } 
BgL_arg1484z00_1393 = 
MAKE_YOUNG_PAIR(BgL_arg1485z00_1394, BNIL); } 
BgL_arg1482z00_1391 = 
MAKE_YOUNG_PAIR(BgL_arg1483z00_1392, BgL_arg1484z00_1393); } 
BgL_predz00_1337 = 
MAKE_YOUNG_PAIR(BGl_symbol3053z00zz__evaluatez00, BgL_arg1482z00_1391); } } } } } } } } } } 
{ /* Eval/evaluate.scm 316 */
obj_t BgL_arg1438z00_1338;
{ /* Eval/evaluate.scm 316 */
obj_t BgL_arg1439z00_1339;
{ /* Eval/evaluate.scm 316 */
obj_t BgL_arg1440z00_1340;obj_t BgL_arg1441z00_1341;
{ /* Eval/evaluate.scm 316 */
obj_t BgL_arg1442z00_1342;
BgL_arg1442z00_1342 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL); 
BgL_arg1440z00_1340 = 
MAKE_YOUNG_PAIR(BgL_predz00_1337, BgL_arg1442z00_1342); } 
{ /* Eval/evaluate.scm 316 */
obj_t BgL_arg1443z00_1343;
{ /* Eval/evaluate.scm 316 */
obj_t BgL_arg1444z00_1344;
{ 
obj_t BgL_fnamez00_1345;obj_t BgL_posz00_1346;
if(
PAIRP(BgL_locz00_58))
{ /* Eval/evaluate.scm 316 */
obj_t BgL_cdrzd2138zd2_1351;
BgL_cdrzd2138zd2_1351 = 
CDR(BgL_locz00_58); 
if(
(
CAR(BgL_locz00_58)==BGl_symbol3059z00zz__evaluatez00))
{ /* Eval/evaluate.scm 316 */
if(
PAIRP(BgL_cdrzd2138zd2_1351))
{ /* Eval/evaluate.scm 316 */
obj_t BgL_cdrzd2142zd2_1355;
BgL_cdrzd2142zd2_1355 = 
CDR(BgL_cdrzd2138zd2_1351); 
if(
PAIRP(BgL_cdrzd2142zd2_1355))
{ /* Eval/evaluate.scm 316 */
if(
NULLP(
CDR(BgL_cdrzd2142zd2_1355)))
{ /* Eval/evaluate.scm 316 */
BgL_fnamez00_1345 = 
CAR(BgL_cdrzd2138zd2_1351); 
BgL_posz00_1346 = 
CAR(BgL_cdrzd2142zd2_1355); 
{ /* Eval/evaluate.scm 321 */
obj_t BgL_arg1457z00_1363;
{ /* Eval/evaluate.scm 321 */
obj_t BgL_arg1459z00_1364;obj_t BgL_arg1460z00_1365;
if(
SYMBOLP(BgL_procnamez00_59))
{ /* Eval/evaluate.scm 321 */
obj_t BgL_res2693z00_3251;
{ /* Eval/evaluate.scm 321 */
obj_t BgL_arg2500z00_3250;
BgL_arg2500z00_3250 = 
SYMBOL_TO_STRING(BgL_procnamez00_59); 
BgL_res2693z00_3251 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2500z00_3250); } 
BgL_arg1459z00_1364 = BgL_res2693z00_3251; }  else 
{ /* Eval/evaluate.scm 321 */
BgL_arg1459z00_1364 = BFALSE; } 
{ /* Eval/evaluate.scm 322 */
obj_t BgL_arg1462z00_1367;obj_t BgL_arg1463z00_1368;
{ /* Eval/evaluate.scm 322 */
obj_t BgL_res2694z00_3254;
{ /* Eval/evaluate.scm 322 */
obj_t BgL_arg2500z00_3253;
BgL_arg2500z00_3253 = 
SYMBOL_TO_STRING(
((obj_t)BgL_tnamez00_57)); 
BgL_res2694z00_3254 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2500z00_3253); } 
BgL_arg1462z00_1367 = BgL_res2694z00_3254; } 
{ /* Eval/evaluate.scm 320 */
obj_t BgL_arg1464z00_1369;
{ /* Eval/evaluate.scm 320 */
obj_t BgL_arg1465z00_1370;
BgL_arg1465z00_1370 = 
MAKE_YOUNG_PAIR(BgL_posz00_1346, BNIL); 
BgL_arg1464z00_1369 = 
MAKE_YOUNG_PAIR(BgL_fnamez00_1345, BgL_arg1465z00_1370); } 
BgL_arg1463z00_1368 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BgL_arg1464z00_1369); } 
BgL_arg1460z00_1365 = 
MAKE_YOUNG_PAIR(BgL_arg1462z00_1367, BgL_arg1463z00_1368); } 
BgL_arg1457z00_1363 = 
MAKE_YOUNG_PAIR(BgL_arg1459z00_1364, BgL_arg1460z00_1365); } 
BgL_arg1444z00_1344 = 
MAKE_YOUNG_PAIR(BGl_symbol3055z00zz__evaluatez00, BgL_arg1457z00_1363); } }  else 
{ /* Eval/evaluate.scm 316 */
BgL_tagzd2131zd2_1348:
{ /* Eval/evaluate.scm 326 */
obj_t BgL_arg1466z00_1371;
{ /* Eval/evaluate.scm 326 */
obj_t BgL_arg1467z00_1372;obj_t BgL_arg1468z00_1373;
if(
SYMBOLP(BgL_procnamez00_59))
{ /* Eval/evaluate.scm 326 */
obj_t BgL_res2696z00_3258;
{ /* Eval/evaluate.scm 326 */
obj_t BgL_arg2500z00_3257;
BgL_arg2500z00_3257 = 
SYMBOL_TO_STRING(BgL_procnamez00_59); 
BgL_res2696z00_3258 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2500z00_3257); } 
BgL_arg1467z00_1372 = BgL_res2696z00_3258; }  else 
{ /* Eval/evaluate.scm 326 */
BgL_arg1467z00_1372 = BFALSE; } 
{ /* Eval/evaluate.scm 327 */
obj_t BgL_arg1470z00_1375;obj_t BgL_arg1471z00_1376;
{ /* Eval/evaluate.scm 327 */
obj_t BgL_res2697z00_3261;
{ /* Eval/evaluate.scm 327 */
obj_t BgL_arg2500z00_3260;
BgL_arg2500z00_3260 = 
SYMBOL_TO_STRING(
((obj_t)BgL_tnamez00_57)); 
BgL_res2697z00_3261 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2500z00_3260); } 
BgL_arg1470z00_1375 = BgL_res2697z00_3261; } 
BgL_arg1471z00_1376 = 
MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL); 
BgL_arg1468z00_1373 = 
MAKE_YOUNG_PAIR(BgL_arg1470z00_1375, BgL_arg1471z00_1376); } 
BgL_arg1466z00_1371 = 
MAKE_YOUNG_PAIR(BgL_arg1467z00_1372, BgL_arg1468z00_1373); } 
BgL_arg1444z00_1344 = 
MAKE_YOUNG_PAIR(BGl_symbol3057z00zz__evaluatez00, BgL_arg1466z00_1371); } } }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1348;} }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1348;} }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1348;} }  else 
{ /* Eval/evaluate.scm 316 */
goto BgL_tagzd2131zd2_1348;} } 
BgL_arg1443z00_1343 = 
MAKE_YOUNG_PAIR(BgL_arg1444z00_1344, BNIL); } 
BgL_arg1441z00_1341 = 
MAKE_YOUNG_PAIR(BgL_bodyz00_60, BgL_arg1443z00_1343); } 
BgL_arg1439z00_1339 = 
MAKE_YOUNG_PAIR(BgL_arg1440z00_1340, BgL_arg1441z00_1341); } 
BgL_arg1438z00_1338 = 
MAKE_YOUNG_PAIR(BGl_symbol3049z00zz__evaluatez00, BgL_arg1439z00_1339); } 
return 
BGl_evepairifyz00zz__evaluatez00(BgL_arg1438z00_1338, BgL_locz00_58);} }  else 
{ /* Eval/evaluate.scm 300 */
return BgL_bodyz00_60;} } 
BGL_FUNCTION_END;
}



/* type-checks */
obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t BgL_varsz00_61, obj_t BgL_srcsz00_62, obj_t BgL_bodyz00_63, obj_t BgL_locz00_64, obj_t BgL_procnamez00_65)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 334 */
{ /* Eval/evaluate.scm 335 */
bool_t BgL_testz00_4973;
{ /* Eval/evaluate.scm 335 */
int BgL_arg1517z00_1432;
BgL_arg1517z00_1432 = 
bgl_debug(); 
BgL_testz00_4973 = 
(
(long)(BgL_arg1517z00_1432)<=((long)0)); } 
if(BgL_testz00_4973)
{ /* Eval/evaluate.scm 335 */
return BgL_bodyz00_63;}  else 
{ /* Eval/evaluate.scm 335 */
return 
BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_63, BgL_procnamez00_65, BgL_locz00_64, BgL_varsz00_61, BgL_srcsz00_62);} } } 
BGL_FUNCTION_END;
}



/* loop~1 */
obj_t BGl_loopze71ze7zz__evaluatez00(obj_t BgL_bodyz00_4465, obj_t BgL_procnamez00_4464, obj_t BgL_locz00_4463, obj_t BgL_varsz00_1417, obj_t BgL_srcsz00_1418)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 337 */
BGl_loopze71ze7zz__evaluatez00:
if(
NULLP(BgL_varsz00_1417))
{ /* Eval/evaluate.scm 339 */
return BgL_bodyz00_4465;}  else 
{ /* Eval/evaluate.scm 341 */
obj_t BgL_vz00_1421;
BgL_vz00_1421 = 
CAR(
((obj_t)BgL_varsz00_1417)); 
{ /* Eval/evaluate.scm 341 */
obj_t BgL_idz00_1422;
BgL_idz00_1422 = 
CAR(
((obj_t)BgL_vz00_1421)); 
{ /* Eval/evaluate.scm 342 */
obj_t BgL_tnamez00_1423;
BgL_tnamez00_1423 = 
CDR(
((obj_t)BgL_vz00_1421)); 
{ /* Eval/evaluate.scm 343 */

if(
CBOOL(BgL_tnamez00_1423))
{ /* Eval/evaluate.scm 345 */
obj_t BgL_locz00_1424;
{ /* Eval/evaluate.scm 345 */
obj_t BgL_arg1513z00_1428;
BgL_arg1513z00_1428 = 
CAR(
((obj_t)BgL_srcsz00_1418)); 
BgL_locz00_1424 = 
BGl_getzd2location3zd2zz__evaluatez00(BgL_arg1513z00_1428, BgL_srcsz00_1418, BgL_locz00_4463); } 
{ /* Eval/evaluate.scm 347 */
obj_t BgL_arg1510z00_1425;
{ /* Eval/evaluate.scm 347 */
obj_t BgL_arg1511z00_1426;obj_t BgL_arg1512z00_1427;
BgL_arg1511z00_1426 = 
CDR(
((obj_t)BgL_varsz00_1417)); 
BgL_arg1512z00_1427 = 
CDR(
((obj_t)BgL_srcsz00_1418)); 
BgL_arg1510z00_1425 = 
BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_4465, BgL_procnamez00_4464, BgL_locz00_4463, BgL_arg1511z00_1426, BgL_arg1512z00_1427); } 
return 
BGl_typezd2checkzd2zz__evaluatez00(BgL_idz00_1422, BgL_tnamez00_1423, BgL_locz00_1424, BgL_procnamez00_4464, BgL_arg1510z00_1425);} }  else 
{ /* Eval/evaluate.scm 348 */
obj_t BgL_arg1514z00_1429;obj_t BgL_arg1515z00_1430;
BgL_arg1514z00_1429 = 
CDR(
((obj_t)BgL_varsz00_1417)); 
BgL_arg1515z00_1430 = 
CDR(
((obj_t)BgL_srcsz00_1418)); 
{ 
obj_t BgL_srcsz00_5002;obj_t BgL_varsz00_5001;
BgL_varsz00_5001 = BgL_arg1514z00_1429; 
BgL_srcsz00_5002 = BgL_arg1515z00_1430; 
BgL_srcsz00_1418 = BgL_srcsz00_5002; 
BgL_varsz00_1417 = BgL_varsz00_5001; 
goto BGl_loopze71ze7zz__evaluatez00;} } } } } } } 
BGL_FUNCTION_END;
}



/* type-result */
obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t BgL_typez00_66, obj_t BgL_bodyz00_67, obj_t BgL_locz00_68)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 353 */
{ /* Eval/evaluate.scm 354 */
bool_t BgL_testz00_5003;
if(
CBOOL(BgL_typez00_66))
{ /* Eval/evaluate.scm 354 */
int BgL_arg1534z00_1447;
BgL_arg1534z00_1447 = 
bgl_debug(); 
BgL_testz00_5003 = 
(
(long)(BgL_arg1534z00_1447)>=((long)1)); }  else 
{ /* Eval/evaluate.scm 354 */
BgL_testz00_5003 = ((bool_t)0)
; } 
if(BgL_testz00_5003)
{ /* Eval/evaluate.scm 355 */
obj_t BgL_tmpz00_1435;
BgL_tmpz00_1435 = 
BGl_gensymz00zz__r4_symbols_6_4z00(BGl_symbol3061z00zz__evaluatez00); 
{ /* Eval/evaluate.scm 357 */
obj_t BgL_arg1520z00_1436;obj_t BgL_arg1521z00_1437;
{ /* Eval/evaluate.scm 357 */
obj_t BgL_arg1522z00_1438;
{ /* Eval/evaluate.scm 357 */
obj_t BgL_arg1523z00_1439;obj_t BgL_arg1524z00_1440;
{ /* Eval/evaluate.scm 357 */
obj_t BgL_arg1525z00_1441;
{ /* Eval/evaluate.scm 357 */
obj_t BgL_arg1528z00_1442;obj_t BgL_arg1529z00_1443;
{ /* Eval/evaluate.scm 357 */
obj_t BgL_arg1530z00_1444;
{ /* Eval/evaluate.scm 357 */
obj_t BgL_list1531z00_1445;
{ /* Eval/evaluate.scm 357 */
obj_t BgL_arg1533z00_1446;
BgL_arg1533z00_1446 = 
MAKE_YOUNG_PAIR(BgL_typez00_66, BNIL); 
BgL_list1531z00_1445 = 
MAKE_YOUNG_PAIR(BgL_tmpz00_1435, BgL_arg1533z00_1446); } 
BgL_arg1530z00_1444 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3063z00zz__evaluatez00, BgL_list1531z00_1445); } 
BgL_arg1528z00_1442 = 
bstring_to_symbol(BgL_arg1530z00_1444); } 
BgL_arg1529z00_1443 = 
MAKE_YOUNG_PAIR(BgL_bodyz00_67, BNIL); 
BgL_arg1525z00_1441 = 
MAKE_YOUNG_PAIR(BgL_arg1528z00_1442, BgL_arg1529z00_1443); } 
BgL_arg1523z00_1439 = 
MAKE_YOUNG_PAIR(BgL_arg1525z00_1441, BNIL); } 
BgL_arg1524z00_1440 = 
MAKE_YOUNG_PAIR(BgL_tmpz00_1435, BNIL); 
BgL_arg1522z00_1438 = 
MAKE_YOUNG_PAIR(BgL_arg1523z00_1439, BgL_arg1524z00_1440); } 
BgL_arg1520z00_1436 = 
MAKE_YOUNG_PAIR(BGl_symbol3051z00zz__evaluatez00, BgL_arg1522z00_1438); } 
BgL_arg1521z00_1437 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bodyz00_67, BgL_locz00_68); 
return 
BGl_evepairifyz00zz__evaluatez00(BgL_arg1520z00_1436, BgL_arg1521z00_1437);} }  else 
{ /* Eval/evaluate.scm 354 */
return BgL_bodyz00_67;} } } 
BGL_FUNCTION_END;
}



/* conv */
obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_69, obj_t BgL_localsz00_70, obj_t BgL_globalsz00_71, obj_t BgL_tailzf3zf3_72, obj_t BgL_wherez00_73, obj_t BgL_locz00_74, bool_t BgL_topzf3zf3_75)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 365 */
BGl_convz00zz__evaluatez00:
{ 
obj_t BgL_ez00_2626;obj_t BgL_locz00_2627;obj_t BgL_wherez00_2628;obj_t BgL_ez00_2636;obj_t BgL_wherez00_2637;
{ 
obj_t BgL_xz00_1456;obj_t BgL_bahz00_1458;obj_t BgL_idz00_1460;obj_t BgL_modnamez00_1461;obj_t BgL_lz00_1463;obj_t BgL_funz00_1465;obj_t BgL_argsz00_1466;obj_t BgL_ez00_1468;obj_t BgL_vz00_1470;obj_t BgL_pz00_1472;obj_t BgL_tz00_1473;obj_t BgL_oz00_1474;obj_t BgL_pz00_1476;obj_t BgL_tz00_1477;obj_t BgL_argsz00_1479;obj_t BgL_argsz00_1481;obj_t BgL_lz00_1483;obj_t BgL_bindsz00_1485;obj_t BgL_bodyz00_1486;obj_t BgL_bindsz00_1488;obj_t BgL_bodyz00_1489;obj_t BgL_bindsz00_1491;obj_t BgL_bodyz00_1492;obj_t BgL_idz00_1494;obj_t BgL_modnamez00_1495;obj_t BgL_ez00_1496;obj_t BgL_lz00_1498;obj_t BgL_e2z00_1499;obj_t BgL_vz00_1501;obj_t BgL_ez00_1502;obj_t BgL_gvz00_1505;obj_t BgL_formalsz00_1506;obj_t BgL_bodyz00_1507;obj_t BgL_gvz00_1509;obj_t BgL_gez00_1510;obj_t BgL_vz00_1512;obj_t BgL_bodyz00_1513;obj_t BgL_ez00_1515;obj_t BgL_bodyz00_1516;obj_t BgL_hz00_1518;obj_t BgL_bodyz00_1519;obj_t BgL_mz00_1521;obj_t BgL_pz00_1522;obj_t BgL_bodyz00_1523;obj_t BgL_mz00_1525;obj_t BgL_bodyz00_1526;obj_t BgL_formalsz00_1528;obj_t BgL_bodyz00_1529;obj_t BgL_fz00_1531;obj_t BgL_argsz00_1532;
if(
PAIRP(BgL_ez00_69))
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3072z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
BgL_bahz00_1458 = 
CDR(BgL_ez00_69); 
if(BgL_topzf3zf3_75)
{ /* Eval/evaluate.scm 432 */
obj_t BgL_formsz00_2316;
BgL_formsz00_2316 = 
BGl_evmodulez00zz__evmodulez00(BgL_ez00_69, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_69, BgL_locz00_74)); 
{ /* Eval/evaluate.scm 433 */
obj_t BgL_arg2197z00_2317;obj_t BgL_arg2198z00_2318;
BgL_arg2197z00_2317 = 
BGl_expandz00zz__expandz00(BgL_formsz00_2316); 
BgL_arg2198z00_2318 = 
BGL_MODULE(); 
{ 
bool_t BgL_topzf3zf3_5036;obj_t BgL_wherez00_5035;obj_t BgL_tailzf3zf3_5034;obj_t BgL_globalsz00_5033;obj_t BgL_ez00_5032;
BgL_ez00_5032 = BgL_arg2197z00_2317; 
BgL_globalsz00_5033 = BgL_arg2198z00_2318; 
BgL_tailzf3zf3_5034 = BgL_wherez00_73; 
BgL_wherez00_5035 = BFALSE; 
BgL_topzf3zf3_5036 = ((bool_t)1); 
BgL_topzf3zf3_75 = BgL_topzf3zf3_5036; 
BgL_wherez00_73 = BgL_wherez00_5035; 
BgL_tailzf3zf3_72 = BgL_tailzf3zf3_5034; 
BgL_globalsz00_71 = BgL_globalsz00_5033; 
BgL_ez00_69 = BgL_ez00_5032; 
goto BGl_convz00zz__evaluatez00;} } }  else 
{ /* Eval/evaluate.scm 431 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2989z00zz__evaluatez00, BGl_string3071z00zz__evaluatez00, BgL_ez00_69);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd2249zd2_1540;
BgL_cdrzd2249zd2_1540 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3074z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2249zd2_1540))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd2252zd2_1544;obj_t BgL_cdrzd2253zd2_1545;
BgL_carzd2252zd2_1544 = 
CAR(BgL_cdrzd2249zd2_1540); 
BgL_cdrzd2253zd2_1545 = 
CDR(BgL_cdrzd2249zd2_1540); 
if(
SYMBOLP(BgL_carzd2252zd2_1544))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2253zd2_1545))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd2257zd2_1548;
BgL_carzd2257zd2_1548 = 
CAR(BgL_cdrzd2253zd2_1545); 
if(
SYMBOLP(BgL_carzd2257zd2_1548))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd2253zd2_1545)))
{ 
BgL_ev_globalz00_bglt BgL_auxz00_5057;
BgL_idz00_1460 = BgL_carzd2252zd2_1544; 
BgL_modnamez00_1461 = BgL_carzd2257zd2_1548; 
{ /* Eval/evaluate.scm 437 */
BgL_ev_globalz00_bglt BgL_new1106z00_2320;
{ /* Eval/evaluate.scm 438 */
BgL_ev_globalz00_bglt BgL_new1105z00_2321;
BgL_new1105z00_2321 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate.scm 438 */
long BgL_arg2200z00_2322;
{ /* Eval/evaluate.scm 438 */
long BgL_res2721z00_3324;
BgL_res2721z00_3324 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg2200z00_2322 = BgL_res2721z00_3324; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1105z00_2321), BgL_arg2200z00_2322); } 
BgL_new1106z00_2320 = BgL_new1105z00_2321; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1106z00_2320))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1106z00_2320))->BgL_namez00)=((obj_t)BgL_idz00_1460),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1106z00_2320))->BgL_modz00)=((obj_t)
BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_1461)),BUNSPEC); 
BgL_auxz00_5057 = BgL_new1106z00_2320; } 
return 
((obj_t)BgL_auxz00_5057);}  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd2302zd2_1552;
BgL_carzd2302zd2_1552 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd2302zd2_1552))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd2302zd2_1552, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5073;
BgL_funz00_1465 = BgL_carzd2302zd2_1552; 
BgL_argsz00_1466 = BgL_cdrzd2249zd2_1540; 
BgL_tagzd2152zd2_1467:
{ /* Eval/evaluate.scm 449 */
obj_t BgL_funz00_2349;obj_t BgL_argsz00_2350;
BgL_funz00_2349 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_funz00_1465); 
BgL_argsz00_2350 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1466); 
{ /* Eval/evaluate.scm 450 */
BgL_ev_appz00_bglt BgL_new1108z00_2351;
{ /* Eval/evaluate.scm 451 */
BgL_ev_appz00_bglt BgL_new1107z00_2352;
BgL_new1107z00_2352 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 451 */
long BgL_arg2214z00_2353;
{ /* Eval/evaluate.scm 451 */
long BgL_res2726z00_3335;
BgL_res2726z00_3335 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg2214z00_2353 = BgL_res2726z00_3335; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1107z00_2352), BgL_arg2214z00_2353); } 
BgL_new1108z00_2351 = BgL_new1107z00_2352; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1108z00_2351))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1108z00_2351))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_funz00_2349)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1108z00_2351))->BgL_argsz00)=((obj_t)BgL_argsz00_2350),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1108z00_2351))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_72),BUNSPEC); 
BgL_auxz00_5073 = BgL_new1108z00_2351; } } 
return 
((obj_t)BgL_auxz00_5073);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5086;
BgL_fz00_1531 = BgL_carzd2302zd2_1552; 
BgL_argsz00_1532 = BgL_cdrzd2249zd2_1540; 
BgL_tagzd2175zd2_1533:
{ /* Eval/evaluate.scm 597 */
obj_t BgL_funz00_2615;obj_t BgL_argsz00_2616;
BgL_funz00_2615 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_fz00_1531); 
BgL_argsz00_2616 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1532); 
{ /* Eval/evaluate.scm 598 */
BgL_ev_appz00_bglt BgL_new1156z00_2617;
{ /* Eval/evaluate.scm 599 */
BgL_ev_appz00_bglt BgL_new1155z00_2618;
BgL_new1155z00_2618 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate.scm 599 */
long BgL_arg2334z00_2619;
{ /* Eval/evaluate.scm 599 */
long BgL_res2790z00_3545;
BgL_res2790z00_3545 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg2334z00_2619 = BgL_res2790z00_3545; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1155z00_2618), BgL_arg2334z00_2619); } 
BgL_new1156z00_2617 = BgL_new1155z00_2618; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1156z00_2617))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1156z00_2617))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_funz00_2615)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1156z00_2617))->BgL_argsz00)=((obj_t)BgL_argsz00_2616),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1156z00_2617))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf3zf3_72),BUNSPEC); 
BgL_auxz00_5086 = BgL_new1156z00_2617; } } 
return 
((obj_t)BgL_auxz00_5086);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5099;
{ 
obj_t BgL_argsz00_5101;obj_t BgL_fz00_5100;
BgL_fz00_5100 = BgL_carzd2302zd2_1552; 
BgL_argsz00_5101 = BgL_cdrzd2249zd2_1540; 
BgL_argsz00_1532 = BgL_argsz00_5101; 
BgL_fz00_1531 = BgL_fz00_5100; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5099);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd21005zd2_1563;
BgL_carzd21005zd2_1563 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd21005zd2_1563))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd21005zd2_1563, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5109;
{ 
obj_t BgL_argsz00_5111;obj_t BgL_funz00_5110;
BgL_funz00_5110 = BgL_carzd21005zd2_1563; 
BgL_argsz00_5111 = BgL_cdrzd2249zd2_1540; 
BgL_argsz00_1466 = BgL_argsz00_5111; 
BgL_funz00_1465 = BgL_funz00_5110; 
goto BgL_tagzd2152zd2_1467;} 
return 
((obj_t)BgL_auxz00_5109);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5113;
{ 
obj_t BgL_argsz00_5115;obj_t BgL_fz00_5114;
BgL_fz00_5114 = BgL_carzd21005zd2_1563; 
BgL_argsz00_5115 = BgL_cdrzd2249zd2_1540; 
BgL_argsz00_1532 = BgL_argsz00_5115; 
BgL_fz00_1531 = BgL_fz00_5114; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5113);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5117;
{ 
obj_t BgL_argsz00_5119;obj_t BgL_fz00_5118;
BgL_fz00_5118 = BgL_carzd21005zd2_1563; 
BgL_argsz00_5119 = BgL_cdrzd2249zd2_1540; 
BgL_argsz00_1532 = BgL_argsz00_5119; 
BgL_fz00_1531 = BgL_fz00_5118; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5117);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd21708zd2_1573;
BgL_carzd21708zd2_1573 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd21708zd2_1573))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd21708zd2_1573, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5127;
{ 
obj_t BgL_argsz00_5129;obj_t BgL_funz00_5128;
BgL_funz00_5128 = BgL_carzd21708zd2_1573; 
BgL_argsz00_5129 = BgL_cdrzd2249zd2_1540; 
BgL_argsz00_1466 = BgL_argsz00_5129; 
BgL_funz00_1465 = BgL_funz00_5128; 
goto BgL_tagzd2152zd2_1467;} 
return 
((obj_t)BgL_auxz00_5127);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5131;
{ 
obj_t BgL_argsz00_5133;obj_t BgL_fz00_5132;
BgL_fz00_5132 = BgL_carzd21708zd2_1573; 
BgL_argsz00_5133 = BgL_cdrzd2249zd2_1540; 
BgL_argsz00_1532 = BgL_argsz00_5133; 
BgL_fz00_1531 = BgL_fz00_5132; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5131);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5135;
{ 
obj_t BgL_argsz00_5137;obj_t BgL_fz00_5136;
BgL_fz00_5136 = BgL_carzd21708zd2_1573; 
BgL_argsz00_5137 = BgL_cdrzd2249zd2_1540; 
BgL_argsz00_1532 = BgL_argsz00_5137; 
BgL_fz00_1531 = BgL_fz00_5136; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5135);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd22411zd2_1583;
BgL_carzd22411zd2_1583 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd22411zd2_1583))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd22411zd2_1583, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5145;
{ 
obj_t BgL_argsz00_5147;obj_t BgL_funz00_5146;
BgL_funz00_5146 = BgL_carzd22411zd2_1583; 
BgL_argsz00_5147 = BgL_cdrzd2249zd2_1540; 
BgL_argsz00_1466 = BgL_argsz00_5147; 
BgL_funz00_1465 = BgL_funz00_5146; 
goto BgL_tagzd2152zd2_1467;} 
return 
((obj_t)BgL_auxz00_5145);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5149;
{ 
obj_t BgL_argsz00_5151;obj_t BgL_fz00_5150;
BgL_fz00_5150 = BgL_carzd22411zd2_1583; 
BgL_argsz00_5151 = BgL_cdrzd2249zd2_1540; 
BgL_argsz00_1532 = BgL_argsz00_5151; 
BgL_fz00_1531 = BgL_fz00_5150; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5149);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5153;
{ 
obj_t BgL_argsz00_5155;obj_t BgL_fz00_5154;
BgL_fz00_5154 = BgL_carzd22411zd2_1583; 
BgL_argsz00_5155 = BgL_cdrzd2249zd2_1540; 
BgL_argsz00_1532 = BgL_argsz00_5155; 
BgL_fz00_1531 = BgL_fz00_5154; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5153);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd23114zd2_1593;
BgL_carzd23114zd2_1593 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd23114zd2_1593))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd23114zd2_1593, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5163;
{ 
obj_t BgL_argsz00_5165;obj_t BgL_funz00_5164;
BgL_funz00_5164 = BgL_carzd23114zd2_1593; 
BgL_argsz00_5165 = BgL_cdrzd2249zd2_1540; 
BgL_argsz00_1466 = BgL_argsz00_5165; 
BgL_funz00_1465 = BgL_funz00_5164; 
goto BgL_tagzd2152zd2_1467;} 
return 
((obj_t)BgL_auxz00_5163);}  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5167;
{ 
obj_t BgL_argsz00_5169;obj_t BgL_fz00_5168;
BgL_fz00_5168 = BgL_carzd23114zd2_1593; 
BgL_argsz00_5169 = BgL_cdrzd2249zd2_1540; 
BgL_argsz00_1532 = BgL_argsz00_5169; 
BgL_fz00_1531 = BgL_fz00_5168; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5167);} }  else 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5171;
{ 
obj_t BgL_argsz00_5173;obj_t BgL_fz00_5172;
BgL_fz00_5172 = BgL_carzd23114zd2_1593; 
BgL_argsz00_5173 = BgL_cdrzd2249zd2_1540; 
BgL_argsz00_1532 = BgL_argsz00_5173; 
BgL_fz00_1531 = BgL_fz00_5172; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5171);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3076z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
BgL_lz00_1463 = BgL_cdrzd2249zd2_1540; 
{ /* Eval/evaluate.scm 442 */
bool_t BgL_testz00_5178;
if(
PAIRP(BgL_lz00_1463))
{ /* Eval/evaluate.scm 442 */
bool_t BgL_testz00_5181;
{ /* Eval/evaluate.scm 442 */
obj_t BgL_tmpz00_5182;
BgL_tmpz00_5182 = 
CDR(BgL_lz00_1463); 
BgL_testz00_5181 = 
PAIRP(BgL_tmpz00_5182); } 
if(BgL_testz00_5181)
{ 
obj_t BgL_l1205z00_2340;
BgL_l1205z00_2340 = BgL_lz00_1463; 
BgL_zc3anonymousza32210ze3z83_2341:
if(
NULLP(BgL_l1205z00_2340))
{ /* Eval/evaluate.scm 442 */
BgL_testz00_5178 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate.scm 442 */
bool_t BgL_testz00_5187;
{ /* Eval/evaluate.scm 442 */
obj_t BgL_tmpz00_5188;
BgL_tmpz00_5188 = 
CAR(
((obj_t)BgL_l1205z00_2340)); 
BgL_testz00_5187 = 
SYMBOLP(BgL_tmpz00_5188); } 
if(BgL_testz00_5187)
{ 
obj_t BgL_l1205z00_5192;
BgL_l1205z00_5192 = 
CDR(
((obj_t)BgL_l1205z00_2340)); 
BgL_l1205z00_2340 = BgL_l1205z00_5192; 
goto BgL_zc3anonymousza32210ze3z83_2341;}  else 
{ /* Eval/evaluate.scm 442 */
BgL_testz00_5178 = ((bool_t)0)
; } } }  else 
{ /* Eval/evaluate.scm 442 */
BgL_testz00_5178 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 442 */
BgL_testz00_5178 = ((bool_t)0)
; } 
if(BgL_testz00_5178)
{ /* Eval/evaluate.scm 442 */
return 
BGl_convzd2fieldzd2refz00zz__evaluatez00(BgL_ez00_69, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 442 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2989z00zz__evaluatez00, BGl_string3066z00zz__evaluatez00, BgL_ez00_69);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd23820zd2_1606;
BgL_carzd23820zd2_1606 = 
CAR(BgL_ez00_69); 
if(
SYMBOLP(BgL_carzd23820zd2_1606))
{ /* Eval/evaluate.scm 424 */
if(
CBOOL(
BGl_convzd2varzd2zz__evaluatez00(BgL_carzd23820zd2_1606, BgL_localsz00_70)))
{ 
BgL_ev_appz00_bglt BgL_auxz00_5203;
{ 
obj_t BgL_argsz00_5205;obj_t BgL_funz00_5204;
BgL_funz00_5204 = BgL_carzd23820zd2_1606; 
BgL_argsz00_5205 = BgL_cdrzd2249zd2_1540; 
BgL_argsz00_1466 = BgL_argsz00_5205; 
BgL_funz00_1465 = BgL_funz00_5204; 
goto BgL_tagzd2152zd2_1467;} 
return 
((obj_t)BgL_auxz00_5203);}  else 
{ /* Eval/evaluate.scm 424 */
if(
(BgL_carzd23820zd2_1606==BGl_symbol3078z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2249zd2_1540))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd2249zd2_1540)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1604z00_1617;
BgL_arg1604z00_1617 = 
CAR(BgL_cdrzd2249zd2_1540); 
{ 
BgL_ev_trapz00_bglt BgL_auxz00_5215;
BgL_ez00_1468 = BgL_arg1604z00_1617; 
BgL_tagzd2153zd2_1469:
{ /* Eval/evaluate.scm 456 */
BgL_ev_trapz00_bglt BgL_new1110z00_2354;
{ /* Eval/evaluate.scm 457 */
BgL_ev_trapz00_bglt BgL_new1109z00_2355;
BgL_new1109z00_2355 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate.scm 457 */
long BgL_arg2215z00_2356;
{ /* Eval/evaluate.scm 457 */
long BgL_res2727z00_3339;
BgL_res2727z00_3339 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BgL_arg2215z00_2356 = BgL_res2727z00_3339; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1109z00_2355), BgL_arg2215z00_2356); } 
BgL_new1110z00_2354 = BgL_new1109z00_2355; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1110z00_2354)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1468))),BUNSPEC); 
BgL_auxz00_5215 = BgL_new1110z00_2354; } 
return 
((obj_t)BgL_auxz00_5215);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1605z00_1618;obj_t BgL_arg1606z00_1619;
BgL_arg1605z00_1618 = 
CAR(BgL_ez00_69); 
BgL_arg1606z00_1619 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5227;
{ 
obj_t BgL_argsz00_5229;obj_t BgL_fz00_5228;
BgL_fz00_5228 = BgL_arg1605z00_1618; 
BgL_argsz00_5229 = BgL_arg1606z00_1619; 
BgL_argsz00_1532 = BgL_argsz00_5229; 
BgL_fz00_1531 = BgL_fz00_5228; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5227);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1608z00_1621;obj_t BgL_arg1609z00_1622;
BgL_arg1608z00_1621 = 
CAR(BgL_ez00_69); 
BgL_arg1609z00_1622 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5233;
{ 
obj_t BgL_argsz00_5235;obj_t BgL_fz00_5234;
BgL_fz00_5234 = BgL_arg1608z00_1621; 
BgL_argsz00_5235 = BgL_arg1609z00_1622; 
BgL_argsz00_1532 = BgL_argsz00_5235; 
BgL_fz00_1531 = BgL_fz00_5234; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5233);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd24489zd2_1623;
BgL_cdrzd24489zd2_1623 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3041z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd24489zd2_1623))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd24489zd2_1623)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1617z00_1629;
BgL_arg1617z00_1629 = 
CAR(BgL_cdrzd24489zd2_1623); 
{ 
BgL_ev_littz00_bglt BgL_auxz00_5247;
BgL_vz00_1470 = BgL_arg1617z00_1629; 
BgL_tagzd2154zd2_1471:
{ /* Eval/evaluate.scm 459 */
BgL_ev_littz00_bglt BgL_new1112z00_2357;
{ /* Eval/evaluate.scm 460 */
BgL_ev_littz00_bglt BgL_new1111z00_2358;
BgL_new1111z00_2358 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 460 */
long BgL_arg2216z00_2359;
{ /* Eval/evaluate.scm 460 */
long BgL_res2728z00_3343;
BgL_res2728z00_3343 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg2216z00_2359 = BgL_res2728z00_3343; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1111z00_2358), BgL_arg2216z00_2359); } 
BgL_new1112z00_2357 = BgL_new1111z00_2358; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1112z00_2357))->BgL_valuez00)=((obj_t)BgL_vz00_1470),BUNSPEC); 
BgL_auxz00_5247 = BgL_new1112z00_2357; } 
return 
((obj_t)BgL_auxz00_5247);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1618z00_1630;
BgL_arg1618z00_1630 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5255;
{ 
obj_t BgL_argsz00_5257;obj_t BgL_fz00_5256;
BgL_fz00_5256 = BgL_arg1618z00_1630; 
BgL_argsz00_5257 = BgL_cdrzd24489zd2_1623; 
BgL_argsz00_1532 = BgL_argsz00_5257; 
BgL_fz00_1531 = BgL_fz00_5256; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5255);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1622z00_1633;
BgL_arg1622z00_1633 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5260;
{ 
obj_t BgL_argsz00_5262;obj_t BgL_fz00_5261;
BgL_fz00_5261 = BgL_arg1622z00_1633; 
BgL_argsz00_5262 = BgL_cdrzd24489zd2_1623; 
BgL_argsz00_1532 = BgL_argsz00_5262; 
BgL_fz00_1531 = BgL_fz00_5261; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5260);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3049z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd24489zd2_1623))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd25099zd2_1639;
BgL_cdrzd25099zd2_1639 = 
CDR(BgL_cdrzd24489zd2_1623); 
if(
PAIRP(BgL_cdrzd25099zd2_1639))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd25104zd2_1641;
BgL_cdrzd25104zd2_1641 = 
CDR(BgL_cdrzd25099zd2_1639); 
if(
PAIRP(BgL_cdrzd25104zd2_1641))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd25104zd2_1641)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1639z00_1645;obj_t BgL_arg1641z00_1646;obj_t BgL_arg1643z00_1647;
BgL_arg1639z00_1645 = 
CAR(BgL_cdrzd24489zd2_1623); 
BgL_arg1641z00_1646 = 
CAR(BgL_cdrzd25099zd2_1639); 
BgL_arg1643z00_1647 = 
CAR(BgL_cdrzd25104zd2_1641); 
{ 
BgL_ev_ifz00_bglt BgL_auxz00_5281;
BgL_pz00_1472 = BgL_arg1639z00_1645; 
BgL_tz00_1473 = BgL_arg1641z00_1646; 
BgL_oz00_1474 = BgL_arg1643z00_1647; 
BgL_tagzd2155zd2_1475:
{ /* Eval/evaluate.scm 462 */
BgL_ev_ifz00_bglt BgL_new1114z00_2360;
{ /* Eval/evaluate.scm 463 */
BgL_ev_ifz00_bglt BgL_new1113z00_2364;
BgL_new1113z00_2364 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate.scm 463 */
long BgL_arg2220z00_2365;
{ /* Eval/evaluate.scm 463 */
long BgL_res2729z00_3347;
BgL_res2729z00_3347 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg2220z00_2365 = BgL_res2729z00_3347; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_2364), BgL_arg2220z00_2365); } 
BgL_new1114z00_2360 = BgL_new1113z00_2364; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5286;
{ /* Eval/evaluate.scm 463 */
obj_t BgL_arg2217z00_2361;
BgL_arg2217z00_2361 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_pz00_1472, BgL_locz00_74); 
BgL_auxz00_5286 = 
((BgL_ev_exprz00_bglt)
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1472, BgL_arg2217z00_2361)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1114z00_2360))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5286),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5291;
{ /* Eval/evaluate.scm 464 */
obj_t BgL_arg2218z00_2362;
BgL_arg2218z00_2362 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_tz00_1473, BgL_locz00_74); 
BgL_auxz00_5291 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_tz00_1473, BgL_arg2218z00_2362)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1114z00_2360))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5291),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5296;
{ /* Eval/evaluate.scm 465 */
obj_t BgL_arg2219z00_2363;
BgL_arg2219z00_2363 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_oz00_1474, BgL_locz00_74); 
BgL_auxz00_5296 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_oz00_1474, BgL_arg2219z00_2363)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1114z00_2360))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5296),BUNSPEC); } 
BgL_auxz00_5281 = BgL_new1114z00_2360; } 
return 
((obj_t)BgL_auxz00_5281);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1644z00_1648;obj_t BgL_arg1646z00_1649;
BgL_arg1644z00_1648 = 
CAR(BgL_ez00_69); 
BgL_arg1646z00_1649 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5304;
{ 
obj_t BgL_argsz00_5306;obj_t BgL_fz00_5305;
BgL_fz00_5305 = BgL_arg1644z00_1648; 
BgL_argsz00_5306 = BgL_arg1646z00_1649; 
BgL_argsz00_1532 = BgL_argsz00_5306; 
BgL_fz00_1531 = BgL_fz00_5305; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5304);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd25402zd2_1651;
BgL_cdrzd25402zd2_1651 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd25408zd2_1652;
BgL_cdrzd25408zd2_1652 = 
CDR(
((obj_t)BgL_cdrzd25402zd2_1651)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd25408zd2_1652))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1650z00_1655;obj_t BgL_arg1651z00_1656;
BgL_arg1650z00_1655 = 
CAR(
((obj_t)BgL_cdrzd25402zd2_1651)); 
BgL_arg1651z00_1656 = 
CAR(
((obj_t)BgL_cdrzd25408zd2_1652)); 
{ 
BgL_ev_ifz00_bglt BgL_auxz00_5319;
BgL_pz00_1476 = BgL_arg1650z00_1655; 
BgL_tz00_1477 = BgL_arg1651z00_1656; 
BgL_tagzd2156zd2_1478:
{ /* Eval/evaluate.scm 467 */
BgL_ev_ifz00_bglt BgL_new1116z00_2366;
{ /* Eval/evaluate.scm 468 */
BgL_ev_ifz00_bglt BgL_new1115z00_2370;
BgL_new1115z00_2370 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate.scm 468 */
long BgL_arg2224z00_2371;
{ /* Eval/evaluate.scm 468 */
long BgL_res2730z00_3351;
BgL_res2730z00_3351 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg2224z00_2371 = BgL_res2730z00_3351; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_2370), BgL_arg2224z00_2371); } 
BgL_new1116z00_2366 = BgL_new1115z00_2370; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5324;
{ /* Eval/evaluate.scm 468 */
obj_t BgL_arg2221z00_2367;
BgL_arg2221z00_2367 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_pz00_1476, BgL_locz00_74); 
BgL_auxz00_5324 = 
((BgL_ev_exprz00_bglt)
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1476, BgL_arg2221z00_2367)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1116z00_2366))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5324),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5329;
{ /* Eval/evaluate.scm 469 */
obj_t BgL_arg2222z00_2368;
BgL_arg2222z00_2368 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_tz00_1477, BgL_locz00_74); 
BgL_auxz00_5329 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_tz00_1477, BgL_arg2222z00_2368)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1116z00_2366))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5329),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5334;
{ /* Eval/evaluate.scm 470 */
obj_t BgL_arg2223z00_2369;
BgL_arg2223z00_2369 = 
BGl_getzd2locationzd2zz__evaluatez00(BFALSE, BgL_locz00_74); 
BgL_auxz00_5334 = 
((BgL_ev_exprz00_bglt)
BGl_rconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_tailzf3zf3_72, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_arg2223z00_2369)); } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1116z00_2366))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5334),BUNSPEC); } 
BgL_auxz00_5319 = BgL_new1116z00_2366; } 
return 
((obj_t)BgL_auxz00_5319);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1652z00_1657;
BgL_arg1652z00_1657 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5341;
{ 
obj_t BgL_argsz00_5343;obj_t BgL_fz00_5342;
BgL_fz00_5342 = BgL_arg1652z00_1657; 
BgL_argsz00_5343 = BgL_cdrzd25402zd2_1651; 
BgL_argsz00_1532 = BgL_argsz00_5343; 
BgL_fz00_1531 = BgL_fz00_5342; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5341);} } } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1657z00_1660;obj_t BgL_arg1658z00_1661;
BgL_arg1657z00_1660 = 
CAR(BgL_ez00_69); 
BgL_arg1658z00_1661 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5347;
{ 
obj_t BgL_argsz00_5349;obj_t BgL_fz00_5348;
BgL_fz00_5348 = BgL_arg1657z00_1660; 
BgL_argsz00_5349 = BgL_arg1658z00_1661; 
BgL_argsz00_1532 = BgL_argsz00_5349; 
BgL_fz00_1531 = BgL_fz00_5348; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5347);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1659z00_1662;obj_t BgL_arg1660z00_1663;
BgL_arg1659z00_1662 = 
CAR(BgL_ez00_69); 
BgL_arg1660z00_1663 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5353;
{ 
obj_t BgL_argsz00_5355;obj_t BgL_fz00_5354;
BgL_fz00_5354 = BgL_arg1659z00_1662; 
BgL_argsz00_5355 = BgL_arg1660z00_1663; 
BgL_argsz00_1532 = BgL_argsz00_5355; 
BgL_fz00_1531 = BgL_fz00_5354; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5353);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3080z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1663z00_1666;
BgL_arg1663z00_1666 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_orz00_bglt BgL_auxz00_5361;
BgL_argsz00_1479 = BgL_arg1663z00_1666; 
BgL_tagzd2157zd2_1480:
{ /* Eval/evaluate.scm 472 */
BgL_ev_orz00_bglt BgL_new1118z00_2372;
{ /* Eval/evaluate.scm 473 */
BgL_ev_orz00_bglt BgL_new1117z00_2373;
BgL_new1117z00_2373 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate.scm 473 */
long BgL_arg2225z00_2374;
{ /* Eval/evaluate.scm 473 */
long BgL_res2731z00_3355;
BgL_res2731z00_3355 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BgL_arg2225z00_2374 = BgL_res2731z00_3355; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_2373), BgL_arg2225z00_2374); } 
BgL_new1118z00_2372 = BgL_new1117z00_2373; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1118z00_2372)))->BgL_argsz00)=((obj_t)
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1479)),BUNSPEC); 
BgL_auxz00_5361 = BgL_new1118z00_2372; } 
return 
((obj_t)BgL_auxz00_5361);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3082z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1666z00_1669;
BgL_arg1666z00_1669 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_andz00_bglt BgL_auxz00_5374;
BgL_argsz00_1481 = BgL_arg1666z00_1669; 
BgL_tagzd2158zd2_1482:
{ /* Eval/evaluate.scm 475 */
BgL_ev_andz00_bglt BgL_new1120z00_2375;
{ /* Eval/evaluate.scm 476 */
BgL_ev_andz00_bglt BgL_new1119z00_2376;
BgL_new1119z00_2376 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate.scm 476 */
long BgL_arg2226z00_2377;
{ /* Eval/evaluate.scm 476 */
long BgL_res2732z00_3359;
BgL_res2732z00_3359 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BgL_arg2226z00_2377 = BgL_res2732z00_3359; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_2376), BgL_arg2226z00_2377); } 
BgL_new1120z00_2375 = BgL_new1119z00_2376; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1120z00_2375)))->BgL_argsz00)=((obj_t)
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_locz00_74, BgL_argsz00_1481)),BUNSPEC); 
BgL_auxz00_5374 = BgL_new1120z00_2375; } 
return 
((obj_t)BgL_auxz00_5374);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3067z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
BgL_lz00_1483 = 
CDR(BgL_ez00_69); 
BgL_tagzd2159zd2_1484:
return 
BGl_convzd2beginzd2zz__evaluatez00(BgL_lz00_1483, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd26301zd2_1673;
BgL_cdrzd26301zd2_1673 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3051z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26301zd2_1673))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1673z00_1677;obj_t BgL_arg1674z00_1678;
BgL_arg1673z00_1677 = 
CAR(BgL_cdrzd26301zd2_1673); 
BgL_arg1674z00_1678 = 
CDR(BgL_cdrzd26301zd2_1673); 
{ 
BgL_ev_letz00_bglt BgL_auxz00_5396;
BgL_bindsz00_1485 = BgL_arg1673z00_1677; 
BgL_bodyz00_1486 = BgL_arg1674z00_1678; 
BgL_tagzd2160zd2_1487:
{ /* Eval/evaluate.scm 480 */
obj_t BgL_ubindsz00_2378;
if(
NULLP(BgL_bindsz00_1485))
{ /* Eval/evaluate.scm 480 */
BgL_ubindsz00_2378 = BNIL; }  else 
{ /* Eval/evaluate.scm 480 */
obj_t BgL_head1210z00_2423;
{ /* Eval/evaluate.scm 480 */
obj_t BgL_res2734z00_3363;
BgL_res2734z00_3363 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1210z00_2423 = BgL_res2734z00_3363; } 
{ 
obj_t BgL_l1208z00_2425;obj_t BgL_tail1211z00_2426;
BgL_l1208z00_2425 = BgL_bindsz00_1485; 
BgL_tail1211z00_2426 = BgL_head1210z00_2423; 
BgL_zc3anonymousza32245ze3z83_2427:
if(
NULLP(BgL_l1208z00_2425))
{ /* Eval/evaluate.scm 480 */
BgL_ubindsz00_2378 = 
CDR(BgL_head1210z00_2423); }  else 
{ /* Eval/evaluate.scm 480 */
obj_t BgL_newtail1212z00_2429;
{ /* Eval/evaluate.scm 480 */
obj_t BgL_arg2248z00_2431;
{ /* Eval/evaluate.scm 480 */
obj_t BgL_bz00_2432;
BgL_bz00_2432 = 
CAR(
((obj_t)BgL_l1208z00_2425)); 
{ /* Eval/evaluate.scm 480 */
obj_t BgL_arg2249z00_2433;
BgL_arg2249z00_2433 = 
CAR(
((obj_t)BgL_bz00_2432)); 
BgL_arg2248z00_2431 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2249z00_2433); } } 
{ /* Eval/evaluate.scm 480 */
obj_t BgL_res2736z00_3368;
BgL_res2736z00_3368 = 
MAKE_YOUNG_PAIR(BgL_arg2248z00_2431, BNIL); 
BgL_newtail1212z00_2429 = BgL_res2736z00_3368; } } 
SET_CDR(BgL_tail1211z00_2426, BgL_newtail1212z00_2429); 
{ /* Eval/evaluate.scm 480 */
obj_t BgL_arg2247z00_2430;
BgL_arg2247z00_2430 = 
CDR(
((obj_t)BgL_l1208z00_2425)); 
{ 
obj_t BgL_tail1211z00_5413;obj_t BgL_l1208z00_5412;
BgL_l1208z00_5412 = BgL_arg2247z00_2430; 
BgL_tail1211z00_5413 = BgL_newtail1212z00_2429; 
BgL_tail1211z00_2426 = BgL_tail1211z00_5413; 
BgL_l1208z00_2425 = BgL_l1208z00_5412; 
goto BgL_zc3anonymousza32245ze3z83_2427;} } } } } 
{ /* Eval/evaluate.scm 480 */
obj_t BgL_varsz00_2379;
if(
NULLP(BgL_ubindsz00_2378))
{ /* Eval/evaluate.scm 481 */
BgL_varsz00_2379 = BNIL; }  else 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_head1215z00_2407;
{ /* Eval/evaluate.scm 481 */
obj_t BgL_res2738z00_3372;
BgL_res2738z00_3372 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1215z00_2407 = BgL_res2738z00_3372; } 
{ 
obj_t BgL_l1213z00_2409;obj_t BgL_tail1216z00_2410;
BgL_l1213z00_2409 = BgL_ubindsz00_2378; 
BgL_tail1216z00_2410 = BgL_head1215z00_2407; 
BgL_zc3anonymousza32239ze3z83_2411:
if(
NULLP(BgL_l1213z00_2409))
{ /* Eval/evaluate.scm 481 */
BgL_varsz00_2379 = 
CDR(BgL_head1215z00_2407); }  else 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_newtail1217z00_2413;
{ /* Eval/evaluate.scm 481 */
BgL_ev_varz00_bglt BgL_arg2242z00_2415;
{ /* Eval/evaluate.scm 481 */
obj_t BgL_iz00_2416;
BgL_iz00_2416 = 
CAR(
((obj_t)BgL_l1213z00_2409)); 
{ /* Eval/evaluate.scm 482 */
BgL_ev_varz00_bglt BgL_new1122z00_2417;
{ /* Eval/evaluate.scm 484 */
BgL_ev_varz00_bglt BgL_new1121z00_2418;
BgL_new1121z00_2418 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 484 */
long BgL_arg2243z00_2419;
{ /* Eval/evaluate.scm 484 */
long BgL_res2740z00_3377;
BgL_res2740z00_3377 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg2243z00_2419 = BgL_res2740z00_3377; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1121z00_2418), BgL_arg2243z00_2419); } 
BgL_new1122z00_2417 = BgL_new1121z00_2418; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1122z00_2417))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_iz00_2416))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1122z00_2417))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1122z00_2417))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_iz00_2416))),BUNSPEC); 
BgL_arg2242z00_2415 = BgL_new1122z00_2417; } } 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_res2741z00_3382;
BgL_res2741z00_3382 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2242z00_2415), BNIL); 
BgL_newtail1217z00_2413 = BgL_res2741z00_3382; } } 
SET_CDR(BgL_tail1216z00_2410, BgL_newtail1217z00_2413); 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_arg2241z00_2414;
BgL_arg2241z00_2414 = 
CDR(
((obj_t)BgL_l1213z00_2409)); 
{ 
obj_t BgL_tail1216z00_5439;obj_t BgL_l1213z00_5438;
BgL_l1213z00_5438 = BgL_arg2241z00_2414; 
BgL_tail1216z00_5439 = BgL_newtail1217z00_2413; 
BgL_tail1216z00_2410 = BgL_tail1216z00_5439; 
BgL_l1213z00_2409 = BgL_l1213z00_5438; 
goto BgL_zc3anonymousza32239ze3z83_2411;} } } } } 
{ /* Eval/evaluate.scm 481 */
obj_t BgL_bodyz00_2380;
{ /* Eval/evaluate.scm 486 */
bool_t BgL_testz00_5440;
{ /* Eval/evaluate.scm 486 */
obj_t BgL_tmpz00_5441;
BgL_tmpz00_5441 = 
CDR(
((obj_t)BgL_bodyz00_1486)); 
BgL_testz00_5440 = 
PAIRP(BgL_tmpz00_5441); } 
if(BgL_testz00_5440)
{ /* Eval/evaluate.scm 486 */
obj_t BgL_res2743z00_3388;
BgL_res2743z00_3388 = 
MAKE_YOUNG_EPAIR(BGl_symbol3067z00zz__evaluatez00, BgL_bodyz00_1486, BgL_locz00_74); 
BgL_bodyz00_2380 = BgL_res2743z00_3388; }  else 
{ /* Eval/evaluate.scm 486 */
BgL_bodyz00_2380 = 
CAR(
((obj_t)BgL_bodyz00_1486)); } } 
{ /* Eval/evaluate.scm 486 */
obj_t BgL_tbodyz00_2381;
BgL_tbodyz00_2381 = 
BGl_typezd2checkszd2zz__evaluatez00(BgL_ubindsz00_2378, BgL_bindsz00_1485, BgL_bodyz00_2380, BgL_locz00_74, BgL_wherez00_73); 
{ /* Eval/evaluate.scm 487 */

{ /* Eval/evaluate.scm 488 */
obj_t BgL_blocz00_2382;
BgL_blocz00_2382 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1485, BgL_locz00_74); 
{ /* Eval/evaluate.scm 489 */
BgL_ev_letz00_bglt BgL_new1124z00_2383;
{ /* Eval/evaluate.scm 490 */
BgL_ev_letz00_bglt BgL_new1123z00_2400;
BgL_new1123z00_2400 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate.scm 490 */
long BgL_arg2234z00_2401;
{ /* Eval/evaluate.scm 490 */
long BgL_res2744z00_3391;
BgL_res2744z00_3391 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BgL_arg2234z00_2401 = BgL_res2744z00_3391; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1123z00_2400), BgL_arg2234z00_2401); } 
BgL_new1124z00_2383 = BgL_new1123z00_2400; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1124z00_2383)))->BgL_varsz00)=((obj_t)BgL_varsz00_2379),BUNSPEC); 
{ 
obj_t BgL_auxz00_5456;
if(
NULLP(BgL_bindsz00_1485))
{ /* Eval/evaluate.scm 491 */
BgL_auxz00_5456 = BNIL
; }  else 
{ /* Eval/evaluate.scm 491 */
obj_t BgL_head1220z00_2386;
{ /* Eval/evaluate.scm 491 */
obj_t BgL_res2746z00_3395;
BgL_res2746z00_3395 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1220z00_2386 = BgL_res2746z00_3395; } 
{ 
obj_t BgL_l1218z00_2388;obj_t BgL_tail1221z00_2389;
BgL_l1218z00_2388 = BgL_bindsz00_1485; 
BgL_tail1221z00_2389 = BgL_head1220z00_2386; 
BgL_zc3anonymousza32228ze3z83_2390:
if(
NULLP(BgL_l1218z00_2388))
{ /* Eval/evaluate.scm 491 */
BgL_auxz00_5456 = 
CDR(BgL_head1220z00_2386)
; }  else 
{ /* Eval/evaluate.scm 491 */
obj_t BgL_newtail1222z00_2392;
{ /* Eval/evaluate.scm 491 */
obj_t BgL_arg2231z00_2394;
{ /* Eval/evaluate.scm 491 */
obj_t BgL_bz00_2395;
BgL_bz00_2395 = 
CAR(
((obj_t)BgL_l1218z00_2388)); 
{ /* Eval/evaluate.scm 492 */
obj_t BgL_locz00_2396;
BgL_locz00_2396 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bz00_2395, BgL_blocz00_2382); 
{ /* Eval/evaluate.scm 493 */
obj_t BgL_arg2232z00_2397;
{ /* Eval/evaluate.scm 493 */
obj_t BgL_pairz00_3402;
BgL_pairz00_3402 = 
CDR(
((obj_t)BgL_bz00_2395)); 
BgL_arg2232z00_2397 = 
CAR(BgL_pairz00_3402); } 
BgL_arg2231z00_2394 = 
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_arg2232z00_2397, BgL_locz00_2396); } } } 
{ /* Eval/evaluate.scm 491 */
obj_t BgL_res2748z00_3403;
BgL_res2748z00_3403 = 
MAKE_YOUNG_PAIR(BgL_arg2231z00_2394, BNIL); 
BgL_newtail1222z00_2392 = BgL_res2748z00_3403; } } 
SET_CDR(BgL_tail1221z00_2389, BgL_newtail1222z00_2392); 
{ /* Eval/evaluate.scm 491 */
obj_t BgL_arg2230z00_2393;
BgL_arg2230z00_2393 = 
CDR(
((obj_t)BgL_l1218z00_2388)); 
{ 
obj_t BgL_tail1221z00_5476;obj_t BgL_l1218z00_5475;
BgL_l1218z00_5475 = BgL_arg2230z00_2393; 
BgL_tail1221z00_5476 = BgL_newtail1222z00_2392; 
BgL_tail1221z00_2389 = BgL_tail1221z00_5476; 
BgL_l1218z00_2388 = BgL_l1218z00_5475; 
goto BgL_zc3anonymousza32228ze3z83_2390;} } } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1124z00_2383)))->BgL_valsz00)=((obj_t)BgL_auxz00_5456),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5478;
{ /* Eval/evaluate.scm 495 */
obj_t BgL_arg2233z00_2399;
BgL_arg2233z00_2399 = 
BGl_appendzd221010zd2zz__evaluatez00(BgL_varsz00_2379, BgL_localsz00_70); 
BgL_auxz00_5478 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_tbodyz00_2381, BgL_arg2233z00_2399, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1124z00_2383)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5478),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1124z00_2383))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5396 = BgL_new1124z00_2383; } } } } } } } 
return 
((obj_t)BgL_auxz00_5396);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1675z00_1679;
BgL_arg1675z00_1679 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5487;
{ 
obj_t BgL_argsz00_5489;obj_t BgL_fz00_5488;
BgL_fz00_5488 = BgL_arg1675z00_1679; 
BgL_argsz00_5489 = BgL_cdrzd26301zd2_1673; 
BgL_argsz00_1532 = BgL_argsz00_5489; 
BgL_fz00_1531 = BgL_fz00_5488; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5487);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3084z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26301zd2_1673))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1680z00_1685;obj_t BgL_arg1681z00_1686;
BgL_arg1680z00_1685 = 
CAR(BgL_cdrzd26301zd2_1673); 
BgL_arg1681z00_1686 = 
CDR(BgL_cdrzd26301zd2_1673); 
{ 
BgL_ev_letza2za2_bglt BgL_auxz00_5498;
BgL_bindsz00_1488 = BgL_arg1680z00_1685; 
BgL_bodyz00_1489 = BgL_arg1681z00_1686; 
BgL_tagzd2161zd2_1490:
{ /* Eval/evaluate.scm 503 */
obj_t BgL_varsz00_2436;obj_t BgL_blocz00_2437;
if(
NULLP(BgL_bindsz00_1488))
{ /* Eval/evaluate.scm 503 */
BgL_varsz00_2436 = BNIL; }  else 
{ /* Eval/evaluate.scm 503 */
obj_t BgL_head1225z00_2445;
{ /* Eval/evaluate.scm 503 */
obj_t BgL_res2751z00_3418;
BgL_res2751z00_3418 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1225z00_2445 = BgL_res2751z00_3418; } 
{ 
obj_t BgL_l1223z00_2447;obj_t BgL_tail1226z00_2448;
BgL_l1223z00_2447 = BgL_bindsz00_1488; 
BgL_tail1226z00_2448 = BgL_head1225z00_2445; 
BgL_zc3anonymousza32254ze3z83_2449:
if(
NULLP(BgL_l1223z00_2447))
{ /* Eval/evaluate.scm 503 */
BgL_varsz00_2436 = 
CDR(BgL_head1225z00_2445); }  else 
{ /* Eval/evaluate.scm 503 */
obj_t BgL_newtail1227z00_2451;
{ /* Eval/evaluate.scm 503 */
BgL_ev_varz00_bglt BgL_arg2257z00_2453;
{ /* Eval/evaluate.scm 503 */
obj_t BgL_bz00_2454;
BgL_bz00_2454 = 
CAR(
((obj_t)BgL_l1223z00_2447)); 
{ /* Eval/evaluate.scm 504 */
obj_t BgL_iz00_2455;
{ /* Eval/evaluate.scm 504 */
obj_t BgL_arg2259z00_2459;
BgL_arg2259z00_2459 = 
CAR(
((obj_t)BgL_bz00_2454)); 
BgL_iz00_2455 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2259z00_2459); } 
{ /* Eval/evaluate.scm 505 */
BgL_ev_varz00_bglt BgL_new1126z00_2456;
{ /* Eval/evaluate.scm 507 */
BgL_ev_varz00_bglt BgL_new1125z00_2457;
BgL_new1125z00_2457 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 507 */
long BgL_arg2258z00_2458;
{ /* Eval/evaluate.scm 507 */
long BgL_res2753z00_3424;
BgL_res2753z00_3424 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg2258z00_2458 = BgL_res2753z00_3424; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_2457), BgL_arg2258z00_2458); } 
BgL_new1126z00_2456 = BgL_new1125z00_2457; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1126z00_2456))->BgL_namez00)=((obj_t)
CAR(BgL_iz00_2455)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1126z00_2456))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1126z00_2456))->BgL_typez00)=((obj_t)
CDR(BgL_iz00_2455)),BUNSPEC); 
BgL_arg2257z00_2453 = BgL_new1126z00_2456; } } } 
{ /* Eval/evaluate.scm 503 */
obj_t BgL_res2754z00_3429;
BgL_res2754z00_3429 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2257z00_2453), BNIL); 
BgL_newtail1227z00_2451 = BgL_res2754z00_3429; } } 
SET_CDR(BgL_tail1226z00_2448, BgL_newtail1227z00_2451); 
{ /* Eval/evaluate.scm 503 */
obj_t BgL_arg2256z00_2452;
BgL_arg2256z00_2452 = 
CDR(
((obj_t)BgL_l1223z00_2447)); 
{ 
obj_t BgL_tail1226z00_5525;obj_t BgL_l1223z00_5524;
BgL_l1223z00_5524 = BgL_arg2256z00_2452; 
BgL_tail1226z00_5525 = BgL_newtail1227z00_2451; 
BgL_tail1226z00_2448 = BgL_tail1226z00_5525; 
BgL_l1223z00_2447 = BgL_l1223z00_5524; 
goto BgL_zc3anonymousza32254ze3z83_2449;} } } } } 
BgL_blocz00_2437 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1488, BgL_locz00_74); 
{ /* Eval/evaluate.scm 510 */
BgL_ev_letza2za2_bglt BgL_new1128z00_2438;
{ /* Eval/evaluate.scm 511 */
BgL_ev_letza2za2_bglt BgL_new1127z00_2441;
BgL_new1127z00_2441 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate.scm 511 */
long BgL_arg2252z00_2442;
{ /* Eval/evaluate.scm 511 */
long BgL_res2755z00_3433;
BgL_res2755z00_3433 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BgL_arg2252z00_2442 = BgL_res2755z00_3433; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1127z00_2441), BgL_arg2252z00_2442); } 
BgL_new1128z00_2438 = BgL_new1127z00_2441; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1128z00_2438)))->BgL_varsz00)=((obj_t)BgL_varsz00_2436),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1128z00_2438)))->BgL_valsz00)=((obj_t)
BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_bindsz00_1488, BgL_varsz00_2436, BgL_localsz00_70, BgL_blocz00_2437)),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5536;
{ /* Eval/evaluate.scm 513 */
obj_t BgL_arg2250z00_2439;
{ /* Eval/evaluate.scm 513 */
obj_t BgL_arg2251z00_2440;
BgL_arg2251z00_2440 = 
bgl_reverse(BgL_varsz00_2436); 
BgL_arg2250z00_2439 = 
BGl_appendzd221010zd2zz__evaluatez00(BgL_arg2251z00_2440, BgL_localsz00_70); } 
BgL_auxz00_5536 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1489, BgL_arg2250z00_2439, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1128z00_2438)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5536),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1128z00_2438))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_5498 = BgL_new1128z00_2438; } } 
return 
((obj_t)BgL_auxz00_5498);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1682z00_1687;obj_t BgL_arg1683z00_1688;
BgL_arg1682z00_1687 = 
CAR(BgL_ez00_69); 
BgL_arg1683z00_1688 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5547;
{ 
obj_t BgL_argsz00_5549;obj_t BgL_fz00_5548;
BgL_fz00_5548 = BgL_arg1682z00_1687; 
BgL_argsz00_5549 = BgL_arg1683z00_1688; 
BgL_argsz00_1532 = BgL_argsz00_5549; 
BgL_fz00_1531 = BgL_fz00_5548; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5547);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd26695zd2_1689;
BgL_cdrzd26695zd2_1689 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3086z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26695zd2_1689))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1687z00_1693;obj_t BgL_arg1688z00_1694;
BgL_arg1687z00_1693 = 
CAR(BgL_cdrzd26695zd2_1689); 
BgL_arg1688z00_1694 = 
CDR(BgL_cdrzd26695zd2_1689); 
{ 
BgL_ev_letrecz00_bglt BgL_auxz00_5559;
BgL_bindsz00_1491 = BgL_arg1687z00_1693; 
BgL_bodyz00_1492 = BgL_arg1688z00_1694; 
BgL_tagzd2162zd2_1493:
{ /* Eval/evaluate.scm 515 */
obj_t BgL_ubindsz00_2477;
if(
NULLP(BgL_bindsz00_1491))
{ /* Eval/evaluate.scm 515 */
BgL_ubindsz00_2477 = BNIL; }  else 
{ /* Eval/evaluate.scm 515 */
obj_t BgL_head1230z00_2527;
{ /* Eval/evaluate.scm 515 */
obj_t BgL_res2757z00_3437;
BgL_res2757z00_3437 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1230z00_2527 = BgL_res2757z00_3437; } 
{ 
obj_t BgL_l1228z00_2529;obj_t BgL_tail1231z00_2530;
BgL_l1228z00_2529 = BgL_bindsz00_1491; 
BgL_tail1231z00_2530 = BgL_head1230z00_2527; 
BgL_zc3anonymousza32293ze3z83_2531:
if(
NULLP(BgL_l1228z00_2529))
{ /* Eval/evaluate.scm 515 */
BgL_ubindsz00_2477 = 
CDR(BgL_head1230z00_2527); }  else 
{ /* Eval/evaluate.scm 515 */
obj_t BgL_newtail1232z00_2533;
{ /* Eval/evaluate.scm 515 */
obj_t BgL_arg2296z00_2535;
{ /* Eval/evaluate.scm 515 */
obj_t BgL_bz00_2536;
BgL_bz00_2536 = 
CAR(
((obj_t)BgL_l1228z00_2529)); 
{ /* Eval/evaluate.scm 515 */
obj_t BgL_arg2297z00_2537;
BgL_arg2297z00_2537 = 
CAR(
((obj_t)BgL_bz00_2536)); 
BgL_arg2296z00_2535 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_arg2297z00_2537); } } 
{ /* Eval/evaluate.scm 515 */
obj_t BgL_res2759z00_3442;
BgL_res2759z00_3442 = 
MAKE_YOUNG_PAIR(BgL_arg2296z00_2535, BNIL); 
BgL_newtail1232z00_2533 = BgL_res2759z00_3442; } } 
SET_CDR(BgL_tail1231z00_2530, BgL_newtail1232z00_2533); 
{ /* Eval/evaluate.scm 515 */
obj_t BgL_arg2295z00_2534;
BgL_arg2295z00_2534 = 
CDR(
((obj_t)BgL_l1228z00_2529)); 
{ 
obj_t BgL_tail1231z00_5576;obj_t BgL_l1228z00_5575;
BgL_l1228z00_5575 = BgL_arg2295z00_2534; 
BgL_tail1231z00_5576 = BgL_newtail1232z00_2533; 
BgL_tail1231z00_2530 = BgL_tail1231z00_5576; 
BgL_l1228z00_2529 = BgL_l1228z00_5575; 
goto BgL_zc3anonymousza32293ze3z83_2531;} } } } } 
{ /* Eval/evaluate.scm 515 */
obj_t BgL_varsz00_2478;
if(
NULLP(BgL_ubindsz00_2477))
{ /* Eval/evaluate.scm 516 */
BgL_varsz00_2478 = BNIL; }  else 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_head1235z00_2511;
{ /* Eval/evaluate.scm 516 */
obj_t BgL_res2761z00_3446;
BgL_res2761z00_3446 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1235z00_2511 = BgL_res2761z00_3446; } 
{ 
obj_t BgL_l1233z00_2513;obj_t BgL_tail1236z00_2514;
BgL_l1233z00_2513 = BgL_ubindsz00_2477; 
BgL_tail1236z00_2514 = BgL_head1235z00_2511; 
BgL_zc3anonymousza32287ze3z83_2515:
if(
NULLP(BgL_l1233z00_2513))
{ /* Eval/evaluate.scm 516 */
BgL_varsz00_2478 = 
CDR(BgL_head1235z00_2511); }  else 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_newtail1237z00_2517;
{ /* Eval/evaluate.scm 516 */
BgL_ev_varz00_bglt BgL_arg2290z00_2519;
{ /* Eval/evaluate.scm 516 */
obj_t BgL_iz00_2520;
BgL_iz00_2520 = 
CAR(
((obj_t)BgL_l1233z00_2513)); 
{ /* Eval/evaluate.scm 517 */
BgL_ev_varz00_bglt BgL_new1130z00_2521;
{ /* Eval/evaluate.scm 519 */
BgL_ev_varz00_bglt BgL_new1129z00_2522;
BgL_new1129z00_2522 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 519 */
long BgL_arg2291z00_2523;
{ /* Eval/evaluate.scm 519 */
long BgL_res2763z00_3451;
BgL_res2763z00_3451 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg2291z00_2523 = BgL_res2763z00_3451; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1129z00_2522), BgL_arg2291z00_2523); } 
BgL_new1130z00_2521 = BgL_new1129z00_2522; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1130z00_2521))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_iz00_2520))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1130z00_2521))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1130z00_2521))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_iz00_2520))),BUNSPEC); 
BgL_arg2290z00_2519 = BgL_new1130z00_2521; } } 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_res2764z00_3456;
BgL_res2764z00_3456 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2290z00_2519), BNIL); 
BgL_newtail1237z00_2517 = BgL_res2764z00_3456; } } 
SET_CDR(BgL_tail1236z00_2514, BgL_newtail1237z00_2517); 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_arg2289z00_2518;
BgL_arg2289z00_2518 = 
CDR(
((obj_t)BgL_l1233z00_2513)); 
{ 
obj_t BgL_tail1236z00_5602;obj_t BgL_l1233z00_5601;
BgL_l1233z00_5601 = BgL_arg2289z00_2518; 
BgL_tail1236z00_5602 = BgL_newtail1237z00_2517; 
BgL_tail1236z00_2514 = BgL_tail1236z00_5602; 
BgL_l1233z00_2513 = BgL_l1233z00_5601; 
goto BgL_zc3anonymousza32287ze3z83_2515;} } } } } 
{ /* Eval/evaluate.scm 516 */
obj_t BgL_localsz00_2479;
BgL_localsz00_2479 = 
BGl_appendzd221010zd2zz__evaluatez00(BgL_varsz00_2478, BgL_localsz00_70); 
{ /* Eval/evaluate.scm 521 */
obj_t BgL_bodyz00_2480;
{ /* Eval/evaluate.scm 522 */
bool_t BgL_testz00_5604;
{ /* Eval/evaluate.scm 522 */
obj_t BgL_tmpz00_5605;
BgL_tmpz00_5605 = 
CDR(
((obj_t)BgL_bodyz00_1492)); 
BgL_testz00_5604 = 
PAIRP(BgL_tmpz00_5605); } 
if(BgL_testz00_5604)
{ /* Eval/evaluate.scm 522 */
obj_t BgL_res2766z00_3462;
BgL_res2766z00_3462 = 
MAKE_YOUNG_EPAIR(BGl_symbol3067z00zz__evaluatez00, BgL_bodyz00_1492, BgL_locz00_74); 
BgL_bodyz00_2480 = BgL_res2766z00_3462; }  else 
{ /* Eval/evaluate.scm 522 */
BgL_bodyz00_2480 = 
CAR(
((obj_t)BgL_bodyz00_1492)); } } 
{ /* Eval/evaluate.scm 522 */
obj_t BgL_tbodyz00_2481;
BgL_tbodyz00_2481 = 
BGl_typezd2checkszd2zz__evaluatez00(BgL_ubindsz00_2477, BgL_bindsz00_1491, BgL_bodyz00_2480, BgL_locz00_74, BgL_wherez00_73); 
{ /* Eval/evaluate.scm 523 */
obj_t BgL_blocz00_2482;
BgL_blocz00_2482 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bindsz00_1491, BgL_locz00_74); 
{ /* Eval/evaluate.scm 524 */

{ /* Eval/evaluate.scm 525 */
BgL_ev_letrecz00_bglt BgL_new1132z00_2483;
{ /* Eval/evaluate.scm 526 */
BgL_ev_letrecz00_bglt BgL_new1131z00_2504;
BgL_new1131z00_2504 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate.scm 526 */
long BgL_arg2282z00_2505;
{ /* Eval/evaluate.scm 526 */
long BgL_res2767z00_3465;
BgL_res2767z00_3465 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BgL_arg2282z00_2505 = BgL_res2767z00_3465; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1131z00_2504), BgL_arg2282z00_2505); } 
BgL_new1132z00_2483 = BgL_new1131z00_2504; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1132z00_2483)))->BgL_varsz00)=((obj_t)BgL_varsz00_2478),BUNSPEC); 
{ 
obj_t BgL_auxz00_5620;
if(
NULLP(BgL_bindsz00_1491))
{ /* Eval/evaluate.scm 527 */
BgL_auxz00_5620 = BNIL
; }  else 
{ /* Eval/evaluate.scm 527 */
obj_t BgL_head1240z00_2486;
{ /* Eval/evaluate.scm 527 */
obj_t BgL_res2769z00_3469;
BgL_res2769z00_3469 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1240z00_2486 = BgL_res2769z00_3469; } 
{ 
obj_t BgL_l1238z00_2488;obj_t BgL_tail1241z00_2489;
BgL_l1238z00_2488 = BgL_bindsz00_1491; 
BgL_tail1241z00_2489 = BgL_head1240z00_2486; 
BgL_zc3anonymousza32271ze3z83_2490:
if(
NULLP(BgL_l1238z00_2488))
{ /* Eval/evaluate.scm 527 */
BgL_auxz00_5620 = 
CDR(BgL_head1240z00_2486)
; }  else 
{ /* Eval/evaluate.scm 527 */
obj_t BgL_newtail1242z00_2492;
{ /* Eval/evaluate.scm 527 */
obj_t BgL_arg2274z00_2494;
{ /* Eval/evaluate.scm 527 */
obj_t BgL_bz00_2495;
BgL_bz00_2495 = 
CAR(
((obj_t)BgL_l1238z00_2488)); 
{ /* Eval/evaluate.scm 528 */
obj_t BgL_arg2275z00_2496;obj_t BgL_arg2276z00_2497;obj_t BgL_arg2277z00_2498;
{ /* Eval/evaluate.scm 528 */
obj_t BgL_pairz00_3476;
BgL_pairz00_3476 = 
CDR(
((obj_t)BgL_bz00_2495)); 
BgL_arg2275z00_2496 = 
CAR(BgL_pairz00_3476); } 
{ /* Eval/evaluate.scm 528 */
obj_t BgL_arg2278z00_2499;
BgL_arg2278z00_2499 = 
CAR(
((obj_t)BgL_bz00_2495)); 
{ /* Eval/evaluate.scm 528 */
obj_t BgL_list2279z00_2500;
{ /* Eval/evaluate.scm 528 */
obj_t BgL_arg2280z00_2501;
{ /* Eval/evaluate.scm 528 */
obj_t BgL_arg2281z00_2502;
BgL_arg2281z00_2502 = 
MAKE_YOUNG_PAIR(BgL_wherez00_73, BNIL); 
BgL_arg2280z00_2501 = 
MAKE_YOUNG_PAIR(BGl_symbol3069z00zz__evaluatez00, BgL_arg2281z00_2502); } 
BgL_list2279z00_2500 = 
MAKE_YOUNG_PAIR(BgL_arg2278z00_2499, BgL_arg2280z00_2501); } 
BgL_arg2276z00_2497 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2279z00_2500); } } 
BgL_arg2277z00_2498 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bz00_2495, BgL_blocz00_2482); 
BgL_arg2274z00_2494 = 
BGl_convz00zz__evaluatez00(BgL_arg2275z00_2496, BgL_localsz00_2479, BgL_globalsz00_71, BFALSE, BgL_arg2276z00_2497, BgL_arg2277z00_2498, ((bool_t)0)); } } 
{ /* Eval/evaluate.scm 527 */
obj_t BgL_res2771z00_3478;
BgL_res2771z00_3478 = 
MAKE_YOUNG_PAIR(BgL_arg2274z00_2494, BNIL); 
BgL_newtail1242z00_2492 = BgL_res2771z00_3478; } } 
SET_CDR(BgL_tail1241z00_2489, BgL_newtail1242z00_2492); 
{ /* Eval/evaluate.scm 527 */
obj_t BgL_arg2273z00_2493;
BgL_arg2273z00_2493 = 
CDR(
((obj_t)BgL_l1238z00_2488)); 
{ 
obj_t BgL_tail1241z00_5646;obj_t BgL_l1238z00_5645;
BgL_l1238z00_5645 = BgL_arg2273z00_2493; 
BgL_tail1241z00_5646 = BgL_newtail1242z00_2492; 
BgL_tail1241z00_2489 = BgL_tail1241z00_5646; 
BgL_l1238z00_2488 = BgL_l1238z00_5645; 
goto BgL_zc3anonymousza32271ze3z83_2490;} } } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1132z00_2483)))->BgL_valsz00)=((obj_t)BgL_auxz00_5620),BUNSPEC); } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1132z00_2483)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_tbodyz00_2481, BgL_localsz00_2479, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_5559 = BgL_new1132z00_2483; } } } } } } } } 
return 
((obj_t)BgL_auxz00_5559);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1689z00_1695;
BgL_arg1689z00_1695 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5654;
{ 
obj_t BgL_argsz00_5656;obj_t BgL_fz00_5655;
BgL_fz00_5655 = BgL_arg1689z00_1695; 
BgL_argsz00_5656 = BgL_cdrzd26695zd2_1689; 
BgL_argsz00_1532 = BgL_argsz00_5656; 
BgL_fz00_1531 = BgL_fz00_5655; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5654);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3088z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26695zd2_1689))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd26869zd2_1701;obj_t BgL_cdrzd26870zd2_1702;
BgL_carzd26869zd2_1701 = 
CAR(BgL_cdrzd26695zd2_1689); 
BgL_cdrzd26870zd2_1702 = 
CDR(BgL_cdrzd26695zd2_1689); 
if(
PAIRP(BgL_carzd26869zd2_1701))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd26874zd2_1704;
BgL_cdrzd26874zd2_1704 = 
CDR(BgL_carzd26869zd2_1701); 
if(
(
CAR(BgL_carzd26869zd2_1701)==BGl_symbol3074z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26874zd2_1704))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd26877zd2_1708;obj_t BgL_cdrzd26878zd2_1709;
BgL_carzd26877zd2_1708 = 
CAR(BgL_cdrzd26874zd2_1704); 
BgL_cdrzd26878zd2_1709 = 
CDR(BgL_cdrzd26874zd2_1704); 
if(
SYMBOLP(BgL_carzd26877zd2_1708))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26878zd2_1709))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd26882zd2_1712;
BgL_carzd26882zd2_1712 = 
CAR(BgL_cdrzd26878zd2_1709); 
if(
SYMBOLP(BgL_carzd26882zd2_1712))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd26878zd2_1709)))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd26870zd2_1702))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd26870zd2_1702)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1708z00_1719;
BgL_arg1708z00_1719 = 
CAR(BgL_cdrzd26870zd2_1702); 
{ 
BgL_ev_setglobalz00_bglt BgL_auxz00_5691;
BgL_idz00_1494 = BgL_carzd26877zd2_1708; 
BgL_modnamez00_1495 = BgL_carzd26882zd2_1712; 
BgL_ez00_1496 = BgL_arg1708z00_1719; 
BgL_tagzd2163zd2_1497:
{ /* Eval/evaluate.scm 531 */
BgL_ev_setglobalz00_bglt BgL_new1134z00_2539;
{ /* Eval/evaluate.scm 535 */
BgL_ev_setglobalz00_bglt BgL_new1133z00_2540;
BgL_new1133z00_2540 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 535 */
long BgL_arg2298z00_2541;
{ /* Eval/evaluate.scm 535 */
long BgL_res2772z00_3482;
BgL_res2772z00_3482 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg2298z00_2541 = BgL_res2772z00_3482; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1133z00_2540), BgL_arg2298z00_2541); } 
BgL_new1134z00_2539 = BgL_new1133z00_2540; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1134z00_2539)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1496))),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1134z00_2539))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1134z00_2539))->BgL_namez00)=((obj_t)BgL_idz00_1494),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1134z00_2539))->BgL_modz00)=((obj_t)
BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_1495)),BUNSPEC); 
BgL_auxz00_5691 = BgL_new1134z00_2539; } 
return 
((obj_t)BgL_auxz00_5691);} }  else 
{ /* Eval/evaluate.scm 424 */
BgL_tagzd2166zd2_1504:
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2989z00zz__evaluatez00, BGl_string3066z00zz__evaluatez00, BgL_ez00_69);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd26998zd2_1721;
BgL_cdrzd26998zd2_1721 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27002zd2_1722;
BgL_cdrzd27002zd2_1722 = 
CDR(
((obj_t)BgL_cdrzd26998zd2_1721)); 
if(
PAIRP(BgL_cdrzd27002zd2_1722))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27002zd2_1722)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1713z00_1726;obj_t BgL_arg1714z00_1727;
BgL_arg1713z00_1726 = 
CAR(
((obj_t)BgL_cdrzd26998zd2_1721)); 
BgL_arg1714z00_1727 = 
CAR(BgL_cdrzd27002zd2_1722); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5717;
BgL_vz00_1501 = BgL_arg1713z00_1726; 
BgL_ez00_1502 = BgL_arg1714z00_1727; 
BgL_tagzd2165zd2_1503:
{ /* Eval/evaluate.scm 541 */
obj_t BgL_cvz00_2568;obj_t BgL_ez00_2569;
BgL_cvz00_2568 = 
BGl_convzd2varzd2zz__evaluatez00(BgL_vz00_1501, BgL_localsz00_70); 
BgL_ez00_2569 = 
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1502); 
if(
CBOOL(BgL_cvz00_2568))
{ /* Eval/evaluate.scm 543 */
BgL_ev_setlocalz00_bglt BgL_new1136z00_2570;
{ /* Eval/evaluate.scm 545 */
BgL_ev_setlocalz00_bglt BgL_new1135z00_2571;
BgL_new1135z00_2571 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate.scm 545 */
long BgL_arg2312z00_2572;
{ /* Eval/evaluate.scm 545 */
long BgL_res2777z00_3493;
BgL_res2777z00_3493 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BgL_arg2312z00_2572 = BgL_res2777z00_3493; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1135z00_2571), BgL_arg2312z00_2572); } 
BgL_new1136z00_2570 = BgL_new1135z00_2571; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1136z00_2570)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_ez00_2569)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1136z00_2570))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_cvz00_2568)),BUNSPEC); 
BgL_auxz00_5717 = 
((BgL_ev_hookz00_bglt)BgL_new1136z00_2570); }  else 
{ /* Eval/evaluate.scm 546 */
BgL_ev_setglobalz00_bglt BgL_new1138z00_2573;
{ /* Eval/evaluate.scm 550 */
BgL_ev_setglobalz00_bglt BgL_new1137z00_2575;
BgL_new1137z00_2575 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 550 */
long BgL_arg2314z00_2576;
{ /* Eval/evaluate.scm 550 */
long BgL_res2778z00_3497;
BgL_res2778z00_3497 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg2314z00_2576 = BgL_res2778z00_3497; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1137z00_2575), BgL_arg2314z00_2576); } 
BgL_new1138z00_2573 = BgL_new1137z00_2575; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1138z00_2573)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_ez00_2569)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1138z00_2573))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1138z00_2573))->BgL_namez00)=((obj_t)BgL_vz00_1501),BUNSPEC); 
{ 
obj_t BgL_auxz00_5741;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 549 */
BgL_auxz00_5741 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 549 */
BgL_auxz00_5741 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1138z00_2573))->BgL_modz00)=((obj_t)BgL_auxz00_5741),BUNSPEC); } 
BgL_auxz00_5717 = 
((BgL_ev_hookz00_bglt)BgL_new1138z00_2573); } } 
return 
((obj_t)BgL_auxz00_5717);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27059zd2_1730;
BgL_cdrzd27059zd2_1730 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27063zd2_1731;
BgL_cdrzd27063zd2_1731 = 
CDR(
((obj_t)BgL_cdrzd27059zd2_1730)); 
if(
PAIRP(BgL_cdrzd27063zd2_1731))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27063zd2_1731)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1720z00_1735;obj_t BgL_arg1721z00_1736;
BgL_arg1720z00_1735 = 
CAR(
((obj_t)BgL_cdrzd27059zd2_1730)); 
BgL_arg1721z00_1736 = 
CAR(BgL_cdrzd27063zd2_1731); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5759;
{ 
obj_t BgL_ez00_5761;obj_t BgL_vz00_5760;
BgL_vz00_5760 = BgL_arg1720z00_1735; 
BgL_ez00_5761 = BgL_arg1721z00_1736; 
BgL_ez00_1502 = BgL_ez00_5761; 
BgL_vz00_1501 = BgL_vz00_5760; 
goto BgL_tagzd2165zd2_1503;} 
return 
((obj_t)BgL_auxz00_5759);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27120zd2_1738;
BgL_cdrzd27120zd2_1738 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27124zd2_1739;
BgL_cdrzd27124zd2_1739 = 
CDR(
((obj_t)BgL_cdrzd27120zd2_1738)); 
if(
PAIRP(BgL_cdrzd27124zd2_1739))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27124zd2_1739)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1726z00_1743;obj_t BgL_arg1727z00_1744;
BgL_arg1726z00_1743 = 
CAR(
((obj_t)BgL_cdrzd27120zd2_1738)); 
BgL_arg1727z00_1744 = 
CAR(BgL_cdrzd27124zd2_1739); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5774;
{ 
obj_t BgL_ez00_5776;obj_t BgL_vz00_5775;
BgL_vz00_5775 = BgL_arg1726z00_1743; 
BgL_ez00_5776 = BgL_arg1727z00_1744; 
BgL_ez00_1502 = BgL_ez00_5776; 
BgL_vz00_1501 = BgL_vz00_5775; 
goto BgL_tagzd2165zd2_1503;} 
return 
((obj_t)BgL_auxz00_5774);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27181zd2_1746;
BgL_cdrzd27181zd2_1746 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27185zd2_1747;
BgL_cdrzd27185zd2_1747 = 
CDR(
((obj_t)BgL_cdrzd27181zd2_1746)); 
if(
PAIRP(BgL_cdrzd27185zd2_1747))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27185zd2_1747)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1732z00_1751;obj_t BgL_arg1733z00_1752;
BgL_arg1732z00_1751 = 
CAR(
((obj_t)BgL_cdrzd27181zd2_1746)); 
BgL_arg1733z00_1752 = 
CAR(BgL_cdrzd27185zd2_1747); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5789;
{ 
obj_t BgL_ez00_5791;obj_t BgL_vz00_5790;
BgL_vz00_5790 = BgL_arg1732z00_1751; 
BgL_ez00_5791 = BgL_arg1733z00_1752; 
BgL_ez00_1502 = BgL_ez00_5791; 
BgL_vz00_1501 = BgL_vz00_5790; 
goto BgL_tagzd2165zd2_1503;} 
return 
((obj_t)BgL_auxz00_5789);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27242zd2_1754;
BgL_cdrzd27242zd2_1754 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27246zd2_1755;
BgL_cdrzd27246zd2_1755 = 
CDR(
((obj_t)BgL_cdrzd27242zd2_1754)); 
if(
PAIRP(BgL_cdrzd27246zd2_1755))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27246zd2_1755)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1738z00_1759;obj_t BgL_arg1739z00_1760;
BgL_arg1738z00_1759 = 
CAR(
((obj_t)BgL_cdrzd27242zd2_1754)); 
BgL_arg1739z00_1760 = 
CAR(BgL_cdrzd27246zd2_1755); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5804;
{ 
obj_t BgL_ez00_5806;obj_t BgL_vz00_5805;
BgL_vz00_5805 = BgL_arg1738z00_1759; 
BgL_ez00_5806 = BgL_arg1739z00_1760; 
BgL_ez00_1502 = BgL_ez00_5806; 
BgL_vz00_1501 = BgL_vz00_5805; 
goto BgL_tagzd2165zd2_1503;} 
return 
((obj_t)BgL_auxz00_5804);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27290zd2_1762;
BgL_cdrzd27290zd2_1762 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd27293zd2_1763;obj_t BgL_cdrzd27294zd2_1764;
BgL_carzd27293zd2_1763 = 
CAR(
((obj_t)BgL_cdrzd27290zd2_1762)); 
BgL_cdrzd27294zd2_1764 = 
CDR(
((obj_t)BgL_cdrzd27290zd2_1762)); 
if(
(
CAR(
((obj_t)BgL_carzd27293zd2_1763))==BGl_symbol3076z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27294zd2_1764))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27294zd2_1764)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1746z00_1770;obj_t BgL_arg1747z00_1771;
BgL_arg1746z00_1770 = 
CDR(
((obj_t)BgL_carzd27293zd2_1763)); 
BgL_arg1747z00_1771 = 
CAR(BgL_cdrzd27294zd2_1764); 
BgL_lz00_1498 = BgL_arg1746z00_1770; 
BgL_e2z00_1499 = BgL_arg1747z00_1771; 
BgL_tagzd2164zd2_1500:
{ /* Eval/evaluate.scm 537 */
bool_t BgL_testz00_5825;
if(
PAIRP(BgL_lz00_1498))
{ /* Eval/evaluate.scm 537 */
bool_t BgL_testz00_5828;
{ /* Eval/evaluate.scm 537 */
obj_t BgL_tmpz00_5829;
BgL_tmpz00_5829 = 
CDR(BgL_lz00_1498); 
BgL_testz00_5828 = 
PAIRP(BgL_tmpz00_5829); } 
if(BgL_testz00_5828)
{ 
obj_t BgL_l1243z00_2559;
BgL_l1243z00_2559 = BgL_lz00_1498; 
BgL_zc3anonymousza32308ze3z83_2560:
if(
NULLP(BgL_l1243z00_2559))
{ /* Eval/evaluate.scm 537 */
BgL_testz00_5825 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate.scm 537 */
bool_t BgL_testz00_5834;
{ /* Eval/evaluate.scm 537 */
obj_t BgL_tmpz00_5835;
BgL_tmpz00_5835 = 
CAR(
((obj_t)BgL_l1243z00_2559)); 
BgL_testz00_5834 = 
SYMBOLP(BgL_tmpz00_5835); } 
if(BgL_testz00_5834)
{ 
obj_t BgL_l1243z00_5839;
BgL_l1243z00_5839 = 
CDR(
((obj_t)BgL_l1243z00_2559)); 
BgL_l1243z00_2559 = BgL_l1243z00_5839; 
goto BgL_zc3anonymousza32308ze3z83_2560;}  else 
{ /* Eval/evaluate.scm 537 */
BgL_testz00_5825 = ((bool_t)0)
; } } }  else 
{ /* Eval/evaluate.scm 537 */
BgL_testz00_5825 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate.scm 537 */
BgL_testz00_5825 = ((bool_t)0)
; } 
if(BgL_testz00_5825)
{ /* Eval/evaluate.scm 537 */
return 
BGl_convzd2fieldzd2setz00zz__evaluatez00(BgL_lz00_1498, BgL_e2z00_1499, BgL_ez00_69, BgL_localsz00_70, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, BgL_topzf3zf3_75);}  else 
{ /* Eval/evaluate.scm 537 */
return 
BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74, BGl_string2989z00zz__evaluatez00, BGl_string3066z00zz__evaluatez00, BgL_ez00_69);} } }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27370zd2_1774;
BgL_cdrzd27370zd2_1774 = 
CDR(
((obj_t)BgL_cdrzd27290zd2_1762)); 
if(
PAIRP(BgL_cdrzd27370zd2_1774))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27370zd2_1774)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1752z00_1778;obj_t BgL_arg1753z00_1779;
BgL_arg1752z00_1778 = 
CAR(
((obj_t)BgL_cdrzd27290zd2_1762)); 
BgL_arg1753z00_1779 = 
CAR(BgL_cdrzd27370zd2_1774); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5854;
{ 
obj_t BgL_ez00_5856;obj_t BgL_vz00_5855;
BgL_vz00_5855 = BgL_arg1752z00_1778; 
BgL_ez00_5856 = BgL_arg1753z00_1779; 
BgL_ez00_1502 = BgL_ez00_5856; 
BgL_vz00_1501 = BgL_vz00_5855; 
goto BgL_tagzd2165zd2_1503;} 
return 
((obj_t)BgL_auxz00_5854);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} } } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27427zd2_1783;
BgL_cdrzd27427zd2_1783 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27431zd2_1784;
BgL_cdrzd27431zd2_1784 = 
CDR(
((obj_t)BgL_cdrzd27427zd2_1783)); 
if(
PAIRP(BgL_cdrzd27431zd2_1784))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27431zd2_1784)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1760z00_1788;obj_t BgL_arg1761z00_1789;
BgL_arg1760z00_1788 = 
CAR(
((obj_t)BgL_cdrzd27427zd2_1783)); 
BgL_arg1761z00_1789 = 
CAR(BgL_cdrzd27431zd2_1784); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5869;
{ 
obj_t BgL_ez00_5871;obj_t BgL_vz00_5870;
BgL_vz00_5870 = BgL_arg1760z00_1788; 
BgL_ez00_5871 = BgL_arg1761z00_1789; 
BgL_ez00_1502 = BgL_ez00_5871; 
BgL_vz00_1501 = BgL_vz00_5870; 
goto BgL_tagzd2165zd2_1503;} 
return 
((obj_t)BgL_auxz00_5869);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} } } }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27552zd2_1791;
BgL_cdrzd27552zd2_1791 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3090z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27552zd2_1791))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27557zd2_1795;
BgL_cdrzd27557zd2_1795 = 
CDR(BgL_cdrzd27552zd2_1791); 
if(
PAIRP(BgL_cdrzd27557zd2_1795))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd27561zd2_1797;
BgL_carzd27561zd2_1797 = 
CAR(BgL_cdrzd27557zd2_1795); 
if(
PAIRP(BgL_carzd27561zd2_1797))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27566zd2_1799;
BgL_cdrzd27566zd2_1799 = 
CDR(BgL_carzd27561zd2_1797); 
if(
(
CAR(BgL_carzd27561zd2_1797)==BGl_symbol3053z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27566zd2_1799))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27570zd2_1803;
BgL_cdrzd27570zd2_1803 = 
CDR(BgL_cdrzd27566zd2_1799); 
if(
PAIRP(BgL_cdrzd27570zd2_1803))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27570zd2_1803)))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd27557zd2_1795)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1776z00_1809;obj_t BgL_arg1777z00_1810;obj_t BgL_arg1778z00_1811;
BgL_arg1776z00_1809 = 
CAR(BgL_cdrzd27552zd2_1791); 
BgL_arg1777z00_1810 = 
CAR(BgL_cdrzd27566zd2_1799); 
BgL_arg1778z00_1811 = 
CAR(BgL_cdrzd27570zd2_1803); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5903;
BgL_gvz00_1505 = BgL_arg1776z00_1809; 
BgL_formalsz00_1506 = BgL_arg1777z00_1810; 
BgL_bodyz00_1507 = BgL_arg1778z00_1811; 
BgL_tagzd2167zd2_1508:
{ /* Eval/evaluate.scm 554 */
obj_t BgL_tidz00_2577;
BgL_tidz00_2577 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_gvz00_1505); 
{ /* Eval/evaluate.scm 555 */
BgL_ev_defglobalz00_bglt BgL_new1140z00_2578;
{ /* Eval/evaluate.scm 559 */
BgL_ev_defglobalz00_bglt BgL_new1139z00_2581;
BgL_new1139z00_2581 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 559 */
long BgL_arg2317z00_2582;
{ /* Eval/evaluate.scm 559 */
long BgL_res2779z00_3501;
BgL_res2779z00_3501 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg2317z00_2582 = BgL_res2779z00_3501; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1139z00_2581), BgL_arg2317z00_2582); } 
BgL_new1140z00_2578 = BgL_new1139z00_2581; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5909;
{ /* Eval/evaluate.scm 559 */
obj_t BgL_arg2315z00_2579;
BgL_arg2315z00_2579 = 
CDR(BgL_tidz00_2577); 
BgL_auxz00_5909 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2lambdaze70z35zz__evaluatez00(BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_locz00_74, BgL_formalsz00_1506, BgL_bodyz00_1507, BgL_gvz00_1505, BgL_arg2315z00_2579)); } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1140z00_2578)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5909),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1140z00_2578)))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1140z00_2578)))->BgL_namez00)=((obj_t)
CAR(BgL_tidz00_2577)),BUNSPEC); 
{ 
obj_t BgL_auxz00_5920;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 558 */
BgL_auxz00_5920 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 558 */
BgL_auxz00_5920 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1140z00_2578)))->BgL_modz00)=((obj_t)BgL_auxz00_5920),BUNSPEC); } 
BgL_auxz00_5903 = BgL_new1140z00_2578; } } 
return 
((obj_t)BgL_auxz00_5903);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1779z00_1812;
BgL_arg1779z00_1812 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5928;
{ 
obj_t BgL_argsz00_5930;obj_t BgL_fz00_5929;
BgL_fz00_5929 = BgL_arg1779z00_1812; 
BgL_argsz00_5930 = BgL_cdrzd27552zd2_1791; 
BgL_argsz00_1532 = BgL_argsz00_5930; 
BgL_fz00_1531 = BgL_fz00_5929; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5928);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27670zd2_1816;
BgL_cdrzd27670zd2_1816 = 
CDR(
((obj_t)BgL_cdrzd27552zd2_1791)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27670zd2_1816))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1784z00_1819;obj_t BgL_arg1785z00_1820;
BgL_arg1784z00_1819 = 
CAR(
((obj_t)BgL_cdrzd27552zd2_1791)); 
BgL_arg1785z00_1820 = 
CAR(
((obj_t)BgL_cdrzd27670zd2_1816)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5942;
BgL_gvz00_1509 = BgL_arg1784z00_1819; 
BgL_gez00_1510 = BgL_arg1785z00_1820; 
BgL_tagzd2168zd2_1511:
{ /* Eval/evaluate.scm 561 */
obj_t BgL_tidz00_2583;
BgL_tidz00_2583 = 
BGl_untypezd2identzd2zz__evaluatez00(BgL_gvz00_1509); 
{ /* Eval/evaluate.scm 562 */
BgL_ev_defglobalz00_bglt BgL_new1142z00_2584;
{ /* Eval/evaluate.scm 566 */
BgL_ev_defglobalz00_bglt BgL_new1141z00_2589;
BgL_new1141z00_2589 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate.scm 566 */
long BgL_arg2322z00_2590;
{ /* Eval/evaluate.scm 566 */
long BgL_res2780z00_3507;
BgL_res2780z00_3507 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg2322z00_2590 = BgL_res2780z00_3507; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1141z00_2589), BgL_arg2322z00_2590); } 
BgL_new1142z00_2584 = BgL_new1141z00_2589; } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5948;
{ /* Eval/evaluate.scm 567 */
obj_t BgL_arg2318z00_2585;
{ /* Eval/evaluate.scm 567 */
obj_t BgL_arg2320z00_2587;
BgL_arg2320z00_2587 = 
CDR(BgL_tidz00_2583); 
BgL_arg2318z00_2585 = 
BGl_typezd2resultzd2zz__evaluatez00(BgL_arg2320z00_2587, BgL_gez00_1510, BgL_locz00_74); } 
{ 
obj_t BgL_auxz00_5952;
BgL_ez00_2636 = BgL_arg2318z00_2585; 
if(BgL_topzf3zf3_75)
{ /* Eval/evaluate.scm 568 */
BgL_wherez00_2637 = BgL_gvz00_1509; }  else 
{ /* Eval/evaluate.scm 568 */
BgL_wherez00_2637 = BgL_wherez00_73; } 
BgL_ez00_2626 = BgL_ez00_2636; 
BgL_locz00_2627 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_2636, BgL_locz00_74); 
BgL_wherez00_2628 = BgL_wherez00_2637; 
BgL_auxz00_5952 = 
BGl_convz00zz__evaluatez00(BgL_ez00_2626, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_2628, BgL_locz00_2627, ((bool_t)0)); 
BgL_auxz00_5948 = 
((BgL_ev_exprz00_bglt)BgL_auxz00_5952); } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1142z00_2584)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5948),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1142z00_2584)))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1142z00_2584)))->BgL_namez00)=((obj_t)
CAR(BgL_tidz00_2583)),BUNSPEC); 
{ 
obj_t BgL_auxz00_5963;
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
{ /* Eval/evaluate.scm 565 */
BgL_auxz00_5963 = BgL_globalsz00_71
; }  else 
{ /* Eval/evaluate.scm 565 */
BgL_auxz00_5963 = 
BGL_MODULE()
; } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1142z00_2584)))->BgL_modz00)=((obj_t)BgL_auxz00_5963),BUNSPEC); } 
BgL_auxz00_5942 = BgL_new1142z00_2584; } } 
return 
((obj_t)BgL_auxz00_5942);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1786z00_1821;obj_t BgL_arg1787z00_1822;
BgL_arg1786z00_1821 = 
CAR(BgL_ez00_69); 
BgL_arg1787z00_1822 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5972;
{ 
obj_t BgL_argsz00_5974;obj_t BgL_fz00_5973;
BgL_fz00_5973 = BgL_arg1786z00_1821; 
BgL_argsz00_5974 = BgL_arg1787z00_1822; 
BgL_argsz00_1532 = BgL_argsz00_5974; 
BgL_fz00_1531 = BgL_fz00_5973; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5972);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27757zd2_1826;
BgL_cdrzd27757zd2_1826 = 
CDR(
((obj_t)BgL_cdrzd27552zd2_1791)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27757zd2_1826))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1792z00_1829;obj_t BgL_arg1793z00_1830;
BgL_arg1792z00_1829 = 
CAR(
((obj_t)BgL_cdrzd27552zd2_1791)); 
BgL_arg1793z00_1830 = 
CAR(
((obj_t)BgL_cdrzd27757zd2_1826)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5986;
{ 
obj_t BgL_gez00_5988;obj_t BgL_gvz00_5987;
BgL_gvz00_5987 = BgL_arg1792z00_1829; 
BgL_gez00_5988 = BgL_arg1793z00_1830; 
BgL_gez00_1510 = BgL_gez00_5988; 
BgL_gvz00_1509 = BgL_gvz00_5987; 
goto BgL_tagzd2168zd2_1511;} 
return 
((obj_t)BgL_auxz00_5986);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1794z00_1831;obj_t BgL_arg1795z00_1832;
BgL_arg1794z00_1831 = 
CAR(BgL_ez00_69); 
BgL_arg1795z00_1832 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_5992;
{ 
obj_t BgL_argsz00_5994;obj_t BgL_fz00_5993;
BgL_fz00_5993 = BgL_arg1794z00_1831; 
BgL_argsz00_5994 = BgL_arg1795z00_1832; 
BgL_argsz00_1532 = BgL_argsz00_5994; 
BgL_fz00_1531 = BgL_fz00_5993; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_5992);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27844zd2_1835;
BgL_cdrzd27844zd2_1835 = 
CDR(
((obj_t)BgL_cdrzd27552zd2_1791)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27844zd2_1835))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1799z00_1838;obj_t BgL_arg1800z00_1839;
BgL_arg1799z00_1838 = 
CAR(
((obj_t)BgL_cdrzd27552zd2_1791)); 
BgL_arg1800z00_1839 = 
CAR(
((obj_t)BgL_cdrzd27844zd2_1835)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6006;
{ 
obj_t BgL_gez00_6008;obj_t BgL_gvz00_6007;
BgL_gvz00_6007 = BgL_arg1799z00_1838; 
BgL_gez00_6008 = BgL_arg1800z00_1839; 
BgL_gez00_1510 = BgL_gez00_6008; 
BgL_gvz00_1509 = BgL_gvz00_6007; 
goto BgL_tagzd2168zd2_1511;} 
return 
((obj_t)BgL_auxz00_6006);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1801z00_1840;obj_t BgL_arg1802z00_1841;
BgL_arg1801z00_1840 = 
CAR(BgL_ez00_69); 
BgL_arg1802z00_1841 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6012;
{ 
obj_t BgL_argsz00_6014;obj_t BgL_fz00_6013;
BgL_fz00_6013 = BgL_arg1801z00_1840; 
BgL_argsz00_6014 = BgL_arg1802z00_1841; 
BgL_argsz00_1532 = BgL_argsz00_6014; 
BgL_fz00_1531 = BgL_fz00_6013; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6012);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd27931zd2_1844;
BgL_cdrzd27931zd2_1844 = 
CDR(
((obj_t)BgL_cdrzd27552zd2_1791)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd27931zd2_1844))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1806z00_1847;obj_t BgL_arg1807z00_1848;
BgL_arg1806z00_1847 = 
CAR(
((obj_t)BgL_cdrzd27552zd2_1791)); 
BgL_arg1807z00_1848 = 
CAR(
((obj_t)BgL_cdrzd27931zd2_1844)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6026;
{ 
obj_t BgL_gez00_6028;obj_t BgL_gvz00_6027;
BgL_gvz00_6027 = BgL_arg1806z00_1847; 
BgL_gez00_6028 = BgL_arg1807z00_1848; 
BgL_gez00_1510 = BgL_gez00_6028; 
BgL_gvz00_1509 = BgL_gvz00_6027; 
goto BgL_tagzd2168zd2_1511;} 
return 
((obj_t)BgL_auxz00_6026);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1808z00_1849;obj_t BgL_arg1809z00_1850;
BgL_arg1808z00_1849 = 
CAR(BgL_ez00_69); 
BgL_arg1809z00_1850 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6032;
{ 
obj_t BgL_argsz00_6034;obj_t BgL_fz00_6033;
BgL_fz00_6033 = BgL_arg1808z00_1849; 
BgL_argsz00_6034 = BgL_arg1809z00_1850; 
BgL_argsz00_1532 = BgL_argsz00_6034; 
BgL_fz00_1531 = BgL_fz00_6033; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6032);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd28018zd2_1854;
BgL_cdrzd28018zd2_1854 = 
CDR(
((obj_t)BgL_cdrzd27552zd2_1791)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd28018zd2_1854))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1814z00_1857;obj_t BgL_arg1815z00_1858;
BgL_arg1814z00_1857 = 
CAR(
((obj_t)BgL_cdrzd27552zd2_1791)); 
BgL_arg1815z00_1858 = 
CAR(
((obj_t)BgL_cdrzd28018zd2_1854)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6046;
{ 
obj_t BgL_gez00_6048;obj_t BgL_gvz00_6047;
BgL_gvz00_6047 = BgL_arg1814z00_1857; 
BgL_gez00_6048 = BgL_arg1815z00_1858; 
BgL_gez00_1510 = BgL_gez00_6048; 
BgL_gvz00_1509 = BgL_gvz00_6047; 
goto BgL_tagzd2168zd2_1511;} 
return 
((obj_t)BgL_auxz00_6046);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1816z00_1859;obj_t BgL_arg1817z00_1860;
BgL_arg1816z00_1859 = 
CAR(BgL_ez00_69); 
BgL_arg1817z00_1860 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6052;
{ 
obj_t BgL_argsz00_6054;obj_t BgL_fz00_6053;
BgL_fz00_6053 = BgL_arg1816z00_1859; 
BgL_argsz00_6054 = BgL_arg1817z00_1860; 
BgL_argsz00_1532 = BgL_argsz00_6054; 
BgL_fz00_1531 = BgL_fz00_6053; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6052);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1819z00_1862;
BgL_arg1819z00_1862 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6057;
{ 
obj_t BgL_argsz00_6059;obj_t BgL_fz00_6058;
BgL_fz00_6058 = BgL_arg1819z00_1862; 
BgL_argsz00_6059 = BgL_cdrzd27552zd2_1791; 
BgL_argsz00_1532 = BgL_argsz00_6059; 
BgL_fz00_1531 = BgL_fz00_6058; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6057);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1821z00_1864;
BgL_arg1821z00_1864 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6062;
{ 
obj_t BgL_argsz00_6064;obj_t BgL_fz00_6063;
BgL_fz00_6063 = BgL_arg1821z00_1864; 
BgL_argsz00_6064 = BgL_cdrzd27552zd2_1791; 
BgL_argsz00_1532 = BgL_argsz00_6064; 
BgL_fz00_1531 = BgL_fz00_6063; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6062);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3092z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd27552zd2_1791))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd28260zd2_1870;
BgL_carzd28260zd2_1870 = 
CAR(BgL_cdrzd27552zd2_1791); 
if(
PAIRP(BgL_carzd28260zd2_1870))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_carzd28260zd2_1870)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1829z00_1874;obj_t BgL_arg1830z00_1875;
BgL_arg1829z00_1874 = 
CAR(BgL_carzd28260zd2_1870); 
BgL_arg1830z00_1875 = 
CDR(BgL_cdrzd27552zd2_1791); 
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_6079;
BgL_vz00_1512 = BgL_arg1829z00_1874; 
BgL_bodyz00_1513 = BgL_arg1830z00_1875; 
BgL_tagzd2169zd2_1514:
{ /* Eval/evaluate.scm 570 */
BgL_ev_varz00_bglt BgL_varz00_2591;
{ /* Eval/evaluate.scm 570 */
BgL_ev_varz00_bglt BgL_new1144z00_2596;
{ /* Eval/evaluate.scm 570 */
BgL_ev_varz00_bglt BgL_new1143z00_2597;
BgL_new1143z00_2597 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 570 */
long BgL_arg2325z00_2598;
{ /* Eval/evaluate.scm 570 */
long BgL_res2781z00_3513;
BgL_res2781z00_3513 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg2325z00_2598 = BgL_res2781z00_3513; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1143z00_2597), BgL_arg2325z00_2598); } 
BgL_new1144z00_2596 = BgL_new1143z00_2597; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1144z00_2596))->BgL_namez00)=((obj_t)BgL_vz00_1512),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1144z00_2596))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1144z00_2596))->BgL_typez00)=((obj_t)BFALSE),BUNSPEC); 
BgL_varz00_2591 = BgL_new1144z00_2596; } 
{ /* Eval/evaluate.scm 571 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1146z00_2592;
{ /* Eval/evaluate.scm 572 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1145z00_2594;
BgL_new1145z00_2594 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate.scm 572 */
long BgL_arg2324z00_2595;
{ /* Eval/evaluate.scm 572 */
long BgL_res2782z00_3517;
BgL_res2782z00_3517 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BgL_arg2324z00_2595 = BgL_res2782z00_3517; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1145z00_2594), BgL_arg2324z00_2595); } 
BgL_new1146z00_2592 = BgL_new1145z00_2594; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1146z00_2592))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_varz00_2591),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_6092;
{ /* Eval/evaluate.scm 573 */
obj_t BgL_arg2323z00_2593;
BgL_arg2323z00_2593 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_varz00_2591), BgL_localsz00_70); 
BgL_auxz00_6092 = 
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1513, BgL_arg2323z00_2593, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0))); } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1146z00_2592))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_6092),BUNSPEC); } 
BgL_auxz00_6079 = BgL_new1146z00_2592; } } 
return 
((obj_t)BgL_auxz00_6079);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1831z00_1876;obj_t BgL_arg1832z00_1877;
BgL_arg1831z00_1876 = 
CAR(BgL_ez00_69); 
BgL_arg1832z00_1877 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6101;
{ 
obj_t BgL_argsz00_6103;obj_t BgL_fz00_6102;
BgL_fz00_6102 = BgL_arg1831z00_1876; 
BgL_argsz00_6103 = BgL_arg1832z00_1877; 
BgL_argsz00_1532 = BgL_argsz00_6103; 
BgL_fz00_1531 = BgL_fz00_6102; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6101);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1834z00_1879;obj_t BgL_arg1835z00_1880;
BgL_arg1834z00_1879 = 
CAR(BgL_ez00_69); 
BgL_arg1835z00_1880 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6107;
{ 
obj_t BgL_argsz00_6109;obj_t BgL_fz00_6108;
BgL_fz00_6108 = BgL_arg1834z00_1879; 
BgL_argsz00_6109 = BgL_arg1835z00_1880; 
BgL_argsz00_1532 = BgL_argsz00_6109; 
BgL_fz00_1531 = BgL_fz00_6108; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6107);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1836z00_1881;obj_t BgL_arg1837z00_1882;
BgL_arg1836z00_1881 = 
CAR(BgL_ez00_69); 
BgL_arg1837z00_1882 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6113;
{ 
obj_t BgL_argsz00_6115;obj_t BgL_fz00_6114;
BgL_fz00_6114 = BgL_arg1836z00_1881; 
BgL_argsz00_6115 = BgL_arg1837z00_1882; 
BgL_argsz00_1532 = BgL_argsz00_6115; 
BgL_fz00_1531 = BgL_fz00_6114; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6113);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd28425zd2_1883;
BgL_cdrzd28425zd2_1883 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3094z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28425zd2_1883))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1841z00_1887;obj_t BgL_arg1842z00_1888;
BgL_arg1841z00_1887 = 
CAR(BgL_cdrzd28425zd2_1883); 
BgL_arg1842z00_1888 = 
CDR(BgL_cdrzd28425zd2_1883); 
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_6125;
BgL_ez00_1515 = BgL_arg1841z00_1887; 
BgL_bodyz00_1516 = BgL_arg1842z00_1888; 
BgL_tagzd2170zd2_1517:
{ /* Eval/evaluate.scm 575 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1148z00_2599;
{ /* Eval/evaluate.scm 576 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1147z00_2600;
BgL_new1147z00_2600 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate.scm 576 */
long BgL_arg2326z00_2601;
{ /* Eval/evaluate.scm 576 */
long BgL_res2783z00_3521;
BgL_res2783z00_3521 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BgL_arg2326z00_2601 = BgL_res2783z00_3521; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1147z00_2600), BgL_arg2326z00_2601); } 
BgL_new1148z00_2599 = BgL_new1147z00_2600; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1148z00_2599))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_1515))),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1148z00_2599))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1516, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6125 = BgL_new1148z00_2599; } 
return 
((obj_t)BgL_auxz00_6125);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1843z00_1889;
BgL_arg1843z00_1889 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6138;
{ 
obj_t BgL_argsz00_6140;obj_t BgL_fz00_6139;
BgL_fz00_6139 = BgL_arg1843z00_1889; 
BgL_argsz00_6140 = BgL_cdrzd28425zd2_1883; 
BgL_argsz00_1532 = BgL_argsz00_6140; 
BgL_fz00_1531 = BgL_fz00_6139; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6138);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3096z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28425zd2_1883))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1848z00_1895;obj_t BgL_arg1849z00_1896;
BgL_arg1848z00_1895 = 
CAR(BgL_cdrzd28425zd2_1883); 
BgL_arg1849z00_1896 = 
CDR(BgL_cdrzd28425zd2_1883); 
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_6149;
BgL_hz00_1518 = BgL_arg1848z00_1895; 
BgL_bodyz00_1519 = BgL_arg1849z00_1896; 
BgL_tagzd2171zd2_1520:
{ /* Eval/evaluate.scm 579 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1150z00_2602;
{ /* Eval/evaluate.scm 580 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1149z00_2603;
BgL_new1149z00_2603 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate.scm 580 */
long BgL_arg2327z00_2604;
{ /* Eval/evaluate.scm 580 */
long BgL_res2784z00_3525;
BgL_res2784z00_3525 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BgL_arg2327z00_2604 = BgL_res2784z00_3525; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1149z00_2603), BgL_arg2327z00_2604); } 
BgL_new1150z00_2602 = BgL_new1149z00_2603; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1150z00_2602))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_hz00_1518))),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1150z00_2602))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1519, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6149 = BgL_new1150z00_2602; } 
return 
((obj_t)BgL_auxz00_6149);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1850z00_1897;obj_t BgL_arg1851z00_1898;
BgL_arg1850z00_1897 = 
CAR(BgL_ez00_69); 
BgL_arg1851z00_1898 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6163;
{ 
obj_t BgL_argsz00_6165;obj_t BgL_fz00_6164;
BgL_fz00_6164 = BgL_arg1850z00_1897; 
BgL_argsz00_6165 = BgL_arg1851z00_1898; 
BgL_argsz00_1532 = BgL_argsz00_6165; 
BgL_fz00_1531 = BgL_fz00_6164; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6163);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd28528zd2_1899;
BgL_cdrzd28528zd2_1899 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3098z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28528zd2_1899))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd28533zd2_1903;
BgL_cdrzd28533zd2_1903 = 
CDR(BgL_cdrzd28528zd2_1899); 
if(
PAIRP(BgL_cdrzd28533zd2_1903))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd28538zd2_1905;
BgL_cdrzd28538zd2_1905 = 
CDR(BgL_cdrzd28533zd2_1903); 
if(
(
CAR(BgL_cdrzd28533zd2_1903)==BGl_keyword3100z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28538zd2_1905))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1859z00_1909;obj_t BgL_arg1860z00_1910;obj_t BgL_arg1861z00_1911;
BgL_arg1859z00_1909 = 
CAR(BgL_cdrzd28528zd2_1899); 
BgL_arg1860z00_1910 = 
CAR(BgL_cdrzd28538zd2_1905); 
BgL_arg1861z00_1911 = 
CDR(BgL_cdrzd28538zd2_1905); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6185;
BgL_mz00_1521 = BgL_arg1859z00_1909; 
BgL_pz00_1522 = BgL_arg1860z00_1910; 
BgL_bodyz00_1523 = BgL_arg1861z00_1911; 
BgL_tagzd2172zd2_1524:
{ /* Eval/evaluate.scm 583 */
BgL_ev_synchroniza7eza7_bglt BgL_new1152z00_2605;
{ /* Eval/evaluate.scm 584 */
BgL_ev_synchroniza7eza7_bglt BgL_new1151z00_2606;
BgL_new1151z00_2606 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate.scm 584 */
long BgL_arg2328z00_2607;
{ /* Eval/evaluate.scm 584 */
long BgL_res2785z00_3529;
BgL_res2785z00_3529 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg2328z00_2607 = BgL_res2785z00_3529; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1151z00_2606), BgL_arg2328z00_2607); } 
BgL_new1152z00_2605 = BgL_new1151z00_2606; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1152z00_2605))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1152z00_2605))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_mz00_1521))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1152z00_2605))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_pz00_1522))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1152z00_2605))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1523, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6185 = BgL_new1152z00_2605; } 
return 
((obj_t)BgL_auxz00_6185);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1862z00_1913;obj_t BgL_arg1863z00_1914;
BgL_arg1862z00_1913 = 
CAR(
((obj_t)BgL_cdrzd28528zd2_1899)); 
BgL_arg1863z00_1914 = 
CDR(
((obj_t)BgL_cdrzd28528zd2_1899)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6205;
BgL_mz00_1525 = BgL_arg1862z00_1913; 
BgL_bodyz00_1526 = BgL_arg1863z00_1914; 
BgL_tagzd2173zd2_1527:
{ /* Eval/evaluate.scm 589 */
BgL_ev_synchroniza7eza7_bglt BgL_new1154z00_2608;
{ /* Eval/evaluate.scm 590 */
BgL_ev_synchroniza7eza7_bglt BgL_new1153z00_2609;
BgL_new1153z00_2609 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate.scm 590 */
long BgL_arg2329z00_2610;
{ /* Eval/evaluate.scm 590 */
long BgL_res2786z00_3533;
BgL_res2786z00_3533 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg2329z00_2610 = BgL_res2786z00_3533; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1153z00_2609), BgL_arg2329z00_2610); } 
BgL_new1154z00_2608 = BgL_new1153z00_2609; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1154z00_2608))->BgL_locz00)=((obj_t)BgL_locz00_74),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1154z00_2608))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BgL_mz00_1525))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1154z00_2608))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_uconvze70ze7zz__evaluatez00(BgL_locz00_74, BgL_wherez00_73, BgL_globalsz00_71, BgL_localsz00_70, BNIL))),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1154z00_2608))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)
BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1526, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t)0)))),BUNSPEC); 
BgL_auxz00_6205 = BgL_new1154z00_2608; } 
return 
((obj_t)BgL_auxz00_6205);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1864z00_1916;obj_t BgL_arg1865z00_1917;
BgL_arg1864z00_1916 = 
CAR(
((obj_t)BgL_cdrzd28528zd2_1899)); 
BgL_arg1865z00_1917 = 
CDR(
((obj_t)BgL_cdrzd28528zd2_1899)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6225;
{ 
obj_t BgL_bodyz00_6227;obj_t BgL_mz00_6226;
BgL_mz00_6226 = BgL_arg1864z00_1916; 
BgL_bodyz00_6227 = BgL_arg1865z00_1917; 
BgL_bodyz00_1526 = BgL_bodyz00_6227; 
BgL_mz00_1525 = BgL_mz00_6226; 
goto BgL_tagzd2173zd2_1527;} 
return 
((obj_t)BgL_auxz00_6225);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1867z00_1920;obj_t BgL_arg1868z00_1921;
BgL_arg1867z00_1920 = 
CAR(
((obj_t)BgL_cdrzd28528zd2_1899)); 
BgL_arg1868z00_1921 = 
CDR(
((obj_t)BgL_cdrzd28528zd2_1899)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6233;
{ 
obj_t BgL_bodyz00_6235;obj_t BgL_mz00_6234;
BgL_mz00_6234 = BgL_arg1867z00_1920; 
BgL_bodyz00_6235 = BgL_arg1868z00_1921; 
BgL_bodyz00_1526 = BgL_bodyz00_6235; 
BgL_mz00_1525 = BgL_mz00_6234; 
goto BgL_tagzd2173zd2_1527;} 
return 
((obj_t)BgL_auxz00_6233);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1869z00_1922;
BgL_arg1869z00_1922 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6238;
{ 
obj_t BgL_argsz00_6240;obj_t BgL_fz00_6239;
BgL_fz00_6239 = BgL_arg1869z00_1922; 
BgL_argsz00_6240 = BgL_cdrzd28528zd2_1899; 
BgL_argsz00_1532 = BgL_argsz00_6240; 
BgL_fz00_1531 = BgL_fz00_6239; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6238);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3053z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd28528zd2_1899))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd28638zd2_1928;
BgL_cdrzd28638zd2_1928 = 
CDR(BgL_cdrzd28528zd2_1899); 
if(
PAIRP(BgL_cdrzd28638zd2_1928))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd28638zd2_1928)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1877z00_1932;obj_t BgL_arg1878z00_1933;
BgL_arg1877z00_1932 = 
CAR(BgL_cdrzd28528zd2_1899); 
BgL_arg1878z00_1933 = 
CAR(BgL_cdrzd28638zd2_1928); 
{ 
BgL_ev_absz00_bglt BgL_auxz00_6255;
BgL_formalsz00_1528 = BgL_arg1877z00_1932; 
BgL_bodyz00_1529 = BgL_arg1878z00_1933; 
BgL_tagzd2174zd2_1530:
{ /* Eval/evaluate.scm 595 */
obj_t BgL_arg2330z00_2611;
{ /* Eval/evaluate.scm 595 */
obj_t BgL_arg2331z00_2612;
{ /* Eval/evaluate.scm 595 */
obj_t BgL_arg2332z00_2613;obj_t BgL_arg2333z00_2614;
{ /* Eval/evaluate.scm 595 */
obj_t BgL_res2787z00_3538;
{ /* Eval/evaluate.scm 595 */
obj_t BgL_symbolz00_3536;
BgL_symbolz00_3536 = BGl_symbol3064z00zz__evaluatez00; 
{ /* Eval/evaluate.scm 595 */
obj_t BgL_arg2500z00_3537;
BgL_arg2500z00_3537 = 
SYMBOL_TO_STRING(BgL_symbolz00_3536); 
BgL_res2787z00_3538 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2500z00_3537); } } 
BgL_arg2332z00_2613 = BgL_res2787z00_3538; } 
{ /* Eval/evaluate.scm 595 */
obj_t BgL_res2788z00_3541;
{ /* Eval/evaluate.scm 595 */
obj_t BgL_arg2500z00_3540;
BgL_arg2500z00_3540 = 
SYMBOL_TO_STRING(
((obj_t)BgL_wherez00_73)); 
BgL_res2788z00_3541 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2500z00_3540); } 
BgL_arg2333z00_2614 = BgL_res2788z00_3541; } 
BgL_arg2331z00_2612 = 
string_append(BgL_arg2332z00_2613, BgL_arg2333z00_2614); } 
BgL_arg2330z00_2611 = 
bstring_to_symbol(BgL_arg2331z00_2612); } 
BgL_auxz00_6255 = 
BGl_convzd2lambdaze70z35zz__evaluatez00(BgL_globalsz00_71, BgL_localsz00_70, BgL_ez00_69, BgL_locz00_74, BgL_formalsz00_1528, BgL_bodyz00_1529, BgL_arg2330z00_2611, BFALSE); } 
return 
((obj_t)BgL_auxz00_6255);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1879z00_1934;obj_t BgL_arg1880z00_1935;
BgL_arg1879z00_1934 = 
CAR(BgL_ez00_69); 
BgL_arg1880z00_1935 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6267;
{ 
obj_t BgL_argsz00_6269;obj_t BgL_fz00_6268;
BgL_fz00_6268 = BgL_arg1879z00_1934; 
BgL_argsz00_6269 = BgL_arg1880z00_1935; 
BgL_argsz00_1532 = BgL_argsz00_6269; 
BgL_fz00_1531 = BgL_fz00_6268; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6267);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1882z00_1937;obj_t BgL_arg1883z00_1938;
BgL_arg1882z00_1937 = 
CAR(BgL_ez00_69); 
BgL_arg1883z00_1938 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6273;
{ 
obj_t BgL_argsz00_6275;obj_t BgL_fz00_6274;
BgL_fz00_6274 = BgL_arg1882z00_1937; 
BgL_argsz00_6275 = BgL_arg1883z00_1938; 
BgL_argsz00_1532 = BgL_argsz00_6275; 
BgL_fz00_1531 = BgL_fz00_6274; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6273);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1884z00_1939;obj_t BgL_arg1885z00_1940;
BgL_arg1884z00_1939 = 
CAR(BgL_ez00_69); 
BgL_arg1885z00_1940 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6279;
{ 
obj_t BgL_argsz00_6281;obj_t BgL_fz00_6280;
BgL_fz00_6280 = BgL_arg1884z00_1939; 
BgL_argsz00_6281 = BgL_arg1885z00_1940; 
BgL_argsz00_1532 = BgL_argsz00_6281; 
BgL_fz00_1531 = BgL_fz00_6280; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6279);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1886z00_1941;obj_t BgL_arg1887z00_1942;
BgL_arg1886z00_1941 = 
CAR(BgL_ez00_69); 
BgL_arg1887z00_1942 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6285;
{ 
obj_t BgL_argsz00_6287;obj_t BgL_fz00_6286;
BgL_fz00_6286 = BgL_arg1886z00_1941; 
BgL_argsz00_6287 = BgL_arg1887z00_1942; 
BgL_argsz00_1532 = BgL_argsz00_6287; 
BgL_fz00_1531 = BgL_fz00_6286; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6285);} } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(BgL_carzd23820zd2_1606==BGl_symbol3078z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd2249zd2_1540))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd2249zd2_1540)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1909z00_1966;
BgL_arg1909z00_1966 = 
CAR(BgL_cdrzd2249zd2_1540); 
{ 
BgL_ev_trapz00_bglt BgL_auxz00_6297;
{ 
obj_t BgL_ez00_6298;
BgL_ez00_6298 = BgL_arg1909z00_1966; 
BgL_ez00_1468 = BgL_ez00_6298; 
goto BgL_tagzd2153zd2_1469;} 
return 
((obj_t)BgL_auxz00_6297);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1910z00_1967;obj_t BgL_arg1911z00_1968;
BgL_arg1910z00_1967 = 
CAR(BgL_ez00_69); 
BgL_arg1911z00_1968 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6302;
{ 
obj_t BgL_argsz00_6304;obj_t BgL_fz00_6303;
BgL_fz00_6303 = BgL_arg1910z00_1967; 
BgL_argsz00_6304 = BgL_arg1911z00_1968; 
BgL_argsz00_1532 = BgL_argsz00_6304; 
BgL_fz00_1531 = BgL_fz00_6303; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6302);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1913z00_1970;obj_t BgL_arg1914z00_1971;
BgL_arg1913z00_1970 = 
CAR(BgL_ez00_69); 
BgL_arg1914z00_1971 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6308;
{ 
obj_t BgL_argsz00_6310;obj_t BgL_fz00_6309;
BgL_fz00_6309 = BgL_arg1913z00_1970; 
BgL_argsz00_6310 = BgL_arg1914z00_1971; 
BgL_argsz00_1532 = BgL_argsz00_6310; 
BgL_fz00_1531 = BgL_fz00_6309; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6308);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd29337zd2_1972;
BgL_cdrzd29337zd2_1972 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3041z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd29337zd2_1972))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd29337zd2_1972)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1920z00_1978;
BgL_arg1920z00_1978 = 
CAR(BgL_cdrzd29337zd2_1972); 
{ 
BgL_ev_littz00_bglt BgL_auxz00_6322;
{ 
obj_t BgL_vz00_6323;
BgL_vz00_6323 = BgL_arg1920z00_1978; 
BgL_vz00_1470 = BgL_vz00_6323; 
goto BgL_tagzd2154zd2_1471;} 
return 
((obj_t)BgL_auxz00_6322);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1921z00_1979;
BgL_arg1921z00_1979 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6326;
{ 
obj_t BgL_argsz00_6328;obj_t BgL_fz00_6327;
BgL_fz00_6327 = BgL_arg1921z00_1979; 
BgL_argsz00_6328 = BgL_cdrzd29337zd2_1972; 
BgL_argsz00_1532 = BgL_argsz00_6328; 
BgL_fz00_1531 = BgL_fz00_6327; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6326);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1924z00_1982;
BgL_arg1924z00_1982 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6331;
{ 
obj_t BgL_argsz00_6333;obj_t BgL_fz00_6332;
BgL_fz00_6332 = BgL_arg1924z00_1982; 
BgL_argsz00_6333 = BgL_cdrzd29337zd2_1972; 
BgL_argsz00_1532 = BgL_argsz00_6333; 
BgL_fz00_1531 = BgL_fz00_6332; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6331);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3049z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd29337zd2_1972))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd29947zd2_1988;
BgL_cdrzd29947zd2_1988 = 
CDR(BgL_cdrzd29337zd2_1972); 
if(
PAIRP(BgL_cdrzd29947zd2_1988))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd29952zd2_1990;
BgL_cdrzd29952zd2_1990 = 
CDR(BgL_cdrzd29947zd2_1988); 
if(
PAIRP(BgL_cdrzd29952zd2_1990))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd29952zd2_1990)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1933z00_1994;obj_t BgL_arg1934z00_1995;obj_t BgL_arg1935z00_1996;
BgL_arg1933z00_1994 = 
CAR(BgL_cdrzd29337zd2_1972); 
BgL_arg1934z00_1995 = 
CAR(BgL_cdrzd29947zd2_1988); 
BgL_arg1935z00_1996 = 
CAR(BgL_cdrzd29952zd2_1990); 
{ 
BgL_ev_ifz00_bglt BgL_auxz00_6352;
{ 
obj_t BgL_oz00_6355;obj_t BgL_tz00_6354;obj_t BgL_pz00_6353;
BgL_pz00_6353 = BgL_arg1933z00_1994; 
BgL_tz00_6354 = BgL_arg1934z00_1995; 
BgL_oz00_6355 = BgL_arg1935z00_1996; 
BgL_oz00_1474 = BgL_oz00_6355; 
BgL_tz00_1473 = BgL_tz00_6354; 
BgL_pz00_1472 = BgL_pz00_6353; 
goto BgL_tagzd2155zd2_1475;} 
return 
((obj_t)BgL_auxz00_6352);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1936z00_1997;obj_t BgL_arg1937z00_1998;
BgL_arg1936z00_1997 = 
CAR(BgL_ez00_69); 
BgL_arg1937z00_1998 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6359;
{ 
obj_t BgL_argsz00_6361;obj_t BgL_fz00_6360;
BgL_fz00_6360 = BgL_arg1936z00_1997; 
BgL_argsz00_6361 = BgL_arg1937z00_1998; 
BgL_argsz00_1532 = BgL_argsz00_6361; 
BgL_fz00_1531 = BgL_fz00_6360; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6359);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd210250zd2_2000;
BgL_cdrzd210250zd2_2000 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd210256zd2_2001;
BgL_cdrzd210256zd2_2001 = 
CDR(
((obj_t)BgL_cdrzd210250zd2_2000)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd210256zd2_2001))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1941z00_2004;obj_t BgL_arg1942z00_2005;
BgL_arg1941z00_2004 = 
CAR(
((obj_t)BgL_cdrzd210250zd2_2000)); 
BgL_arg1942z00_2005 = 
CAR(
((obj_t)BgL_cdrzd210256zd2_2001)); 
{ 
BgL_ev_ifz00_bglt BgL_auxz00_6374;
{ 
obj_t BgL_tz00_6376;obj_t BgL_pz00_6375;
BgL_pz00_6375 = BgL_arg1941z00_2004; 
BgL_tz00_6376 = BgL_arg1942z00_2005; 
BgL_tz00_1477 = BgL_tz00_6376; 
BgL_pz00_1476 = BgL_pz00_6375; 
goto BgL_tagzd2156zd2_1478;} 
return 
((obj_t)BgL_auxz00_6374);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1943z00_2006;
BgL_arg1943z00_2006 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6379;
{ 
obj_t BgL_argsz00_6381;obj_t BgL_fz00_6380;
BgL_fz00_6380 = BgL_arg1943z00_2006; 
BgL_argsz00_6381 = BgL_cdrzd210250zd2_2000; 
BgL_argsz00_1532 = BgL_argsz00_6381; 
BgL_fz00_1531 = BgL_fz00_6380; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6379);} } } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1946z00_2009;obj_t BgL_arg1947z00_2010;
BgL_arg1946z00_2009 = 
CAR(BgL_ez00_69); 
BgL_arg1947z00_2010 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6385;
{ 
obj_t BgL_argsz00_6387;obj_t BgL_fz00_6386;
BgL_fz00_6386 = BgL_arg1946z00_2009; 
BgL_argsz00_6387 = BgL_arg1947z00_2010; 
BgL_argsz00_1532 = BgL_argsz00_6387; 
BgL_fz00_1531 = BgL_fz00_6386; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6385);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1948z00_2011;obj_t BgL_arg1949z00_2012;
BgL_arg1948z00_2011 = 
CAR(BgL_ez00_69); 
BgL_arg1949z00_2012 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6391;
{ 
obj_t BgL_argsz00_6393;obj_t BgL_fz00_6392;
BgL_fz00_6392 = BgL_arg1948z00_2011; 
BgL_argsz00_6393 = BgL_arg1949z00_2012; 
BgL_argsz00_1532 = BgL_argsz00_6393; 
BgL_fz00_1531 = BgL_fz00_6392; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6391);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3080z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1952z00_2015;
BgL_arg1952z00_2015 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_orz00_bglt BgL_auxz00_6399;
{ 
obj_t BgL_argsz00_6400;
BgL_argsz00_6400 = BgL_arg1952z00_2015; 
BgL_argsz00_1479 = BgL_argsz00_6400; 
goto BgL_tagzd2157zd2_1480;} 
return 
((obj_t)BgL_auxz00_6399);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3082z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1955z00_2018;
BgL_arg1955z00_2018 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_andz00_bglt BgL_auxz00_6406;
{ 
obj_t BgL_argsz00_6407;
BgL_argsz00_6407 = BgL_arg1955z00_2018; 
BgL_argsz00_1481 = BgL_argsz00_6407; 
goto BgL_tagzd2158zd2_1482;} 
return 
((obj_t)BgL_auxz00_6406);} }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3067z00zz__evaluatez00))
{ 
obj_t BgL_lz00_6412;
BgL_lz00_6412 = 
CDR(BgL_ez00_69); 
BgL_lz00_1483 = BgL_lz00_6412; 
goto BgL_tagzd2159zd2_1484;}  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd211149zd2_2022;
BgL_cdrzd211149zd2_2022 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3051z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211149zd2_2022))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1962z00_2026;obj_t BgL_arg1963z00_2027;
BgL_arg1962z00_2026 = 
CAR(BgL_cdrzd211149zd2_2022); 
BgL_arg1963z00_2027 = 
CDR(BgL_cdrzd211149zd2_2022); 
{ 
BgL_ev_letz00_bglt BgL_auxz00_6422;
{ 
obj_t BgL_bodyz00_6424;obj_t BgL_bindsz00_6423;
BgL_bindsz00_6423 = BgL_arg1962z00_2026; 
BgL_bodyz00_6424 = BgL_arg1963z00_2027; 
BgL_bodyz00_1486 = BgL_bodyz00_6424; 
BgL_bindsz00_1485 = BgL_bindsz00_6423; 
goto BgL_tagzd2160zd2_1487;} 
return 
((obj_t)BgL_auxz00_6422);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1964z00_2028;
BgL_arg1964z00_2028 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6427;
{ 
obj_t BgL_argsz00_6429;obj_t BgL_fz00_6428;
BgL_fz00_6428 = BgL_arg1964z00_2028; 
BgL_argsz00_6429 = BgL_cdrzd211149zd2_2022; 
BgL_argsz00_1532 = BgL_argsz00_6429; 
BgL_fz00_1531 = BgL_fz00_6428; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6427);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3084z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211149zd2_2022))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1969z00_2034;obj_t BgL_arg1970z00_2035;
BgL_arg1969z00_2034 = 
CAR(BgL_cdrzd211149zd2_2022); 
BgL_arg1970z00_2035 = 
CDR(BgL_cdrzd211149zd2_2022); 
{ 
BgL_ev_letza2za2_bglt BgL_auxz00_6438;
{ 
obj_t BgL_bodyz00_6440;obj_t BgL_bindsz00_6439;
BgL_bindsz00_6439 = BgL_arg1969z00_2034; 
BgL_bodyz00_6440 = BgL_arg1970z00_2035; 
BgL_bodyz00_1489 = BgL_bodyz00_6440; 
BgL_bindsz00_1488 = BgL_bindsz00_6439; 
goto BgL_tagzd2161zd2_1490;} 
return 
((obj_t)BgL_auxz00_6438);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1971z00_2036;obj_t BgL_arg1972z00_2037;
BgL_arg1971z00_2036 = 
CAR(BgL_ez00_69); 
BgL_arg1972z00_2037 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6444;
{ 
obj_t BgL_argsz00_6446;obj_t BgL_fz00_6445;
BgL_fz00_6445 = BgL_arg1971z00_2036; 
BgL_argsz00_6446 = BgL_arg1972z00_2037; 
BgL_argsz00_1532 = BgL_argsz00_6446; 
BgL_fz00_1531 = BgL_fz00_6445; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6444);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd211543zd2_2038;
BgL_cdrzd211543zd2_2038 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3086z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211543zd2_2038))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1976z00_2042;obj_t BgL_arg1977z00_2043;
BgL_arg1976z00_2042 = 
CAR(BgL_cdrzd211543zd2_2038); 
BgL_arg1977z00_2043 = 
CDR(BgL_cdrzd211543zd2_2038); 
{ 
BgL_ev_letrecz00_bglt BgL_auxz00_6456;
{ 
obj_t BgL_bodyz00_6458;obj_t BgL_bindsz00_6457;
BgL_bindsz00_6457 = BgL_arg1976z00_2042; 
BgL_bodyz00_6458 = BgL_arg1977z00_2043; 
BgL_bodyz00_1492 = BgL_bodyz00_6458; 
BgL_bindsz00_1491 = BgL_bindsz00_6457; 
goto BgL_tagzd2162zd2_1493;} 
return 
((obj_t)BgL_auxz00_6456);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1978z00_2044;
BgL_arg1978z00_2044 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6461;
{ 
obj_t BgL_argsz00_6463;obj_t BgL_fz00_6462;
BgL_fz00_6462 = BgL_arg1978z00_2044; 
BgL_argsz00_6463 = BgL_cdrzd211543zd2_2038; 
BgL_argsz00_1532 = BgL_argsz00_6463; 
BgL_fz00_1531 = BgL_fz00_6462; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6461);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3088z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211543zd2_2038))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd211717zd2_2050;obj_t BgL_cdrzd211718zd2_2051;
BgL_carzd211717zd2_2050 = 
CAR(BgL_cdrzd211543zd2_2038); 
BgL_cdrzd211718zd2_2051 = 
CDR(BgL_cdrzd211543zd2_2038); 
if(
PAIRP(BgL_carzd211717zd2_2050))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd211722zd2_2053;
BgL_cdrzd211722zd2_2053 = 
CDR(BgL_carzd211717zd2_2050); 
if(
(
CAR(BgL_carzd211717zd2_2050)==BGl_symbol3074z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211722zd2_2053))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd211725zd2_2057;obj_t BgL_cdrzd211726zd2_2058;
BgL_carzd211725zd2_2057 = 
CAR(BgL_cdrzd211722zd2_2053); 
BgL_cdrzd211726zd2_2058 = 
CDR(BgL_cdrzd211722zd2_2053); 
if(
SYMBOLP(BgL_carzd211725zd2_2057))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211726zd2_2058))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd211730zd2_2061;
BgL_carzd211730zd2_2061 = 
CAR(BgL_cdrzd211726zd2_2058); 
if(
SYMBOLP(BgL_carzd211730zd2_2061))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd211726zd2_2058)))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd211718zd2_2051))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd211718zd2_2051)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg1995z00_2068;
BgL_arg1995z00_2068 = 
CAR(BgL_cdrzd211718zd2_2051); 
{ 
BgL_ev_setglobalz00_bglt BgL_auxz00_6498;
{ 
obj_t BgL_ez00_6501;obj_t BgL_modnamez00_6500;obj_t BgL_idz00_6499;
BgL_idz00_6499 = BgL_carzd211725zd2_2057; 
BgL_modnamez00_6500 = BgL_carzd211730zd2_2061; 
BgL_ez00_6501 = BgL_arg1995z00_2068; 
BgL_ez00_1496 = BgL_ez00_6501; 
BgL_modnamez00_1495 = BgL_modnamez00_6500; 
BgL_idz00_1494 = BgL_idz00_6499; 
goto BgL_tagzd2163zd2_1497;} 
return 
((obj_t)BgL_auxz00_6498);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd211846zd2_2070;
BgL_cdrzd211846zd2_2070 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd211850zd2_2071;
BgL_cdrzd211850zd2_2071 = 
CDR(
((obj_t)BgL_cdrzd211846zd2_2070)); 
if(
PAIRP(BgL_cdrzd211850zd2_2071))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd211850zd2_2071)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2000z00_2075;obj_t BgL_arg2001z00_2076;
BgL_arg2000z00_2075 = 
CAR(
((obj_t)BgL_cdrzd211846zd2_2070)); 
BgL_arg2001z00_2076 = 
CAR(BgL_cdrzd211850zd2_2071); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6514;
{ 
obj_t BgL_ez00_6516;obj_t BgL_vz00_6515;
BgL_vz00_6515 = BgL_arg2000z00_2075; 
BgL_ez00_6516 = BgL_arg2001z00_2076; 
BgL_ez00_1502 = BgL_ez00_6516; 
BgL_vz00_1501 = BgL_vz00_6515; 
goto BgL_tagzd2165zd2_1503;} 
return 
((obj_t)BgL_auxz00_6514);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd211907zd2_2079;
BgL_cdrzd211907zd2_2079 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd211911zd2_2080;
BgL_cdrzd211911zd2_2080 = 
CDR(
((obj_t)BgL_cdrzd211907zd2_2079)); 
if(
PAIRP(BgL_cdrzd211911zd2_2080))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd211911zd2_2080)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2007z00_2084;obj_t BgL_arg2008z00_2085;
BgL_arg2007z00_2084 = 
CAR(
((obj_t)BgL_cdrzd211907zd2_2079)); 
BgL_arg2008z00_2085 = 
CAR(BgL_cdrzd211911zd2_2080); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6529;
{ 
obj_t BgL_ez00_6531;obj_t BgL_vz00_6530;
BgL_vz00_6530 = BgL_arg2007z00_2084; 
BgL_ez00_6531 = BgL_arg2008z00_2085; 
BgL_ez00_1502 = BgL_ez00_6531; 
BgL_vz00_1501 = BgL_vz00_6530; 
goto BgL_tagzd2165zd2_1503;} 
return 
((obj_t)BgL_auxz00_6529);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd211968zd2_2087;
BgL_cdrzd211968zd2_2087 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd211972zd2_2088;
BgL_cdrzd211972zd2_2088 = 
CDR(
((obj_t)BgL_cdrzd211968zd2_2087)); 
if(
PAIRP(BgL_cdrzd211972zd2_2088))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd211972zd2_2088)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2013z00_2092;obj_t BgL_arg2014z00_2093;
BgL_arg2013z00_2092 = 
CAR(
((obj_t)BgL_cdrzd211968zd2_2087)); 
BgL_arg2014z00_2093 = 
CAR(BgL_cdrzd211972zd2_2088); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6544;
{ 
obj_t BgL_ez00_6546;obj_t BgL_vz00_6545;
BgL_vz00_6545 = BgL_arg2013z00_2092; 
BgL_ez00_6546 = BgL_arg2014z00_2093; 
BgL_ez00_1502 = BgL_ez00_6546; 
BgL_vz00_1501 = BgL_vz00_6545; 
goto BgL_tagzd2165zd2_1503;} 
return 
((obj_t)BgL_auxz00_6544);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212029zd2_2095;
BgL_cdrzd212029zd2_2095 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212033zd2_2096;
BgL_cdrzd212033zd2_2096 = 
CDR(
((obj_t)BgL_cdrzd212029zd2_2095)); 
if(
PAIRP(BgL_cdrzd212033zd2_2096))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212033zd2_2096)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2019z00_2100;obj_t BgL_arg2020z00_2101;
BgL_arg2019z00_2100 = 
CAR(
((obj_t)BgL_cdrzd212029zd2_2095)); 
BgL_arg2020z00_2101 = 
CAR(BgL_cdrzd212033zd2_2096); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6559;
{ 
obj_t BgL_ez00_6561;obj_t BgL_vz00_6560;
BgL_vz00_6560 = BgL_arg2019z00_2100; 
BgL_ez00_6561 = BgL_arg2020z00_2101; 
BgL_ez00_1502 = BgL_ez00_6561; 
BgL_vz00_1501 = BgL_vz00_6560; 
goto BgL_tagzd2165zd2_1503;} 
return 
((obj_t)BgL_auxz00_6559);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212090zd2_2103;
BgL_cdrzd212090zd2_2103 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212094zd2_2104;
BgL_cdrzd212094zd2_2104 = 
CDR(
((obj_t)BgL_cdrzd212090zd2_2103)); 
if(
PAIRP(BgL_cdrzd212094zd2_2104))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212094zd2_2104)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2025z00_2108;obj_t BgL_arg2026z00_2109;
BgL_arg2025z00_2108 = 
CAR(
((obj_t)BgL_cdrzd212090zd2_2103)); 
BgL_arg2026z00_2109 = 
CAR(BgL_cdrzd212094zd2_2104); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6574;
{ 
obj_t BgL_ez00_6576;obj_t BgL_vz00_6575;
BgL_vz00_6575 = BgL_arg2025z00_2108; 
BgL_ez00_6576 = BgL_arg2026z00_2109; 
BgL_ez00_1502 = BgL_ez00_6576; 
BgL_vz00_1501 = BgL_vz00_6575; 
goto BgL_tagzd2165zd2_1503;} 
return 
((obj_t)BgL_auxz00_6574);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212138zd2_2111;
BgL_cdrzd212138zd2_2111 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd212141zd2_2112;obj_t BgL_cdrzd212142zd2_2113;
BgL_carzd212141zd2_2112 = 
CAR(
((obj_t)BgL_cdrzd212138zd2_2111)); 
BgL_cdrzd212142zd2_2113 = 
CDR(
((obj_t)BgL_cdrzd212138zd2_2111)); 
if(
(
CAR(
((obj_t)BgL_carzd212141zd2_2112))==BGl_symbol3076z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212142zd2_2113))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212142zd2_2113)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2033z00_2119;obj_t BgL_arg2034z00_2120;
BgL_arg2033z00_2119 = 
CDR(
((obj_t)BgL_carzd212141zd2_2112)); 
BgL_arg2034z00_2120 = 
CAR(BgL_cdrzd212142zd2_2113); 
{ 
obj_t BgL_e2z00_6596;obj_t BgL_lz00_6595;
BgL_lz00_6595 = BgL_arg2033z00_2119; 
BgL_e2z00_6596 = BgL_arg2034z00_2120; 
BgL_e2z00_1499 = BgL_e2z00_6596; 
BgL_lz00_1498 = BgL_lz00_6595; 
goto BgL_tagzd2164zd2_1500;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212218zd2_2123;
BgL_cdrzd212218zd2_2123 = 
CDR(
((obj_t)BgL_cdrzd212138zd2_2111)); 
if(
PAIRP(BgL_cdrzd212218zd2_2123))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212218zd2_2123)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2039z00_2127;obj_t BgL_arg2040z00_2128;
BgL_arg2039z00_2127 = 
CAR(
((obj_t)BgL_cdrzd212138zd2_2111)); 
BgL_arg2040z00_2128 = 
CAR(BgL_cdrzd212218zd2_2123); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6607;
{ 
obj_t BgL_ez00_6609;obj_t BgL_vz00_6608;
BgL_vz00_6608 = BgL_arg2039z00_2127; 
BgL_ez00_6609 = BgL_arg2040z00_2128; 
BgL_ez00_1502 = BgL_ez00_6609; 
BgL_vz00_1501 = BgL_vz00_6608; 
goto BgL_tagzd2165zd2_1503;} 
return 
((obj_t)BgL_auxz00_6607);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} } } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212275zd2_2132;
BgL_cdrzd212275zd2_2132 = 
CDR(BgL_ez00_69); 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212279zd2_2133;
BgL_cdrzd212279zd2_2133 = 
CDR(
((obj_t)BgL_cdrzd212275zd2_2132)); 
if(
PAIRP(BgL_cdrzd212279zd2_2133))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212279zd2_2133)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2047z00_2137;obj_t BgL_arg2048z00_2138;
BgL_arg2047z00_2137 = 
CAR(
((obj_t)BgL_cdrzd212275zd2_2132)); 
BgL_arg2048z00_2138 = 
CAR(BgL_cdrzd212279zd2_2133); 
{ 
BgL_ev_hookz00_bglt BgL_auxz00_6622;
{ 
obj_t BgL_ez00_6624;obj_t BgL_vz00_6623;
BgL_vz00_6623 = BgL_arg2047z00_2137; 
BgL_ez00_6624 = BgL_arg2048z00_2138; 
BgL_ez00_1502 = BgL_ez00_6624; 
BgL_vz00_1501 = BgL_vz00_6623; 
goto BgL_tagzd2165zd2_1503;} 
return 
((obj_t)BgL_auxz00_6622);} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} } } }  else 
{ /* Eval/evaluate.scm 424 */
goto BgL_tagzd2166zd2_1504;} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212400zd2_2140;
BgL_cdrzd212400zd2_2140 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3090z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212400zd2_2140))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212405zd2_2144;
BgL_cdrzd212405zd2_2144 = 
CDR(BgL_cdrzd212400zd2_2140); 
if(
PAIRP(BgL_cdrzd212405zd2_2144))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd212409zd2_2146;
BgL_carzd212409zd2_2146 = 
CAR(BgL_cdrzd212405zd2_2144); 
if(
PAIRP(BgL_carzd212409zd2_2146))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212414zd2_2148;
BgL_cdrzd212414zd2_2148 = 
CDR(BgL_carzd212409zd2_2146); 
if(
(
CAR(BgL_carzd212409zd2_2146)==BGl_symbol3053z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212414zd2_2148))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212418zd2_2152;
BgL_cdrzd212418zd2_2152 = 
CDR(BgL_cdrzd212414zd2_2148); 
if(
PAIRP(BgL_cdrzd212418zd2_2152))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212418zd2_2152)))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd212405zd2_2144)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2063z00_2158;obj_t BgL_arg2064z00_2159;obj_t BgL_arg2065z00_2160;
BgL_arg2063z00_2158 = 
CAR(BgL_cdrzd212400zd2_2140); 
BgL_arg2064z00_2159 = 
CAR(BgL_cdrzd212414zd2_2148); 
BgL_arg2065z00_2160 = 
CAR(BgL_cdrzd212418zd2_2152); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6656;
{ 
obj_t BgL_bodyz00_6659;obj_t BgL_formalsz00_6658;obj_t BgL_gvz00_6657;
BgL_gvz00_6657 = BgL_arg2063z00_2158; 
BgL_formalsz00_6658 = BgL_arg2064z00_2159; 
BgL_bodyz00_6659 = BgL_arg2065z00_2160; 
BgL_bodyz00_1507 = BgL_bodyz00_6659; 
BgL_formalsz00_1506 = BgL_formalsz00_6658; 
BgL_gvz00_1505 = BgL_gvz00_6657; 
goto BgL_tagzd2167zd2_1508;} 
return 
((obj_t)BgL_auxz00_6656);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2066z00_2161;
BgL_arg2066z00_2161 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6662;
{ 
obj_t BgL_argsz00_6664;obj_t BgL_fz00_6663;
BgL_fz00_6663 = BgL_arg2066z00_2161; 
BgL_argsz00_6664 = BgL_cdrzd212400zd2_2140; 
BgL_argsz00_1532 = BgL_argsz00_6664; 
BgL_fz00_1531 = BgL_fz00_6663; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6662);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212518zd2_2165;
BgL_cdrzd212518zd2_2165 = 
CDR(
((obj_t)BgL_cdrzd212400zd2_2140)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212518zd2_2165))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2071z00_2168;obj_t BgL_arg2072z00_2169;
BgL_arg2071z00_2168 = 
CAR(
((obj_t)BgL_cdrzd212400zd2_2140)); 
BgL_arg2072z00_2169 = 
CAR(
((obj_t)BgL_cdrzd212518zd2_2165)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6676;
{ 
obj_t BgL_gez00_6678;obj_t BgL_gvz00_6677;
BgL_gvz00_6677 = BgL_arg2071z00_2168; 
BgL_gez00_6678 = BgL_arg2072z00_2169; 
BgL_gez00_1510 = BgL_gez00_6678; 
BgL_gvz00_1509 = BgL_gvz00_6677; 
goto BgL_tagzd2168zd2_1511;} 
return 
((obj_t)BgL_auxz00_6676);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2073z00_2170;obj_t BgL_arg2074z00_2171;
BgL_arg2073z00_2170 = 
CAR(BgL_ez00_69); 
BgL_arg2074z00_2171 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6682;
{ 
obj_t BgL_argsz00_6684;obj_t BgL_fz00_6683;
BgL_fz00_6683 = BgL_arg2073z00_2170; 
BgL_argsz00_6684 = BgL_arg2074z00_2171; 
BgL_argsz00_1532 = BgL_argsz00_6684; 
BgL_fz00_1531 = BgL_fz00_6683; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6682);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212605zd2_2175;
BgL_cdrzd212605zd2_2175 = 
CDR(
((obj_t)BgL_cdrzd212400zd2_2140)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212605zd2_2175))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2079z00_2178;obj_t BgL_arg2080z00_2179;
BgL_arg2079z00_2178 = 
CAR(
((obj_t)BgL_cdrzd212400zd2_2140)); 
BgL_arg2080z00_2179 = 
CAR(
((obj_t)BgL_cdrzd212605zd2_2175)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6696;
{ 
obj_t BgL_gez00_6698;obj_t BgL_gvz00_6697;
BgL_gvz00_6697 = BgL_arg2079z00_2178; 
BgL_gez00_6698 = BgL_arg2080z00_2179; 
BgL_gez00_1510 = BgL_gez00_6698; 
BgL_gvz00_1509 = BgL_gvz00_6697; 
goto BgL_tagzd2168zd2_1511;} 
return 
((obj_t)BgL_auxz00_6696);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2081z00_2180;obj_t BgL_arg2082z00_2181;
BgL_arg2081z00_2180 = 
CAR(BgL_ez00_69); 
BgL_arg2082z00_2181 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6702;
{ 
obj_t BgL_argsz00_6704;obj_t BgL_fz00_6703;
BgL_fz00_6703 = BgL_arg2081z00_2180; 
BgL_argsz00_6704 = BgL_arg2082z00_2181; 
BgL_argsz00_1532 = BgL_argsz00_6704; 
BgL_fz00_1531 = BgL_fz00_6703; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6702);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212692zd2_2184;
BgL_cdrzd212692zd2_2184 = 
CDR(
((obj_t)BgL_cdrzd212400zd2_2140)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212692zd2_2184))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2086z00_2187;obj_t BgL_arg2087z00_2188;
BgL_arg2086z00_2187 = 
CAR(
((obj_t)BgL_cdrzd212400zd2_2140)); 
BgL_arg2087z00_2188 = 
CAR(
((obj_t)BgL_cdrzd212692zd2_2184)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6716;
{ 
obj_t BgL_gez00_6718;obj_t BgL_gvz00_6717;
BgL_gvz00_6717 = BgL_arg2086z00_2187; 
BgL_gez00_6718 = BgL_arg2087z00_2188; 
BgL_gez00_1510 = BgL_gez00_6718; 
BgL_gvz00_1509 = BgL_gvz00_6717; 
goto BgL_tagzd2168zd2_1511;} 
return 
((obj_t)BgL_auxz00_6716);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2088z00_2189;obj_t BgL_arg2089z00_2190;
BgL_arg2088z00_2189 = 
CAR(BgL_ez00_69); 
BgL_arg2089z00_2190 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6722;
{ 
obj_t BgL_argsz00_6724;obj_t BgL_fz00_6723;
BgL_fz00_6723 = BgL_arg2088z00_2189; 
BgL_argsz00_6724 = BgL_arg2089z00_2190; 
BgL_argsz00_1532 = BgL_argsz00_6724; 
BgL_fz00_1531 = BgL_fz00_6723; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6722);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212779zd2_2193;
BgL_cdrzd212779zd2_2193 = 
CDR(
((obj_t)BgL_cdrzd212400zd2_2140)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212779zd2_2193))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2093z00_2196;obj_t BgL_arg2094z00_2197;
BgL_arg2093z00_2196 = 
CAR(
((obj_t)BgL_cdrzd212400zd2_2140)); 
BgL_arg2094z00_2197 = 
CAR(
((obj_t)BgL_cdrzd212779zd2_2193)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6736;
{ 
obj_t BgL_gez00_6738;obj_t BgL_gvz00_6737;
BgL_gvz00_6737 = BgL_arg2093z00_2196; 
BgL_gez00_6738 = BgL_arg2094z00_2197; 
BgL_gez00_1510 = BgL_gez00_6738; 
BgL_gvz00_1509 = BgL_gvz00_6737; 
goto BgL_tagzd2168zd2_1511;} 
return 
((obj_t)BgL_auxz00_6736);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2095z00_2198;obj_t BgL_arg2096z00_2199;
BgL_arg2095z00_2198 = 
CAR(BgL_ez00_69); 
BgL_arg2096z00_2199 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6742;
{ 
obj_t BgL_argsz00_6744;obj_t BgL_fz00_6743;
BgL_fz00_6743 = BgL_arg2095z00_2198; 
BgL_argsz00_6744 = BgL_arg2096z00_2199; 
BgL_argsz00_1532 = BgL_argsz00_6744; 
BgL_fz00_1531 = BgL_fz00_6743; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6742);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd212866zd2_2203;
BgL_cdrzd212866zd2_2203 = 
CDR(
((obj_t)BgL_cdrzd212400zd2_2140)); 
if(
NULLP(
CDR(
((obj_t)BgL_cdrzd212866zd2_2203))))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2102z00_2206;obj_t BgL_arg2103z00_2207;
BgL_arg2102z00_2206 = 
CAR(
((obj_t)BgL_cdrzd212400zd2_2140)); 
BgL_arg2103z00_2207 = 
CAR(
((obj_t)BgL_cdrzd212866zd2_2203)); 
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_6756;
{ 
obj_t BgL_gez00_6758;obj_t BgL_gvz00_6757;
BgL_gvz00_6757 = BgL_arg2102z00_2206; 
BgL_gez00_6758 = BgL_arg2103z00_2207; 
BgL_gez00_1510 = BgL_gez00_6758; 
BgL_gvz00_1509 = BgL_gvz00_6757; 
goto BgL_tagzd2168zd2_1511;} 
return 
((obj_t)BgL_auxz00_6756);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2104z00_2208;obj_t BgL_arg2105z00_2209;
BgL_arg2104z00_2208 = 
CAR(BgL_ez00_69); 
BgL_arg2105z00_2209 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6762;
{ 
obj_t BgL_argsz00_6764;obj_t BgL_fz00_6763;
BgL_fz00_6763 = BgL_arg2104z00_2208; 
BgL_argsz00_6764 = BgL_arg2105z00_2209; 
BgL_argsz00_1532 = BgL_argsz00_6764; 
BgL_fz00_1531 = BgL_fz00_6763; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6762);} } } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2107z00_2211;
BgL_arg2107z00_2211 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6767;
{ 
obj_t BgL_argsz00_6769;obj_t BgL_fz00_6768;
BgL_fz00_6768 = BgL_arg2107z00_2211; 
BgL_argsz00_6769 = BgL_cdrzd212400zd2_2140; 
BgL_argsz00_1532 = BgL_argsz00_6769; 
BgL_fz00_1531 = BgL_fz00_6768; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6767);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2109z00_2213;
BgL_arg2109z00_2213 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6772;
{ 
obj_t BgL_argsz00_6774;obj_t BgL_fz00_6773;
BgL_fz00_6773 = BgL_arg2109z00_2213; 
BgL_argsz00_6774 = BgL_cdrzd212400zd2_2140; 
BgL_argsz00_1532 = BgL_argsz00_6774; 
BgL_fz00_1531 = BgL_fz00_6773; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6772);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3092z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd212400zd2_2140))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_carzd213108zd2_2219;
BgL_carzd213108zd2_2219 = 
CAR(BgL_cdrzd212400zd2_2140); 
if(
PAIRP(BgL_carzd213108zd2_2219))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_carzd213108zd2_2219)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2117z00_2223;obj_t BgL_arg2118z00_2224;
BgL_arg2117z00_2223 = 
CAR(BgL_carzd213108zd2_2219); 
BgL_arg2118z00_2224 = 
CDR(BgL_cdrzd212400zd2_2140); 
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_6789;
{ 
obj_t BgL_bodyz00_6791;obj_t BgL_vz00_6790;
BgL_vz00_6790 = BgL_arg2117z00_2223; 
BgL_bodyz00_6791 = BgL_arg2118z00_2224; 
BgL_bodyz00_1513 = BgL_bodyz00_6791; 
BgL_vz00_1512 = BgL_vz00_6790; 
goto BgL_tagzd2169zd2_1514;} 
return 
((obj_t)BgL_auxz00_6789);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2119z00_2225;obj_t BgL_arg2120z00_2226;
BgL_arg2119z00_2225 = 
CAR(BgL_ez00_69); 
BgL_arg2120z00_2226 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6795;
{ 
obj_t BgL_argsz00_6797;obj_t BgL_fz00_6796;
BgL_fz00_6796 = BgL_arg2119z00_2225; 
BgL_argsz00_6797 = BgL_arg2120z00_2226; 
BgL_argsz00_1532 = BgL_argsz00_6797; 
BgL_fz00_1531 = BgL_fz00_6796; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6795);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2122z00_2228;obj_t BgL_arg2123z00_2229;
BgL_arg2122z00_2228 = 
CAR(BgL_ez00_69); 
BgL_arg2123z00_2229 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6801;
{ 
obj_t BgL_argsz00_6803;obj_t BgL_fz00_6802;
BgL_fz00_6802 = BgL_arg2122z00_2228; 
BgL_argsz00_6803 = BgL_arg2123z00_2229; 
BgL_argsz00_1532 = BgL_argsz00_6803; 
BgL_fz00_1531 = BgL_fz00_6802; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6801);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2124z00_2230;obj_t BgL_arg2125z00_2231;
BgL_arg2124z00_2230 = 
CAR(BgL_ez00_69); 
BgL_arg2125z00_2231 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6807;
{ 
obj_t BgL_argsz00_6809;obj_t BgL_fz00_6808;
BgL_fz00_6808 = BgL_arg2124z00_2230; 
BgL_argsz00_6809 = BgL_arg2125z00_2231; 
BgL_argsz00_1532 = BgL_argsz00_6809; 
BgL_fz00_1531 = BgL_fz00_6808; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6807);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd213273zd2_2232;
BgL_cdrzd213273zd2_2232 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3094z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213273zd2_2232))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2129z00_2236;obj_t BgL_arg2130z00_2237;
BgL_arg2129z00_2236 = 
CAR(BgL_cdrzd213273zd2_2232); 
BgL_arg2130z00_2237 = 
CDR(BgL_cdrzd213273zd2_2232); 
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_6819;
{ 
obj_t BgL_bodyz00_6821;obj_t BgL_ez00_6820;
BgL_ez00_6820 = BgL_arg2129z00_2236; 
BgL_bodyz00_6821 = BgL_arg2130z00_2237; 
BgL_bodyz00_1516 = BgL_bodyz00_6821; 
BgL_ez00_1515 = BgL_ez00_6820; 
goto BgL_tagzd2170zd2_1517;} 
return 
((obj_t)BgL_auxz00_6819);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2131z00_2238;
BgL_arg2131z00_2238 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6824;
{ 
obj_t BgL_argsz00_6826;obj_t BgL_fz00_6825;
BgL_fz00_6825 = BgL_arg2131z00_2238; 
BgL_argsz00_6826 = BgL_cdrzd213273zd2_2232; 
BgL_argsz00_1532 = BgL_argsz00_6826; 
BgL_fz00_1531 = BgL_fz00_6825; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6824);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3096z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213273zd2_2232))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2136z00_2244;obj_t BgL_arg2137z00_2245;
BgL_arg2136z00_2244 = 
CAR(BgL_cdrzd213273zd2_2232); 
BgL_arg2137z00_2245 = 
CDR(BgL_cdrzd213273zd2_2232); 
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_6835;
{ 
obj_t BgL_bodyz00_6837;obj_t BgL_hz00_6836;
BgL_hz00_6836 = BgL_arg2136z00_2244; 
BgL_bodyz00_6837 = BgL_arg2137z00_2245; 
BgL_bodyz00_1519 = BgL_bodyz00_6837; 
BgL_hz00_1518 = BgL_hz00_6836; 
goto BgL_tagzd2171zd2_1520;} 
return 
((obj_t)BgL_auxz00_6835);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2138z00_2246;obj_t BgL_arg2139z00_2247;
BgL_arg2138z00_2246 = 
CAR(BgL_ez00_69); 
BgL_arg2139z00_2247 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6841;
{ 
obj_t BgL_argsz00_6843;obj_t BgL_fz00_6842;
BgL_fz00_6842 = BgL_arg2138z00_2246; 
BgL_argsz00_6843 = BgL_arg2139z00_2247; 
BgL_argsz00_1532 = BgL_argsz00_6843; 
BgL_fz00_1531 = BgL_fz00_6842; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6841);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd213376zd2_2248;
BgL_cdrzd213376zd2_2248 = 
CDR(BgL_ez00_69); 
if(
(
CAR(BgL_ez00_69)==BGl_symbol3098z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213376zd2_2248))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd213381zd2_2252;
BgL_cdrzd213381zd2_2252 = 
CDR(BgL_cdrzd213376zd2_2248); 
if(
PAIRP(BgL_cdrzd213381zd2_2252))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd213386zd2_2254;
BgL_cdrzd213386zd2_2254 = 
CDR(BgL_cdrzd213381zd2_2252); 
if(
(
CAR(BgL_cdrzd213381zd2_2252)==BGl_keyword3100z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213386zd2_2254))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2147z00_2258;obj_t BgL_arg2148z00_2259;obj_t BgL_arg2149z00_2260;
BgL_arg2147z00_2258 = 
CAR(BgL_cdrzd213376zd2_2248); 
BgL_arg2148z00_2259 = 
CAR(BgL_cdrzd213386zd2_2254); 
BgL_arg2149z00_2260 = 
CDR(BgL_cdrzd213386zd2_2254); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6863;
{ 
obj_t BgL_bodyz00_6866;obj_t BgL_pz00_6865;obj_t BgL_mz00_6864;
BgL_mz00_6864 = BgL_arg2147z00_2258; 
BgL_pz00_6865 = BgL_arg2148z00_2259; 
BgL_bodyz00_6866 = BgL_arg2149z00_2260; 
BgL_bodyz00_1523 = BgL_bodyz00_6866; 
BgL_pz00_1522 = BgL_pz00_6865; 
BgL_mz00_1521 = BgL_mz00_6864; 
goto BgL_tagzd2172zd2_1524;} 
return 
((obj_t)BgL_auxz00_6863);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2150z00_2262;obj_t BgL_arg2151z00_2263;
BgL_arg2150z00_2262 = 
CAR(
((obj_t)BgL_cdrzd213376zd2_2248)); 
BgL_arg2151z00_2263 = 
CDR(
((obj_t)BgL_cdrzd213376zd2_2248)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6872;
{ 
obj_t BgL_bodyz00_6874;obj_t BgL_mz00_6873;
BgL_mz00_6873 = BgL_arg2150z00_2262; 
BgL_bodyz00_6874 = BgL_arg2151z00_2263; 
BgL_bodyz00_1526 = BgL_bodyz00_6874; 
BgL_mz00_1525 = BgL_mz00_6873; 
goto BgL_tagzd2173zd2_1527;} 
return 
((obj_t)BgL_auxz00_6872);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2152z00_2265;obj_t BgL_arg2153z00_2266;
BgL_arg2152z00_2265 = 
CAR(
((obj_t)BgL_cdrzd213376zd2_2248)); 
BgL_arg2153z00_2266 = 
CDR(
((obj_t)BgL_cdrzd213376zd2_2248)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6880;
{ 
obj_t BgL_bodyz00_6882;obj_t BgL_mz00_6881;
BgL_mz00_6881 = BgL_arg2152z00_2265; 
BgL_bodyz00_6882 = BgL_arg2153z00_2266; 
BgL_bodyz00_1526 = BgL_bodyz00_6882; 
BgL_mz00_1525 = BgL_mz00_6881; 
goto BgL_tagzd2173zd2_1527;} 
return 
((obj_t)BgL_auxz00_6880);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2155z00_2269;obj_t BgL_arg2156z00_2270;
BgL_arg2155z00_2269 = 
CAR(
((obj_t)BgL_cdrzd213376zd2_2248)); 
BgL_arg2156z00_2270 = 
CDR(
((obj_t)BgL_cdrzd213376zd2_2248)); 
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_6888;
{ 
obj_t BgL_bodyz00_6890;obj_t BgL_mz00_6889;
BgL_mz00_6889 = BgL_arg2155z00_2269; 
BgL_bodyz00_6890 = BgL_arg2156z00_2270; 
BgL_bodyz00_1526 = BgL_bodyz00_6890; 
BgL_mz00_1525 = BgL_mz00_6889; 
goto BgL_tagzd2173zd2_1527;} 
return 
((obj_t)BgL_auxz00_6888);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2157z00_2271;
BgL_arg2157z00_2271 = 
CAR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6893;
{ 
obj_t BgL_argsz00_6895;obj_t BgL_fz00_6894;
BgL_fz00_6894 = BgL_arg2157z00_2271; 
BgL_argsz00_6895 = BgL_cdrzd213376zd2_2248; 
BgL_argsz00_1532 = BgL_argsz00_6895; 
BgL_fz00_1531 = BgL_fz00_6894; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6893);} } }  else 
{ /* Eval/evaluate.scm 424 */
if(
(
CAR(BgL_ez00_69)==BGl_symbol3053z00zz__evaluatez00))
{ /* Eval/evaluate.scm 424 */
if(
PAIRP(BgL_cdrzd213376zd2_2248))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_cdrzd213486zd2_2277;
BgL_cdrzd213486zd2_2277 = 
CDR(BgL_cdrzd213376zd2_2248); 
if(
PAIRP(BgL_cdrzd213486zd2_2277))
{ /* Eval/evaluate.scm 424 */
if(
NULLP(
CDR(BgL_cdrzd213486zd2_2277)))
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2165z00_2281;obj_t BgL_arg2166z00_2282;
BgL_arg2165z00_2281 = 
CAR(BgL_cdrzd213376zd2_2248); 
BgL_arg2166z00_2282 = 
CAR(BgL_cdrzd213486zd2_2277); 
{ 
BgL_ev_absz00_bglt BgL_auxz00_6910;
{ 
obj_t BgL_bodyz00_6912;obj_t BgL_formalsz00_6911;
BgL_formalsz00_6911 = BgL_arg2165z00_2281; 
BgL_bodyz00_6912 = BgL_arg2166z00_2282; 
BgL_bodyz00_1529 = BgL_bodyz00_6912; 
BgL_formalsz00_1528 = BgL_formalsz00_6911; 
goto BgL_tagzd2174zd2_1530;} 
return 
((obj_t)BgL_auxz00_6910);} }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2167z00_2283;obj_t BgL_arg2168z00_2284;
BgL_arg2167z00_2283 = 
CAR(BgL_ez00_69); 
BgL_arg2168z00_2284 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6916;
{ 
obj_t BgL_argsz00_6918;obj_t BgL_fz00_6917;
BgL_fz00_6917 = BgL_arg2167z00_2283; 
BgL_argsz00_6918 = BgL_arg2168z00_2284; 
BgL_argsz00_1532 = BgL_argsz00_6918; 
BgL_fz00_1531 = BgL_fz00_6917; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6916);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2170z00_2286;obj_t BgL_arg2171z00_2287;
BgL_arg2170z00_2286 = 
CAR(BgL_ez00_69); 
BgL_arg2171z00_2287 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6922;
{ 
obj_t BgL_argsz00_6924;obj_t BgL_fz00_6923;
BgL_fz00_6923 = BgL_arg2170z00_2286; 
BgL_argsz00_6924 = BgL_arg2171z00_2287; 
BgL_argsz00_1532 = BgL_argsz00_6924; 
BgL_fz00_1531 = BgL_fz00_6923; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6922);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2172z00_2288;obj_t BgL_arg2173z00_2289;
BgL_arg2172z00_2288 = 
CAR(BgL_ez00_69); 
BgL_arg2173z00_2289 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6928;
{ 
obj_t BgL_argsz00_6930;obj_t BgL_fz00_6929;
BgL_fz00_6929 = BgL_arg2172z00_2288; 
BgL_argsz00_6930 = BgL_arg2173z00_2289; 
BgL_argsz00_1532 = BgL_argsz00_6930; 
BgL_fz00_1531 = BgL_fz00_6929; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6928);} } }  else 
{ /* Eval/evaluate.scm 424 */
obj_t BgL_arg2174z00_2290;obj_t BgL_arg2175z00_2291;
BgL_arg2174z00_2290 = 
CAR(BgL_ez00_69); 
BgL_arg2175z00_2291 = 
CDR(BgL_ez00_69); 
{ 
BgL_ev_appz00_bglt BgL_auxz00_6934;
{ 
obj_t BgL_argsz00_6936;obj_t BgL_fz00_6935;
BgL_fz00_6935 = BgL_arg2174z00_2290; 
BgL_argsz00_6936 = BgL_arg2175z00_2291; 
BgL_argsz00_1532 = BgL_argsz00_6936; 
BgL_fz00_1531 = BgL_fz00_6935; 
goto BgL_tagzd2175zd2_1533;} 
return 
((obj_t)BgL_auxz00_6934);} } } } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate.scm 424 */
BgL_xz00_1456 = BgL_ez00_69; 
if(
SYMBOLP(BgL_xz00_1456))
{ /* Eval/evaluate.scm 427 */
obj_t BgL__ortest_1101z00_2312;
BgL__ortest_1101z00_2312 = 
BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_1456, BgL_localsz00_70); 
if(
CBOOL(BgL__ortest_1101z00_2312))
{ /* Eval/evaluate.scm 427 */
return BgL__ortest_1101z00_2312;}  else 
{ /* Eval/evaluate.scm 427 */
return 
((obj_t)
BGl_convzd2globalzd2zz__evaluatez00(BgL_locz00_74, BgL_xz00_1456, BgL_globalsz00_71));} }  else 
{ /* Eval/evaluate.scm 428 */
BgL_ev_littz00_bglt BgL_new1104z00_2313;
{ /* Eval/evaluate.scm 429 */
BgL_ev_littz00_bglt BgL_new1102z00_2314;
BgL_new1102z00_2314 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate.scm 429 */
long BgL_arg2196z00_2315;
{ /* Eval/evaluate.scm 429 */
long BgL_res2720z00_3320;
BgL_res2720z00_3320 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg2196z00_2315 = BgL_res2720z00_3320; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1102z00_2314), BgL_arg2196z00_2315); } 
BgL_new1104z00_2313 = BgL_new1102z00_2314; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1104z00_2313))->BgL_valuez00)=((obj_t)BgL_xz00_1456),BUNSPEC); 
return 
((obj_t)BgL_new1104z00_2313);} } } } } 
BGL_FUNCTION_END;
}



/* loop~0 */
obj_t BGl_loopze70ze7zz__evaluatez00(obj_t BgL_wherez00_4441, obj_t BgL_globalsz00_4440, obj_t BgL_localsz00_4439, obj_t BgL_locz00_4438, obj_t BgL_esz00_2643)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 386 */
if(
NULLP(BgL_esz00_2643))
{ /* Eval/evaluate.scm 387 */
return BNIL;}  else 
{ /* Eval/evaluate.scm 389 */
obj_t BgL_ez00_2646;
BgL_ez00_2646 = 
CAR(
((obj_t)BgL_esz00_2643)); 
{ /* Eval/evaluate.scm 390 */
obj_t BgL_arg2347z00_2647;obj_t BgL_arg2348z00_2648;
BgL_arg2347z00_2647 = 
BGl_convz00zz__evaluatez00(BgL_ez00_2646, BgL_localsz00_4439, BgL_globalsz00_4440, BFALSE, BgL_wherez00_4441, 
BGl_getzd2location3zd2zz__evaluatez00(BgL_ez00_2646, BgL_esz00_2643, BgL_locz00_4438), ((bool_t)0)); 
{ /* Eval/evaluate.scm 391 */
obj_t BgL_arg2350z00_2650;
BgL_arg2350z00_2650 = 
CDR(
((obj_t)BgL_esz00_2643)); 
BgL_arg2348z00_2648 = 
BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_4441, BgL_globalsz00_4440, BgL_localsz00_4439, BgL_locz00_4438, BgL_arg2350z00_2650); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2347z00_2647, BgL_arg2348z00_2648);} } } 
BGL_FUNCTION_END;
}



/* rconv/loc~0 */
obj_t BGl_rconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4445, obj_t BgL_tailzf3zf3_4444, obj_t BgL_globalsz00_4443, obj_t BgL_localsz00_4442, obj_t BgL_ez00_2620, obj_t BgL_locz00_2621)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 368 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_2620, BgL_localsz00_4442, BgL_globalsz00_4443, BgL_tailzf3zf3_4444, BgL_wherez00_4445, BgL_locz00_2621, ((bool_t)0));} 
BGL_FUNCTION_END;
}



/* uconv/loc~0 */
obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4448, obj_t BgL_globalsz00_4447, obj_t BgL_localsz00_4446, obj_t BgL_ez00_2630, obj_t BgL_locz00_2631)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 377 */
return 
BGl_convz00zz__evaluatez00(BgL_ez00_2630, BgL_localsz00_4446, BgL_globalsz00_4447, BFALSE, BgL_wherez00_4448, BgL_locz00_2631, ((bool_t)0));} 
BGL_FUNCTION_END;
}



/* conv-vals~0 */
obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t BgL_wherez00_4450, obj_t BgL_globalsz00_4449, obj_t BgL_lz00_2461, obj_t BgL_varsz00_2462, obj_t BgL_localsz00_2463, obj_t BgL_locz00_2464)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 502 */
if(
NULLP(BgL_lz00_2461))
{ /* Eval/evaluate.scm 498 */
return BNIL;}  else 
{ /* Eval/evaluate.scm 500 */
obj_t BgL_locz00_2467;
{ /* Eval/evaluate.scm 500 */
obj_t BgL_arg2269z00_2475;
BgL_arg2269z00_2475 = 
CAR(
((obj_t)BgL_lz00_2461)); 
BgL_locz00_2467 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_arg2269z00_2475, BgL_locz00_2464); } 
{ /* Eval/evaluate.scm 501 */
obj_t BgL_arg2262z00_2468;obj_t BgL_arg2263z00_2469;
{ /* Eval/evaluate.scm 501 */
obj_t BgL_arg2264z00_2470;
{ /* Eval/evaluate.scm 501 */
obj_t BgL_pairz00_3413;
{ /* Eval/evaluate.scm 501 */
obj_t BgL_pairz00_3412;
BgL_pairz00_3412 = 
CAR(
((obj_t)BgL_lz00_2461)); 
BgL_pairz00_3413 = 
CDR(BgL_pairz00_3412); } 
BgL_arg2264z00_2470 = 
CAR(BgL_pairz00_3413); } 
BgL_arg2262z00_2468 = 
BGl_convz00zz__evaluatez00(BgL_arg2264z00_2470, BgL_localsz00_2463, BgL_globalsz00_4449, BFALSE, BgL_wherez00_4450, BgL_locz00_2467, ((bool_t)0)); } 
{ /* Eval/evaluate.scm 502 */
obj_t BgL_arg2265z00_2471;obj_t BgL_arg2266z00_2472;obj_t BgL_arg2267z00_2473;
BgL_arg2265z00_2471 = 
CDR(
((obj_t)BgL_lz00_2461)); 
BgL_arg2266z00_2472 = 
CDR(
((obj_t)BgL_varsz00_2462)); 
{ /* Eval/evaluate.scm 502 */
obj_t BgL_arg2268z00_2474;
BgL_arg2268z00_2474 = 
CAR(
((obj_t)BgL_varsz00_2462)); 
BgL_arg2267z00_2473 = 
MAKE_YOUNG_PAIR(BgL_arg2268z00_2474, BgL_localsz00_2463); } 
BgL_arg2263z00_2469 = 
BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_4450, BgL_globalsz00_4449, BgL_arg2265z00_2471, BgL_arg2266z00_2472, BgL_arg2267z00_2473, BgL_locz00_2467); } 
return 
MAKE_YOUNG_PAIR(BgL_arg2262z00_2468, BgL_arg2263z00_2469);} } } 
BGL_FUNCTION_END;
}



/* conv-lambda~0 */
BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t BgL_globalsz00_4454, obj_t BgL_localsz00_4453, obj_t BgL_ez00_4452, obj_t BgL_locz00_4451, obj_t BgL_formalsz00_2652, obj_t BgL_bodyz00_2653, obj_t BgL_wherez00_2654, obj_t BgL_typez00_2655)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 404 */
{ 
obj_t BgL_lz00_2686;
{ /* Eval/evaluate.scm 406 */
obj_t BgL_argsz00_2658;
BgL_lz00_2686 = 
BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(BgL_formalsz00_2652, BGl_errorzd2envzd2zz__errorz00, ((bool_t)1)); 
{ 
obj_t BgL_rz00_2690;obj_t BgL_flatz00_2691;long BgL_arityz00_2692;
BgL_rz00_2690 = BgL_lz00_2686; 
BgL_flatz00_2691 = BNIL; 
BgL_arityz00_2692 = ((long)0); 
BgL_zc3anonymousza32364ze3z83_2693:
if(
NULLP(BgL_rz00_2690))
{ /* Eval/evaluate.scm 399 */
obj_t BgL_val0_1196z00_2695;
BgL_val0_1196z00_2695 = 
bgl_reverse_bang(BgL_flatz00_2691); 
{ /* Eval/evaluate.scm 399 */
int BgL_res2708z00_3291;
{ /* Eval/evaluate.scm 399 */
int BgL_tmpz00_6985;
BgL_tmpz00_6985 = 
(int)(((long)2)); 
BgL_res2708z00_3291 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_6985); } BgL_res2708z00_3291; } 
{ /* Eval/evaluate.scm 399 */
obj_t BgL_auxz00_6990;int BgL_tmpz00_6988;
BgL_auxz00_6990 = 
BINT(BgL_arityz00_2692); 
BgL_tmpz00_6988 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_6988, BgL_auxz00_6990); } 
BgL_argsz00_2658 = BgL_val0_1196z00_2695; }  else 
{ /* Eval/evaluate.scm 398 */
if(
PAIRP(BgL_rz00_2690))
{ /* Eval/evaluate.scm 403 */
obj_t BgL_arg2367z00_2698;obj_t BgL_arg2368z00_2699;long BgL_arg2369z00_2700;
BgL_arg2367z00_2698 = 
CDR(BgL_rz00_2690); 
BgL_arg2368z00_2699 = 
MAKE_YOUNG_PAIR(
BGl_untypezd2identzd2zz__evaluatez00(
CAR(BgL_rz00_2690)), BgL_flatz00_2691); 
BgL_arg2369z00_2700 = 
(BgL_arityz00_2692+((long)1)); 
{ 
long BgL_arityz00_7002;obj_t BgL_flatz00_7001;obj_t BgL_rz00_7000;
BgL_rz00_7000 = BgL_arg2367z00_2698; 
BgL_flatz00_7001 = BgL_arg2368z00_2699; 
BgL_arityz00_7002 = BgL_arg2369z00_2700; 
BgL_arityz00_2692 = BgL_arityz00_7002; 
BgL_flatz00_2691 = BgL_flatz00_7001; 
BgL_rz00_2690 = BgL_rz00_7000; 
goto BgL_zc3anonymousza32364ze3z83_2693;} }  else 
{ /* Eval/evaluate.scm 401 */
obj_t BgL_val0_1198z00_2703;long BgL_val1_1199z00_2704;
{ /* Eval/evaluate.scm 401 */
obj_t BgL_arg2372z00_2705;
BgL_arg2372z00_2705 = 
MAKE_YOUNG_PAIR(
BGl_untypezd2identzd2zz__evaluatez00(BgL_rz00_2690), BgL_flatz00_2691); 
BgL_val0_1198z00_2703 = 
bgl_reverse_bang(BgL_arg2372z00_2705); } 
BgL_val1_1199z00_2704 = 
(((long)-1)-BgL_arityz00_2692); 
{ /* Eval/evaluate.scm 401 */
int BgL_res2712z00_3299;
{ /* Eval/evaluate.scm 401 */
int BgL_tmpz00_7007;
BgL_tmpz00_7007 = 
(int)(((long)2)); 
BgL_res2712z00_3299 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7007); } BgL_res2712z00_3299; } 
{ /* Eval/evaluate.scm 401 */
obj_t BgL_auxz00_7012;int BgL_tmpz00_7010;
BgL_auxz00_7012 = 
BINT(BgL_val1_1199z00_2704); 
BgL_tmpz00_7010 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_7010, BgL_auxz00_7012); } 
BgL_argsz00_2658 = BgL_val0_1198z00_2703; } } } 
{ /* Eval/evaluate.scm 407 */
obj_t BgL_arityz00_2659;
{ /* Eval/evaluate.scm 408 */
int BgL_tmpz00_7016;
BgL_tmpz00_7016 = 
(int)(((long)1)); 
BgL_arityz00_2659 = 
BGL_MVALUES_VAL(BgL_tmpz00_7016); } 
{ /* Eval/evaluate.scm 408 */
obj_t BgL_varsz00_2660;obj_t BgL_bodyz00_2661;obj_t BgL_nlocz00_2662;
if(
NULLP(BgL_argsz00_2658))
{ /* Eval/evaluate.scm 408 */
BgL_varsz00_2660 = BNIL; }  else 
{ /* Eval/evaluate.scm 408 */
obj_t BgL_head1202z00_2669;
{ /* Eval/evaluate.scm 408 */
obj_t BgL_res2714z00_3301;
BgL_res2714z00_3301 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1202z00_2669 = BgL_res2714z00_3301; } 
{ 
obj_t BgL_l1200z00_2671;obj_t BgL_tail1203z00_2672;
BgL_l1200z00_2671 = BgL_argsz00_2658; 
BgL_tail1203z00_2672 = BgL_head1202z00_2669; 
BgL_zc3anonymousza32355ze3z83_2673:
if(
NULLP(BgL_l1200z00_2671))
{ /* Eval/evaluate.scm 408 */
BgL_varsz00_2660 = 
CDR(BgL_head1202z00_2669); }  else 
{ /* Eval/evaluate.scm 408 */
obj_t BgL_newtail1204z00_2675;
{ /* Eval/evaluate.scm 408 */
BgL_ev_varz00_bglt BgL_arg2358z00_2677;
{ /* Eval/evaluate.scm 408 */
obj_t BgL_vz00_2678;
BgL_vz00_2678 = 
CAR(
((obj_t)BgL_l1200z00_2671)); 
{ /* Eval/evaluate.scm 409 */
BgL_ev_varz00_bglt BgL_new1098z00_2679;
{ /* Eval/evaluate.scm 411 */
BgL_ev_varz00_bglt BgL_new1097z00_2680;
BgL_new1097z00_2680 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate.scm 411 */
long BgL_arg2359z00_2681;
{ /* Eval/evaluate.scm 411 */
long BgL_res2716z00_3306;
BgL_res2716z00_3306 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg2359z00_2681 = BgL_res2716z00_3306; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1097z00_2680), BgL_arg2359z00_2681); } 
BgL_new1098z00_2679 = BgL_new1097z00_2680; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1098z00_2679))->BgL_namez00)=((obj_t)
CAR(
((obj_t)BgL_vz00_2678))),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1098z00_2679))->BgL_effz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1098z00_2679))->BgL_typez00)=((obj_t)
CDR(
((obj_t)BgL_vz00_2678))),BUNSPEC); 
BgL_arg2358z00_2677 = BgL_new1098z00_2679; } } 
{ /* Eval/evaluate.scm 408 */
obj_t BgL_res2717z00_3311;
BgL_res2717z00_3311 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg2358z00_2677), BNIL); 
BgL_newtail1204z00_2675 = BgL_res2717z00_3311; } } 
SET_CDR(BgL_tail1203z00_2672, BgL_newtail1204z00_2675); 
{ /* Eval/evaluate.scm 408 */
obj_t BgL_arg2357z00_2676;
BgL_arg2357z00_2676 = 
CDR(
((obj_t)BgL_l1200z00_2671)); 
{ 
obj_t BgL_tail1203z00_7044;obj_t BgL_l1200z00_7043;
BgL_l1200z00_7043 = BgL_arg2357z00_2676; 
BgL_tail1203z00_7044 = BgL_newtail1204z00_2675; 
BgL_tail1203z00_2672 = BgL_tail1203z00_7044; 
BgL_l1200z00_2671 = BgL_l1200z00_7043; 
goto BgL_zc3anonymousza32355ze3z83_2673;} } } } } 
BgL_bodyz00_2661 = 
BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(BgL_ez00_4452, BgL_formalsz00_2652, 
BGl_typezd2checkszd2zz__evaluatez00(BgL_argsz00_2658, BgL_argsz00_2658, 
BGl_typezd2resultzd2zz__evaluatez00(BgL_typez00_2655, BgL_bodyz00_2653, BgL_locz00_4451), BgL_locz00_4451, BgL_wherez00_2654), BGl_errorzd2envzd2zz__errorz00); 
BgL_nlocz00_2662 = 
BGl_getzd2locationzd2zz__evaluatez00(BgL_bodyz00_2653, BgL_locz00_4451); 
{ /* Eval/evaluate.scm 417 */
BgL_ev_absz00_bglt BgL_new1100z00_2663;
{ /* Eval/evaluate.scm 418 */
BgL_ev_absz00_bglt BgL_new1099z00_2665;
BgL_new1099z00_2665 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate.scm 418 */
long BgL_arg2353z00_2666;
{ /* Eval/evaluate.scm 418 */
long BgL_res2718z00_3315;
BgL_res2718z00_3315 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BgL_arg2353z00_2666 = BgL_res2718z00_3315; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1099z00_2665), BgL_arg2353z00_2666); } 
BgL_new1100z00_2663 = BgL_new1099z00_2665; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2663))->BgL_locz00)=((obj_t)BgL_locz00_4451),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2663))->BgL_wherez00)=((obj_t)BgL_wherez00_2654),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2663))->BgL_arityz00)=((obj_t)BgL_arityz00_2659),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2663))->BgL_varsz00)=((obj_t)BgL_varsz00_2660),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_7057;
{ /* Eval/evaluate.scm 422 */
obj_t BgL_arg2352z00_2664;
BgL_arg2352z00_2664 = 
BGl_appendzd221010zd2zz__evaluatez00(BgL_varsz00_2660, BgL_localsz00_4453); 
BgL_auxz00_7057 = 
((BgL_ev_exprz00_bglt)
BGl_convz00zz__evaluatez00(BgL_bodyz00_2661, BgL_arg2352z00_2664, BgL_globalsz00_4454, BTRUE, BgL_wherez00_2654, BgL_nlocz00_2662, ((bool_t)0))); } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2663))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_7057),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2663))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2663))->BgL_bindz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2663))->BgL_freez00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2663))->BgL_innerz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1100z00_2663))->BgL_boxesz00)=((obj_t)BNIL),BUNSPEC); 
return BgL_new1100z00_2663;} } } } } } 
BGL_FUNCTION_END;
}



/* uconv~0 */
obj_t BGl_uconvze70ze7zz__evaluatez00(obj_t BgL_locz00_4458, obj_t BgL_wherez00_4457, obj_t BgL_globalsz00_4456, obj_t BgL_localsz00_4455, obj_t BgL_ez00_2633)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 380 */
return 
BGl_uconvzf2locze70z15zz__evaluatez00(BgL_wherez00_4457, BgL_globalsz00_4456, BgL_localsz00_4455, BgL_ez00_2633, 
BGl_getzd2locationzd2zz__evaluatez00(BgL_ez00_2633, BgL_locz00_4458));} 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)180158922), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)251314740), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)454272164), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)445908113), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)434692624), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-400105135), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)127905250), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)23062368), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)6183155), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long)483789130), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)121298760), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long)193509656), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)444000678), 
BSTRING_TO_STRING(BGl_string3102z00zz__evaluatez00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
