/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.3f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 04 Jul 2019 08:10:18 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3f/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_comp.scm -o objs/obj_p/Eval/evaluate_comp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5231z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5233z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5235z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5237z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5239z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32302ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32883ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5241z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5243z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5245z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5247z00zz__evaluate_compz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_symbol5249z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32036ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5251z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5253z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_z62zc3anonymousza33212ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32038ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32797ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32959ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32306ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33019ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31996ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
static obj_t BGl_symbol5284z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33230ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32993ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
static obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t);
extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_or1404zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33070ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33306ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
static obj_t BGl_z62run5100z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_z62run5102z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5104z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5106z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5108z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza33146ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static long BGl_correctz00zz__evaluate_compz00(obj_t, long);
static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long, obj_t, obj_t);
static obj_t BGl_appendzd221010zd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5110z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62run5112z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5114z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t, obj_t, long);
static obj_t BGl_z62run5116z62zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t);
static obj_t BGl_z62run5118z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33252ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
static obj_t BGl_z62run5120z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5122z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run5124z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5126z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5128z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5130z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5132z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5134z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5136z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5138z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32703ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33076ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_reset_profilez00zz__evaluate_compz00();
static obj_t BGl_z62zc3anonymousza32096ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5140z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5142z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5144z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
static obj_t BGl_z62run5146z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5148z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32631ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32615ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33166ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_labels1424zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5150z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5152z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5154z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33361ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33434ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33272ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33183ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31920ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31904ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5101z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5103z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5105z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5107z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5109z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5111z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32707ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza33509ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5113z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5115z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5117z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5119z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32651ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33526ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32635ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5121z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32619ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5123z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5125z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5127z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t);
static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5129z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
static obj_t BGl_z62main5131z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5133z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5135z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5137z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5139z62zz__evaluate_compz00(obj_t);
extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_z62compzd2ev_bindzd2exit1416z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
extern int bgl_debug();
static obj_t BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5141z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main5143z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main5145z62zz__evaluate_compz00(obj_t);
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
static obj_t BGl_z62main5147z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_global1394zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5149z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
extern obj_t create_struct(obj_t, int);
static obj_t BGl_get_profilez00zz__evaluate_compz00();
static obj_t BGl_z62zc3anonymousza32832ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32727ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5151z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5153z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
extern long bgl_list_length(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00();
extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32671ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32655ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33295ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32639ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_withzd2handler1420z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32834ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33563ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33458ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33475ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33386ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t);
static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_letza21412z12zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33581ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32925ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32909ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3anonymousza32691ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32675ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32659ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_litt1400zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31890ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluate_compz00();
extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62zc3anonymousza32782ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
static obj_t BGl_z62zc3anonymousza32695ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32679ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5301z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5303z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5305z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5307z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32042ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32874ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32858ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33498ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_trap1388zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long, obj_t, obj_t);
static obj_t BGl_symbol5159z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
static obj_t BGl_z62zc3anonymousza32980ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol5161z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5163z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32400ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33040ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5169z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5177z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3anonymousza32150ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5179z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_prog21408zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32699ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5181z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5184z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5187z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza33131ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5189z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza33026ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_symbol5191z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5193z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5195z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5197z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62zc3anonymousza33205ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32152ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5199z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00(obj_t);
static obj_t BGl_z62compzd2ev_defglobal1398zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_setglobal1396zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33222ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33044ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32228ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t bgl_reverse_bang(obj_t);
static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
static obj_t BGl_z62zc3anonymousza33330ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32156ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza31800ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33315ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33153ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33137ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32068ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_goto1426zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_let1410zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza32352ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32263ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33065ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33244ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32191ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33601ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32711ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31820ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33351ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33424ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33173ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62zc3anonymousza33408ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
static obj_t BGl_z62compzd2ev_synchroniza7e1422z17zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32623ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33263ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5070z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5072z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5074z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5076z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5078z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33191ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32446ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5080z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t);
static obj_t BGl_z62run5082z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_app1428zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5084z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5086z62zz__evaluate_compz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
static obj_t BGl_z62zc3anonymousza32803ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5088z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_var1390zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5090z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5092z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5094z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5096z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5098z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32715ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33339ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t bigloo_string_lt(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32910ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32821ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31841ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32643ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32627ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
static obj_t BGl_zc3exitza33037ze3ze70z64zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3anonymousza33551ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33624ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_and1406zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_z62zc3anonymousza31754ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33447ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_z62main5069z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33537ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32719ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5071z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62main5073z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5075z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5077z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5079z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
static obj_t BGl_z62zc3anonymousza31950ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31861ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32825ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32663ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31934ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32809ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32647ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33287ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5081z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_abs1430zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5083z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5085z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5087z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5089z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_z62compzd2ev_letrec1414zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32915ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33377ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5091z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5093z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5095z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5097z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5099z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_if1402zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31952ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33645ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32738ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
static obj_t BGl_zc3exitza33020ze3ze70z64zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_z62zc3anonymousza32845ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32683ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33485ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32667ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62comp1385z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31777ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_setlocal1392zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32015ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32863ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_unwindzd2prote1418z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31956ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza33398ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol5201z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5203z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5205z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5207z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5209z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
static obj_t BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31884ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5211z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5213z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5215z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5217z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5219z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32300ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32122ze3ze1zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_z62zc3anonymousza32938ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza32687ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5221z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5223z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5225z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5227z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5229z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza33030ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31975ze3ze1zz__evaluate_compz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STATIC_BGL_PROCEDURE( BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_bgl_za762za7c3lexintza7a1za75311z00, BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_compilezd2envzd2zz__evaluate_compz00, BgL_bgl_za762compileza762za7za7_5312z00, BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
DEFINE_STRING( BGl_string5200z00zz__evaluate_compz00, BgL_bgl_string5200za700za7za7_5313za7, ">", 1 );
DEFINE_STRING( BGl_string5202z00zz__evaluate_compz00, BgL_bgl_string5202za700za7za7_5314za7, "<=", 2 );
DEFINE_STRING( BGl_string5204z00zz__evaluate_compz00, BgL_bgl_string5204za700za7za7_5315za7, ">=", 2 );
DEFINE_STRING( BGl_string5206z00zz__evaluate_compz00, BgL_bgl_string5206za700za7za7_5316za7, "=", 1 );
extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
DEFINE_STRING( BGl_string5208z00zz__evaluate_compz00, BgL_bgl_string5208za700za7za7_5317za7, "+fx", 3 );
DEFINE_STRING( BGl_string5210z00zz__evaluate_compz00, BgL_bgl_string5210za700za7za7_5318za7, "fixnum", 6 );
DEFINE_STRING( BGl_string5212z00zz__evaluate_compz00, BgL_bgl_string5212za700za7za7_5319za7, "-fx", 3 );
extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string5214z00zz__evaluate_compz00, BgL_bgl_string5214za700za7za7_5320za7, "*fx", 3 );
DEFINE_STRING( BGl_string5216z00zz__evaluate_compz00, BgL_bgl_string5216za700za7za7_5321za7, "/fx", 3 );
DEFINE_STRING( BGl_string5218z00zz__evaluate_compz00, BgL_bgl_string5218za700za7za7_5322za7, "<fx", 3 );
DEFINE_STRING( BGl_string5220z00zz__evaluate_compz00, BgL_bgl_string5220za700za7za7_5323za7, ">fx", 3 );
DEFINE_STRING( BGl_string5222z00zz__evaluate_compz00, BgL_bgl_string5222za700za7za7_5324za7, "<=fx", 4 );
DEFINE_STRING( BGl_string5224z00zz__evaluate_compz00, BgL_bgl_string5224za700za7za7_5325za7, ">=fx", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_findzd2statezd2envz00zz__evaluate_compz00, BgL_bgl_za762findza7d2stateza75326za7, BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5226z00zz__evaluate_compz00, BgL_bgl_string5226za700za7za7_5327za7, "=fx", 3 );
DEFINE_STRING( BGl_string5228z00zz__evaluate_compz00, BgL_bgl_string5228za700za7za7_5328za7, "+fl", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5300z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75329za7, BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5230z00zz__evaluate_compz00, BgL_bgl_string5230za700za7za7_5330za7, "flonum", 6 );
DEFINE_STRING( BGl_string5232z00zz__evaluate_compz00, BgL_bgl_string5232za700za7za7_5331za7, "-fl", 3 );
DEFINE_STRING( BGl_string5234z00zz__evaluate_compz00, BgL_bgl_string5234za700za7za7_5332za7, "*fl", 3 );
DEFINE_STRING( BGl_string5236z00zz__evaluate_compz00, BgL_bgl_string5236za700za7za7_5333za7, "/fl", 3 );
DEFINE_STRING( BGl_string5238z00zz__evaluate_compz00, BgL_bgl_string5238za700za7za7_5334za7, "<fl", 3 );
DEFINE_STRING( BGl_string5240z00zz__evaluate_compz00, BgL_bgl_string5240za700za7za7_5335za7, ">fl", 3 );
DEFINE_STRING( BGl_string5242z00zz__evaluate_compz00, BgL_bgl_string5242za700za7za7_5336za7, "<=fl", 4 );
DEFINE_STRING( BGl_string5244z00zz__evaluate_compz00, BgL_bgl_string5244za700za7za7_5337za7, ">=fl", 4 );
DEFINE_STRING( BGl_string5246z00zz__evaluate_compz00, BgL_bgl_string5246za700za7za7_5338za7, "=fl", 3 );
DEFINE_STRING( BGl_string5248z00zz__evaluate_compz00, BgL_bgl_string5248za700za7za7_5339za7, "car", 3 );
extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
DEFINE_STRING( BGl_string5250z00zz__evaluate_compz00, BgL_bgl_string5250za700za7za7_5340za7, "pair", 4 );
DEFINE_STRING( BGl_string5252z00zz__evaluate_compz00, BgL_bgl_string5252za700za7za7_5341za7, "cdr", 3 );
DEFINE_STRING( BGl_string5254z00zz__evaluate_compz00, BgL_bgl_string5254za700za7za7_5342za7, "cadr", 4 );
DEFINE_STRING( BGl_string5256z00zz__evaluate_compz00, BgL_bgl_string5256za700za7za7_5343za7, "comp1385", 8 );
DEFINE_STRING( BGl_string5257z00zz__evaluate_compz00, BgL_bgl_string5257za700za7za7_5344za7, "internal error: not defined for", 31 );
DEFINE_STRING( BGl_string5258z00zz__evaluate_compz00, BgL_bgl_string5258za700za7za7_5345za7, "&comp", 5 );
DEFINE_STRING( BGl_string5260z00zz__evaluate_compz00, BgL_bgl_string5260za700za7za7_5346za7, "comp", 4 );
extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string5282z00zz__evaluate_compz00, BgL_bgl_string5282za700za7za7_5347za7, "internal error", 14 );
DEFINE_STRING( BGl_string5283z00zz__evaluate_compz00, BgL_bgl_string5283za700za7za7_5348za7, "must be dead code", 17 );
DEFINE_STRING( BGl_string5285z00zz__evaluate_compz00, BgL_bgl_string5285za700za7za7_5349za7, "notyet", 6 );
DEFINE_STRING( BGl_string5286z00zz__evaluate_compz00, BgL_bgl_string5286za700za7za7_5350za7, "synchronize", 11 );
DEFINE_STRING( BGl_string5287z00zz__evaluate_compz00, BgL_bgl_string5287za700za7za7_5351za7, "mutex", 5 );
DEFINE_STRING( BGl_string5288z00zz__evaluate_compz00, BgL_bgl_string5288za700za7za7_5352za7, "set!", 4 );
DEFINE_STRING( BGl_string5289z00zz__evaluate_compz00, BgL_bgl_string5289za700za7za7_5353za7, "read-only variable", 18 );
DEFINE_STRING( BGl_string5290z00zz__evaluate_compz00, BgL_bgl_string5290za700za7za7_5354za7, "\nRedefinition of compiled variable -- ", 38 );
DEFINE_STRING( BGl_string5291z00zz__evaluate_compz00, BgL_bgl_string5291za700za7za7_5355za7, "Unbound variable", 16 );
DEFINE_STRING( BGl_string5292z00zz__evaluate_compz00, BgL_bgl_string5292za700za7za7_5356za7, "Uninitialized variable", 22 );
extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
DEFINE_STATIC_BGL_GENERIC( BGl_compzd2envzd2zz__evaluate_compz00, BgL_bgl_za762compza762za7za7__ev5357z00, BGl_z62compz62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;
extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string5302z00zz__evaluate_compz00, BgL_bgl_string5302za700za7za7_5358za7, "get_sp", 6 );
DEFINE_STRING( BGl_string5304z00zz__evaluate_compz00, BgL_bgl_string5304za700za7za7_5359za7, "reset_profile", 13 );
DEFINE_STRING( BGl_string5306z00zz__evaluate_compz00, BgL_bgl_string5306za700za7za7_5360za7, "get_profile", 11 );
DEFINE_STRING( BGl_string5308z00zz__evaluate_compz00, BgL_bgl_string5308za700za7za7_5361za7, "reset_stack", 11 );
DEFINE_STRING( BGl_string5309z00zz__evaluate_compz00, BgL_bgl_string5309za700za7za7_5362za7, "internal error: unknown command", 31 );
DEFINE_STRING( BGl_string5310z00zz__evaluate_compz00, BgL_bgl_string5310za700za7za7_5363za7, "__evaluate_comp", 15 );
DEFINE_STRING( BGl_string5160z00zz__evaluate_compz00, BgL_bgl_string5160za700za7za7_5364za7, "all", 3 );
DEFINE_STRING( BGl_string5162z00zz__evaluate_compz00, BgL_bgl_string5162za700za7za7_5365za7, "label-tag", 9 );
DEFINE_STRING( BGl_string5164z00zz__evaluate_compz00, BgL_bgl_string5164za700za7za7_5366za7, "bounce", 6 );
DEFINE_STRING( BGl_string5165z00zz__evaluate_compz00, BgL_bgl_string5165za700za7za7_5367za7, "non non non", 11 );
DEFINE_STRING( BGl_string5166z00zz__evaluate_compz00, BgL_bgl_string5166za700za7za7_5368za7, " in ", 4 );
DEFINE_STRING( BGl_string5167z00zz__evaluate_compz00, BgL_bgl_string5167za700za7za7_5369za7, "eval", 4 );
DEFINE_STRING( BGl_string5168z00zz__evaluate_compz00, BgL_bgl_string5168za700za7za7_5370za7, "internal error: not found", 25 );
extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string5170z00zz__evaluate_compz00, BgL_bgl_string5170za700za7za7_5371za7, "at", 2 );
DEFINE_STRING( BGl_string5171z00zz__evaluate_compz00, BgL_bgl_string5171za700za7za7_5372za7, "", 0 );
DEFINE_STRING( BGl_string5172z00zz__evaluate_compz00, BgL_bgl_string5172za700za7za7_5373za7, "/builddir/build/BUILD/bigloo4.3f/runtime/Eval/evaluate_comp.scm", 63 );
DEFINE_STRING( BGl_string5173z00zz__evaluate_compz00, BgL_bgl_string5173za700za7za7_5374za7, "&compile", 8 );
DEFINE_STRING( BGl_string5174z00zz__evaluate_compz00, BgL_bgl_string5174za700za7za7_5375za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string5175z00zz__evaluate_compz00, BgL_bgl_string5175za700za7za7_5376za7, "expecting ~a, got ~a", 20 );
DEFINE_STRING( BGl_string5176z00zz__evaluate_compz00, BgL_bgl_string5176za700za7za7_5377za7, "wrong number of argument", 24 );
DEFINE_STRING( BGl_string5178z00zz__evaluate_compz00, BgL_bgl_string5178za700za7za7_5378za7, "mcell", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5255z00zz__evaluate_compz00, BgL_bgl_za762comp1385za762za7za75379z00, BGl_z62comp1385z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5180z00zz__evaluate_compz00, BgL_bgl_string5180za700za7za7_5380za7, "internal", 8 );
DEFINE_STRING( BGl_string5182z00zz__evaluate_compz00, BgL_bgl_string5182za700za7za7_5381za7, "impossible", 10 );
DEFINE_STRING( BGl_string5183z00zz__evaluate_compz00, BgL_bgl_string5183za700za7za7_5382za7, "procedure", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5259z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_tra5383z00, BGl_z62compzd2ev_trap1388zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5185z00zz__evaluate_compz00, BgL_bgl_string5185za700za7za7_5384za7, "user", 4 );
DEFINE_STRING( BGl_string5186z00zz__evaluate_compz00, BgL_bgl_string5186za700za7za7_5385za7, "invalid byte code", 17 );
DEFINE_STRING( BGl_string5188z00zz__evaluate_compz00, BgL_bgl_string5188za700za7za7_5386za7, "+", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5261z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_var5387z00, BGl_z62compzd2ev_var1390zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5262z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set5388z00, BGl_z62compzd2ev_setlocal1392zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5263z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_glo5389z00, BGl_z62compzd2ev_global1394zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5264z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set5390z00, BGl_z62compzd2ev_setglobal1396zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5265z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_def5391z00, BGl_z62compzd2ev_defglobal1398zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5190z00zz__evaluate_compz00, BgL_bgl_string5190za700za7za7_5392za7, "number", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5266z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lit5393z00, BGl_z62compzd2ev_litt1400zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5267z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_if15394z00, BGl_z62compzd2ev_if1402zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5192z00zz__evaluate_compz00, BgL_bgl_string5192za700za7za7_5395za7, "-", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5268z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_or15396z00, BGl_z62compzd2ev_or1404zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5269z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_and5397z00, BGl_z62compzd2ev_and1406zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5194z00zz__evaluate_compz00, BgL_bgl_string5194za700za7za7_5398za7, "*", 1 );
DEFINE_STRING( BGl_string5196z00zz__evaluate_compz00, BgL_bgl_string5196za700za7za7_5399za7, "/", 1 );
DEFINE_STRING( BGl_string5198z00zz__evaluate_compz00, BgL_bgl_string5198za700za7za7_5400za7, "<", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5270z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_pro5401z00, BGl_z62compzd2ev_prog21408zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5271z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let5402z00, BGl_z62compzd2ev_let1410zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5272z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let5403z00, BGl_z62compzd2ev_letza21412z12zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5273z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let5404z00, BGl_z62compzd2ev_letrec1414zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5274z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_bin5405z00, BGl_z62compzd2ev_bindzd2exit1416z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5275z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_unw5406z00, BGl_z62compzd2ev_unwindzd2prote1418z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5276z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_wit5407z00, BGl_z62compzd2ev_withzd2handler1420z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5277z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_syn5408z00, BGl_z62compzd2ev_synchroniza7e1422z17zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5278z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lab5409z00, BGl_z62compzd2ev_labels1424zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5279z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_got5410z00, BGl_z62compzd2ev_goto1426zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5280z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_app5411z00, BGl_z62compzd2ev_app1428zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5281z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_abs5412z00, BGl_z62compzd2ev_abs1430zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5293z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75413za7, BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5294z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75414za7, BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5295z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75415za7, BGl_z62zc3anonymousza32797ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5296z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75416za7, BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5297z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75417za7, BGl_z62zc3anonymousza32803ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5298z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75418za7, BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5299z00zz__evaluate_compz00, BgL_bgl_za762za7c3anonymousza75419za7, BGl_z62zc3anonymousza32809ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol5231z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5233z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5235z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5237z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5239z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5241z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5243z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5245z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5247z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5249z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5251z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5253z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5284z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5301z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5303z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5305z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5307z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5159z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5161z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5163z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5169z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5177z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5179z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5181z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5184z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5187z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5189z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5191z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5193z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5195z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5197z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5199z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5201z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5203z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5205z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5207z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5209z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5211z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5213z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5215z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5217z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5219z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5221z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5223z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5225z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5227z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5229z00zz__evaluate_compz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_comp.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21010\" \"BGl_appendzd221010zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"reset_profile\" \"Eval/evaluate_comp.scm\" 3738) \"BGl_reset_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"o->s~0\" \"Eval/evaluate_comp.scm\" 3991) \"BGl_ozd2ze3sze70zd6zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<lexint\" \"Eval/evaluate_comp.scm\" 3822) \"BGl_z62zc3lexintza1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"get_profile\" \"Eval/evaluate_comp.scm\" 4130) \"BGl_get_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~1\" \"Eval/evaluate_comp.scm\" 4155) \"BGl_recze71ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"index\" \"Eval/evaluate_comp.scm\" 4323) \"BGl_indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"_index\" \"Eval/evaluate_comp.scm\" 4474) \"BGl__indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"lname\" \"Eval/evaluate_comp.scm\" 5060) \"BGl_lnamez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"loc-type-error\" \"Eval/evaluate_comp.scm\" 5157) \"BGl_loczd2typezd2errorz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-state\" \"Eval/evaluate_comp.scm\" 5415) \"BGl_makezd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_findzd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_z62findzd2statezb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_compilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_z62compilez62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"global-fun-value\" \"Eval/evaluate_comp.scm\" 8623) \"BGl_globalzd2funzd2valuez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-goto-trampoline\" \"Eval/evaluate_comp.scm\" 17346) \"BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-boxes-args-on-sp\" \"Eval/evaluate_comp.scm\" 18720) \"BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"sub-stk\" \"Eval/evaluate_comp.scm\" 19328) \"BGl_subzd2stkzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-trampoline\" \"Eval/evaluate_comp.scm\" 19829) \"BGl_catchzd2trampolinezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"check-stack\" \"Eval/evaluate_comp.scm\" 20164) \"BGl_checkzd2stackzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-with-push\" \"Eval/evaluate_comp.scm\" 20234) \"BGl_compzd2withzd2pushz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~0\" \"Eval/evaluate_comp.scm\" 20479) \"BGl_recze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"subr-call-with-push\" \"Eval/evaluate_comp.scm\" 20642) \"BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-args-on-sp\" \"Eval/evaluate_comp.scm\" 20879) \"BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-nargs-on-sp\" \"Eval/evaluate_comp.scm\" 21039) \"BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"need-shift\" \"Eval/evaluate_comp.scm\" 23185) \"BGl_needzd2shiftzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-old-call\" \"Eval/evaluate_comp.scm\" 23450) \"BGl_compzd2oldzd2callz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1754>\" \"Eval/evaluate_comp.scm\" 23890) \"BGl_z62zc3anonymousza31754ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1777>\" \"Eval/evaluate_comp.scm\" 23890) \"BGl_z62zc3anonymousza31777ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1800>\" \"Eval/evaluate_comp.scm\" 24231) \"BGl_z62zc3anonymousza31800ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1820>\" \"Eval/evaluate_comp.scm\" 24231) \"BGl_z62zc3anonymousza31820ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1841>\" \"Eval/evaluate_comp.scm\" 23663) \"BGl_z62zc3anonymousza31841ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1861>\" \"Eval/evaluate_comp.scm\" 23663) \"BGl_z62zc3anonymousza31861ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call0\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call0zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1884>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31884ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1886>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1890>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31890ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1904>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31904ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1920>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31920ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1934>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31934ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call1\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call1zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1950>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31950ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1952>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31952ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1956>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31956ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1975>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31975ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1996>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza31996ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2015>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32015ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call2\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call2zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2036>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32036ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2038>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32038ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2042>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32042ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2068>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32068ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2096>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32096ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2122>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32122ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call3\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call3zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2150>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32150ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2152>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32152ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2156>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32156ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2191>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32191ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2228>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32228ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2263>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32263ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call4\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_compzd2call4zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2300>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32300ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2302>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32302ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2306>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32306ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2352>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32352ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2400>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32400ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2446>\" \"Eval/evaluate_comp.scm\" 28343) \"BGl_z62zc3anonymousza32446ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"is-constant-fun?\" \"Eval/evaluate_comp.scm\" 28401) \"BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile-float-arith\" \"Eval/evaluate_comp.scm\" 29045) \"BGl_compilezd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"eval-float-arith\" \"Eval/evaluate_comp.scm\" 30433) \"BGl_evalzd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"E~0\" \"Eval/evaluate_comp.scm\" 31265) \"BGl_Eze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"arith-expression\" \"Eval/evaluate_comp.scm\" 31282) \"BGl_arithzd2expressionzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2615>\" \"Eval/evaluate_comp.scm\" 31546) \"BGl_z62zc3anonymousza32615ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"inline-call\" \"Eval/evaluate_comp.scm\" 32473) \"BGl_inlinezd2callzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2619>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32619ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2623>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32623ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2627>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32627ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2631>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32631ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2635>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32635ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2639>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32639ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2643>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32643ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2647>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32647ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2651>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32651ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2655>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32655ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2659>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32659ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2663>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32663ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2667>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32667ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2671>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32671ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2675>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32675ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2679>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32679ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2683>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32683ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2687>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32687ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2691>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32691ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2695>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32695ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2699>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32699ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2703>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32703ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2707>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32707ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2711>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32711ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2715>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32715ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2719>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32719ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2723>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2727>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32727ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2729>\" \"Eval/evaluate_comp.scm\" 32816) \"BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2732>\" \"Eval/evaluate_comp.scm\" 32662) \"BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2735>\" \"Eval/evaluate_comp.scm\" 32662) \"BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2738>\" \"Eval/evaluate_comp.scm\" 32662) \"BGl_z62zc3anonymousza32738ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadr?\" \"Eval/evaluate_comp.scm\" 33050) \"BGl_cadrzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadrerrv\" \"Eval/evaluate_comp.scm\" 33106) \"BGl_cadrerrvz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"correct\" \"Eval/evaluate_comp.scm\" 34120) \"BGl_correctz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bind-frame\" \"Eval/evaluate_comp.scm\" 34206) \"BGl_bindzd2framezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-boxes\" \"Eval/evaluate_comp.scm\" 38533) \"BGl_makezd2boxeszd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-collect\" \"Eval/evaluate_comp.scm\" 38789) \"BGl_freezd2collectzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-restore\" \"Eval/evaluate_comp.scm\" 39059) \"BGl_freezd2restorezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp1385\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62comp1385z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_compz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62compz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_abs1430\" \"Eval/evaluate_comp.scm\" 38059) \"BGl_z62compzd2ev_abs1430zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3526>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33526ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62mainz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62runz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3537>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33537ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5069\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5069z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5070\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5070z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3551>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33551ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5071\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5071z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5072\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5072z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3563>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33563ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5073\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5073z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5074\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5074z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3475>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33475ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5075\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5075z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5076\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5076z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3485>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33485ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5077\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5077z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5078\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5078z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3498>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33498ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5079\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5079z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5080\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5080z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3509>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33509ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5081\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5081z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5082\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5082z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3424>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33424ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5083\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5083z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5084\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5084z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3434>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33434ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5085\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5085z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5086\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5086z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3447>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33447ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5087\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5087z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5088\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5088z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3458>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33458ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5089\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5089z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5090\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5090z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3377>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33377ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5091\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5091z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5092\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5092z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3386>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33386ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5093\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5093z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5094\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5094z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3398>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33398ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5095\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5095z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5096\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5096z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3408>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33408ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5097\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5097z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5098\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5098z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3330>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33330ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5099\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5099z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5100\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5100z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3339>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33339ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5101\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5101z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5102\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5102z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3351>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33351ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5103\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5103z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5104\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5104z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3361>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33361ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5105\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5105z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5106\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5106z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3287>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33287ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5107\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5107z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5108\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5108z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3295>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33295ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5109\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5109z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5110\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5110z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3306>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33306ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5111\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5111z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5112\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5112z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3315>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33315ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5113\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5113z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5114\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5114z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3244>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33244ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5115\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5115z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5116\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5116z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3252>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33252ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5117\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5117z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5118\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5118z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3263>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33263ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5119\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5119z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5120\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5120z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3272>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33272ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5121\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5121z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5122\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5122z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3205>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33205ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5123\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5123z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5124\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5124z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3212>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33212ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5125\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5125z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5126\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5126z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3222>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33222ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5127\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5127z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5128\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5128z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3230>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33230ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5129\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5129z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5130\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5130z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3166>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33166ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5131\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5131z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5132\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5132z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3173>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33173ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5133\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5133z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5134\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5134z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3183>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33183ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5135\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5135z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5136\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5136z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3191>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33191ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5137\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5137z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5138\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5138z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3131>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33131ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5139\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5139z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5140\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5140z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3137>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33137ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5141\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5141z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5142\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5142z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3146>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33146ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5143\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5143z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5144\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5144z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3153>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33153ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5145\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5145z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5146\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5146z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3581>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33581ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5147\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5147z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5148\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5148z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3601>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33601ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5149\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5149z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5150\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5150z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3624>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33624ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5151\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5151z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5152\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5152z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3645>\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62zc3anonymousza33645ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5153\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62main5153z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5154\" \"Eval/evaluate_comp.scm\" 38490) \"BGl_z62run5154z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_app1428\" \"Eval/evaluate_comp.scm\" 33674) \"BGl_z62compzd2ev_app1428zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_goto1426\" \"Eval/evaluate_comp.scm\" 17686) \"BGl_z62compzd2ev_goto1426zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3070>\" \"Eval/evaluate_comp.scm\" 18311) \"BGl_z62zc3anonymousza33070ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3076>\" \"Eval/evaluate_comp.scm\" 18592) \"BGl_z62zc3anonymousza33076ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_labels1424\" \"Eval/evaluate_comp.scm\" 16611) \"BGl_z62compzd2ev_labels1424zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3065>\" \"Eval/evaluate_comp.scm\" 17284) \"BGl_z62zc3anonymousza33065ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_synchronize1422\" \"Eval/evaluate_comp.scm\" 15984) \"BGl_z62compzd2ev_synchroniza7e1422z17zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3044>\" \"Eval/evaluate_comp.scm\" 16194) \"BGl_z62zc3anonymousza33044ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_with-handler1420\" \"Eval/evaluate_comp.scm\" 15642) \"BGl_z62compzd2ev_withzd2handler1420z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3030>\" \"Eval/evaluate_comp.scm\" 15807) \"BGl_z62zc3anonymousza33030ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<exit:3037>~0\" \"Eval/evaluate_comp.scm\" 15914) \"BGl_zc3exitza33037ze3ze70z64zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3040>\" \"Eval/evaluate_comp.scm\" 15914) \"BGl_z62zc3anonymousza33040ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3041>\" \"Eval/evaluate_comp.scm\" 15914) \"BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_unwind-prote1418\" \"Eval/evaluate_comp.scm\" 15334) \"BGl_z62compzd2ev_unwindzd2prote1418z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3026>\" \"Eval/evaluate_comp.scm\" 15485) \"BGl_z62zc3anonymousza33026ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3027>\" \"Eval/evaluate_comp.scm\" 15554) \"BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_bind-exit1416\" \"Eval/evaluate_comp.scm\" 14879) \"BGl_z62compzd2ev_bindzd2exit1416z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:3019>\" \"Eval/evaluate_comp.scm\" 15118) \"BGl_z62zc3anonymousza33019ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<exit:3020>~0\" \"Eval/evaluate_comp.scm\" 15185) \"BGl_zc3exitza33020ze3ze70z64zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&exit\" \"Eval/evaluate_comp.scm\" 15185) \"BGl_z62exitz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_letrec1414\" \"Eval/evaluate_comp.scm\" 13826) \"BGl_z62compzd2ev_letrec1414zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2980>\" \"Eval/evaluate_comp.scm\" 14108) \"BGl_z62zc3anonymousza32980ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2993>\" \"Eval/evaluate_comp.scm\" 14464) \"BGl_z62zc3anonymousza32993ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let*1412\" \"Eval/evaluate_comp.scm\" 13331) \"BGl_z62compzd2ev_letza21412z12zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2959>\" \"Eval/evaluate_comp.scm\" 13566) \"BGl_z62zc3anonymousza32959ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let1410\" \"Eval/evaluate_comp.scm\" 12651) \"BGl_z62compzd2ev_let1410zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2938>\" \"Eval/evaluate_comp.scm\" 12978) \"BGl_z62zc3anonymousza32938ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_prog21408\" \"Eval/evaluate_comp.scm\" 12457) \"BGl_z62compzd2ev_prog21408zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2935>\" \"Eval/evaluate_comp.scm\" 12587) \"BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_and1406\" \"Eval/evaluate_comp.scm\" 12171) \"BGl_z62compzd2ev_and1406zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2925>\" \"Eval/evaluate_comp.scm\" 12302) \"BGl_z62zc3anonymousza32925ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_or1404\" \"Eval/evaluate_comp.scm\" 11913) \"BGl_z62compzd2ev_or1404zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2915>\" \"Eval/evaluate_comp.scm\" 12042) \"BGl_z62zc3anonymousza32915ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_if1402\" \"Eval/evaluate_comp.scm\" 11709) \"BGl_z62compzd2ev_if1402zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2910>\" \"Eval/evaluate_comp.scm\" 11846) \"BGl_z62zc3anonymousza32910ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_litt1400\" \"Eval/evaluate_comp.scm\" 11590) \"BGl_z62compzd2ev_litt1400zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2909>\" \"Eval/evaluate_comp.scm\" 11669) \"BGl_z62zc3anonymousza32909ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_defglobal1398\" \"Eval/evaluate_comp.scm\" 10633) \"BGl_z62compzd2ev_defglobal1398zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2883>\" \"Eval/evaluate_comp.scm\" 10759) \"BGl_z62zc3anonymousza32883ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setglobal1396\" \"Eval/evaluate_comp.scm\" 9772) \"BGl_z62compzd2ev_setglobal1396zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2858>\" \"Eval/evaluate_comp.scm\" 9982) \"BGl_z62zc3anonymousza32858ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2863>\" \"Eval/evaluate_comp.scm\" 10155) \"BGl_z62zc3anonymousza32863ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2874>\" \"Eval/evaluate_comp.scm\" 10415) \"BGl_z62zc3anonymousza32874ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_global1394\" \"Eval/evaluate_comp.scm\" 8830) \"BGl_z62compzd2ev_global1394zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2832>\" \"Eval/evaluate_comp.scm\" 9018) \"BGl_z62zc3anonymousza32832ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2834>\" \"Eval/evaluate_comp.scm\" 9111) \"BGl_z62zc3anonymousza32834ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2845>\" \"Eval/evaluate_comp.scm\" 9364) \"BGl_z62zc3anonymousza32845ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setlocal1392\" \"Eval/evaluate_comp.scm\" 8242) \"BGl_z62compzd2ev_setlocal1392zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2821>\" \"Eval/evaluate_comp.scm\" 8418) \"BGl_z62zc3anonymousza32821ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2825>\" \"Eval/evaluate_comp.scm\" 8525) \"BGl_z62zc3anonymousza32825ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_var1390\" \"Eval/evaluate_comp.scm\" 8097) \"BGl_z62compzd2ev_var1390zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2809>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32809ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2812>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2803>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32803ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2806>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2797>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32797ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2800>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2791>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2794>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2815>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2818>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_trap1388\" \"Eval/evaluate_comp.scm\" 7340) \"BGl_z62compzd2ev_trap1388zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2782>\" \"Eval/evaluate_comp.scm\" 7442) \"BGl_z62zc3anonymousza32782ze3ze1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long BgL_checksumz00_14990, char * BgL_fromz00_14991)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_compz00(); 
BGl_cnstzd2initzd2zz__evaluate_compz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_compz00(); 
BGl_genericzd2initzd2zz__evaluate_compz00(); 
BGl_methodzd2initzd2zz__evaluate_compz00(); 
BGl_toplevelzd2initzd2zz__evaluate_compz00(); 
return 
BGl_profzd2initzd2zz__evaluate_compz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
BGl_symbol5159z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5160z00zz__evaluate_compz00); 
BGl_symbol5161z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5162z00zz__evaluate_compz00); 
BGl_symbol5163z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5164z00zz__evaluate_compz00); 
BGl_symbol5169z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5170z00zz__evaluate_compz00); 
BGl_symbol5177z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5178z00zz__evaluate_compz00); 
BGl_symbol5179z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5180z00zz__evaluate_compz00); 
BGl_symbol5181z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5182z00zz__evaluate_compz00); 
BGl_symbol5184z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5185z00zz__evaluate_compz00); 
BGl_symbol5187z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5188z00zz__evaluate_compz00); 
BGl_symbol5189z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5190z00zz__evaluate_compz00); 
BGl_symbol5191z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5192z00zz__evaluate_compz00); 
BGl_symbol5193z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5194z00zz__evaluate_compz00); 
BGl_symbol5195z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5196z00zz__evaluate_compz00); 
BGl_symbol5197z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5198z00zz__evaluate_compz00); 
BGl_symbol5199z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5200z00zz__evaluate_compz00); 
BGl_symbol5201z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5202z00zz__evaluate_compz00); 
BGl_symbol5203z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5204z00zz__evaluate_compz00); 
BGl_symbol5205z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5206z00zz__evaluate_compz00); 
BGl_symbol5207z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5208z00zz__evaluate_compz00); 
BGl_symbol5209z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5210z00zz__evaluate_compz00); 
BGl_symbol5211z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5212z00zz__evaluate_compz00); 
BGl_symbol5213z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5214z00zz__evaluate_compz00); 
BGl_symbol5215z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5216z00zz__evaluate_compz00); 
BGl_symbol5217z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5218z00zz__evaluate_compz00); 
BGl_symbol5219z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5220z00zz__evaluate_compz00); 
BGl_symbol5221z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5222z00zz__evaluate_compz00); 
BGl_symbol5223z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5224z00zz__evaluate_compz00); 
BGl_symbol5225z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5226z00zz__evaluate_compz00); 
BGl_symbol5227z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5228z00zz__evaluate_compz00); 
BGl_symbol5229z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5230z00zz__evaluate_compz00); 
BGl_symbol5231z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5232z00zz__evaluate_compz00); 
BGl_symbol5233z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5234z00zz__evaluate_compz00); 
BGl_symbol5235z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5236z00zz__evaluate_compz00); 
BGl_symbol5237z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5238z00zz__evaluate_compz00); 
BGl_symbol5239z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5240z00zz__evaluate_compz00); 
BGl_symbol5241z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5242z00zz__evaluate_compz00); 
BGl_symbol5243z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5244z00zz__evaluate_compz00); 
BGl_symbol5245z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5246z00zz__evaluate_compz00); 
BGl_symbol5247z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5248z00zz__evaluate_compz00); 
BGl_symbol5249z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5250z00zz__evaluate_compz00); 
BGl_symbol5251z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5252z00zz__evaluate_compz00); 
BGl_symbol5253z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5254z00zz__evaluate_compz00); 
BGl_symbol5284z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5285z00zz__evaluate_compz00); 
BGl_symbol5301z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5302z00zz__evaluate_compz00); 
BGl_symbol5303z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5304z00zz__evaluate_compz00); 
BGl_symbol5305z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5306z00zz__evaluate_compz00); 
return ( 
BGl_symbol5307z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5308z00zz__evaluate_compz00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
{ /* Eval/evaluate_comp.scm 114 */
BGL_LONGLONG_T BgL_arg1474z00_1349;
{ /* Eval/evaluate_comp.scm 114 */
BGL_LONGLONG_T BgL_res3959z00_6383;
BgL_res3959z00_6383 = 
LONG_TO_LLONG(((long)0)); 
BgL_arg1474z00_1349 = BgL_res3959z00_6383; } 
{ /* Eval/evaluate_comp.scm 114 */
obj_t BgL_list1475z00_1350;
{ /* Eval/evaluate_comp.scm 114 */
obj_t BgL_arg1477z00_1351;
BgL_arg1477z00_1351 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1474z00_1349), BNIL); 
BgL_list1475z00_1350 = 
MAKE_YOUNG_PAIR(BGl_symbol5159z00zz__evaluate_compz00, BgL_arg1477z00_1351); } 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1475z00_1350; } } 
BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = ((long)8192); 
BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol5161z00zz__evaluate_compz00, 
(int)(((long)0))); 
BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol5163z00zz__evaluate_compz00, 
(int)(((long)0))); 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__evaluate_compz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{ BGL_FUNCTION_BEGIN;
{ 
{ 
obj_t BgL_headz00_1352;
BgL_headz00_1352 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
obj_t BgL_prevz00_1353;obj_t BgL_tailz00_1354;
BgL_prevz00_1353 = BgL_headz00_1352; 
BgL_tailz00_1354 = BgL_l1z00_1; 
BgL_loopz00_1355:
if(
PAIRP(BgL_tailz00_1354))
{ 
obj_t BgL_newzd2prevzd2_1357;
BgL_newzd2prevzd2_1357 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1354), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1353, BgL_newzd2prevzd2_1357); 
{ 
obj_t BgL_tailz00_15066;obj_t BgL_prevz00_15065;
BgL_prevz00_15065 = BgL_newzd2prevzd2_1357; 
BgL_tailz00_15066 = 
CDR(BgL_tailz00_1354); 
BgL_tailz00_1354 = BgL_tailz00_15066; 
BgL_prevz00_1353 = BgL_prevz00_15065; 
goto BgL_loopz00_1355;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1352);} } } 
BGL_FUNCTION_END;
}



/* reset_profile */
obj_t BGl_reset_profilez00zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 132 */
{ /* Eval/evaluate_comp.scm 133 */
BGL_LONGLONG_T BgL_arg1498z00_1380;
{ /* Eval/evaluate_comp.scm 133 */
BGL_LONGLONG_T BgL_res3966z00_6396;
BgL_res3966z00_6396 = 
LONG_TO_LLONG(((long)0)); 
BgL_arg1498z00_1380 = BgL_res3966z00_6396; } 
{ /* Eval/evaluate_comp.scm 133 */
obj_t BgL_list1499z00_1381;
{ /* Eval/evaluate_comp.scm 133 */
obj_t BgL_arg1500z00_1382;
BgL_arg1500z00_1382 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1498z00_1380), BNIL); 
BgL_list1499z00_1381 = 
MAKE_YOUNG_PAIR(BGl_symbol5159z00zz__evaluate_compz00, BgL_arg1500z00_1382); } 
return ( 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1499z00_1381, BUNSPEC) ;} } } 
BGL_FUNCTION_END;
}



/* o->s~0 */
obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t BgL_vz00_1391)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 141 */
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1391))
{ /* Ieee/fixnum.scm 979 */

return 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_vz00_1391), ((long)10));}  else 
{ /* Eval/evaluate_comp.scm 138 */
if(
SYMBOLP(BgL_vz00_1391))
{ /* Eval/evaluate_comp.scm 139 */
obj_t BgL_res3969z00_6401;
{ /* Eval/evaluate_comp.scm 139 */
obj_t BgL_arg3815z00_6400;
BgL_arg3815z00_6400 = 
SYMBOL_TO_STRING(BgL_vz00_1391); 
BgL_res3969z00_6401 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg3815z00_6400); } 
return BgL_res3969z00_6401;}  else 
{ /* Eval/evaluate_comp.scm 139 */
if(
STRINGP(BgL_vz00_1391))
{ /* Eval/evaluate_comp.scm 140 */
return BgL_vz00_1391;}  else 
{ /* Eval/evaluate_comp.scm 140 */
return BGl_string5165z00zz__evaluate_compz00;} } } } 
BGL_FUNCTION_END;
}



/* &<lexint */
obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_10567, obj_t BgL_t1z00_10568, obj_t BgL_t2z00_10569)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 135 */
{ /* Eval/evaluate_comp.scm 138 */
bool_t BgL_tmpz00_15083;
{ /* Eval/evaluate_comp.scm 142 */
obj_t BgL_v1z00_12559;obj_t BgL_v2z00_12560;
BgL_v1z00_12559 = 
CAR(
((obj_t)BgL_t1z00_10568)); 
BgL_v2z00_12560 = 
CAR(
((obj_t)BgL_t2z00_10569)); 
{ /* Eval/evaluate_comp.scm 143 */
bool_t BgL_testz00_15088;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_12559))
{ /* Eval/evaluate_comp.scm 143 */
BgL_testz00_15088 = 
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_12560)
; }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_testz00_15088 = ((bool_t)0)
; } 
if(BgL_testz00_15088)
{ /* Eval/evaluate_comp.scm 143 */
BgL_tmpz00_15083 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_12559, BgL_v2z00_12560)
; }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_tmpz00_15083 = 
bigloo_string_lt(
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v1z00_12559), 
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v2z00_12560))
; } } } 
return 
BBOOL(BgL_tmpz00_15083);} } 
BGL_FUNCTION_END;
}



/* get_profile */
obj_t BGl_get_profilez00zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 147 */
BGl_recze71ze7zz__evaluate_compz00(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00); 
return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;} 
BGL_FUNCTION_END;
}



/* rec~1 */
bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t BgL_tz00_1400)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 148 */
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_arg1511z00_1402;obj_t BgL_arg1512z00_1403;
BgL_arg1511z00_1402 = 
CDR(
((obj_t)BgL_tz00_1400)); 
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_arg1513z00_1404;
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_pairz00_6412;
BgL_pairz00_6412 = 
CDR(
((obj_t)BgL_tz00_1400)); 
BgL_arg1513z00_1404 = 
CDR(BgL_pairz00_6412); } 
BgL_arg1512z00_1403 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1513z00_1404); } 
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_tmpz00_15104;
BgL_tmpz00_15104 = 
((obj_t)BgL_arg1511z00_1402); 
SET_CDR(BgL_tmpz00_15104, BgL_arg1512z00_1403); } } 
{ /* Eval/evaluate_comp.scm 150 */
obj_t BgL_g1287z00_1405;
{ /* Eval/evaluate_comp.scm 150 */
obj_t BgL_pairz00_6417;
BgL_pairz00_6417 = 
CDR(
((obj_t)BgL_tz00_1400)); 
BgL_g1287z00_1405 = 
CDR(BgL_pairz00_6417); } 
{ 
obj_t BgL_l1285z00_1407;
BgL_l1285z00_1407 = BgL_g1287z00_1405; 
BgL_zc3anonymousza31514ze3z83_1408:
if(
PAIRP(BgL_l1285z00_1407))
{ /* Eval/evaluate_comp.scm 150 */
BGl_recze71ze7zz__evaluate_compz00(
CAR(BgL_l1285z00_1407)); 
{ 
obj_t BgL_l1285z00_15114;
BgL_l1285z00_15114 = 
CDR(BgL_l1285z00_1407); 
BgL_l1285z00_1407 = BgL_l1285z00_15114; 
goto BgL_zc3anonymousza31514ze3z83_1408;} }  else 
{ /* Eval/evaluate_comp.scm 150 */
return ((bool_t)1);} } } } 
BGL_FUNCTION_END;
}



/* index */
obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 156 */
{ 
obj_t BgL_lz00_1415;long BgL_nz00_1416;
BgL_lz00_1415 = BgL_lz00_7; 
BgL_nz00_1416 = ((long)0); 
BgL_zc3anonymousza31518ze3z83_1417:
if(
NULLP(BgL_lz00_1415))
{ /* Eval/evaluate_comp.scm 158 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 158 */
if(
(BgL_xz00_6==
CAR(
((obj_t)BgL_lz00_1415))))
{ /* Eval/evaluate_comp.scm 159 */
return 
BINT(BgL_nz00_1416);}  else 
{ 
long BgL_nz00_15126;obj_t BgL_lz00_15123;
BgL_lz00_15123 = 
CDR(
((obj_t)BgL_lz00_1415)); 
BgL_nz00_15126 = 
(BgL_nz00_1416+((long)1)); 
BgL_nz00_1416 = BgL_nz00_15126; 
BgL_lz00_1415 = BgL_lz00_15123; 
goto BgL_zc3anonymousza31518ze3z83_1417;} } } } 
BGL_FUNCTION_END;
}



/* _index */
obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 163 */
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL__ortest_1076z00_1425;
BgL__ortest_1076z00_1425 = 
BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9); 
if(
CBOOL(BgL__ortest_1076z00_1425))
{ /* Eval/evaluate_comp.scm 164 */
return BgL__ortest_1076z00_1425;}  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1525z00_1426;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1528z00_1427;
if(
NULLP(BgL_lz00_9))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1528z00_1427 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_head1290z00_1433;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1541z00_1445;
BgL_arg1541z00_1445 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_lz00_9))); 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_res3976z00_6428;
BgL_res3976z00_6428 = 
MAKE_YOUNG_PAIR(BgL_arg1541z00_1445, BNIL); 
BgL_head1290z00_1433 = BgL_res3976z00_6428; } } 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_g1293z00_1434;
BgL_g1293z00_1434 = 
CDR(
((obj_t)BgL_lz00_9)); 
{ 
obj_t BgL_l1288z00_1436;obj_t BgL_tail1291z00_1437;
BgL_l1288z00_1436 = BgL_g1293z00_1434; 
BgL_tail1291z00_1437 = BgL_head1290z00_1433; 
BgL_zc3anonymousza31533ze3z83_1438:
if(
NULLP(BgL_l1288z00_1436))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1528z00_1427 = BgL_head1290z00_1433; }  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_newtail1292z00_1440;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1538z00_1442;
BgL_arg1538z00_1442 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_l1288z00_1436))); 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_res3978z00_6432;
BgL_res3978z00_6432 = 
MAKE_YOUNG_PAIR(BgL_arg1538z00_1442, BNIL); 
BgL_newtail1292z00_1440 = BgL_res3978z00_6432; } } 
SET_CDR(BgL_tail1291z00_1437, BgL_newtail1292z00_1440); 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1537z00_1441;
BgL_arg1537z00_1441 = 
CDR(
((obj_t)BgL_l1288z00_1436)); 
{ 
obj_t BgL_tail1291z00_15149;obj_t BgL_l1288z00_15148;
BgL_l1288z00_15148 = BgL_arg1537z00_1441; 
BgL_tail1291z00_15149 = BgL_newtail1292z00_1440; 
BgL_tail1291z00_1437 = BgL_tail1291z00_15149; 
BgL_l1288z00_1436 = BgL_l1288z00_15148; 
goto BgL_zc3anonymousza31533ze3z83_1438;} } } } } } 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_list1529z00_1428;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1530z00_1429;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1531z00_1430;
BgL_arg1531z00_1430 = 
MAKE_YOUNG_PAIR(BgL_arg1528z00_1427, BNIL); 
BgL_arg1530z00_1429 = 
MAKE_YOUNG_PAIR(BGl_string5166z00zz__evaluate_compz00, BgL_arg1531z00_1430); } 
BgL_list1529z00_1428 = 
MAKE_YOUNG_PAIR(BgL_xz00_8, BgL_arg1530z00_1429); } 
BgL_arg1525z00_1426 = BgL_list1529z00_1428; } } 
return 
BGl_errorz00zz__errorz00(BGl_string5167z00zz__evaluate_compz00, BGl_string5168z00zz__evaluate_compz00, BgL_arg1525z00_1426);} } } 
BGL_FUNCTION_END;
}



/* lname */
obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 188 */
if(
BGl_isazf3zf3zz__objectz00(BgL_vz00_16, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 189 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_16)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 189 */
return BgL_vz00_16;} } 
BGL_FUNCTION_END;
}



/* loc-type-error */
obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17, obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 193 */
{ 
obj_t BgL_fnamez00_1466;obj_t BgL_locz00_1467;
if(
PAIRP(BgL_locz00_20))
{ /* Eval/evaluate_comp.scm 194 */
obj_t BgL_cdrzd2194zd2_1472;
BgL_cdrzd2194zd2_1472 = 
CDR(BgL_locz00_20); 
if(
(
CAR(BgL_locz00_20)==BGl_symbol5169z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 194 */
if(
PAIRP(BgL_cdrzd2194zd2_1472))
{ /* Eval/evaluate_comp.scm 194 */
obj_t BgL_cdrzd2198zd2_1476;
BgL_cdrzd2198zd2_1476 = 
CDR(BgL_cdrzd2194zd2_1472); 
if(
PAIRP(BgL_cdrzd2198zd2_1476))
{ /* Eval/evaluate_comp.scm 194 */
if(
NULLP(
CDR(BgL_cdrzd2198zd2_1476)))
{ /* Eval/evaluate_comp.scm 194 */
BgL_fnamez00_1466 = 
CAR(BgL_cdrzd2194zd2_1472); 
BgL_locz00_1467 = 
CAR(BgL_cdrzd2198zd2_1476); 
return 
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19, BgL_fnamez00_1466, BgL_locz00_1467);}  else 
{ /* Eval/evaluate_comp.scm 194 */
BgL_tagzd2187zd2_1469:
return 
BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1469;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1469;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1469;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1469;} } } 
BGL_FUNCTION_END;
}



/* make-state */
obj_t BGl_makezd2statezd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 206 */
{ /* Eval/evaluate_comp.scm 207 */
obj_t BgL_stkz00_1492;
BgL_stkz00_1492 = 
make_vector(((long)8192), BGl_string5171z00zz__evaluate_compz00); 
VECTOR_SET(BgL_stkz00_1492,((long)0),
BINT(((long)2))); 
return BgL_stkz00_1492;} } 
BGL_FUNCTION_END;
}



/* find-state */
BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 211 */
{ /* Eval/evaluate_comp.scm 212 */
obj_t BgL_sz00_1493;
{ /* Eval/evaluate_comp.scm 212 */
obj_t BgL_tmpz00_15179;
BgL_tmpz00_15179 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_sz00_1493 = 
BGL_ENV_EVSTATE(BgL_tmpz00_15179); } 
if(
VECTORP(BgL_sz00_1493))
{ /* Eval/evaluate_comp.scm 213 */
return BgL_sz00_1493;}  else 
{ /* Eval/evaluate_comp.scm 214 */
obj_t BgL_statez00_1495;
BgL_statez00_1495 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 215 */
obj_t BgL_tmpz00_15185;
BgL_tmpz00_15185 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_tmpz00_15185, BgL_statez00_1495); } 
return BgL_statez00_1495;} } } 
BGL_FUNCTION_END;
}



/* &find-state */
obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_10570)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 211 */
return 
BGl_findzd2statezd2zz__evaluate_compz00();} 
BGL_FUNCTION_END;
}



/* compile */
BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_34)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 273 */
return 
BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);} 
BGL_FUNCTION_END;
}



/* &compile */
obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_10571, obj_t BgL_ez00_10572)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 273 */
{ /* Eval/evaluate_comp.scm 274 */
BgL_ev_exprz00_bglt BgL_auxz00_15190;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_10572, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 274 */
BgL_auxz00_15190 = 
((BgL_ev_exprz00_bglt)BgL_ez00_10572)
; }  else 
{ 
obj_t BgL_auxz00_15194;
BgL_auxz00_15194 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string5172z00zz__evaluate_compz00, 
BINT(((long)7006)), BGl_string5173z00zz__evaluate_compz00, BGl_string5174z00zz__evaluate_compz00, BgL_ez00_10572); 
FAILURE(BgL_auxz00_15194,BFALSE,BFALSE);} 
return 
BGl_compilez00zz__evaluate_compz00(BgL_auxz00_15190);} } 
BGL_FUNCTION_END;
}



/* global-fun-value */
obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_43)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 332 */
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_ez00_43), BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 335 */
obj_t BgL_gz00_1551;
{ /* Eval/evaluate_comp.scm 335 */
obj_t BgL_arg1617z00_1552;obj_t BgL_arg1618z00_1553;
BgL_arg1617z00_1552 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_modz00); 
BgL_arg1618z00_1553 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_namez00); 
BgL_gz00_1551 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg1617z00_1552, BgL_arg1618z00_1553); } 
if(
CBOOL(BgL_gz00_1551))
{ /* Eval/evaluate_comp.scm 336 */
return 
VECTOR_REF(
((obj_t)BgL_gz00_1551),((long)2));}  else 
{ /* Eval/evaluate_comp.scm 336 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 333 */
return BFALSE;} } 
BGL_FUNCTION_END;
}



/* catch-goto-trampoline */
obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t BgL_fz00_78, obj_t BgL_sz00_79)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 586 */
{ 
obj_t BgL_fz00_1563;
BgL_fz00_1563 = BgL_fz00_78; 
BgL_zc3anonymousza31627ze3z83_1564:
{ /* Eval/evaluate_comp.scm 590 */
obj_t BgL_rz00_1565;
BgL_rz00_1565 = 
PROCEDURE_ENTRY(BgL_fz00_1563)(BgL_fz00_1563, BgL_sz00_79, BEOA); 
{ /* Eval/evaluate_comp.scm 592 */
bool_t BgL_testz00_15215;
if(
PROCEDUREP(BgL_rz00_1565))
{ /* Eval/evaluate_comp.scm 592 */
obj_t BgL_arg1639z00_1570;
BgL_arg1639z00_1570 = 
PROCEDURE_ATTR(BgL_rz00_1565); 
if(
STRUCTP(BgL_arg1639z00_1570))
{ /* Eval/evaluate_comp.scm 562 */
BgL_testz00_15215 = 
(
STRUCT_KEY(BgL_arg1639z00_1570)==BGl_symbol5161z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 562 */
BgL_testz00_15215 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 592 */
BgL_testz00_15215 = ((bool_t)0)
; } 
if(BgL_testz00_15215)
{ 
obj_t BgL_fz00_15223;
BgL_fz00_15223 = BgL_rz00_1565; 
BgL_fz00_1563 = BgL_fz00_15223; 
goto BgL_zc3anonymousza31627ze3z83_1564;}  else 
{ /* Eval/evaluate_comp.scm 592 */
return BgL_rz00_1565;} } } } } 
BGL_FUNCTION_END;
}



/* push-boxes-args-on-sp */
obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85, obj_t BgL_locz00_86)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 616 */
{ 
obj_t BgL_lz00_1573;obj_t BgL_bsz00_1574;long BgL_spz00_1575;
BgL_lz00_1573 = BgL_argsz00_83; 
BgL_bsz00_1574 = BgL_boxesz00_84; 
BgL_spz00_1575 = BgL_spz00_85; 
BgL_zc3anonymousza31640ze3z83_1576:
if(
NULLP(BgL_lz00_1573))
{ /* Eval/evaluate_comp.scm 618 */
if(
NULLP(BgL_bsz00_1574))
{ /* Eval/evaluate_comp.scm 619 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 622 */
obj_t BgL_arg1643z00_1579;
{ /* Eval/evaluate_comp.scm 622 */
long BgL_arg1644z00_1580;long BgL_arg1646z00_1581;
BgL_arg1644z00_1580 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1646z00_1581 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 621 */
obj_t BgL_list1647z00_1582;
{ /* Eval/evaluate_comp.scm 621 */
obj_t BgL_arg1648z00_1583;
BgL_arg1648z00_1583 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1646z00_1581), BNIL); 
BgL_list1647z00_1582 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1644z00_1580), BgL_arg1648z00_1583); } 
BgL_arg1643z00_1579 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5175z00zz__evaluate_compz00, BgL_list1647z00_1582); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string5167z00zz__evaluate_compz00, BGl_string5176z00zz__evaluate_compz00, BgL_arg1643z00_1579);} }  else 
{ /* Eval/evaluate_comp.scm 618 */
if(
NULLP(BgL_bsz00_1574))
{ /* Eval/evaluate_comp.scm 626 */
obj_t BgL_arg1650z00_1585;
{ /* Eval/evaluate_comp.scm 626 */
long BgL_arg1651z00_1586;long BgL_arg1652z00_1587;
BgL_arg1651z00_1586 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1652z00_1587 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 625 */
obj_t BgL_list1653z00_1588;
{ /* Eval/evaluate_comp.scm 625 */
obj_t BgL_arg1654z00_1589;
BgL_arg1654z00_1589 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1652z00_1587), BNIL); 
BgL_list1653z00_1588 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1651z00_1586), BgL_arg1654z00_1589); } 
BgL_arg1650z00_1585 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5175z00zz__evaluate_compz00, BgL_list1653z00_1588); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string5167z00zz__evaluate_compz00, BGl_string5176z00zz__evaluate_compz00, BgL_arg1650z00_1585);}  else 
{ /* Eval/evaluate_comp.scm 623 */
{ /* Eval/evaluate_comp.scm 629 */
obj_t BgL_arg1657z00_1590;
{ /* Eval/evaluate_comp.scm 629 */
obj_t BgL_vz00_1591;
{ /* Eval/evaluate_comp.scm 629 */
obj_t BgL_fun1659z00_1593;
BgL_fun1659z00_1593 = 
CAR(
((obj_t)BgL_lz00_1573)); 
BgL_vz00_1591 = 
PROCEDURE_ENTRY(BgL_fun1659z00_1593)(BgL_fun1659z00_1593, BgL_sz00_82, BEOA); } 
if(
CBOOL(
CAR(
((obj_t)BgL_bsz00_1574))))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_6474;
BgL_newz00_6474 = 
create_struct(BGl_symbol5177z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_15258;
BgL_tmpz00_15258 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_6474, BgL_tmpz00_15258, BgL_vz00_1591); } 
BgL_arg1657z00_1590 = BgL_newz00_6474; }  else 
{ /* Eval/evaluate_comp.scm 630 */
BgL_arg1657z00_1590 = BgL_vz00_1591; } } 
VECTOR_SET(
((obj_t)BgL_sz00_82),BgL_spz00_1575,BgL_arg1657z00_1590); } 
{ /* Eval/evaluate_comp.scm 633 */
obj_t BgL_arg1660z00_1594;obj_t BgL_arg1661z00_1595;long BgL_arg1662z00_1596;
BgL_arg1660z00_1594 = 
CDR(
((obj_t)BgL_lz00_1573)); 
BgL_arg1661z00_1595 = 
CDR(
((obj_t)BgL_bsz00_1574)); 
BgL_arg1662z00_1596 = 
(BgL_spz00_1575+((long)1)); 
{ 
long BgL_spz00_15270;obj_t BgL_bsz00_15269;obj_t BgL_lz00_15268;
BgL_lz00_15268 = BgL_arg1660z00_1594; 
BgL_bsz00_15269 = BgL_arg1661z00_1595; 
BgL_spz00_15270 = BgL_arg1662z00_1596; 
BgL_spz00_1575 = BgL_spz00_15270; 
BgL_bsz00_1574 = BgL_bsz00_15269; 
BgL_lz00_1573 = BgL_lz00_15268; 
goto BgL_zc3anonymousza31640ze3z83_1576;} } } } } } 
BGL_FUNCTION_END;
}



/* sub-stk */
obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88, obj_t BgL_l2z00_89)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 638 */
BGl_subzd2stkzd2zz__evaluate_compz00:
if(
NULLP(BgL_l1z00_88))
{ /* Eval/evaluate_comp.scm 639 */
return BgL_l2z00_89;}  else 
{ /* Eval/evaluate_comp.scm 639 */
if(
(
CAR(
((obj_t)BgL_l1z00_88))==
CAR(
((obj_t)BgL_l2z00_89))))
{ /* Eval/evaluate_comp.scm 642 */
obj_t BgL_arg1667z00_1602;obj_t BgL_arg1668z00_1603;
BgL_arg1667z00_1602 = 
CDR(
((obj_t)BgL_l1z00_88)); 
BgL_arg1668z00_1603 = 
CDR(
((obj_t)BgL_l2z00_89)); 
{ 
obj_t BgL_l2z00_15284;obj_t BgL_l1z00_15283;
BgL_l1z00_15283 = BgL_arg1667z00_1602; 
BgL_l2z00_15284 = BgL_arg1668z00_1603; 
BgL_l2z00_89 = BgL_l2z00_15284; 
BgL_l1z00_88 = BgL_l1z00_15283; 
goto BGl_subzd2stkzd2zz__evaluate_compz00;} }  else 
{ /* Eval/evaluate_comp.scm 640 */
return 
BGl_errorz00zz__errorz00(BGl_string5167z00zz__evaluate_compz00, BGl_symbol5179z00zz__evaluate_compz00, BGl_symbol5181z00zz__evaluate_compz00);} } } 
BGL_FUNCTION_END;
}



/* catch-trampoline */
obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93, obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 662 */
{ /* Eval/evaluate_comp.scm 663 */
obj_t BgL_savedzd2bpzd2_1614;
BgL_savedzd2bpzd2_1614 = 
VECTOR_REF(
((obj_t)BgL_sz00_94),((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_bpz00_95); 
{ 
obj_t BgL_fz00_1616;
BgL_fz00_1616 = BgL_fz00_93; 
BgL_zc3anonymousza31678ze3z83_1617:
{ /* Eval/evaluate_comp.scm 666 */
obj_t BgL_rz00_1618;
BgL_rz00_1618 = 
PROCEDURE_ENTRY(BgL_fz00_1616)(BgL_fz00_1616, BgL_sz00_94, BEOA); 
{ /* Eval/evaluate_comp.scm 667 */
bool_t BgL_testz00_15294;
if(
PROCEDUREP(BgL_rz00_1618))
{ /* Eval/evaluate_comp.scm 667 */
obj_t BgL_arg1682z00_1623;
BgL_arg1682z00_1623 = 
PROCEDURE_ATTR(BgL_rz00_1618); 
if(
STRUCTP(BgL_arg1682z00_1623))
{ /* Eval/evaluate_comp.scm 647 */
BgL_testz00_15294 = 
(
STRUCT_KEY(BgL_arg1682z00_1623)==BGl_symbol5163z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 647 */
BgL_testz00_15294 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 667 */
BgL_testz00_15294 = ((bool_t)0)
; } 
if(BgL_testz00_15294)
{ 
obj_t BgL_fz00_15302;
BgL_fz00_15302 = BgL_rz00_1618; 
BgL_fz00_1616 = BgL_fz00_15302; 
goto BgL_zc3anonymousza31678ze3z83_1617;}  else 
{ /* Eval/evaluate_comp.scm 667 */
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_savedzd2bpzd2_1614); 
return BgL_rz00_1618;} } } } } } 
BGL_FUNCTION_END;
}



/* check-stack */
bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t BgL_sz00_114, obj_t BgL_bpz00_115, obj_t BgL_nz00_116)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 678 */
return 
(
(
(long)CINT(BgL_bpz00_115)+
(long)CINT(BgL_nz00_116))<
VECTOR_LENGTH(
((obj_t)BgL_sz00_114)));} 
BGL_FUNCTION_END;
}



/* comp-with-push */
obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117, obj_t BgL_stkz00_118)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 681 */
if(
NULLP(BgL_eza2za2_117))
{ /* Eval/evaluate_comp.scm 683 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 685 */
obj_t BgL_arg1693z00_1636;obj_t BgL_arg1694z00_1637;
{ /* Eval/evaluate_comp.scm 685 */
obj_t BgL_arg1696z00_1638;
BgL_arg1696z00_1638 = 
CAR(
((obj_t)BgL_eza2za2_117)); 
BgL_arg1693z00_1636 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1696z00_1638), BgL_stkz00_118); } 
{ /* Eval/evaluate_comp.scm 686 */
obj_t BgL_arg1697z00_1639;obj_t BgL_arg1698z00_1640;
BgL_arg1697z00_1639 = 
CDR(
((obj_t)BgL_eza2za2_117)); 
{ /* Eval/evaluate_comp.scm 686 */
obj_t BgL_arg1699z00_1641;
BgL_arg1699z00_1641 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
BgL_arg1698z00_1640 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_118, BgL_arg1699z00_1641); } 
BgL_arg1694z00_1637 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1697z00_1639, BgL_arg1698z00_1640); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1693z00_1636, BgL_arg1694z00_1637);} } 
BGL_FUNCTION_END;
}



/* rec~0 */
obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t BgL_stkz00_12544, obj_t BgL_lz00_1643, long BgL_iz00_1644)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 689 */
if(
NULLP(BgL_lz00_1643))
{ /* Eval/evaluate_comp.scm 690 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 690 */
if(
(BgL_iz00_1644==((long)0)))
{ /* Eval/evaluate_comp.scm 691 */
return 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1643, BgL_stkz00_12544);}  else 
{ /* Eval/evaluate_comp.scm 692 */
obj_t BgL_arg1703z00_1648;obj_t BgL_arg1704z00_1649;
{ /* Eval/evaluate_comp.scm 692 */
obj_t BgL_arg1705z00_1650;
BgL_arg1705z00_1650 = 
CAR(
((obj_t)BgL_lz00_1643)); 
BgL_arg1703z00_1648 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1705z00_1650), BgL_stkz00_12544); } 
{ /* Eval/evaluate_comp.scm 693 */
obj_t BgL_arg1706z00_1651;long BgL_arg1707z00_1652;
BgL_arg1706z00_1651 = 
CDR(
((obj_t)BgL_lz00_1643)); 
BgL_arg1707z00_1652 = 
(BgL_iz00_1644-((long)1)); 
BgL_arg1704z00_1649 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_12544, BgL_arg1706z00_1651, BgL_arg1707z00_1652); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1703z00_1648, BgL_arg1704z00_1649);} } } 
BGL_FUNCTION_END;
}



/* subr-call-with-push */
obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122, obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125, obj_t BgL_siza7eza7_126)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 695 */
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_argsz00_1654;
if(
NULLP(BgL_argsz00_124))
{ /* Eval/evaluate_comp.scm 697 */
BgL_argsz00_1654 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_head1339z00_1659;
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_res4011z00_6539;
BgL_res4011z00_6539 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1339z00_1659 = BgL_res4011z00_6539; } 
{ 
obj_t BgL_l1337z00_1661;obj_t BgL_tail1340z00_1662;
BgL_l1337z00_1661 = BgL_argsz00_124; 
BgL_tail1340z00_1662 = BgL_head1339z00_1659; 
BgL_zc3anonymousza31710ze3z83_1663:
if(
NULLP(BgL_l1337z00_1661))
{ /* Eval/evaluate_comp.scm 697 */
BgL_argsz00_1654 = 
CDR(BgL_head1339z00_1659); }  else 
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_newtail1341z00_1665;
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_arg1713z00_1667;
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_az00_1668;
BgL_az00_1668 = 
CAR(
((obj_t)BgL_l1337z00_1661)); 
BgL_arg1713z00_1667 = 
PROCEDURE_ENTRY(BgL_az00_1668)(BgL_az00_1668, BgL_sz00_122, BEOA); } 
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_res4013z00_6543;
BgL_res4013z00_6543 = 
MAKE_YOUNG_PAIR(BgL_arg1713z00_1667, BNIL); 
BgL_newtail1341z00_1665 = BgL_res4013z00_6543; } } 
SET_CDR(BgL_tail1340z00_1662, BgL_newtail1341z00_1665); 
{ /* Eval/evaluate_comp.scm 697 */
obj_t BgL_arg1712z00_1666;
BgL_arg1712z00_1666 = 
CDR(
((obj_t)BgL_l1337z00_1661)); 
{ 
obj_t BgL_tail1340z00_15354;obj_t BgL_l1337z00_15353;
BgL_l1337z00_15353 = BgL_arg1712z00_1666; 
BgL_tail1340z00_15354 = BgL_newtail1341z00_1665; 
BgL_tail1340z00_1662 = BgL_tail1340z00_15354; 
BgL_l1337z00_1661 = BgL_l1337z00_15353; 
goto BgL_zc3anonymousza31710ze3z83_1663;} } } } } 
{ /* Eval/evaluate_comp.scm 698 */
long BgL_arg1708z00_1655;
BgL_arg1708z00_1655 = 
(
(long)CINT(BgL_bpz00_125)+
(long)CINT(BgL_siza7eza7_126)); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),
BINT(BgL_arg1708z00_1655)); } 
{ /* Eval/evaluate_comp.scm 699 */
obj_t BgL_za2za2resza2za2z00_1656;
BgL_za2za2resza2za2z00_1656 = 
apply(BgL_fz00_123, BgL_argsz00_1654); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),BgL_bpz00_125); 
return BgL_za2za2resza2za2z00_1656;} } } 
BGL_FUNCTION_END;
}



/* push-args-on-sp */
bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_sz00_127, obj_t BgL_argsz00_128, obj_t BgL_spz00_129)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 702 */
{ 
obj_t BgL_lz00_1671;obj_t BgL_spz00_1672;
BgL_lz00_1671 = BgL_argsz00_128; 
BgL_spz00_1672 = BgL_spz00_129; 
BgL_zc3anonymousza31714ze3z83_1673:
if(
NULLP(BgL_lz00_1671))
{ /* Eval/evaluate_comp.scm 704 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 704 */
{ /* Eval/evaluate_comp.scm 705 */
obj_t BgL_arg1716z00_1675;
{ /* Eval/evaluate_comp.scm 705 */
obj_t BgL_fun1717z00_1676;
BgL_fun1717z00_1676 = 
CAR(
((obj_t)BgL_lz00_1671)); 
BgL_arg1716z00_1675 = 
PROCEDURE_ENTRY(BgL_fun1717z00_1676)(BgL_fun1717z00_1676, BgL_sz00_127, BEOA); } 
{ /* Eval/evaluate_comp.scm 705 */
long BgL_kz00_6554;
BgL_kz00_6554 = 
(long)CINT(BgL_spz00_1672); 
VECTOR_SET(
((obj_t)BgL_sz00_127),BgL_kz00_6554,BgL_arg1716z00_1675); } } 
{ /* Eval/evaluate_comp.scm 706 */
obj_t BgL_arg1718z00_1677;long BgL_arg1719z00_1678;
BgL_arg1718z00_1677 = 
CDR(
((obj_t)BgL_lz00_1671)); 
BgL_arg1719z00_1678 = 
(
(long)CINT(BgL_spz00_1672)+((long)1)); 
{ 
obj_t BgL_spz00_15381;obj_t BgL_lz00_15380;
BgL_lz00_15380 = BgL_arg1718z00_1677; 
BgL_spz00_15381 = 
BINT(BgL_arg1719z00_1678); 
BgL_spz00_1672 = BgL_spz00_15381; 
BgL_lz00_1671 = BgL_lz00_15380; 
goto BgL_zc3anonymousza31714ze3z83_1673;} } } } } 
BGL_FUNCTION_END;
}



/* push-nargs-on-sp */
obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132, obj_t BgL_spz00_133)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 708 */
{ /* Eval/evaluate_comp.scm 709 */
long BgL_g1145z00_1680;
BgL_g1145z00_1680 = 
(((long)-1)-
(long)CINT(BgL_arityz00_130)); 
{ 
obj_t BgL_lz00_1682;obj_t BgL_spz00_1683;long BgL_nz00_1684;
BgL_lz00_1682 = BgL_argsz00_132; 
BgL_spz00_1683 = BgL_spz00_133; 
BgL_nz00_1684 = BgL_g1145z00_1680; 
BgL_zc3anonymousza31720ze3z83_1685:
if(
(BgL_nz00_1684==((long)0)))
{ 
obj_t BgL_lz00_1689;obj_t BgL_rz00_1690;
BgL_lz00_1689 = BgL_lz00_1682; 
BgL_rz00_1690 = BNIL; 
BgL_zc3anonymousza31722ze3z83_1691:
if(
NULLP(BgL_lz00_1689))
{ /* Eval/evaluate_comp.scm 713 */
obj_t BgL_arg1724z00_1693;
BgL_arg1724z00_1693 = 
bgl_reverse_bang(BgL_rz00_1690); 
{ /* Eval/evaluate_comp.scm 713 */
long BgL_kz00_6564;
BgL_kz00_6564 = 
(long)CINT(BgL_spz00_1683); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6564,BgL_arg1724z00_1693);} }  else 
{ /* Eval/evaluate_comp.scm 714 */
obj_t BgL_arg1725z00_1694;obj_t BgL_arg1726z00_1695;
BgL_arg1725z00_1694 = 
CDR(
((obj_t)BgL_lz00_1689)); 
{ /* Eval/evaluate_comp.scm 714 */
obj_t BgL_arg1727z00_1696;
{ /* Eval/evaluate_comp.scm 714 */
obj_t BgL_fun1728z00_1697;
BgL_fun1728z00_1697 = 
CAR(
((obj_t)BgL_lz00_1689)); 
BgL_arg1727z00_1696 = 
PROCEDURE_ENTRY(BgL_fun1728z00_1697)(BgL_fun1728z00_1697, BgL_sz00_131, BEOA); } 
BgL_arg1726z00_1695 = 
MAKE_YOUNG_PAIR(BgL_arg1727z00_1696, BgL_rz00_1690); } 
{ 
obj_t BgL_rz00_15403;obj_t BgL_lz00_15402;
BgL_lz00_15402 = BgL_arg1725z00_1694; 
BgL_rz00_15403 = BgL_arg1726z00_1695; 
BgL_rz00_1690 = BgL_rz00_15403; 
BgL_lz00_1689 = BgL_lz00_15402; 
goto BgL_zc3anonymousza31722ze3z83_1691;} } }  else 
{ /* Eval/evaluate_comp.scm 710 */
{ /* Eval/evaluate_comp.scm 715 */
obj_t BgL_arg1729z00_1699;
{ /* Eval/evaluate_comp.scm 715 */
obj_t BgL_fun1730z00_1700;
BgL_fun1730z00_1700 = 
CAR(
((obj_t)BgL_lz00_1682)); 
BgL_arg1729z00_1699 = 
PROCEDURE_ENTRY(BgL_fun1730z00_1700)(BgL_fun1730z00_1700, BgL_sz00_131, BEOA); } 
{ /* Eval/evaluate_comp.scm 715 */
long BgL_kz00_6569;
BgL_kz00_6569 = 
(long)CINT(BgL_spz00_1683); 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6569,BgL_arg1729z00_1699); } } 
{ /* Eval/evaluate_comp.scm 716 */
obj_t BgL_arg1731z00_1701;long BgL_arg1732z00_1702;long BgL_arg1733z00_1703;
BgL_arg1731z00_1701 = 
CDR(
((obj_t)BgL_lz00_1682)); 
BgL_arg1732z00_1702 = 
(
(long)CINT(BgL_spz00_1683)+((long)1)); 
BgL_arg1733z00_1703 = 
(BgL_nz00_1684-((long)1)); 
{ 
long BgL_nz00_15421;obj_t BgL_spz00_15419;obj_t BgL_lz00_15418;
BgL_lz00_15418 = BgL_arg1731z00_1701; 
BgL_spz00_15419 = 
BINT(BgL_arg1732z00_1702); 
BgL_nz00_15421 = BgL_arg1733z00_1703; 
BgL_nz00_1684 = BgL_nz00_15421; 
BgL_spz00_1683 = BgL_spz00_15419; 
BgL_lz00_1682 = BgL_lz00_15418; 
goto BgL_zc3anonymousza31720ze3z83_1685;} } } } } } 
BGL_FUNCTION_END;
}



/* need-shift */
bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134, obj_t BgL_stkz00_135)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 759 */
{ 
obj_t BgL_lz00_1706;obj_t BgL_stkz00_1707;
BgL_lz00_1706 = BgL_argsz00_134; 
BgL_stkz00_1707 = BgL_stkz00_135; 
BgL_zc3anonymousza31734ze3z83_1708:
{ /* Eval/evaluate_comp.scm 763 */
bool_t BgL_testz00_15422;
if(
NULLP(BgL_lz00_1706))
{ /* Eval/evaluate_comp.scm 763 */
BgL_testz00_15422 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 763 */
BgL_testz00_15422 = 
NULLP(BgL_stkz00_1707)
; } 
if(BgL_testz00_15422)
{ /* Eval/evaluate_comp.scm 763 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 765 */
bool_t BgL_testz00_15426;
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_g1344z00_1725;
BgL_g1344z00_1725 = 
CDR(
((obj_t)BgL_lz00_1706)); 
{ 
obj_t BgL_l1342z00_1727;
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_tmpz00_15429;
BgL_l1342z00_1727 = BgL_g1344z00_1725; 
BgL_zc3anonymousza31745ze3z83_1728:
if(
NULLP(BgL_l1342z00_1727))
{ /* Eval/evaluate_comp.scm 765 */
BgL_tmpz00_15429 = BFALSE
; }  else 
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL__ortest_1345z00_1730;
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_ez00_1732;
BgL_ez00_1732 = 
CAR(
((obj_t)BgL_l1342z00_1727)); 
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_arg1747z00_1733;obj_t BgL_arg1748z00_1734;
BgL_arg1747z00_1733 = 
CAR(
((obj_t)BgL_stkz00_1707)); 
BgL_arg1748z00_1734 = 
BGl_usez00zz__evaluate_usez00(
((BgL_ev_exprz00_bglt)BgL_ez00_1732), BNIL); 
BgL__ortest_1345z00_1730 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1747z00_1733, BgL_arg1748z00_1734); } } 
if(
CBOOL(BgL__ortest_1345z00_1730))
{ /* Eval/evaluate_comp.scm 765 */
BgL_tmpz00_15429 = BgL__ortest_1345z00_1730
; }  else 
{ /* Eval/evaluate_comp.scm 765 */
obj_t BgL_arg1746z00_1731;
BgL_arg1746z00_1731 = 
CDR(
((obj_t)BgL_l1342z00_1727)); 
{ 
obj_t BgL_l1342z00_15443;
BgL_l1342z00_15443 = BgL_arg1746z00_1731; 
BgL_l1342z00_1727 = BgL_l1342z00_15443; 
goto BgL_zc3anonymousza31745ze3z83_1728;} } } 
BgL_testz00_15426 = 
CBOOL(BgL_tmpz00_15429); } } } 
if(BgL_testz00_15426)
{ /* Eval/evaluate_comp.scm 765 */
return ((bool_t)1);}  else 
{ /* Eval/evaluate_comp.scm 767 */
obj_t BgL_arg1743z00_1723;obj_t BgL_arg1744z00_1724;
BgL_arg1743z00_1723 = 
CDR(
((obj_t)BgL_lz00_1706)); 
BgL_arg1744z00_1724 = 
CDR(
((obj_t)BgL_stkz00_1707)); 
{ 
obj_t BgL_stkz00_15450;obj_t BgL_lz00_15449;
BgL_lz00_15449 = BgL_arg1743z00_1723; 
BgL_stkz00_15450 = BgL_arg1744z00_1724; 
BgL_stkz00_1707 = BgL_stkz00_15450; 
BgL_lz00_1706 = BgL_lz00_15449; 
goto BgL_zc3anonymousza31734ze3z83_1708;} } } } } } 
BGL_FUNCTION_END;
}



/* comp-old-call */
obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_ez00_136, obj_t BgL_stkz00_137)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 769 */
{ /* Eval/evaluate_comp.scm 771 */
long BgL_siza7eza7_1739;long BgL_nbargsz00_1740;obj_t BgL_fz00_1741;obj_t BgL_symbzd2funzd2_1742;
BgL_siza7eza7_1739 = 
bgl_list_length(BgL_stkz00_137); 
BgL_nbargsz00_1740 = 
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00)); 
BgL_fz00_1741 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00), BgL_stkz00_137); 
BgL_symbzd2funzd2_1742 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00)); 
if(
CBOOL(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_tailzf3zf3)))
{ /* Eval/evaluate_comp.scm 773 */
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137))
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15464;
{ /* Eval/evaluate_comp.scm 780 */
int BgL_arg1797z00_1821;
BgL_arg1797z00_1821 = 
bgl_debug(); 
BgL_testz00_15464 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1797z00_1821), 
BINT(((long)0))); } 
if(BgL_testz00_15464)
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_argsz00_1748;
BgL_argsz00_1748 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_zc3anonymousza31754ze3z83_10573;
BgL_zc3anonymousza31754ze3z83_10573 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31754ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza31754ze3z83_10573, 
(int)(((long)0)), BgL_fz00_1741); 
PROCEDURE_SET(BgL_zc3anonymousza31754ze3z83_10573, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31754ze3z83_10573, 
(int)(((long)2)), BgL_symbzd2funzd2_1742); 
PROCEDURE_SET(BgL_zc3anonymousza31754ze3z83_10573, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1740)); 
PROCEDURE_SET(BgL_zc3anonymousza31754ze3z83_10573, 
(int)(((long)4)), BgL_argsz00_1748); 
PROCEDURE_SET(BgL_zc3anonymousza31754ze3z83_10573, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1739)); 
return BgL_zc3anonymousza31754ze3z83_10573;} }  else 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_argsz00_1786;
BgL_argsz00_1786 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_zc3anonymousza31777ze3z83_10574;
BgL_zc3anonymousza31777ze3z83_10574 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31777ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza31777ze3z83_10574, 
(int)(((long)0)), BgL_fz00_1741); 
PROCEDURE_SET(BgL_zc3anonymousza31777ze3z83_10574, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31777ze3z83_10574, 
(int)(((long)2)), BgL_symbzd2funzd2_1742); 
PROCEDURE_SET(BgL_zc3anonymousza31777ze3z83_10574, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1740)); 
PROCEDURE_SET(BgL_zc3anonymousza31777ze3z83_10574, 
(int)(((long)4)), BgL_argsz00_1786); 
PROCEDURE_SET(BgL_zc3anonymousza31777ze3z83_10574, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1739)); 
return BgL_zc3anonymousza31777ze3z83_10574;} } }  else 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15509;
{ /* Eval/evaluate_comp.scm 788 */
int BgL_arg1837z00_1891;
BgL_arg1837z00_1891 = 
bgl_debug(); 
BgL_testz00_15509 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1837z00_1891), 
BINT(((long)0))); } 
if(BgL_testz00_15509)
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_argsz00_1824;
BgL_argsz00_1824 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1739); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_zc3anonymousza31800ze3z83_10575;
BgL_zc3anonymousza31800ze3z83_10575 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31800ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31800ze3z83_10575, 
(int)(((long)0)), BgL_fz00_1741); 
PROCEDURE_SET(BgL_zc3anonymousza31800ze3z83_10575, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31800ze3z83_10575, 
(int)(((long)2)), BgL_symbzd2funzd2_1742); 
PROCEDURE_SET(BgL_zc3anonymousza31800ze3z83_10575, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1740)); 
PROCEDURE_SET(BgL_zc3anonymousza31800ze3z83_10575, 
(int)(((long)4)), BgL_argsz00_1824); 
return BgL_zc3anonymousza31800ze3z83_10575;} }  else 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_argsz00_1859;
BgL_argsz00_1859 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1739); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_zc3anonymousza31820ze3z83_10576;
BgL_zc3anonymousza31820ze3z83_10576 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31820ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31820ze3z83_10576, 
(int)(((long)0)), BgL_fz00_1741); 
PROCEDURE_SET(BgL_zc3anonymousza31820ze3z83_10576, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31820ze3z83_10576, 
(int)(((long)2)), BgL_symbzd2funzd2_1742); 
PROCEDURE_SET(BgL_zc3anonymousza31820ze3z83_10576, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1740)); 
PROCEDURE_SET(BgL_zc3anonymousza31820ze3z83_10576, 
(int)(((long)4)), BgL_argsz00_1859); 
return BgL_zc3anonymousza31820ze3z83_10576;} } } }  else 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_15548;
{ /* Eval/evaluate_comp.scm 774 */
int BgL_arg1878z00_1962;
BgL_arg1878z00_1962 = 
bgl_debug(); 
BgL_testz00_15548 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1878z00_1962), 
BINT(((long)0))); } 
if(BgL_testz00_15548)
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_argsz00_1895;
BgL_argsz00_1895 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_zc3anonymousza31841ze3z83_10577;
BgL_zc3anonymousza31841ze3z83_10577 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31841ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza31841ze3z83_10577, 
(int)(((long)0)), BgL_fz00_1741); 
PROCEDURE_SET(BgL_zc3anonymousza31841ze3z83_10577, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31841ze3z83_10577, 
(int)(((long)2)), BgL_symbzd2funzd2_1742); 
PROCEDURE_SET(BgL_zc3anonymousza31841ze3z83_10577, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1740)); 
PROCEDURE_SET(BgL_zc3anonymousza31841ze3z83_10577, 
(int)(((long)4)), BgL_argsz00_1895); 
PROCEDURE_SET(BgL_zc3anonymousza31841ze3z83_10577, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1739)); 
return BgL_zc3anonymousza31841ze3z83_10577;} }  else 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_argsz00_1930;
BgL_argsz00_1930 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_zc3anonymousza31861ze3z83_10578;
BgL_zc3anonymousza31861ze3z83_10578 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31861ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza31861ze3z83_10578, 
(int)(((long)0)), BgL_fz00_1741); 
PROCEDURE_SET(BgL_zc3anonymousza31861ze3z83_10578, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3anonymousza31861ze3z83_10578, 
(int)(((long)2)), BgL_symbzd2funzd2_1742); 
PROCEDURE_SET(BgL_zc3anonymousza31861ze3z83_10578, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1740)); 
PROCEDURE_SET(BgL_zc3anonymousza31861ze3z83_10578, 
(int)(((long)4)), BgL_argsz00_1930); 
PROCEDURE_SET(BgL_zc3anonymousza31861ze3z83_10578, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1739)); 
return BgL_zc3anonymousza31861ze3z83_10578;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1754> */
obj_t BGl_z62zc3anonymousza31754ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10579, obj_t BgL_sz00_10586)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 780 */
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_fz00_10580;BgL_ev_appz00_bglt BgL_i1153z00_10581;obj_t BgL_symbzd2funzd2_10582;long BgL_nbargsz00_10583;obj_t BgL_argsz00_10584;long BgL_siza7eza7_10585;
BgL_fz00_10580 = 
PROCEDURE_REF(BgL_envz00_10579, 
(int)(((long)0))); 
BgL_i1153z00_10581 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10579, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10582 = 
PROCEDURE_REF(BgL_envz00_10579, 
(int)(((long)2))); 
BgL_nbargsz00_10583 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10579, 
(int)(((long)3)))); 
BgL_argsz00_10584 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10579, 
(int)(((long)4)))); 
BgL_siza7eza7_10585 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10579, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_bpz00_12565;
BgL_bpz00_12565 = 
VECTOR_REF(
((obj_t)BgL_sz00_10586),((long)0)); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_fz00_12566;
BgL_fz00_12566 = 
PROCEDURE_ENTRY(BgL_fz00_10580)(BgL_fz00_10580, BgL_sz00_10586, BEOA); 
if(
PROCEDUREP(BgL_fz00_12566))
{ /* Eval/evaluate_comp.scm 780 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 780 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10581))->BgL_locz00), BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12566); } 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_ufz00_12567;
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_tmpz00_15619;
BgL_tmpz00_15619 = 
((obj_t)BgL_fz00_12566); 
BgL_ufz00_12567 = 
PROCEDURE_ATTR(BgL_tmpz00_15619); } 
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15622;
if(
STRUCTP(BgL_ufz00_12567))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15622 = 
(
STRUCT_KEY(BgL_ufz00_12567)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15622 = ((bool_t)0)
; } 
if(BgL_testz00_15622)
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_arityz00_12568;obj_t BgL_runz00_12569;obj_t BgL_sfz00_12570;
BgL_arityz00_12568 = 
STRUCT_REF(BgL_ufz00_12567, 
(int)(((long)0))); 
BgL_runz00_12569 = 
STRUCT_REF(BgL_ufz00_12567, 
(int)(((long)1))); 
BgL_sfz00_12570 = 
STRUCT_REF(BgL_ufz00_12567, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 780 */
long BgL_spz00_12571;
BgL_spz00_12571 = 
(
(long)CINT(BgL_bpz00_12565)+BgL_siza7eza7_10585); 
if(
(
(long)CINT(BgL_arityz00_12568)==BgL_nbargsz00_10583))
{ /* Eval/evaluate_comp.scm 780 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10586, BgL_argsz00_10584, 
BINT(BgL_spz00_12571)); 
{ /* Eval/evaluate_comp.scm 784 */
long BgL_arg1759z00_12572;
BgL_arg1759z00_12572 = 
(BgL_spz00_12571+BgL_nbargsz00_10583); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10586, 
(long)CINT(BgL_bpz00_12565), BgL_sz00_10586, 
BINT(BgL_spz00_12571), 
BINT(BgL_arg1759z00_12572)); } }  else 
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15645;
if(
(
(long)CINT(BgL_arityz00_12568)>=((long)0)))
{ /* Eval/evaluate_comp.scm 780 */
BgL_testz00_15645 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 780 */
BgL_testz00_15645 = 
(
(long)CINT(BgL_arityz00_12568)<
(((long)-1)-BgL_nbargsz00_10583))
; } 
if(BgL_testz00_15645)
{ /* Eval/evaluate_comp.scm 780 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10581))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12567, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10583), 
CINT(BgL_arityz00_12568)); }  else 
{ /* Eval/evaluate_comp.scm 780 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12568, BgL_sz00_10586, BgL_argsz00_10584, 
BINT(BgL_spz00_12571)); 
{ /* Eval/evaluate_comp.scm 786 */
long BgL_arg1765z00_12573;
BgL_arg1765z00_12573 = 
(BgL_spz00_12571+
(((long)0)-
(long)CINT(BgL_arityz00_12568))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10586, 
(long)CINT(BgL_bpz00_12565), BgL_sz00_10586, 
BINT(BgL_spz00_12571), 
BINT(BgL_arg1765z00_12573)); } } } 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_z12denvz12_12574;
BgL_z12denvz12_12574 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_tmpz00_15668;
BgL_tmpz00_15668 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10581))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12574, BgL_tmpz00_15668); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10586, BgL_bpz00_12565, BgL_sfz00_12570))
{ /* Eval/evaluate_comp.scm 780 */
return BgL_runz00_12569;}  else 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_nsz00_12575;
BgL_nsz00_12575 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 780 */
long BgL_arg1770z00_12576;
BgL_arg1770z00_12576 = 
(
(long)CINT(BgL_bpz00_12565)+BgL_nbargsz00_10583); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12575, ((long)2), BgL_sz00_10586, BgL_bpz00_12565, 
BINT(BgL_arg1770z00_12576)); } 
VECTOR_SET(BgL_nsz00_12575,((long)1),BgL_sz00_10586); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12574, BgL_nsz00_12575); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_ez00_12577;
BgL_ez00_12577 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12577, BgL_sz00_10586); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_____rz00_12578;
BgL_____rz00_12578 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12569, BgL_nsz00_12575, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12577); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12574, BgL_sz00_10586); 
return BgL_____rz00_12578;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 780 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12566, 
(int)(BgL_nbargsz00_10583)))
{ /* Eval/evaluate_comp.scm 780 */
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_auxz00_15691;obj_t BgL_tmpz00_15689;
BgL_auxz00_15691 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10581))->BgL_locz00); 
BgL_tmpz00_15689 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_15689, BgL_auxz00_15691); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10586, BgL_fz00_12566, BgL_argsz00_10584, BgL_bpz00_12565, 
BINT(BgL_siza7eza7_10585));}  else 
{ /* Eval/evaluate_comp.scm 780 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10581))->BgL_locz00), BgL_symbzd2funzd2_10582, 
(int)(BgL_nbargsz00_10583), 
PROCEDURE_ARITY(BgL_fz00_12566));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1777> */
obj_t BGl_z62zc3anonymousza31777ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10587, obj_t BgL_sz00_10594)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 780 */
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_fz00_10588;BgL_ev_appz00_bglt BgL_i1153z00_10589;obj_t BgL_symbzd2funzd2_10590;long BgL_nbargsz00_10591;obj_t BgL_argsz00_10592;long BgL_siza7eza7_10593;
BgL_fz00_10588 = 
PROCEDURE_REF(BgL_envz00_10587, 
(int)(((long)0))); 
BgL_i1153z00_10589 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10587, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10590 = 
PROCEDURE_REF(BgL_envz00_10587, 
(int)(((long)2))); 
BgL_nbargsz00_10591 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10587, 
(int)(((long)3)))); 
BgL_argsz00_10592 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10587, 
(int)(((long)4)))); 
BgL_siza7eza7_10593 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10587, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_bpz00_12579;
BgL_bpz00_12579 = 
VECTOR_REF(
((obj_t)BgL_sz00_10594),((long)0)); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_fz00_12580;
BgL_fz00_12580 = 
PROCEDURE_ENTRY(BgL_fz00_10588)(BgL_fz00_10588, BgL_sz00_10594, BEOA); 
if(
PROCEDUREP(BgL_fz00_12580))
{ /* Eval/evaluate_comp.scm 780 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 780 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10589))->BgL_locz00), BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12580); } 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_ufz00_12581;
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_tmpz00_15726;
BgL_tmpz00_15726 = 
((obj_t)BgL_fz00_12580); 
BgL_ufz00_12581 = 
PROCEDURE_ATTR(BgL_tmpz00_15726); } 
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15729;
if(
STRUCTP(BgL_ufz00_12581))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15729 = 
(
STRUCT_KEY(BgL_ufz00_12581)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15729 = ((bool_t)0)
; } 
if(BgL_testz00_15729)
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_arityz00_12582;obj_t BgL_runz00_12583;obj_t BgL_sfz00_12584;
BgL_arityz00_12582 = 
STRUCT_REF(BgL_ufz00_12581, 
(int)(((long)0))); 
BgL_runz00_12583 = 
STRUCT_REF(BgL_ufz00_12581, 
(int)(((long)1))); 
BgL_sfz00_12584 = 
STRUCT_REF(BgL_ufz00_12581, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 780 */
long BgL_spz00_12585;
BgL_spz00_12585 = 
(
(long)CINT(BgL_bpz00_12579)+BgL_siza7eza7_10593); 
if(
(
(long)CINT(BgL_arityz00_12582)==BgL_nbargsz00_10591))
{ /* Eval/evaluate_comp.scm 780 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10594, BgL_argsz00_10592, 
BINT(BgL_spz00_12585)); 
{ /* Eval/evaluate_comp.scm 784 */
long BgL_arg1782z00_12586;
BgL_arg1782z00_12586 = 
(BgL_spz00_12585+BgL_nbargsz00_10591); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10594, 
(long)CINT(BgL_bpz00_12579), BgL_sz00_10594, 
BINT(BgL_spz00_12585), 
BINT(BgL_arg1782z00_12586)); } }  else 
{ /* Eval/evaluate_comp.scm 780 */
bool_t BgL_testz00_15752;
if(
(
(long)CINT(BgL_arityz00_12582)>=((long)0)))
{ /* Eval/evaluate_comp.scm 780 */
BgL_testz00_15752 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 780 */
BgL_testz00_15752 = 
(
(long)CINT(BgL_arityz00_12582)<
(((long)-1)-BgL_nbargsz00_10591))
; } 
if(BgL_testz00_15752)
{ /* Eval/evaluate_comp.scm 780 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10589))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12581, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10591), 
CINT(BgL_arityz00_12582)); }  else 
{ /* Eval/evaluate_comp.scm 780 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12582, BgL_sz00_10594, BgL_argsz00_10592, 
BINT(BgL_spz00_12585)); 
{ /* Eval/evaluate_comp.scm 786 */
long BgL_arg1788z00_12587;
BgL_arg1788z00_12587 = 
(BgL_spz00_12585+
(((long)0)-
(long)CINT(BgL_arityz00_12582))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10594, 
(long)CINT(BgL_bpz00_12579), BgL_sz00_10594, 
BINT(BgL_spz00_12585), 
BINT(BgL_arg1788z00_12587)); } } } 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_z12denvz12_12588;
BgL_z12denvz12_12588 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10594, BgL_bpz00_12579, BgL_sfz00_12584))
{ /* Eval/evaluate_comp.scm 780 */
return BgL_runz00_12583;}  else 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_nsz00_12589;
BgL_nsz00_12589 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 780 */
long BgL_arg1792z00_12590;
BgL_arg1792z00_12590 = 
(
(long)CINT(BgL_bpz00_12579)+BgL_nbargsz00_10591); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12589, ((long)2), BgL_sz00_10594, BgL_bpz00_12579, 
BINT(BgL_arg1792z00_12590)); } 
VECTOR_SET(BgL_nsz00_12589,((long)1),BgL_sz00_10594); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12588, BgL_nsz00_12589); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_ez00_12591;
BgL_ez00_12591 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12591, BgL_sz00_10594); 
{ /* Eval/evaluate_comp.scm 780 */
obj_t BgL_____rz00_12592;
BgL_____rz00_12592 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12583, BgL_nsz00_12589, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12591); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12588, BgL_sz00_10594); 
return BgL_____rz00_12592;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 780 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12580, 
(int)(BgL_nbargsz00_10591)))
{ /* Eval/evaluate_comp.scm 780 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10594, BgL_fz00_12580, BgL_argsz00_10592, BgL_bpz00_12579, 
BINT(BgL_siza7eza7_10593));}  else 
{ /* Eval/evaluate_comp.scm 780 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10589))->BgL_locz00), BgL_symbzd2funzd2_10590, 
(int)(BgL_nbargsz00_10591), 
PROCEDURE_ARITY(BgL_fz00_12580));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1800> */
obj_t BGl_z62zc3anonymousza31800ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10595, obj_t BgL_sz00_10601)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 788 */
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_fz00_10596;BgL_ev_appz00_bglt BgL_i1153z00_10597;obj_t BgL_symbzd2funzd2_10598;long BgL_nbargsz00_10599;obj_t BgL_argsz00_10600;
BgL_fz00_10596 = 
PROCEDURE_REF(BgL_envz00_10595, 
(int)(((long)0))); 
BgL_i1153z00_10597 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10595, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10598 = 
PROCEDURE_REF(BgL_envz00_10595, 
(int)(((long)2))); 
BgL_nbargsz00_10599 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10595, 
(int)(((long)3)))); 
BgL_argsz00_10600 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10595, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_bpz00_12593;
BgL_bpz00_12593 = 
VECTOR_REF(
((obj_t)BgL_sz00_10601),((long)0)); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_fz00_12594;
BgL_fz00_12594 = 
PROCEDURE_ENTRY(BgL_fz00_10596)(BgL_fz00_10596, BgL_sz00_10601, BEOA); 
if(
PROCEDUREP(BgL_fz00_12594))
{ /* Eval/evaluate_comp.scm 788 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 788 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10597))->BgL_locz00), BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12594); } 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_ufz00_12595;
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_tmpz00_15822;
BgL_tmpz00_15822 = 
((obj_t)BgL_fz00_12594); 
BgL_ufz00_12595 = 
PROCEDURE_ATTR(BgL_tmpz00_15822); } 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15825;
if(
STRUCTP(BgL_ufz00_12595))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15825 = 
(
STRUCT_KEY(BgL_ufz00_12595)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15825 = ((bool_t)0)
; } 
if(BgL_testz00_15825)
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_arityz00_12596;obj_t BgL_runz00_12597;obj_t BgL_sfz00_12598;
BgL_arityz00_12596 = 
STRUCT_REF(BgL_ufz00_12595, 
(int)(((long)0))); 
BgL_runz00_12597 = 
STRUCT_REF(BgL_ufz00_12595, 
(int)(((long)1))); 
BgL_sfz00_12598 = 
STRUCT_REF(BgL_ufz00_12595, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12596)==BgL_nbargsz00_10599))
{ /* Eval/evaluate_comp.scm 788 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10601, BgL_argsz00_10600, BgL_bpz00_12593)); }  else 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15841;
if(
(
(long)CINT(BgL_arityz00_12596)>=((long)0)))
{ /* Eval/evaluate_comp.scm 788 */
BgL_testz00_15841 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 788 */
BgL_testz00_15841 = 
(
(long)CINT(BgL_arityz00_12596)<
(((long)-1)-BgL_nbargsz00_10599))
; } 
if(BgL_testz00_15841)
{ /* Eval/evaluate_comp.scm 788 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10597))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12595, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10599), 
CINT(BgL_arityz00_12596)); }  else 
{ /* Eval/evaluate_comp.scm 788 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12596, BgL_sz00_10601, BgL_argsz00_10600, BgL_bpz00_12593); } } 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_z12denvz12_12599;
BgL_z12denvz12_12599 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_tmpz00_15856;
BgL_tmpz00_15856 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10597))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12599, BgL_tmpz00_15856); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10601, BgL_bpz00_12593, BgL_sfz00_12598))
{ /* Eval/evaluate_comp.scm 788 */
return BgL_runz00_12597;}  else 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_nsz00_12600;
BgL_nsz00_12600 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 788 */
long BgL_arg1813z00_12601;
BgL_arg1813z00_12601 = 
(
(long)CINT(BgL_bpz00_12593)+BgL_nbargsz00_10599); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12600, ((long)2), BgL_sz00_10601, BgL_bpz00_12593, 
BINT(BgL_arg1813z00_12601)); } 
VECTOR_SET(BgL_nsz00_12600,((long)1),BgL_sz00_10601); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12599, BgL_nsz00_12600); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_ez00_12602;
BgL_ez00_12602 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12602, BgL_sz00_10601); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_____rz00_12603;
BgL_____rz00_12603 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12597, BgL_nsz00_12600, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12602); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12599, BgL_sz00_10601); 
return BgL_____rz00_12603;} } } } }  else 
{ /* Eval/evaluate_comp.scm 788 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12594, 
(int)(BgL_nbargsz00_10599)))
{ /* Eval/evaluate_comp.scm 788 */
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_auxz00_15879;obj_t BgL_tmpz00_15877;
BgL_auxz00_15879 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10597))->BgL_locz00); 
BgL_tmpz00_15877 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_15877, BgL_auxz00_15879); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10601, BgL_fz00_12594, BgL_argsz00_10600, BgL_bpz00_12593, 
BINT(BgL_nbargsz00_10599));}  else 
{ /* Eval/evaluate_comp.scm 788 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10597))->BgL_locz00), BgL_symbzd2funzd2_10598, 
(int)(BgL_nbargsz00_10599), 
PROCEDURE_ARITY(BgL_fz00_12594));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1820> */
obj_t BGl_z62zc3anonymousza31820ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10602, obj_t BgL_sz00_10608)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 788 */
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_fz00_10603;BgL_ev_appz00_bglt BgL_i1153z00_10604;obj_t BgL_symbzd2funzd2_10605;long BgL_nbargsz00_10606;obj_t BgL_argsz00_10607;
BgL_fz00_10603 = 
PROCEDURE_REF(BgL_envz00_10602, 
(int)(((long)0))); 
BgL_i1153z00_10604 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10602, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10605 = 
PROCEDURE_REF(BgL_envz00_10602, 
(int)(((long)2))); 
BgL_nbargsz00_10606 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10602, 
(int)(((long)3)))); 
BgL_argsz00_10607 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10602, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_bpz00_12604;
BgL_bpz00_12604 = 
VECTOR_REF(
((obj_t)BgL_sz00_10608),((long)0)); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_fz00_12605;
BgL_fz00_12605 = 
PROCEDURE_ENTRY(BgL_fz00_10603)(BgL_fz00_10603, BgL_sz00_10608, BEOA); 
if(
PROCEDUREP(BgL_fz00_12605))
{ /* Eval/evaluate_comp.scm 788 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 788 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10604))->BgL_locz00), BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12605); } 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_ufz00_12606;
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_tmpz00_15911;
BgL_tmpz00_15911 = 
((obj_t)BgL_fz00_12605); 
BgL_ufz00_12606 = 
PROCEDURE_ATTR(BgL_tmpz00_15911); } 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15914;
if(
STRUCTP(BgL_ufz00_12606))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15914 = 
(
STRUCT_KEY(BgL_ufz00_12606)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15914 = ((bool_t)0)
; } 
if(BgL_testz00_15914)
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_arityz00_12607;obj_t BgL_runz00_12608;obj_t BgL_sfz00_12609;
BgL_arityz00_12607 = 
STRUCT_REF(BgL_ufz00_12606, 
(int)(((long)0))); 
BgL_runz00_12608 = 
STRUCT_REF(BgL_ufz00_12606, 
(int)(((long)1))); 
BgL_sfz00_12609 = 
STRUCT_REF(BgL_ufz00_12606, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12607)==BgL_nbargsz00_10606))
{ /* Eval/evaluate_comp.scm 788 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10608, BgL_argsz00_10607, BgL_bpz00_12604)); }  else 
{ /* Eval/evaluate_comp.scm 788 */
bool_t BgL_testz00_15930;
if(
(
(long)CINT(BgL_arityz00_12607)>=((long)0)))
{ /* Eval/evaluate_comp.scm 788 */
BgL_testz00_15930 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 788 */
BgL_testz00_15930 = 
(
(long)CINT(BgL_arityz00_12607)<
(((long)-1)-BgL_nbargsz00_10606))
; } 
if(BgL_testz00_15930)
{ /* Eval/evaluate_comp.scm 788 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10604))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12606, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10606), 
CINT(BgL_arityz00_12607)); }  else 
{ /* Eval/evaluate_comp.scm 788 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12607, BgL_sz00_10608, BgL_argsz00_10607, BgL_bpz00_12604); } } 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_z12denvz12_12610;
BgL_z12denvz12_12610 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10608, BgL_bpz00_12604, BgL_sfz00_12609))
{ /* Eval/evaluate_comp.scm 788 */
return BgL_runz00_12608;}  else 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_nsz00_12611;
BgL_nsz00_12611 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 788 */
long BgL_arg1832z00_12612;
BgL_arg1832z00_12612 = 
(
(long)CINT(BgL_bpz00_12604)+BgL_nbargsz00_10606); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12611, ((long)2), BgL_sz00_10608, BgL_bpz00_12604, 
BINT(BgL_arg1832z00_12612)); } 
VECTOR_SET(BgL_nsz00_12611,((long)1),BgL_sz00_10608); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12610, BgL_nsz00_12611); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_ez00_12613;
BgL_ez00_12613 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12613, BgL_sz00_10608); 
{ /* Eval/evaluate_comp.scm 788 */
obj_t BgL_____rz00_12614;
BgL_____rz00_12614 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12608, BgL_nsz00_12611, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12613); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12610, BgL_sz00_10608); 
return BgL_____rz00_12614;} } } } }  else 
{ /* Eval/evaluate_comp.scm 788 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12605, 
(int)(BgL_nbargsz00_10606)))
{ /* Eval/evaluate_comp.scm 788 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10608, BgL_fz00_12605, BgL_argsz00_10607, BgL_bpz00_12604, 
BINT(BgL_nbargsz00_10606));}  else 
{ /* Eval/evaluate_comp.scm 788 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10604))->BgL_locz00), BgL_symbzd2funzd2_10605, 
(int)(BgL_nbargsz00_10606), 
PROCEDURE_ARITY(BgL_fz00_12605));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1841> */
obj_t BGl_z62zc3anonymousza31841ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10609, obj_t BgL_sz00_10616)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 774 */
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_fz00_10610;BgL_ev_appz00_bglt BgL_i1153z00_10611;obj_t BgL_symbzd2funzd2_10612;long BgL_nbargsz00_10613;obj_t BgL_argsz00_10614;long BgL_siza7eza7_10615;
BgL_fz00_10610 = 
PROCEDURE_REF(BgL_envz00_10609, 
(int)(((long)0))); 
BgL_i1153z00_10611 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10609, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10612 = 
PROCEDURE_REF(BgL_envz00_10609, 
(int)(((long)2))); 
BgL_nbargsz00_10613 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10609, 
(int)(((long)3)))); 
BgL_argsz00_10614 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10609, 
(int)(((long)4)))); 
BgL_siza7eza7_10615 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10609, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_bpz00_12615;
BgL_bpz00_12615 = 
VECTOR_REF(
((obj_t)BgL_sz00_10616),((long)0)); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_fz00_12616;
BgL_fz00_12616 = 
PROCEDURE_ENTRY(BgL_fz00_10610)(BgL_fz00_10610, BgL_sz00_10616, BEOA); 
if(
PROCEDUREP(BgL_fz00_12616))
{ /* Eval/evaluate_comp.scm 774 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 774 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10611))->BgL_locz00), BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12616); } 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_ufz00_12617;
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_tmpz00_15995;
BgL_tmpz00_15995 = 
((obj_t)BgL_fz00_12616); 
BgL_ufz00_12617 = 
PROCEDURE_ATTR(BgL_tmpz00_15995); } 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_15998;
if(
STRUCTP(BgL_ufz00_12617))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15998 = 
(
STRUCT_KEY(BgL_ufz00_12617)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_15998 = ((bool_t)0)
; } 
if(BgL_testz00_15998)
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_arityz00_12618;obj_t BgL_runz00_12619;obj_t BgL_sfz00_12620;
BgL_arityz00_12618 = 
STRUCT_REF(BgL_ufz00_12617, 
(int)(((long)0))); 
BgL_runz00_12619 = 
STRUCT_REF(BgL_ufz00_12617, 
(int)(((long)1))); 
BgL_sfz00_12620 = 
STRUCT_REF(BgL_ufz00_12617, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 774 */
long BgL_spz00_12621;
BgL_spz00_12621 = 
(
(long)CINT(BgL_bpz00_12615)+BgL_siza7eza7_10615); 
if(
(
(long)CINT(BgL_arityz00_12618)==BgL_nbargsz00_10613))
{ /* Eval/evaluate_comp.scm 774 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10616, BgL_argsz00_10614, 
BINT(BgL_spz00_12621))); }  else 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_16017;
if(
(
(long)CINT(BgL_arityz00_12618)>=((long)0)))
{ /* Eval/evaluate_comp.scm 774 */
BgL_testz00_16017 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 774 */
BgL_testz00_16017 = 
(
(long)CINT(BgL_arityz00_12618)<
(((long)-1)-BgL_nbargsz00_10613))
; } 
if(BgL_testz00_16017)
{ /* Eval/evaluate_comp.scm 774 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10611))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12617, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10613), 
CINT(BgL_arityz00_12618)); }  else 
{ /* Eval/evaluate_comp.scm 774 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12618, BgL_sz00_10616, BgL_argsz00_10614, 
BINT(BgL_spz00_12621)); } } 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_z12denvz12_12622;
BgL_z12denvz12_12622 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_tmpz00_16033;
BgL_tmpz00_16033 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10611))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12622, BgL_tmpz00_16033); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10616, 
BINT(BgL_spz00_12621), BgL_sfz00_12620))
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12619, BgL_sz00_10616, 
BINT(BgL_spz00_12621));}  else 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_nsz00_12623;
BgL_nsz00_12623 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 774 */
long BgL_arg1854z00_12624;
BgL_arg1854z00_12624 = 
(BgL_spz00_12621+BgL_nbargsz00_10613); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12623, ((long)2), BgL_sz00_10616, 
BINT(BgL_spz00_12621), 
BINT(BgL_arg1854z00_12624)); } 
VECTOR_SET(BgL_nsz00_12623,((long)1),BgL_sz00_10616); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12622, BgL_nsz00_12623); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_ez00_12625;
BgL_ez00_12625 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12625, BgL_sz00_10616); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_____rz00_12626;
BgL_____rz00_12626 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12619, BgL_nsz00_12623, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12625); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12622, BgL_sz00_10616); 
return BgL_____rz00_12626;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 774 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12616, 
(int)(BgL_nbargsz00_10613)))
{ /* Eval/evaluate_comp.scm 774 */
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_auxz00_16059;obj_t BgL_tmpz00_16057;
BgL_auxz00_16059 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10611))->BgL_locz00); 
BgL_tmpz00_16057 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16057, BgL_auxz00_16059); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10616, BgL_fz00_12616, BgL_argsz00_10614, BgL_bpz00_12615, 
BINT(BgL_siza7eza7_10615));}  else 
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10611))->BgL_locz00), BgL_symbzd2funzd2_10612, 
(int)(BgL_nbargsz00_10613), 
PROCEDURE_ARITY(BgL_fz00_12616));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1861> */
obj_t BGl_z62zc3anonymousza31861ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10617, obj_t BgL_sz00_10624)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 774 */
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_fz00_10618;BgL_ev_appz00_bglt BgL_i1153z00_10619;obj_t BgL_symbzd2funzd2_10620;long BgL_nbargsz00_10621;obj_t BgL_argsz00_10622;long BgL_siza7eza7_10623;
BgL_fz00_10618 = 
PROCEDURE_REF(BgL_envz00_10617, 
(int)(((long)0))); 
BgL_i1153z00_10619 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10617, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10620 = 
PROCEDURE_REF(BgL_envz00_10617, 
(int)(((long)2))); 
BgL_nbargsz00_10621 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10617, 
(int)(((long)3)))); 
BgL_argsz00_10622 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10617, 
(int)(((long)4)))); 
BgL_siza7eza7_10623 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10617, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_bpz00_12627;
BgL_bpz00_12627 = 
VECTOR_REF(
((obj_t)BgL_sz00_10624),((long)0)); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_fz00_12628;
BgL_fz00_12628 = 
PROCEDURE_ENTRY(BgL_fz00_10618)(BgL_fz00_10618, BgL_sz00_10624, BEOA); 
if(
PROCEDUREP(BgL_fz00_12628))
{ /* Eval/evaluate_comp.scm 774 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 774 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10619))->BgL_locz00), BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12628); } 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_ufz00_12629;
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_tmpz00_16094;
BgL_tmpz00_16094 = 
((obj_t)BgL_fz00_12628); 
BgL_ufz00_12629 = 
PROCEDURE_ATTR(BgL_tmpz00_16094); } 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_16097;
if(
STRUCTP(BgL_ufz00_12629))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16097 = 
(
STRUCT_KEY(BgL_ufz00_12629)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16097 = ((bool_t)0)
; } 
if(BgL_testz00_16097)
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_arityz00_12630;obj_t BgL_runz00_12631;obj_t BgL_sfz00_12632;
BgL_arityz00_12630 = 
STRUCT_REF(BgL_ufz00_12629, 
(int)(((long)0))); 
BgL_runz00_12631 = 
STRUCT_REF(BgL_ufz00_12629, 
(int)(((long)1))); 
BgL_sfz00_12632 = 
STRUCT_REF(BgL_ufz00_12629, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 774 */
long BgL_spz00_12633;
BgL_spz00_12633 = 
(
(long)CINT(BgL_bpz00_12627)+BgL_siza7eza7_10623); 
if(
(
(long)CINT(BgL_arityz00_12630)==BgL_nbargsz00_10621))
{ /* Eval/evaluate_comp.scm 774 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10624, BgL_argsz00_10622, 
BINT(BgL_spz00_12633))); }  else 
{ /* Eval/evaluate_comp.scm 774 */
bool_t BgL_testz00_16116;
if(
(
(long)CINT(BgL_arityz00_12630)>=((long)0)))
{ /* Eval/evaluate_comp.scm 774 */
BgL_testz00_16116 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 774 */
BgL_testz00_16116 = 
(
(long)CINT(BgL_arityz00_12630)<
(((long)-1)-BgL_nbargsz00_10621))
; } 
if(BgL_testz00_16116)
{ /* Eval/evaluate_comp.scm 774 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10619))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12629, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10621), 
CINT(BgL_arityz00_12630)); }  else 
{ /* Eval/evaluate_comp.scm 774 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12630, BgL_sz00_10624, BgL_argsz00_10622, 
BINT(BgL_spz00_12633)); } } 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_z12denvz12_12634;
BgL_z12denvz12_12634 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10624, 
BINT(BgL_spz00_12633), BgL_sfz00_12632))
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12631, BgL_sz00_10624, 
BINT(BgL_spz00_12633));}  else 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_nsz00_12635;
BgL_nsz00_12635 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 774 */
long BgL_arg1873z00_12636;
BgL_arg1873z00_12636 = 
(BgL_spz00_12633+BgL_nbargsz00_10621); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12635, ((long)2), BgL_sz00_10624, 
BINT(BgL_spz00_12633), 
BINT(BgL_arg1873z00_12636)); } 
VECTOR_SET(BgL_nsz00_12635,((long)1),BgL_sz00_10624); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12634, BgL_nsz00_12635); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_ez00_12637;
BgL_ez00_12637 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12637, BgL_sz00_10624); 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_____rz00_12638;
BgL_____rz00_12638 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12631, BgL_nsz00_12635, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12637); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12634, BgL_sz00_10624); 
return BgL_____rz00_12638;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 774 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12628, 
(int)(BgL_nbargsz00_10621)))
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10624, BgL_fz00_12628, BgL_argsz00_10622, BgL_bpz00_12627, 
BINT(BgL_siza7eza7_10623));}  else 
{ /* Eval/evaluate_comp.scm 774 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1153z00_10619))->BgL_locz00), BgL_symbzd2funzd2_10620, 
(int)(BgL_nbargsz00_10621), 
PROCEDURE_ARITY(BgL_fz00_12628));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call0 */
obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138, BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140, obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143, long BgL_siza7eza7_144)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_1966;
BgL_cfunz00_1966 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139, ((long)0), BgL_locz00_138, BgL_symbzd2funzd2_140); 
if(
CBOOL(BgL_cfunz00_1966))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16162;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1887z00_1980;
BgL_arg1887z00_1980 = 
bgl_debug(); 
BgL_testz00_16162 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1887z00_1980), 
BINT(((long)0))); } 
if(BgL_testz00_16162)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31884ze3z83_10625;
BgL_zc3anonymousza31884ze3z83_10625 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31884ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza31884ze3z83_10625, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3anonymousza31884ze3z83_10625, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31884ze3z83_10625, 
(int)(((long)2)), BgL_cfunz00_1966); 
return BgL_zc3anonymousza31884ze3z83_10625;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31886ze3z83_10626;
BgL_zc3anonymousza31886ze3z83_10626 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza31886ze3z83_10626, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3anonymousza31886ze3z83_10626, 
(int)(((long)1)), BgL_cfunz00_1966); 
return BgL_zc3anonymousza31886ze3z83_10626;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_142))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16187;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1917z00_2044;
BgL_arg1917z00_2044 = 
bgl_debug(); 
BgL_testz00_16187 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1917z00_2044), 
BINT(((long)0))); } 
if(BgL_testz00_16187)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31890ze3z83_10627;
BgL_zc3anonymousza31890ze3z83_10627 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31890ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31890ze3z83_10627, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3anonymousza31890ze3z83_10627, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31890ze3z83_10627, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3anonymousza31890ze3z83_10627, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3anonymousza31890ze3z83_10627;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31904ze3z83_10628;
BgL_zc3anonymousza31904ze3z83_10628 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31904ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31904ze3z83_10628, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3anonymousza31904ze3z83_10628, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31904ze3z83_10628, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3anonymousza31904ze3z83_10628, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3anonymousza31904ze3z83_10628;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16216;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1947z00_2108;
BgL_arg1947z00_2108 = 
bgl_debug(); 
BgL_testz00_16216 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1947z00_2108), 
BINT(((long)0))); } 
if(BgL_testz00_16216)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31920ze3z83_10629;
BgL_zc3anonymousza31920ze3z83_10629 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31920ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31920ze3z83_10629, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3anonymousza31920ze3z83_10629, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31920ze3z83_10629, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3anonymousza31920ze3z83_10629, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3anonymousza31920ze3z83_10629;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31934ze3z83_10630;
BgL_zc3anonymousza31934ze3z83_10630 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31934ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31934ze3z83_10630, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3anonymousza31934ze3z83_10630, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3anonymousza31934ze3z83_10630, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3anonymousza31934ze3z83_10630, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3anonymousza31934ze3z83_10630;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1884> */
obj_t BGl_z62zc3anonymousza31884ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10631, obj_t BgL_sz00_10635)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_siza7eza7_10632;obj_t BgL_locz00_10633;obj_t BgL_cfunz00_10634;
BgL_siza7eza7_10632 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10631, 
(int)(((long)0)))); 
BgL_locz00_10633 = 
PROCEDURE_REF(BgL_envz00_10631, 
(int)(((long)1))); 
BgL_cfunz00_10634 = 
PROCEDURE_REF(BgL_envz00_10631, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12639;
BgL_bpz00_12639 = 
VECTOR_REF(
((obj_t)BgL_sz00_10635),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */

{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12640;
BgL_nbpz00_12640 = 
(
(long)CINT(BgL_bpz00_12639)+BgL_siza7eza7_10632); 
VECTOR_SET(
((obj_t)BgL_sz00_10635),((long)0),
BINT(BgL_nbpz00_12640)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16259;
BgL_tmpz00_16259 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16259, BgL_locz00_10633); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12641;
BgL_rz00_12641 = 
PROCEDURE_ENTRY(BgL_cfunz00_10634)(BgL_cfunz00_10634, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10635),((long)0),BgL_bpz00_12639); 
return BgL_rz00_12641;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1886> */
obj_t BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10636, obj_t BgL_sz00_10639)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_siza7eza7_10637;obj_t BgL_cfunz00_10638;
BgL_siza7eza7_10637 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10636, 
(int)(((long)0)))); 
BgL_cfunz00_10638 = 
PROCEDURE_REF(BgL_envz00_10636, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12642;
BgL_bpz00_12642 = 
VECTOR_REF(
((obj_t)BgL_sz00_10639),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */

{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12643;
BgL_nbpz00_12643 = 
(
(long)CINT(BgL_bpz00_12642)+BgL_siza7eza7_10637); 
VECTOR_SET(
((obj_t)BgL_sz00_10639),((long)0),
BINT(BgL_nbpz00_12643)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12644;
BgL_rz00_12644 = 
PROCEDURE_ENTRY(BgL_cfunz00_10638)(BgL_cfunz00_10638, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10639),((long)0),BgL_bpz00_12642); 
return BgL_rz00_12644;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1890> */
obj_t BGl_z62zc3anonymousza31890ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10640, obj_t BgL_sz00_10645)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10641;obj_t BgL_locz00_10642;obj_t BgL_symbzd2funzd2_10643;long BgL_siza7eza7_10644;
BgL_funz00_10641 = 
PROCEDURE_REF(BgL_envz00_10640, 
(int)(((long)0))); 
BgL_locz00_10642 = 
PROCEDURE_REF(BgL_envz00_10640, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10643 = 
PROCEDURE_REF(BgL_envz00_10640, 
(int)(((long)2))); 
BgL_siza7eza7_10644 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10640, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12645;
BgL_bpz00_12645 = 
VECTOR_REF(
((obj_t)BgL_sz00_10645),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12646;
BgL_fz00_12646 = 
PROCEDURE_ENTRY(BgL_funz00_10641)(BgL_funz00_10641, BgL_sz00_10645, BEOA); 
if(
PROCEDUREP(BgL_fz00_12646))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10642, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12646); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12647;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16302;
BgL_tmpz00_16302 = 
((obj_t)BgL_fz00_12646); 
BgL_ufz00_12647 = 
PROCEDURE_ATTR(BgL_tmpz00_16302); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16305;
if(
STRUCTP(BgL_ufz00_12647))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16305 = 
(
STRUCT_KEY(BgL_ufz00_12647)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16305 = ((bool_t)0)
; } 
if(BgL_testz00_16305)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12648;obj_t BgL_runz00_12649;obj_t BgL_sfz00_12650;
BgL_arityz00_12648 = 
STRUCT_REF(BgL_ufz00_12647, 
(int)(((long)0))); 
BgL_runz00_12649 = 
STRUCT_REF(BgL_ufz00_12647, 
(int)(((long)1))); 
BgL_sfz00_12650 = 
STRUCT_REF(BgL_ufz00_12647, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12648)==((long)0)))
{ /* Eval/evaluate_comp.scm 889 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12648))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12648)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1895z00_12653;obj_t BgL_arg1896z00_12654;
BgL_arg1895z00_12653 = 
(
(long)CINT(BgL_bpz00_12645)+((long)0)); 
BgL_arg1896z00_12654 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10645),BgL_arg1895z00_12653,BgL_arg1896z00_12654); } break;
default: 
BgL_case_else1169z00_12651:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1898z00_12652;
BgL_arg1898z00_12652 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12647), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10642, BgL_arg1898z00_12652, 
(int)(((long)0)), 
CINT(BgL_arityz00_12648)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1169z00_12651;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12655;
BgL_z12denvz12_12655 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12655, BgL_locz00_10642); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10645, BgL_bpz00_12645, BgL_sfz00_12650))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12649;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12656;
BgL_nsz00_12656 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1900z00_12657;
BgL_arg1900z00_12657 = 
(
(long)CINT(BgL_bpz00_12645)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12656, ((long)2), BgL_sz00_10645, BgL_bpz00_12645, 
BINT(BgL_arg1900z00_12657)); } 
VECTOR_SET(BgL_nsz00_12656,((long)1),BgL_sz00_10645); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12655, BgL_nsz00_12656); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12658;
BgL_ez00_12658 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12658, BgL_sz00_10645); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12659;
BgL_____rz00_12659 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12649, BgL_nsz00_12656, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12658); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12655, BgL_sz00_10645); 
return BgL_____rz00_12659;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12646, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12660;
BgL_nbpz00_12660 = 
(
(long)CINT(BgL_bpz00_12645)+BgL_siza7eza7_10644); 
VECTOR_SET(
((obj_t)BgL_sz00_10645),((long)0),
BINT(BgL_nbpz00_12660)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16358;
BgL_tmpz00_16358 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16358, BgL_locz00_10642); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12661;
BgL_rz00_12661 = 
PROCEDURE_ENTRY(BgL_fz00_12646)(BgL_fz00_12646, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10645),((long)0),BgL_bpz00_12645); 
return BgL_rz00_12661;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10642, BgL_symbzd2funzd2_10643, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12646));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1904> */
obj_t BGl_z62zc3anonymousza31904ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10646, obj_t BgL_sz00_10651)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10647;obj_t BgL_locz00_10648;obj_t BgL_symbzd2funzd2_10649;long BgL_siza7eza7_10650;
BgL_funz00_10647 = 
PROCEDURE_REF(BgL_envz00_10646, 
(int)(((long)0))); 
BgL_locz00_10648 = 
PROCEDURE_REF(BgL_envz00_10646, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10649 = 
PROCEDURE_REF(BgL_envz00_10646, 
(int)(((long)2))); 
BgL_siza7eza7_10650 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10646, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12662;
BgL_bpz00_12662 = 
VECTOR_REF(
((obj_t)BgL_sz00_10651),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12663;
BgL_fz00_12663 = 
PROCEDURE_ENTRY(BgL_funz00_10647)(BgL_funz00_10647, BgL_sz00_10651, BEOA); 
if(
PROCEDUREP(BgL_fz00_12663))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10648, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12663); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12664;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16387;
BgL_tmpz00_16387 = 
((obj_t)BgL_fz00_12663); 
BgL_ufz00_12664 = 
PROCEDURE_ATTR(BgL_tmpz00_16387); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16390;
if(
STRUCTP(BgL_ufz00_12664))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16390 = 
(
STRUCT_KEY(BgL_ufz00_12664)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16390 = ((bool_t)0)
; } 
if(BgL_testz00_16390)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12665;obj_t BgL_runz00_12666;obj_t BgL_sfz00_12667;
BgL_arityz00_12665 = 
STRUCT_REF(BgL_ufz00_12664, 
(int)(((long)0))); 
BgL_runz00_12666 = 
STRUCT_REF(BgL_ufz00_12664, 
(int)(((long)1))); 
BgL_sfz00_12667 = 
STRUCT_REF(BgL_ufz00_12664, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12665)==((long)0)))
{ /* Eval/evaluate_comp.scm 889 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12665))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12665)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1909z00_12670;obj_t BgL_arg1910z00_12671;
BgL_arg1909z00_12670 = 
(
(long)CINT(BgL_bpz00_12662)+((long)0)); 
BgL_arg1910z00_12671 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10651),BgL_arg1909z00_12670,BgL_arg1910z00_12671); } break;
default: 
BgL_case_else1171z00_12668:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1912z00_12669;
BgL_arg1912z00_12669 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12664), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10648, BgL_arg1912z00_12669, 
(int)(((long)0)), 
CINT(BgL_arityz00_12665)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1171z00_12668;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12672;
BgL_z12denvz12_12672 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10651, BgL_bpz00_12662, BgL_sfz00_12667))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12666;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12673;
BgL_nsz00_12673 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1914z00_12674;
BgL_arg1914z00_12674 = 
(
(long)CINT(BgL_bpz00_12662)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12673, ((long)2), BgL_sz00_10651, BgL_bpz00_12662, 
BINT(BgL_arg1914z00_12674)); } 
VECTOR_SET(BgL_nsz00_12673,((long)1),BgL_sz00_10651); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12672, BgL_nsz00_12673); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12675;
BgL_ez00_12675 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12675, BgL_sz00_10651); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12676;
BgL_____rz00_12676 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12666, BgL_nsz00_12673, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12675); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12672, BgL_sz00_10651); 
return BgL_____rz00_12676;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12663, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12677;
BgL_nbpz00_12677 = 
(
(long)CINT(BgL_bpz00_12662)+BgL_siza7eza7_10650); 
VECTOR_SET(
((obj_t)BgL_sz00_10651),((long)0),
BINT(BgL_nbpz00_12677)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12678;
BgL_rz00_12678 = 
PROCEDURE_ENTRY(BgL_fz00_12663)(BgL_fz00_12663, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10651),((long)0),BgL_bpz00_12662); 
return BgL_rz00_12678;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10648, BgL_symbzd2funzd2_10649, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12663));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1920> */
obj_t BGl_z62zc3anonymousza31920ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10652, obj_t BgL_sz00_10657)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10653;obj_t BgL_locz00_10654;obj_t BgL_symbzd2funzd2_10655;long BgL_siza7eza7_10656;
BgL_funz00_10653 = 
PROCEDURE_REF(BgL_envz00_10652, 
(int)(((long)0))); 
BgL_locz00_10654 = 
PROCEDURE_REF(BgL_envz00_10652, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10655 = 
PROCEDURE_REF(BgL_envz00_10652, 
(int)(((long)2))); 
BgL_siza7eza7_10656 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10652, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12679;
BgL_bpz00_12679 = 
VECTOR_REF(
((obj_t)BgL_sz00_10657),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12680;
BgL_fz00_12680 = 
PROCEDURE_ENTRY(BgL_funz00_10653)(BgL_funz00_10653, BgL_sz00_10657, BEOA); 
if(
PROCEDUREP(BgL_fz00_12680))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10654, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12680); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12681;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16468;
BgL_tmpz00_16468 = 
((obj_t)BgL_fz00_12680); 
BgL_ufz00_12681 = 
PROCEDURE_ATTR(BgL_tmpz00_16468); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16471;
if(
STRUCTP(BgL_ufz00_12681))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16471 = 
(
STRUCT_KEY(BgL_ufz00_12681)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16471 = ((bool_t)0)
; } 
if(BgL_testz00_16471)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12682;obj_t BgL_runz00_12683;obj_t BgL_sfz00_12684;
BgL_arityz00_12682 = 
STRUCT_REF(BgL_ufz00_12681, 
(int)(((long)0))); 
BgL_runz00_12683 = 
STRUCT_REF(BgL_ufz00_12681, 
(int)(((long)1))); 
BgL_sfz00_12684 = 
STRUCT_REF(BgL_ufz00_12681, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12685;
BgL_spz00_12685 = 
(
(long)CINT(BgL_bpz00_12679)+BgL_siza7eza7_10656); 
if(
(
(long)CINT(BgL_arityz00_12682)==((long)0)))
{ /* Eval/evaluate_comp.scm 889 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12682))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12682)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1925z00_12688;obj_t BgL_arg1926z00_12689;
BgL_arg1925z00_12688 = 
(BgL_spz00_12685+((long)0)); 
BgL_arg1926z00_12689 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10657),BgL_arg1925z00_12688,BgL_arg1926z00_12689); } break;
default: 
BgL_case_else1173z00_12686:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1928z00_12687;
BgL_arg1928z00_12687 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12681), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10654, BgL_arg1928z00_12687, 
(int)(((long)0)), 
CINT(BgL_arityz00_12682)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1173z00_12686;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12690;
BgL_z12denvz12_12690 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12690, BgL_locz00_10654); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10657, 
BINT(BgL_spz00_12685), BgL_sfz00_12684))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12683, BgL_sz00_10657, 
BINT(BgL_spz00_12685));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12691;
BgL_nsz00_12691 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1930z00_12692;
BgL_arg1930z00_12692 = 
(BgL_spz00_12685+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12691, ((long)2), BgL_sz00_10657, 
BINT(BgL_spz00_12685), 
BINT(BgL_arg1930z00_12692)); } 
VECTOR_SET(BgL_nsz00_12691,((long)1),BgL_sz00_10657); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12690, BgL_nsz00_12691); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12693;
BgL_ez00_12693 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12693, BgL_sz00_10657); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12694;
BgL_____rz00_12694 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12683, BgL_nsz00_12691, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12693); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12690, BgL_sz00_10657); 
return BgL_____rz00_12694;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12680, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12695;
BgL_nbpz00_12695 = 
(
(long)CINT(BgL_bpz00_12679)+BgL_siza7eza7_10656); 
VECTOR_SET(
((obj_t)BgL_sz00_10657),((long)0),
BINT(BgL_nbpz00_12695)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16528;
BgL_tmpz00_16528 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16528, BgL_locz00_10654); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12696;
BgL_rz00_12696 = 
PROCEDURE_ENTRY(BgL_fz00_12680)(BgL_fz00_12680, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10657),((long)0),BgL_bpz00_12679); 
return BgL_rz00_12696;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10654, BgL_symbzd2funzd2_10655, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12680));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1934> */
obj_t BGl_z62zc3anonymousza31934ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10658, obj_t BgL_sz00_10663)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10659;obj_t BgL_locz00_10660;obj_t BgL_symbzd2funzd2_10661;long BgL_siza7eza7_10662;
BgL_funz00_10659 = 
PROCEDURE_REF(BgL_envz00_10658, 
(int)(((long)0))); 
BgL_locz00_10660 = 
PROCEDURE_REF(BgL_envz00_10658, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10661 = 
PROCEDURE_REF(BgL_envz00_10658, 
(int)(((long)2))); 
BgL_siza7eza7_10662 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10658, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12697;
BgL_bpz00_12697 = 
VECTOR_REF(
((obj_t)BgL_sz00_10663),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12698;
BgL_fz00_12698 = 
PROCEDURE_ENTRY(BgL_funz00_10659)(BgL_funz00_10659, BgL_sz00_10663, BEOA); 
if(
PROCEDUREP(BgL_fz00_12698))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10660, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12698); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12699;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16557;
BgL_tmpz00_16557 = 
((obj_t)BgL_fz00_12698); 
BgL_ufz00_12699 = 
PROCEDURE_ATTR(BgL_tmpz00_16557); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16560;
if(
STRUCTP(BgL_ufz00_12699))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16560 = 
(
STRUCT_KEY(BgL_ufz00_12699)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16560 = ((bool_t)0)
; } 
if(BgL_testz00_16560)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12700;obj_t BgL_runz00_12701;obj_t BgL_sfz00_12702;
BgL_arityz00_12700 = 
STRUCT_REF(BgL_ufz00_12699, 
(int)(((long)0))); 
BgL_runz00_12701 = 
STRUCT_REF(BgL_ufz00_12699, 
(int)(((long)1))); 
BgL_sfz00_12702 = 
STRUCT_REF(BgL_ufz00_12699, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12703;
BgL_spz00_12703 = 
(
(long)CINT(BgL_bpz00_12697)+BgL_siza7eza7_10662); 
if(
(
(long)CINT(BgL_arityz00_12700)==((long)0)))
{ /* Eval/evaluate_comp.scm 889 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12700))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12700)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1939z00_12706;obj_t BgL_arg1940z00_12707;
BgL_arg1939z00_12706 = 
(BgL_spz00_12703+((long)0)); 
BgL_arg1940z00_12707 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10663),BgL_arg1939z00_12706,BgL_arg1940z00_12707); } break;
default: 
BgL_case_else1175z00_12704:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1942z00_12705;
BgL_arg1942z00_12705 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12699), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10660, BgL_arg1942z00_12705, 
(int)(((long)0)), 
CINT(BgL_arityz00_12700)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1175z00_12704;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12708;
BgL_z12denvz12_12708 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10663, 
BINT(BgL_spz00_12703), BgL_sfz00_12702))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12701, BgL_sz00_10663, 
BINT(BgL_spz00_12703));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12709;
BgL_nsz00_12709 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1944z00_12710;
BgL_arg1944z00_12710 = 
(BgL_spz00_12703+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12709, ((long)2), BgL_sz00_10663, 
BINT(BgL_spz00_12703), 
BINT(BgL_arg1944z00_12710)); } 
VECTOR_SET(BgL_nsz00_12709,((long)1),BgL_sz00_10663); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12708, BgL_nsz00_12709); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12711;
BgL_ez00_12711 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12711, BgL_sz00_10663); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12712;
BgL_____rz00_12712 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12701, BgL_nsz00_12709, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12711); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12708, BgL_sz00_10663); 
return BgL_____rz00_12712;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12698, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12713;
BgL_nbpz00_12713 = 
(
(long)CINT(BgL_bpz00_12697)+BgL_siza7eza7_10662); 
VECTOR_SET(
((obj_t)BgL_sz00_10663),((long)0),
BINT(BgL_nbpz00_12713)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12714;
BgL_rz00_12714 = 
PROCEDURE_ENTRY(BgL_fz00_12698)(BgL_fz00_12698, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10663),((long)0),BgL_bpz00_12697); 
return BgL_rz00_12714;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10660, BgL_symbzd2funzd2_10661, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12698));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call1 */
obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145, BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147, obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150, long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_2109;
BgL_cfunz00_2109 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146, ((long)1), BgL_locz00_145, BgL_symbzd2funzd2_147); 
if(
CBOOL(BgL_cfunz00_2109))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16627;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1953z00_2125;
BgL_arg1953z00_2125 = 
bgl_debug(); 
BgL_testz00_16627 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1953z00_2125), 
BINT(((long)0))); } 
if(BgL_testz00_16627)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31950ze3z83_10664;
BgL_zc3anonymousza31950ze3z83_10664 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31950ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza31950ze3z83_10664, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31950ze3z83_10664, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3anonymousza31950ze3z83_10664, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza31950ze3z83_10664, 
(int)(((long)3)), BgL_cfunz00_2109); 
return BgL_zc3anonymousza31950ze3z83_10664;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31952ze3z83_10665;
BgL_zc3anonymousza31952ze3z83_10665 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31952ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza31952ze3z83_10665, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31952ze3z83_10665, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3anonymousza31952ze3z83_10665, 
(int)(((long)2)), BgL_cfunz00_2109); 
return BgL_zc3anonymousza31952ze3z83_10665;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_149))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16656;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg1993z00_2201;
BgL_arg1993z00_2201 = 
bgl_debug(); 
BgL_testz00_16656 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1993z00_2201), 
BINT(((long)0))); } 
if(BgL_testz00_16656)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31956ze3z83_10666;
BgL_zc3anonymousza31956ze3z83_10666 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31956ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31956ze3z83_10666, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3anonymousza31956ze3z83_10666, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31956ze3z83_10666, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza31956ze3z83_10666, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3anonymousza31956ze3z83_10666, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3anonymousza31956ze3z83_10666;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31975ze3z83_10667;
BgL_zc3anonymousza31975ze3z83_10667 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31975ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31975ze3z83_10667, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3anonymousza31975ze3z83_10667, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31975ze3z83_10667, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza31975ze3z83_10667, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3anonymousza31975ze3z83_10667, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3anonymousza31975ze3z83_10667;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16689;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2033z00_2277;
BgL_arg2033z00_2277 = 
bgl_debug(); 
BgL_testz00_16689 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2033z00_2277), 
BINT(((long)0))); } 
if(BgL_testz00_16689)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza31996ze3z83_10668;
BgL_zc3anonymousza31996ze3z83_10668 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31996ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza31996ze3z83_10668, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3anonymousza31996ze3z83_10668, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza31996ze3z83_10668, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza31996ze3z83_10668, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3anonymousza31996ze3z83_10668, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3anonymousza31996ze3z83_10668;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32015ze3z83_10669;
BgL_zc3anonymousza32015ze3z83_10669 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32015ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza32015ze3z83_10669, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3anonymousza32015ze3z83_10669, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3anonymousza32015ze3z83_10669, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3anonymousza32015ze3z83_10669, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3anonymousza32015ze3z83_10669, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3anonymousza32015ze3z83_10669;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1950> */
obj_t BGl_z62zc3anonymousza31950ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10670, obj_t BgL_sz00_10675)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10671;long BgL_siza7eza7_10672;obj_t BgL_locz00_10673;obj_t BgL_cfunz00_10674;
BgL_a1z00_10671 = 
PROCEDURE_REF(BgL_envz00_10670, 
(int)(((long)0))); 
BgL_siza7eza7_10672 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10670, 
(int)(((long)1)))); 
BgL_locz00_10673 = 
PROCEDURE_REF(BgL_envz00_10670, 
(int)(((long)2))); 
BgL_cfunz00_10674 = 
PROCEDURE_REF(BgL_envz00_10670, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12715;
BgL_bpz00_12715 = 
VECTOR_REF(
((obj_t)BgL_sz00_10675),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12716;
BgL_a1z00_12716 = 
PROCEDURE_ENTRY(BgL_a1z00_10671)(BgL_a1z00_10671, BgL_sz00_10675, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12717;
BgL_nbpz00_12717 = 
(
(long)CINT(BgL_bpz00_12715)+BgL_siza7eza7_10672); 
VECTOR_SET(
((obj_t)BgL_sz00_10675),((long)0),
BINT(BgL_nbpz00_12717)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16742;
BgL_tmpz00_16742 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16742, BgL_locz00_10673); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12718;
BgL_rz00_12718 = 
PROCEDURE_ENTRY(BgL_cfunz00_10674)(BgL_cfunz00_10674, BgL_a1z00_12716, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10675),((long)0),BgL_bpz00_12715); 
return BgL_rz00_12718;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1952> */
obj_t BGl_z62zc3anonymousza31952ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10676, obj_t BgL_sz00_10680)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10677;long BgL_siza7eza7_10678;obj_t BgL_cfunz00_10679;
BgL_a1z00_10677 = 
PROCEDURE_REF(BgL_envz00_10676, 
(int)(((long)0))); 
BgL_siza7eza7_10678 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10676, 
(int)(((long)1)))); 
BgL_cfunz00_10679 = 
PROCEDURE_REF(BgL_envz00_10676, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12719;
BgL_bpz00_12719 = 
VECTOR_REF(
((obj_t)BgL_sz00_10680),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12720;
BgL_a1z00_12720 = 
PROCEDURE_ENTRY(BgL_a1z00_10677)(BgL_a1z00_10677, BgL_sz00_10680, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12721;
BgL_nbpz00_12721 = 
(
(long)CINT(BgL_bpz00_12719)+BgL_siza7eza7_10678); 
VECTOR_SET(
((obj_t)BgL_sz00_10680),((long)0),
BINT(BgL_nbpz00_12721)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12722;
BgL_rz00_12722 = 
PROCEDURE_ENTRY(BgL_cfunz00_10679)(BgL_cfunz00_10679, BgL_a1z00_12720, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10680),((long)0),BgL_bpz00_12719); 
return BgL_rz00_12722;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1956> */
obj_t BGl_z62zc3anonymousza31956ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10681, obj_t BgL_sz00_10687)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10682;obj_t BgL_a1z00_10683;obj_t BgL_locz00_10684;obj_t BgL_symbzd2funzd2_10685;long BgL_siza7eza7_10686;
BgL_funz00_10682 = 
PROCEDURE_REF(BgL_envz00_10681, 
(int)(((long)0))); 
BgL_a1z00_10683 = 
PROCEDURE_REF(BgL_envz00_10681, 
(int)(((long)1))); 
BgL_locz00_10684 = 
PROCEDURE_REF(BgL_envz00_10681, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10685 = 
PROCEDURE_REF(BgL_envz00_10681, 
(int)(((long)3))); 
BgL_siza7eza7_10686 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10681, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12723;
BgL_bpz00_12723 = 
VECTOR_REF(
((obj_t)BgL_sz00_10687),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12724;obj_t BgL_a1z00_12725;
BgL_fz00_12724 = 
PROCEDURE_ENTRY(BgL_funz00_10682)(BgL_funz00_10682, BgL_sz00_10687, BEOA); 
BgL_a1z00_12725 = 
PROCEDURE_ENTRY(BgL_a1z00_10683)(BgL_a1z00_10683, BgL_sz00_10687, BEOA); 
if(
PROCEDUREP(BgL_fz00_12724))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10684, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12724); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12726;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16799;
BgL_tmpz00_16799 = 
((obj_t)BgL_fz00_12724); 
BgL_ufz00_12726 = 
PROCEDURE_ATTR(BgL_tmpz00_16799); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16802;
if(
STRUCTP(BgL_ufz00_12726))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16802 = 
(
STRUCT_KEY(BgL_ufz00_12726)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16802 = ((bool_t)0)
; } 
if(BgL_testz00_16802)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12727;obj_t BgL_runz00_12728;obj_t BgL_sfz00_12729;
BgL_arityz00_12727 = 
STRUCT_REF(BgL_ufz00_12726, 
(int)(((long)0))); 
BgL_runz00_12728 = 
STRUCT_REF(BgL_ufz00_12726, 
(int)(((long)1))); 
BgL_sfz00_12729 = 
STRUCT_REF(BgL_ufz00_12726, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12727)==((long)1)))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1960z00_12730;
BgL_arg1960z00_12730 = 
(
(long)CINT(BgL_bpz00_12723)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10687),BgL_arg1960z00_12730,BgL_a1z00_12725); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12727))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12727)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1962z00_12733;obj_t BgL_arg1963z00_12734;
BgL_arg1962z00_12733 = 
(
(long)CINT(BgL_bpz00_12723)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list1964z00_12735;
BgL_list1964z00_12735 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12725, BNIL); 
BgL_arg1963z00_12734 = BgL_list1964z00_12735; } 
VECTOR_SET(
((obj_t)BgL_sz00_10687),BgL_arg1962z00_12733,BgL_arg1963z00_12734); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1965z00_12736;
BgL_arg1965z00_12736 = 
(
(long)CINT(BgL_bpz00_12723)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10687),BgL_arg1965z00_12736,BgL_a1z00_12725); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1966z00_12737;obj_t BgL_arg1967z00_12738;
BgL_arg1966z00_12737 = 
(
(long)CINT(BgL_bpz00_12723)+((long)1)); 
BgL_arg1967z00_12738 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10687),BgL_arg1966z00_12737,BgL_arg1967z00_12738); } break;
default: 
BgL_case_else1177z00_12731:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1969z00_12732;
BgL_arg1969z00_12732 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12726), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10684, BgL_arg1969z00_12732, 
(int)(((long)1)), 
CINT(BgL_arityz00_12727)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1177z00_12731;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12739;
BgL_z12denvz12_12739 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12739, BgL_locz00_10684); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10687, BgL_bpz00_12723, BgL_sfz00_12729))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12728;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12740;
BgL_nsz00_12740 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1971z00_12741;
BgL_arg1971z00_12741 = 
(
(long)CINT(BgL_bpz00_12723)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12740, ((long)2), BgL_sz00_10687, BgL_bpz00_12723, 
BINT(BgL_arg1971z00_12741)); } 
VECTOR_SET(BgL_nsz00_12740,((long)1),BgL_sz00_10687); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12739, BgL_nsz00_12740); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12742;
BgL_ez00_12742 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12742, BgL_sz00_10687); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12743;
BgL_____rz00_12743 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12728, BgL_nsz00_12740, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12742); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12739, BgL_sz00_10687); 
return BgL_____rz00_12743;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12724, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12744;
BgL_nbpz00_12744 = 
(
(long)CINT(BgL_bpz00_12723)+BgL_siza7eza7_10686); 
VECTOR_SET(
((obj_t)BgL_sz00_10687),((long)0),
BINT(BgL_nbpz00_12744)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16868;
BgL_tmpz00_16868 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16868, BgL_locz00_10684); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12745;
BgL_rz00_12745 = 
PROCEDURE_ENTRY(BgL_fz00_12724)(BgL_fz00_12724, BgL_a1z00_12725, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10687),((long)0),BgL_bpz00_12723); 
return BgL_rz00_12745;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10684, BgL_symbzd2funzd2_10685, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12724));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1975> */
obj_t BGl_z62zc3anonymousza31975ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10688, obj_t BgL_sz00_10694)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10689;obj_t BgL_a1z00_10690;obj_t BgL_locz00_10691;obj_t BgL_symbzd2funzd2_10692;long BgL_siza7eza7_10693;
BgL_funz00_10689 = 
PROCEDURE_REF(BgL_envz00_10688, 
(int)(((long)0))); 
BgL_a1z00_10690 = 
PROCEDURE_REF(BgL_envz00_10688, 
(int)(((long)1))); 
BgL_locz00_10691 = 
PROCEDURE_REF(BgL_envz00_10688, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10692 = 
PROCEDURE_REF(BgL_envz00_10688, 
(int)(((long)3))); 
BgL_siza7eza7_10693 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10688, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12746;
BgL_bpz00_12746 = 
VECTOR_REF(
((obj_t)BgL_sz00_10694),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12747;obj_t BgL_a1z00_12748;
BgL_fz00_12747 = 
PROCEDURE_ENTRY(BgL_funz00_10689)(BgL_funz00_10689, BgL_sz00_10694, BEOA); 
BgL_a1z00_12748 = 
PROCEDURE_ENTRY(BgL_a1z00_10690)(BgL_a1z00_10690, BgL_sz00_10694, BEOA); 
if(
PROCEDUREP(BgL_fz00_12747))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10691, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12747); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12749;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_16904;
BgL_tmpz00_16904 = 
((obj_t)BgL_fz00_12747); 
BgL_ufz00_12749 = 
PROCEDURE_ATTR(BgL_tmpz00_16904); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_16907;
if(
STRUCTP(BgL_ufz00_12749))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16907 = 
(
STRUCT_KEY(BgL_ufz00_12749)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_16907 = ((bool_t)0)
; } 
if(BgL_testz00_16907)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12750;obj_t BgL_runz00_12751;obj_t BgL_sfz00_12752;
BgL_arityz00_12750 = 
STRUCT_REF(BgL_ufz00_12749, 
(int)(((long)0))); 
BgL_runz00_12751 = 
STRUCT_REF(BgL_ufz00_12749, 
(int)(((long)1))); 
BgL_sfz00_12752 = 
STRUCT_REF(BgL_ufz00_12749, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12750)==((long)1)))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1979z00_12753;
BgL_arg1979z00_12753 = 
(
(long)CINT(BgL_bpz00_12746)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10694),BgL_arg1979z00_12753,BgL_a1z00_12748); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12750))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12750)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1981z00_12756;obj_t BgL_arg1982z00_12757;
BgL_arg1981z00_12756 = 
(
(long)CINT(BgL_bpz00_12746)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list1983z00_12758;
BgL_list1983z00_12758 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12748, BNIL); 
BgL_arg1982z00_12757 = BgL_list1983z00_12758; } 
VECTOR_SET(
((obj_t)BgL_sz00_10694),BgL_arg1981z00_12756,BgL_arg1982z00_12757); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1984z00_12759;
BgL_arg1984z00_12759 = 
(
(long)CINT(BgL_bpz00_12746)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10694),BgL_arg1984z00_12759,BgL_a1z00_12748); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1985z00_12760;obj_t BgL_arg1986z00_12761;
BgL_arg1985z00_12760 = 
(
(long)CINT(BgL_bpz00_12746)+((long)1)); 
BgL_arg1986z00_12761 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10694),BgL_arg1985z00_12760,BgL_arg1986z00_12761); } break;
default: 
BgL_case_else1179z00_12754:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg1988z00_12755;
BgL_arg1988z00_12755 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12749), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10691, BgL_arg1988z00_12755, 
(int)(((long)1)), 
CINT(BgL_arityz00_12750)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1179z00_12754;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12762;
BgL_z12denvz12_12762 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10694, BgL_bpz00_12746, BgL_sfz00_12752))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12751;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12763;
BgL_nsz00_12763 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg1990z00_12764;
BgL_arg1990z00_12764 = 
(
(long)CINT(BgL_bpz00_12746)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12763, ((long)2), BgL_sz00_10694, BgL_bpz00_12746, 
BINT(BgL_arg1990z00_12764)); } 
VECTOR_SET(BgL_nsz00_12763,((long)1),BgL_sz00_10694); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12762, BgL_nsz00_12763); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12765;
BgL_ez00_12765 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12765, BgL_sz00_10694); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12766;
BgL_____rz00_12766 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12751, BgL_nsz00_12763, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12765); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12762, BgL_sz00_10694); 
return BgL_____rz00_12766;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12747, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12767;
BgL_nbpz00_12767 = 
(
(long)CINT(BgL_bpz00_12746)+BgL_siza7eza7_10693); 
VECTOR_SET(
((obj_t)BgL_sz00_10694),((long)0),
BINT(BgL_nbpz00_12767)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12768;
BgL_rz00_12768 = 
PROCEDURE_ENTRY(BgL_fz00_12747)(BgL_fz00_12747, BgL_a1z00_12748, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10694),((long)0),BgL_bpz00_12746); 
return BgL_rz00_12768;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10691, BgL_symbzd2funzd2_10692, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12747));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:1996> */
obj_t BGl_z62zc3anonymousza31996ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10695, obj_t BgL_sz00_10701)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10696;obj_t BgL_a1z00_10697;obj_t BgL_locz00_10698;obj_t BgL_symbzd2funzd2_10699;long BgL_siza7eza7_10700;
BgL_funz00_10696 = 
PROCEDURE_REF(BgL_envz00_10695, 
(int)(((long)0))); 
BgL_a1z00_10697 = 
PROCEDURE_REF(BgL_envz00_10695, 
(int)(((long)1))); 
BgL_locz00_10698 = 
PROCEDURE_REF(BgL_envz00_10695, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10699 = 
PROCEDURE_REF(BgL_envz00_10695, 
(int)(((long)3))); 
BgL_siza7eza7_10700 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10695, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12769;
BgL_bpz00_12769 = 
VECTOR_REF(
((obj_t)BgL_sz00_10701),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12770;obj_t BgL_a1z00_12771;
BgL_fz00_12770 = 
PROCEDURE_ENTRY(BgL_funz00_10696)(BgL_funz00_10696, BgL_sz00_10701, BEOA); 
BgL_a1z00_12771 = 
PROCEDURE_ENTRY(BgL_a1z00_10697)(BgL_a1z00_10697, BgL_sz00_10701, BEOA); 
if(
PROCEDUREP(BgL_fz00_12770))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10698, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12770); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12772;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17005;
BgL_tmpz00_17005 = 
((obj_t)BgL_fz00_12770); 
BgL_ufz00_12772 = 
PROCEDURE_ATTR(BgL_tmpz00_17005); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17008;
if(
STRUCTP(BgL_ufz00_12772))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17008 = 
(
STRUCT_KEY(BgL_ufz00_12772)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17008 = ((bool_t)0)
; } 
if(BgL_testz00_17008)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12773;obj_t BgL_runz00_12774;obj_t BgL_sfz00_12775;
BgL_arityz00_12773 = 
STRUCT_REF(BgL_ufz00_12772, 
(int)(((long)0))); 
BgL_runz00_12774 = 
STRUCT_REF(BgL_ufz00_12772, 
(int)(((long)1))); 
BgL_sfz00_12775 = 
STRUCT_REF(BgL_ufz00_12772, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12776;
BgL_spz00_12776 = 
(
(long)CINT(BgL_bpz00_12769)+BgL_siza7eza7_10700); 
if(
(
(long)CINT(BgL_arityz00_12773)==((long)1)))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2000z00_12777;
BgL_arg2000z00_12777 = 
(BgL_spz00_12776+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10701),BgL_arg2000z00_12777,BgL_a1z00_12771); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12773))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12773)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2002z00_12780;obj_t BgL_arg2003z00_12781;
BgL_arg2002z00_12780 = 
(BgL_spz00_12776+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2004z00_12782;
BgL_list2004z00_12782 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12771, BNIL); 
BgL_arg2003z00_12781 = BgL_list2004z00_12782; } 
VECTOR_SET(
((obj_t)BgL_sz00_10701),BgL_arg2002z00_12780,BgL_arg2003z00_12781); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2005z00_12783;
BgL_arg2005z00_12783 = 
(BgL_spz00_12776+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10701),BgL_arg2005z00_12783,BgL_a1z00_12771); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2006z00_12784;obj_t BgL_arg2007z00_12785;
BgL_arg2006z00_12784 = 
(BgL_spz00_12776+((long)1)); 
BgL_arg2007z00_12785 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10701),BgL_arg2006z00_12784,BgL_arg2007z00_12785); } break;
default: 
BgL_case_else1181z00_12778:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2009z00_12779;
BgL_arg2009z00_12779 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12772), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10698, BgL_arg2009z00_12779, 
(int)(((long)1)), 
CINT(BgL_arityz00_12773)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1181z00_12778;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12786;
BgL_z12denvz12_12786 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12786, BgL_locz00_10698); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10701, 
BINT(BgL_spz00_12776), BgL_sfz00_12775))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12774, BgL_sz00_10701, 
BINT(BgL_spz00_12776));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12787;
BgL_nsz00_12787 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2011z00_12788;
BgL_arg2011z00_12788 = 
(BgL_spz00_12776+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12787, ((long)2), BgL_sz00_10701, 
BINT(BgL_spz00_12776), 
BINT(BgL_arg2011z00_12788)); } 
VECTOR_SET(BgL_nsz00_12787,((long)1),BgL_sz00_10701); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12786, BgL_nsz00_12787); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12789;
BgL_ez00_12789 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12789, BgL_sz00_10701); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12790;
BgL_____rz00_12790 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12774, BgL_nsz00_12787, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12789); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12786, BgL_sz00_10701); 
return BgL_____rz00_12790;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12770, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12791;
BgL_nbpz00_12791 = 
(
(long)CINT(BgL_bpz00_12769)+BgL_siza7eza7_10700); 
VECTOR_SET(
((obj_t)BgL_sz00_10701),((long)0),
BINT(BgL_nbpz00_12791)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17075;
BgL_tmpz00_17075 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17075, BgL_locz00_10698); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12792;
BgL_rz00_12792 = 
PROCEDURE_ENTRY(BgL_fz00_12770)(BgL_fz00_12770, BgL_a1z00_12771, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10701),((long)0),BgL_bpz00_12769); 
return BgL_rz00_12792;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10698, BgL_symbzd2funzd2_10699, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12770));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2015> */
obj_t BGl_z62zc3anonymousza32015ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10702, obj_t BgL_sz00_10708)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10703;obj_t BgL_a1z00_10704;obj_t BgL_locz00_10705;obj_t BgL_symbzd2funzd2_10706;long BgL_siza7eza7_10707;
BgL_funz00_10703 = 
PROCEDURE_REF(BgL_envz00_10702, 
(int)(((long)0))); 
BgL_a1z00_10704 = 
PROCEDURE_REF(BgL_envz00_10702, 
(int)(((long)1))); 
BgL_locz00_10705 = 
PROCEDURE_REF(BgL_envz00_10702, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10706 = 
PROCEDURE_REF(BgL_envz00_10702, 
(int)(((long)3))); 
BgL_siza7eza7_10707 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10702, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12793;
BgL_bpz00_12793 = 
VECTOR_REF(
((obj_t)BgL_sz00_10708),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12794;obj_t BgL_a1z00_12795;
BgL_fz00_12794 = 
PROCEDURE_ENTRY(BgL_funz00_10703)(BgL_funz00_10703, BgL_sz00_10708, BEOA); 
BgL_a1z00_12795 = 
PROCEDURE_ENTRY(BgL_a1z00_10704)(BgL_a1z00_10704, BgL_sz00_10708, BEOA); 
if(
PROCEDUREP(BgL_fz00_12794))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10705, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12794); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12796;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17111;
BgL_tmpz00_17111 = 
((obj_t)BgL_fz00_12794); 
BgL_ufz00_12796 = 
PROCEDURE_ATTR(BgL_tmpz00_17111); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17114;
if(
STRUCTP(BgL_ufz00_12796))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17114 = 
(
STRUCT_KEY(BgL_ufz00_12796)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17114 = ((bool_t)0)
; } 
if(BgL_testz00_17114)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12797;obj_t BgL_runz00_12798;obj_t BgL_sfz00_12799;
BgL_arityz00_12797 = 
STRUCT_REF(BgL_ufz00_12796, 
(int)(((long)0))); 
BgL_runz00_12798 = 
STRUCT_REF(BgL_ufz00_12796, 
(int)(((long)1))); 
BgL_sfz00_12799 = 
STRUCT_REF(BgL_ufz00_12796, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12800;
BgL_spz00_12800 = 
(
(long)CINT(BgL_bpz00_12793)+BgL_siza7eza7_10707); 
if(
(
(long)CINT(BgL_arityz00_12797)==((long)1)))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2019z00_12801;
BgL_arg2019z00_12801 = 
(BgL_spz00_12800+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10708),BgL_arg2019z00_12801,BgL_a1z00_12795); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12797))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12797)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2021z00_12804;obj_t BgL_arg2022z00_12805;
BgL_arg2021z00_12804 = 
(BgL_spz00_12800+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2023z00_12806;
BgL_list2023z00_12806 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12795, BNIL); 
BgL_arg2022z00_12805 = BgL_list2023z00_12806; } 
VECTOR_SET(
((obj_t)BgL_sz00_10708),BgL_arg2021z00_12804,BgL_arg2022z00_12805); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2024z00_12807;
BgL_arg2024z00_12807 = 
(BgL_spz00_12800+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10708),BgL_arg2024z00_12807,BgL_a1z00_12795); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2025z00_12808;obj_t BgL_arg2026z00_12809;
BgL_arg2025z00_12808 = 
(BgL_spz00_12800+((long)1)); 
BgL_arg2026z00_12809 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10708),BgL_arg2025z00_12808,BgL_arg2026z00_12809); } break;
default: 
BgL_case_else1183z00_12802:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2028z00_12803;
BgL_arg2028z00_12803 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12796), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10705, BgL_arg2028z00_12803, 
(int)(((long)1)), 
CINT(BgL_arityz00_12797)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1183z00_12802;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12810;
BgL_z12denvz12_12810 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10708, 
BINT(BgL_spz00_12800), BgL_sfz00_12799))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12798, BgL_sz00_10708, 
BINT(BgL_spz00_12800));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12811;
BgL_nsz00_12811 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2030z00_12812;
BgL_arg2030z00_12812 = 
(BgL_spz00_12800+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12811, ((long)2), BgL_sz00_10708, 
BINT(BgL_spz00_12800), 
BINT(BgL_arg2030z00_12812)); } 
VECTOR_SET(BgL_nsz00_12811,((long)1),BgL_sz00_10708); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12810, BgL_nsz00_12811); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12813;
BgL_ez00_12813 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12813, BgL_sz00_10708); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12814;
BgL_____rz00_12814 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12798, BgL_nsz00_12811, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12813); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12810, BgL_sz00_10708); 
return BgL_____rz00_12814;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12794, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12815;
BgL_nbpz00_12815 = 
(
(long)CINT(BgL_bpz00_12793)+BgL_siza7eza7_10707); 
VECTOR_SET(
((obj_t)BgL_sz00_10708),((long)0),
BINT(BgL_nbpz00_12815)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12816;
BgL_rz00_12816 = 
PROCEDURE_ENTRY(BgL_fz00_12794)(BgL_fz00_12794, BgL_a1z00_12795, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10708),((long)0),BgL_bpz00_12793); 
return BgL_rz00_12816;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10705, BgL_symbzd2funzd2_10706, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12794));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call2 */
obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153, BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155, obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158, long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_2278;
BgL_cfunz00_2278 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154, ((long)2), BgL_locz00_153, BgL_symbzd2funzd2_155); 
if(
CBOOL(BgL_cfunz00_2278))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17192;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2039z00_2296;
BgL_arg2039z00_2296 = 
bgl_debug(); 
BgL_testz00_17192 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2039z00_2296), 
BINT(((long)0))); } 
if(BgL_testz00_17192)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32036ze3z83_10709;
BgL_zc3anonymousza32036ze3z83_10709 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32036ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza32036ze3z83_10709, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32036ze3z83_10709, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32036ze3z83_10709, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3anonymousza32036ze3z83_10709, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32036ze3z83_10709, 
(int)(((long)4)), BgL_cfunz00_2278); 
return BgL_zc3anonymousza32036ze3z83_10709;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32038ze3z83_10710;
BgL_zc3anonymousza32038ze3z83_10710 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32038ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza32038ze3z83_10710, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32038ze3z83_10710, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32038ze3z83_10710, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3anonymousza32038ze3z83_10710, 
(int)(((long)3)), BgL_cfunz00_2278); 
return BgL_zc3anonymousza32038ze3z83_10710;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_157))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17225;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2093z00_2388;
BgL_arg2093z00_2388 = 
bgl_debug(); 
BgL_testz00_17225 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2093z00_2388), 
BINT(((long)0))); } 
if(BgL_testz00_17225)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32042ze3z83_10711;
BgL_zc3anonymousza32042ze3z83_10711 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32042ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32042ze3z83_10711, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3anonymousza32042ze3z83_10711, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32042ze3z83_10711, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32042ze3z83_10711, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32042ze3z83_10711, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3anonymousza32042ze3z83_10711, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3anonymousza32042ze3z83_10711;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32068ze3z83_10712;
BgL_zc3anonymousza32068ze3z83_10712 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32068ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32068ze3z83_10712, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3anonymousza32068ze3z83_10712, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32068ze3z83_10712, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32068ze3z83_10712, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32068ze3z83_10712, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3anonymousza32068ze3z83_10712, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3anonymousza32068ze3z83_10712;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17262;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2147z00_2480;
BgL_arg2147z00_2480 = 
bgl_debug(); 
BgL_testz00_17262 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2147z00_2480), 
BINT(((long)0))); } 
if(BgL_testz00_17262)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32096ze3z83_10713;
BgL_zc3anonymousza32096ze3z83_10713 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32096ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32096ze3z83_10713, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3anonymousza32096ze3z83_10713, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32096ze3z83_10713, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32096ze3z83_10713, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32096ze3z83_10713, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3anonymousza32096ze3z83_10713, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3anonymousza32096ze3z83_10713;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32122ze3z83_10714;
BgL_zc3anonymousza32122ze3z83_10714 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32122ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32122ze3z83_10714, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3anonymousza32122ze3z83_10714, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3anonymousza32122ze3z83_10714, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3anonymousza32122ze3z83_10714, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3anonymousza32122ze3z83_10714, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3anonymousza32122ze3z83_10714, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3anonymousza32122ze3z83_10714;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2036> */
obj_t BGl_z62zc3anonymousza32036ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10715, obj_t BgL_sz00_10721)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10716;obj_t BgL_a2z00_10717;long BgL_siza7eza7_10718;obj_t BgL_locz00_10719;obj_t BgL_cfunz00_10720;
BgL_a1z00_10716 = 
PROCEDURE_REF(BgL_envz00_10715, 
(int)(((long)0))); 
BgL_a2z00_10717 = 
PROCEDURE_REF(BgL_envz00_10715, 
(int)(((long)1))); 
BgL_siza7eza7_10718 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10715, 
(int)(((long)2)))); 
BgL_locz00_10719 = 
PROCEDURE_REF(BgL_envz00_10715, 
(int)(((long)3))); 
BgL_cfunz00_10720 = 
PROCEDURE_REF(BgL_envz00_10715, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12817;
BgL_bpz00_12817 = 
VECTOR_REF(
((obj_t)BgL_sz00_10721),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12818;obj_t BgL_a2z00_12819;
BgL_a1z00_12818 = 
PROCEDURE_ENTRY(BgL_a1z00_10716)(BgL_a1z00_10716, BgL_sz00_10721, BEOA); 
BgL_a2z00_12819 = 
PROCEDURE_ENTRY(BgL_a2z00_10717)(BgL_a2z00_10717, BgL_sz00_10721, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12820;
BgL_nbpz00_12820 = 
(
(long)CINT(BgL_bpz00_12817)+BgL_siza7eza7_10718); 
VECTOR_SET(
((obj_t)BgL_sz00_10721),((long)0),
BINT(BgL_nbpz00_12820)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17325;
BgL_tmpz00_17325 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17325, BgL_locz00_10719); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12821;
BgL_rz00_12821 = 
PROCEDURE_ENTRY(BgL_cfunz00_10720)(BgL_cfunz00_10720, BgL_a1z00_12818, BgL_a2z00_12819, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10721),((long)0),BgL_bpz00_12817); 
return BgL_rz00_12821;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2038> */
obj_t BGl_z62zc3anonymousza32038ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10722, obj_t BgL_sz00_10727)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10723;obj_t BgL_a2z00_10724;long BgL_siza7eza7_10725;obj_t BgL_cfunz00_10726;
BgL_a1z00_10723 = 
PROCEDURE_REF(BgL_envz00_10722, 
(int)(((long)0))); 
BgL_a2z00_10724 = 
PROCEDURE_REF(BgL_envz00_10722, 
(int)(((long)1))); 
BgL_siza7eza7_10725 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10722, 
(int)(((long)2)))); 
BgL_cfunz00_10726 = 
PROCEDURE_REF(BgL_envz00_10722, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12822;
BgL_bpz00_12822 = 
VECTOR_REF(
((obj_t)BgL_sz00_10727),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12823;obj_t BgL_a2z00_12824;
BgL_a1z00_12823 = 
PROCEDURE_ENTRY(BgL_a1z00_10723)(BgL_a1z00_10723, BgL_sz00_10727, BEOA); 
BgL_a2z00_12824 = 
PROCEDURE_ENTRY(BgL_a2z00_10724)(BgL_a2z00_10724, BgL_sz00_10727, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12825;
BgL_nbpz00_12825 = 
(
(long)CINT(BgL_bpz00_12822)+BgL_siza7eza7_10725); 
VECTOR_SET(
((obj_t)BgL_sz00_10727),((long)0),
BINT(BgL_nbpz00_12825)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12826;
BgL_rz00_12826 = 
PROCEDURE_ENTRY(BgL_cfunz00_10726)(BgL_cfunz00_10726, BgL_a1z00_12823, BgL_a2z00_12824, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10727),((long)0),BgL_bpz00_12822); 
return BgL_rz00_12826;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2042> */
obj_t BGl_z62zc3anonymousza32042ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10728, obj_t BgL_sz00_10735)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10729;obj_t BgL_a1z00_10730;obj_t BgL_a2z00_10731;obj_t BgL_locz00_10732;obj_t BgL_symbzd2funzd2_10733;long BgL_siza7eza7_10734;
BgL_funz00_10729 = 
PROCEDURE_REF(BgL_envz00_10728, 
(int)(((long)0))); 
BgL_a1z00_10730 = 
PROCEDURE_REF(BgL_envz00_10728, 
(int)(((long)1))); 
BgL_a2z00_10731 = 
PROCEDURE_REF(BgL_envz00_10728, 
(int)(((long)2))); 
BgL_locz00_10732 = 
PROCEDURE_REF(BgL_envz00_10728, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10733 = 
PROCEDURE_REF(BgL_envz00_10728, 
(int)(((long)4))); 
BgL_siza7eza7_10734 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10728, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12827;
BgL_bpz00_12827 = 
VECTOR_REF(
((obj_t)BgL_sz00_10735),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12828;obj_t BgL_a1z00_12829;obj_t BgL_a2z00_12830;
BgL_fz00_12828 = 
PROCEDURE_ENTRY(BgL_funz00_10729)(BgL_funz00_10729, BgL_sz00_10735, BEOA); 
BgL_a1z00_12829 = 
PROCEDURE_ENTRY(BgL_a1z00_10730)(BgL_a1z00_10730, BgL_sz00_10735, BEOA); 
BgL_a2z00_12830 = 
PROCEDURE_ENTRY(BgL_a2z00_10731)(BgL_a2z00_10731, BgL_sz00_10735, BEOA); 
if(
PROCEDUREP(BgL_fz00_12828))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10732, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12828); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12831;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17396;
BgL_tmpz00_17396 = 
((obj_t)BgL_fz00_12828); 
BgL_ufz00_12831 = 
PROCEDURE_ATTR(BgL_tmpz00_17396); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17399;
if(
STRUCTP(BgL_ufz00_12831))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17399 = 
(
STRUCT_KEY(BgL_ufz00_12831)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17399 = ((bool_t)0)
; } 
if(BgL_testz00_17399)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12832;obj_t BgL_runz00_12833;obj_t BgL_sfz00_12834;
BgL_arityz00_12832 = 
STRUCT_REF(BgL_ufz00_12831, 
(int)(((long)0))); 
BgL_runz00_12833 = 
STRUCT_REF(BgL_ufz00_12831, 
(int)(((long)1))); 
BgL_sfz00_12834 = 
STRUCT_REF(BgL_ufz00_12831, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12832)==((long)2)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2046z00_12835;
BgL_arg2046z00_12835 = 
(
(long)CINT(BgL_bpz00_12827)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10735),BgL_arg2046z00_12835,BgL_a1z00_12829); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2047z00_12836;
BgL_arg2047z00_12836 = 
(
(long)CINT(BgL_bpz00_12827)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10735),BgL_arg2047z00_12836,BgL_a2z00_12830); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12832))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12832)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2049z00_12839;obj_t BgL_arg2050z00_12840;
BgL_arg2049z00_12839 = 
(
(long)CINT(BgL_bpz00_12827)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2051z00_12841;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2052z00_12842;
BgL_arg2052z00_12842 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12830, BNIL); 
BgL_list2051z00_12841 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12829, BgL_arg2052z00_12842); } 
BgL_arg2050z00_12840 = BgL_list2051z00_12841; } 
VECTOR_SET(
((obj_t)BgL_sz00_10735),BgL_arg2049z00_12839,BgL_arg2050z00_12840); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2053z00_12843;
BgL_arg2053z00_12843 = 
(
(long)CINT(BgL_bpz00_12827)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10735),BgL_arg2053z00_12843,BgL_a1z00_12829); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2054z00_12844;obj_t BgL_arg2055z00_12845;
BgL_arg2054z00_12844 = 
(
(long)CINT(BgL_bpz00_12827)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2056z00_12846;
BgL_list2056z00_12846 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12830, BNIL); 
BgL_arg2055z00_12845 = BgL_list2056z00_12846; } 
VECTOR_SET(
((obj_t)BgL_sz00_10735),BgL_arg2054z00_12844,BgL_arg2055z00_12845); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2057z00_12847;
BgL_arg2057z00_12847 = 
(
(long)CINT(BgL_bpz00_12827)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10735),BgL_arg2057z00_12847,BgL_a1z00_12829); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2058z00_12848;
BgL_arg2058z00_12848 = 
(
(long)CINT(BgL_bpz00_12827)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10735),BgL_arg2058z00_12848,BgL_a2z00_12830); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2059z00_12849;obj_t BgL_arg2060z00_12850;
BgL_arg2059z00_12849 = 
(
(long)CINT(BgL_bpz00_12827)+((long)2)); 
BgL_arg2060z00_12850 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10735),BgL_arg2059z00_12849,BgL_arg2060z00_12850); } break;
default: 
BgL_case_else1185z00_12837:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2062z00_12838;
BgL_arg2062z00_12838 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12831), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10732, BgL_arg2062z00_12838, 
(int)(((long)2)), 
CINT(BgL_arityz00_12832)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1185z00_12837;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12851;
BgL_z12denvz12_12851 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12851, BgL_locz00_10732); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10735, BgL_bpz00_12827, BgL_sfz00_12834))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12833;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12852;
BgL_nsz00_12852 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2064z00_12853;
BgL_arg2064z00_12853 = 
(
(long)CINT(BgL_bpz00_12827)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12852, ((long)2), BgL_sz00_10735, BgL_bpz00_12827, 
BINT(BgL_arg2064z00_12853)); } 
VECTOR_SET(BgL_nsz00_12852,((long)1),BgL_sz00_10735); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12851, BgL_nsz00_12852); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12854;
BgL_ez00_12854 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12854, BgL_sz00_10735); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12855;
BgL_____rz00_12855 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12833, BgL_nsz00_12852, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12854); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12851, BgL_sz00_10735); 
return BgL_____rz00_12855;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12828, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12856;
BgL_nbpz00_12856 = 
(
(long)CINT(BgL_bpz00_12827)+BgL_siza7eza7_10734); 
VECTOR_SET(
((obj_t)BgL_sz00_10735),((long)0),
BINT(BgL_nbpz00_12856)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17483;
BgL_tmpz00_17483 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17483, BgL_locz00_10732); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12857;
BgL_rz00_12857 = 
PROCEDURE_ENTRY(BgL_fz00_12828)(BgL_fz00_12828, BgL_a1z00_12829, BgL_a2z00_12830, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10735),((long)0),BgL_bpz00_12827); 
return BgL_rz00_12857;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10732, BgL_symbzd2funzd2_10733, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12828));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2068> */
obj_t BGl_z62zc3anonymousza32068ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10736, obj_t BgL_sz00_10743)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10737;obj_t BgL_a1z00_10738;obj_t BgL_a2z00_10739;obj_t BgL_locz00_10740;obj_t BgL_symbzd2funzd2_10741;long BgL_siza7eza7_10742;
BgL_funz00_10737 = 
PROCEDURE_REF(BgL_envz00_10736, 
(int)(((long)0))); 
BgL_a1z00_10738 = 
PROCEDURE_REF(BgL_envz00_10736, 
(int)(((long)1))); 
BgL_a2z00_10739 = 
PROCEDURE_REF(BgL_envz00_10736, 
(int)(((long)2))); 
BgL_locz00_10740 = 
PROCEDURE_REF(BgL_envz00_10736, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10741 = 
PROCEDURE_REF(BgL_envz00_10736, 
(int)(((long)4))); 
BgL_siza7eza7_10742 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10736, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12858;
BgL_bpz00_12858 = 
VECTOR_REF(
((obj_t)BgL_sz00_10743),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12859;obj_t BgL_a1z00_12860;obj_t BgL_a2z00_12861;
BgL_fz00_12859 = 
PROCEDURE_ENTRY(BgL_funz00_10737)(BgL_funz00_10737, BgL_sz00_10743, BEOA); 
BgL_a1z00_12860 = 
PROCEDURE_ENTRY(BgL_a1z00_10738)(BgL_a1z00_10738, BgL_sz00_10743, BEOA); 
BgL_a2z00_12861 = 
PROCEDURE_ENTRY(BgL_a2z00_10739)(BgL_a2z00_10739, BgL_sz00_10743, BEOA); 
if(
PROCEDUREP(BgL_fz00_12859))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10740, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12859); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12862;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17526;
BgL_tmpz00_17526 = 
((obj_t)BgL_fz00_12859); 
BgL_ufz00_12862 = 
PROCEDURE_ATTR(BgL_tmpz00_17526); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17529;
if(
STRUCTP(BgL_ufz00_12862))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17529 = 
(
STRUCT_KEY(BgL_ufz00_12862)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17529 = ((bool_t)0)
; } 
if(BgL_testz00_17529)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12863;obj_t BgL_runz00_12864;obj_t BgL_sfz00_12865;
BgL_arityz00_12863 = 
STRUCT_REF(BgL_ufz00_12862, 
(int)(((long)0))); 
BgL_runz00_12864 = 
STRUCT_REF(BgL_ufz00_12862, 
(int)(((long)1))); 
BgL_sfz00_12865 = 
STRUCT_REF(BgL_ufz00_12862, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12863)==((long)2)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2072z00_12866;
BgL_arg2072z00_12866 = 
(
(long)CINT(BgL_bpz00_12858)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10743),BgL_arg2072z00_12866,BgL_a1z00_12860); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2073z00_12867;
BgL_arg2073z00_12867 = 
(
(long)CINT(BgL_bpz00_12858)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10743),BgL_arg2073z00_12867,BgL_a2z00_12861); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12863))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12863)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2075z00_12870;obj_t BgL_arg2076z00_12871;
BgL_arg2075z00_12870 = 
(
(long)CINT(BgL_bpz00_12858)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2077z00_12872;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2078z00_12873;
BgL_arg2078z00_12873 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12861, BNIL); 
BgL_list2077z00_12872 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12860, BgL_arg2078z00_12873); } 
BgL_arg2076z00_12871 = BgL_list2077z00_12872; } 
VECTOR_SET(
((obj_t)BgL_sz00_10743),BgL_arg2075z00_12870,BgL_arg2076z00_12871); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2079z00_12874;
BgL_arg2079z00_12874 = 
(
(long)CINT(BgL_bpz00_12858)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10743),BgL_arg2079z00_12874,BgL_a1z00_12860); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2080z00_12875;obj_t BgL_arg2081z00_12876;
BgL_arg2080z00_12875 = 
(
(long)CINT(BgL_bpz00_12858)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2082z00_12877;
BgL_list2082z00_12877 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12861, BNIL); 
BgL_arg2081z00_12876 = BgL_list2082z00_12877; } 
VECTOR_SET(
((obj_t)BgL_sz00_10743),BgL_arg2080z00_12875,BgL_arg2081z00_12876); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2083z00_12878;
BgL_arg2083z00_12878 = 
(
(long)CINT(BgL_bpz00_12858)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10743),BgL_arg2083z00_12878,BgL_a1z00_12860); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2084z00_12879;
BgL_arg2084z00_12879 = 
(
(long)CINT(BgL_bpz00_12858)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10743),BgL_arg2084z00_12879,BgL_a2z00_12861); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2085z00_12880;obj_t BgL_arg2086z00_12881;
BgL_arg2085z00_12880 = 
(
(long)CINT(BgL_bpz00_12858)+((long)2)); 
BgL_arg2086z00_12881 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10743),BgL_arg2085z00_12880,BgL_arg2086z00_12881); } break;
default: 
BgL_case_else1187z00_12868:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2088z00_12869;
BgL_arg2088z00_12869 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12862), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10740, BgL_arg2088z00_12869, 
(int)(((long)2)), 
CINT(BgL_arityz00_12863)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1187z00_12868;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12882;
BgL_z12denvz12_12882 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10743, BgL_bpz00_12858, BgL_sfz00_12865))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12864;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12883;
BgL_nsz00_12883 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2090z00_12884;
BgL_arg2090z00_12884 = 
(
(long)CINT(BgL_bpz00_12858)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12883, ((long)2), BgL_sz00_10743, BgL_bpz00_12858, 
BINT(BgL_arg2090z00_12884)); } 
VECTOR_SET(BgL_nsz00_12883,((long)1),BgL_sz00_10743); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12882, BgL_nsz00_12883); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12885;
BgL_ez00_12885 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12885, BgL_sz00_10743); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12886;
BgL_____rz00_12886 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12864, BgL_nsz00_12883, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12885); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12882, BgL_sz00_10743); 
return BgL_____rz00_12886;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12859, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12887;
BgL_nbpz00_12887 = 
(
(long)CINT(BgL_bpz00_12858)+BgL_siza7eza7_10742); 
VECTOR_SET(
((obj_t)BgL_sz00_10743),((long)0),
BINT(BgL_nbpz00_12887)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12888;
BgL_rz00_12888 = 
PROCEDURE_ENTRY(BgL_fz00_12859)(BgL_fz00_12859, BgL_a1z00_12860, BgL_a2z00_12861, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10743),((long)0),BgL_bpz00_12858); 
return BgL_rz00_12888;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10740, BgL_symbzd2funzd2_10741, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12859));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2096> */
obj_t BGl_z62zc3anonymousza32096ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10744, obj_t BgL_sz00_10751)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10745;obj_t BgL_a1z00_10746;obj_t BgL_a2z00_10747;obj_t BgL_locz00_10748;obj_t BgL_symbzd2funzd2_10749;long BgL_siza7eza7_10750;
BgL_funz00_10745 = 
PROCEDURE_REF(BgL_envz00_10744, 
(int)(((long)0))); 
BgL_a1z00_10746 = 
PROCEDURE_REF(BgL_envz00_10744, 
(int)(((long)1))); 
BgL_a2z00_10747 = 
PROCEDURE_REF(BgL_envz00_10744, 
(int)(((long)2))); 
BgL_locz00_10748 = 
PROCEDURE_REF(BgL_envz00_10744, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10749 = 
PROCEDURE_REF(BgL_envz00_10744, 
(int)(((long)4))); 
BgL_siza7eza7_10750 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10744, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12889;
BgL_bpz00_12889 = 
VECTOR_REF(
((obj_t)BgL_sz00_10751),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12890;obj_t BgL_a1z00_12891;obj_t BgL_a2z00_12892;
BgL_fz00_12890 = 
PROCEDURE_ENTRY(BgL_funz00_10745)(BgL_funz00_10745, BgL_sz00_10751, BEOA); 
BgL_a1z00_12891 = 
PROCEDURE_ENTRY(BgL_a1z00_10746)(BgL_a1z00_10746, BgL_sz00_10751, BEOA); 
BgL_a2z00_12892 = 
PROCEDURE_ENTRY(BgL_a2z00_10747)(BgL_a2z00_10747, BgL_sz00_10751, BEOA); 
if(
PROCEDUREP(BgL_fz00_12890))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10748, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12890); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12893;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17652;
BgL_tmpz00_17652 = 
((obj_t)BgL_fz00_12890); 
BgL_ufz00_12893 = 
PROCEDURE_ATTR(BgL_tmpz00_17652); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17655;
if(
STRUCTP(BgL_ufz00_12893))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17655 = 
(
STRUCT_KEY(BgL_ufz00_12893)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17655 = ((bool_t)0)
; } 
if(BgL_testz00_17655)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12894;obj_t BgL_runz00_12895;obj_t BgL_sfz00_12896;
BgL_arityz00_12894 = 
STRUCT_REF(BgL_ufz00_12893, 
(int)(((long)0))); 
BgL_runz00_12895 = 
STRUCT_REF(BgL_ufz00_12893, 
(int)(((long)1))); 
BgL_sfz00_12896 = 
STRUCT_REF(BgL_ufz00_12893, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12897;
BgL_spz00_12897 = 
(
(long)CINT(BgL_bpz00_12889)+BgL_siza7eza7_10750); 
if(
(
(long)CINT(BgL_arityz00_12894)==((long)2)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2100z00_12898;
BgL_arg2100z00_12898 = 
(BgL_spz00_12897+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10751),BgL_arg2100z00_12898,BgL_a1z00_12891); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2101z00_12899;
BgL_arg2101z00_12899 = 
(BgL_spz00_12897+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10751),BgL_arg2101z00_12899,BgL_a2z00_12892); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12894))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12894)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2103z00_12902;obj_t BgL_arg2104z00_12903;
BgL_arg2103z00_12902 = 
(BgL_spz00_12897+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2105z00_12904;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2106z00_12905;
BgL_arg2106z00_12905 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12892, BNIL); 
BgL_list2105z00_12904 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12891, BgL_arg2106z00_12905); } 
BgL_arg2104z00_12903 = BgL_list2105z00_12904; } 
VECTOR_SET(
((obj_t)BgL_sz00_10751),BgL_arg2103z00_12902,BgL_arg2104z00_12903); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2107z00_12906;
BgL_arg2107z00_12906 = 
(BgL_spz00_12897+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10751),BgL_arg2107z00_12906,BgL_a1z00_12891); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2108z00_12907;obj_t BgL_arg2109z00_12908;
BgL_arg2108z00_12907 = 
(BgL_spz00_12897+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2110z00_12909;
BgL_list2110z00_12909 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12892, BNIL); 
BgL_arg2109z00_12908 = BgL_list2110z00_12909; } 
VECTOR_SET(
((obj_t)BgL_sz00_10751),BgL_arg2108z00_12907,BgL_arg2109z00_12908); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2111z00_12910;
BgL_arg2111z00_12910 = 
(BgL_spz00_12897+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10751),BgL_arg2111z00_12910,BgL_a1z00_12891); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2112z00_12911;
BgL_arg2112z00_12911 = 
(BgL_spz00_12897+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10751),BgL_arg2112z00_12911,BgL_a2z00_12892); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2113z00_12912;obj_t BgL_arg2114z00_12913;
BgL_arg2113z00_12912 = 
(BgL_spz00_12897+((long)2)); 
BgL_arg2114z00_12913 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10751),BgL_arg2113z00_12912,BgL_arg2114z00_12913); } break;
default: 
BgL_case_else1189z00_12900:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2116z00_12901;
BgL_arg2116z00_12901 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12893), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10748, BgL_arg2116z00_12901, 
(int)(((long)2)), 
CINT(BgL_arityz00_12894)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1189z00_12900;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12914;
BgL_z12denvz12_12914 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12914, BgL_locz00_10748); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10751, 
BINT(BgL_spz00_12897), BgL_sfz00_12896))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12895, BgL_sz00_10751, 
BINT(BgL_spz00_12897));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12915;
BgL_nsz00_12915 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2118z00_12916;
BgL_arg2118z00_12916 = 
(BgL_spz00_12897+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12915, ((long)2), BgL_sz00_10751, 
BINT(BgL_spz00_12897), 
BINT(BgL_arg2118z00_12916)); } 
VECTOR_SET(BgL_nsz00_12915,((long)1),BgL_sz00_10751); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12914, BgL_nsz00_12915); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12917;
BgL_ez00_12917 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12917, BgL_sz00_10751); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12918;
BgL_____rz00_12918 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12895, BgL_nsz00_12915, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12917); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12914, BgL_sz00_10751); 
return BgL_____rz00_12918;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12890, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12919;
BgL_nbpz00_12919 = 
(
(long)CINT(BgL_bpz00_12889)+BgL_siza7eza7_10750); 
VECTOR_SET(
((obj_t)BgL_sz00_10751),((long)0),
BINT(BgL_nbpz00_12919)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17736;
BgL_tmpz00_17736 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17736, BgL_locz00_10748); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12920;
BgL_rz00_12920 = 
PROCEDURE_ENTRY(BgL_fz00_12890)(BgL_fz00_12890, BgL_a1z00_12891, BgL_a2z00_12892, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10751),((long)0),BgL_bpz00_12889); 
return BgL_rz00_12920;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10748, BgL_symbzd2funzd2_10749, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12890));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2122> */
obj_t BGl_z62zc3anonymousza32122ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10752, obj_t BgL_sz00_10759)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10753;obj_t BgL_a1z00_10754;obj_t BgL_a2z00_10755;obj_t BgL_locz00_10756;obj_t BgL_symbzd2funzd2_10757;long BgL_siza7eza7_10758;
BgL_funz00_10753 = 
PROCEDURE_REF(BgL_envz00_10752, 
(int)(((long)0))); 
BgL_a1z00_10754 = 
PROCEDURE_REF(BgL_envz00_10752, 
(int)(((long)1))); 
BgL_a2z00_10755 = 
PROCEDURE_REF(BgL_envz00_10752, 
(int)(((long)2))); 
BgL_locz00_10756 = 
PROCEDURE_REF(BgL_envz00_10752, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10757 = 
PROCEDURE_REF(BgL_envz00_10752, 
(int)(((long)4))); 
BgL_siza7eza7_10758 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10752, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12921;
BgL_bpz00_12921 = 
VECTOR_REF(
((obj_t)BgL_sz00_10759),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12922;obj_t BgL_a1z00_12923;obj_t BgL_a2z00_12924;
BgL_fz00_12922 = 
PROCEDURE_ENTRY(BgL_funz00_10753)(BgL_funz00_10753, BgL_sz00_10759, BEOA); 
BgL_a1z00_12923 = 
PROCEDURE_ENTRY(BgL_a1z00_10754)(BgL_a1z00_10754, BgL_sz00_10759, BEOA); 
BgL_a2z00_12924 = 
PROCEDURE_ENTRY(BgL_a2z00_10755)(BgL_a2z00_10755, BgL_sz00_10759, BEOA); 
if(
PROCEDUREP(BgL_fz00_12922))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10756, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12922); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12925;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_17779;
BgL_tmpz00_17779 = 
((obj_t)BgL_fz00_12922); 
BgL_ufz00_12925 = 
PROCEDURE_ATTR(BgL_tmpz00_17779); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17782;
if(
STRUCTP(BgL_ufz00_12925))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17782 = 
(
STRUCT_KEY(BgL_ufz00_12925)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_17782 = ((bool_t)0)
; } 
if(BgL_testz00_17782)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12926;obj_t BgL_runz00_12927;obj_t BgL_sfz00_12928;
BgL_arityz00_12926 = 
STRUCT_REF(BgL_ufz00_12925, 
(int)(((long)0))); 
BgL_runz00_12927 = 
STRUCT_REF(BgL_ufz00_12925, 
(int)(((long)1))); 
BgL_sfz00_12928 = 
STRUCT_REF(BgL_ufz00_12925, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_12929;
BgL_spz00_12929 = 
(
(long)CINT(BgL_bpz00_12921)+BgL_siza7eza7_10758); 
if(
(
(long)CINT(BgL_arityz00_12926)==((long)2)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2126z00_12930;
BgL_arg2126z00_12930 = 
(BgL_spz00_12929+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10759),BgL_arg2126z00_12930,BgL_a1z00_12923); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2127z00_12931;
BgL_arg2127z00_12931 = 
(BgL_spz00_12929+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10759),BgL_arg2127z00_12931,BgL_a2z00_12924); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12926))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12926)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2129z00_12934;obj_t BgL_arg2130z00_12935;
BgL_arg2129z00_12934 = 
(BgL_spz00_12929+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2131z00_12936;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2132z00_12937;
BgL_arg2132z00_12937 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12924, BNIL); 
BgL_list2131z00_12936 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12923, BgL_arg2132z00_12937); } 
BgL_arg2130z00_12935 = BgL_list2131z00_12936; } 
VECTOR_SET(
((obj_t)BgL_sz00_10759),BgL_arg2129z00_12934,BgL_arg2130z00_12935); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2133z00_12938;
BgL_arg2133z00_12938 = 
(BgL_spz00_12929+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10759),BgL_arg2133z00_12938,BgL_a1z00_12923); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2134z00_12939;obj_t BgL_arg2135z00_12940;
BgL_arg2134z00_12939 = 
(BgL_spz00_12929+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2136z00_12941;
BgL_list2136z00_12941 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12924, BNIL); 
BgL_arg2135z00_12940 = BgL_list2136z00_12941; } 
VECTOR_SET(
((obj_t)BgL_sz00_10759),BgL_arg2134z00_12939,BgL_arg2135z00_12940); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2137z00_12942;
BgL_arg2137z00_12942 = 
(BgL_spz00_12929+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10759),BgL_arg2137z00_12942,BgL_a1z00_12923); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2138z00_12943;
BgL_arg2138z00_12943 = 
(BgL_spz00_12929+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10759),BgL_arg2138z00_12943,BgL_a2z00_12924); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2139z00_12944;obj_t BgL_arg2140z00_12945;
BgL_arg2139z00_12944 = 
(BgL_spz00_12929+((long)2)); 
BgL_arg2140z00_12945 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10759),BgL_arg2139z00_12944,BgL_arg2140z00_12945); } break;
default: 
BgL_case_else1191z00_12932:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2142z00_12933;
BgL_arg2142z00_12933 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12925), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10756, BgL_arg2142z00_12933, 
(int)(((long)2)), 
CINT(BgL_arityz00_12926)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1191z00_12932;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12946;
BgL_z12denvz12_12946 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10759, 
BINT(BgL_spz00_12929), BgL_sfz00_12928))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12927, BgL_sz00_10759, 
BINT(BgL_spz00_12929));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_12947;
BgL_nsz00_12947 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2144z00_12948;
BgL_arg2144z00_12948 = 
(BgL_spz00_12929+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12947, ((long)2), BgL_sz00_10759, 
BINT(BgL_spz00_12929), 
BINT(BgL_arg2144z00_12948)); } 
VECTOR_SET(BgL_nsz00_12947,((long)1),BgL_sz00_10759); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12946, BgL_nsz00_12947); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_12949;
BgL_ez00_12949 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12949, BgL_sz00_10759); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_12950;
BgL_____rz00_12950 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12927, BgL_nsz00_12947, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12949); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12946, BgL_sz00_10759); 
return BgL_____rz00_12950;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12922, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12951;
BgL_nbpz00_12951 = 
(
(long)CINT(BgL_bpz00_12921)+BgL_siza7eza7_10758); 
VECTOR_SET(
((obj_t)BgL_sz00_10759),((long)0),
BINT(BgL_nbpz00_12951)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12952;
BgL_rz00_12952 = 
PROCEDURE_ENTRY(BgL_fz00_12922)(BgL_fz00_12922, BgL_a1z00_12923, BgL_a2z00_12924, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10759),((long)0),BgL_bpz00_12921); 
return BgL_rz00_12952;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10756, BgL_symbzd2funzd2_10757, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12922));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call3 */
obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162, BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164, obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167, long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170, obj_t BgL_a3z00_171)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_2481;
BgL_cfunz00_2481 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163, ((long)3), BgL_locz00_162, BgL_symbzd2funzd2_164); 
if(
CBOOL(BgL_cfunz00_2481))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17875;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2153z00_2501;
BgL_arg2153z00_2501 = 
bgl_debug(); 
BgL_testz00_17875 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2153z00_2501), 
BINT(((long)0))); } 
if(BgL_testz00_17875)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32150ze3z83_10760;
BgL_zc3anonymousza32150ze3z83_10760 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32150ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32150ze3z83_10760, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32150ze3z83_10760, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32150ze3z83_10760, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32150ze3z83_10760, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3anonymousza32150ze3z83_10760, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32150ze3z83_10760, 
(int)(((long)5)), BgL_cfunz00_2481); 
return BgL_zc3anonymousza32150ze3z83_10760;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32152ze3z83_10761;
BgL_zc3anonymousza32152ze3z83_10761 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32152ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza32152ze3z83_10761, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32152ze3z83_10761, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32152ze3z83_10761, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32152ze3z83_10761, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3anonymousza32152ze3z83_10761, 
(int)(((long)4)), BgL_cfunz00_2481); 
return BgL_zc3anonymousza32152ze3z83_10761;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_166))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17912;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2225z00_2613;
BgL_arg2225z00_2613 = 
bgl_debug(); 
BgL_testz00_17912 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2225z00_2613), 
BINT(((long)0))); } 
if(BgL_testz00_17912)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32156ze3z83_10762;
BgL_zc3anonymousza32156ze3z83_10762 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32156ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32156ze3z83_10762, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3anonymousza32156ze3z83_10762, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32156ze3z83_10762, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32156ze3z83_10762, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32156ze3z83_10762, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32156ze3z83_10762, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3anonymousza32156ze3z83_10762, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3anonymousza32156ze3z83_10762;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32191ze3z83_10763;
BgL_zc3anonymousza32191ze3z83_10763 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32191ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_10763, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_10763, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_10763, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_10763, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_10763, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_10763, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_10763, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3anonymousza32191ze3z83_10763;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_17953;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2297z00_2725;
BgL_arg2297z00_2725 = 
bgl_debug(); 
BgL_testz00_17953 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2297z00_2725), 
BINT(((long)0))); } 
if(BgL_testz00_17953)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32228ze3z83_10764;
BgL_zc3anonymousza32228ze3z83_10764 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32228ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32228ze3z83_10764, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3anonymousza32228ze3z83_10764, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32228ze3z83_10764, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32228ze3z83_10764, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32228ze3z83_10764, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32228ze3z83_10764, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3anonymousza32228ze3z83_10764, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3anonymousza32228ze3z83_10764;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32263ze3z83_10765;
BgL_zc3anonymousza32263ze3z83_10765 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32263ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32263ze3z83_10765, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3anonymousza32263ze3z83_10765, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3anonymousza32263ze3z83_10765, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3anonymousza32263ze3z83_10765, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3anonymousza32263ze3z83_10765, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3anonymousza32263ze3z83_10765, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3anonymousza32263ze3z83_10765, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3anonymousza32263ze3z83_10765;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2150> */
obj_t BGl_z62zc3anonymousza32150ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10766, obj_t BgL_sz00_10773)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10767;obj_t BgL_a2z00_10768;obj_t BgL_a3z00_10769;long BgL_siza7eza7_10770;obj_t BgL_locz00_10771;obj_t BgL_cfunz00_10772;
BgL_a1z00_10767 = 
PROCEDURE_REF(BgL_envz00_10766, 
(int)(((long)0))); 
BgL_a2z00_10768 = 
PROCEDURE_REF(BgL_envz00_10766, 
(int)(((long)1))); 
BgL_a3z00_10769 = 
PROCEDURE_REF(BgL_envz00_10766, 
(int)(((long)2))); 
BgL_siza7eza7_10770 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10766, 
(int)(((long)3)))); 
BgL_locz00_10771 = 
PROCEDURE_REF(BgL_envz00_10766, 
(int)(((long)4))); 
BgL_cfunz00_10772 = 
PROCEDURE_REF(BgL_envz00_10766, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12953;
BgL_bpz00_12953 = 
VECTOR_REF(
((obj_t)BgL_sz00_10773),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12954;obj_t BgL_a2z00_12955;obj_t BgL_a3z00_12956;
BgL_a1z00_12954 = 
PROCEDURE_ENTRY(BgL_a1z00_10767)(BgL_a1z00_10767, BgL_sz00_10773, BEOA); 
BgL_a2z00_12955 = 
PROCEDURE_ENTRY(BgL_a2z00_10768)(BgL_a2z00_10768, BgL_sz00_10773, BEOA); 
BgL_a3z00_12956 = 
PROCEDURE_ENTRY(BgL_a3z00_10769)(BgL_a3z00_10769, BgL_sz00_10773, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12957;
BgL_nbpz00_12957 = 
(
(long)CINT(BgL_bpz00_12953)+BgL_siza7eza7_10770); 
VECTOR_SET(
((obj_t)BgL_sz00_10773),((long)0),
BINT(BgL_nbpz00_12957)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18026;
BgL_tmpz00_18026 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18026, BgL_locz00_10771); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12958;
BgL_rz00_12958 = 
PROCEDURE_ENTRY(BgL_cfunz00_10772)(BgL_cfunz00_10772, BgL_a1z00_12954, BgL_a2z00_12955, BgL_a3z00_12956, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10773),((long)0),BgL_bpz00_12953); 
return BgL_rz00_12958;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2152> */
obj_t BGl_z62zc3anonymousza32152ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10774, obj_t BgL_sz00_10780)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10775;obj_t BgL_a2z00_10776;obj_t BgL_a3z00_10777;long BgL_siza7eza7_10778;obj_t BgL_cfunz00_10779;
BgL_a1z00_10775 = 
PROCEDURE_REF(BgL_envz00_10774, 
(int)(((long)0))); 
BgL_a2z00_10776 = 
PROCEDURE_REF(BgL_envz00_10774, 
(int)(((long)1))); 
BgL_a3z00_10777 = 
PROCEDURE_REF(BgL_envz00_10774, 
(int)(((long)2))); 
BgL_siza7eza7_10778 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10774, 
(int)(((long)3)))); 
BgL_cfunz00_10779 = 
PROCEDURE_REF(BgL_envz00_10774, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12959;
BgL_bpz00_12959 = 
VECTOR_REF(
((obj_t)BgL_sz00_10780),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_12960;obj_t BgL_a2z00_12961;obj_t BgL_a3z00_12962;
BgL_a1z00_12960 = 
PROCEDURE_ENTRY(BgL_a1z00_10775)(BgL_a1z00_10775, BgL_sz00_10780, BEOA); 
BgL_a2z00_12961 = 
PROCEDURE_ENTRY(BgL_a2z00_10776)(BgL_a2z00_10776, BgL_sz00_10780, BEOA); 
BgL_a3z00_12962 = 
PROCEDURE_ENTRY(BgL_a3z00_10777)(BgL_a3z00_10777, BgL_sz00_10780, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_12963;
BgL_nbpz00_12963 = 
(
(long)CINT(BgL_bpz00_12959)+BgL_siza7eza7_10778); 
VECTOR_SET(
((obj_t)BgL_sz00_10780),((long)0),
BINT(BgL_nbpz00_12963)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_12964;
BgL_rz00_12964 = 
PROCEDURE_ENTRY(BgL_cfunz00_10779)(BgL_cfunz00_10779, BgL_a1z00_12960, BgL_a2z00_12961, BgL_a3z00_12962, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10780),((long)0),BgL_bpz00_12959); 
return BgL_rz00_12964;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2156> */
obj_t BGl_z62zc3anonymousza32156ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10781, obj_t BgL_sz00_10789)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10782;obj_t BgL_a1z00_10783;obj_t BgL_a2z00_10784;obj_t BgL_a3z00_10785;obj_t BgL_locz00_10786;obj_t BgL_symbzd2funzd2_10787;long BgL_siza7eza7_10788;
BgL_funz00_10782 = 
PROCEDURE_REF(BgL_envz00_10781, 
(int)(((long)0))); 
BgL_a1z00_10783 = 
PROCEDURE_REF(BgL_envz00_10781, 
(int)(((long)1))); 
BgL_a2z00_10784 = 
PROCEDURE_REF(BgL_envz00_10781, 
(int)(((long)2))); 
BgL_a3z00_10785 = 
PROCEDURE_REF(BgL_envz00_10781, 
(int)(((long)3))); 
BgL_locz00_10786 = 
PROCEDURE_REF(BgL_envz00_10781, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10787 = 
PROCEDURE_REF(BgL_envz00_10781, 
(int)(((long)5))); 
BgL_siza7eza7_10788 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10781, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_12965;
BgL_bpz00_12965 = 
VECTOR_REF(
((obj_t)BgL_sz00_10789),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_12966;obj_t BgL_a1z00_12967;obj_t BgL_a2z00_12968;obj_t BgL_a3z00_12969;
BgL_fz00_12966 = 
PROCEDURE_ENTRY(BgL_funz00_10782)(BgL_funz00_10782, BgL_sz00_10789, BEOA); 
BgL_a1z00_12967 = 
PROCEDURE_ENTRY(BgL_a1z00_10783)(BgL_a1z00_10783, BgL_sz00_10789, BEOA); 
BgL_a2z00_12968 = 
PROCEDURE_ENTRY(BgL_a2z00_10784)(BgL_a2z00_10784, BgL_sz00_10789, BEOA); 
BgL_a3z00_12969 = 
PROCEDURE_ENTRY(BgL_a3z00_10785)(BgL_a3z00_10785, BgL_sz00_10789, BEOA); 
if(
PROCEDUREP(BgL_fz00_12966))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10786, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_12966); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_12970;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18111;
BgL_tmpz00_18111 = 
((obj_t)BgL_fz00_12966); 
BgL_ufz00_12970 = 
PROCEDURE_ATTR(BgL_tmpz00_18111); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18114;
if(
STRUCTP(BgL_ufz00_12970))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18114 = 
(
STRUCT_KEY(BgL_ufz00_12970)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18114 = ((bool_t)0)
; } 
if(BgL_testz00_18114)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_12971;obj_t BgL_runz00_12972;obj_t BgL_sfz00_12973;
BgL_arityz00_12971 = 
STRUCT_REF(BgL_ufz00_12970, 
(int)(((long)0))); 
BgL_runz00_12972 = 
STRUCT_REF(BgL_ufz00_12970, 
(int)(((long)1))); 
BgL_sfz00_12973 = 
STRUCT_REF(BgL_ufz00_12970, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12971)==((long)3)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2160z00_12974;
BgL_arg2160z00_12974 = 
(
(long)CINT(BgL_bpz00_12965)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10789),BgL_arg2160z00_12974,BgL_a1z00_12967); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2161z00_12975;
BgL_arg2161z00_12975 = 
(
(long)CINT(BgL_bpz00_12965)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10789),BgL_arg2161z00_12975,BgL_a2z00_12968); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2162z00_12976;
BgL_arg2162z00_12976 = 
(
(long)CINT(BgL_bpz00_12965)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10789),BgL_arg2162z00_12976,BgL_a3z00_12969); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12971))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_12971)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2164z00_12979;obj_t BgL_arg2165z00_12980;
BgL_arg2164z00_12979 = 
(
(long)CINT(BgL_bpz00_12965)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2166z00_12981;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2167z00_12982;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2168z00_12983;
BgL_arg2168z00_12983 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12969, BNIL); 
BgL_arg2167z00_12982 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12968, BgL_arg2168z00_12983); } 
BgL_list2166z00_12981 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12967, BgL_arg2167z00_12982); } 
BgL_arg2165z00_12980 = BgL_list2166z00_12981; } 
VECTOR_SET(
((obj_t)BgL_sz00_10789),BgL_arg2164z00_12979,BgL_arg2165z00_12980); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2169z00_12984;
BgL_arg2169z00_12984 = 
(
(long)CINT(BgL_bpz00_12965)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10789),BgL_arg2169z00_12984,BgL_a1z00_12967); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2170z00_12985;obj_t BgL_arg2171z00_12986;
BgL_arg2170z00_12985 = 
(
(long)CINT(BgL_bpz00_12965)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2172z00_12987;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2173z00_12988;
BgL_arg2173z00_12988 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12969, BNIL); 
BgL_list2172z00_12987 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12968, BgL_arg2173z00_12988); } 
BgL_arg2171z00_12986 = BgL_list2172z00_12987; } 
VECTOR_SET(
((obj_t)BgL_sz00_10789),BgL_arg2170z00_12985,BgL_arg2171z00_12986); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2174z00_12989;
BgL_arg2174z00_12989 = 
(
(long)CINT(BgL_bpz00_12965)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10789),BgL_arg2174z00_12989,BgL_a1z00_12967); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2175z00_12990;
BgL_arg2175z00_12990 = 
(
(long)CINT(BgL_bpz00_12965)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10789),BgL_arg2175z00_12990,BgL_a2z00_12968); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2176z00_12991;obj_t BgL_arg2177z00_12992;
BgL_arg2176z00_12991 = 
(
(long)CINT(BgL_bpz00_12965)+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2178z00_12993;
BgL_list2178z00_12993 = 
MAKE_YOUNG_PAIR(BgL_a3z00_12969, BNIL); 
BgL_arg2177z00_12992 = BgL_list2178z00_12993; } 
VECTOR_SET(
((obj_t)BgL_sz00_10789),BgL_arg2176z00_12991,BgL_arg2177z00_12992); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2179z00_12994;
BgL_arg2179z00_12994 = 
(
(long)CINT(BgL_bpz00_12965)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10789),BgL_arg2179z00_12994,BgL_a1z00_12967); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2180z00_12995;
BgL_arg2180z00_12995 = 
(
(long)CINT(BgL_bpz00_12965)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10789),BgL_arg2180z00_12995,BgL_a2z00_12968); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2181z00_12996;
BgL_arg2181z00_12996 = 
(
(long)CINT(BgL_bpz00_12965)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10789),BgL_arg2181z00_12996,BgL_a3z00_12969); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2182z00_12997;obj_t BgL_arg2183z00_12998;
BgL_arg2182z00_12997 = 
(
(long)CINT(BgL_bpz00_12965)+((long)3)); 
BgL_arg2183z00_12998 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10789),BgL_arg2182z00_12997,BgL_arg2183z00_12998); } break;
default: 
BgL_case_else1193z00_12977:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2185z00_12978;
BgL_arg2185z00_12978 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12970), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10786, BgL_arg2185z00_12978, 
(int)(((long)3)), 
CINT(BgL_arityz00_12971)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1193z00_12977;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_12999;
BgL_z12denvz12_12999 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12999, BgL_locz00_10786); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10789, BgL_bpz00_12965, BgL_sfz00_12973))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_12972;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13000;
BgL_nsz00_13000 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2187z00_13001;
BgL_arg2187z00_13001 = 
(
(long)CINT(BgL_bpz00_12965)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13000, ((long)2), BgL_sz00_10789, BgL_bpz00_12965, 
BINT(BgL_arg2187z00_13001)); } 
VECTOR_SET(BgL_nsz00_13000,((long)1),BgL_sz00_10789); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12999, BgL_nsz00_13000); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13002;
BgL_ez00_13002 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13002, BgL_sz00_10789); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13003;
BgL_____rz00_13003 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12972, BgL_nsz00_13000, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13002); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12999, BgL_sz00_10789); 
return BgL_____rz00_13003;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12966, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13004;
BgL_nbpz00_13004 = 
(
(long)CINT(BgL_bpz00_12965)+BgL_siza7eza7_10788); 
VECTOR_SET(
((obj_t)BgL_sz00_10789),((long)0),
BINT(BgL_nbpz00_13004)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18221;
BgL_tmpz00_18221 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18221, BgL_locz00_10786); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13005;
BgL_rz00_13005 = 
PROCEDURE_ENTRY(BgL_fz00_12966)(BgL_fz00_12966, BgL_a1z00_12967, BgL_a2z00_12968, BgL_a3z00_12969, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10789),((long)0),BgL_bpz00_12965); 
return BgL_rz00_13005;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10786, BgL_symbzd2funzd2_10787, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_12966));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2191> */
obj_t BGl_z62zc3anonymousza32191ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10790, obj_t BgL_sz00_10798)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10791;obj_t BgL_a1z00_10792;obj_t BgL_a2z00_10793;obj_t BgL_a3z00_10794;obj_t BgL_locz00_10795;obj_t BgL_symbzd2funzd2_10796;long BgL_siza7eza7_10797;
BgL_funz00_10791 = 
PROCEDURE_REF(BgL_envz00_10790, 
(int)(((long)0))); 
BgL_a1z00_10792 = 
PROCEDURE_REF(BgL_envz00_10790, 
(int)(((long)1))); 
BgL_a2z00_10793 = 
PROCEDURE_REF(BgL_envz00_10790, 
(int)(((long)2))); 
BgL_a3z00_10794 = 
PROCEDURE_REF(BgL_envz00_10790, 
(int)(((long)3))); 
BgL_locz00_10795 = 
PROCEDURE_REF(BgL_envz00_10790, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10796 = 
PROCEDURE_REF(BgL_envz00_10790, 
(int)(((long)5))); 
BgL_siza7eza7_10797 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10790, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13006;
BgL_bpz00_13006 = 
VECTOR_REF(
((obj_t)BgL_sz00_10798),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13007;obj_t BgL_a1z00_13008;obj_t BgL_a2z00_13009;obj_t BgL_a3z00_13010;
BgL_fz00_13007 = 
PROCEDURE_ENTRY(BgL_funz00_10791)(BgL_funz00_10791, BgL_sz00_10798, BEOA); 
BgL_a1z00_13008 = 
PROCEDURE_ENTRY(BgL_a1z00_10792)(BgL_a1z00_10792, BgL_sz00_10798, BEOA); 
BgL_a2z00_13009 = 
PROCEDURE_ENTRY(BgL_a2z00_10793)(BgL_a2z00_10793, BgL_sz00_10798, BEOA); 
BgL_a3z00_13010 = 
PROCEDURE_ENTRY(BgL_a3z00_10794)(BgL_a3z00_10794, BgL_sz00_10798, BEOA); 
if(
PROCEDUREP(BgL_fz00_13007))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10795, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_13007); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13011;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18271;
BgL_tmpz00_18271 = 
((obj_t)BgL_fz00_13007); 
BgL_ufz00_13011 = 
PROCEDURE_ATTR(BgL_tmpz00_18271); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18274;
if(
STRUCTP(BgL_ufz00_13011))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18274 = 
(
STRUCT_KEY(BgL_ufz00_13011)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18274 = ((bool_t)0)
; } 
if(BgL_testz00_18274)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13012;obj_t BgL_runz00_13013;obj_t BgL_sfz00_13014;
BgL_arityz00_13012 = 
STRUCT_REF(BgL_ufz00_13011, 
(int)(((long)0))); 
BgL_runz00_13013 = 
STRUCT_REF(BgL_ufz00_13011, 
(int)(((long)1))); 
BgL_sfz00_13014 = 
STRUCT_REF(BgL_ufz00_13011, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13012)==((long)3)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2195z00_13015;
BgL_arg2195z00_13015 = 
(
(long)CINT(BgL_bpz00_13006)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10798),BgL_arg2195z00_13015,BgL_a1z00_13008); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2196z00_13016;
BgL_arg2196z00_13016 = 
(
(long)CINT(BgL_bpz00_13006)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10798),BgL_arg2196z00_13016,BgL_a2z00_13009); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2197z00_13017;
BgL_arg2197z00_13017 = 
(
(long)CINT(BgL_bpz00_13006)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10798),BgL_arg2197z00_13017,BgL_a3z00_13010); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13012))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13012)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2199z00_13020;obj_t BgL_arg2200z00_13021;
BgL_arg2199z00_13020 = 
(
(long)CINT(BgL_bpz00_13006)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2201z00_13022;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2202z00_13023;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2203z00_13024;
BgL_arg2203z00_13024 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13010, BNIL); 
BgL_arg2202z00_13023 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13009, BgL_arg2203z00_13024); } 
BgL_list2201z00_13022 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13008, BgL_arg2202z00_13023); } 
BgL_arg2200z00_13021 = BgL_list2201z00_13022; } 
VECTOR_SET(
((obj_t)BgL_sz00_10798),BgL_arg2199z00_13020,BgL_arg2200z00_13021); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2204z00_13025;
BgL_arg2204z00_13025 = 
(
(long)CINT(BgL_bpz00_13006)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10798),BgL_arg2204z00_13025,BgL_a1z00_13008); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2205z00_13026;obj_t BgL_arg2206z00_13027;
BgL_arg2205z00_13026 = 
(
(long)CINT(BgL_bpz00_13006)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2207z00_13028;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2208z00_13029;
BgL_arg2208z00_13029 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13010, BNIL); 
BgL_list2207z00_13028 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13009, BgL_arg2208z00_13029); } 
BgL_arg2206z00_13027 = BgL_list2207z00_13028; } 
VECTOR_SET(
((obj_t)BgL_sz00_10798),BgL_arg2205z00_13026,BgL_arg2206z00_13027); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2209z00_13030;
BgL_arg2209z00_13030 = 
(
(long)CINT(BgL_bpz00_13006)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10798),BgL_arg2209z00_13030,BgL_a1z00_13008); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2210z00_13031;
BgL_arg2210z00_13031 = 
(
(long)CINT(BgL_bpz00_13006)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10798),BgL_arg2210z00_13031,BgL_a2z00_13009); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2211z00_13032;obj_t BgL_arg2212z00_13033;
BgL_arg2211z00_13032 = 
(
(long)CINT(BgL_bpz00_13006)+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2213z00_13034;
BgL_list2213z00_13034 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13010, BNIL); 
BgL_arg2212z00_13033 = BgL_list2213z00_13034; } 
VECTOR_SET(
((obj_t)BgL_sz00_10798),BgL_arg2211z00_13032,BgL_arg2212z00_13033); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2214z00_13035;
BgL_arg2214z00_13035 = 
(
(long)CINT(BgL_bpz00_13006)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10798),BgL_arg2214z00_13035,BgL_a1z00_13008); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2215z00_13036;
BgL_arg2215z00_13036 = 
(
(long)CINT(BgL_bpz00_13006)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10798),BgL_arg2215z00_13036,BgL_a2z00_13009); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2216z00_13037;
BgL_arg2216z00_13037 = 
(
(long)CINT(BgL_bpz00_13006)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10798),BgL_arg2216z00_13037,BgL_a3z00_13010); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2217z00_13038;obj_t BgL_arg2218z00_13039;
BgL_arg2217z00_13038 = 
(
(long)CINT(BgL_bpz00_13006)+((long)3)); 
BgL_arg2218z00_13039 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10798),BgL_arg2217z00_13038,BgL_arg2218z00_13039); } break;
default: 
BgL_case_else1195z00_13018:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2220z00_13019;
BgL_arg2220z00_13019 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13011), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10795, BgL_arg2220z00_13019, 
(int)(((long)3)), 
CINT(BgL_arityz00_13012)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1195z00_13018;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13040;
BgL_z12denvz12_13040 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10798, BgL_bpz00_13006, BgL_sfz00_13014))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_13013;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13041;
BgL_nsz00_13041 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2222z00_13042;
BgL_arg2222z00_13042 = 
(
(long)CINT(BgL_bpz00_13006)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13041, ((long)2), BgL_sz00_10798, BgL_bpz00_13006, 
BINT(BgL_arg2222z00_13042)); } 
VECTOR_SET(BgL_nsz00_13041,((long)1),BgL_sz00_10798); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13040, BgL_nsz00_13041); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13043;
BgL_ez00_13043 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13043, BgL_sz00_10798); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13044;
BgL_____rz00_13044 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13013, BgL_nsz00_13041, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13043); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13040, BgL_sz00_10798); 
return BgL_____rz00_13044;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13007, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13045;
BgL_nbpz00_13045 = 
(
(long)CINT(BgL_bpz00_13006)+BgL_siza7eza7_10797); 
VECTOR_SET(
((obj_t)BgL_sz00_10798),((long)0),
BINT(BgL_nbpz00_13045)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13046;
BgL_rz00_13046 = 
PROCEDURE_ENTRY(BgL_fz00_13007)(BgL_fz00_13007, BgL_a1z00_13008, BgL_a2z00_13009, BgL_a3z00_13010, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10798),((long)0),BgL_bpz00_13006); 
return BgL_rz00_13046;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10795, BgL_symbzd2funzd2_10796, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13007));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2228> */
obj_t BGl_z62zc3anonymousza32228ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10799, obj_t BgL_sz00_10807)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10800;obj_t BgL_a1z00_10801;obj_t BgL_a2z00_10802;obj_t BgL_a3z00_10803;obj_t BgL_locz00_10804;obj_t BgL_symbzd2funzd2_10805;long BgL_siza7eza7_10806;
BgL_funz00_10800 = 
PROCEDURE_REF(BgL_envz00_10799, 
(int)(((long)0))); 
BgL_a1z00_10801 = 
PROCEDURE_REF(BgL_envz00_10799, 
(int)(((long)1))); 
BgL_a2z00_10802 = 
PROCEDURE_REF(BgL_envz00_10799, 
(int)(((long)2))); 
BgL_a3z00_10803 = 
PROCEDURE_REF(BgL_envz00_10799, 
(int)(((long)3))); 
BgL_locz00_10804 = 
PROCEDURE_REF(BgL_envz00_10799, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10805 = 
PROCEDURE_REF(BgL_envz00_10799, 
(int)(((long)5))); 
BgL_siza7eza7_10806 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10799, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13047;
BgL_bpz00_13047 = 
VECTOR_REF(
((obj_t)BgL_sz00_10807),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13048;obj_t BgL_a1z00_13049;obj_t BgL_a2z00_13050;obj_t BgL_a3z00_13051;
BgL_fz00_13048 = 
PROCEDURE_ENTRY(BgL_funz00_10800)(BgL_funz00_10800, BgL_sz00_10807, BEOA); 
BgL_a1z00_13049 = 
PROCEDURE_ENTRY(BgL_a1z00_10801)(BgL_a1z00_10801, BgL_sz00_10807, BEOA); 
BgL_a2z00_13050 = 
PROCEDURE_ENTRY(BgL_a2z00_10802)(BgL_a2z00_10802, BgL_sz00_10807, BEOA); 
BgL_a3z00_13051 = 
PROCEDURE_ENTRY(BgL_a3z00_10803)(BgL_a3z00_10803, BgL_sz00_10807, BEOA); 
if(
PROCEDUREP(BgL_fz00_13048))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10804, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_13048); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13052;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18427;
BgL_tmpz00_18427 = 
((obj_t)BgL_fz00_13048); 
BgL_ufz00_13052 = 
PROCEDURE_ATTR(BgL_tmpz00_18427); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18430;
if(
STRUCTP(BgL_ufz00_13052))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18430 = 
(
STRUCT_KEY(BgL_ufz00_13052)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18430 = ((bool_t)0)
; } 
if(BgL_testz00_18430)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13053;obj_t BgL_runz00_13054;obj_t BgL_sfz00_13055;
BgL_arityz00_13053 = 
STRUCT_REF(BgL_ufz00_13052, 
(int)(((long)0))); 
BgL_runz00_13054 = 
STRUCT_REF(BgL_ufz00_13052, 
(int)(((long)1))); 
BgL_sfz00_13055 = 
STRUCT_REF(BgL_ufz00_13052, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_13056;
BgL_spz00_13056 = 
(
(long)CINT(BgL_bpz00_13047)+BgL_siza7eza7_10806); 
if(
(
(long)CINT(BgL_arityz00_13053)==((long)3)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2232z00_13057;
BgL_arg2232z00_13057 = 
(BgL_spz00_13056+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10807),BgL_arg2232z00_13057,BgL_a1z00_13049); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2233z00_13058;
BgL_arg2233z00_13058 = 
(BgL_spz00_13056+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10807),BgL_arg2233z00_13058,BgL_a2z00_13050); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2234z00_13059;
BgL_arg2234z00_13059 = 
(BgL_spz00_13056+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10807),BgL_arg2234z00_13059,BgL_a3z00_13051); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13053))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13053)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2236z00_13062;obj_t BgL_arg2237z00_13063;
BgL_arg2236z00_13062 = 
(BgL_spz00_13056+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2238z00_13064;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2239z00_13065;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2240z00_13066;
BgL_arg2240z00_13066 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13051, BNIL); 
BgL_arg2239z00_13065 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13050, BgL_arg2240z00_13066); } 
BgL_list2238z00_13064 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13049, BgL_arg2239z00_13065); } 
BgL_arg2237z00_13063 = BgL_list2238z00_13064; } 
VECTOR_SET(
((obj_t)BgL_sz00_10807),BgL_arg2236z00_13062,BgL_arg2237z00_13063); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2241z00_13067;
BgL_arg2241z00_13067 = 
(BgL_spz00_13056+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10807),BgL_arg2241z00_13067,BgL_a1z00_13049); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2242z00_13068;obj_t BgL_arg2243z00_13069;
BgL_arg2242z00_13068 = 
(BgL_spz00_13056+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2244z00_13070;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2245z00_13071;
BgL_arg2245z00_13071 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13051, BNIL); 
BgL_list2244z00_13070 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13050, BgL_arg2245z00_13071); } 
BgL_arg2243z00_13069 = BgL_list2244z00_13070; } 
VECTOR_SET(
((obj_t)BgL_sz00_10807),BgL_arg2242z00_13068,BgL_arg2243z00_13069); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2246z00_13072;
BgL_arg2246z00_13072 = 
(BgL_spz00_13056+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10807),BgL_arg2246z00_13072,BgL_a1z00_13049); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2247z00_13073;
BgL_arg2247z00_13073 = 
(BgL_spz00_13056+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10807),BgL_arg2247z00_13073,BgL_a2z00_13050); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2248z00_13074;obj_t BgL_arg2249z00_13075;
BgL_arg2248z00_13074 = 
(BgL_spz00_13056+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2250z00_13076;
BgL_list2250z00_13076 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13051, BNIL); 
BgL_arg2249z00_13075 = BgL_list2250z00_13076; } 
VECTOR_SET(
((obj_t)BgL_sz00_10807),BgL_arg2248z00_13074,BgL_arg2249z00_13075); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2251z00_13077;
BgL_arg2251z00_13077 = 
(BgL_spz00_13056+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10807),BgL_arg2251z00_13077,BgL_a1z00_13049); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2252z00_13078;
BgL_arg2252z00_13078 = 
(BgL_spz00_13056+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10807),BgL_arg2252z00_13078,BgL_a2z00_13050); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2253z00_13079;
BgL_arg2253z00_13079 = 
(BgL_spz00_13056+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10807),BgL_arg2253z00_13079,BgL_a3z00_13051); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2254z00_13080;obj_t BgL_arg2255z00_13081;
BgL_arg2254z00_13080 = 
(BgL_spz00_13056+((long)3)); 
BgL_arg2255z00_13081 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10807),BgL_arg2254z00_13080,BgL_arg2255z00_13081); } break;
default: 
BgL_case_else1197z00_13060:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2257z00_13061;
BgL_arg2257z00_13061 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13052), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10804, BgL_arg2257z00_13061, 
(int)(((long)3)), 
CINT(BgL_arityz00_13053)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1197z00_13060;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13082;
BgL_z12denvz12_13082 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13082, BgL_locz00_10804); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10807, 
BINT(BgL_spz00_13056), BgL_sfz00_13055))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13054, BgL_sz00_10807, 
BINT(BgL_spz00_13056));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13083;
BgL_nsz00_13083 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2259z00_13084;
BgL_arg2259z00_13084 = 
(BgL_spz00_13056+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13083, ((long)2), BgL_sz00_10807, 
BINT(BgL_spz00_13056), 
BINT(BgL_arg2259z00_13084)); } 
VECTOR_SET(BgL_nsz00_13083,((long)1),BgL_sz00_10807); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13082, BgL_nsz00_13083); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13085;
BgL_ez00_13085 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13085, BgL_sz00_10807); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13086;
BgL_____rz00_13086 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13054, BgL_nsz00_13083, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13085); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13082, BgL_sz00_10807); 
return BgL_____rz00_13086;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13048, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13087;
BgL_nbpz00_13087 = 
(
(long)CINT(BgL_bpz00_13047)+BgL_siza7eza7_10806); 
VECTOR_SET(
((obj_t)BgL_sz00_10807),((long)0),
BINT(BgL_nbpz00_13087)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18529;
BgL_tmpz00_18529 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18529, BgL_locz00_10804); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13088;
BgL_rz00_13088 = 
PROCEDURE_ENTRY(BgL_fz00_13048)(BgL_fz00_13048, BgL_a1z00_13049, BgL_a2z00_13050, BgL_a3z00_13051, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10807),((long)0),BgL_bpz00_13047); 
return BgL_rz00_13088;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10804, BgL_symbzd2funzd2_10805, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13048));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2263> */
obj_t BGl_z62zc3anonymousza32263ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10808, obj_t BgL_sz00_10816)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10809;obj_t BgL_a1z00_10810;obj_t BgL_a2z00_10811;obj_t BgL_a3z00_10812;obj_t BgL_locz00_10813;obj_t BgL_symbzd2funzd2_10814;long BgL_siza7eza7_10815;
BgL_funz00_10809 = 
PROCEDURE_REF(BgL_envz00_10808, 
(int)(((long)0))); 
BgL_a1z00_10810 = 
PROCEDURE_REF(BgL_envz00_10808, 
(int)(((long)1))); 
BgL_a2z00_10811 = 
PROCEDURE_REF(BgL_envz00_10808, 
(int)(((long)2))); 
BgL_a3z00_10812 = 
PROCEDURE_REF(BgL_envz00_10808, 
(int)(((long)3))); 
BgL_locz00_10813 = 
PROCEDURE_REF(BgL_envz00_10808, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10814 = 
PROCEDURE_REF(BgL_envz00_10808, 
(int)(((long)5))); 
BgL_siza7eza7_10815 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10808, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13089;
BgL_bpz00_13089 = 
VECTOR_REF(
((obj_t)BgL_sz00_10816),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13090;obj_t BgL_a1z00_13091;obj_t BgL_a2z00_13092;obj_t BgL_a3z00_13093;
BgL_fz00_13090 = 
PROCEDURE_ENTRY(BgL_funz00_10809)(BgL_funz00_10809, BgL_sz00_10816, BEOA); 
BgL_a1z00_13091 = 
PROCEDURE_ENTRY(BgL_a1z00_10810)(BgL_a1z00_10810, BgL_sz00_10816, BEOA); 
BgL_a2z00_13092 = 
PROCEDURE_ENTRY(BgL_a2z00_10811)(BgL_a2z00_10811, BgL_sz00_10816, BEOA); 
BgL_a3z00_13093 = 
PROCEDURE_ENTRY(BgL_a3z00_10812)(BgL_a3z00_10812, BgL_sz00_10816, BEOA); 
if(
PROCEDUREP(BgL_fz00_13090))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10813, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_13090); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13094;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18579;
BgL_tmpz00_18579 = 
((obj_t)BgL_fz00_13090); 
BgL_ufz00_13094 = 
PROCEDURE_ATTR(BgL_tmpz00_18579); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18582;
if(
STRUCTP(BgL_ufz00_13094))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18582 = 
(
STRUCT_KEY(BgL_ufz00_13094)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18582 = ((bool_t)0)
; } 
if(BgL_testz00_18582)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13095;obj_t BgL_runz00_13096;obj_t BgL_sfz00_13097;
BgL_arityz00_13095 = 
STRUCT_REF(BgL_ufz00_13094, 
(int)(((long)0))); 
BgL_runz00_13096 = 
STRUCT_REF(BgL_ufz00_13094, 
(int)(((long)1))); 
BgL_sfz00_13097 = 
STRUCT_REF(BgL_ufz00_13094, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_13098;
BgL_spz00_13098 = 
(
(long)CINT(BgL_bpz00_13089)+BgL_siza7eza7_10815); 
if(
(
(long)CINT(BgL_arityz00_13095)==((long)3)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2267z00_13099;
BgL_arg2267z00_13099 = 
(BgL_spz00_13098+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10816),BgL_arg2267z00_13099,BgL_a1z00_13091); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2268z00_13100;
BgL_arg2268z00_13100 = 
(BgL_spz00_13098+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10816),BgL_arg2268z00_13100,BgL_a2z00_13092); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2269z00_13101;
BgL_arg2269z00_13101 = 
(BgL_spz00_13098+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10816),BgL_arg2269z00_13101,BgL_a3z00_13093); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13095))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13095)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2271z00_13104;obj_t BgL_arg2272z00_13105;
BgL_arg2271z00_13104 = 
(BgL_spz00_13098+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2273z00_13106;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2274z00_13107;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2275z00_13108;
BgL_arg2275z00_13108 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13093, BNIL); 
BgL_arg2274z00_13107 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13092, BgL_arg2275z00_13108); } 
BgL_list2273z00_13106 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13091, BgL_arg2274z00_13107); } 
BgL_arg2272z00_13105 = BgL_list2273z00_13106; } 
VECTOR_SET(
((obj_t)BgL_sz00_10816),BgL_arg2271z00_13104,BgL_arg2272z00_13105); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2276z00_13109;
BgL_arg2276z00_13109 = 
(BgL_spz00_13098+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10816),BgL_arg2276z00_13109,BgL_a1z00_13091); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2277z00_13110;obj_t BgL_arg2278z00_13111;
BgL_arg2277z00_13110 = 
(BgL_spz00_13098+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2279z00_13112;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2280z00_13113;
BgL_arg2280z00_13113 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13093, BNIL); 
BgL_list2279z00_13112 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13092, BgL_arg2280z00_13113); } 
BgL_arg2278z00_13111 = BgL_list2279z00_13112; } 
VECTOR_SET(
((obj_t)BgL_sz00_10816),BgL_arg2277z00_13110,BgL_arg2278z00_13111); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2281z00_13114;
BgL_arg2281z00_13114 = 
(BgL_spz00_13098+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10816),BgL_arg2281z00_13114,BgL_a1z00_13091); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2282z00_13115;
BgL_arg2282z00_13115 = 
(BgL_spz00_13098+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10816),BgL_arg2282z00_13115,BgL_a2z00_13092); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2283z00_13116;obj_t BgL_arg2284z00_13117;
BgL_arg2283z00_13116 = 
(BgL_spz00_13098+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2285z00_13118;
BgL_list2285z00_13118 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13093, BNIL); 
BgL_arg2284z00_13117 = BgL_list2285z00_13118; } 
VECTOR_SET(
((obj_t)BgL_sz00_10816),BgL_arg2283z00_13116,BgL_arg2284z00_13117); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2286z00_13119;
BgL_arg2286z00_13119 = 
(BgL_spz00_13098+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10816),BgL_arg2286z00_13119,BgL_a1z00_13091); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2287z00_13120;
BgL_arg2287z00_13120 = 
(BgL_spz00_13098+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10816),BgL_arg2287z00_13120,BgL_a2z00_13092); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2288z00_13121;
BgL_arg2288z00_13121 = 
(BgL_spz00_13098+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10816),BgL_arg2288z00_13121,BgL_a3z00_13093); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2289z00_13122;obj_t BgL_arg2290z00_13123;
BgL_arg2289z00_13122 = 
(BgL_spz00_13098+((long)3)); 
BgL_arg2290z00_13123 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10816),BgL_arg2289z00_13122,BgL_arg2290z00_13123); } break;
default: 
BgL_case_else1199z00_13102:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2292z00_13103;
BgL_arg2292z00_13103 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13094), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10813, BgL_arg2292z00_13103, 
(int)(((long)3)), 
CINT(BgL_arityz00_13095)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1199z00_13102;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13124;
BgL_z12denvz12_13124 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10816, 
BINT(BgL_spz00_13098), BgL_sfz00_13097))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13096, BgL_sz00_10816, 
BINT(BgL_spz00_13098));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13125;
BgL_nsz00_13125 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2294z00_13126;
BgL_arg2294z00_13126 = 
(BgL_spz00_13098+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13125, ((long)2), BgL_sz00_10816, 
BINT(BgL_spz00_13098), 
BINT(BgL_arg2294z00_13126)); } 
VECTOR_SET(BgL_nsz00_13125,((long)1),BgL_sz00_10816); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13124, BgL_nsz00_13125); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13127;
BgL_ez00_13127 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13127, BgL_sz00_10816); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13128;
BgL_____rz00_13128 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13096, BgL_nsz00_13125, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13127); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13124, BgL_sz00_10816); 
return BgL_____rz00_13128;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13090, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13129;
BgL_nbpz00_13129 = 
(
(long)CINT(BgL_bpz00_13089)+BgL_siza7eza7_10815); 
VECTOR_SET(
((obj_t)BgL_sz00_10816),((long)0),
BINT(BgL_nbpz00_13129)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13130;
BgL_rz00_13130 = 
PROCEDURE_ENTRY(BgL_fz00_13090)(BgL_fz00_13090, BgL_a1z00_13091, BgL_a2z00_13092, BgL_a3z00_13093, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10816),((long)0),BgL_bpz00_13089); 
return BgL_rz00_13130;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10813, BgL_symbzd2funzd2_10814, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13090));} } } } } } } } 
BGL_FUNCTION_END;
}



/* comp-call4 */
obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172, BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174, obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177, long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180, obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_cfunz00_2726;
BgL_cfunz00_2726 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173, ((long)4), BgL_locz00_172, BgL_symbzd2funzd2_174); 
if(
CBOOL(BgL_cfunz00_2726))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18694;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2303z00_2748;
BgL_arg2303z00_2748 = 
bgl_debug(); 
BgL_testz00_18694 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2303z00_2748), 
BINT(((long)0))); } 
if(BgL_testz00_18694)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32300ze3z83_10817;
BgL_zc3anonymousza32300ze3z83_10817 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32300ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_10817, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_10817, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_10817, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_10817, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_10817, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_10817, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32300ze3z83_10817, 
(int)(((long)6)), BgL_cfunz00_2726); 
return BgL_zc3anonymousza32300ze3z83_10817;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32302ze3z83_10818;
BgL_zc3anonymousza32302ze3z83_10818 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32302ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_10818, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_10818, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_10818, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_10818, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_10818, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3anonymousza32302ze3z83_10818, 
(int)(((long)5)), BgL_cfunz00_2726); 
return BgL_zc3anonymousza32302ze3z83_10818;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
CBOOL(BgL_tailzf3zf3_176))
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18735;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2397z00_2884;
BgL_arg2397z00_2884 = 
bgl_debug(); 
BgL_testz00_18735 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2397z00_2884), 
BINT(((long)0))); } 
if(BgL_testz00_18735)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32306ze3z83_10819;
BgL_zc3anonymousza32306ze3z83_10819 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32306ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3anonymousza32306ze3z83_10819, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3anonymousza32306ze3z83_10819, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32306ze3z83_10819, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32306ze3z83_10819, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32306ze3z83_10819, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32306ze3z83_10819, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32306ze3z83_10819, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3anonymousza32306ze3z83_10819, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3anonymousza32306ze3z83_10819;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32352ze3z83_10820;
BgL_zc3anonymousza32352ze3z83_10820 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32352ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3anonymousza32352ze3z83_10820, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3anonymousza32352ze3z83_10820, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32352ze3z83_10820, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32352ze3z83_10820, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32352ze3z83_10820, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32352ze3z83_10820, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32352ze3z83_10820, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3anonymousza32352ze3z83_10820, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3anonymousza32352ze3z83_10820;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18780;
{ /* Eval/evaluate_comp.scm 889 */
int BgL_arg2491z00_3020;
BgL_arg2491z00_3020 = 
bgl_debug(); 
BgL_testz00_18780 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2491z00_3020), 
BINT(((long)0))); } 
if(BgL_testz00_18780)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32400ze3z83_10821;
BgL_zc3anonymousza32400ze3z83_10821 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32400ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3anonymousza32400ze3z83_10821, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3anonymousza32400ze3z83_10821, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32400ze3z83_10821, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32400ze3z83_10821, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32400ze3z83_10821, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32400ze3z83_10821, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32400ze3z83_10821, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3anonymousza32400ze3z83_10821, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3anonymousza32400ze3z83_10821;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_zc3anonymousza32446ze3z83_10822;
BgL_zc3anonymousza32446ze3z83_10822 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32446ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3anonymousza32446ze3z83_10822, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3anonymousza32446ze3z83_10822, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3anonymousza32446ze3z83_10822, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3anonymousza32446ze3z83_10822, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3anonymousza32446ze3z83_10822, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3anonymousza32446ze3z83_10822, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3anonymousza32446ze3z83_10822, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3anonymousza32446ze3z83_10822, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3anonymousza32446ze3z83_10822;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2300> */
obj_t BGl_z62zc3anonymousza32300ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10823, obj_t BgL_sz00_10831)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10824;obj_t BgL_a2z00_10825;obj_t BgL_a3z00_10826;obj_t BgL_a4z00_10827;long BgL_siza7eza7_10828;obj_t BgL_locz00_10829;obj_t BgL_cfunz00_10830;
BgL_a1z00_10824 = 
PROCEDURE_REF(BgL_envz00_10823, 
(int)(((long)0))); 
BgL_a2z00_10825 = 
PROCEDURE_REF(BgL_envz00_10823, 
(int)(((long)1))); 
BgL_a3z00_10826 = 
PROCEDURE_REF(BgL_envz00_10823, 
(int)(((long)2))); 
BgL_a4z00_10827 = 
PROCEDURE_REF(BgL_envz00_10823, 
(int)(((long)3))); 
BgL_siza7eza7_10828 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10823, 
(int)(((long)4)))); 
BgL_locz00_10829 = 
PROCEDURE_REF(BgL_envz00_10823, 
(int)(((long)5))); 
BgL_cfunz00_10830 = 
PROCEDURE_REF(BgL_envz00_10823, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13131;
BgL_bpz00_13131 = 
VECTOR_REF(
((obj_t)BgL_sz00_10831),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_13132;obj_t BgL_a2z00_13133;obj_t BgL_a3z00_13134;obj_t BgL_a4z00_13135;
BgL_a1z00_13132 = 
PROCEDURE_ENTRY(BgL_a1z00_10824)(BgL_a1z00_10824, BgL_sz00_10831, BEOA); 
BgL_a2z00_13133 = 
PROCEDURE_ENTRY(BgL_a2z00_10825)(BgL_a2z00_10825, BgL_sz00_10831, BEOA); 
BgL_a3z00_13134 = 
PROCEDURE_ENTRY(BgL_a3z00_10826)(BgL_a3z00_10826, BgL_sz00_10831, BEOA); 
BgL_a4z00_13135 = 
PROCEDURE_ENTRY(BgL_a4z00_10827)(BgL_a4z00_10827, BgL_sz00_10831, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13136;
BgL_nbpz00_13136 = 
(
(long)CINT(BgL_bpz00_13131)+BgL_siza7eza7_10828); 
VECTOR_SET(
((obj_t)BgL_sz00_10831),((long)0),
BINT(BgL_nbpz00_13136)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18863;
BgL_tmpz00_18863 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18863, BgL_locz00_10829); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13137;
BgL_rz00_13137 = 
PROCEDURE_ENTRY(BgL_cfunz00_10830)(BgL_cfunz00_10830, BgL_a1z00_13132, BgL_a2z00_13133, BgL_a3z00_13134, BgL_a4z00_13135, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10831),((long)0),BgL_bpz00_13131); 
return BgL_rz00_13137;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2302> */
obj_t BGl_z62zc3anonymousza32302ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10832, obj_t BgL_sz00_10839)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_10833;obj_t BgL_a2z00_10834;obj_t BgL_a3z00_10835;obj_t BgL_a4z00_10836;long BgL_siza7eza7_10837;obj_t BgL_cfunz00_10838;
BgL_a1z00_10833 = 
PROCEDURE_REF(BgL_envz00_10832, 
(int)(((long)0))); 
BgL_a2z00_10834 = 
PROCEDURE_REF(BgL_envz00_10832, 
(int)(((long)1))); 
BgL_a3z00_10835 = 
PROCEDURE_REF(BgL_envz00_10832, 
(int)(((long)2))); 
BgL_a4z00_10836 = 
PROCEDURE_REF(BgL_envz00_10832, 
(int)(((long)3))); 
BgL_siza7eza7_10837 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10832, 
(int)(((long)4)))); 
BgL_cfunz00_10838 = 
PROCEDURE_REF(BgL_envz00_10832, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13138;
BgL_bpz00_13138 = 
VECTOR_REF(
((obj_t)BgL_sz00_10839),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_a1z00_13139;obj_t BgL_a2z00_13140;obj_t BgL_a3z00_13141;obj_t BgL_a4z00_13142;
BgL_a1z00_13139 = 
PROCEDURE_ENTRY(BgL_a1z00_10833)(BgL_a1z00_10833, BgL_sz00_10839, BEOA); 
BgL_a2z00_13140 = 
PROCEDURE_ENTRY(BgL_a2z00_10834)(BgL_a2z00_10834, BgL_sz00_10839, BEOA); 
BgL_a3z00_13141 = 
PROCEDURE_ENTRY(BgL_a3z00_10835)(BgL_a3z00_10835, BgL_sz00_10839, BEOA); 
BgL_a4z00_13142 = 
PROCEDURE_ENTRY(BgL_a4z00_10836)(BgL_a4z00_10836, BgL_sz00_10839, BEOA); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13143;
BgL_nbpz00_13143 = 
(
(long)CINT(BgL_bpz00_13138)+BgL_siza7eza7_10837); 
VECTOR_SET(
((obj_t)BgL_sz00_10839),((long)0),
BINT(BgL_nbpz00_13143)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13144;
BgL_rz00_13144 = 
PROCEDURE_ENTRY(BgL_cfunz00_10838)(BgL_cfunz00_10838, BgL_a1z00_13139, BgL_a2z00_13140, BgL_a3z00_13141, BgL_a4z00_13142, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10839),((long)0),BgL_bpz00_13138); 
return BgL_rz00_13144;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2306> */
obj_t BGl_z62zc3anonymousza32306ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10840, obj_t BgL_sz00_10849)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10841;obj_t BgL_a1z00_10842;obj_t BgL_a2z00_10843;obj_t BgL_a3z00_10844;obj_t BgL_a4z00_10845;obj_t BgL_locz00_10846;obj_t BgL_symbzd2funzd2_10847;long BgL_siza7eza7_10848;
BgL_funz00_10841 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)0))); 
BgL_a1z00_10842 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)1))); 
BgL_a2z00_10843 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)2))); 
BgL_a3z00_10844 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)3))); 
BgL_a4z00_10845 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)4))); 
BgL_locz00_10846 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10847 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)6))); 
BgL_siza7eza7_10848 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13145;
BgL_bpz00_13145 = 
VECTOR_REF(
((obj_t)BgL_sz00_10849),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13146;obj_t BgL_a1z00_13147;obj_t BgL_a2z00_13148;obj_t BgL_a3z00_13149;obj_t BgL_a4z00_13150;
BgL_fz00_13146 = 
PROCEDURE_ENTRY(BgL_funz00_10841)(BgL_funz00_10841, BgL_sz00_10849, BEOA); 
BgL_a1z00_13147 = 
PROCEDURE_ENTRY(BgL_a1z00_10842)(BgL_a1z00_10842, BgL_sz00_10849, BEOA); 
BgL_a2z00_13148 = 
PROCEDURE_ENTRY(BgL_a2z00_10843)(BgL_a2z00_10843, BgL_sz00_10849, BEOA); 
BgL_a3z00_13149 = 
PROCEDURE_ENTRY(BgL_a3z00_10844)(BgL_a3z00_10844, BgL_sz00_10849, BEOA); 
BgL_a4z00_13150 = 
PROCEDURE_ENTRY(BgL_a4z00_10845)(BgL_a4z00_10845, BgL_sz00_10849, BEOA); 
if(
PROCEDUREP(BgL_fz00_13146))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10846, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_13146); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13151;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_18962;
BgL_tmpz00_18962 = 
((obj_t)BgL_fz00_13146); 
BgL_ufz00_13151 = 
PROCEDURE_ATTR(BgL_tmpz00_18962); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_18965;
if(
STRUCTP(BgL_ufz00_13151))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18965 = 
(
STRUCT_KEY(BgL_ufz00_13151)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_18965 = ((bool_t)0)
; } 
if(BgL_testz00_18965)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13152;obj_t BgL_runz00_13153;obj_t BgL_sfz00_13154;
BgL_arityz00_13152 = 
STRUCT_REF(BgL_ufz00_13151, 
(int)(((long)0))); 
BgL_runz00_13153 = 
STRUCT_REF(BgL_ufz00_13151, 
(int)(((long)1))); 
BgL_sfz00_13154 = 
STRUCT_REF(BgL_ufz00_13151, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13152)==((long)4)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2310z00_13155;
BgL_arg2310z00_13155 = 
(
(long)CINT(BgL_bpz00_13145)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2310z00_13155,BgL_a1z00_13147); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2311z00_13156;
BgL_arg2311z00_13156 = 
(
(long)CINT(BgL_bpz00_13145)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2311z00_13156,BgL_a2z00_13148); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2312z00_13157;
BgL_arg2312z00_13157 = 
(
(long)CINT(BgL_bpz00_13145)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2312z00_13157,BgL_a3z00_13149); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2313z00_13158;
BgL_arg2313z00_13158 = 
(
(long)CINT(BgL_bpz00_13145)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2313z00_13158,BgL_a4z00_13150); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13152))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13152)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2315z00_13161;obj_t BgL_arg2316z00_13162;
BgL_arg2315z00_13161 = 
(
(long)CINT(BgL_bpz00_13145)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2317z00_13163;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2318z00_13164;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2319z00_13165;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2320z00_13166;
BgL_arg2320z00_13166 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13150, BNIL); 
BgL_arg2319z00_13165 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13149, BgL_arg2320z00_13166); } 
BgL_arg2318z00_13164 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13148, BgL_arg2319z00_13165); } 
BgL_list2317z00_13163 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13147, BgL_arg2318z00_13164); } 
BgL_arg2316z00_13162 = BgL_list2317z00_13163; } 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2315z00_13161,BgL_arg2316z00_13162); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2321z00_13167;
BgL_arg2321z00_13167 = 
(
(long)CINT(BgL_bpz00_13145)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2321z00_13167,BgL_a1z00_13147); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2322z00_13168;obj_t BgL_arg2323z00_13169;
BgL_arg2322z00_13168 = 
(
(long)CINT(BgL_bpz00_13145)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2324z00_13170;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2325z00_13171;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2326z00_13172;
BgL_arg2326z00_13172 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13150, BNIL); 
BgL_arg2325z00_13171 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13149, BgL_arg2326z00_13172); } 
BgL_list2324z00_13170 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13148, BgL_arg2325z00_13171); } 
BgL_arg2323z00_13169 = BgL_list2324z00_13170; } 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2322z00_13168,BgL_arg2323z00_13169); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2327z00_13173;
BgL_arg2327z00_13173 = 
(
(long)CINT(BgL_bpz00_13145)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2327z00_13173,BgL_a1z00_13147); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2328z00_13174;
BgL_arg2328z00_13174 = 
(
(long)CINT(BgL_bpz00_13145)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2328z00_13174,BgL_a2z00_13148); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2329z00_13175;obj_t BgL_arg2330z00_13176;
BgL_arg2329z00_13175 = 
(
(long)CINT(BgL_bpz00_13145)+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2331z00_13177;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2332z00_13178;
BgL_arg2332z00_13178 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13150, BNIL); 
BgL_list2331z00_13177 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13149, BgL_arg2332z00_13178); } 
BgL_arg2330z00_13176 = BgL_list2331z00_13177; } 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2329z00_13175,BgL_arg2330z00_13176); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2333z00_13179;
BgL_arg2333z00_13179 = 
(
(long)CINT(BgL_bpz00_13145)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2333z00_13179,BgL_a1z00_13147); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2334z00_13180;
BgL_arg2334z00_13180 = 
(
(long)CINT(BgL_bpz00_13145)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2334z00_13180,BgL_a2z00_13148); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2335z00_13181;
BgL_arg2335z00_13181 = 
(
(long)CINT(BgL_bpz00_13145)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2335z00_13181,BgL_a3z00_13149); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2336z00_13182;obj_t BgL_arg2337z00_13183;
BgL_arg2336z00_13182 = 
(
(long)CINT(BgL_bpz00_13145)+((long)3)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2338z00_13184;
BgL_list2338z00_13184 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13150, BNIL); 
BgL_arg2337z00_13183 = BgL_list2338z00_13184; } 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2336z00_13182,BgL_arg2337z00_13183); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2339z00_13185;
BgL_arg2339z00_13185 = 
(
(long)CINT(BgL_bpz00_13145)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2339z00_13185,BgL_a1z00_13147); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2340z00_13186;
BgL_arg2340z00_13186 = 
(
(long)CINT(BgL_bpz00_13145)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2340z00_13186,BgL_a2z00_13148); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2341z00_13187;
BgL_arg2341z00_13187 = 
(
(long)CINT(BgL_bpz00_13145)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2341z00_13187,BgL_a3z00_13149); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2342z00_13188;
BgL_arg2342z00_13188 = 
(
(long)CINT(BgL_bpz00_13145)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2342z00_13188,BgL_a4z00_13150); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2343z00_13189;obj_t BgL_arg2344z00_13190;
BgL_arg2343z00_13189 = 
(
(long)CINT(BgL_bpz00_13145)+((long)4)); 
BgL_arg2344z00_13190 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10849),BgL_arg2343z00_13189,BgL_arg2344z00_13190); } break;
default: 
BgL_case_else1201z00_13159:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2346z00_13160;
BgL_arg2346z00_13160 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13151), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10846, BgL_arg2346z00_13160, 
(int)(((long)4)), 
CINT(BgL_arityz00_13152)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1201z00_13159;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13191;
BgL_z12denvz12_13191 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13191, BgL_locz00_10846); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10849, BgL_bpz00_13145, BgL_sfz00_13154))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_13153;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13192;
BgL_nsz00_13192 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2348z00_13193;
BgL_arg2348z00_13193 = 
(
(long)CINT(BgL_bpz00_13145)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13192, ((long)2), BgL_sz00_10849, BgL_bpz00_13145, 
BINT(BgL_arg2348z00_13193)); } 
VECTOR_SET(BgL_nsz00_13192,((long)1),BgL_sz00_10849); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13191, BgL_nsz00_13192); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13194;
BgL_ez00_13194 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13194, BgL_sz00_10849); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13195;
BgL_____rz00_13195 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13153, BgL_nsz00_13192, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13194); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13191, BgL_sz00_10849); 
return BgL_____rz00_13195;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13146, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13196;
BgL_nbpz00_13196 = 
(
(long)CINT(BgL_bpz00_13145)+BgL_siza7eza7_10848); 
VECTOR_SET(
((obj_t)BgL_sz00_10849),((long)0),
BINT(BgL_nbpz00_13196)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19100;
BgL_tmpz00_19100 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19100, BgL_locz00_10846); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13197;
BgL_rz00_13197 = 
PROCEDURE_ENTRY(BgL_fz00_13146)(BgL_fz00_13146, BgL_a1z00_13147, BgL_a2z00_13148, BgL_a3z00_13149, BgL_a4z00_13150, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10849),((long)0),BgL_bpz00_13145); 
return BgL_rz00_13197;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10846, BgL_symbzd2funzd2_10847, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13146));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2352> */
obj_t BGl_z62zc3anonymousza32352ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10850, obj_t BgL_sz00_10859)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10851;obj_t BgL_a1z00_10852;obj_t BgL_a2z00_10853;obj_t BgL_a3z00_10854;obj_t BgL_a4z00_10855;obj_t BgL_locz00_10856;obj_t BgL_symbzd2funzd2_10857;long BgL_siza7eza7_10858;
BgL_funz00_10851 = 
PROCEDURE_REF(BgL_envz00_10850, 
(int)(((long)0))); 
BgL_a1z00_10852 = 
PROCEDURE_REF(BgL_envz00_10850, 
(int)(((long)1))); 
BgL_a2z00_10853 = 
PROCEDURE_REF(BgL_envz00_10850, 
(int)(((long)2))); 
BgL_a3z00_10854 = 
PROCEDURE_REF(BgL_envz00_10850, 
(int)(((long)3))); 
BgL_a4z00_10855 = 
PROCEDURE_REF(BgL_envz00_10850, 
(int)(((long)4))); 
BgL_locz00_10856 = 
PROCEDURE_REF(BgL_envz00_10850, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10857 = 
PROCEDURE_REF(BgL_envz00_10850, 
(int)(((long)6))); 
BgL_siza7eza7_10858 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10850, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13198;
BgL_bpz00_13198 = 
VECTOR_REF(
((obj_t)BgL_sz00_10859),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13199;obj_t BgL_a1z00_13200;obj_t BgL_a2z00_13201;obj_t BgL_a3z00_13202;obj_t BgL_a4z00_13203;
BgL_fz00_13199 = 
PROCEDURE_ENTRY(BgL_funz00_10851)(BgL_funz00_10851, BgL_sz00_10859, BEOA); 
BgL_a1z00_13200 = 
PROCEDURE_ENTRY(BgL_a1z00_10852)(BgL_a1z00_10852, BgL_sz00_10859, BEOA); 
BgL_a2z00_13201 = 
PROCEDURE_ENTRY(BgL_a2z00_10853)(BgL_a2z00_10853, BgL_sz00_10859, BEOA); 
BgL_a3z00_13202 = 
PROCEDURE_ENTRY(BgL_a3z00_10854)(BgL_a3z00_10854, BgL_sz00_10859, BEOA); 
BgL_a4z00_13203 = 
PROCEDURE_ENTRY(BgL_a4z00_10855)(BgL_a4z00_10855, BgL_sz00_10859, BEOA); 
if(
PROCEDUREP(BgL_fz00_13199))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10856, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_13199); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13204;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19157;
BgL_tmpz00_19157 = 
((obj_t)BgL_fz00_13199); 
BgL_ufz00_13204 = 
PROCEDURE_ATTR(BgL_tmpz00_19157); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_19160;
if(
STRUCTP(BgL_ufz00_13204))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19160 = 
(
STRUCT_KEY(BgL_ufz00_13204)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19160 = ((bool_t)0)
; } 
if(BgL_testz00_19160)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13205;obj_t BgL_runz00_13206;obj_t BgL_sfz00_13207;
BgL_arityz00_13205 = 
STRUCT_REF(BgL_ufz00_13204, 
(int)(((long)0))); 
BgL_runz00_13206 = 
STRUCT_REF(BgL_ufz00_13204, 
(int)(((long)1))); 
BgL_sfz00_13207 = 
STRUCT_REF(BgL_ufz00_13204, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13205)==((long)4)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2356z00_13208;
BgL_arg2356z00_13208 = 
(
(long)CINT(BgL_bpz00_13198)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2356z00_13208,BgL_a1z00_13200); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2357z00_13209;
BgL_arg2357z00_13209 = 
(
(long)CINT(BgL_bpz00_13198)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2357z00_13209,BgL_a2z00_13201); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2358z00_13210;
BgL_arg2358z00_13210 = 
(
(long)CINT(BgL_bpz00_13198)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2358z00_13210,BgL_a3z00_13202); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2359z00_13211;
BgL_arg2359z00_13211 = 
(
(long)CINT(BgL_bpz00_13198)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2359z00_13211,BgL_a4z00_13203); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13205))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13205)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2361z00_13214;obj_t BgL_arg2362z00_13215;
BgL_arg2361z00_13214 = 
(
(long)CINT(BgL_bpz00_13198)+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2363z00_13216;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2364z00_13217;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2365z00_13218;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2366z00_13219;
BgL_arg2366z00_13219 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13203, BNIL); 
BgL_arg2365z00_13218 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13202, BgL_arg2366z00_13219); } 
BgL_arg2364z00_13217 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13201, BgL_arg2365z00_13218); } 
BgL_list2363z00_13216 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13200, BgL_arg2364z00_13217); } 
BgL_arg2362z00_13215 = BgL_list2363z00_13216; } 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2361z00_13214,BgL_arg2362z00_13215); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2367z00_13220;
BgL_arg2367z00_13220 = 
(
(long)CINT(BgL_bpz00_13198)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2367z00_13220,BgL_a1z00_13200); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2368z00_13221;obj_t BgL_arg2369z00_13222;
BgL_arg2368z00_13221 = 
(
(long)CINT(BgL_bpz00_13198)+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2370z00_13223;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2371z00_13224;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2372z00_13225;
BgL_arg2372z00_13225 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13203, BNIL); 
BgL_arg2371z00_13224 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13202, BgL_arg2372z00_13225); } 
BgL_list2370z00_13223 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13201, BgL_arg2371z00_13224); } 
BgL_arg2369z00_13222 = BgL_list2370z00_13223; } 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2368z00_13221,BgL_arg2369z00_13222); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2373z00_13226;
BgL_arg2373z00_13226 = 
(
(long)CINT(BgL_bpz00_13198)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2373z00_13226,BgL_a1z00_13200); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2374z00_13227;
BgL_arg2374z00_13227 = 
(
(long)CINT(BgL_bpz00_13198)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2374z00_13227,BgL_a2z00_13201); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2375z00_13228;obj_t BgL_arg2376z00_13229;
BgL_arg2375z00_13228 = 
(
(long)CINT(BgL_bpz00_13198)+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2377z00_13230;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2378z00_13231;
BgL_arg2378z00_13231 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13203, BNIL); 
BgL_list2377z00_13230 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13202, BgL_arg2378z00_13231); } 
BgL_arg2376z00_13229 = BgL_list2377z00_13230; } 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2375z00_13228,BgL_arg2376z00_13229); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2379z00_13232;
BgL_arg2379z00_13232 = 
(
(long)CINT(BgL_bpz00_13198)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2379z00_13232,BgL_a1z00_13200); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2380z00_13233;
BgL_arg2380z00_13233 = 
(
(long)CINT(BgL_bpz00_13198)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2380z00_13233,BgL_a2z00_13201); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2381z00_13234;
BgL_arg2381z00_13234 = 
(
(long)CINT(BgL_bpz00_13198)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2381z00_13234,BgL_a3z00_13202); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2382z00_13235;obj_t BgL_arg2383z00_13236;
BgL_arg2382z00_13235 = 
(
(long)CINT(BgL_bpz00_13198)+((long)3)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2384z00_13237;
BgL_list2384z00_13237 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13203, BNIL); 
BgL_arg2383z00_13236 = BgL_list2384z00_13237; } 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2382z00_13235,BgL_arg2383z00_13236); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2385z00_13238;
BgL_arg2385z00_13238 = 
(
(long)CINT(BgL_bpz00_13198)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2385z00_13238,BgL_a1z00_13200); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2386z00_13239;
BgL_arg2386z00_13239 = 
(
(long)CINT(BgL_bpz00_13198)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2386z00_13239,BgL_a2z00_13201); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2387z00_13240;
BgL_arg2387z00_13240 = 
(
(long)CINT(BgL_bpz00_13198)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2387z00_13240,BgL_a3z00_13202); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2388z00_13241;
BgL_arg2388z00_13241 = 
(
(long)CINT(BgL_bpz00_13198)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2388z00_13241,BgL_a4z00_13203); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2389z00_13242;obj_t BgL_arg2390z00_13243;
BgL_arg2389z00_13242 = 
(
(long)CINT(BgL_bpz00_13198)+((long)4)); 
BgL_arg2390z00_13243 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10859),BgL_arg2389z00_13242,BgL_arg2390z00_13243); } break;
default: 
BgL_case_else1203z00_13212:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2392z00_13213;
BgL_arg2392z00_13213 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13204), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10856, BgL_arg2392z00_13213, 
(int)(((long)4)), 
CINT(BgL_arityz00_13205)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1203z00_13212;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13244;
BgL_z12denvz12_13244 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10859, BgL_bpz00_13198, BgL_sfz00_13207))
{ /* Eval/evaluate_comp.scm 889 */
return BgL_runz00_13206;}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13245;
BgL_nsz00_13245 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2394z00_13246;
BgL_arg2394z00_13246 = 
(
(long)CINT(BgL_bpz00_13198)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13245, ((long)2), BgL_sz00_10859, BgL_bpz00_13198, 
BINT(BgL_arg2394z00_13246)); } 
VECTOR_SET(BgL_nsz00_13245,((long)1),BgL_sz00_10859); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13244, BgL_nsz00_13245); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13247;
BgL_ez00_13247 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13247, BgL_sz00_10859); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13248;
BgL_____rz00_13248 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13206, BgL_nsz00_13245, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13247); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13244, BgL_sz00_10859); 
return BgL_____rz00_13248;} } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13199, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13249;
BgL_nbpz00_13249 = 
(
(long)CINT(BgL_bpz00_13198)+BgL_siza7eza7_10858); 
VECTOR_SET(
((obj_t)BgL_sz00_10859),((long)0),
BINT(BgL_nbpz00_13249)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13250;
BgL_rz00_13250 = 
PROCEDURE_ENTRY(BgL_fz00_13199)(BgL_fz00_13199, BgL_a1z00_13200, BgL_a2z00_13201, BgL_a3z00_13202, BgL_a4z00_13203, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10859),((long)0),BgL_bpz00_13198); 
return BgL_rz00_13250;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10856, BgL_symbzd2funzd2_10857, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13199));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2400> */
obj_t BGl_z62zc3anonymousza32400ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10860, obj_t BgL_sz00_10869)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10861;obj_t BgL_a1z00_10862;obj_t BgL_a2z00_10863;obj_t BgL_a3z00_10864;obj_t BgL_a4z00_10865;obj_t BgL_locz00_10866;obj_t BgL_symbzd2funzd2_10867;long BgL_siza7eza7_10868;
BgL_funz00_10861 = 
PROCEDURE_REF(BgL_envz00_10860, 
(int)(((long)0))); 
BgL_a1z00_10862 = 
PROCEDURE_REF(BgL_envz00_10860, 
(int)(((long)1))); 
BgL_a2z00_10863 = 
PROCEDURE_REF(BgL_envz00_10860, 
(int)(((long)2))); 
BgL_a3z00_10864 = 
PROCEDURE_REF(BgL_envz00_10860, 
(int)(((long)3))); 
BgL_a4z00_10865 = 
PROCEDURE_REF(BgL_envz00_10860, 
(int)(((long)4))); 
BgL_locz00_10866 = 
PROCEDURE_REF(BgL_envz00_10860, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10867 = 
PROCEDURE_REF(BgL_envz00_10860, 
(int)(((long)6))); 
BgL_siza7eza7_10868 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10860, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13251;
BgL_bpz00_13251 = 
VECTOR_REF(
((obj_t)BgL_sz00_10869),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13252;obj_t BgL_a1z00_13253;obj_t BgL_a2z00_13254;obj_t BgL_a3z00_13255;obj_t BgL_a4z00_13256;
BgL_fz00_13252 = 
PROCEDURE_ENTRY(BgL_funz00_10861)(BgL_funz00_10861, BgL_sz00_10869, BEOA); 
BgL_a1z00_13253 = 
PROCEDURE_ENTRY(BgL_a1z00_10862)(BgL_a1z00_10862, BgL_sz00_10869, BEOA); 
BgL_a2z00_13254 = 
PROCEDURE_ENTRY(BgL_a2z00_10863)(BgL_a2z00_10863, BgL_sz00_10869, BEOA); 
BgL_a3z00_13255 = 
PROCEDURE_ENTRY(BgL_a3z00_10864)(BgL_a3z00_10864, BgL_sz00_10869, BEOA); 
BgL_a4z00_13256 = 
PROCEDURE_ENTRY(BgL_a4z00_10865)(BgL_a4z00_10865, BgL_sz00_10869, BEOA); 
if(
PROCEDUREP(BgL_fz00_13252))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10866, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_13252); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13257;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19348;
BgL_tmpz00_19348 = 
((obj_t)BgL_fz00_13252); 
BgL_ufz00_13257 = 
PROCEDURE_ATTR(BgL_tmpz00_19348); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_19351;
if(
STRUCTP(BgL_ufz00_13257))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19351 = 
(
STRUCT_KEY(BgL_ufz00_13257)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19351 = ((bool_t)0)
; } 
if(BgL_testz00_19351)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13258;obj_t BgL_runz00_13259;obj_t BgL_sfz00_13260;
BgL_arityz00_13258 = 
STRUCT_REF(BgL_ufz00_13257, 
(int)(((long)0))); 
BgL_runz00_13259 = 
STRUCT_REF(BgL_ufz00_13257, 
(int)(((long)1))); 
BgL_sfz00_13260 = 
STRUCT_REF(BgL_ufz00_13257, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_13261;
BgL_spz00_13261 = 
(
(long)CINT(BgL_bpz00_13251)+BgL_siza7eza7_10868); 
if(
(
(long)CINT(BgL_arityz00_13258)==((long)4)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2404z00_13262;
BgL_arg2404z00_13262 = 
(BgL_spz00_13261+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2404z00_13262,BgL_a1z00_13253); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2405z00_13263;
BgL_arg2405z00_13263 = 
(BgL_spz00_13261+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2405z00_13263,BgL_a2z00_13254); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2406z00_13264;
BgL_arg2406z00_13264 = 
(BgL_spz00_13261+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2406z00_13264,BgL_a3z00_13255); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2407z00_13265;
BgL_arg2407z00_13265 = 
(BgL_spz00_13261+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2407z00_13265,BgL_a4z00_13256); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13258))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13258)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2409z00_13268;obj_t BgL_arg2410z00_13269;
BgL_arg2409z00_13268 = 
(BgL_spz00_13261+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2411z00_13270;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2412z00_13271;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2413z00_13272;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2414z00_13273;
BgL_arg2414z00_13273 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13256, BNIL); 
BgL_arg2413z00_13272 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13255, BgL_arg2414z00_13273); } 
BgL_arg2412z00_13271 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13254, BgL_arg2413z00_13272); } 
BgL_list2411z00_13270 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13253, BgL_arg2412z00_13271); } 
BgL_arg2410z00_13269 = BgL_list2411z00_13270; } 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2409z00_13268,BgL_arg2410z00_13269); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2415z00_13274;
BgL_arg2415z00_13274 = 
(BgL_spz00_13261+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2415z00_13274,BgL_a1z00_13253); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2416z00_13275;obj_t BgL_arg2417z00_13276;
BgL_arg2416z00_13275 = 
(BgL_spz00_13261+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2418z00_13277;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2419z00_13278;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2420z00_13279;
BgL_arg2420z00_13279 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13256, BNIL); 
BgL_arg2419z00_13278 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13255, BgL_arg2420z00_13279); } 
BgL_list2418z00_13277 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13254, BgL_arg2419z00_13278); } 
BgL_arg2417z00_13276 = BgL_list2418z00_13277; } 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2416z00_13275,BgL_arg2417z00_13276); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2421z00_13280;
BgL_arg2421z00_13280 = 
(BgL_spz00_13261+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2421z00_13280,BgL_a1z00_13253); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2422z00_13281;
BgL_arg2422z00_13281 = 
(BgL_spz00_13261+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2422z00_13281,BgL_a2z00_13254); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2423z00_13282;obj_t BgL_arg2424z00_13283;
BgL_arg2423z00_13282 = 
(BgL_spz00_13261+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2425z00_13284;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2426z00_13285;
BgL_arg2426z00_13285 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13256, BNIL); 
BgL_list2425z00_13284 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13255, BgL_arg2426z00_13285); } 
BgL_arg2424z00_13283 = BgL_list2425z00_13284; } 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2423z00_13282,BgL_arg2424z00_13283); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2427z00_13286;
BgL_arg2427z00_13286 = 
(BgL_spz00_13261+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2427z00_13286,BgL_a1z00_13253); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2428z00_13287;
BgL_arg2428z00_13287 = 
(BgL_spz00_13261+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2428z00_13287,BgL_a2z00_13254); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2429z00_13288;
BgL_arg2429z00_13288 = 
(BgL_spz00_13261+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2429z00_13288,BgL_a3z00_13255); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2430z00_13289;obj_t BgL_arg2431z00_13290;
BgL_arg2430z00_13289 = 
(BgL_spz00_13261+((long)3)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2432z00_13291;
BgL_list2432z00_13291 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13256, BNIL); 
BgL_arg2431z00_13290 = BgL_list2432z00_13291; } 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2430z00_13289,BgL_arg2431z00_13290); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2433z00_13292;
BgL_arg2433z00_13292 = 
(BgL_spz00_13261+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2433z00_13292,BgL_a1z00_13253); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2434z00_13293;
BgL_arg2434z00_13293 = 
(BgL_spz00_13261+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2434z00_13293,BgL_a2z00_13254); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2435z00_13294;
BgL_arg2435z00_13294 = 
(BgL_spz00_13261+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2435z00_13294,BgL_a3z00_13255); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2436z00_13295;
BgL_arg2436z00_13295 = 
(BgL_spz00_13261+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2436z00_13295,BgL_a4z00_13256); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2437z00_13296;obj_t BgL_arg2438z00_13297;
BgL_arg2437z00_13296 = 
(BgL_spz00_13261+((long)4)); 
BgL_arg2438z00_13297 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10869),BgL_arg2437z00_13296,BgL_arg2438z00_13297); } break;
default: 
BgL_case_else1205z00_13266:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2440z00_13267;
BgL_arg2440z00_13267 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13257), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10866, BgL_arg2440z00_13267, 
(int)(((long)4)), 
CINT(BgL_arityz00_13258)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1205z00_13266;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13298;
BgL_z12denvz12_13298 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13298, BgL_locz00_10866); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10869, 
BINT(BgL_spz00_13261), BgL_sfz00_13260))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13259, BgL_sz00_10869, 
BINT(BgL_spz00_13261));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13299;
BgL_nsz00_13299 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2442z00_13300;
BgL_arg2442z00_13300 = 
(BgL_spz00_13261+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13299, ((long)2), BgL_sz00_10869, 
BINT(BgL_spz00_13261), 
BINT(BgL_arg2442z00_13300)); } 
VECTOR_SET(BgL_nsz00_13299,((long)1),BgL_sz00_10869); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13298, BgL_nsz00_13299); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13301;
BgL_ez00_13301 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13301, BgL_sz00_10869); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13302;
BgL_____rz00_13302 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13259, BgL_nsz00_13299, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13301); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13298, BgL_sz00_10869); 
return BgL_____rz00_13302;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13252, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13303;
BgL_nbpz00_13303 = 
(
(long)CINT(BgL_bpz00_13251)+BgL_siza7eza7_10868); 
VECTOR_SET(
((obj_t)BgL_sz00_10869),((long)0),
BINT(BgL_nbpz00_13303)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19472;
BgL_tmpz00_19472 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19472, BgL_locz00_10866); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13304;
BgL_rz00_13304 = 
PROCEDURE_ENTRY(BgL_fz00_13252)(BgL_fz00_13252, BgL_a1z00_13253, BgL_a2z00_13254, BgL_a3z00_13255, BgL_a4z00_13256, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10869),((long)0),BgL_bpz00_13251); 
return BgL_rz00_13304;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10866, BgL_symbzd2funzd2_10867, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13252));} } } } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2446> */
obj_t BGl_z62zc3anonymousza32446ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10870, obj_t BgL_sz00_10879)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_funz00_10871;obj_t BgL_a1z00_10872;obj_t BgL_a2z00_10873;obj_t BgL_a3z00_10874;obj_t BgL_a4z00_10875;obj_t BgL_locz00_10876;obj_t BgL_symbzd2funzd2_10877;long BgL_siza7eza7_10878;
BgL_funz00_10871 = 
PROCEDURE_REF(BgL_envz00_10870, 
(int)(((long)0))); 
BgL_a1z00_10872 = 
PROCEDURE_REF(BgL_envz00_10870, 
(int)(((long)1))); 
BgL_a2z00_10873 = 
PROCEDURE_REF(BgL_envz00_10870, 
(int)(((long)2))); 
BgL_a3z00_10874 = 
PROCEDURE_REF(BgL_envz00_10870, 
(int)(((long)3))); 
BgL_a4z00_10875 = 
PROCEDURE_REF(BgL_envz00_10870, 
(int)(((long)4))); 
BgL_locz00_10876 = 
PROCEDURE_REF(BgL_envz00_10870, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10877 = 
PROCEDURE_REF(BgL_envz00_10870, 
(int)(((long)6))); 
BgL_siza7eza7_10878 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10870, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_bpz00_13305;
BgL_bpz00_13305 = 
VECTOR_REF(
((obj_t)BgL_sz00_10879),((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_fz00_13306;obj_t BgL_a1z00_13307;obj_t BgL_a2z00_13308;obj_t BgL_a3z00_13309;obj_t BgL_a4z00_13310;
BgL_fz00_13306 = 
PROCEDURE_ENTRY(BgL_funz00_10871)(BgL_funz00_10871, BgL_sz00_10879, BEOA); 
BgL_a1z00_13307 = 
PROCEDURE_ENTRY(BgL_a1z00_10872)(BgL_a1z00_10872, BgL_sz00_10879, BEOA); 
BgL_a2z00_13308 = 
PROCEDURE_ENTRY(BgL_a2z00_10873)(BgL_a2z00_10873, BgL_sz00_10879, BEOA); 
BgL_a3z00_13309 = 
PROCEDURE_ENTRY(BgL_a3z00_10874)(BgL_a3z00_10874, BgL_sz00_10879, BEOA); 
BgL_a4z00_13310 = 
PROCEDURE_ENTRY(BgL_a4z00_10875)(BgL_a4z00_10875, BgL_sz00_10879, BEOA); 
if(
PROCEDUREP(BgL_fz00_13306))
{ /* Eval/evaluate_comp.scm 889 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 889 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10876, BGl_string5167z00zz__evaluate_compz00, BGl_string5183z00zz__evaluate_compz00, BgL_fz00_13306); } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ufz00_13311;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_tmpz00_19529;
BgL_tmpz00_19529 = 
((obj_t)BgL_fz00_13306); 
BgL_ufz00_13311 = 
PROCEDURE_ATTR(BgL_tmpz00_19529); } 
{ /* Eval/evaluate_comp.scm 889 */
bool_t BgL_testz00_19532;
if(
STRUCTP(BgL_ufz00_13311))
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19532 = 
(
STRUCT_KEY(BgL_ufz00_13311)==BGl_symbol5184z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 676 */
BgL_testz00_19532 = ((bool_t)0)
; } 
if(BgL_testz00_19532)
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arityz00_13312;obj_t BgL_runz00_13313;obj_t BgL_sfz00_13314;
BgL_arityz00_13312 = 
STRUCT_REF(BgL_ufz00_13311, 
(int)(((long)0))); 
BgL_runz00_13313 = 
STRUCT_REF(BgL_ufz00_13311, 
(int)(((long)1))); 
BgL_sfz00_13314 = 
STRUCT_REF(BgL_ufz00_13311, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_spz00_13315;
BgL_spz00_13315 = 
(
(long)CINT(BgL_bpz00_13305)+BgL_siza7eza7_10878); 
if(
(
(long)CINT(BgL_arityz00_13312)==((long)4)))
{ /* Eval/evaluate_comp.scm 889 */
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2450z00_13316;
BgL_arg2450z00_13316 = 
(BgL_spz00_13315+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2450z00_13316,BgL_a1z00_13307); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2451z00_13317;
BgL_arg2451z00_13317 = 
(BgL_spz00_13315+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2451z00_13317,BgL_a2z00_13308); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2452z00_13318;
BgL_arg2452z00_13318 = 
(BgL_spz00_13315+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2452z00_13318,BgL_a3z00_13309); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2453z00_13319;
BgL_arg2453z00_13319 = 
(BgL_spz00_13315+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2453z00_13319,BgL_a4z00_13310); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13312))
{ /* Eval/evaluate_comp.scm 889 */
switch( 
(long)CINT(BgL_arityz00_13312)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2455z00_13322;obj_t BgL_arg2456z00_13323;
BgL_arg2455z00_13322 = 
(BgL_spz00_13315+((long)0)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2457z00_13324;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2458z00_13325;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2459z00_13326;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2460z00_13327;
BgL_arg2460z00_13327 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13310, BNIL); 
BgL_arg2459z00_13326 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13309, BgL_arg2460z00_13327); } 
BgL_arg2458z00_13325 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13308, BgL_arg2459z00_13326); } 
BgL_list2457z00_13324 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13307, BgL_arg2458z00_13325); } 
BgL_arg2456z00_13323 = BgL_list2457z00_13324; } 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2455z00_13322,BgL_arg2456z00_13323); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2461z00_13328;
BgL_arg2461z00_13328 = 
(BgL_spz00_13315+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2461z00_13328,BgL_a1z00_13307); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2462z00_13329;obj_t BgL_arg2463z00_13330;
BgL_arg2462z00_13329 = 
(BgL_spz00_13315+((long)1)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2464z00_13331;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2465z00_13332;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2466z00_13333;
BgL_arg2466z00_13333 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13310, BNIL); 
BgL_arg2465z00_13332 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13309, BgL_arg2466z00_13333); } 
BgL_list2464z00_13331 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13308, BgL_arg2465z00_13332); } 
BgL_arg2463z00_13330 = BgL_list2464z00_13331; } 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2462z00_13329,BgL_arg2463z00_13330); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2467z00_13334;
BgL_arg2467z00_13334 = 
(BgL_spz00_13315+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2467z00_13334,BgL_a1z00_13307); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2468z00_13335;
BgL_arg2468z00_13335 = 
(BgL_spz00_13315+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2468z00_13335,BgL_a2z00_13308); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2469z00_13336;obj_t BgL_arg2470z00_13337;
BgL_arg2469z00_13336 = 
(BgL_spz00_13315+((long)2)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2471z00_13338;
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2472z00_13339;
BgL_arg2472z00_13339 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13310, BNIL); 
BgL_list2471z00_13338 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13309, BgL_arg2472z00_13339); } 
BgL_arg2470z00_13337 = BgL_list2471z00_13338; } 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2469z00_13336,BgL_arg2470z00_13337); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2473z00_13340;
BgL_arg2473z00_13340 = 
(BgL_spz00_13315+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2473z00_13340,BgL_a1z00_13307); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2474z00_13341;
BgL_arg2474z00_13341 = 
(BgL_spz00_13315+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2474z00_13341,BgL_a2z00_13308); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2475z00_13342;
BgL_arg2475z00_13342 = 
(BgL_spz00_13315+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2475z00_13342,BgL_a3z00_13309); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2476z00_13343;obj_t BgL_arg2477z00_13344;
BgL_arg2476z00_13343 = 
(BgL_spz00_13315+((long)3)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_list2478z00_13345;
BgL_list2478z00_13345 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13310, BNIL); 
BgL_arg2477z00_13344 = BgL_list2478z00_13345; } 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2476z00_13343,BgL_arg2477z00_13344); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2479z00_13346;
BgL_arg2479z00_13346 = 
(BgL_spz00_13315+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2479z00_13346,BgL_a1z00_13307); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2480z00_13347;
BgL_arg2480z00_13347 = 
(BgL_spz00_13315+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2480z00_13347,BgL_a2z00_13308); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2481z00_13348;
BgL_arg2481z00_13348 = 
(BgL_spz00_13315+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2481z00_13348,BgL_a3z00_13309); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2482z00_13349;
BgL_arg2482z00_13349 = 
(BgL_spz00_13315+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2482z00_13349,BgL_a4z00_13310); } 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2483z00_13350;obj_t BgL_arg2484z00_13351;
BgL_arg2483z00_13350 = 
(BgL_spz00_13315+((long)4)); 
BgL_arg2484z00_13351 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10879),BgL_arg2483z00_13350,BgL_arg2484z00_13351); } break;
default: 
BgL_case_else1207z00_13320:
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_arg2486z00_13321;
BgL_arg2486z00_13321 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13311), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10876, BgL_arg2486z00_13321, 
(int)(((long)4)), 
CINT(BgL_arityz00_13312)); } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
goto BgL_case_else1207z00_13320;} } 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_z12denvz12_13352;
BgL_z12denvz12_13352 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10879, 
BINT(BgL_spz00_13315), BgL_sfz00_13314))
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13313, BgL_sz00_10879, 
BINT(BgL_spz00_13315));}  else 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_nsz00_13353;
BgL_nsz00_13353 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 889 */
long BgL_arg2488z00_13354;
BgL_arg2488z00_13354 = 
(BgL_spz00_13315+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13353, ((long)2), BgL_sz00_10879, 
BINT(BgL_spz00_13315), 
BINT(BgL_arg2488z00_13354)); } 
VECTOR_SET(BgL_nsz00_13353,((long)1),BgL_sz00_10879); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13352, BgL_nsz00_13353); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_ez00_13355;
BgL_ez00_13355 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13355, BgL_sz00_10879); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_____rz00_13356;
BgL_____rz00_13356 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13313, BgL_nsz00_13353, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13355); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13352, BgL_sz00_10879); 
return BgL_____rz00_13356;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 889 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13306, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 889 */
long BgL_nbpz00_13357;
BgL_nbpz00_13357 = 
(
(long)CINT(BgL_bpz00_13305)+BgL_siza7eza7_10878); 
VECTOR_SET(
((obj_t)BgL_sz00_10879),((long)0),
BINT(BgL_nbpz00_13357)); 
{ /* Eval/evaluate_comp.scm 889 */
obj_t BgL_rz00_13358;
BgL_rz00_13358 = 
PROCEDURE_ENTRY(BgL_fz00_13306)(BgL_fz00_13306, BgL_a1z00_13307, BgL_a2z00_13308, BgL_a3z00_13309, BgL_a4z00_13310, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10879),((long)0),BgL_bpz00_13305); 
return BgL_rz00_13358;} }  else 
{ /* Eval/evaluate_comp.scm 889 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10876, BgL_symbzd2funzd2_10877, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13306));} } } } } } } } 
BGL_FUNCTION_END;
}



/* is-constant-fun? */
obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185, obj_t BgL_symbzd2funzd2_186)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 892 */
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_funz00_183), BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_gz00_3023;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2498z00_3031;obj_t BgL_arg2499z00_3032;
BgL_arg2498z00_3031 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_modz00); 
BgL_arg2499z00_3032 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_namez00); 
BgL_gz00_3023 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2498z00_3031, BgL_arg2499z00_3032); } 
if(
CBOOL(BgL_gz00_3023))
{ /* Eval/evaluate_comp.scm 898 */
bool_t BgL_testz00_19674;
{ /* Eval/evaluate_comp.scm 898 */
int BgL_arg2497z00_3030;
{ /* Eval/evaluate_comp.scm 898 */
int BgL_res4519z00_8160;
BgL_res4519z00_8160 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3023),((long)0))); 
BgL_arg2497z00_3030 = BgL_res4519z00_8160; } 
BgL_testz00_19674 = 
(
(long)(BgL_arg2497z00_3030)==((long)0)); } 
if(BgL_testz00_19674)
{ /* Eval/evaluate_comp.scm 899 */
obj_t BgL_valz00_3026;
BgL_valz00_3026 = 
VECTOR_REF(
((obj_t)BgL_gz00_3023),((long)2)); 
{ /* Eval/evaluate_comp.scm 900 */
bool_t BgL_testz00_19682;
if(
PROCEDUREP(BgL_valz00_3026))
{ /* Eval/evaluate_comp.scm 900 */
BgL_testz00_19682 = 
PROCEDURE_CORRECT_ARITYP(BgL_valz00_3026, 
(int)(BgL_nbargsz00_184))
; }  else 
{ /* Eval/evaluate_comp.scm 900 */
BgL_testz00_19682 = ((bool_t)0)
; } 
if(BgL_testz00_19682)
{ /* Eval/evaluate_comp.scm 900 */
return BgL_valz00_3026;}  else 
{ /* Eval/evaluate_comp.scm 900 */
return BFALSE;} } }  else 
{ /* Eval/evaluate_comp.scm 898 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 897 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 903 */
bool_t BgL_testz00_19687;
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_funz00_183), BGl_ev_littz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 904 */
obj_t BgL_tmpz00_19691;
BgL_tmpz00_19691 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_testz00_19687 = 
PROCEDUREP(BgL_tmpz00_19691); }  else 
{ /* Eval/evaluate_comp.scm 903 */
BgL_testz00_19687 = ((bool_t)0)
; } 
if(BgL_testz00_19687)
{ /* Eval/evaluate_comp.scm 906 */
bool_t BgL_testz00_19695;
{ /* Eval/evaluate_comp.scm 906 */
obj_t BgL_arg2507z00_3042;
BgL_arg2507z00_3042 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_testz00_19695 = 
PROCEDURE_CORRECT_ARITYP(BgL_arg2507z00_3042, 
(int)(BgL_nbargsz00_184)); } 
if(BgL_testz00_19695)
{ /* Eval/evaluate_comp.scm 906 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00);}  else 
{ /* Eval/evaluate_comp.scm 908 */
int BgL_arg2505z00_3040;
{ /* Eval/evaluate_comp.scm 908 */
obj_t BgL_arg2506z00_3041;
BgL_arg2506z00_3041 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_arg2505z00_3040 = 
PROCEDURE_ARITY(BgL_arg2506z00_3041); } 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185, BgL_symbzd2funzd2_186, 
(int)(BgL_nbargsz00_184), BgL_arg2505z00_3040);} }  else 
{ /* Eval/evaluate_comp.scm 903 */
return BFALSE;} } } 
BGL_FUNCTION_END;
}



/* compile-float-arith */
obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_exprz00_187, obj_t BgL_stkz00_188)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 911 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_littz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 915 */
if(
INTEGERP(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00)))
{ /* Eval/evaluate_comp.scm 917 */
obj_t BgL_v1346z00_3051;
BgL_v1346z00_3051 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1346z00_3051,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 917 */
double BgL_arg2512z00_3052;
BgL_arg2512z00_3052 = 
(double)(
(long)CINT(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00))); 
VECTOR_SET(BgL_v1346z00_3051,((long)1),
DOUBLE_TO_REAL(BgL_arg2512z00_3052)); } 
return BgL_v1346z00_3051;}  else 
{ /* Eval/evaluate_comp.scm 918 */
bool_t BgL_testz00_19722;
{ /* Eval/evaluate_comp.scm 918 */
obj_t BgL_tmpz00_19723;
BgL_tmpz00_19723 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
BgL_testz00_19722 = 
REALP(BgL_tmpz00_19723); } 
if(BgL_testz00_19722)
{ /* Eval/evaluate_comp.scm 918 */
obj_t BgL_v1347z00_3056;
BgL_v1347z00_3056 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1347z00_3056,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 918 */
obj_t BgL_arg2516z00_3057;
BgL_arg2516z00_3057 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
VECTOR_SET(BgL_v1347z00_3056,((long)1),BgL_arg2516z00_3057); } 
return BgL_v1347z00_3056;}  else 
{ /* Eval/evaluate_comp.scm 919 */
obj_t BgL_v1348z00_3058;
BgL_v1348z00_3058 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1348z00_3058,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 919 */
obj_t BgL_arg2517z00_3059;
BgL_arg2517z00_3059 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_littz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1348z00_3058,((long)1),BgL_arg2517z00_3059); } 
return BgL_v1348z00_3058;} } }  else 
{ /* Eval/evaluate_comp.scm 915 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 920 */
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_exprz00_187)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 923 */
obj_t BgL_v1349z00_3065;
BgL_v1349z00_3065 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1349z00_3065,((long)0),
BINT(((long)3))); 
VECTOR_SET(BgL_v1349z00_3065,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1349z00_3065;}  else 
{ /* Eval/evaluate_comp.scm 924 */
obj_t BgL_v1350z00_3067;
BgL_v1350z00_3067 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1350z00_3067,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1350z00_3067,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1350z00_3067;} }  else 
{ /* Eval/evaluate_comp.scm 920 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 927 */
obj_t BgL_gz00_3071;
{ /* Eval/evaluate_comp.scm 927 */
obj_t BgL_arg2529z00_3079;obj_t BgL_arg2530z00_3080;
BgL_arg2529z00_3079 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_modz00); 
BgL_arg2530z00_3080 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_namez00); 
BgL_gz00_3071 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2529z00_3079, BgL_arg2530z00_3080); } 
if(
CBOOL(BgL_gz00_3071))
{ /* Eval/evaluate_comp.scm 929 */
bool_t BgL_testz00_19765;
{ /* Eval/evaluate_comp.scm 929 */
int BgL_arg2527z00_3076;
{ /* Eval/evaluate_comp.scm 929 */
int BgL_res4526z00_8183;
BgL_res4526z00_8183 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3071),((long)0))); 
BgL_arg2527z00_3076 = BgL_res4526z00_8183; } 
BgL_testz00_19765 = 
(
BINT(BgL_arg2527z00_3076)==
BINT(((long)1))); } 
if(BgL_testz00_19765)
{ /* Eval/evaluate_comp.scm 930 */
obj_t BgL_v1351z00_3074;
BgL_v1351z00_3074 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1351z00_3074,((long)0),
BINT(((long)4))); 
VECTOR_SET(BgL_v1351z00_3074,((long)1),BgL_gz00_3071); 
return BgL_v1351z00_3074;}  else 
{ /* Eval/evaluate_comp.scm 931 */
obj_t BgL_v1352z00_3075;
BgL_v1352z00_3075 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1352z00_3075,((long)0),
BINT(((long)5))); 
VECTOR_SET(BgL_v1352z00_3075,((long)1),BgL_gz00_3071); 
return BgL_v1352z00_3075;} }  else 
{ /* Eval/evaluate_comp.scm 932 */
obj_t BgL_v1353z00_3077;
BgL_v1353z00_3077 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1353z00_3077,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 932 */
obj_t BgL_arg2528z00_3078;
BgL_arg2528z00_3078 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_globalz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1353z00_3077,((long)1),BgL_arg2528z00_3078); } 
return BgL_v1353z00_3077;} }  else 
{ /* Eval/evaluate_comp.scm 925 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_appz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 935 */
obj_t BgL_fvalz00_3083;
{ /* Eval/evaluate_comp.scm 935 */
BgL_ev_exprz00_bglt BgL_arg2572z00_3131;
BgL_arg2572z00_3131 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_fvalz00_3083 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_arg2572z00_3131); } 
if(
(BgL_fvalz00_3083==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_v1354z00_3085;
BgL_v1354z00_3085 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1354z00_3085,((long)0),
BINT(((long)6))); 
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_arg2533z00_3086;
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_arg2534z00_3087;
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_pairz00_8191;
BgL_pairz00_8191 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2534z00_3087 = 
CAR(BgL_pairz00_8191); } 
BgL_arg2533z00_3086 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2534z00_3087, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1354z00_3085,((long)1),BgL_arg2533z00_3086); } 
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_arg2536z00_3089;
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_arg2537z00_3090;
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_pairz00_8193;
BgL_pairz00_8193 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2537z00_3090 = 
CAR(
CDR(BgL_pairz00_8193)); } 
BgL_arg2536z00_3089 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2537z00_3090, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1354z00_3085,((long)2),BgL_arg2536z00_3089); } 
return BgL_v1354z00_3085;}  else 
{ /* Eval/evaluate_comp.scm 937 */
if(
(BgL_fvalz00_3083==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_v1355z00_3093;
BgL_v1355z00_3093 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1355z00_3093,((long)0),
BINT(((long)7))); 
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_arg2540z00_3094;
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_arg2541z00_3095;
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_pairz00_8199;
BgL_pairz00_8199 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2541z00_3095 = 
CAR(BgL_pairz00_8199); } 
BgL_arg2540z00_3094 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2541z00_3095, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1355z00_3093,((long)1),BgL_arg2540z00_3094); } 
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_arg2543z00_3097;
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_arg2544z00_3098;
{ /* Eval/evaluate_comp.scm 940 */
obj_t BgL_pairz00_8201;
BgL_pairz00_8201 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2544z00_3098 = 
CAR(
CDR(BgL_pairz00_8201)); } 
BgL_arg2543z00_3097 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2544z00_3098, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1355z00_3093,((long)2),BgL_arg2543z00_3097); } 
return BgL_v1355z00_3093;}  else 
{ /* Eval/evaluate_comp.scm 939 */
if(
(BgL_fvalz00_3083==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_v1356z00_3101;
BgL_v1356z00_3101 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1356z00_3101,((long)0),
BINT(((long)8))); 
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_arg2547z00_3102;
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_arg2548z00_3103;
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_pairz00_8207;
BgL_pairz00_8207 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2548z00_3103 = 
CAR(BgL_pairz00_8207); } 
BgL_arg2547z00_3102 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2548z00_3103, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1356z00_3101,((long)1),BgL_arg2547z00_3102); } 
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_arg2550z00_3105;
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_arg2551z00_3106;
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_pairz00_8209;
BgL_pairz00_8209 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2551z00_3106 = 
CAR(
CDR(BgL_pairz00_8209)); } 
BgL_arg2550z00_3105 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2551z00_3106, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1356z00_3101,((long)2),BgL_arg2550z00_3105); } 
return BgL_v1356z00_3101;}  else 
{ /* Eval/evaluate_comp.scm 941 */
if(
(BgL_fvalz00_3083==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_v1357z00_3109;
BgL_v1357z00_3109 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1357z00_3109,((long)0),
BINT(((long)9))); 
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_arg2554z00_3110;
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_arg2555z00_3111;
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_pairz00_8215;
BgL_pairz00_8215 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2555z00_3111 = 
CAR(BgL_pairz00_8215); } 
BgL_arg2554z00_3110 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2555z00_3111, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1357z00_3109,((long)1),BgL_arg2554z00_3110); } 
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_arg2557z00_3113;
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_arg2558z00_3114;
{ /* Eval/evaluate_comp.scm 944 */
obj_t BgL_pairz00_8217;
BgL_pairz00_8217 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2558z00_3114 = 
CAR(
CDR(BgL_pairz00_8217)); } 
BgL_arg2557z00_3113 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2558z00_3114, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1357z00_3109,((long)2),BgL_arg2557z00_3113); } 
return BgL_v1357z00_3109;}  else 
{ /* Eval/evaluate_comp.scm 943 */
if(
(BgL_fvalz00_3083==BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 946 */
obj_t BgL_v1358z00_3117;
BgL_v1358z00_3117 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1358z00_3117,((long)0),
BINT(((long)10))); 
{ /* Eval/evaluate_comp.scm 946 */
obj_t BgL_arg2561z00_3118;
{ /* Eval/evaluate_comp.scm 946 */
obj_t BgL_arg2562z00_3119;
{ /* Eval/evaluate_comp.scm 946 */
obj_t BgL_pairz00_8223;
BgL_pairz00_8223 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2562z00_3119 = 
CAR(BgL_pairz00_8223); } 
BgL_arg2561z00_3118 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2562z00_3119), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1358z00_3117,((long)1),BgL_arg2561z00_3118); } 
return BgL_v1358z00_3117;}  else 
{ /* Eval/evaluate_comp.scm 945 */
if(
(BgL_fvalz00_3083==BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_v1359z00_3122;
BgL_v1359z00_3122 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1359z00_3122,((long)0),
BINT(((long)11))); 
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_arg2565z00_3123;
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_arg2566z00_3124;
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_pairz00_8226;
BgL_pairz00_8226 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2566z00_3124 = 
CAR(BgL_pairz00_8226); } 
BgL_arg2565z00_3123 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2566z00_3124), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1359z00_3122,((long)1),BgL_arg2565z00_3123); } 
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_arg2568z00_3126;
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_arg2569z00_3127;
{ /* Eval/evaluate_comp.scm 948 */
obj_t BgL_pairz00_8228;
BgL_pairz00_8228 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2569z00_3127 = 
CAR(
CDR(BgL_pairz00_8228)); } 
BgL_arg2568z00_3126 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2569z00_3127), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1359z00_3122,((long)2),BgL_arg2568z00_3126); } 
return BgL_v1359z00_3122;}  else 
{ /* Eval/evaluate_comp.scm 950 */
obj_t BgL_v1360z00_3129;
BgL_v1360z00_3129 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1360z00_3129,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 950 */
obj_t BgL_arg2571z00_3130;
BgL_arg2571z00_3130 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_appz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1360z00_3129,((long)1),BgL_arg2571z00_3130); } 
return BgL_v1360z00_3129;} } } } } } }  else 
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_v1361z00_3132;
BgL_v1361z00_3132 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1361z00_3132,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_arg2573z00_3133;
BgL_arg2573z00_3133 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1361z00_3132,((long)1),BgL_arg2573z00_3133); } 
return BgL_v1361z00_3132;} } } } } 
BGL_FUNCTION_END;
}



/* eval-float-arith */
double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189, obj_t BgL_sz00_190)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 953 */
return 
REAL_TO_DOUBLE(
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_190, BgL_bcz00_189));} 
BGL_FUNCTION_END;
}



/* E~0 */
obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t BgL_sz00_12542, obj_t BgL_bcz00_3138)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 968 */
{ 

{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_aux1217z00_3141;
BgL_aux1217z00_3141 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)0)); 
if(
INTEGERP(BgL_aux1217z00_3141))
{ /* Eval/evaluate_comp.scm 955 */
switch( 
(long)CINT(BgL_aux1217z00_3141)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 956 */
obj_t BgL_fun2577z00_3143;
BgL_fun2577z00_3143 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)1)); 
return 
PROCEDURE_ENTRY(BgL_fun2577z00_3143)(BgL_fun2577z00_3143, BgL_sz00_12542, BEOA);} break;case ((long)1) : 

return 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)1));break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 958 */
long BgL_arg2578z00_3144;
{ /* Eval/evaluate_comp.scm 958 */
obj_t BgL_arg2579z00_3145;obj_t BgL_arg2580z00_3146;
BgL_arg2579z00_3145 = 
VECTOR_REF(
((obj_t)BgL_sz00_12542),((long)0)); 
BgL_arg2580z00_3146 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)1)); 
BgL_arg2578z00_3144 = 
(
(long)CINT(BgL_arg2579z00_3145)+
(long)CINT(BgL_arg2580z00_3146)); } 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12542),BgL_arg2578z00_3144);} break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 959 */
obj_t BgL_arg2581z00_3147;
{ /* Eval/evaluate_comp.scm 959 */
long BgL_arg2582z00_3148;
{ /* Eval/evaluate_comp.scm 959 */
obj_t BgL_arg2583z00_3149;obj_t BgL_arg2584z00_3150;
BgL_arg2583z00_3149 = 
VECTOR_REF(
((obj_t)BgL_sz00_12542),((long)0)); 
BgL_arg2584z00_3150 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)1)); 
BgL_arg2582z00_3148 = 
(
(long)CINT(BgL_arg2583z00_3149)+
(long)CINT(BgL_arg2584z00_3150)); } 
BgL_arg2581z00_3147 = 
VECTOR_REF(
((obj_t)BgL_sz00_12542),BgL_arg2582z00_3148); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2581z00_3147), 
(int)(((long)0)));} break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 960 */
obj_t BgL_arg2585z00_3151;
{ /* Eval/evaluate_comp.scm 960 */
obj_t BgL_arg2586z00_3152;
BgL_arg2586z00_3152 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)1)); 
BgL_arg2585z00_3151 = 
VECTOR_REF(
((obj_t)BgL_arg2586z00_3152),((long)2)); } 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2585z00_3151);} break;case ((long)5) : 

{ /* Eval/evaluate_comp.scm 961 */
obj_t BgL_arg2587z00_3153;
BgL_arg2587z00_3153 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_arg2587z00_3153),((long)2));} break;case ((long)6) : 

{ /* Eval/evaluate_comp.scm 962 */
obj_t BgL_arg2588z00_3154;obj_t BgL_arg2589z00_3155;
{ /* Eval/evaluate_comp.scm 962 */
obj_t BgL_arg2590z00_3156;
BgL_arg2590z00_3156 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)1)); 
BgL_arg2588z00_3154 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12542, BgL_arg2590z00_3156); } 
{ /* Eval/evaluate_comp.scm 962 */
obj_t BgL_arg2591z00_3157;
BgL_arg2591z00_3157 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)2)); 
BgL_arg2589z00_3155 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12542, BgL_arg2591z00_3157); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2588z00_3154)+
REAL_TO_DOUBLE(BgL_arg2589z00_3155)));} break;case ((long)7) : 

{ /* Eval/evaluate_comp.scm 963 */
obj_t BgL_arg2592z00_3158;obj_t BgL_arg2593z00_3159;
{ /* Eval/evaluate_comp.scm 963 */
obj_t BgL_arg2594z00_3160;
BgL_arg2594z00_3160 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)1)); 
BgL_arg2592z00_3158 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12542, BgL_arg2594z00_3160); } 
{ /* Eval/evaluate_comp.scm 963 */
obj_t BgL_arg2595z00_3161;
BgL_arg2595z00_3161 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)2)); 
BgL_arg2593z00_3159 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12542, BgL_arg2595z00_3161); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2592z00_3158)-
REAL_TO_DOUBLE(BgL_arg2593z00_3159)));} break;case ((long)8) : 

{ /* Eval/evaluate_comp.scm 964 */
obj_t BgL_arg2596z00_3162;obj_t BgL_arg2597z00_3163;
{ /* Eval/evaluate_comp.scm 964 */
obj_t BgL_arg2598z00_3164;
BgL_arg2598z00_3164 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)1)); 
BgL_arg2596z00_3162 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12542, BgL_arg2598z00_3164); } 
{ /* Eval/evaluate_comp.scm 964 */
obj_t BgL_arg2599z00_3165;
BgL_arg2599z00_3165 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)2)); 
BgL_arg2597z00_3163 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12542, BgL_arg2599z00_3165); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2596z00_3162)*
REAL_TO_DOUBLE(BgL_arg2597z00_3163)));} break;case ((long)9) : 

{ /* Eval/evaluate_comp.scm 965 */
obj_t BgL_arg2600z00_3166;obj_t BgL_arg2601z00_3167;
{ /* Eval/evaluate_comp.scm 965 */
obj_t BgL_arg2602z00_3168;
BgL_arg2602z00_3168 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)1)); 
BgL_arg2600z00_3166 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12542, BgL_arg2602z00_3168); } 
{ /* Eval/evaluate_comp.scm 965 */
obj_t BgL_arg2603z00_3169;
BgL_arg2603z00_3169 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)2)); 
BgL_arg2601z00_3167 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12542, BgL_arg2603z00_3169); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2600z00_3166)/
REAL_TO_DOUBLE(BgL_arg2601z00_3167)));} break;case ((long)10) : 

{ /* Eval/evaluate_comp.scm 966 */
obj_t BgL_arg2604z00_3170;
{ /* Eval/evaluate_comp.scm 966 */
obj_t BgL_fun2605z00_3171;
BgL_fun2605z00_3171 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)1)); 
BgL_arg2604z00_3170 = 
PROCEDURE_ENTRY(BgL_fun2605z00_3171)(BgL_fun2605z00_3171, BgL_sz00_12542, BEOA); } 
return 
DOUBLE_TO_REAL(
(double)(
(long)CINT(BgL_arg2604z00_3170)));} break;case ((long)11) : 

{ /* Eval/evaluate_comp.scm 967 */
obj_t BgL_arg2606z00_3172;obj_t BgL_arg2607z00_3173;
{ /* Eval/evaluate_comp.scm 967 */
obj_t BgL_fun2608z00_3174;
BgL_fun2608z00_3174 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)1)); 
BgL_arg2606z00_3172 = 
PROCEDURE_ENTRY(BgL_fun2608z00_3174)(BgL_fun2608z00_3174, BgL_sz00_12542, BEOA); } 
{ /* Eval/evaluate_comp.scm 967 */
obj_t BgL_fun2609z00_3175;
BgL_fun2609z00_3175 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)2)); 
BgL_arg2607z00_3173 = 
PROCEDURE_ENTRY(BgL_fun2609z00_3175)(BgL_fun2609z00_3175, BgL_sz00_12542, BEOA); } 
{ /* Eval/evaluate_comp.scm 967 */
double BgL_tmpz00_20003;
{ /* Eval/evaluate_comp.scm 967 */
long BgL_tmpz00_20004;
BgL_tmpz00_20004 = 
(long)CINT(BgL_arg2607z00_3173); 
BgL_tmpz00_20003 = 
BGL_F64VREF(BgL_arg2606z00_3172, BgL_tmpz00_20004); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_20003);} } break;
default: 
BgL_case_else1216z00_3140:
{ /* Eval/evaluate_comp.scm 968 */
obj_t BgL_arg2610z00_3176;
BgL_arg2610z00_3176 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3138),((long)0)); 
return 
BGl_errorz00zz__errorz00(BGl_string5167z00zz__evaluate_compz00, BGl_string5186z00zz__evaluate_compz00, BgL_arg2610z00_3176);} } }  else 
{ /* Eval/evaluate_comp.scm 955 */
goto BgL_case_else1216z00_3140;} } } } 
BGL_FUNCTION_END;
}



/* arith-expression */
obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_exprz00_191, obj_t BgL_stkz00_192)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 971 */
{ /* Eval/evaluate_comp.scm 973 */
obj_t BgL_fvalz00_3179;
BgL_fvalz00_3179 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_exprz00_191))->BgL_funz00)); 
{ /* Eval/evaluate_comp.scm 974 */
bool_t BgL_testz00_20015;
if(
(BgL_fvalz00_3179==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 974 */
BgL_testz00_20015 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 974 */
if(
(BgL_fvalz00_3179==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 974 */
BgL_testz00_20015 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 974 */
if(
(BgL_fvalz00_3179==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 974 */
BgL_testz00_20015 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 974 */
BgL_testz00_20015 = 
(BgL_fvalz00_3179==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00)
; } } } 
if(BgL_testz00_20015)
{ /* Eval/evaluate_comp.scm 975 */
obj_t BgL_bcz00_3184;
BgL_bcz00_3184 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
((obj_t)BgL_exprz00_191), BgL_stkz00_192); 
{ /* Eval/evaluate_comp.scm 976 */
obj_t BgL_zc3anonymousza32615ze3z83_10897;
BgL_zc3anonymousza32615ze3z83_10897 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32615ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32615ze3z83_10897, 
(int)(((long)0)), BgL_bcz00_3184); 
return BgL_zc3anonymousza32615ze3z83_10897;} }  else 
{ /* Eval/evaluate_comp.scm 974 */
return BFALSE;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2615> */
obj_t BGl_z62zc3anonymousza32615ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10898, obj_t BgL_sz00_10900)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 976 */
{ /* Eval/evaluate_comp.scm 976 */
obj_t BgL_bcz00_10899;
BgL_bcz00_10899 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10898, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 976 */
double BgL_tmpz00_20033;
{ /* Eval/evaluate_comp.scm 976 */
obj_t BgL_bpz00_13359;
BgL_bpz00_13359 = 
VECTOR_REF(
((obj_t)BgL_sz00_10900),((long)0)); 
BgL_tmpz00_20033 = 
BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_10899, BgL_sz00_10900); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_20033);} } } 
BGL_FUNCTION_END;
}



/* inline-call */
obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193, BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195, obj_t BgL_stkz00_196)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1005 */
{ /* Eval/evaluate_comp.scm 1006 */
obj_t BgL_valz00_3192;
BgL_valz00_3192 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194); 
if(
CBOOL(BgL_valz00_3192))
{ /* Eval/evaluate_comp.scm 1008 */
long BgL_nz00_3193;
BgL_nz00_3193 = 
bgl_list_length(BgL_argsz00_195); 
{ /* Eval/evaluate_comp.scm 1009 */
obj_t BgL__ortest_1223z00_3194;
if(
(BgL_nz00_3193==((long)1)))
{ /* Eval/evaluate_comp.scm 1010 */
obj_t BgL_a1z00_3485;
BgL_a1z00_3485 = 
CAR(
((obj_t)BgL_argsz00_195)); 
if(
(BgL_valz00_3192==BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_3487;
BgL_a1z00_3487 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3485), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_zc3anonymousza32732ze3z83_10930;
BgL_zc3anonymousza32732ze3z83_10930 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32732ze3z83_10930, 
(int)(((long)0)), BgL_a1z00_3487); 
PROCEDURE_SET(BgL_zc3anonymousza32732ze3z83_10930, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1223z00_3194 = BgL_zc3anonymousza32732ze3z83_10930; } }  else 
{ /* Eval/evaluate_comp.scm 1011 */
if(
(BgL_valz00_3192==BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_3494;
BgL_a1z00_3494 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3485), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_zc3anonymousza32735ze3z83_10931;
BgL_zc3anonymousza32735ze3z83_10931 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32735ze3z83_10931, 
(int)(((long)0)), BgL_a1z00_3494); 
PROCEDURE_SET(BgL_zc3anonymousza32735ze3z83_10931, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1223z00_3194 = BgL_zc3anonymousza32735ze3z83_10931; } }  else 
{ /* Eval/evaluate_comp.scm 1011 */
if(
(BgL_valz00_3192==BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_3501;
BgL_a1z00_3501 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3485), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_zc3anonymousza32738ze3z83_10932;
BgL_zc3anonymousza32738ze3z83_10932 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32738ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32738ze3z83_10932, 
(int)(((long)0)), BgL_a1z00_3501); 
PROCEDURE_SET(BgL_zc3anonymousza32738ze3z83_10932, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1223z00_3194 = BgL_zc3anonymousza32738ze3z83_10932; } }  else 
{ /* Eval/evaluate_comp.scm 1011 */
BgL__ortest_1223z00_3194 = BFALSE; } } } }  else 
{ /* Eval/evaluate_comp.scm 1009 */
BgL__ortest_1223z00_3194 = BFALSE; } 
if(
CBOOL(BgL__ortest_1223z00_3194))
{ /* Eval/evaluate_comp.scm 1009 */
return BgL__ortest_1223z00_3194;}  else 
{ /* Eval/evaluate_comp.scm 1009 */
if(
(BgL_nz00_3193==((long)2)))
{ /* Eval/evaluate_comp.scm 1013 */
obj_t BgL_a1z00_3196;obj_t BgL_a2z00_3197;
BgL_a1z00_3196 = 
CAR(
((obj_t)BgL_argsz00_195)); 
{ /* Eval/evaluate_comp.scm 1013 */
obj_t BgL_pairz00_8308;
BgL_pairz00_8308 = 
CDR(
((obj_t)BgL_argsz00_195)); 
BgL_a2z00_3197 = 
CAR(BgL_pairz00_8308); } 
if(
(BgL_valz00_3192==BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3199;obj_t BgL_a2z00_3200;
BgL_a1z00_3199 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3200 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32619ze3z83_10901;
BgL_zc3anonymousza32619ze3z83_10901 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32619ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32619ze3z83_10901, 
(int)(((long)0)), BgL_a1z00_3199); 
PROCEDURE_SET(BgL_zc3anonymousza32619ze3z83_10901, 
(int)(((long)1)), BgL_a2z00_3200); 
PROCEDURE_SET(BgL_zc3anonymousza32619ze3z83_10901, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32619ze3z83_10901;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3209;obj_t BgL_a2z00_3210;
BgL_a1z00_3209 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3210 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32623ze3z83_10902;
BgL_zc3anonymousza32623ze3z83_10902 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32623ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32623ze3z83_10902, 
(int)(((long)0)), BgL_a1z00_3209); 
PROCEDURE_SET(BgL_zc3anonymousza32623ze3z83_10902, 
(int)(((long)1)), BgL_a2z00_3210); 
PROCEDURE_SET(BgL_zc3anonymousza32623ze3z83_10902, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32623ze3z83_10902;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_za2zd2envz70zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3219;obj_t BgL_a2z00_3220;
BgL_a1z00_3219 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3220 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32627ze3z83_10903;
BgL_zc3anonymousza32627ze3z83_10903 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32627ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32627ze3z83_10903, 
(int)(((long)0)), BgL_a1z00_3219); 
PROCEDURE_SET(BgL_zc3anonymousza32627ze3z83_10903, 
(int)(((long)1)), BgL_a2z00_3220); 
PROCEDURE_SET(BgL_zc3anonymousza32627ze3z83_10903, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32627ze3z83_10903;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3229;obj_t BgL_a2z00_3230;
BgL_a1z00_3229 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3230 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32631ze3z83_10904;
BgL_zc3anonymousza32631ze3z83_10904 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32631ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32631ze3z83_10904, 
(int)(((long)0)), BgL_a1z00_3229); 
PROCEDURE_SET(BgL_zc3anonymousza32631ze3z83_10904, 
(int)(((long)1)), BgL_a2z00_3230); 
PROCEDURE_SET(BgL_zc3anonymousza32631ze3z83_10904, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32631ze3z83_10904;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3239;obj_t BgL_a2z00_3240;
BgL_a1z00_3239 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3240 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32635ze3z83_10905;
BgL_zc3anonymousza32635ze3z83_10905 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32635ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32635ze3z83_10905, 
(int)(((long)0)), BgL_a1z00_3239); 
PROCEDURE_SET(BgL_zc3anonymousza32635ze3z83_10905, 
(int)(((long)1)), BgL_a2z00_3240); 
PROCEDURE_SET(BgL_zc3anonymousza32635ze3z83_10905, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32635ze3z83_10905;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3249;obj_t BgL_a2z00_3250;
BgL_a1z00_3249 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3250 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32639ze3z83_10906;
BgL_zc3anonymousza32639ze3z83_10906 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32639ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32639ze3z83_10906, 
(int)(((long)0)), BgL_a1z00_3249); 
PROCEDURE_SET(BgL_zc3anonymousza32639ze3z83_10906, 
(int)(((long)1)), BgL_a2z00_3250); 
PROCEDURE_SET(BgL_zc3anonymousza32639ze3z83_10906, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32639ze3z83_10906;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3259;obj_t BgL_a2z00_3260;
BgL_a1z00_3259 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3260 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32643ze3z83_10907;
BgL_zc3anonymousza32643ze3z83_10907 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32643ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32643ze3z83_10907, 
(int)(((long)0)), BgL_a1z00_3259); 
PROCEDURE_SET(BgL_zc3anonymousza32643ze3z83_10907, 
(int)(((long)1)), BgL_a2z00_3260); 
PROCEDURE_SET(BgL_zc3anonymousza32643ze3z83_10907, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32643ze3z83_10907;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3269;obj_t BgL_a2z00_3270;
BgL_a1z00_3269 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3270 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32647ze3z83_10908;
BgL_zc3anonymousza32647ze3z83_10908 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32647ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32647ze3z83_10908, 
(int)(((long)0)), BgL_a1z00_3269); 
PROCEDURE_SET(BgL_zc3anonymousza32647ze3z83_10908, 
(int)(((long)1)), BgL_a2z00_3270); 
PROCEDURE_SET(BgL_zc3anonymousza32647ze3z83_10908, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32647ze3z83_10908;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3279;obj_t BgL_a2z00_3280;
BgL_a1z00_3279 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3280 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32651ze3z83_10909;
BgL_zc3anonymousza32651ze3z83_10909 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32651ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32651ze3z83_10909, 
(int)(((long)0)), BgL_a1z00_3279); 
PROCEDURE_SET(BgL_zc3anonymousza32651ze3z83_10909, 
(int)(((long)1)), BgL_a2z00_3280); 
PROCEDURE_SET(BgL_zc3anonymousza32651ze3z83_10909, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32651ze3z83_10909;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3289;obj_t BgL_a2z00_3290;
BgL_a1z00_3289 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3290 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32655ze3z83_10910;
BgL_zc3anonymousza32655ze3z83_10910 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32655ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32655ze3z83_10910, 
(int)(((long)0)), BgL_a1z00_3289); 
PROCEDURE_SET(BgL_zc3anonymousza32655ze3z83_10910, 
(int)(((long)1)), BgL_a2z00_3290); 
PROCEDURE_SET(BgL_zc3anonymousza32655ze3z83_10910, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32655ze3z83_10910;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3299;obj_t BgL_a2z00_3300;
BgL_a1z00_3299 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3300 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32659ze3z83_10911;
BgL_zc3anonymousza32659ze3z83_10911 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32659ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32659ze3z83_10911, 
(int)(((long)0)), BgL_a1z00_3299); 
PROCEDURE_SET(BgL_zc3anonymousza32659ze3z83_10911, 
(int)(((long)1)), BgL_a2z00_3300); 
PROCEDURE_SET(BgL_zc3anonymousza32659ze3z83_10911, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32659ze3z83_10911;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3309;obj_t BgL_a2z00_3310;
BgL_a1z00_3309 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3310 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32663ze3z83_10912;
BgL_zc3anonymousza32663ze3z83_10912 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32663ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32663ze3z83_10912, 
(int)(((long)0)), BgL_a1z00_3309); 
PROCEDURE_SET(BgL_zc3anonymousza32663ze3z83_10912, 
(int)(((long)1)), BgL_a2z00_3310); 
PROCEDURE_SET(BgL_zc3anonymousza32663ze3z83_10912, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32663ze3z83_10912;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3319;obj_t BgL_a2z00_3320;
BgL_a1z00_3319 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3320 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32667ze3z83_10913;
BgL_zc3anonymousza32667ze3z83_10913 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32667ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32667ze3z83_10913, 
(int)(((long)0)), BgL_a1z00_3319); 
PROCEDURE_SET(BgL_zc3anonymousza32667ze3z83_10913, 
(int)(((long)1)), BgL_a2z00_3320); 
PROCEDURE_SET(BgL_zc3anonymousza32667ze3z83_10913, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32667ze3z83_10913;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3329;obj_t BgL_a2z00_3330;
BgL_a1z00_3329 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3330 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32671ze3z83_10914;
BgL_zc3anonymousza32671ze3z83_10914 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32671ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32671ze3z83_10914, 
(int)(((long)0)), BgL_a1z00_3329); 
PROCEDURE_SET(BgL_zc3anonymousza32671ze3z83_10914, 
(int)(((long)1)), BgL_a2z00_3330); 
PROCEDURE_SET(BgL_zc3anonymousza32671ze3z83_10914, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32671ze3z83_10914;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3339;obj_t BgL_a2z00_3340;
BgL_a1z00_3339 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3340 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32675ze3z83_10915;
BgL_zc3anonymousza32675ze3z83_10915 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32675ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32675ze3z83_10915, 
(int)(((long)0)), BgL_a1z00_3339); 
PROCEDURE_SET(BgL_zc3anonymousza32675ze3z83_10915, 
(int)(((long)1)), BgL_a2z00_3340); 
PROCEDURE_SET(BgL_zc3anonymousza32675ze3z83_10915, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32675ze3z83_10915;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3349;obj_t BgL_a2z00_3350;
BgL_a1z00_3349 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3350 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32679ze3z83_10916;
BgL_zc3anonymousza32679ze3z83_10916 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32679ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32679ze3z83_10916, 
(int)(((long)0)), BgL_a1z00_3349); 
PROCEDURE_SET(BgL_zc3anonymousza32679ze3z83_10916, 
(int)(((long)1)), BgL_a2z00_3350); 
PROCEDURE_SET(BgL_zc3anonymousza32679ze3z83_10916, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32679ze3z83_10916;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3359;obj_t BgL_a2z00_3360;
BgL_a1z00_3359 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3360 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32683ze3z83_10917;
BgL_zc3anonymousza32683ze3z83_10917 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32683ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32683ze3z83_10917, 
(int)(((long)0)), BgL_a1z00_3359); 
PROCEDURE_SET(BgL_zc3anonymousza32683ze3z83_10917, 
(int)(((long)1)), BgL_a2z00_3360); 
PROCEDURE_SET(BgL_zc3anonymousza32683ze3z83_10917, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32683ze3z83_10917;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3369;obj_t BgL_a2z00_3370;
BgL_a1z00_3369 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3370 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32687ze3z83_10918;
BgL_zc3anonymousza32687ze3z83_10918 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32687ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32687ze3z83_10918, 
(int)(((long)0)), BgL_a1z00_3369); 
PROCEDURE_SET(BgL_zc3anonymousza32687ze3z83_10918, 
(int)(((long)1)), BgL_a2z00_3370); 
PROCEDURE_SET(BgL_zc3anonymousza32687ze3z83_10918, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32687ze3z83_10918;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3379;obj_t BgL_a2z00_3380;
BgL_a1z00_3379 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3380 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32691ze3z83_10919;
BgL_zc3anonymousza32691ze3z83_10919 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32691ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32691ze3z83_10919, 
(int)(((long)0)), BgL_a1z00_3379); 
PROCEDURE_SET(BgL_zc3anonymousza32691ze3z83_10919, 
(int)(((long)1)), BgL_a2z00_3380); 
PROCEDURE_SET(BgL_zc3anonymousza32691ze3z83_10919, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32691ze3z83_10919;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3389;obj_t BgL_a2z00_3390;
BgL_a1z00_3389 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3390 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32695ze3z83_10920;
BgL_zc3anonymousza32695ze3z83_10920 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32695ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32695ze3z83_10920, 
(int)(((long)0)), BgL_a1z00_3389); 
PROCEDURE_SET(BgL_zc3anonymousza32695ze3z83_10920, 
(int)(((long)1)), BgL_a2z00_3390); 
PROCEDURE_SET(BgL_zc3anonymousza32695ze3z83_10920, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32695ze3z83_10920;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3399;obj_t BgL_a2z00_3400;
BgL_a1z00_3399 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3400 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32699ze3z83_10921;
BgL_zc3anonymousza32699ze3z83_10921 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32699ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32699ze3z83_10921, 
(int)(((long)0)), BgL_a1z00_3399); 
PROCEDURE_SET(BgL_zc3anonymousza32699ze3z83_10921, 
(int)(((long)1)), BgL_a2z00_3400); 
PROCEDURE_SET(BgL_zc3anonymousza32699ze3z83_10921, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32699ze3z83_10921;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3409;obj_t BgL_a2z00_3410;
BgL_a1z00_3409 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3410 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32703ze3z83_10922;
BgL_zc3anonymousza32703ze3z83_10922 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32703ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32703ze3z83_10922, 
(int)(((long)0)), BgL_a1z00_3409); 
PROCEDURE_SET(BgL_zc3anonymousza32703ze3z83_10922, 
(int)(((long)1)), BgL_a2z00_3410); 
PROCEDURE_SET(BgL_zc3anonymousza32703ze3z83_10922, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32703ze3z83_10922;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3419;obj_t BgL_a2z00_3420;
BgL_a1z00_3419 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3420 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32707ze3z83_10923;
BgL_zc3anonymousza32707ze3z83_10923 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32707ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32707ze3z83_10923, 
(int)(((long)0)), BgL_a1z00_3419); 
PROCEDURE_SET(BgL_zc3anonymousza32707ze3z83_10923, 
(int)(((long)1)), BgL_a2z00_3420); 
PROCEDURE_SET(BgL_zc3anonymousza32707ze3z83_10923, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32707ze3z83_10923;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3429;obj_t BgL_a2z00_3430;
BgL_a1z00_3429 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3430 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32711ze3z83_10924;
BgL_zc3anonymousza32711ze3z83_10924 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32711ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32711ze3z83_10924, 
(int)(((long)0)), BgL_a1z00_3429); 
PROCEDURE_SET(BgL_zc3anonymousza32711ze3z83_10924, 
(int)(((long)1)), BgL_a2z00_3430); 
PROCEDURE_SET(BgL_zc3anonymousza32711ze3z83_10924, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32711ze3z83_10924;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3439;obj_t BgL_a2z00_3440;
BgL_a1z00_3439 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3440 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32715ze3z83_10925;
BgL_zc3anonymousza32715ze3z83_10925 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32715ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32715ze3z83_10925, 
(int)(((long)0)), BgL_a1z00_3439); 
PROCEDURE_SET(BgL_zc3anonymousza32715ze3z83_10925, 
(int)(((long)1)), BgL_a2z00_3440); 
PROCEDURE_SET(BgL_zc3anonymousza32715ze3z83_10925, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32715ze3z83_10925;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3449;obj_t BgL_a2z00_3450;
BgL_a1z00_3449 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3450 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32719ze3z83_10926;
BgL_zc3anonymousza32719ze3z83_10926 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32719ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32719ze3z83_10926, 
(int)(((long)0)), BgL_a1z00_3449); 
PROCEDURE_SET(BgL_zc3anonymousza32719ze3z83_10926, 
(int)(((long)1)), BgL_a2z00_3450); 
PROCEDURE_SET(BgL_zc3anonymousza32719ze3z83_10926, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32719ze3z83_10926;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3459;obj_t BgL_a2z00_3460;
BgL_a1z00_3459 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3460 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32723ze3z83_10927;
BgL_zc3anonymousza32723ze3z83_10927 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32723ze3z83_10927, 
(int)(((long)0)), BgL_a1z00_3459); 
PROCEDURE_SET(BgL_zc3anonymousza32723ze3z83_10927, 
(int)(((long)1)), BgL_a2z00_3460); 
PROCEDURE_SET(BgL_zc3anonymousza32723ze3z83_10927, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3anonymousza32723ze3z83_10927;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3469;obj_t BgL_a2z00_3470;
BgL_a1z00_3469 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3470 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32727ze3z83_10928;
BgL_zc3anonymousza32727ze3z83_10928 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32727ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32727ze3z83_10928, 
(int)(((long)0)), BgL_a1z00_3469); 
PROCEDURE_SET(BgL_zc3anonymousza32727ze3z83_10928, 
(int)(((long)1)), BgL_a2z00_3470); 
return BgL_zc3anonymousza32727ze3z83_10928;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
if(
(BgL_valz00_3192==BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_3477;obj_t BgL_a2z00_3478;
BgL_a1z00_3477 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3196), BgL_stkz00_196); 
BgL_a2z00_3478 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3197), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_zc3anonymousza32729ze3z83_10929;
BgL_zc3anonymousza32729ze3z83_10929 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32729ze3z83_10929, 
(int)(((long)0)), BgL_a1z00_3477); 
PROCEDURE_SET(BgL_zc3anonymousza32729ze3z83_10929, 
(int)(((long)1)), BgL_a2z00_3478); 
return BgL_zc3anonymousza32729ze3z83_10929;} }  else 
{ /* Eval/evaluate_comp.scm 1014 */
return BFALSE;} } } } } } } } } } } } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate_comp.scm 1012 */
return BFALSE;} } } }  else 
{ /* Eval/evaluate_comp.scm 1007 */
return BFALSE;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2619> */
obj_t BGl_z62zc3anonymousza32619ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10933, obj_t BgL_sz00_10937)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10934;obj_t BgL_a2z00_10935;obj_t BgL_locz00_10936;
BgL_a1z00_10934 = 
PROCEDURE_REF(BgL_envz00_10933, 
(int)(((long)0))); 
BgL_a2z00_10935 = 
PROCEDURE_REF(BgL_envz00_10933, 
(int)(((long)1))); 
BgL_locz00_10936 = 
PROCEDURE_REF(BgL_envz00_10933, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13360;
BgL_bpz00_13360 = 
VECTOR_REF(
((obj_t)BgL_sz00_10937),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13361;obj_t BgL_a2z00_13362;
BgL_a1z00_13361 = 
PROCEDURE_ENTRY(BgL_a1z00_10934)(BgL_a1z00_10934, BgL_sz00_10937, BEOA); 
BgL_a2z00_13362 = 
PROCEDURE_ENTRY(BgL_a2z00_10935)(BgL_a2z00_10935, BgL_sz00_10937, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13361))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5187z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a1z00_13361, BgL_locz00_10936); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13362))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5187z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a2z00_13362, BgL_locz00_10936); } 
return 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_13361, BgL_a2z00_13362);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2623> */
obj_t BGl_z62zc3anonymousza32623ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10938, obj_t BgL_sz00_10942)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10939;obj_t BgL_a2z00_10940;obj_t BgL_locz00_10941;
BgL_a1z00_10939 = 
PROCEDURE_REF(BgL_envz00_10938, 
(int)(((long)0))); 
BgL_a2z00_10940 = 
PROCEDURE_REF(BgL_envz00_10938, 
(int)(((long)1))); 
BgL_locz00_10941 = 
PROCEDURE_REF(BgL_envz00_10938, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13363;
BgL_bpz00_13363 = 
VECTOR_REF(
((obj_t)BgL_sz00_10942),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13364;obj_t BgL_a2z00_13365;
BgL_a1z00_13364 = 
PROCEDURE_ENTRY(BgL_a1z00_10939)(BgL_a1z00_10939, BgL_sz00_10942, BEOA); 
BgL_a2z00_13365 = 
PROCEDURE_ENTRY(BgL_a2z00_10940)(BgL_a2z00_10940, BgL_sz00_10942, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13364))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5191z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a1z00_13364, BgL_locz00_10941); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13365))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5191z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a2z00_13365, BgL_locz00_10941); } 
return 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_13364, BgL_a2z00_13365);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2627> */
obj_t BGl_z62zc3anonymousza32627ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10943, obj_t BgL_sz00_10947)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10944;obj_t BgL_a2z00_10945;obj_t BgL_locz00_10946;
BgL_a1z00_10944 = 
PROCEDURE_REF(BgL_envz00_10943, 
(int)(((long)0))); 
BgL_a2z00_10945 = 
PROCEDURE_REF(BgL_envz00_10943, 
(int)(((long)1))); 
BgL_locz00_10946 = 
PROCEDURE_REF(BgL_envz00_10943, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13366;
BgL_bpz00_13366 = 
VECTOR_REF(
((obj_t)BgL_sz00_10947),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13367;obj_t BgL_a2z00_13368;
BgL_a1z00_13367 = 
PROCEDURE_ENTRY(BgL_a1z00_10944)(BgL_a1z00_10944, BgL_sz00_10947, BEOA); 
BgL_a2z00_13368 = 
PROCEDURE_ENTRY(BgL_a2z00_10945)(BgL_a2z00_10945, BgL_sz00_10947, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13367))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5193z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a1z00_13367, BgL_locz00_10946); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13368))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5193z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a2z00_13368, BgL_locz00_10946); } 
return 
BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_13367, BgL_a2z00_13368);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2631> */
obj_t BGl_z62zc3anonymousza32631ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10948, obj_t BgL_sz00_10952)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10949;obj_t BgL_a2z00_10950;obj_t BgL_locz00_10951;
BgL_a1z00_10949 = 
PROCEDURE_REF(BgL_envz00_10948, 
(int)(((long)0))); 
BgL_a2z00_10950 = 
PROCEDURE_REF(BgL_envz00_10948, 
(int)(((long)1))); 
BgL_locz00_10951 = 
PROCEDURE_REF(BgL_envz00_10948, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13369;
BgL_bpz00_13369 = 
VECTOR_REF(
((obj_t)BgL_sz00_10952),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13370;obj_t BgL_a2z00_13371;
BgL_a1z00_13370 = 
PROCEDURE_ENTRY(BgL_a1z00_10949)(BgL_a1z00_10949, BgL_sz00_10952, BEOA); 
BgL_a2z00_13371 = 
PROCEDURE_ENTRY(BgL_a2z00_10950)(BgL_a2z00_10950, BgL_sz00_10952, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13370))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5195z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a1z00_13370, BgL_locz00_10951); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13371))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5195z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a2z00_13371, BgL_locz00_10951); } 
return 
BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_13370, BgL_a2z00_13371);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2635> */
obj_t BGl_z62zc3anonymousza32635ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10953, obj_t BgL_sz00_10957)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10954;obj_t BgL_a2z00_10955;obj_t BgL_locz00_10956;
BgL_a1z00_10954 = 
PROCEDURE_REF(BgL_envz00_10953, 
(int)(((long)0))); 
BgL_a2z00_10955 = 
PROCEDURE_REF(BgL_envz00_10953, 
(int)(((long)1))); 
BgL_locz00_10956 = 
PROCEDURE_REF(BgL_envz00_10953, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20617;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13372;
BgL_bpz00_13372 = 
VECTOR_REF(
((obj_t)BgL_sz00_10957),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13373;obj_t BgL_a2z00_13374;
BgL_a1z00_13373 = 
PROCEDURE_ENTRY(BgL_a1z00_10954)(BgL_a1z00_10954, BgL_sz00_10957, BEOA); 
BgL_a2z00_13374 = 
PROCEDURE_ENTRY(BgL_a2z00_10955)(BgL_a2z00_10955, BgL_sz00_10957, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13373))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5197z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a1z00_13373, BgL_locz00_10956); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13374))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5197z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a2z00_13374, BgL_locz00_10956); } 
BgL_tmpz00_20617 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_13373, BgL_a2z00_13374); } } 
return 
BBOOL(BgL_tmpz00_20617);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2639> */
obj_t BGl_z62zc3anonymousza32639ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10958, obj_t BgL_sz00_10962)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10959;obj_t BgL_a2z00_10960;obj_t BgL_locz00_10961;
BgL_a1z00_10959 = 
PROCEDURE_REF(BgL_envz00_10958, 
(int)(((long)0))); 
BgL_a2z00_10960 = 
PROCEDURE_REF(BgL_envz00_10958, 
(int)(((long)1))); 
BgL_locz00_10961 = 
PROCEDURE_REF(BgL_envz00_10958, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20642;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13375;
BgL_bpz00_13375 = 
VECTOR_REF(
((obj_t)BgL_sz00_10962),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13376;obj_t BgL_a2z00_13377;
BgL_a1z00_13376 = 
PROCEDURE_ENTRY(BgL_a1z00_10959)(BgL_a1z00_10959, BgL_sz00_10962, BEOA); 
BgL_a2z00_13377 = 
PROCEDURE_ENTRY(BgL_a2z00_10960)(BgL_a2z00_10960, BgL_sz00_10962, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13376))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5199z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a1z00_13376, BgL_locz00_10961); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13377))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5199z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a2z00_13377, BgL_locz00_10961); } 
BgL_tmpz00_20642 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_13376, BgL_a2z00_13377); } } 
return 
BBOOL(BgL_tmpz00_20642);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2643> */
obj_t BGl_z62zc3anonymousza32643ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10963, obj_t BgL_sz00_10967)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10964;obj_t BgL_a2z00_10965;obj_t BgL_locz00_10966;
BgL_a1z00_10964 = 
PROCEDURE_REF(BgL_envz00_10963, 
(int)(((long)0))); 
BgL_a2z00_10965 = 
PROCEDURE_REF(BgL_envz00_10963, 
(int)(((long)1))); 
BgL_locz00_10966 = 
PROCEDURE_REF(BgL_envz00_10963, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20667;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13378;
BgL_bpz00_13378 = 
VECTOR_REF(
((obj_t)BgL_sz00_10967),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13379;obj_t BgL_a2z00_13380;
BgL_a1z00_13379 = 
PROCEDURE_ENTRY(BgL_a1z00_10964)(BgL_a1z00_10964, BgL_sz00_10967, BEOA); 
BgL_a2z00_13380 = 
PROCEDURE_ENTRY(BgL_a2z00_10965)(BgL_a2z00_10965, BgL_sz00_10967, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13379))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5201z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a1z00_13379, BgL_locz00_10966); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13380))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5201z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a2z00_13380, BgL_locz00_10966); } 
BgL_tmpz00_20667 = 
BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_13379, BgL_a2z00_13380); } } 
return 
BBOOL(BgL_tmpz00_20667);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2647> */
obj_t BGl_z62zc3anonymousza32647ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10968, obj_t BgL_sz00_10972)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10969;obj_t BgL_a2z00_10970;obj_t BgL_locz00_10971;
BgL_a1z00_10969 = 
PROCEDURE_REF(BgL_envz00_10968, 
(int)(((long)0))); 
BgL_a2z00_10970 = 
PROCEDURE_REF(BgL_envz00_10968, 
(int)(((long)1))); 
BgL_locz00_10971 = 
PROCEDURE_REF(BgL_envz00_10968, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20692;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13381;
BgL_bpz00_13381 = 
VECTOR_REF(
((obj_t)BgL_sz00_10972),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13382;obj_t BgL_a2z00_13383;
BgL_a1z00_13382 = 
PROCEDURE_ENTRY(BgL_a1z00_10969)(BgL_a1z00_10969, BgL_sz00_10972, BEOA); 
BgL_a2z00_13383 = 
PROCEDURE_ENTRY(BgL_a2z00_10970)(BgL_a2z00_10970, BgL_sz00_10972, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13382))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5203z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a1z00_13382, BgL_locz00_10971); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13383))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5203z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a2z00_13383, BgL_locz00_10971); } 
BgL_tmpz00_20692 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_13382, BgL_a2z00_13383); } } 
return 
BBOOL(BgL_tmpz00_20692);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2651> */
obj_t BGl_z62zc3anonymousza32651ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10973, obj_t BgL_sz00_10977)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10974;obj_t BgL_a2z00_10975;obj_t BgL_locz00_10976;
BgL_a1z00_10974 = 
PROCEDURE_REF(BgL_envz00_10973, 
(int)(((long)0))); 
BgL_a2z00_10975 = 
PROCEDURE_REF(BgL_envz00_10973, 
(int)(((long)1))); 
BgL_locz00_10976 = 
PROCEDURE_REF(BgL_envz00_10973, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20717;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13384;
BgL_bpz00_13384 = 
VECTOR_REF(
((obj_t)BgL_sz00_10977),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13385;obj_t BgL_a2z00_13386;
BgL_a1z00_13385 = 
PROCEDURE_ENTRY(BgL_a1z00_10974)(BgL_a1z00_10974, BgL_sz00_10977, BEOA); 
BgL_a2z00_13386 = 
PROCEDURE_ENTRY(BgL_a2z00_10975)(BgL_a2z00_10975, BgL_sz00_10977, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13385))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5205z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a1z00_13385, BgL_locz00_10976); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13386))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5205z00zz__evaluate_compz00, BGl_symbol5189z00zz__evaluate_compz00, BgL_a2z00_13386, BgL_locz00_10976); } 
BgL_tmpz00_20717 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_13385, BgL_a2z00_13386); } } 
return 
BBOOL(BgL_tmpz00_20717);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2655> */
obj_t BGl_z62zc3anonymousza32655ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10978, obj_t BgL_sz00_10982)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10979;obj_t BgL_a2z00_10980;obj_t BgL_locz00_10981;
BgL_a1z00_10979 = 
PROCEDURE_REF(BgL_envz00_10978, 
(int)(((long)0))); 
BgL_a2z00_10980 = 
PROCEDURE_REF(BgL_envz00_10978, 
(int)(((long)1))); 
BgL_locz00_10981 = 
PROCEDURE_REF(BgL_envz00_10978, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
long BgL_tmpz00_20742;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13387;
BgL_bpz00_13387 = 
VECTOR_REF(
((obj_t)BgL_sz00_10982),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13388;obj_t BgL_a2z00_13389;
BgL_a1z00_13388 = 
PROCEDURE_ENTRY(BgL_a1z00_10979)(BgL_a1z00_10979, BgL_sz00_10982, BEOA); 
BgL_a2z00_13389 = 
PROCEDURE_ENTRY(BgL_a2z00_10980)(BgL_a2z00_10980, BgL_sz00_10982, BEOA); 
if(
INTEGERP(BgL_a1z00_13388))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5207z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a1z00_13388, BgL_locz00_10981); } 
if(
INTEGERP(BgL_a2z00_13389))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5207z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a2z00_13389, BgL_locz00_10981); } 
BgL_tmpz00_20742 = 
(
(long)CINT(BgL_a1z00_13388)+
(long)CINT(BgL_a2z00_13389)); } } 
return 
BINT(BgL_tmpz00_20742);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2659> */
obj_t BGl_z62zc3anonymousza32659ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10983, obj_t BgL_sz00_10987)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10984;obj_t BgL_a2z00_10985;obj_t BgL_locz00_10986;
BgL_a1z00_10984 = 
PROCEDURE_REF(BgL_envz00_10983, 
(int)(((long)0))); 
BgL_a2z00_10985 = 
PROCEDURE_REF(BgL_envz00_10983, 
(int)(((long)1))); 
BgL_locz00_10986 = 
PROCEDURE_REF(BgL_envz00_10983, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
long BgL_tmpz00_20769;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13390;
BgL_bpz00_13390 = 
VECTOR_REF(
((obj_t)BgL_sz00_10987),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13391;obj_t BgL_a2z00_13392;
BgL_a1z00_13391 = 
PROCEDURE_ENTRY(BgL_a1z00_10984)(BgL_a1z00_10984, BgL_sz00_10987, BEOA); 
BgL_a2z00_13392 = 
PROCEDURE_ENTRY(BgL_a2z00_10985)(BgL_a2z00_10985, BgL_sz00_10987, BEOA); 
if(
INTEGERP(BgL_a1z00_13391))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5211z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a1z00_13391, BgL_locz00_10986); } 
if(
INTEGERP(BgL_a2z00_13392))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5211z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a2z00_13392, BgL_locz00_10986); } 
BgL_tmpz00_20769 = 
(
(long)CINT(BgL_a1z00_13391)-
(long)CINT(BgL_a2z00_13392)); } } 
return 
BINT(BgL_tmpz00_20769);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2663> */
obj_t BGl_z62zc3anonymousza32663ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10988, obj_t BgL_sz00_10992)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10989;obj_t BgL_a2z00_10990;obj_t BgL_locz00_10991;
BgL_a1z00_10989 = 
PROCEDURE_REF(BgL_envz00_10988, 
(int)(((long)0))); 
BgL_a2z00_10990 = 
PROCEDURE_REF(BgL_envz00_10988, 
(int)(((long)1))); 
BgL_locz00_10991 = 
PROCEDURE_REF(BgL_envz00_10988, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
long BgL_tmpz00_20796;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13393;
BgL_bpz00_13393 = 
VECTOR_REF(
((obj_t)BgL_sz00_10992),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13394;obj_t BgL_a2z00_13395;
BgL_a1z00_13394 = 
PROCEDURE_ENTRY(BgL_a1z00_10989)(BgL_a1z00_10989, BgL_sz00_10992, BEOA); 
BgL_a2z00_13395 = 
PROCEDURE_ENTRY(BgL_a2z00_10990)(BgL_a2z00_10990, BgL_sz00_10992, BEOA); 
if(
INTEGERP(BgL_a1z00_13394))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5213z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a1z00_13394, BgL_locz00_10991); } 
if(
INTEGERP(BgL_a2z00_13395))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5213z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a2z00_13395, BgL_locz00_10991); } 
BgL_tmpz00_20796 = 
(
(long)CINT(BgL_a1z00_13394)*
(long)CINT(BgL_a2z00_13395)); } } 
return 
BINT(BgL_tmpz00_20796);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2667> */
obj_t BGl_z62zc3anonymousza32667ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10993, obj_t BgL_sz00_10997)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10994;obj_t BgL_a2z00_10995;obj_t BgL_locz00_10996;
BgL_a1z00_10994 = 
PROCEDURE_REF(BgL_envz00_10993, 
(int)(((long)0))); 
BgL_a2z00_10995 = 
PROCEDURE_REF(BgL_envz00_10993, 
(int)(((long)1))); 
BgL_locz00_10996 = 
PROCEDURE_REF(BgL_envz00_10993, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
long BgL_tmpz00_20823;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13396;
BgL_bpz00_13396 = 
VECTOR_REF(
((obj_t)BgL_sz00_10997),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13397;obj_t BgL_a2z00_13398;
BgL_a1z00_13397 = 
PROCEDURE_ENTRY(BgL_a1z00_10994)(BgL_a1z00_10994, BgL_sz00_10997, BEOA); 
BgL_a2z00_13398 = 
PROCEDURE_ENTRY(BgL_a2z00_10995)(BgL_a2z00_10995, BgL_sz00_10997, BEOA); 
if(
INTEGERP(BgL_a1z00_13397))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5215z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a1z00_13397, BgL_locz00_10996); } 
if(
INTEGERP(BgL_a2z00_13398))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5215z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a2z00_13398, BgL_locz00_10996); } 
BgL_tmpz00_20823 = 
(
(long)CINT(BgL_a1z00_13397)/
(long)CINT(BgL_a2z00_13398)); } } 
return 
BINT(BgL_tmpz00_20823);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2671> */
obj_t BGl_z62zc3anonymousza32671ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_10998, obj_t BgL_sz00_11002)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_10999;obj_t BgL_a2z00_11000;obj_t BgL_locz00_11001;
BgL_a1z00_10999 = 
PROCEDURE_REF(BgL_envz00_10998, 
(int)(((long)0))); 
BgL_a2z00_11000 = 
PROCEDURE_REF(BgL_envz00_10998, 
(int)(((long)1))); 
BgL_locz00_11001 = 
PROCEDURE_REF(BgL_envz00_10998, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20850;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13399;
BgL_bpz00_13399 = 
VECTOR_REF(
((obj_t)BgL_sz00_11002),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13400;obj_t BgL_a2z00_13401;
BgL_a1z00_13400 = 
PROCEDURE_ENTRY(BgL_a1z00_10999)(BgL_a1z00_10999, BgL_sz00_11002, BEOA); 
BgL_a2z00_13401 = 
PROCEDURE_ENTRY(BgL_a2z00_11000)(BgL_a2z00_11000, BgL_sz00_11002, BEOA); 
if(
INTEGERP(BgL_a1z00_13400))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5217z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a1z00_13400, BgL_locz00_11001); } 
if(
INTEGERP(BgL_a2z00_13401))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5217z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a2z00_13401, BgL_locz00_11001); } 
BgL_tmpz00_20850 = 
(
(long)CINT(BgL_a1z00_13400)<
(long)CINT(BgL_a2z00_13401)); } } 
return 
BBOOL(BgL_tmpz00_20850);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2675> */
obj_t BGl_z62zc3anonymousza32675ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11003, obj_t BgL_sz00_11007)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11004;obj_t BgL_a2z00_11005;obj_t BgL_locz00_11006;
BgL_a1z00_11004 = 
PROCEDURE_REF(BgL_envz00_11003, 
(int)(((long)0))); 
BgL_a2z00_11005 = 
PROCEDURE_REF(BgL_envz00_11003, 
(int)(((long)1))); 
BgL_locz00_11006 = 
PROCEDURE_REF(BgL_envz00_11003, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20877;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13402;
BgL_bpz00_13402 = 
VECTOR_REF(
((obj_t)BgL_sz00_11007),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13403;obj_t BgL_a2z00_13404;
BgL_a1z00_13403 = 
PROCEDURE_ENTRY(BgL_a1z00_11004)(BgL_a1z00_11004, BgL_sz00_11007, BEOA); 
BgL_a2z00_13404 = 
PROCEDURE_ENTRY(BgL_a2z00_11005)(BgL_a2z00_11005, BgL_sz00_11007, BEOA); 
if(
INTEGERP(BgL_a1z00_13403))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5219z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a1z00_13403, BgL_locz00_11006); } 
if(
INTEGERP(BgL_a2z00_13404))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5219z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a2z00_13404, BgL_locz00_11006); } 
BgL_tmpz00_20877 = 
(
(long)CINT(BgL_a1z00_13403)>
(long)CINT(BgL_a2z00_13404)); } } 
return 
BBOOL(BgL_tmpz00_20877);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2679> */
obj_t BGl_z62zc3anonymousza32679ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11008, obj_t BgL_sz00_11012)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11009;obj_t BgL_a2z00_11010;obj_t BgL_locz00_11011;
BgL_a1z00_11009 = 
PROCEDURE_REF(BgL_envz00_11008, 
(int)(((long)0))); 
BgL_a2z00_11010 = 
PROCEDURE_REF(BgL_envz00_11008, 
(int)(((long)1))); 
BgL_locz00_11011 = 
PROCEDURE_REF(BgL_envz00_11008, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20904;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13405;
BgL_bpz00_13405 = 
VECTOR_REF(
((obj_t)BgL_sz00_11012),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13406;obj_t BgL_a2z00_13407;
BgL_a1z00_13406 = 
PROCEDURE_ENTRY(BgL_a1z00_11009)(BgL_a1z00_11009, BgL_sz00_11012, BEOA); 
BgL_a2z00_13407 = 
PROCEDURE_ENTRY(BgL_a2z00_11010)(BgL_a2z00_11010, BgL_sz00_11012, BEOA); 
if(
INTEGERP(BgL_a1z00_13406))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5221z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a1z00_13406, BgL_locz00_11011); } 
if(
INTEGERP(BgL_a2z00_13407))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5221z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a2z00_13407, BgL_locz00_11011); } 
BgL_tmpz00_20904 = 
(
(long)CINT(BgL_a1z00_13406)<=
(long)CINT(BgL_a2z00_13407)); } } 
return 
BBOOL(BgL_tmpz00_20904);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2683> */
obj_t BGl_z62zc3anonymousza32683ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11013, obj_t BgL_sz00_11017)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11014;obj_t BgL_a2z00_11015;obj_t BgL_locz00_11016;
BgL_a1z00_11014 = 
PROCEDURE_REF(BgL_envz00_11013, 
(int)(((long)0))); 
BgL_a2z00_11015 = 
PROCEDURE_REF(BgL_envz00_11013, 
(int)(((long)1))); 
BgL_locz00_11016 = 
PROCEDURE_REF(BgL_envz00_11013, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20931;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13408;
BgL_bpz00_13408 = 
VECTOR_REF(
((obj_t)BgL_sz00_11017),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13409;obj_t BgL_a2z00_13410;
BgL_a1z00_13409 = 
PROCEDURE_ENTRY(BgL_a1z00_11014)(BgL_a1z00_11014, BgL_sz00_11017, BEOA); 
BgL_a2z00_13410 = 
PROCEDURE_ENTRY(BgL_a2z00_11015)(BgL_a2z00_11015, BgL_sz00_11017, BEOA); 
if(
INTEGERP(BgL_a1z00_13409))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5223z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a1z00_13409, BgL_locz00_11016); } 
if(
INTEGERP(BgL_a2z00_13410))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5223z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a2z00_13410, BgL_locz00_11016); } 
BgL_tmpz00_20931 = 
(
(long)CINT(BgL_a1z00_13409)>=
(long)CINT(BgL_a2z00_13410)); } } 
return 
BBOOL(BgL_tmpz00_20931);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2687> */
obj_t BGl_z62zc3anonymousza32687ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11018, obj_t BgL_sz00_11022)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11019;obj_t BgL_a2z00_11020;obj_t BgL_locz00_11021;
BgL_a1z00_11019 = 
PROCEDURE_REF(BgL_envz00_11018, 
(int)(((long)0))); 
BgL_a2z00_11020 = 
PROCEDURE_REF(BgL_envz00_11018, 
(int)(((long)1))); 
BgL_locz00_11021 = 
PROCEDURE_REF(BgL_envz00_11018, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_20958;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13411;
BgL_bpz00_13411 = 
VECTOR_REF(
((obj_t)BgL_sz00_11022),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13412;obj_t BgL_a2z00_13413;
BgL_a1z00_13412 = 
PROCEDURE_ENTRY(BgL_a1z00_11019)(BgL_a1z00_11019, BgL_sz00_11022, BEOA); 
BgL_a2z00_13413 = 
PROCEDURE_ENTRY(BgL_a2z00_11020)(BgL_a2z00_11020, BgL_sz00_11022, BEOA); 
if(
INTEGERP(BgL_a1z00_13412))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5225z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a1z00_13412, BgL_locz00_11021); } 
if(
INTEGERP(BgL_a2z00_13413))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5225z00zz__evaluate_compz00, BGl_symbol5209z00zz__evaluate_compz00, BgL_a2z00_13413, BgL_locz00_11021); } 
BgL_tmpz00_20958 = 
(
(long)CINT(BgL_a1z00_13412)==
(long)CINT(BgL_a2z00_13413)); } } 
return 
BBOOL(BgL_tmpz00_20958);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2691> */
obj_t BGl_z62zc3anonymousza32691ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11023, obj_t BgL_sz00_11027)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11024;obj_t BgL_a2z00_11025;obj_t BgL_locz00_11026;
BgL_a1z00_11024 = 
PROCEDURE_REF(BgL_envz00_11023, 
(int)(((long)0))); 
BgL_a2z00_11025 = 
PROCEDURE_REF(BgL_envz00_11023, 
(int)(((long)1))); 
BgL_locz00_11026 = 
PROCEDURE_REF(BgL_envz00_11023, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
double BgL_tmpz00_20985;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13414;
BgL_bpz00_13414 = 
VECTOR_REF(
((obj_t)BgL_sz00_11027),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13415;obj_t BgL_a2z00_13416;
BgL_a1z00_13415 = 
PROCEDURE_ENTRY(BgL_a1z00_11024)(BgL_a1z00_11024, BgL_sz00_11027, BEOA); 
BgL_a2z00_13416 = 
PROCEDURE_ENTRY(BgL_a2z00_11025)(BgL_a2z00_11025, BgL_sz00_11027, BEOA); 
if(
REALP(BgL_a1z00_13415))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5227z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a1z00_13415, BgL_locz00_11026); } 
if(
REALP(BgL_a2z00_13416))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5227z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a2z00_13416, BgL_locz00_11026); } 
BgL_tmpz00_20985 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13415)+
REAL_TO_DOUBLE(BgL_a2z00_13416)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_20985);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2695> */
obj_t BGl_z62zc3anonymousza32695ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11028, obj_t BgL_sz00_11032)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11029;obj_t BgL_a2z00_11030;obj_t BgL_locz00_11031;
BgL_a1z00_11029 = 
PROCEDURE_REF(BgL_envz00_11028, 
(int)(((long)0))); 
BgL_a2z00_11030 = 
PROCEDURE_REF(BgL_envz00_11028, 
(int)(((long)1))); 
BgL_locz00_11031 = 
PROCEDURE_REF(BgL_envz00_11028, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
double BgL_tmpz00_21012;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13417;
BgL_bpz00_13417 = 
VECTOR_REF(
((obj_t)BgL_sz00_11032),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13418;obj_t BgL_a2z00_13419;
BgL_a1z00_13418 = 
PROCEDURE_ENTRY(BgL_a1z00_11029)(BgL_a1z00_11029, BgL_sz00_11032, BEOA); 
BgL_a2z00_13419 = 
PROCEDURE_ENTRY(BgL_a2z00_11030)(BgL_a2z00_11030, BgL_sz00_11032, BEOA); 
if(
REALP(BgL_a1z00_13418))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5231z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a1z00_13418, BgL_locz00_11031); } 
if(
REALP(BgL_a2z00_13419))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5231z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a2z00_13419, BgL_locz00_11031); } 
BgL_tmpz00_21012 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13418)-
REAL_TO_DOUBLE(BgL_a2z00_13419)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21012);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2699> */
obj_t BGl_z62zc3anonymousza32699ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11033, obj_t BgL_sz00_11037)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11034;obj_t BgL_a2z00_11035;obj_t BgL_locz00_11036;
BgL_a1z00_11034 = 
PROCEDURE_REF(BgL_envz00_11033, 
(int)(((long)0))); 
BgL_a2z00_11035 = 
PROCEDURE_REF(BgL_envz00_11033, 
(int)(((long)1))); 
BgL_locz00_11036 = 
PROCEDURE_REF(BgL_envz00_11033, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
double BgL_tmpz00_21039;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13420;
BgL_bpz00_13420 = 
VECTOR_REF(
((obj_t)BgL_sz00_11037),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13421;obj_t BgL_a2z00_13422;
BgL_a1z00_13421 = 
PROCEDURE_ENTRY(BgL_a1z00_11034)(BgL_a1z00_11034, BgL_sz00_11037, BEOA); 
BgL_a2z00_13422 = 
PROCEDURE_ENTRY(BgL_a2z00_11035)(BgL_a2z00_11035, BgL_sz00_11037, BEOA); 
if(
REALP(BgL_a1z00_13421))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5233z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a1z00_13421, BgL_locz00_11036); } 
if(
REALP(BgL_a2z00_13422))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5233z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a2z00_13422, BgL_locz00_11036); } 
BgL_tmpz00_21039 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13421)*
REAL_TO_DOUBLE(BgL_a2z00_13422)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21039);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2703> */
obj_t BGl_z62zc3anonymousza32703ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11038, obj_t BgL_sz00_11042)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11039;obj_t BgL_a2z00_11040;obj_t BgL_locz00_11041;
BgL_a1z00_11039 = 
PROCEDURE_REF(BgL_envz00_11038, 
(int)(((long)0))); 
BgL_a2z00_11040 = 
PROCEDURE_REF(BgL_envz00_11038, 
(int)(((long)1))); 
BgL_locz00_11041 = 
PROCEDURE_REF(BgL_envz00_11038, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
double BgL_tmpz00_21066;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13423;
BgL_bpz00_13423 = 
VECTOR_REF(
((obj_t)BgL_sz00_11042),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13424;obj_t BgL_a2z00_13425;
BgL_a1z00_13424 = 
PROCEDURE_ENTRY(BgL_a1z00_11039)(BgL_a1z00_11039, BgL_sz00_11042, BEOA); 
BgL_a2z00_13425 = 
PROCEDURE_ENTRY(BgL_a2z00_11040)(BgL_a2z00_11040, BgL_sz00_11042, BEOA); 
if(
REALP(BgL_a1z00_13424))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5235z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a1z00_13424, BgL_locz00_11041); } 
if(
REALP(BgL_a2z00_13425))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5235z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a2z00_13425, BgL_locz00_11041); } 
BgL_tmpz00_21066 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13424)/
REAL_TO_DOUBLE(BgL_a2z00_13425)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21066);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2707> */
obj_t BGl_z62zc3anonymousza32707ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11043, obj_t BgL_sz00_11047)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11044;obj_t BgL_a2z00_11045;obj_t BgL_locz00_11046;
BgL_a1z00_11044 = 
PROCEDURE_REF(BgL_envz00_11043, 
(int)(((long)0))); 
BgL_a2z00_11045 = 
PROCEDURE_REF(BgL_envz00_11043, 
(int)(((long)1))); 
BgL_locz00_11046 = 
PROCEDURE_REF(BgL_envz00_11043, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21093;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13426;
BgL_bpz00_13426 = 
VECTOR_REF(
((obj_t)BgL_sz00_11047),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13427;obj_t BgL_a2z00_13428;
BgL_a1z00_13427 = 
PROCEDURE_ENTRY(BgL_a1z00_11044)(BgL_a1z00_11044, BgL_sz00_11047, BEOA); 
BgL_a2z00_13428 = 
PROCEDURE_ENTRY(BgL_a2z00_11045)(BgL_a2z00_11045, BgL_sz00_11047, BEOA); 
if(
REALP(BgL_a1z00_13427))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5237z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a1z00_13427, BgL_locz00_11046); } 
if(
REALP(BgL_a2z00_13428))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5237z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a2z00_13428, BgL_locz00_11046); } 
BgL_tmpz00_21093 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13427)<
REAL_TO_DOUBLE(BgL_a2z00_13428)); } } 
return 
BBOOL(BgL_tmpz00_21093);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2711> */
obj_t BGl_z62zc3anonymousza32711ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11048, obj_t BgL_sz00_11052)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11049;obj_t BgL_a2z00_11050;obj_t BgL_locz00_11051;
BgL_a1z00_11049 = 
PROCEDURE_REF(BgL_envz00_11048, 
(int)(((long)0))); 
BgL_a2z00_11050 = 
PROCEDURE_REF(BgL_envz00_11048, 
(int)(((long)1))); 
BgL_locz00_11051 = 
PROCEDURE_REF(BgL_envz00_11048, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21120;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13429;
BgL_bpz00_13429 = 
VECTOR_REF(
((obj_t)BgL_sz00_11052),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13430;obj_t BgL_a2z00_13431;
BgL_a1z00_13430 = 
PROCEDURE_ENTRY(BgL_a1z00_11049)(BgL_a1z00_11049, BgL_sz00_11052, BEOA); 
BgL_a2z00_13431 = 
PROCEDURE_ENTRY(BgL_a2z00_11050)(BgL_a2z00_11050, BgL_sz00_11052, BEOA); 
if(
REALP(BgL_a1z00_13430))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5239z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a1z00_13430, BgL_locz00_11051); } 
if(
REALP(BgL_a2z00_13431))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5239z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a2z00_13431, BgL_locz00_11051); } 
BgL_tmpz00_21120 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13430)>
REAL_TO_DOUBLE(BgL_a2z00_13431)); } } 
return 
BBOOL(BgL_tmpz00_21120);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2715> */
obj_t BGl_z62zc3anonymousza32715ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11053, obj_t BgL_sz00_11057)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11054;obj_t BgL_a2z00_11055;obj_t BgL_locz00_11056;
BgL_a1z00_11054 = 
PROCEDURE_REF(BgL_envz00_11053, 
(int)(((long)0))); 
BgL_a2z00_11055 = 
PROCEDURE_REF(BgL_envz00_11053, 
(int)(((long)1))); 
BgL_locz00_11056 = 
PROCEDURE_REF(BgL_envz00_11053, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21147;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13432;
BgL_bpz00_13432 = 
VECTOR_REF(
((obj_t)BgL_sz00_11057),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13433;obj_t BgL_a2z00_13434;
BgL_a1z00_13433 = 
PROCEDURE_ENTRY(BgL_a1z00_11054)(BgL_a1z00_11054, BgL_sz00_11057, BEOA); 
BgL_a2z00_13434 = 
PROCEDURE_ENTRY(BgL_a2z00_11055)(BgL_a2z00_11055, BgL_sz00_11057, BEOA); 
if(
REALP(BgL_a1z00_13433))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5241z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a1z00_13433, BgL_locz00_11056); } 
if(
REALP(BgL_a2z00_13434))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5241z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a2z00_13434, BgL_locz00_11056); } 
BgL_tmpz00_21147 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13433)<=
REAL_TO_DOUBLE(BgL_a2z00_13434)); } } 
return 
BBOOL(BgL_tmpz00_21147);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2719> */
obj_t BGl_z62zc3anonymousza32719ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11058, obj_t BgL_sz00_11062)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11059;obj_t BgL_a2z00_11060;obj_t BgL_locz00_11061;
BgL_a1z00_11059 = 
PROCEDURE_REF(BgL_envz00_11058, 
(int)(((long)0))); 
BgL_a2z00_11060 = 
PROCEDURE_REF(BgL_envz00_11058, 
(int)(((long)1))); 
BgL_locz00_11061 = 
PROCEDURE_REF(BgL_envz00_11058, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21174;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13435;
BgL_bpz00_13435 = 
VECTOR_REF(
((obj_t)BgL_sz00_11062),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13436;obj_t BgL_a2z00_13437;
BgL_a1z00_13436 = 
PROCEDURE_ENTRY(BgL_a1z00_11059)(BgL_a1z00_11059, BgL_sz00_11062, BEOA); 
BgL_a2z00_13437 = 
PROCEDURE_ENTRY(BgL_a2z00_11060)(BgL_a2z00_11060, BgL_sz00_11062, BEOA); 
if(
REALP(BgL_a1z00_13436))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5243z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a1z00_13436, BgL_locz00_11061); } 
if(
REALP(BgL_a2z00_13437))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5243z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a2z00_13437, BgL_locz00_11061); } 
BgL_tmpz00_21174 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13436)>=
REAL_TO_DOUBLE(BgL_a2z00_13437)); } } 
return 
BBOOL(BgL_tmpz00_21174);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2723> */
obj_t BGl_z62zc3anonymousza32723ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11063, obj_t BgL_sz00_11067)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11064;obj_t BgL_a2z00_11065;obj_t BgL_locz00_11066;
BgL_a1z00_11064 = 
PROCEDURE_REF(BgL_envz00_11063, 
(int)(((long)0))); 
BgL_a2z00_11065 = 
PROCEDURE_REF(BgL_envz00_11063, 
(int)(((long)1))); 
BgL_locz00_11066 = 
PROCEDURE_REF(BgL_envz00_11063, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21201;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13438;
BgL_bpz00_13438 = 
VECTOR_REF(
((obj_t)BgL_sz00_11067),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13439;obj_t BgL_a2z00_13440;
BgL_a1z00_13439 = 
PROCEDURE_ENTRY(BgL_a1z00_11064)(BgL_a1z00_11064, BgL_sz00_11067, BEOA); 
BgL_a2z00_13440 = 
PROCEDURE_ENTRY(BgL_a2z00_11065)(BgL_a2z00_11065, BgL_sz00_11067, BEOA); 
if(
REALP(BgL_a1z00_13439))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5245z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a1z00_13439, BgL_locz00_11066); } 
if(
REALP(BgL_a2z00_13440))
{ /* Eval/evaluate_comp.scm 1014 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1014 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5245z00zz__evaluate_compz00, BGl_symbol5229z00zz__evaluate_compz00, BgL_a2z00_13440, BgL_locz00_11066); } 
BgL_tmpz00_21201 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13439)==
REAL_TO_DOUBLE(BgL_a2z00_13440)); } } 
return 
BBOOL(BgL_tmpz00_21201);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2727> */
obj_t BGl_z62zc3anonymousza32727ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11068, obj_t BgL_sz00_11071)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11069;obj_t BgL_a2z00_11070;
BgL_a1z00_11069 = 
PROCEDURE_REF(BgL_envz00_11068, 
(int)(((long)0))); 
BgL_a2z00_11070 = 
PROCEDURE_REF(BgL_envz00_11068, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1014 */
bool_t BgL_tmpz00_21226;
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13441;
BgL_bpz00_13441 = 
VECTOR_REF(
((obj_t)BgL_sz00_11071),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13442;obj_t BgL_a2z00_13443;
BgL_a1z00_13442 = 
PROCEDURE_ENTRY(BgL_a1z00_11069)(BgL_a1z00_11069, BgL_sz00_11071, BEOA); 
BgL_a2z00_13443 = 
PROCEDURE_ENTRY(BgL_a2z00_11070)(BgL_a2z00_11070, BgL_sz00_11071, BEOA); 
BgL_tmpz00_21226 = 
(BgL_a1z00_13442==BgL_a2z00_13443); } } 
return 
BBOOL(BgL_tmpz00_21226);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2729> */
obj_t BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11072, obj_t BgL_sz00_11075)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1014 */
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_11073;obj_t BgL_a2z00_11074;
BgL_a1z00_11073 = 
PROCEDURE_REF(BgL_envz00_11072, 
(int)(((long)0))); 
BgL_a2z00_11074 = 
PROCEDURE_REF(BgL_envz00_11072, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_bpz00_13444;
BgL_bpz00_13444 = 
VECTOR_REF(
((obj_t)BgL_sz00_11075),((long)0)); 
{ /* Eval/evaluate_comp.scm 1014 */
obj_t BgL_a1z00_13445;obj_t BgL_a2z00_13446;
BgL_a1z00_13445 = 
PROCEDURE_ENTRY(BgL_a1z00_11073)(BgL_a1z00_11073, BgL_sz00_11075, BEOA); 
BgL_a2z00_13446 = 
PROCEDURE_ENTRY(BgL_a2z00_11074)(BgL_a2z00_11074, BgL_sz00_11075, BEOA); 
return 
MAKE_YOUNG_PAIR(BgL_a1z00_13445, BgL_a2z00_13446);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2732> */
obj_t BGl_z62zc3anonymousza32732ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11076, obj_t BgL_sz00_11079)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1011 */
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_11077;obj_t BgL_locz00_11078;
BgL_a1z00_11077 = 
PROCEDURE_REF(BgL_envz00_11076, 
(int)(((long)0))); 
BgL_locz00_11078 = 
PROCEDURE_REF(BgL_envz00_11076, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_bpz00_13447;
BgL_bpz00_13447 = 
VECTOR_REF(
((obj_t)BgL_sz00_11079),((long)0)); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_13448;
BgL_a1z00_13448 = 
PROCEDURE_ENTRY(BgL_a1z00_11077)(BgL_a1z00_11077, BgL_sz00_11079, BEOA); 
if(
PAIRP(BgL_a1z00_13448))
{ /* Eval/evaluate_comp.scm 1011 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1011 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5247z00zz__evaluate_compz00, BGl_symbol5249z00zz__evaluate_compz00, BgL_a1z00_13448, BgL_locz00_11078); } 
return 
CAR(
((obj_t)BgL_a1z00_13448));} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2735> */
obj_t BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11080, obj_t BgL_sz00_11083)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1011 */
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_11081;obj_t BgL_locz00_11082;
BgL_a1z00_11081 = 
PROCEDURE_REF(BgL_envz00_11080, 
(int)(((long)0))); 
BgL_locz00_11082 = 
PROCEDURE_REF(BgL_envz00_11080, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_bpz00_13449;
BgL_bpz00_13449 = 
VECTOR_REF(
((obj_t)BgL_sz00_11083),((long)0)); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_13450;
BgL_a1z00_13450 = 
PROCEDURE_ENTRY(BgL_a1z00_11081)(BgL_a1z00_11081, BgL_sz00_11083, BEOA); 
if(
PAIRP(BgL_a1z00_13450))
{ /* Eval/evaluate_comp.scm 1011 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1011 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5251z00zz__evaluate_compz00, BGl_symbol5249z00zz__evaluate_compz00, BgL_a1z00_13450, BgL_locz00_11082); } 
return 
CDR(
((obj_t)BgL_a1z00_13450));} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2738> */
obj_t BGl_z62zc3anonymousza32738ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11084, obj_t BgL_sz00_11087)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1011 */
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_11085;obj_t BgL_locz00_11086;
BgL_a1z00_11085 = 
PROCEDURE_REF(BgL_envz00_11084, 
(int)(((long)0))); 
BgL_locz00_11086 = 
PROCEDURE_REF(BgL_envz00_11084, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_bpz00_13451;
BgL_bpz00_13451 = 
VECTOR_REF(
((obj_t)BgL_sz00_11087),((long)0)); 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_a1z00_13452;
BgL_a1z00_13452 = 
PROCEDURE_ENTRY(BgL_a1z00_11085)(BgL_a1z00_11085, BgL_sz00_11087, BEOA); 
if(
BGl_cadrzf3zf3zz__evaluate_compz00(BgL_a1z00_13452))
{ /* Eval/evaluate_comp.scm 1011 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_arg2740z00_13453;
BgL_arg2740z00_13453 = 
BGl_cadrerrvz00zz__evaluate_compz00(BgL_a1z00_13452); 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5253z00zz__evaluate_compz00, BGl_symbol5249z00zz__evaluate_compz00, BgL_arg2740z00_13453, BgL_locz00_11086); } 
{ /* Eval/evaluate_comp.scm 1011 */
obj_t BgL_pairz00_13454;
BgL_pairz00_13454 = 
CDR(
((obj_t)BgL_a1z00_13452)); 
return 
CAR(BgL_pairz00_13454);} } } } } 
BGL_FUNCTION_END;
}



/* cadr? */
bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t BgL_lz00_197)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1019 */
if(
PAIRP(BgL_lz00_197))
{ /* Eval/evaluate_comp.scm 1020 */
obj_t BgL_tmpz00_21303;
BgL_tmpz00_21303 = 
CDR(BgL_lz00_197); 
return 
PAIRP(BgL_tmpz00_21303);}  else 
{ /* Eval/evaluate_comp.scm 1020 */
return ((bool_t)0);} } 
BGL_FUNCTION_END;
}



/* cadrerrv */
obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t BgL_vz00_198)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1022 */
if(
PAIRP(BgL_vz00_198))
{ /* Eval/evaluate_comp.scm 1023 */
return 
CDR(BgL_vz00_198);}  else 
{ /* Eval/evaluate_comp.scm 1023 */
return BgL_vz00_198;} } 
BGL_FUNCTION_END;
}



/* correct */
long BGl_correctz00zz__evaluate_compz00(obj_t BgL_nz00_201, long BgL_donez00_202)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1051 */
if(
(
(long)CINT(BgL_nz00_201)<((long)0)))
{ /* Eval/evaluate_comp.scm 1052 */
return 
(
(long)CINT(BgL_nz00_201)+BgL_donez00_202);}  else 
{ /* Eval/evaluate_comp.scm 1052 */
return 
(
(long)CINT(BgL_nz00_201)-BgL_donez00_202);} } 
BGL_FUNCTION_END;
}



/* bind-frame */
obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_203, obj_t BgL_wherez00_204, long BgL_spz00_205, long BgL_arityz00_206, obj_t BgL_valsz00_207, obj_t BgL_locz00_208)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1056 */
if(
(BgL_arityz00_206<((long)0)))
{ /* Eval/evaluate_comp.scm 1058 */
long BgL_g1233z00_3513;
BgL_g1233z00_3513 = 
(((long)-1)-BgL_arityz00_206); 
{ 
long BgL_rz00_3515;long BgL_spz00_3516;obj_t BgL_lz00_3517;
BgL_rz00_3515 = BgL_g1233z00_3513; 
BgL_spz00_3516 = BgL_spz00_205; 
BgL_lz00_3517 = BgL_valsz00_207; 
BgL_zc3anonymousza32745ze3z83_3518:
if(
(BgL_rz00_3515==((long)0)))
{ /* Eval/evaluate_comp.scm 1060 */
return 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3516,BgL_lz00_3517);}  else 
{ /* Eval/evaluate_comp.scm 1060 */
if(
PAIRP(BgL_lz00_3517))
{ /* Eval/evaluate_comp.scm 1062 */
{ /* Eval/evaluate_comp.scm 1065 */
obj_t BgL_arg2748z00_3521;
BgL_arg2748z00_3521 = 
CAR(BgL_lz00_3517); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3516,BgL_arg2748z00_3521); } 
{ 
obj_t BgL_lz00_21332;long BgL_spz00_21330;long BgL_rz00_21328;
BgL_rz00_21328 = 
(BgL_rz00_3515-((long)1)); 
BgL_spz00_21330 = 
(BgL_spz00_3516+((long)1)); 
BgL_lz00_21332 = 
CDR(BgL_lz00_3517); 
BgL_lz00_3517 = BgL_lz00_21332; 
BgL_spz00_3516 = BgL_spz00_21330; 
BgL_rz00_3515 = BgL_rz00_21328; 
goto BgL_zc3anonymousza32745ze3z83_3518;} }  else 
{ /* Eval/evaluate_comp.scm 1063 */
long BgL_arg2752z00_3525;
BgL_arg2752z00_3525 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2752z00_3525));} } } }  else 
{ 
long BgL_rz00_3528;long BgL_spz00_3529;obj_t BgL_lz00_3530;
BgL_rz00_3528 = BgL_arityz00_206; 
BgL_spz00_3529 = BgL_spz00_205; 
BgL_lz00_3530 = BgL_valsz00_207; 
BgL_zc3anonymousza32753ze3z83_3531:
if(
(BgL_rz00_3528==((long)0)))
{ /* Eval/evaluate_comp.scm 1069 */
if(
NULLP(BgL_lz00_3530))
{ /* Eval/evaluate_comp.scm 1070 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 1071 */
long BgL_arg2756z00_3534;
BgL_arg2756z00_3534 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2756z00_3534));} }  else 
{ /* Eval/evaluate_comp.scm 1069 */
if(
PAIRP(BgL_lz00_3530))
{ /* Eval/evaluate_comp.scm 1072 */
{ /* Eval/evaluate_comp.scm 1075 */
obj_t BgL_arg2758z00_3536;
BgL_arg2758z00_3536 = 
CAR(BgL_lz00_3530); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3529,BgL_arg2758z00_3536); } 
{ 
obj_t BgL_lz00_21355;long BgL_spz00_21353;long BgL_rz00_21351;
BgL_rz00_21351 = 
(BgL_rz00_3528-((long)1)); 
BgL_spz00_21353 = 
(BgL_spz00_3529+((long)1)); 
BgL_lz00_21355 = 
CDR(BgL_lz00_3530); 
BgL_lz00_3530 = BgL_lz00_21355; 
BgL_spz00_3529 = BgL_spz00_21353; 
BgL_rz00_3528 = BgL_rz00_21351; 
goto BgL_zc3anonymousza32753ze3z83_3531;} }  else 
{ /* Eval/evaluate_comp.scm 1073 */
long BgL_arg2762z00_3540;
BgL_arg2762z00_3540 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2762z00_3540));} } } } 
BGL_FUNCTION_END;
}



/* make-boxes */
bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_211, obj_t BgL_ibza2za2_212, obj_t BgL_bpz00_213)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1170 */
{ 
long BgL_iz00_3544;
BgL_iz00_3544 = ((long)0); 
BgL_zc3anonymousza32763ze3z83_3545:
{ /* Eval/evaluate_comp.scm 1173 */
long BgL_spz00_3546;
{ /* Eval/evaluate_comp.scm 1173 */
obj_t BgL_arg2767z00_3551;
BgL_arg2767z00_3551 = 
VECTOR_REF(
((obj_t)BgL_ibza2za2_212),BgL_iz00_3544); 
BgL_spz00_3546 = 
(
(long)CINT(BgL_bpz00_213)+
(long)CINT(BgL_arg2767z00_3551)); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg2764z00_3547;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg2765z00_3548;
BgL_arg2765z00_3548 = 
VECTOR_REF(
((obj_t)BgL_sz00_211),BgL_spz00_3546); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_8478;
BgL_newz00_8478 = 
create_struct(BGl_symbol5177z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_21370;
BgL_tmpz00_21370 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_8478, BgL_tmpz00_21370, BgL_arg2765z00_3548); } 
BgL_arg2764z00_3547 = BgL_newz00_8478; } } 
VECTOR_SET(
((obj_t)BgL_sz00_211),BgL_spz00_3546,BgL_arg2764z00_3547); } 
{ /* Eval/evaluate_comp.scm 1175 */
long BgL_niz00_3549;
BgL_niz00_3549 = 
(BgL_iz00_3544+((long)1)); 
if(
(BgL_niz00_3549<
VECTOR_LENGTH(
((obj_t)BgL_ibza2za2_212))))
{ 
long BgL_iz00_21380;
BgL_iz00_21380 = BgL_niz00_3549; 
BgL_iz00_3544 = BgL_iz00_21380; 
goto BgL_zc3anonymousza32763ze3z83_3545;}  else 
{ /* Eval/evaluate_comp.scm 1176 */
return ((bool_t)0);} } } } } 
BGL_FUNCTION_END;
}



/* free-collect */
obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_214, obj_t BgL_bpz00_215, obj_t BgL_iza2za2_216)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1178 */
{ /* Eval/evaluate_comp.scm 1179 */
obj_t BgL_rz00_3554;
BgL_rz00_3554 = 
make_vector(
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216)), BUNSPEC); 
{ /* Eval/evaluate_comp.scm 1179 */

{ 
long BgL_iz00_3556;
BgL_iz00_3556 = ((long)0); 
BgL_zc3anonymousza32768ze3z83_3557:
if(
(BgL_iz00_3556>=
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216))))
{ /* Eval/evaluate_comp.scm 1181 */
return BgL_rz00_3554;}  else 
{ /* Eval/evaluate_comp.scm 1181 */
{ /* Eval/evaluate_comp.scm 1184 */
obj_t BgL_arg2770z00_3559;
{ /* Eval/evaluate_comp.scm 1184 */
long BgL_arg2771z00_3560;
{ /* Eval/evaluate_comp.scm 1184 */
obj_t BgL_arg2772z00_3561;
BgL_arg2772z00_3561 = 
VECTOR_REF(
((obj_t)BgL_iza2za2_216),BgL_iz00_3556); 
BgL_arg2771z00_3560 = 
(
(long)CINT(BgL_bpz00_215)+
(long)CINT(BgL_arg2772z00_3561)); } 
BgL_arg2770z00_3559 = 
VECTOR_REF(
((obj_t)BgL_sz00_214),BgL_arg2771z00_3560); } 
VECTOR_SET(BgL_rz00_3554,BgL_iz00_3556,BgL_arg2770z00_3559); } 
{ 
long BgL_iz00_21396;
BgL_iz00_21396 = 
(BgL_iz00_3556+((long)1)); 
BgL_iz00_3556 = BgL_iz00_21396; 
goto BgL_zc3anonymousza32768ze3z83_3557;} } } } } } 
BGL_FUNCTION_END;
}



/* free-restore */
bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_217, obj_t BgL_valza2za2_218, long BgL_spz00_219)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1187 */
{ /* Eval/evaluate_comp.scm 1188 */
long BgL_stopz00_3565;
BgL_stopz00_3565 = 
(BgL_spz00_219+
VECTOR_LENGTH(
((obj_t)BgL_valza2za2_218))); 
{ 
long BgL_iz00_3567;long BgL_spz00_3568;
BgL_iz00_3567 = ((long)0); 
BgL_spz00_3568 = BgL_spz00_219; 
BgL_zc3anonymousza32775ze3z83_3569:
if(
(BgL_spz00_3568<BgL_stopz00_3565))
{ /* Eval/evaluate_comp.scm 1190 */
{ /* Eval/evaluate_comp.scm 1191 */
obj_t BgL_arg2777z00_3571;
BgL_arg2777z00_3571 = 
VECTOR_REF(
((obj_t)BgL_valza2za2_218),BgL_iz00_3567); 
VECTOR_SET(
((obj_t)BgL_sz00_217),BgL_spz00_3568,BgL_arg2777z00_3571); } 
{ 
long BgL_spz00_21409;long BgL_iz00_21407;
BgL_iz00_21407 = 
(BgL_iz00_3567+((long)1)); 
BgL_spz00_21409 = 
(BgL_spz00_3568+((long)1)); 
BgL_spz00_3568 = BgL_spz00_21409; 
BgL_iz00_3567 = BgL_iz00_21407; 
goto BgL_zc3anonymousza32775ze3z83_3569;} }  else 
{ /* Eval/evaluate_comp.scm 1190 */
return ((bool_t)0);} } } } 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_proc5255z00zz__evaluate_compz00, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string5256z00zz__evaluate_compz00);} 
BGL_FUNCTION_END;
}



/* &comp1385 */
obj_t BGl_z62comp1385z62zz__evaluate_compz00(obj_t BgL_envz00_11173, obj_t BgL_ez00_11174, obj_t BgL_stkz00_11175)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 276 */
return 
BGl_errorz00zz__errorz00(BGl_string5167z00zz__evaluate_compz00, BGl_string5257z00zz__evaluate_compz00, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_11174)));} 
BGL_FUNCTION_END;
}



/* comp */
obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35, obj_t BgL_stkz00_36)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_method1386z00_3581;
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_res4626z00_8546;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_objzd2classzd2numz00_8519;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_res4620z00_8522;
BgL_res4620z00_8522 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_35)); 
BgL_objzd2classzd2numz00_8519 = BgL_res4620z00_8522; } 
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_arg3953z00_8520;
BgL_arg3953z00_8520 = 
PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 276 */
int BgL_offsetz00_8524;
BgL_offsetz00_8524 = 
(int)(BgL_objzd2classzd2numz00_8519); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_offsetz00_8525;
BgL_offsetz00_8525 = 
(
(long)(BgL_offsetz00_8524)-OBJECT_TYPE); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_modz00_8526;
{ /* Eval/evaluate_comp.scm 276 */
int BgL_arg3955z00_8527;
BgL_arg3955z00_8527 = 
(int)(((long)16)); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_res4623z00_8537;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_tmpz00_21423;
BgL_tmpz00_21423 = 
(long)(BgL_arg3955z00_8527); 
BgL_res4623z00_8537 = 
(BgL_offsetz00_8525/BgL_tmpz00_21423); } 
BgL_modz00_8526 = BgL_res4623z00_8537; } } 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_restz00_8528;
{ /* Eval/evaluate_comp.scm 276 */
int BgL_arg3954z00_8529;
BgL_arg3954z00_8529 = 
(int)(((long)16)); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_res4625z00_8541;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_tmpz00_21427;
BgL_tmpz00_21427 = 
(long)(BgL_arg3954z00_8529); 
BgL_res4625z00_8541 = 
(BgL_offsetz00_8525%BgL_tmpz00_21427); } 
BgL_restz00_8528 = BgL_res4625z00_8541; } } 
{ /* Eval/evaluate_comp.scm 276 */

{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_bucketz00_8530;
BgL_bucketz00_8530 = 
VECTOR_REF(
((obj_t)BgL_arg3953z00_8520),BgL_modz00_8526); 
BgL_res4626z00_8546 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_8530),BgL_restz00_8528); } } } } } } } } 
BgL_method1386z00_3581 = BgL_res4626z00_8546; } 
return 
PROCEDURE_ENTRY(BgL_method1386z00_3581)(BgL_method1386z00_3581, 
((obj_t)BgL_ez00_35), BgL_stkz00_36, BEOA);} } 
BGL_FUNCTION_END;
}



/* &comp */
obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_11176, obj_t BgL_ez00_11177, obj_t BgL_stkz00_11178)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
BgL_ev_exprz00_bglt BgL_auxz00_21440;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_11177, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 276 */
BgL_auxz00_21440 = 
((BgL_ev_exprz00_bglt)BgL_ez00_11177)
; }  else 
{ 
obj_t BgL_auxz00_21444;
BgL_auxz00_21444 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string5172z00zz__evaluate_compz00, 
BINT(((long)7022)), BGl_string5258z00zz__evaluate_compz00, BGl_string5174z00zz__evaluate_compz00, BgL_ez00_11177); 
FAILURE(BgL_auxz00_21444,BFALSE,BFALSE);} 
return 
BGl_compz00zz__evaluate_compz00(BgL_auxz00_21440, BgL_stkz00_11178);} } 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_trapz00zz__evaluate_typesz00, BGl_proc5259z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc5261z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc5262z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc5263z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setglobalz00zz__evaluate_typesz00, BGl_proc5264z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_defglobalz00zz__evaluate_typesz00, BGl_proc5265z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc5266z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc5267z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_orz00zz__evaluate_typesz00, BGl_proc5268z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_andz00zz__evaluate_typesz00, BGl_proc5269z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc5270z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc5271z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc5272z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc5273z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc5274z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc5275z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc5276z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc5277z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc5278z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc5279z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc5280z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc5281z00zz__evaluate_compz00, BGl_string5260z00zz__evaluate_compz00);} 
BGL_FUNCTION_END;
}



/* &comp-ev_abs1430 */
obj_t BGl_z62compzd2ev_abs1430zb0zz__evaluate_compz00(obj_t BgL_envz00_11373, obj_t BgL_ez00_11374, obj_t BgL_stkz00_11375)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1158 */
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_ifreesz00_13457;obj_t BgL_iboxesz00_13458;long BgL_siza7eza7_13459;long BgL_siza7ezd2framez75_13460;obj_t BgL_nstkz00_13461;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_arg3669z00_13462;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_l1362z00_13463;
BgL_l1362z00_13463 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11374)))->BgL_freez00); 
if(
NULLP(BgL_l1362z00_13463))
{ /* Eval/evaluate_comp.scm 1160 */
BgL_arg3669z00_13462 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_head1364z00_13464;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_res4716z00_13465;
BgL_res4716z00_13465 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1364z00_13464 = BgL_res4716z00_13465; } 
{ 
obj_t BgL_l1362z00_13467;obj_t BgL_tail1365z00_13468;
BgL_l1362z00_13467 = BgL_l1362z00_13463; 
BgL_tail1365z00_13468 = BgL_head1364z00_13464; 
BgL_zc3anonymousza33671ze3z83_13466:
if(
NULLP(BgL_l1362z00_13467))
{ /* Eval/evaluate_comp.scm 1160 */
BgL_arg3669z00_13462 = 
CDR(BgL_head1364z00_13464); }  else 
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_newtail1366z00_13469;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_arg3674z00_13470;
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_vz00_13471;
BgL_vz00_13471 = 
CAR(
((obj_t)BgL_l1362z00_13467)); 
BgL_arg3674z00_13470 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_13471, BgL_stkz00_11375); } 
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_res4718z00_13472;
BgL_res4718z00_13472 = 
MAKE_YOUNG_PAIR(BgL_arg3674z00_13470, BNIL); 
BgL_newtail1366z00_13469 = BgL_res4718z00_13472; } } 
SET_CDR(BgL_tail1365z00_13468, BgL_newtail1366z00_13469); 
{ /* Eval/evaluate_comp.scm 1160 */
obj_t BgL_arg3673z00_13473;
BgL_arg3673z00_13473 = 
CDR(
((obj_t)BgL_l1362z00_13467)); 
{ 
obj_t BgL_tail1365z00_21487;obj_t BgL_l1362z00_21486;
BgL_l1362z00_21486 = BgL_arg3673z00_13473; 
BgL_tail1365z00_21487 = BgL_newtail1366z00_13469; 
BgL_tail1365z00_13468 = BgL_tail1365z00_21487; 
BgL_l1362z00_13467 = BgL_l1362z00_21486; 
goto BgL_zc3anonymousza33671ze3z83_13466;} } } } } } 
BgL_ifreesz00_13457 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3669z00_13462); } 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_arg3675z00_13474;
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_l1367z00_13475;
BgL_l1367z00_13475 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11374)))->BgL_boxesz00); 
if(
NULLP(BgL_l1367z00_13475))
{ /* Eval/evaluate_comp.scm 1161 */
BgL_arg3675z00_13474 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_head1369z00_13476;
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_res4720z00_13477;
BgL_res4720z00_13477 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1369z00_13476 = BgL_res4720z00_13477; } 
{ 
obj_t BgL_l1367z00_13479;obj_t BgL_tail1370z00_13480;
BgL_l1367z00_13479 = BgL_l1367z00_13475; 
BgL_tail1370z00_13480 = BgL_head1369z00_13476; 
BgL_zc3anonymousza33677ze3z83_13478:
if(
NULLP(BgL_l1367z00_13479))
{ /* Eval/evaluate_comp.scm 1161 */
BgL_arg3675z00_13474 = 
CDR(BgL_head1369z00_13476); }  else 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_newtail1371z00_13481;
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_arg3680z00_13482;
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_vz00_13483;
BgL_vz00_13483 = 
CAR(
((obj_t)BgL_l1367z00_13479)); 
BgL_arg3680z00_13482 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_13483, 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11374)))->BgL_varsz00)); } 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_res4722z00_13484;
BgL_res4722z00_13484 = 
MAKE_YOUNG_PAIR(BgL_arg3680z00_13482, BNIL); 
BgL_newtail1371z00_13481 = BgL_res4722z00_13484; } } 
SET_CDR(BgL_tail1370z00_13480, BgL_newtail1371z00_13481); 
{ /* Eval/evaluate_comp.scm 1161 */
obj_t BgL_arg3679z00_13485;
BgL_arg3679z00_13485 = 
CDR(
((obj_t)BgL_l1367z00_13479)); 
{ 
obj_t BgL_tail1370z00_21507;obj_t BgL_l1367z00_21506;
BgL_l1367z00_21506 = BgL_arg3679z00_13485; 
BgL_tail1370z00_21507 = BgL_newtail1371z00_13481; 
BgL_tail1370z00_13480 = BgL_tail1370z00_21507; 
BgL_l1367z00_13479 = BgL_l1367z00_21506; 
goto BgL_zc3anonymousza33677ze3z83_13478;} } } } } } 
BgL_iboxesz00_13458 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3675z00_13474); } 
BgL_siza7eza7_13459 = 
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11374)))->BgL_varsz00)); 
BgL_siza7ezd2framez75_13460 = 
(
(long)(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11374)))->BgL_siza7eza7))+
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11374)))->BgL_freez00))); 
BgL_nstkz00_13461 = 
BGl_appendzd221010zd2zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11374)))->BgL_varsz00), 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11374)))->BgL_freez00)); 
{ /* Eval/evaluate_comp.scm 1165 */
obj_t BgL_bodyz00_13486;
BgL_bodyz00_13486 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11374)))->BgL_bodyz00), BgL_nstkz00_13461); 
{ 

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_aux1245z00_13492;
BgL_aux1245z00_13492 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11374)))->BgL_arityz00); 
if(
INTEGERP(BgL_aux1245z00_13492))
{ /* Eval/evaluate_comp.scm 1167 */
switch( 
(long)CINT(BgL_aux1245z00_13492)) { case ((long)0) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13457)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33131ze3z83_13493;
BgL_zc3anonymousza33131ze3z83_13493 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33131ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33131ze3z83_13493, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33131ze3z83_13493, 
(int)(((long)1)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33131ze3z83_13493, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33131ze3z83_13493;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33137ze3z83_13494;
BgL_zc3anonymousza33137ze3z83_13494 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33137ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33137ze3z83_13494, 
(int)(((long)0)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33137ze3z83_13494, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33137ze3z83_13494, 
(int)(((long)2)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33137ze3z83_13494, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33137ze3z83_13494;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33146ze3z83_13495;
BgL_zc3anonymousza33146ze3z83_13495 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33146ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33146ze3z83_13495, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33146ze3z83_13495, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33146ze3z83_13495, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33146ze3z83_13495, 
(int)(((long)3)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33146ze3z83_13495, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33146ze3z83_13495;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33153ze3z83_13496;
BgL_zc3anonymousza33153ze3z83_13496 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33153ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33153ze3z83_13496, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33153ze3z83_13496, 
(int)(((long)1)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33153ze3z83_13496, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33153ze3z83_13496, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33153ze3z83_13496, 
(int)(((long)4)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33153ze3z83_13496, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33153ze3z83_13496;} } break;case ((long)-1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13457)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33166ze3z83_13497;
BgL_zc3anonymousza33166ze3z83_13497 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33166ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33166ze3z83_13497, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33166ze3z83_13497, 
(int)(((long)1)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33166ze3z83_13497, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33166ze3z83_13497;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33173ze3z83_13498;
BgL_zc3anonymousza33173ze3z83_13498 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33173ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33173ze3z83_13498, 
(int)(((long)0)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33173ze3z83_13498, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33173ze3z83_13498, 
(int)(((long)2)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33173ze3z83_13498, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33173ze3z83_13498;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33183ze3z83_13499;
BgL_zc3anonymousza33183ze3z83_13499 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33183ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33183ze3z83_13499, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33183ze3z83_13499, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33183ze3z83_13499, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33183ze3z83_13499, 
(int)(((long)3)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33183ze3z83_13499, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33183ze3z83_13499;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33191ze3z83_13500;
BgL_zc3anonymousza33191ze3z83_13500 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33191ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33191ze3z83_13500, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33191ze3z83_13500, 
(int)(((long)1)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33191ze3z83_13500, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33191ze3z83_13500, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33191ze3z83_13500, 
(int)(((long)4)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33191ze3z83_13500, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33191ze3z83_13500;} } break;case ((long)1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13457)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33205ze3z83_13501;
BgL_zc3anonymousza33205ze3z83_13501 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33205ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33205ze3z83_13501, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33205ze3z83_13501, 
(int)(((long)1)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33205ze3z83_13501, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33205ze3z83_13501;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33212ze3z83_13502;
BgL_zc3anonymousza33212ze3z83_13502 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33212ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33212ze3z83_13502, 
(int)(((long)0)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33212ze3z83_13502, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33212ze3z83_13502, 
(int)(((long)2)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33212ze3z83_13502, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33212ze3z83_13502;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33222ze3z83_13503;
BgL_zc3anonymousza33222ze3z83_13503 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33222ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33222ze3z83_13503, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33222ze3z83_13503, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33222ze3z83_13503, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33222ze3z83_13503, 
(int)(((long)3)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33222ze3z83_13503, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33222ze3z83_13503;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33230ze3z83_13504;
BgL_zc3anonymousza33230ze3z83_13504 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33230ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33230ze3z83_13504, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33230ze3z83_13504, 
(int)(((long)1)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33230ze3z83_13504, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33230ze3z83_13504, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33230ze3z83_13504, 
(int)(((long)4)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33230ze3z83_13504, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33230ze3z83_13504;} } break;case ((long)-2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13457)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33244ze3z83_13505;
BgL_zc3anonymousza33244ze3z83_13505 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33244ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33244ze3z83_13505, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33244ze3z83_13505, 
(int)(((long)1)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33244ze3z83_13505, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33244ze3z83_13505;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33252ze3z83_13506;
BgL_zc3anonymousza33252ze3z83_13506 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33252ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33252ze3z83_13506, 
(int)(((long)0)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33252ze3z83_13506, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33252ze3z83_13506, 
(int)(((long)2)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33252ze3z83_13506, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33252ze3z83_13506;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33263ze3z83_13507;
BgL_zc3anonymousza33263ze3z83_13507 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33263ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33263ze3z83_13507, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33263ze3z83_13507, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33263ze3z83_13507, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33263ze3z83_13507, 
(int)(((long)3)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33263ze3z83_13507, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33263ze3z83_13507;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33272ze3z83_13508;
BgL_zc3anonymousza33272ze3z83_13508 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33272ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33272ze3z83_13508, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33272ze3z83_13508, 
(int)(((long)1)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33272ze3z83_13508, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33272ze3z83_13508, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33272ze3z83_13508, 
(int)(((long)4)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33272ze3z83_13508, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33272ze3z83_13508;} } break;case ((long)2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13457)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33287ze3z83_13509;
BgL_zc3anonymousza33287ze3z83_13509 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33287ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33287ze3z83_13509, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33287ze3z83_13509, 
(int)(((long)1)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33287ze3z83_13509, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33287ze3z83_13509;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33295ze3z83_13510;
BgL_zc3anonymousza33295ze3z83_13510 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33295ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33295ze3z83_13510, 
(int)(((long)0)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33295ze3z83_13510, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33295ze3z83_13510, 
(int)(((long)2)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33295ze3z83_13510, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33295ze3z83_13510;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33306ze3z83_13511;
BgL_zc3anonymousza33306ze3z83_13511 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33306ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33306ze3z83_13511, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33306ze3z83_13511, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33306ze3z83_13511, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33306ze3z83_13511, 
(int)(((long)3)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33306ze3z83_13511, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33306ze3z83_13511;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33315ze3z83_13512;
BgL_zc3anonymousza33315ze3z83_13512 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33315ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33315ze3z83_13512, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33315ze3z83_13512, 
(int)(((long)1)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33315ze3z83_13512, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33315ze3z83_13512, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33315ze3z83_13512, 
(int)(((long)4)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33315ze3z83_13512, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33315ze3z83_13512;} } break;case ((long)-3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13457)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33330ze3z83_13513;
BgL_zc3anonymousza33330ze3z83_13513 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33330ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33330ze3z83_13513, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33330ze3z83_13513, 
(int)(((long)1)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33330ze3z83_13513, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33330ze3z83_13513;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33339ze3z83_13514;
BgL_zc3anonymousza33339ze3z83_13514 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33339ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33339ze3z83_13514, 
(int)(((long)0)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33339ze3z83_13514, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33339ze3z83_13514, 
(int)(((long)2)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33339ze3z83_13514, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33339ze3z83_13514;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33351ze3z83_13515;
BgL_zc3anonymousza33351ze3z83_13515 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33351ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33351ze3z83_13515, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33351ze3z83_13515, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33351ze3z83_13515, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33351ze3z83_13515, 
(int)(((long)3)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33351ze3z83_13515, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33351ze3z83_13515;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33361ze3z83_13516;
BgL_zc3anonymousza33361ze3z83_13516 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33361ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33361ze3z83_13516, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33361ze3z83_13516, 
(int)(((long)1)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33361ze3z83_13516, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33361ze3z83_13516, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33361ze3z83_13516, 
(int)(((long)4)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33361ze3z83_13516, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33361ze3z83_13516;} } break;case ((long)3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13457)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33377ze3z83_13517;
BgL_zc3anonymousza33377ze3z83_13517 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33377ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33377ze3z83_13517, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33377ze3z83_13517, 
(int)(((long)1)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33377ze3z83_13517, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33377ze3z83_13517;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33386ze3z83_13518;
BgL_zc3anonymousza33386ze3z83_13518 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33386ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33386ze3z83_13518, 
(int)(((long)0)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33386ze3z83_13518, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33386ze3z83_13518, 
(int)(((long)2)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33386ze3z83_13518, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33386ze3z83_13518;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33398ze3z83_13519;
BgL_zc3anonymousza33398ze3z83_13519 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33398ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33398ze3z83_13519, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33398ze3z83_13519, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33398ze3z83_13519, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33398ze3z83_13519, 
(int)(((long)3)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33398ze3z83_13519, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33398ze3z83_13519;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33408ze3z83_13520;
BgL_zc3anonymousza33408ze3z83_13520 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33408ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33408ze3z83_13520, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33408ze3z83_13520, 
(int)(((long)1)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33408ze3z83_13520, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33408ze3z83_13520, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33408ze3z83_13520, 
(int)(((long)4)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33408ze3z83_13520, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33408ze3z83_13520;} } break;case ((long)-4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13457)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33424ze3z83_13521;
BgL_zc3anonymousza33424ze3z83_13521 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33424ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33424ze3z83_13521, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33424ze3z83_13521, 
(int)(((long)1)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33424ze3z83_13521, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33424ze3z83_13521;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33434ze3z83_13522;
BgL_zc3anonymousza33434ze3z83_13522 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33434ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33434ze3z83_13522, 
(int)(((long)0)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33434ze3z83_13522, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33434ze3z83_13522, 
(int)(((long)2)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33434ze3z83_13522, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33434ze3z83_13522;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33447ze3z83_13523;
BgL_zc3anonymousza33447ze3z83_13523 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33447ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33447ze3z83_13523, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33447ze3z83_13523, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33447ze3z83_13523, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33447ze3z83_13523, 
(int)(((long)3)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33447ze3z83_13523, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33447ze3z83_13523;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33458ze3z83_13524;
BgL_zc3anonymousza33458ze3z83_13524 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33458ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33458ze3z83_13524, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33458ze3z83_13524, 
(int)(((long)1)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33458ze3z83_13524, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33458ze3z83_13524, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33458ze3z83_13524, 
(int)(((long)4)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33458ze3z83_13524, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33458ze3z83_13524;} } break;case ((long)4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13457)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33475ze3z83_13525;
BgL_zc3anonymousza33475ze3z83_13525 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33475ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33475ze3z83_13525, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33475ze3z83_13525, 
(int)(((long)1)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33475ze3z83_13525, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33475ze3z83_13525;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33485ze3z83_13526;
BgL_zc3anonymousza33485ze3z83_13526 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33485ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33485ze3z83_13526, 
(int)(((long)0)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33485ze3z83_13526, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33485ze3z83_13526, 
(int)(((long)2)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33485ze3z83_13526, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33485ze3z83_13526;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33498ze3z83_13527;
BgL_zc3anonymousza33498ze3z83_13527 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33498ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33498ze3z83_13527, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33498ze3z83_13527, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33498ze3z83_13527, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33498ze3z83_13527, 
(int)(((long)3)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33498ze3z83_13527, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33498ze3z83_13527;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33509ze3z83_13528;
BgL_zc3anonymousza33509ze3z83_13528 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33509ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_13528, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_13528, 
(int)(((long)1)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_13528, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_13528, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_13528, 
(int)(((long)4)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33509ze3z83_13528, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33509ze3z83_13528;} } break;case ((long)-5) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13457)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33526ze3z83_13529;
BgL_zc3anonymousza33526ze3z83_13529 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33526ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33526ze3z83_13529, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33526ze3z83_13529, 
(int)(((long)1)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33526ze3z83_13529, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33526ze3z83_13529;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33537ze3z83_13530;
BgL_zc3anonymousza33537ze3z83_13530 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33537ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33537ze3z83_13530, 
(int)(((long)0)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33537ze3z83_13530, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33537ze3z83_13530, 
(int)(((long)2)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33537ze3z83_13530, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33537ze3z83_13530;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33551ze3z83_13531;
BgL_zc3anonymousza33551ze3z83_13531 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33551ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33551ze3z83_13531, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33551ze3z83_13531, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33551ze3z83_13531, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33551ze3z83_13531, 
(int)(((long)3)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33551ze3z83_13531, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33551ze3z83_13531;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33563ze3z83_13532;
BgL_zc3anonymousza33563ze3z83_13532 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33563ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33563ze3z83_13532, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33563ze3z83_13532, 
(int)(((long)1)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33563ze3z83_13532, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33563ze3z83_13532, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33563ze3z83_13532, 
(int)(((long)4)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33563ze3z83_13532, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33563ze3z83_13532;} } break;
default: 
BgL_case_else1244z00_13487:
if(
(
VECTOR_LENGTH(BgL_ifreesz00_13457)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33581ze3z83_13488;
BgL_zc3anonymousza33581ze3z83_13488 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33581ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33581ze3z83_13488, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33581ze3z83_13488, 
(int)(((long)1)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33581ze3z83_13488, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33581ze3z83_13488;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33601ze3z83_13489;
BgL_zc3anonymousza33601ze3z83_13489 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33601ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33601ze3z83_13489, 
(int)(((long)0)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33601ze3z83_13489, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33601ze3z83_13489, 
(int)(((long)2)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33601ze3z83_13489, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33601ze3z83_13489;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13458)==((long)0)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33624ze3z83_13490;
BgL_zc3anonymousza33624ze3z83_13490 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33624ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33624ze3z83_13490, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33624ze3z83_13490, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33624ze3z83_13490, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33624ze3z83_13490, 
(int)(((long)3)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33624ze3z83_13490, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33624ze3z83_13490;}  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_zc3anonymousza33645ze3z83_13491;
BgL_zc3anonymousza33645ze3z83_13491 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33645ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3anonymousza33645ze3z83_13491, 
(int)(((long)0)), BgL_ifreesz00_13457); 
PROCEDURE_SET(BgL_zc3anonymousza33645ze3z83_13491, 
(int)(((long)1)), BgL_iboxesz00_13458); 
PROCEDURE_SET(BgL_zc3anonymousza33645ze3z83_13491, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13459)); 
PROCEDURE_SET(BgL_zc3anonymousza33645ze3z83_13491, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11374))); 
PROCEDURE_SET(BgL_zc3anonymousza33645ze3z83_13491, 
(int)(((long)4)), BgL_bodyz00_13486); 
PROCEDURE_SET(BgL_zc3anonymousza33645ze3z83_13491, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13460)); 
return BgL_zc3anonymousza33645ze3z83_13491;} } } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
goto BgL_case_else1244z00_13487;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3526> */
obj_t BGl_z62zc3anonymousza33526ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11376, obj_t BgL_sz00_11380)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11377;obj_t BgL_bodyz00_11378;long BgL_siza7ezd2framez75_11379;
BgL_i1243z00_11377 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11376, 
(int)(((long)0)))); 
BgL_bodyz00_11378 = 
PROCEDURE_REF(BgL_envz00_11376, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11379 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11376, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13533;
BgL_bpz00_13533 = 
VECTOR_REF(
((obj_t)BgL_sz00_11380),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13534;
BgL_runz00_13534 = 
MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13534, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11377)); 
PROCEDURE_SET(BgL_runz00_13534, 
(int)(((long)1)), BgL_bodyz00_11378); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13535;
BgL_mainz00_13535 = 
MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13535, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11377)); 
PROCEDURE_SET(BgL_mainz00_13535, 
(int)(((long)1)), BgL_bodyz00_11378); 
PROCEDURE_SET(BgL_mainz00_13535, 
(int)(((long)2)), BgL_runz00_13534); 
PROCEDURE_SET(BgL_mainz00_13535, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11379)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13536;
BgL_objz00_13536 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13534, BgL_objz00_13536); BgL_objz00_13536; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3527z00_13537;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3528z00_13538;
BgL_arg3528z00_13538 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11377))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13539;
BgL_newz00_13539 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22349;
BgL_tmpz00_22349 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13539, BgL_tmpz00_22349, BgL_arg3528z00_13538); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22354;int BgL_tmpz00_22352;
BgL_auxz00_22354 = 
BINT(BgL_siza7ezd2framez75_11379); 
BgL_tmpz00_22352 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13539, BgL_tmpz00_22352, BgL_auxz00_22354); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22357;
BgL_tmpz00_22357 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13539, BgL_tmpz00_22357, BgL_runz00_13534); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22362;int BgL_tmpz00_22360;
BgL_auxz00_22362 = 
BINT(((long)-5)); 
BgL_tmpz00_22360 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13539, BgL_tmpz00_22360, BgL_auxz00_22362); } 
BgL_arg3527z00_13537 = BgL_newz00_13539; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13535, BgL_arg3527z00_13537); BgL_arg3527z00_13537; } 
return BgL_mainz00_13535;} } } } } } 
BGL_FUNCTION_END;
}



/* &main */
obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_11381, obj_t BgL_az00_11386, obj_t BgL_bz00_11387, obj_t BgL_cz00_11388, obj_t BgL_dz00_11389, obj_t BgL_lastz00_11390)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11384;long BgL_siza7ezd2framez75_11385;
BgL_runz00_11384 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11381, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11385 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11381, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13540;
BgL_sz00_13540 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13541;
BgL_bpz00_13541 = 
VECTOR_REF(
((obj_t)BgL_sz00_13540),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13540, BgL_bpz00_13541, 
BINT(BgL_siza7ezd2framez75_11385)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3531z00_13542;
BgL_arg3531z00_13542 = 
(
(long)CINT(BgL_bpz00_13541)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13540),BgL_arg3531z00_13542,BgL_az00_11386); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3532z00_13543;
BgL_arg3532z00_13543 = 
(
(long)CINT(BgL_bpz00_13541)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13540),BgL_arg3532z00_13543,BgL_bz00_11387); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3533z00_13544;
BgL_arg3533z00_13544 = 
(
(long)CINT(BgL_bpz00_13541)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13540),BgL_arg3533z00_13544,BgL_cz00_11388); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3534z00_13545;
BgL_arg3534z00_13545 = 
(
(long)CINT(BgL_bpz00_13541)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13540),BgL_arg3534z00_13545,BgL_dz00_11389); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3535z00_13546;
BgL_arg3535z00_13546 = 
(
(long)CINT(BgL_bpz00_13541)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13540),BgL_arg3535z00_13546,BgL_lastz00_11390); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13547;
BgL_ez00_13547 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13547, BgL_bpz00_13541); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13548;
BgL_accz00_13548 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11384, BgL_sz00_13540, BgL_bpz00_13541); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13547); 
VECTOR_SET(
((obj_t)BgL_sz00_13540),((long)0),BgL_bpz00_13541); 
return BgL_accz00_13548;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13549;
BgL_nsz00_13549 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13549,((long)1),BgL_sz00_13540); 
VECTOR_SET(BgL_nsz00_13549,((long)2),BgL_az00_11386); 
VECTOR_SET(BgL_nsz00_13549,((long)3),BgL_bz00_11387); 
VECTOR_SET(BgL_nsz00_13549,((long)4),BgL_cz00_11388); 
VECTOR_SET(BgL_nsz00_13549,((long)5),BgL_dz00_11389); 
VECTOR_SET(BgL_nsz00_13549,((long)6),BgL_lastz00_11390); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13550;
BgL_z12denvz12_13550 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13550, BgL_nsz00_13549); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13551;
BgL_ez00_13551 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13551, BgL_sz00_13540); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13552;
BgL_____rz00_13552 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11384, BgL_nsz00_13549, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13551); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13550, BgL_sz00_13540); 
return BgL_____rz00_13552;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run */
obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_11391, obj_t BgL_sz00_11394)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11392;obj_t BgL_bodyz00_11393;
BgL_i1243z00_11392 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11391, 
(int)(((long)0)))); 
BgL_bodyz00_11393 = 
PROCEDURE_REF(BgL_envz00_11391, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13553;
BgL_bpz00_13553 = 
VECTOR_REF(
((obj_t)BgL_sz00_11394),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13554;obj_t BgL_wherez00_13555;obj_t BgL_locz00_13556;
BgL_z12denvz12_13554 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13555 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11392))->BgL_wherez00); 
BgL_locz00_13556 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11392))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13554, BgL_wherez00_13555, BgL_locz00_13556); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13557;
BgL_za2za2resza2za2z00_13557 = 
PROCEDURE_ENTRY(BgL_bodyz00_11393)(BgL_bodyz00_11393, BgL_sz00_11394, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13554); 
return BgL_za2za2resza2za2z00_13557;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3537> */
obj_t BGl_z62zc3anonymousza33537ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11395, obj_t BgL_sz00_11400)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11396;BgL_ev_absz00_bglt BgL_i1243z00_11397;obj_t BgL_bodyz00_11398;long BgL_siza7ezd2framez75_11399;
BgL_iboxesz00_11396 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11395, 
(int)(((long)0)))); 
BgL_i1243z00_11397 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11395, 
(int)(((long)1)))); 
BgL_bodyz00_11398 = 
PROCEDURE_REF(BgL_envz00_11395, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11399 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11395, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13558;
BgL_bpz00_13558 = 
VECTOR_REF(
((obj_t)BgL_sz00_11400),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13559;
BgL_runz00_13559 = 
MAKE_FX_PROCEDURE(BGl_z62run5070z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13559, 
(int)(((long)0)), BgL_iboxesz00_11396); 
PROCEDURE_SET(BgL_runz00_13559, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11397)); 
PROCEDURE_SET(BgL_runz00_13559, 
(int)(((long)2)), BgL_bodyz00_11398); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13560;
BgL_mainz00_13560 = 
MAKE_VA_PROCEDURE(BGl_z62main5069z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13560, 
(int)(((long)0)), BgL_iboxesz00_11396); 
PROCEDURE_SET(BgL_mainz00_13560, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11397)); 
PROCEDURE_SET(BgL_mainz00_13560, 
(int)(((long)2)), BgL_bodyz00_11398); 
PROCEDURE_SET(BgL_mainz00_13560, 
(int)(((long)3)), BgL_runz00_13559); 
PROCEDURE_SET(BgL_mainz00_13560, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11399)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13561;
BgL_objz00_13561 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13559, BgL_objz00_13561); BgL_objz00_13561; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3538z00_13562;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3539z00_13563;
BgL_arg3539z00_13563 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11397))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13564;
BgL_newz00_13564 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22477;
BgL_tmpz00_22477 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13564, BgL_tmpz00_22477, BgL_arg3539z00_13563); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22482;int BgL_tmpz00_22480;
BgL_auxz00_22482 = 
BINT(BgL_siza7ezd2framez75_11399); 
BgL_tmpz00_22480 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13564, BgL_tmpz00_22480, BgL_auxz00_22482); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22485;
BgL_tmpz00_22485 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13564, BgL_tmpz00_22485, BgL_runz00_13559); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22490;int BgL_tmpz00_22488;
BgL_auxz00_22490 = 
BINT(((long)-5)); 
BgL_tmpz00_22488 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13564, BgL_tmpz00_22488, BgL_auxz00_22490); } 
BgL_arg3538z00_13562 = BgL_newz00_13564; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13560, BgL_arg3538z00_13562); BgL_arg3538z00_13562; } 
return BgL_mainz00_13560;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5069 */
obj_t BGl_z62main5069z62zz__evaluate_compz00(obj_t BgL_envz00_11401, obj_t BgL_az00_11407, obj_t BgL_bz00_11408, obj_t BgL_cz00_11409, obj_t BgL_dz00_11410, obj_t BgL_lastz00_11411)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11405;long BgL_siza7ezd2framez75_11406;
BgL_runz00_11405 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11401, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11406 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11401, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13565;
BgL_sz00_13565 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13566;
BgL_bpz00_13566 = 
VECTOR_REF(
((obj_t)BgL_sz00_13565),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13565, BgL_bpz00_13566, 
BINT(BgL_siza7ezd2framez75_11406)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3542z00_13567;
BgL_arg3542z00_13567 = 
(
(long)CINT(BgL_bpz00_13566)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13565),BgL_arg3542z00_13567,BgL_az00_11407); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3543z00_13568;
BgL_arg3543z00_13568 = 
(
(long)CINT(BgL_bpz00_13566)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13565),BgL_arg3543z00_13568,BgL_bz00_11408); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3544z00_13569;
BgL_arg3544z00_13569 = 
(
(long)CINT(BgL_bpz00_13566)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13565),BgL_arg3544z00_13569,BgL_cz00_11409); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3545z00_13570;
BgL_arg3545z00_13570 = 
(
(long)CINT(BgL_bpz00_13566)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13565),BgL_arg3545z00_13570,BgL_dz00_11410); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3546z00_13571;
BgL_arg3546z00_13571 = 
(
(long)CINT(BgL_bpz00_13566)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13565),BgL_arg3546z00_13571,BgL_lastz00_11411); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13572;
BgL_ez00_13572 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13572, BgL_bpz00_13566); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13573;
BgL_accz00_13573 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11405, BgL_sz00_13565, BgL_bpz00_13566); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13572); 
VECTOR_SET(
((obj_t)BgL_sz00_13565),((long)0),BgL_bpz00_13566); 
return BgL_accz00_13573;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13574;
BgL_nsz00_13574 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13574,((long)1),BgL_sz00_13565); 
VECTOR_SET(BgL_nsz00_13574,((long)2),BgL_az00_11407); 
VECTOR_SET(BgL_nsz00_13574,((long)3),BgL_bz00_11408); 
VECTOR_SET(BgL_nsz00_13574,((long)4),BgL_cz00_11409); 
VECTOR_SET(BgL_nsz00_13574,((long)5),BgL_dz00_11410); 
VECTOR_SET(BgL_nsz00_13574,((long)6),BgL_lastz00_11411); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13575;
BgL_z12denvz12_13575 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13575, BgL_nsz00_13574); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13576;
BgL_ez00_13576 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13576, BgL_sz00_13565); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13577;
BgL_____rz00_13577 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11405, BgL_nsz00_13574, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13576); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13575, BgL_sz00_13565); 
return BgL_____rz00_13577;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5070 */
obj_t BGl_z62run5070z62zz__evaluate_compz00(obj_t BgL_envz00_11412, obj_t BgL_sz00_11416)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11413;BgL_ev_absz00_bglt BgL_i1243z00_11414;obj_t BgL_bodyz00_11415;
BgL_iboxesz00_11413 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11412, 
(int)(((long)0)))); 
BgL_i1243z00_11414 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11412, 
(int)(((long)1)))); 
BgL_bodyz00_11415 = 
PROCEDURE_REF(BgL_envz00_11412, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13578;
BgL_bpz00_13578 = 
VECTOR_REF(
((obj_t)BgL_sz00_11416),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11416, BgL_iboxesz00_11413, BgL_bpz00_13578); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13579;obj_t BgL_wherez00_13580;obj_t BgL_locz00_13581;
BgL_z12denvz12_13579 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13580 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11414))->BgL_wherez00); 
BgL_locz00_13581 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11414))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13579, BgL_wherez00_13580, BgL_locz00_13581); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13582;
BgL_za2za2resza2za2z00_13582 = 
PROCEDURE_ENTRY(BgL_bodyz00_11415)(BgL_bodyz00_11415, BgL_sz00_11416, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13579); 
return BgL_za2za2resza2za2z00_13582;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3551> */
obj_t BGl_z62zc3anonymousza33551ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11417, obj_t BgL_sz00_11423)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11418;long BgL_siza7eza7_11419;BgL_ev_absz00_bglt BgL_i1243z00_11420;obj_t BgL_bodyz00_11421;long BgL_siza7ezd2framez75_11422;
BgL_ifreesz00_11418 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11417, 
(int)(((long)0)))); 
BgL_siza7eza7_11419 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11417, 
(int)(((long)1)))); 
BgL_i1243z00_11420 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11417, 
(int)(((long)2)))); 
BgL_bodyz00_11421 = 
PROCEDURE_REF(BgL_envz00_11417, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11422 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11417, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13583;
BgL_bpz00_13583 = 
VECTOR_REF(
((obj_t)BgL_sz00_11423),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13584;
BgL_valza2za2_13584 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11423, BgL_bpz00_13583, BgL_ifreesz00_11418); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13585;
BgL_runz00_13585 = 
MAKE_FX_PROCEDURE(BGl_z62run5072z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13585, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11419)); 
PROCEDURE_SET(BgL_runz00_13585, 
(int)(((long)1)), BgL_valza2za2_13584); 
PROCEDURE_SET(BgL_runz00_13585, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11420)); 
PROCEDURE_SET(BgL_runz00_13585, 
(int)(((long)3)), BgL_bodyz00_11421); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13586;
BgL_mainz00_13586 = 
MAKE_VA_PROCEDURE(BGl_z62main5071z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13586, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11419)); 
PROCEDURE_SET(BgL_mainz00_13586, 
(int)(((long)1)), BgL_valza2za2_13584); 
PROCEDURE_SET(BgL_mainz00_13586, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11420)); 
PROCEDURE_SET(BgL_mainz00_13586, 
(int)(((long)3)), BgL_bodyz00_11421); 
PROCEDURE_SET(BgL_mainz00_13586, 
(int)(((long)4)), BgL_runz00_13585); 
PROCEDURE_SET(BgL_mainz00_13586, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11422)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13587;
BgL_objz00_13587 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13585, BgL_objz00_13587); BgL_objz00_13587; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3552z00_13588;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3553z00_13589;
BgL_arg3553z00_13589 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11420))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13590;
BgL_newz00_13590 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22619;
BgL_tmpz00_22619 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13590, BgL_tmpz00_22619, BgL_arg3553z00_13589); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22624;int BgL_tmpz00_22622;
BgL_auxz00_22624 = 
BINT(BgL_siza7ezd2framez75_11422); 
BgL_tmpz00_22622 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13590, BgL_tmpz00_22622, BgL_auxz00_22624); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22627;
BgL_tmpz00_22627 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13590, BgL_tmpz00_22627, BgL_runz00_13585); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22632;int BgL_tmpz00_22630;
BgL_auxz00_22632 = 
BINT(((long)-5)); 
BgL_tmpz00_22630 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13590, BgL_tmpz00_22630, BgL_auxz00_22632); } 
BgL_arg3552z00_13588 = BgL_newz00_13590; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13586, BgL_arg3552z00_13588); BgL_arg3552z00_13588; } 
return BgL_mainz00_13586;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5071 */
obj_t BGl_z62main5071z62zz__evaluate_compz00(obj_t BgL_envz00_11424, obj_t BgL_az00_11431, obj_t BgL_bz00_11432, obj_t BgL_cz00_11433, obj_t BgL_dz00_11434, obj_t BgL_lastz00_11435)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11429;long BgL_siza7ezd2framez75_11430;
BgL_runz00_11429 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11424, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11430 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11424, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13591;
BgL_sz00_13591 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13592;
BgL_bpz00_13592 = 
VECTOR_REF(
((obj_t)BgL_sz00_13591),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13591, BgL_bpz00_13592, 
BINT(BgL_siza7ezd2framez75_11430)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3556z00_13593;
BgL_arg3556z00_13593 = 
(
(long)CINT(BgL_bpz00_13592)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13591),BgL_arg3556z00_13593,BgL_az00_11431); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3557z00_13594;
BgL_arg3557z00_13594 = 
(
(long)CINT(BgL_bpz00_13592)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13591),BgL_arg3557z00_13594,BgL_bz00_11432); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3558z00_13595;
BgL_arg3558z00_13595 = 
(
(long)CINT(BgL_bpz00_13592)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13591),BgL_arg3558z00_13595,BgL_cz00_11433); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3559z00_13596;
BgL_arg3559z00_13596 = 
(
(long)CINT(BgL_bpz00_13592)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13591),BgL_arg3559z00_13596,BgL_dz00_11434); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3560z00_13597;
BgL_arg3560z00_13597 = 
(
(long)CINT(BgL_bpz00_13592)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13591),BgL_arg3560z00_13597,BgL_lastz00_11435); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13598;
BgL_ez00_13598 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13598, BgL_bpz00_13592); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13599;
BgL_accz00_13599 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11429, BgL_sz00_13591, BgL_bpz00_13592); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13598); 
VECTOR_SET(
((obj_t)BgL_sz00_13591),((long)0),BgL_bpz00_13592); 
return BgL_accz00_13599;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13600;
BgL_nsz00_13600 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13600,((long)1),BgL_sz00_13591); 
VECTOR_SET(BgL_nsz00_13600,((long)2),BgL_az00_11431); 
VECTOR_SET(BgL_nsz00_13600,((long)3),BgL_bz00_11432); 
VECTOR_SET(BgL_nsz00_13600,((long)4),BgL_cz00_11433); 
VECTOR_SET(BgL_nsz00_13600,((long)5),BgL_dz00_11434); 
VECTOR_SET(BgL_nsz00_13600,((long)6),BgL_lastz00_11435); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13601;
BgL_z12denvz12_13601 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13601, BgL_nsz00_13600); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13602;
BgL_ez00_13602 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13602, BgL_sz00_13591); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13603;
BgL_____rz00_13603 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11429, BgL_nsz00_13600, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13602); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13601, BgL_sz00_13591); 
return BgL_____rz00_13603;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5072 */
obj_t BGl_z62run5072z62zz__evaluate_compz00(obj_t BgL_envz00_11436, obj_t BgL_sz00_11441)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11437;obj_t BgL_valza2za2_11438;BgL_ev_absz00_bglt BgL_i1243z00_11439;obj_t BgL_bodyz00_11440;
BgL_siza7eza7_11437 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11436, 
(int)(((long)0)))); 
BgL_valza2za2_11438 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11436, 
(int)(((long)1)))); 
BgL_i1243z00_11439 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11436, 
(int)(((long)2)))); 
BgL_bodyz00_11440 = 
PROCEDURE_REF(BgL_envz00_11436, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13604;
BgL_bpz00_13604 = 
VECTOR_REF(
((obj_t)BgL_sz00_11441),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11441, BgL_valza2za2_11438, 
(
(long)CINT(BgL_bpz00_13604)+BgL_siza7eza7_11437)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13605;obj_t BgL_wherez00_13606;obj_t BgL_locz00_13607;
BgL_z12denvz12_13605 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13606 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11439))->BgL_wherez00); 
BgL_locz00_13607 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11439))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13605, BgL_wherez00_13606, BgL_locz00_13607); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13608;
BgL_za2za2resza2za2z00_13608 = 
PROCEDURE_ENTRY(BgL_bodyz00_11440)(BgL_bodyz00_11440, BgL_sz00_11441, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13605); 
return BgL_za2za2resza2za2z00_13608;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3563> */
obj_t BGl_z62zc3anonymousza33563ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11442, obj_t BgL_sz00_11449)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11443;obj_t BgL_iboxesz00_11444;long BgL_siza7eza7_11445;BgL_ev_absz00_bglt BgL_i1243z00_11446;obj_t BgL_bodyz00_11447;long BgL_siza7ezd2framez75_11448;
BgL_ifreesz00_11443 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11442, 
(int)(((long)0)))); 
BgL_iboxesz00_11444 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11442, 
(int)(((long)1)))); 
BgL_siza7eza7_11445 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11442, 
(int)(((long)2)))); 
BgL_i1243z00_11446 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11442, 
(int)(((long)3)))); 
BgL_bodyz00_11447 = 
PROCEDURE_REF(BgL_envz00_11442, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11448 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11442, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13609;
BgL_bpz00_13609 = 
VECTOR_REF(
((obj_t)BgL_sz00_11449),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13610;
BgL_valza2za2_13610 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11449, BgL_bpz00_13609, BgL_ifreesz00_11443); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13611;
BgL_runz00_13611 = 
MAKE_FX_PROCEDURE(BGl_z62run5074z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13611, 
(int)(((long)0)), BgL_iboxesz00_11444); 
PROCEDURE_SET(BgL_runz00_13611, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11445)); 
PROCEDURE_SET(BgL_runz00_13611, 
(int)(((long)2)), BgL_valza2za2_13610); 
PROCEDURE_SET(BgL_runz00_13611, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11446)); 
PROCEDURE_SET(BgL_runz00_13611, 
(int)(((long)4)), BgL_bodyz00_11447); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13612;
BgL_mainz00_13612 = 
MAKE_VA_PROCEDURE(BGl_z62main5073z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13612, 
(int)(((long)0)), BgL_iboxesz00_11444); 
PROCEDURE_SET(BgL_mainz00_13612, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11445)); 
PROCEDURE_SET(BgL_mainz00_13612, 
(int)(((long)2)), BgL_valza2za2_13610); 
PROCEDURE_SET(BgL_mainz00_13612, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11446)); 
PROCEDURE_SET(BgL_mainz00_13612, 
(int)(((long)4)), BgL_bodyz00_11447); 
PROCEDURE_SET(BgL_mainz00_13612, 
(int)(((long)5)), BgL_runz00_13611); 
PROCEDURE_SET(BgL_mainz00_13612, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11448)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13613;
BgL_objz00_13613 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13611, BgL_objz00_13613); BgL_objz00_13613; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3564z00_13614;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3565z00_13615;
BgL_arg3565z00_13615 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11446))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13616;
BgL_newz00_13616 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22773;
BgL_tmpz00_22773 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13616, BgL_tmpz00_22773, BgL_arg3565z00_13615); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22778;int BgL_tmpz00_22776;
BgL_auxz00_22778 = 
BINT(BgL_siza7ezd2framez75_11448); 
BgL_tmpz00_22776 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13616, BgL_tmpz00_22776, BgL_auxz00_22778); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22781;
BgL_tmpz00_22781 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13616, BgL_tmpz00_22781, BgL_runz00_13611); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22786;int BgL_tmpz00_22784;
BgL_auxz00_22786 = 
BINT(((long)-5)); 
BgL_tmpz00_22784 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13616, BgL_tmpz00_22784, BgL_auxz00_22786); } 
BgL_arg3564z00_13614 = BgL_newz00_13616; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13612, BgL_arg3564z00_13614); BgL_arg3564z00_13614; } 
return BgL_mainz00_13612;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5073 */
obj_t BGl_z62main5073z62zz__evaluate_compz00(obj_t BgL_envz00_11450, obj_t BgL_az00_11458, obj_t BgL_bz00_11459, obj_t BgL_cz00_11460, obj_t BgL_dz00_11461, obj_t BgL_lastz00_11462)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11456;long BgL_siza7ezd2framez75_11457;
BgL_runz00_11456 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11450, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11457 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11450, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13617;
BgL_sz00_13617 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13618;
BgL_bpz00_13618 = 
VECTOR_REF(
((obj_t)BgL_sz00_13617),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13617, BgL_bpz00_13618, 
BINT(BgL_siza7ezd2framez75_11457)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3568z00_13619;
BgL_arg3568z00_13619 = 
(
(long)CINT(BgL_bpz00_13618)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13617),BgL_arg3568z00_13619,BgL_az00_11458); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3569z00_13620;
BgL_arg3569z00_13620 = 
(
(long)CINT(BgL_bpz00_13618)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13617),BgL_arg3569z00_13620,BgL_bz00_11459); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3570z00_13621;
BgL_arg3570z00_13621 = 
(
(long)CINT(BgL_bpz00_13618)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13617),BgL_arg3570z00_13621,BgL_cz00_11460); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3571z00_13622;
BgL_arg3571z00_13622 = 
(
(long)CINT(BgL_bpz00_13618)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13617),BgL_arg3571z00_13622,BgL_dz00_11461); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3572z00_13623;
BgL_arg3572z00_13623 = 
(
(long)CINT(BgL_bpz00_13618)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13617),BgL_arg3572z00_13623,BgL_lastz00_11462); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13624;
BgL_ez00_13624 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13624, BgL_bpz00_13618); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13625;
BgL_accz00_13625 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11456, BgL_sz00_13617, BgL_bpz00_13618); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13624); 
VECTOR_SET(
((obj_t)BgL_sz00_13617),((long)0),BgL_bpz00_13618); 
return BgL_accz00_13625;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13626;
BgL_nsz00_13626 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13626,((long)1),BgL_sz00_13617); 
VECTOR_SET(BgL_nsz00_13626,((long)2),BgL_az00_11458); 
VECTOR_SET(BgL_nsz00_13626,((long)3),BgL_bz00_11459); 
VECTOR_SET(BgL_nsz00_13626,((long)4),BgL_cz00_11460); 
VECTOR_SET(BgL_nsz00_13626,((long)5),BgL_dz00_11461); 
VECTOR_SET(BgL_nsz00_13626,((long)6),BgL_lastz00_11462); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13627;
BgL_z12denvz12_13627 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13627, BgL_nsz00_13626); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13628;
BgL_ez00_13628 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13628, BgL_sz00_13617); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13629;
BgL_____rz00_13629 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11456, BgL_nsz00_13626, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13628); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13627, BgL_sz00_13617); 
return BgL_____rz00_13629;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5074 */
obj_t BGl_z62run5074z62zz__evaluate_compz00(obj_t BgL_envz00_11463, obj_t BgL_sz00_11469)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11464;long BgL_siza7eza7_11465;obj_t BgL_valza2za2_11466;BgL_ev_absz00_bglt BgL_i1243z00_11467;obj_t BgL_bodyz00_11468;
BgL_iboxesz00_11464 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11463, 
(int)(((long)0)))); 
BgL_siza7eza7_11465 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11463, 
(int)(((long)1)))); 
BgL_valza2za2_11466 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11463, 
(int)(((long)2)))); 
BgL_i1243z00_11467 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11463, 
(int)(((long)3)))); 
BgL_bodyz00_11468 = 
PROCEDURE_REF(BgL_envz00_11463, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13630;
BgL_bpz00_13630 = 
VECTOR_REF(
((obj_t)BgL_sz00_11469),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11469, BgL_iboxesz00_11464, BgL_bpz00_13630); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11469, BgL_valza2za2_11466, 
(
(long)CINT(BgL_bpz00_13630)+BgL_siza7eza7_11465)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13631;obj_t BgL_wherez00_13632;obj_t BgL_locz00_13633;
BgL_z12denvz12_13631 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13632 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11467))->BgL_wherez00); 
BgL_locz00_13633 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11467))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13631, BgL_wherez00_13632, BgL_locz00_13633); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13634;
BgL_za2za2resza2za2z00_13634 = 
PROCEDURE_ENTRY(BgL_bodyz00_11468)(BgL_bodyz00_11468, BgL_sz00_11469, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13631); 
return BgL_za2za2resza2za2z00_13634;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3475> */
obj_t BGl_z62zc3anonymousza33475ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11470, obj_t BgL_sz00_11474)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11471;obj_t BgL_bodyz00_11472;long BgL_siza7ezd2framez75_11473;
BgL_i1243z00_11471 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11470, 
(int)(((long)0)))); 
BgL_bodyz00_11472 = 
PROCEDURE_REF(BgL_envz00_11470, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11473 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11470, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13635;
BgL_bpz00_13635 = 
VECTOR_REF(
((obj_t)BgL_sz00_11474),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13636;
BgL_runz00_13636 = 
MAKE_FX_PROCEDURE(BGl_z62run5076z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13636, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11471)); 
PROCEDURE_SET(BgL_runz00_13636, 
(int)(((long)1)), BgL_bodyz00_11472); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13637;
BgL_mainz00_13637 = 
MAKE_FX_PROCEDURE(BGl_z62main5075z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13637, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11471)); 
PROCEDURE_SET(BgL_mainz00_13637, 
(int)(((long)1)), BgL_bodyz00_11472); 
PROCEDURE_SET(BgL_mainz00_13637, 
(int)(((long)2)), BgL_runz00_13636); 
PROCEDURE_SET(BgL_mainz00_13637, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11473)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13638;
BgL_objz00_13638 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13636, BgL_objz00_13638); BgL_objz00_13638; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3476z00_13639;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3477z00_13640;
BgL_arg3477z00_13640 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11471))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13641;
BgL_newz00_13641 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22907;
BgL_tmpz00_22907 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13641, BgL_tmpz00_22907, BgL_arg3477z00_13640); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22912;int BgL_tmpz00_22910;
BgL_auxz00_22912 = 
BINT(BgL_siza7ezd2framez75_11473); 
BgL_tmpz00_22910 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13641, BgL_tmpz00_22910, BgL_auxz00_22912); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_22915;
BgL_tmpz00_22915 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13641, BgL_tmpz00_22915, BgL_runz00_13636); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_22920;int BgL_tmpz00_22918;
BgL_auxz00_22920 = 
BINT(((long)4)); 
BgL_tmpz00_22918 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13641, BgL_tmpz00_22918, BgL_auxz00_22920); } 
BgL_arg3476z00_13639 = BgL_newz00_13641; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13637, BgL_arg3476z00_13639); BgL_arg3476z00_13639; } 
return BgL_mainz00_13637;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5075 */
obj_t BGl_z62main5075z62zz__evaluate_compz00(obj_t BgL_envz00_11475, obj_t BgL_az00_11480, obj_t BgL_bz00_11481, obj_t BgL_cz00_11482, obj_t BgL_dz00_11483)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11478;long BgL_siza7ezd2framez75_11479;
BgL_runz00_11478 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11475, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11479 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11475, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13642;
BgL_sz00_13642 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13643;
BgL_bpz00_13643 = 
VECTOR_REF(
((obj_t)BgL_sz00_13642),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13642, BgL_bpz00_13643, 
BINT(BgL_siza7ezd2framez75_11479)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3480z00_13644;
BgL_arg3480z00_13644 = 
(
(long)CINT(BgL_bpz00_13643)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13642),BgL_arg3480z00_13644,BgL_az00_11480); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3481z00_13645;
BgL_arg3481z00_13645 = 
(
(long)CINT(BgL_bpz00_13643)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13642),BgL_arg3481z00_13645,BgL_bz00_11481); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3482z00_13646;
BgL_arg3482z00_13646 = 
(
(long)CINT(BgL_bpz00_13643)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13642),BgL_arg3482z00_13646,BgL_cz00_11482); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3483z00_13647;
BgL_arg3483z00_13647 = 
(
(long)CINT(BgL_bpz00_13643)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13642),BgL_arg3483z00_13647,BgL_dz00_11483); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13648;
BgL_ez00_13648 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13648, BgL_bpz00_13643); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13649;
BgL_accz00_13649 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11478, BgL_sz00_13642, BgL_bpz00_13643); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13648); 
VECTOR_SET(
((obj_t)BgL_sz00_13642),((long)0),BgL_bpz00_13643); 
return BgL_accz00_13649;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13650;
BgL_nsz00_13650 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13650,((long)1),BgL_sz00_13642); 
VECTOR_SET(BgL_nsz00_13650,((long)2),BgL_az00_11480); 
VECTOR_SET(BgL_nsz00_13650,((long)3),BgL_bz00_11481); 
VECTOR_SET(BgL_nsz00_13650,((long)4),BgL_cz00_11482); 
VECTOR_SET(BgL_nsz00_13650,((long)5),BgL_dz00_11483); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13651;
BgL_z12denvz12_13651 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13651, BgL_nsz00_13650); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13652;
BgL_ez00_13652 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13652, BgL_sz00_13642); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13653;
BgL_____rz00_13653 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11478, BgL_nsz00_13650, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13652); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13651, BgL_sz00_13642); 
return BgL_____rz00_13653;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5076 */
obj_t BGl_z62run5076z62zz__evaluate_compz00(obj_t BgL_envz00_11484, obj_t BgL_sz00_11487)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11485;obj_t BgL_bodyz00_11486;
BgL_i1243z00_11485 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11484, 
(int)(((long)0)))); 
BgL_bodyz00_11486 = 
PROCEDURE_REF(BgL_envz00_11484, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13654;
BgL_bpz00_13654 = 
VECTOR_REF(
((obj_t)BgL_sz00_11487),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13655;obj_t BgL_wherez00_13656;obj_t BgL_locz00_13657;
BgL_z12denvz12_13655 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13656 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11485))->BgL_wherez00); 
BgL_locz00_13657 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11485))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13655, BgL_wherez00_13656, BgL_locz00_13657); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13658;
BgL_za2za2resza2za2z00_13658 = 
PROCEDURE_ENTRY(BgL_bodyz00_11486)(BgL_bodyz00_11486, BgL_sz00_11487, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13655); 
return BgL_za2za2resza2za2z00_13658;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3485> */
obj_t BGl_z62zc3anonymousza33485ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11488, obj_t BgL_sz00_11493)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11489;BgL_ev_absz00_bglt BgL_i1243z00_11490;obj_t BgL_bodyz00_11491;long BgL_siza7ezd2framez75_11492;
BgL_iboxesz00_11489 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11488, 
(int)(((long)0)))); 
BgL_i1243z00_11490 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11488, 
(int)(((long)1)))); 
BgL_bodyz00_11491 = 
PROCEDURE_REF(BgL_envz00_11488, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11492 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11488, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13659;
BgL_bpz00_13659 = 
VECTOR_REF(
((obj_t)BgL_sz00_11493),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13660;
BgL_runz00_13660 = 
MAKE_FX_PROCEDURE(BGl_z62run5078z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13660, 
(int)(((long)0)), BgL_iboxesz00_11489); 
PROCEDURE_SET(BgL_runz00_13660, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11490)); 
PROCEDURE_SET(BgL_runz00_13660, 
(int)(((long)2)), BgL_bodyz00_11491); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13661;
BgL_mainz00_13661 = 
MAKE_FX_PROCEDURE(BGl_z62main5077z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13661, 
(int)(((long)0)), BgL_iboxesz00_11489); 
PROCEDURE_SET(BgL_mainz00_13661, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11490)); 
PROCEDURE_SET(BgL_mainz00_13661, 
(int)(((long)2)), BgL_bodyz00_11491); 
PROCEDURE_SET(BgL_mainz00_13661, 
(int)(((long)3)), BgL_runz00_13660); 
PROCEDURE_SET(BgL_mainz00_13661, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11492)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13662;
BgL_objz00_13662 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13660, BgL_objz00_13662); BgL_objz00_13662; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3486z00_13663;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3487z00_13664;
BgL_arg3487z00_13664 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11490))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13665;
BgL_newz00_13665 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23030;
BgL_tmpz00_23030 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13665, BgL_tmpz00_23030, BgL_arg3487z00_13664); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23035;int BgL_tmpz00_23033;
BgL_auxz00_23035 = 
BINT(BgL_siza7ezd2framez75_11492); 
BgL_tmpz00_23033 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13665, BgL_tmpz00_23033, BgL_auxz00_23035); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23038;
BgL_tmpz00_23038 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13665, BgL_tmpz00_23038, BgL_runz00_13660); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23043;int BgL_tmpz00_23041;
BgL_auxz00_23043 = 
BINT(((long)4)); 
BgL_tmpz00_23041 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13665, BgL_tmpz00_23041, BgL_auxz00_23043); } 
BgL_arg3486z00_13663 = BgL_newz00_13665; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13661, BgL_arg3486z00_13663); BgL_arg3486z00_13663; } 
return BgL_mainz00_13661;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5077 */
obj_t BGl_z62main5077z62zz__evaluate_compz00(obj_t BgL_envz00_11494, obj_t BgL_az00_11500, obj_t BgL_bz00_11501, obj_t BgL_cz00_11502, obj_t BgL_dz00_11503)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11498;long BgL_siza7ezd2framez75_11499;
BgL_runz00_11498 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11494, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11499 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11494, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13666;
BgL_sz00_13666 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13667;
BgL_bpz00_13667 = 
VECTOR_REF(
((obj_t)BgL_sz00_13666),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13666, BgL_bpz00_13667, 
BINT(BgL_siza7ezd2framez75_11499)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3490z00_13668;
BgL_arg3490z00_13668 = 
(
(long)CINT(BgL_bpz00_13667)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13666),BgL_arg3490z00_13668,BgL_az00_11500); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3491z00_13669;
BgL_arg3491z00_13669 = 
(
(long)CINT(BgL_bpz00_13667)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13666),BgL_arg3491z00_13669,BgL_bz00_11501); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3492z00_13670;
BgL_arg3492z00_13670 = 
(
(long)CINT(BgL_bpz00_13667)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13666),BgL_arg3492z00_13670,BgL_cz00_11502); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3493z00_13671;
BgL_arg3493z00_13671 = 
(
(long)CINT(BgL_bpz00_13667)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13666),BgL_arg3493z00_13671,BgL_dz00_11503); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13672;
BgL_ez00_13672 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13672, BgL_bpz00_13667); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13673;
BgL_accz00_13673 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11498, BgL_sz00_13666, BgL_bpz00_13667); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13672); 
VECTOR_SET(
((obj_t)BgL_sz00_13666),((long)0),BgL_bpz00_13667); 
return BgL_accz00_13673;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13674;
BgL_nsz00_13674 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13674,((long)1),BgL_sz00_13666); 
VECTOR_SET(BgL_nsz00_13674,((long)2),BgL_az00_11500); 
VECTOR_SET(BgL_nsz00_13674,((long)3),BgL_bz00_11501); 
VECTOR_SET(BgL_nsz00_13674,((long)4),BgL_cz00_11502); 
VECTOR_SET(BgL_nsz00_13674,((long)5),BgL_dz00_11503); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13675;
BgL_z12denvz12_13675 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13675, BgL_nsz00_13674); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13676;
BgL_ez00_13676 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13676, BgL_sz00_13666); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13677;
BgL_____rz00_13677 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11498, BgL_nsz00_13674, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13676); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13675, BgL_sz00_13666); 
return BgL_____rz00_13677;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5078 */
obj_t BGl_z62run5078z62zz__evaluate_compz00(obj_t BgL_envz00_11504, obj_t BgL_sz00_11508)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11505;BgL_ev_absz00_bglt BgL_i1243z00_11506;obj_t BgL_bodyz00_11507;
BgL_iboxesz00_11505 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11504, 
(int)(((long)0)))); 
BgL_i1243z00_11506 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11504, 
(int)(((long)1)))); 
BgL_bodyz00_11507 = 
PROCEDURE_REF(BgL_envz00_11504, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13678;
BgL_bpz00_13678 = 
VECTOR_REF(
((obj_t)BgL_sz00_11508),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11508, BgL_iboxesz00_11505, BgL_bpz00_13678); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13679;obj_t BgL_wherez00_13680;obj_t BgL_locz00_13681;
BgL_z12denvz12_13679 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13680 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11506))->BgL_wherez00); 
BgL_locz00_13681 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11506))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13679, BgL_wherez00_13680, BgL_locz00_13681); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13682;
BgL_za2za2resza2za2z00_13682 = 
PROCEDURE_ENTRY(BgL_bodyz00_11507)(BgL_bodyz00_11507, BgL_sz00_11508, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13679); 
return BgL_za2za2resza2za2z00_13682;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3498> */
obj_t BGl_z62zc3anonymousza33498ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11509, obj_t BgL_sz00_11515)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11510;long BgL_siza7eza7_11511;BgL_ev_absz00_bglt BgL_i1243z00_11512;obj_t BgL_bodyz00_11513;long BgL_siza7ezd2framez75_11514;
BgL_ifreesz00_11510 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11509, 
(int)(((long)0)))); 
BgL_siza7eza7_11511 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11509, 
(int)(((long)1)))); 
BgL_i1243z00_11512 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11509, 
(int)(((long)2)))); 
BgL_bodyz00_11513 = 
PROCEDURE_REF(BgL_envz00_11509, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11514 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11509, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13683;
BgL_bpz00_13683 = 
VECTOR_REF(
((obj_t)BgL_sz00_11515),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13684;
BgL_valza2za2_13684 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11515, BgL_bpz00_13683, BgL_ifreesz00_11510); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13685;
BgL_runz00_13685 = 
MAKE_FX_PROCEDURE(BGl_z62run5080z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13685, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11511)); 
PROCEDURE_SET(BgL_runz00_13685, 
(int)(((long)1)), BgL_valza2za2_13684); 
PROCEDURE_SET(BgL_runz00_13685, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11512)); 
PROCEDURE_SET(BgL_runz00_13685, 
(int)(((long)3)), BgL_bodyz00_11513); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13686;
BgL_mainz00_13686 = 
MAKE_FX_PROCEDURE(BGl_z62main5079z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13686, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11511)); 
PROCEDURE_SET(BgL_mainz00_13686, 
(int)(((long)1)), BgL_valza2za2_13684); 
PROCEDURE_SET(BgL_mainz00_13686, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11512)); 
PROCEDURE_SET(BgL_mainz00_13686, 
(int)(((long)3)), BgL_bodyz00_11513); 
PROCEDURE_SET(BgL_mainz00_13686, 
(int)(((long)4)), BgL_runz00_13685); 
PROCEDURE_SET(BgL_mainz00_13686, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11514)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13687;
BgL_objz00_13687 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13685, BgL_objz00_13687); BgL_objz00_13687; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3499z00_13688;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3500z00_13689;
BgL_arg3500z00_13689 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11512))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13690;
BgL_newz00_13690 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23167;
BgL_tmpz00_23167 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13690, BgL_tmpz00_23167, BgL_arg3500z00_13689); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23172;int BgL_tmpz00_23170;
BgL_auxz00_23172 = 
BINT(BgL_siza7ezd2framez75_11514); 
BgL_tmpz00_23170 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13690, BgL_tmpz00_23170, BgL_auxz00_23172); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23175;
BgL_tmpz00_23175 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13690, BgL_tmpz00_23175, BgL_runz00_13685); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23180;int BgL_tmpz00_23178;
BgL_auxz00_23180 = 
BINT(((long)4)); 
BgL_tmpz00_23178 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13690, BgL_tmpz00_23178, BgL_auxz00_23180); } 
BgL_arg3499z00_13688 = BgL_newz00_13690; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13686, BgL_arg3499z00_13688); BgL_arg3499z00_13688; } 
return BgL_mainz00_13686;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5079 */
obj_t BGl_z62main5079z62zz__evaluate_compz00(obj_t BgL_envz00_11516, obj_t BgL_az00_11523, obj_t BgL_bz00_11524, obj_t BgL_cz00_11525, obj_t BgL_dz00_11526)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11521;long BgL_siza7ezd2framez75_11522;
BgL_runz00_11521 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11516, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11522 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11516, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13691;
BgL_sz00_13691 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13692;
BgL_bpz00_13692 = 
VECTOR_REF(
((obj_t)BgL_sz00_13691),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13691, BgL_bpz00_13692, 
BINT(BgL_siza7ezd2framez75_11522)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3503z00_13693;
BgL_arg3503z00_13693 = 
(
(long)CINT(BgL_bpz00_13692)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13691),BgL_arg3503z00_13693,BgL_az00_11523); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3504z00_13694;
BgL_arg3504z00_13694 = 
(
(long)CINT(BgL_bpz00_13692)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13691),BgL_arg3504z00_13694,BgL_bz00_11524); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3505z00_13695;
BgL_arg3505z00_13695 = 
(
(long)CINT(BgL_bpz00_13692)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13691),BgL_arg3505z00_13695,BgL_cz00_11525); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3506z00_13696;
BgL_arg3506z00_13696 = 
(
(long)CINT(BgL_bpz00_13692)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13691),BgL_arg3506z00_13696,BgL_dz00_11526); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13697;
BgL_ez00_13697 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13697, BgL_bpz00_13692); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13698;
BgL_accz00_13698 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11521, BgL_sz00_13691, BgL_bpz00_13692); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13697); 
VECTOR_SET(
((obj_t)BgL_sz00_13691),((long)0),BgL_bpz00_13692); 
return BgL_accz00_13698;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13699;
BgL_nsz00_13699 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13699,((long)1),BgL_sz00_13691); 
VECTOR_SET(BgL_nsz00_13699,((long)2),BgL_az00_11523); 
VECTOR_SET(BgL_nsz00_13699,((long)3),BgL_bz00_11524); 
VECTOR_SET(BgL_nsz00_13699,((long)4),BgL_cz00_11525); 
VECTOR_SET(BgL_nsz00_13699,((long)5),BgL_dz00_11526); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13700;
BgL_z12denvz12_13700 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13700, BgL_nsz00_13699); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13701;
BgL_ez00_13701 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13701, BgL_sz00_13691); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13702;
BgL_____rz00_13702 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11521, BgL_nsz00_13699, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13701); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13700, BgL_sz00_13691); 
return BgL_____rz00_13702;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5080 */
obj_t BGl_z62run5080z62zz__evaluate_compz00(obj_t BgL_envz00_11527, obj_t BgL_sz00_11532)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11528;obj_t BgL_valza2za2_11529;BgL_ev_absz00_bglt BgL_i1243z00_11530;obj_t BgL_bodyz00_11531;
BgL_siza7eza7_11528 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11527, 
(int)(((long)0)))); 
BgL_valza2za2_11529 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11527, 
(int)(((long)1)))); 
BgL_i1243z00_11530 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11527, 
(int)(((long)2)))); 
BgL_bodyz00_11531 = 
PROCEDURE_REF(BgL_envz00_11527, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13703;
BgL_bpz00_13703 = 
VECTOR_REF(
((obj_t)BgL_sz00_11532),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11532, BgL_valza2za2_11529, 
(
(long)CINT(BgL_bpz00_13703)+BgL_siza7eza7_11528)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13704;obj_t BgL_wherez00_13705;obj_t BgL_locz00_13706;
BgL_z12denvz12_13704 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13705 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11530))->BgL_wherez00); 
BgL_locz00_13706 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11530))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13704, BgL_wherez00_13705, BgL_locz00_13706); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13707;
BgL_za2za2resza2za2z00_13707 = 
PROCEDURE_ENTRY(BgL_bodyz00_11531)(BgL_bodyz00_11531, BgL_sz00_11532, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13704); 
return BgL_za2za2resza2za2z00_13707;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3509> */
obj_t BGl_z62zc3anonymousza33509ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11533, obj_t BgL_sz00_11540)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11534;obj_t BgL_iboxesz00_11535;long BgL_siza7eza7_11536;BgL_ev_absz00_bglt BgL_i1243z00_11537;obj_t BgL_bodyz00_11538;long BgL_siza7ezd2framez75_11539;
BgL_ifreesz00_11534 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11533, 
(int)(((long)0)))); 
BgL_iboxesz00_11535 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11533, 
(int)(((long)1)))); 
BgL_siza7eza7_11536 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11533, 
(int)(((long)2)))); 
BgL_i1243z00_11537 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11533, 
(int)(((long)3)))); 
BgL_bodyz00_11538 = 
PROCEDURE_REF(BgL_envz00_11533, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11539 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11533, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13708;
BgL_bpz00_13708 = 
VECTOR_REF(
((obj_t)BgL_sz00_11540),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13709;
BgL_valza2za2_13709 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11540, BgL_bpz00_13708, BgL_ifreesz00_11534); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13710;
BgL_runz00_13710 = 
MAKE_FX_PROCEDURE(BGl_z62run5082z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13710, 
(int)(((long)0)), BgL_iboxesz00_11535); 
PROCEDURE_SET(BgL_runz00_13710, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11536)); 
PROCEDURE_SET(BgL_runz00_13710, 
(int)(((long)2)), BgL_valza2za2_13709); 
PROCEDURE_SET(BgL_runz00_13710, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11537)); 
PROCEDURE_SET(BgL_runz00_13710, 
(int)(((long)4)), BgL_bodyz00_11538); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13711;
BgL_mainz00_13711 = 
MAKE_FX_PROCEDURE(BGl_z62main5081z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13711, 
(int)(((long)0)), BgL_iboxesz00_11535); 
PROCEDURE_SET(BgL_mainz00_13711, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11536)); 
PROCEDURE_SET(BgL_mainz00_13711, 
(int)(((long)2)), BgL_valza2za2_13709); 
PROCEDURE_SET(BgL_mainz00_13711, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11537)); 
PROCEDURE_SET(BgL_mainz00_13711, 
(int)(((long)4)), BgL_bodyz00_11538); 
PROCEDURE_SET(BgL_mainz00_13711, 
(int)(((long)5)), BgL_runz00_13710); 
PROCEDURE_SET(BgL_mainz00_13711, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11539)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13712;
BgL_objz00_13712 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13710, BgL_objz00_13712); BgL_objz00_13712; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3510z00_13713;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3511z00_13714;
BgL_arg3511z00_13714 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11537))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13715;
BgL_newz00_13715 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23316;
BgL_tmpz00_23316 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13715, BgL_tmpz00_23316, BgL_arg3511z00_13714); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23321;int BgL_tmpz00_23319;
BgL_auxz00_23321 = 
BINT(BgL_siza7ezd2framez75_11539); 
BgL_tmpz00_23319 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13715, BgL_tmpz00_23319, BgL_auxz00_23321); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23324;
BgL_tmpz00_23324 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13715, BgL_tmpz00_23324, BgL_runz00_13710); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23329;int BgL_tmpz00_23327;
BgL_auxz00_23329 = 
BINT(((long)4)); 
BgL_tmpz00_23327 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13715, BgL_tmpz00_23327, BgL_auxz00_23329); } 
BgL_arg3510z00_13713 = BgL_newz00_13715; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13711, BgL_arg3510z00_13713); BgL_arg3510z00_13713; } 
return BgL_mainz00_13711;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5081 */
obj_t BGl_z62main5081z62zz__evaluate_compz00(obj_t BgL_envz00_11541, obj_t BgL_az00_11549, obj_t BgL_bz00_11550, obj_t BgL_cz00_11551, obj_t BgL_dz00_11552)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11547;long BgL_siza7ezd2framez75_11548;
BgL_runz00_11547 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11541, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11548 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11541, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13716;
BgL_sz00_13716 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13717;
BgL_bpz00_13717 = 
VECTOR_REF(
((obj_t)BgL_sz00_13716),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13716, BgL_bpz00_13717, 
BINT(BgL_siza7ezd2framez75_11548)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3514z00_13718;
BgL_arg3514z00_13718 = 
(
(long)CINT(BgL_bpz00_13717)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13716),BgL_arg3514z00_13718,BgL_az00_11549); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3515z00_13719;
BgL_arg3515z00_13719 = 
(
(long)CINT(BgL_bpz00_13717)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13716),BgL_arg3515z00_13719,BgL_bz00_11550); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3516z00_13720;
BgL_arg3516z00_13720 = 
(
(long)CINT(BgL_bpz00_13717)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13716),BgL_arg3516z00_13720,BgL_cz00_11551); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3517z00_13721;
BgL_arg3517z00_13721 = 
(
(long)CINT(BgL_bpz00_13717)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13716),BgL_arg3517z00_13721,BgL_dz00_11552); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13722;
BgL_ez00_13722 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13722, BgL_bpz00_13717); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13723;
BgL_accz00_13723 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11547, BgL_sz00_13716, BgL_bpz00_13717); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13722); 
VECTOR_SET(
((obj_t)BgL_sz00_13716),((long)0),BgL_bpz00_13717); 
return BgL_accz00_13723;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13724;
BgL_nsz00_13724 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13724,((long)1),BgL_sz00_13716); 
VECTOR_SET(BgL_nsz00_13724,((long)2),BgL_az00_11549); 
VECTOR_SET(BgL_nsz00_13724,((long)3),BgL_bz00_11550); 
VECTOR_SET(BgL_nsz00_13724,((long)4),BgL_cz00_11551); 
VECTOR_SET(BgL_nsz00_13724,((long)5),BgL_dz00_11552); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13725;
BgL_z12denvz12_13725 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13725, BgL_nsz00_13724); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13726;
BgL_ez00_13726 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13726, BgL_sz00_13716); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13727;
BgL_____rz00_13727 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11547, BgL_nsz00_13724, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13726); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13725, BgL_sz00_13716); 
return BgL_____rz00_13727;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5082 */
obj_t BGl_z62run5082z62zz__evaluate_compz00(obj_t BgL_envz00_11553, obj_t BgL_sz00_11559)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11554;long BgL_siza7eza7_11555;obj_t BgL_valza2za2_11556;BgL_ev_absz00_bglt BgL_i1243z00_11557;obj_t BgL_bodyz00_11558;
BgL_iboxesz00_11554 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11553, 
(int)(((long)0)))); 
BgL_siza7eza7_11555 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11553, 
(int)(((long)1)))); 
BgL_valza2za2_11556 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11553, 
(int)(((long)2)))); 
BgL_i1243z00_11557 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11553, 
(int)(((long)3)))); 
BgL_bodyz00_11558 = 
PROCEDURE_REF(BgL_envz00_11553, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13728;
BgL_bpz00_13728 = 
VECTOR_REF(
((obj_t)BgL_sz00_11559),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11559, BgL_iboxesz00_11554, BgL_bpz00_13728); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11559, BgL_valza2za2_11556, 
(
(long)CINT(BgL_bpz00_13728)+BgL_siza7eza7_11555)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13729;obj_t BgL_wherez00_13730;obj_t BgL_locz00_13731;
BgL_z12denvz12_13729 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13730 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11557))->BgL_wherez00); 
BgL_locz00_13731 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11557))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13729, BgL_wherez00_13730, BgL_locz00_13731); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13732;
BgL_za2za2resza2za2z00_13732 = 
PROCEDURE_ENTRY(BgL_bodyz00_11558)(BgL_bodyz00_11558, BgL_sz00_11559, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13729); 
return BgL_za2za2resza2za2z00_13732;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3424> */
obj_t BGl_z62zc3anonymousza33424ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11560, obj_t BgL_sz00_11564)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11561;obj_t BgL_bodyz00_11562;long BgL_siza7ezd2framez75_11563;
BgL_i1243z00_11561 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11560, 
(int)(((long)0)))); 
BgL_bodyz00_11562 = 
PROCEDURE_REF(BgL_envz00_11560, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11563 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11560, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13733;
BgL_bpz00_13733 = 
VECTOR_REF(
((obj_t)BgL_sz00_11564),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13734;
BgL_runz00_13734 = 
MAKE_FX_PROCEDURE(BGl_z62run5084z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13734, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11561)); 
PROCEDURE_SET(BgL_runz00_13734, 
(int)(((long)1)), BgL_bodyz00_11562); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13735;
BgL_mainz00_13735 = 
MAKE_VA_PROCEDURE(BGl_z62main5083z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13735, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11561)); 
PROCEDURE_SET(BgL_mainz00_13735, 
(int)(((long)1)), BgL_bodyz00_11562); 
PROCEDURE_SET(BgL_mainz00_13735, 
(int)(((long)2)), BgL_runz00_13734); 
PROCEDURE_SET(BgL_mainz00_13735, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11563)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13736;
BgL_objz00_13736 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13734, BgL_objz00_13736); BgL_objz00_13736; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3425z00_13737;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3426z00_13738;
BgL_arg3426z00_13738 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11561))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13739;
BgL_newz00_13739 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23445;
BgL_tmpz00_23445 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13739, BgL_tmpz00_23445, BgL_arg3426z00_13738); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23450;int BgL_tmpz00_23448;
BgL_auxz00_23450 = 
BINT(BgL_siza7ezd2framez75_11563); 
BgL_tmpz00_23448 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13739, BgL_tmpz00_23448, BgL_auxz00_23450); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23453;
BgL_tmpz00_23453 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13739, BgL_tmpz00_23453, BgL_runz00_13734); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23458;int BgL_tmpz00_23456;
BgL_auxz00_23458 = 
BINT(((long)-4)); 
BgL_tmpz00_23456 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13739, BgL_tmpz00_23456, BgL_auxz00_23458); } 
BgL_arg3425z00_13737 = BgL_newz00_13739; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13735, BgL_arg3425z00_13737); BgL_arg3425z00_13737; } 
return BgL_mainz00_13735;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5083 */
obj_t BGl_z62main5083z62zz__evaluate_compz00(obj_t BgL_envz00_11565, obj_t BgL_bz00_11570, obj_t BgL_cz00_11571, obj_t BgL_dz00_11572, obj_t BgL_lastz00_11573)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11568;long BgL_siza7ezd2framez75_11569;
BgL_runz00_11568 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11565, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11569 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11565, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13740;
BgL_sz00_13740 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13741;
BgL_bpz00_13741 = 
VECTOR_REF(
((obj_t)BgL_sz00_13740),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13740, BgL_bpz00_13741, 
BINT(BgL_siza7ezd2framez75_11569)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3429z00_13742;
BgL_arg3429z00_13742 = 
(
(long)CINT(BgL_bpz00_13741)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13740),BgL_arg3429z00_13742,BgL_bz00_11570); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3430z00_13743;
BgL_arg3430z00_13743 = 
(
(long)CINT(BgL_bpz00_13741)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13740),BgL_arg3430z00_13743,BgL_cz00_11571); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3431z00_13744;
BgL_arg3431z00_13744 = 
(
(long)CINT(BgL_bpz00_13741)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13740),BgL_arg3431z00_13744,BgL_dz00_11572); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3432z00_13745;
BgL_arg3432z00_13745 = 
(
(long)CINT(BgL_bpz00_13741)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13740),BgL_arg3432z00_13745,BgL_lastz00_11573); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13746;
BgL_ez00_13746 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13746, BgL_bpz00_13741); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13747;
BgL_accz00_13747 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11568, BgL_sz00_13740, BgL_bpz00_13741); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13746); 
VECTOR_SET(
((obj_t)BgL_sz00_13740),((long)0),BgL_bpz00_13741); 
return BgL_accz00_13747;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13748;
BgL_nsz00_13748 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13748,((long)1),BgL_sz00_13740); 
VECTOR_SET(BgL_nsz00_13748,((long)2),BgL_bz00_11570); 
VECTOR_SET(BgL_nsz00_13748,((long)3),BgL_cz00_11571); 
VECTOR_SET(BgL_nsz00_13748,((long)4),BgL_dz00_11572); 
VECTOR_SET(BgL_nsz00_13748,((long)5),BgL_lastz00_11573); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13749;
BgL_z12denvz12_13749 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13749, BgL_nsz00_13748); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13750;
BgL_ez00_13750 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13750, BgL_sz00_13740); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13751;
BgL_____rz00_13751 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11568, BgL_nsz00_13748, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13750); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13749, BgL_sz00_13740); 
return BgL_____rz00_13751;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5084 */
obj_t BGl_z62run5084z62zz__evaluate_compz00(obj_t BgL_envz00_11574, obj_t BgL_sz00_11577)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11575;obj_t BgL_bodyz00_11576;
BgL_i1243z00_11575 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11574, 
(int)(((long)0)))); 
BgL_bodyz00_11576 = 
PROCEDURE_REF(BgL_envz00_11574, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13752;
BgL_bpz00_13752 = 
VECTOR_REF(
((obj_t)BgL_sz00_11577),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13753;obj_t BgL_wherez00_13754;obj_t BgL_locz00_13755;
BgL_z12denvz12_13753 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13754 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11575))->BgL_wherez00); 
BgL_locz00_13755 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11575))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13753, BgL_wherez00_13754, BgL_locz00_13755); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13756;
BgL_za2za2resza2za2z00_13756 = 
PROCEDURE_ENTRY(BgL_bodyz00_11576)(BgL_bodyz00_11576, BgL_sz00_11577, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13753); 
return BgL_za2za2resza2za2z00_13756;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3434> */
obj_t BGl_z62zc3anonymousza33434ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11578, obj_t BgL_sz00_11583)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11579;BgL_ev_absz00_bglt BgL_i1243z00_11580;obj_t BgL_bodyz00_11581;long BgL_siza7ezd2framez75_11582;
BgL_iboxesz00_11579 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11578, 
(int)(((long)0)))); 
BgL_i1243z00_11580 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11578, 
(int)(((long)1)))); 
BgL_bodyz00_11581 = 
PROCEDURE_REF(BgL_envz00_11578, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11582 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11578, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13757;
BgL_bpz00_13757 = 
VECTOR_REF(
((obj_t)BgL_sz00_11583),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13758;
BgL_runz00_13758 = 
MAKE_FX_PROCEDURE(BGl_z62run5086z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13758, 
(int)(((long)0)), BgL_iboxesz00_11579); 
PROCEDURE_SET(BgL_runz00_13758, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11580)); 
PROCEDURE_SET(BgL_runz00_13758, 
(int)(((long)2)), BgL_bodyz00_11581); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13759;
BgL_mainz00_13759 = 
MAKE_VA_PROCEDURE(BGl_z62main5085z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13759, 
(int)(((long)0)), BgL_iboxesz00_11579); 
PROCEDURE_SET(BgL_mainz00_13759, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11580)); 
PROCEDURE_SET(BgL_mainz00_13759, 
(int)(((long)2)), BgL_bodyz00_11581); 
PROCEDURE_SET(BgL_mainz00_13759, 
(int)(((long)3)), BgL_runz00_13758); 
PROCEDURE_SET(BgL_mainz00_13759, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11582)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13760;
BgL_objz00_13760 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13758, BgL_objz00_13760); BgL_objz00_13760; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3435z00_13761;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3436z00_13762;
BgL_arg3436z00_13762 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11580))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13763;
BgL_newz00_13763 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23568;
BgL_tmpz00_23568 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13763, BgL_tmpz00_23568, BgL_arg3436z00_13762); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23573;int BgL_tmpz00_23571;
BgL_auxz00_23573 = 
BINT(BgL_siza7ezd2framez75_11582); 
BgL_tmpz00_23571 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13763, BgL_tmpz00_23571, BgL_auxz00_23573); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23576;
BgL_tmpz00_23576 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13763, BgL_tmpz00_23576, BgL_runz00_13758); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23581;int BgL_tmpz00_23579;
BgL_auxz00_23581 = 
BINT(((long)-4)); 
BgL_tmpz00_23579 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13763, BgL_tmpz00_23579, BgL_auxz00_23581); } 
BgL_arg3435z00_13761 = BgL_newz00_13763; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13759, BgL_arg3435z00_13761); BgL_arg3435z00_13761; } 
return BgL_mainz00_13759;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5085 */
obj_t BGl_z62main5085z62zz__evaluate_compz00(obj_t BgL_envz00_11584, obj_t BgL_bz00_11590, obj_t BgL_cz00_11591, obj_t BgL_dz00_11592, obj_t BgL_lastz00_11593)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11588;long BgL_siza7ezd2framez75_11589;
BgL_runz00_11588 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11584, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11589 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11584, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13764;
BgL_sz00_13764 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13765;
BgL_bpz00_13765 = 
VECTOR_REF(
((obj_t)BgL_sz00_13764),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13764, BgL_bpz00_13765, 
BINT(BgL_siza7ezd2framez75_11589)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3439z00_13766;
BgL_arg3439z00_13766 = 
(
(long)CINT(BgL_bpz00_13765)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13764),BgL_arg3439z00_13766,BgL_bz00_11590); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3440z00_13767;
BgL_arg3440z00_13767 = 
(
(long)CINT(BgL_bpz00_13765)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13764),BgL_arg3440z00_13767,BgL_cz00_11591); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3441z00_13768;
BgL_arg3441z00_13768 = 
(
(long)CINT(BgL_bpz00_13765)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13764),BgL_arg3441z00_13768,BgL_dz00_11592); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3442z00_13769;
BgL_arg3442z00_13769 = 
(
(long)CINT(BgL_bpz00_13765)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13764),BgL_arg3442z00_13769,BgL_lastz00_11593); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13770;
BgL_ez00_13770 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13770, BgL_bpz00_13765); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13771;
BgL_accz00_13771 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11588, BgL_sz00_13764, BgL_bpz00_13765); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13770); 
VECTOR_SET(
((obj_t)BgL_sz00_13764),((long)0),BgL_bpz00_13765); 
return BgL_accz00_13771;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13772;
BgL_nsz00_13772 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13772,((long)1),BgL_sz00_13764); 
VECTOR_SET(BgL_nsz00_13772,((long)2),BgL_bz00_11590); 
VECTOR_SET(BgL_nsz00_13772,((long)3),BgL_cz00_11591); 
VECTOR_SET(BgL_nsz00_13772,((long)4),BgL_dz00_11592); 
VECTOR_SET(BgL_nsz00_13772,((long)5),BgL_lastz00_11593); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13773;
BgL_z12denvz12_13773 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13773, BgL_nsz00_13772); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13774;
BgL_ez00_13774 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13774, BgL_sz00_13764); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13775;
BgL_____rz00_13775 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11588, BgL_nsz00_13772, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13774); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13773, BgL_sz00_13764); 
return BgL_____rz00_13775;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5086 */
obj_t BGl_z62run5086z62zz__evaluate_compz00(obj_t BgL_envz00_11594, obj_t BgL_sz00_11598)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11595;BgL_ev_absz00_bglt BgL_i1243z00_11596;obj_t BgL_bodyz00_11597;
BgL_iboxesz00_11595 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11594, 
(int)(((long)0)))); 
BgL_i1243z00_11596 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11594, 
(int)(((long)1)))); 
BgL_bodyz00_11597 = 
PROCEDURE_REF(BgL_envz00_11594, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13776;
BgL_bpz00_13776 = 
VECTOR_REF(
((obj_t)BgL_sz00_11598),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11598, BgL_iboxesz00_11595, BgL_bpz00_13776); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13777;obj_t BgL_wherez00_13778;obj_t BgL_locz00_13779;
BgL_z12denvz12_13777 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13778 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11596))->BgL_wherez00); 
BgL_locz00_13779 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11596))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13777, BgL_wherez00_13778, BgL_locz00_13779); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13780;
BgL_za2za2resza2za2z00_13780 = 
PROCEDURE_ENTRY(BgL_bodyz00_11597)(BgL_bodyz00_11597, BgL_sz00_11598, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13777); 
return BgL_za2za2resza2za2z00_13780;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3447> */
obj_t BGl_z62zc3anonymousza33447ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11599, obj_t BgL_sz00_11605)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11600;long BgL_siza7eza7_11601;BgL_ev_absz00_bglt BgL_i1243z00_11602;obj_t BgL_bodyz00_11603;long BgL_siza7ezd2framez75_11604;
BgL_ifreesz00_11600 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11599, 
(int)(((long)0)))); 
BgL_siza7eza7_11601 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11599, 
(int)(((long)1)))); 
BgL_i1243z00_11602 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11599, 
(int)(((long)2)))); 
BgL_bodyz00_11603 = 
PROCEDURE_REF(BgL_envz00_11599, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11604 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11599, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13781;
BgL_bpz00_13781 = 
VECTOR_REF(
((obj_t)BgL_sz00_11605),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13782;
BgL_valza2za2_13782 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11605, BgL_bpz00_13781, BgL_ifreesz00_11600); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13783;
BgL_runz00_13783 = 
MAKE_FX_PROCEDURE(BGl_z62run5088z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13783, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11601)); 
PROCEDURE_SET(BgL_runz00_13783, 
(int)(((long)1)), BgL_valza2za2_13782); 
PROCEDURE_SET(BgL_runz00_13783, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11602)); 
PROCEDURE_SET(BgL_runz00_13783, 
(int)(((long)3)), BgL_bodyz00_11603); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13784;
BgL_mainz00_13784 = 
MAKE_VA_PROCEDURE(BGl_z62main5087z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13784, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11601)); 
PROCEDURE_SET(BgL_mainz00_13784, 
(int)(((long)1)), BgL_valza2za2_13782); 
PROCEDURE_SET(BgL_mainz00_13784, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11602)); 
PROCEDURE_SET(BgL_mainz00_13784, 
(int)(((long)3)), BgL_bodyz00_11603); 
PROCEDURE_SET(BgL_mainz00_13784, 
(int)(((long)4)), BgL_runz00_13783); 
PROCEDURE_SET(BgL_mainz00_13784, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11604)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13785;
BgL_objz00_13785 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13783, BgL_objz00_13785); BgL_objz00_13785; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3448z00_13786;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3449z00_13787;
BgL_arg3449z00_13787 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11602))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13788;
BgL_newz00_13788 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23705;
BgL_tmpz00_23705 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13788, BgL_tmpz00_23705, BgL_arg3449z00_13787); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23710;int BgL_tmpz00_23708;
BgL_auxz00_23710 = 
BINT(BgL_siza7ezd2framez75_11604); 
BgL_tmpz00_23708 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13788, BgL_tmpz00_23708, BgL_auxz00_23710); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23713;
BgL_tmpz00_23713 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13788, BgL_tmpz00_23713, BgL_runz00_13783); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23718;int BgL_tmpz00_23716;
BgL_auxz00_23718 = 
BINT(((long)-4)); 
BgL_tmpz00_23716 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13788, BgL_tmpz00_23716, BgL_auxz00_23718); } 
BgL_arg3448z00_13786 = BgL_newz00_13788; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13784, BgL_arg3448z00_13786); BgL_arg3448z00_13786; } 
return BgL_mainz00_13784;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5087 */
obj_t BGl_z62main5087z62zz__evaluate_compz00(obj_t BgL_envz00_11606, obj_t BgL_bz00_11613, obj_t BgL_cz00_11614, obj_t BgL_dz00_11615, obj_t BgL_lastz00_11616)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11611;long BgL_siza7ezd2framez75_11612;
BgL_runz00_11611 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11606, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11612 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11606, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13789;
BgL_sz00_13789 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13790;
BgL_bpz00_13790 = 
VECTOR_REF(
((obj_t)BgL_sz00_13789),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13789, BgL_bpz00_13790, 
BINT(BgL_siza7ezd2framez75_11612)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3452z00_13791;
BgL_arg3452z00_13791 = 
(
(long)CINT(BgL_bpz00_13790)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13789),BgL_arg3452z00_13791,BgL_bz00_11613); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3453z00_13792;
BgL_arg3453z00_13792 = 
(
(long)CINT(BgL_bpz00_13790)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13789),BgL_arg3453z00_13792,BgL_cz00_11614); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3454z00_13793;
BgL_arg3454z00_13793 = 
(
(long)CINT(BgL_bpz00_13790)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13789),BgL_arg3454z00_13793,BgL_dz00_11615); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3455z00_13794;
BgL_arg3455z00_13794 = 
(
(long)CINT(BgL_bpz00_13790)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13789),BgL_arg3455z00_13794,BgL_lastz00_11616); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13795;
BgL_ez00_13795 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13795, BgL_bpz00_13790); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13796;
BgL_accz00_13796 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11611, BgL_sz00_13789, BgL_bpz00_13790); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13795); 
VECTOR_SET(
((obj_t)BgL_sz00_13789),((long)0),BgL_bpz00_13790); 
return BgL_accz00_13796;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13797;
BgL_nsz00_13797 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13797,((long)1),BgL_sz00_13789); 
VECTOR_SET(BgL_nsz00_13797,((long)2),BgL_bz00_11613); 
VECTOR_SET(BgL_nsz00_13797,((long)3),BgL_cz00_11614); 
VECTOR_SET(BgL_nsz00_13797,((long)4),BgL_dz00_11615); 
VECTOR_SET(BgL_nsz00_13797,((long)5),BgL_lastz00_11616); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13798;
BgL_z12denvz12_13798 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13798, BgL_nsz00_13797); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13799;
BgL_ez00_13799 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13799, BgL_sz00_13789); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13800;
BgL_____rz00_13800 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11611, BgL_nsz00_13797, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13799); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13798, BgL_sz00_13789); 
return BgL_____rz00_13800;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5088 */
obj_t BGl_z62run5088z62zz__evaluate_compz00(obj_t BgL_envz00_11617, obj_t BgL_sz00_11622)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11618;obj_t BgL_valza2za2_11619;BgL_ev_absz00_bglt BgL_i1243z00_11620;obj_t BgL_bodyz00_11621;
BgL_siza7eza7_11618 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11617, 
(int)(((long)0)))); 
BgL_valza2za2_11619 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11617, 
(int)(((long)1)))); 
BgL_i1243z00_11620 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11617, 
(int)(((long)2)))); 
BgL_bodyz00_11621 = 
PROCEDURE_REF(BgL_envz00_11617, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13801;
BgL_bpz00_13801 = 
VECTOR_REF(
((obj_t)BgL_sz00_11622),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11622, BgL_valza2za2_11619, 
(
(long)CINT(BgL_bpz00_13801)+BgL_siza7eza7_11618)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13802;obj_t BgL_wherez00_13803;obj_t BgL_locz00_13804;
BgL_z12denvz12_13802 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13803 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11620))->BgL_wherez00); 
BgL_locz00_13804 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11620))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13802, BgL_wherez00_13803, BgL_locz00_13804); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13805;
BgL_za2za2resza2za2z00_13805 = 
PROCEDURE_ENTRY(BgL_bodyz00_11621)(BgL_bodyz00_11621, BgL_sz00_11622, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13802); 
return BgL_za2za2resza2za2z00_13805;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3458> */
obj_t BGl_z62zc3anonymousza33458ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11623, obj_t BgL_sz00_11630)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11624;obj_t BgL_iboxesz00_11625;long BgL_siza7eza7_11626;BgL_ev_absz00_bglt BgL_i1243z00_11627;obj_t BgL_bodyz00_11628;long BgL_siza7ezd2framez75_11629;
BgL_ifreesz00_11624 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11623, 
(int)(((long)0)))); 
BgL_iboxesz00_11625 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11623, 
(int)(((long)1)))); 
BgL_siza7eza7_11626 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11623, 
(int)(((long)2)))); 
BgL_i1243z00_11627 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11623, 
(int)(((long)3)))); 
BgL_bodyz00_11628 = 
PROCEDURE_REF(BgL_envz00_11623, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11629 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11623, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13806;
BgL_bpz00_13806 = 
VECTOR_REF(
((obj_t)BgL_sz00_11630),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13807;
BgL_valza2za2_13807 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11630, BgL_bpz00_13806, BgL_ifreesz00_11624); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13808;
BgL_runz00_13808 = 
MAKE_FX_PROCEDURE(BGl_z62run5090z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13808, 
(int)(((long)0)), BgL_iboxesz00_11625); 
PROCEDURE_SET(BgL_runz00_13808, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11626)); 
PROCEDURE_SET(BgL_runz00_13808, 
(int)(((long)2)), BgL_valza2za2_13807); 
PROCEDURE_SET(BgL_runz00_13808, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11627)); 
PROCEDURE_SET(BgL_runz00_13808, 
(int)(((long)4)), BgL_bodyz00_11628); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13809;
BgL_mainz00_13809 = 
MAKE_VA_PROCEDURE(BGl_z62main5089z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13809, 
(int)(((long)0)), BgL_iboxesz00_11625); 
PROCEDURE_SET(BgL_mainz00_13809, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11626)); 
PROCEDURE_SET(BgL_mainz00_13809, 
(int)(((long)2)), BgL_valza2za2_13807); 
PROCEDURE_SET(BgL_mainz00_13809, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11627)); 
PROCEDURE_SET(BgL_mainz00_13809, 
(int)(((long)4)), BgL_bodyz00_11628); 
PROCEDURE_SET(BgL_mainz00_13809, 
(int)(((long)5)), BgL_runz00_13808); 
PROCEDURE_SET(BgL_mainz00_13809, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11629)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13810;
BgL_objz00_13810 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13808, BgL_objz00_13810); BgL_objz00_13810; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3459z00_13811;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3460z00_13812;
BgL_arg3460z00_13812 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11627))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13813;
BgL_newz00_13813 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23854;
BgL_tmpz00_23854 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13813, BgL_tmpz00_23854, BgL_arg3460z00_13812); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23859;int BgL_tmpz00_23857;
BgL_auxz00_23859 = 
BINT(BgL_siza7ezd2framez75_11629); 
BgL_tmpz00_23857 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13813, BgL_tmpz00_23857, BgL_auxz00_23859); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23862;
BgL_tmpz00_23862 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13813, BgL_tmpz00_23862, BgL_runz00_13808); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23867;int BgL_tmpz00_23865;
BgL_auxz00_23867 = 
BINT(((long)-4)); 
BgL_tmpz00_23865 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13813, BgL_tmpz00_23865, BgL_auxz00_23867); } 
BgL_arg3459z00_13811 = BgL_newz00_13813; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13809, BgL_arg3459z00_13811); BgL_arg3459z00_13811; } 
return BgL_mainz00_13809;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5089 */
obj_t BGl_z62main5089z62zz__evaluate_compz00(obj_t BgL_envz00_11631, obj_t BgL_bz00_11639, obj_t BgL_cz00_11640, obj_t BgL_dz00_11641, obj_t BgL_lastz00_11642)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11637;long BgL_siza7ezd2framez75_11638;
BgL_runz00_11637 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11631, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11638 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11631, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13814;
BgL_sz00_13814 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13815;
BgL_bpz00_13815 = 
VECTOR_REF(
((obj_t)BgL_sz00_13814),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13814, BgL_bpz00_13815, 
BINT(BgL_siza7ezd2framez75_11638)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3463z00_13816;
BgL_arg3463z00_13816 = 
(
(long)CINT(BgL_bpz00_13815)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13814),BgL_arg3463z00_13816,BgL_bz00_11639); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3464z00_13817;
BgL_arg3464z00_13817 = 
(
(long)CINT(BgL_bpz00_13815)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13814),BgL_arg3464z00_13817,BgL_cz00_11640); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3465z00_13818;
BgL_arg3465z00_13818 = 
(
(long)CINT(BgL_bpz00_13815)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13814),BgL_arg3465z00_13818,BgL_dz00_11641); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3466z00_13819;
BgL_arg3466z00_13819 = 
(
(long)CINT(BgL_bpz00_13815)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13814),BgL_arg3466z00_13819,BgL_lastz00_11642); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13820;
BgL_ez00_13820 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13820, BgL_bpz00_13815); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13821;
BgL_accz00_13821 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11637, BgL_sz00_13814, BgL_bpz00_13815); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13820); 
VECTOR_SET(
((obj_t)BgL_sz00_13814),((long)0),BgL_bpz00_13815); 
return BgL_accz00_13821;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13822;
BgL_nsz00_13822 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13822,((long)1),BgL_sz00_13814); 
VECTOR_SET(BgL_nsz00_13822,((long)2),BgL_bz00_11639); 
VECTOR_SET(BgL_nsz00_13822,((long)3),BgL_cz00_11640); 
VECTOR_SET(BgL_nsz00_13822,((long)4),BgL_dz00_11641); 
VECTOR_SET(BgL_nsz00_13822,((long)5),BgL_lastz00_11642); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13823;
BgL_z12denvz12_13823 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13823, BgL_nsz00_13822); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13824;
BgL_ez00_13824 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13824, BgL_sz00_13814); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13825;
BgL_____rz00_13825 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11637, BgL_nsz00_13822, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13824); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13823, BgL_sz00_13814); 
return BgL_____rz00_13825;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5090 */
obj_t BGl_z62run5090z62zz__evaluate_compz00(obj_t BgL_envz00_11643, obj_t BgL_sz00_11649)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11644;long BgL_siza7eza7_11645;obj_t BgL_valza2za2_11646;BgL_ev_absz00_bglt BgL_i1243z00_11647;obj_t BgL_bodyz00_11648;
BgL_iboxesz00_11644 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11643, 
(int)(((long)0)))); 
BgL_siza7eza7_11645 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11643, 
(int)(((long)1)))); 
BgL_valza2za2_11646 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11643, 
(int)(((long)2)))); 
BgL_i1243z00_11647 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11643, 
(int)(((long)3)))); 
BgL_bodyz00_11648 = 
PROCEDURE_REF(BgL_envz00_11643, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13826;
BgL_bpz00_13826 = 
VECTOR_REF(
((obj_t)BgL_sz00_11649),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11649, BgL_iboxesz00_11644, BgL_bpz00_13826); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11649, BgL_valza2za2_11646, 
(
(long)CINT(BgL_bpz00_13826)+BgL_siza7eza7_11645)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13827;obj_t BgL_wherez00_13828;obj_t BgL_locz00_13829;
BgL_z12denvz12_13827 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13828 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11647))->BgL_wherez00); 
BgL_locz00_13829 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11647))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13827, BgL_wherez00_13828, BgL_locz00_13829); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13830;
BgL_za2za2resza2za2z00_13830 = 
PROCEDURE_ENTRY(BgL_bodyz00_11648)(BgL_bodyz00_11648, BgL_sz00_11649, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13827); 
return BgL_za2za2resza2za2z00_13830;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3377> */
obj_t BGl_z62zc3anonymousza33377ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11650, obj_t BgL_sz00_11654)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11651;obj_t BgL_bodyz00_11652;long BgL_siza7ezd2framez75_11653;
BgL_i1243z00_11651 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11650, 
(int)(((long)0)))); 
BgL_bodyz00_11652 = 
PROCEDURE_REF(BgL_envz00_11650, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11653 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11650, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13831;
BgL_bpz00_13831 = 
VECTOR_REF(
((obj_t)BgL_sz00_11654),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13832;
BgL_runz00_13832 = 
MAKE_FX_PROCEDURE(BGl_z62run5092z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13832, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11651)); 
PROCEDURE_SET(BgL_runz00_13832, 
(int)(((long)1)), BgL_bodyz00_11652); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13833;
BgL_mainz00_13833 = 
MAKE_FX_PROCEDURE(BGl_z62main5091z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13833, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11651)); 
PROCEDURE_SET(BgL_mainz00_13833, 
(int)(((long)1)), BgL_bodyz00_11652); 
PROCEDURE_SET(BgL_mainz00_13833, 
(int)(((long)2)), BgL_runz00_13832); 
PROCEDURE_SET(BgL_mainz00_13833, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11653)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13834;
BgL_objz00_13834 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13832, BgL_objz00_13834); BgL_objz00_13834; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3378z00_13835;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3379z00_13836;
BgL_arg3379z00_13836 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11651))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13837;
BgL_newz00_13837 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23983;
BgL_tmpz00_23983 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13837, BgL_tmpz00_23983, BgL_arg3379z00_13836); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23988;int BgL_tmpz00_23986;
BgL_auxz00_23988 = 
BINT(BgL_siza7ezd2framez75_11653); 
BgL_tmpz00_23986 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13837, BgL_tmpz00_23986, BgL_auxz00_23988); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_23991;
BgL_tmpz00_23991 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13837, BgL_tmpz00_23991, BgL_runz00_13832); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_23996;int BgL_tmpz00_23994;
BgL_auxz00_23996 = 
BINT(((long)3)); 
BgL_tmpz00_23994 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13837, BgL_tmpz00_23994, BgL_auxz00_23996); } 
BgL_arg3378z00_13835 = BgL_newz00_13837; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13833, BgL_arg3378z00_13835); BgL_arg3378z00_13835; } 
return BgL_mainz00_13833;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5091 */
obj_t BGl_z62main5091z62zz__evaluate_compz00(obj_t BgL_envz00_11655, obj_t BgL_bz00_11660, obj_t BgL_cz00_11661, obj_t BgL_dz00_11662)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11658;long BgL_siza7ezd2framez75_11659;
BgL_runz00_11658 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11655, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11659 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11655, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13838;
BgL_sz00_13838 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13839;
BgL_bpz00_13839 = 
VECTOR_REF(
((obj_t)BgL_sz00_13838),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13838, BgL_bpz00_13839, 
BINT(BgL_siza7ezd2framez75_11659)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3382z00_13840;
BgL_arg3382z00_13840 = 
(
(long)CINT(BgL_bpz00_13839)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13838),BgL_arg3382z00_13840,BgL_bz00_11660); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3383z00_13841;
BgL_arg3383z00_13841 = 
(
(long)CINT(BgL_bpz00_13839)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13838),BgL_arg3383z00_13841,BgL_cz00_11661); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3384z00_13842;
BgL_arg3384z00_13842 = 
(
(long)CINT(BgL_bpz00_13839)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13838),BgL_arg3384z00_13842,BgL_dz00_11662); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13843;
BgL_ez00_13843 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13843, BgL_bpz00_13839); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13844;
BgL_accz00_13844 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11658, BgL_sz00_13838, BgL_bpz00_13839); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13843); 
VECTOR_SET(
((obj_t)BgL_sz00_13838),((long)0),BgL_bpz00_13839); 
return BgL_accz00_13844;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13845;
BgL_nsz00_13845 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13845,((long)1),BgL_sz00_13838); 
VECTOR_SET(BgL_nsz00_13845,((long)2),BgL_bz00_11660); 
VECTOR_SET(BgL_nsz00_13845,((long)3),BgL_cz00_11661); 
VECTOR_SET(BgL_nsz00_13845,((long)4),BgL_dz00_11662); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13846;
BgL_z12denvz12_13846 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13846, BgL_nsz00_13845); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13847;
BgL_ez00_13847 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13847, BgL_sz00_13838); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13848;
BgL_____rz00_13848 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11658, BgL_nsz00_13845, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13847); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13846, BgL_sz00_13838); 
return BgL_____rz00_13848;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5092 */
obj_t BGl_z62run5092z62zz__evaluate_compz00(obj_t BgL_envz00_11663, obj_t BgL_sz00_11666)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11664;obj_t BgL_bodyz00_11665;
BgL_i1243z00_11664 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11663, 
(int)(((long)0)))); 
BgL_bodyz00_11665 = 
PROCEDURE_REF(BgL_envz00_11663, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13849;
BgL_bpz00_13849 = 
VECTOR_REF(
((obj_t)BgL_sz00_11666),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13850;obj_t BgL_wherez00_13851;obj_t BgL_locz00_13852;
BgL_z12denvz12_13850 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13851 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11664))->BgL_wherez00); 
BgL_locz00_13852 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11664))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13850, BgL_wherez00_13851, BgL_locz00_13852); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13853;
BgL_za2za2resza2za2z00_13853 = 
PROCEDURE_ENTRY(BgL_bodyz00_11665)(BgL_bodyz00_11665, BgL_sz00_11666, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13850); 
return BgL_za2za2resza2za2z00_13853;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3386> */
obj_t BGl_z62zc3anonymousza33386ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11667, obj_t BgL_sz00_11672)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11668;BgL_ev_absz00_bglt BgL_i1243z00_11669;obj_t BgL_bodyz00_11670;long BgL_siza7ezd2framez75_11671;
BgL_iboxesz00_11668 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11667, 
(int)(((long)0)))); 
BgL_i1243z00_11669 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11667, 
(int)(((long)1)))); 
BgL_bodyz00_11670 = 
PROCEDURE_REF(BgL_envz00_11667, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11671 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11667, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13854;
BgL_bpz00_13854 = 
VECTOR_REF(
((obj_t)BgL_sz00_11672),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13855;
BgL_runz00_13855 = 
MAKE_FX_PROCEDURE(BGl_z62run5094z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13855, 
(int)(((long)0)), BgL_iboxesz00_11668); 
PROCEDURE_SET(BgL_runz00_13855, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11669)); 
PROCEDURE_SET(BgL_runz00_13855, 
(int)(((long)2)), BgL_bodyz00_11670); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13856;
BgL_mainz00_13856 = 
MAKE_FX_PROCEDURE(BGl_z62main5093z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13856, 
(int)(((long)0)), BgL_iboxesz00_11668); 
PROCEDURE_SET(BgL_mainz00_13856, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11669)); 
PROCEDURE_SET(BgL_mainz00_13856, 
(int)(((long)2)), BgL_bodyz00_11670); 
PROCEDURE_SET(BgL_mainz00_13856, 
(int)(((long)3)), BgL_runz00_13855); 
PROCEDURE_SET(BgL_mainz00_13856, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11671)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13857;
BgL_objz00_13857 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13855, BgL_objz00_13857); BgL_objz00_13857; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3387z00_13858;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3388z00_13859;
BgL_arg3388z00_13859 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11669))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13860;
BgL_newz00_13860 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24101;
BgL_tmpz00_24101 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13860, BgL_tmpz00_24101, BgL_arg3388z00_13859); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24106;int BgL_tmpz00_24104;
BgL_auxz00_24106 = 
BINT(BgL_siza7ezd2framez75_11671); 
BgL_tmpz00_24104 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13860, BgL_tmpz00_24104, BgL_auxz00_24106); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24109;
BgL_tmpz00_24109 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13860, BgL_tmpz00_24109, BgL_runz00_13855); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24114;int BgL_tmpz00_24112;
BgL_auxz00_24114 = 
BINT(((long)3)); 
BgL_tmpz00_24112 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13860, BgL_tmpz00_24112, BgL_auxz00_24114); } 
BgL_arg3387z00_13858 = BgL_newz00_13860; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13856, BgL_arg3387z00_13858); BgL_arg3387z00_13858; } 
return BgL_mainz00_13856;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5093 */
obj_t BGl_z62main5093z62zz__evaluate_compz00(obj_t BgL_envz00_11673, obj_t BgL_bz00_11679, obj_t BgL_cz00_11680, obj_t BgL_dz00_11681)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11677;long BgL_siza7ezd2framez75_11678;
BgL_runz00_11677 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11673, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11678 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11673, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13861;
BgL_sz00_13861 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13862;
BgL_bpz00_13862 = 
VECTOR_REF(
((obj_t)BgL_sz00_13861),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13861, BgL_bpz00_13862, 
BINT(BgL_siza7ezd2framez75_11678)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3391z00_13863;
BgL_arg3391z00_13863 = 
(
(long)CINT(BgL_bpz00_13862)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13861),BgL_arg3391z00_13863,BgL_bz00_11679); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3392z00_13864;
BgL_arg3392z00_13864 = 
(
(long)CINT(BgL_bpz00_13862)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13861),BgL_arg3392z00_13864,BgL_cz00_11680); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3393z00_13865;
BgL_arg3393z00_13865 = 
(
(long)CINT(BgL_bpz00_13862)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13861),BgL_arg3393z00_13865,BgL_dz00_11681); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13866;
BgL_ez00_13866 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13866, BgL_bpz00_13862); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13867;
BgL_accz00_13867 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11677, BgL_sz00_13861, BgL_bpz00_13862); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13866); 
VECTOR_SET(
((obj_t)BgL_sz00_13861),((long)0),BgL_bpz00_13862); 
return BgL_accz00_13867;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13868;
BgL_nsz00_13868 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13868,((long)1),BgL_sz00_13861); 
VECTOR_SET(BgL_nsz00_13868,((long)2),BgL_bz00_11679); 
VECTOR_SET(BgL_nsz00_13868,((long)3),BgL_cz00_11680); 
VECTOR_SET(BgL_nsz00_13868,((long)4),BgL_dz00_11681); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13869;
BgL_z12denvz12_13869 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13869, BgL_nsz00_13868); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13870;
BgL_ez00_13870 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13870, BgL_sz00_13861); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13871;
BgL_____rz00_13871 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11677, BgL_nsz00_13868, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13870); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13869, BgL_sz00_13861); 
return BgL_____rz00_13871;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5094 */
obj_t BGl_z62run5094z62zz__evaluate_compz00(obj_t BgL_envz00_11682, obj_t BgL_sz00_11686)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11683;BgL_ev_absz00_bglt BgL_i1243z00_11684;obj_t BgL_bodyz00_11685;
BgL_iboxesz00_11683 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11682, 
(int)(((long)0)))); 
BgL_i1243z00_11684 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11682, 
(int)(((long)1)))); 
BgL_bodyz00_11685 = 
PROCEDURE_REF(BgL_envz00_11682, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13872;
BgL_bpz00_13872 = 
VECTOR_REF(
((obj_t)BgL_sz00_11686),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11686, BgL_iboxesz00_11683, BgL_bpz00_13872); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13873;obj_t BgL_wherez00_13874;obj_t BgL_locz00_13875;
BgL_z12denvz12_13873 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13874 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11684))->BgL_wherez00); 
BgL_locz00_13875 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11684))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13873, BgL_wherez00_13874, BgL_locz00_13875); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13876;
BgL_za2za2resza2za2z00_13876 = 
PROCEDURE_ENTRY(BgL_bodyz00_11685)(BgL_bodyz00_11685, BgL_sz00_11686, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13873); 
return BgL_za2za2resza2za2z00_13876;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3398> */
obj_t BGl_z62zc3anonymousza33398ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11687, obj_t BgL_sz00_11693)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11688;long BgL_siza7eza7_11689;BgL_ev_absz00_bglt BgL_i1243z00_11690;obj_t BgL_bodyz00_11691;long BgL_siza7ezd2framez75_11692;
BgL_ifreesz00_11688 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11687, 
(int)(((long)0)))); 
BgL_siza7eza7_11689 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11687, 
(int)(((long)1)))); 
BgL_i1243z00_11690 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11687, 
(int)(((long)2)))); 
BgL_bodyz00_11691 = 
PROCEDURE_REF(BgL_envz00_11687, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11692 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11687, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13877;
BgL_bpz00_13877 = 
VECTOR_REF(
((obj_t)BgL_sz00_11693),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13878;
BgL_valza2za2_13878 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11693, BgL_bpz00_13877, BgL_ifreesz00_11688); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13879;
BgL_runz00_13879 = 
MAKE_FX_PROCEDURE(BGl_z62run5096z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13879, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11689)); 
PROCEDURE_SET(BgL_runz00_13879, 
(int)(((long)1)), BgL_valza2za2_13878); 
PROCEDURE_SET(BgL_runz00_13879, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11690)); 
PROCEDURE_SET(BgL_runz00_13879, 
(int)(((long)3)), BgL_bodyz00_11691); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13880;
BgL_mainz00_13880 = 
MAKE_FX_PROCEDURE(BGl_z62main5095z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13880, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11689)); 
PROCEDURE_SET(BgL_mainz00_13880, 
(int)(((long)1)), BgL_valza2za2_13878); 
PROCEDURE_SET(BgL_mainz00_13880, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11690)); 
PROCEDURE_SET(BgL_mainz00_13880, 
(int)(((long)3)), BgL_bodyz00_11691); 
PROCEDURE_SET(BgL_mainz00_13880, 
(int)(((long)4)), BgL_runz00_13879); 
PROCEDURE_SET(BgL_mainz00_13880, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11692)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13881;
BgL_objz00_13881 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13879, BgL_objz00_13881); BgL_objz00_13881; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3399z00_13882;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3400z00_13883;
BgL_arg3400z00_13883 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11690))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13884;
BgL_newz00_13884 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24233;
BgL_tmpz00_24233 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13884, BgL_tmpz00_24233, BgL_arg3400z00_13883); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24238;int BgL_tmpz00_24236;
BgL_auxz00_24238 = 
BINT(BgL_siza7ezd2framez75_11692); 
BgL_tmpz00_24236 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13884, BgL_tmpz00_24236, BgL_auxz00_24238); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24241;
BgL_tmpz00_24241 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13884, BgL_tmpz00_24241, BgL_runz00_13879); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24246;int BgL_tmpz00_24244;
BgL_auxz00_24246 = 
BINT(((long)3)); 
BgL_tmpz00_24244 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13884, BgL_tmpz00_24244, BgL_auxz00_24246); } 
BgL_arg3399z00_13882 = BgL_newz00_13884; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13880, BgL_arg3399z00_13882); BgL_arg3399z00_13882; } 
return BgL_mainz00_13880;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5095 */
obj_t BGl_z62main5095z62zz__evaluate_compz00(obj_t BgL_envz00_11694, obj_t BgL_bz00_11701, obj_t BgL_cz00_11702, obj_t BgL_dz00_11703)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11699;long BgL_siza7ezd2framez75_11700;
BgL_runz00_11699 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11694, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11700 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11694, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13885;
BgL_sz00_13885 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13886;
BgL_bpz00_13886 = 
VECTOR_REF(
((obj_t)BgL_sz00_13885),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13885, BgL_bpz00_13886, 
BINT(BgL_siza7ezd2framez75_11700)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3403z00_13887;
BgL_arg3403z00_13887 = 
(
(long)CINT(BgL_bpz00_13886)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13885),BgL_arg3403z00_13887,BgL_bz00_11701); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3404z00_13888;
BgL_arg3404z00_13888 = 
(
(long)CINT(BgL_bpz00_13886)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13885),BgL_arg3404z00_13888,BgL_cz00_11702); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3405z00_13889;
BgL_arg3405z00_13889 = 
(
(long)CINT(BgL_bpz00_13886)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13885),BgL_arg3405z00_13889,BgL_dz00_11703); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13890;
BgL_ez00_13890 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13890, BgL_bpz00_13886); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13891;
BgL_accz00_13891 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11699, BgL_sz00_13885, BgL_bpz00_13886); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13890); 
VECTOR_SET(
((obj_t)BgL_sz00_13885),((long)0),BgL_bpz00_13886); 
return BgL_accz00_13891;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13892;
BgL_nsz00_13892 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13892,((long)1),BgL_sz00_13885); 
VECTOR_SET(BgL_nsz00_13892,((long)2),BgL_bz00_11701); 
VECTOR_SET(BgL_nsz00_13892,((long)3),BgL_cz00_11702); 
VECTOR_SET(BgL_nsz00_13892,((long)4),BgL_dz00_11703); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13893;
BgL_z12denvz12_13893 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13893, BgL_nsz00_13892); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13894;
BgL_ez00_13894 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13894, BgL_sz00_13885); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13895;
BgL_____rz00_13895 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11699, BgL_nsz00_13892, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13894); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13893, BgL_sz00_13885); 
return BgL_____rz00_13895;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5096 */
obj_t BGl_z62run5096z62zz__evaluate_compz00(obj_t BgL_envz00_11704, obj_t BgL_sz00_11709)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11705;obj_t BgL_valza2za2_11706;BgL_ev_absz00_bglt BgL_i1243z00_11707;obj_t BgL_bodyz00_11708;
BgL_siza7eza7_11705 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11704, 
(int)(((long)0)))); 
BgL_valza2za2_11706 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11704, 
(int)(((long)1)))); 
BgL_i1243z00_11707 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11704, 
(int)(((long)2)))); 
BgL_bodyz00_11708 = 
PROCEDURE_REF(BgL_envz00_11704, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13896;
BgL_bpz00_13896 = 
VECTOR_REF(
((obj_t)BgL_sz00_11709),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11709, BgL_valza2za2_11706, 
(
(long)CINT(BgL_bpz00_13896)+BgL_siza7eza7_11705)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13897;obj_t BgL_wherez00_13898;obj_t BgL_locz00_13899;
BgL_z12denvz12_13897 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13898 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11707))->BgL_wherez00); 
BgL_locz00_13899 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11707))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13897, BgL_wherez00_13898, BgL_locz00_13899); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13900;
BgL_za2za2resza2za2z00_13900 = 
PROCEDURE_ENTRY(BgL_bodyz00_11708)(BgL_bodyz00_11708, BgL_sz00_11709, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13897); 
return BgL_za2za2resza2za2z00_13900;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3408> */
obj_t BGl_z62zc3anonymousza33408ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11710, obj_t BgL_sz00_11717)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11711;obj_t BgL_iboxesz00_11712;long BgL_siza7eza7_11713;BgL_ev_absz00_bglt BgL_i1243z00_11714;obj_t BgL_bodyz00_11715;long BgL_siza7ezd2framez75_11716;
BgL_ifreesz00_11711 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11710, 
(int)(((long)0)))); 
BgL_iboxesz00_11712 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11710, 
(int)(((long)1)))); 
BgL_siza7eza7_11713 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11710, 
(int)(((long)2)))); 
BgL_i1243z00_11714 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11710, 
(int)(((long)3)))); 
BgL_bodyz00_11715 = 
PROCEDURE_REF(BgL_envz00_11710, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11716 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11710, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13901;
BgL_bpz00_13901 = 
VECTOR_REF(
((obj_t)BgL_sz00_11717),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13902;
BgL_valza2za2_13902 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11717, BgL_bpz00_13901, BgL_ifreesz00_11711); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13903;
BgL_runz00_13903 = 
MAKE_FX_PROCEDURE(BGl_z62run5098z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13903, 
(int)(((long)0)), BgL_iboxesz00_11712); 
PROCEDURE_SET(BgL_runz00_13903, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11713)); 
PROCEDURE_SET(BgL_runz00_13903, 
(int)(((long)2)), BgL_valza2za2_13902); 
PROCEDURE_SET(BgL_runz00_13903, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11714)); 
PROCEDURE_SET(BgL_runz00_13903, 
(int)(((long)4)), BgL_bodyz00_11715); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13904;
BgL_mainz00_13904 = 
MAKE_FX_PROCEDURE(BGl_z62main5097z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13904, 
(int)(((long)0)), BgL_iboxesz00_11712); 
PROCEDURE_SET(BgL_mainz00_13904, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11713)); 
PROCEDURE_SET(BgL_mainz00_13904, 
(int)(((long)2)), BgL_valza2za2_13902); 
PROCEDURE_SET(BgL_mainz00_13904, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11714)); 
PROCEDURE_SET(BgL_mainz00_13904, 
(int)(((long)4)), BgL_bodyz00_11715); 
PROCEDURE_SET(BgL_mainz00_13904, 
(int)(((long)5)), BgL_runz00_13903); 
PROCEDURE_SET(BgL_mainz00_13904, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11716)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13905;
BgL_objz00_13905 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13903, BgL_objz00_13905); BgL_objz00_13905; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3409z00_13906;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3410z00_13907;
BgL_arg3410z00_13907 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11714))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13908;
BgL_newz00_13908 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24377;
BgL_tmpz00_24377 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13908, BgL_tmpz00_24377, BgL_arg3410z00_13907); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24382;int BgL_tmpz00_24380;
BgL_auxz00_24382 = 
BINT(BgL_siza7ezd2framez75_11716); 
BgL_tmpz00_24380 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13908, BgL_tmpz00_24380, BgL_auxz00_24382); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24385;
BgL_tmpz00_24385 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13908, BgL_tmpz00_24385, BgL_runz00_13903); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24390;int BgL_tmpz00_24388;
BgL_auxz00_24390 = 
BINT(((long)3)); 
BgL_tmpz00_24388 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13908, BgL_tmpz00_24388, BgL_auxz00_24390); } 
BgL_arg3409z00_13906 = BgL_newz00_13908; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13904, BgL_arg3409z00_13906); BgL_arg3409z00_13906; } 
return BgL_mainz00_13904;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5097 */
obj_t BGl_z62main5097z62zz__evaluate_compz00(obj_t BgL_envz00_11718, obj_t BgL_bz00_11726, obj_t BgL_cz00_11727, obj_t BgL_dz00_11728)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11724;long BgL_siza7ezd2framez75_11725;
BgL_runz00_11724 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11718, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11725 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11718, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13909;
BgL_sz00_13909 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13910;
BgL_bpz00_13910 = 
VECTOR_REF(
((obj_t)BgL_sz00_13909),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13909, BgL_bpz00_13910, 
BINT(BgL_siza7ezd2framez75_11725)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3413z00_13911;
BgL_arg3413z00_13911 = 
(
(long)CINT(BgL_bpz00_13910)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13909),BgL_arg3413z00_13911,BgL_bz00_11726); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3414z00_13912;
BgL_arg3414z00_13912 = 
(
(long)CINT(BgL_bpz00_13910)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13909),BgL_arg3414z00_13912,BgL_cz00_11727); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3415z00_13913;
BgL_arg3415z00_13913 = 
(
(long)CINT(BgL_bpz00_13910)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13909),BgL_arg3415z00_13913,BgL_dz00_11728); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13914;
BgL_ez00_13914 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13914, BgL_bpz00_13910); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13915;
BgL_accz00_13915 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11724, BgL_sz00_13909, BgL_bpz00_13910); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13914); 
VECTOR_SET(
((obj_t)BgL_sz00_13909),((long)0),BgL_bpz00_13910); 
return BgL_accz00_13915;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13916;
BgL_nsz00_13916 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13916,((long)1),BgL_sz00_13909); 
VECTOR_SET(BgL_nsz00_13916,((long)2),BgL_bz00_11726); 
VECTOR_SET(BgL_nsz00_13916,((long)3),BgL_cz00_11727); 
VECTOR_SET(BgL_nsz00_13916,((long)4),BgL_dz00_11728); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13917;
BgL_z12denvz12_13917 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13917, BgL_nsz00_13916); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13918;
BgL_ez00_13918 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13918, BgL_sz00_13909); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13919;
BgL_____rz00_13919 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11724, BgL_nsz00_13916, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13918); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13917, BgL_sz00_13909); 
return BgL_____rz00_13919;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5098 */
obj_t BGl_z62run5098z62zz__evaluate_compz00(obj_t BgL_envz00_11729, obj_t BgL_sz00_11735)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11730;long BgL_siza7eza7_11731;obj_t BgL_valza2za2_11732;BgL_ev_absz00_bglt BgL_i1243z00_11733;obj_t BgL_bodyz00_11734;
BgL_iboxesz00_11730 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11729, 
(int)(((long)0)))); 
BgL_siza7eza7_11731 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11729, 
(int)(((long)1)))); 
BgL_valza2za2_11732 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11729, 
(int)(((long)2)))); 
BgL_i1243z00_11733 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11729, 
(int)(((long)3)))); 
BgL_bodyz00_11734 = 
PROCEDURE_REF(BgL_envz00_11729, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13920;
BgL_bpz00_13920 = 
VECTOR_REF(
((obj_t)BgL_sz00_11735),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11735, BgL_iboxesz00_11730, BgL_bpz00_13920); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11735, BgL_valza2za2_11732, 
(
(long)CINT(BgL_bpz00_13920)+BgL_siza7eza7_11731)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13921;obj_t BgL_wherez00_13922;obj_t BgL_locz00_13923;
BgL_z12denvz12_13921 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13922 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11733))->BgL_wherez00); 
BgL_locz00_13923 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11733))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13921, BgL_wherez00_13922, BgL_locz00_13923); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13924;
BgL_za2za2resza2za2z00_13924 = 
PROCEDURE_ENTRY(BgL_bodyz00_11734)(BgL_bodyz00_11734, BgL_sz00_11735, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13921); 
return BgL_za2za2resza2za2z00_13924;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3330> */
obj_t BGl_z62zc3anonymousza33330ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11736, obj_t BgL_sz00_11740)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11737;obj_t BgL_bodyz00_11738;long BgL_siza7ezd2framez75_11739;
BgL_i1243z00_11737 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11736, 
(int)(((long)0)))); 
BgL_bodyz00_11738 = 
PROCEDURE_REF(BgL_envz00_11736, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11739 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11736, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13925;
BgL_bpz00_13925 = 
VECTOR_REF(
((obj_t)BgL_sz00_11740),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13926;
BgL_runz00_13926 = 
MAKE_FX_PROCEDURE(BGl_z62run5100z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13926, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11737)); 
PROCEDURE_SET(BgL_runz00_13926, 
(int)(((long)1)), BgL_bodyz00_11738); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13927;
BgL_mainz00_13927 = 
MAKE_VA_PROCEDURE(BGl_z62main5099z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13927, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11737)); 
PROCEDURE_SET(BgL_mainz00_13927, 
(int)(((long)1)), BgL_bodyz00_11738); 
PROCEDURE_SET(BgL_mainz00_13927, 
(int)(((long)2)), BgL_runz00_13926); 
PROCEDURE_SET(BgL_mainz00_13927, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11739)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13928;
BgL_objz00_13928 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13926, BgL_objz00_13928); BgL_objz00_13928; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3331z00_13929;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3332z00_13930;
BgL_arg3332z00_13930 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11737))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13931;
BgL_newz00_13931 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24501;
BgL_tmpz00_24501 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13931, BgL_tmpz00_24501, BgL_arg3332z00_13930); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24506;int BgL_tmpz00_24504;
BgL_auxz00_24506 = 
BINT(BgL_siza7ezd2framez75_11739); 
BgL_tmpz00_24504 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13931, BgL_tmpz00_24504, BgL_auxz00_24506); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24509;
BgL_tmpz00_24509 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13931, BgL_tmpz00_24509, BgL_runz00_13926); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24514;int BgL_tmpz00_24512;
BgL_auxz00_24514 = 
BINT(((long)-3)); 
BgL_tmpz00_24512 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13931, BgL_tmpz00_24512, BgL_auxz00_24514); } 
BgL_arg3331z00_13929 = BgL_newz00_13931; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13927, BgL_arg3331z00_13929); BgL_arg3331z00_13929; } 
return BgL_mainz00_13927;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5099 */
obj_t BGl_z62main5099z62zz__evaluate_compz00(obj_t BgL_envz00_11741, obj_t BgL_cz00_11746, obj_t BgL_dz00_11747, obj_t BgL_lastz00_11748)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11744;long BgL_siza7ezd2framez75_11745;
BgL_runz00_11744 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11741, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11745 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11741, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13932;
BgL_sz00_13932 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13933;
BgL_bpz00_13933 = 
VECTOR_REF(
((obj_t)BgL_sz00_13932),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13932, BgL_bpz00_13933, 
BINT(BgL_siza7ezd2framez75_11745)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3335z00_13934;
BgL_arg3335z00_13934 = 
(
(long)CINT(BgL_bpz00_13933)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13932),BgL_arg3335z00_13934,BgL_cz00_11746); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3336z00_13935;
BgL_arg3336z00_13935 = 
(
(long)CINT(BgL_bpz00_13933)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13932),BgL_arg3336z00_13935,BgL_dz00_11747); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3337z00_13936;
BgL_arg3337z00_13936 = 
(
(long)CINT(BgL_bpz00_13933)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13932),BgL_arg3337z00_13936,BgL_lastz00_11748); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13937;
BgL_ez00_13937 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13937, BgL_bpz00_13933); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13938;
BgL_accz00_13938 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11744, BgL_sz00_13932, BgL_bpz00_13933); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13937); 
VECTOR_SET(
((obj_t)BgL_sz00_13932),((long)0),BgL_bpz00_13933); 
return BgL_accz00_13938;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13939;
BgL_nsz00_13939 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13939,((long)1),BgL_sz00_13932); 
VECTOR_SET(BgL_nsz00_13939,((long)2),BgL_cz00_11746); 
VECTOR_SET(BgL_nsz00_13939,((long)3),BgL_dz00_11747); 
VECTOR_SET(BgL_nsz00_13939,((long)4),BgL_lastz00_11748); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13940;
BgL_z12denvz12_13940 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13940, BgL_nsz00_13939); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13941;
BgL_ez00_13941 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13941, BgL_sz00_13932); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13942;
BgL_____rz00_13942 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11744, BgL_nsz00_13939, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13941); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13940, BgL_sz00_13932); 
return BgL_____rz00_13942;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5100 */
obj_t BGl_z62run5100z62zz__evaluate_compz00(obj_t BgL_envz00_11749, obj_t BgL_sz00_11752)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11750;obj_t BgL_bodyz00_11751;
BgL_i1243z00_11750 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11749, 
(int)(((long)0)))); 
BgL_bodyz00_11751 = 
PROCEDURE_REF(BgL_envz00_11749, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13943;
BgL_bpz00_13943 = 
VECTOR_REF(
((obj_t)BgL_sz00_11752),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13944;obj_t BgL_wherez00_13945;obj_t BgL_locz00_13946;
BgL_z12denvz12_13944 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13945 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11750))->BgL_wherez00); 
BgL_locz00_13946 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11750))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13944, BgL_wherez00_13945, BgL_locz00_13946); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13947;
BgL_za2za2resza2za2z00_13947 = 
PROCEDURE_ENTRY(BgL_bodyz00_11751)(BgL_bodyz00_11751, BgL_sz00_11752, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13944); 
return BgL_za2za2resza2za2z00_13947;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3339> */
obj_t BGl_z62zc3anonymousza33339ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11753, obj_t BgL_sz00_11758)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11754;BgL_ev_absz00_bglt BgL_i1243z00_11755;obj_t BgL_bodyz00_11756;long BgL_siza7ezd2framez75_11757;
BgL_iboxesz00_11754 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11753, 
(int)(((long)0)))); 
BgL_i1243z00_11755 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11753, 
(int)(((long)1)))); 
BgL_bodyz00_11756 = 
PROCEDURE_REF(BgL_envz00_11753, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11757 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11753, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13948;
BgL_bpz00_13948 = 
VECTOR_REF(
((obj_t)BgL_sz00_11758),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13949;
BgL_runz00_13949 = 
MAKE_FX_PROCEDURE(BGl_z62run5102z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13949, 
(int)(((long)0)), BgL_iboxesz00_11754); 
PROCEDURE_SET(BgL_runz00_13949, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11755)); 
PROCEDURE_SET(BgL_runz00_13949, 
(int)(((long)2)), BgL_bodyz00_11756); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13950;
BgL_mainz00_13950 = 
MAKE_VA_PROCEDURE(BGl_z62main5101z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13950, 
(int)(((long)0)), BgL_iboxesz00_11754); 
PROCEDURE_SET(BgL_mainz00_13950, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11755)); 
PROCEDURE_SET(BgL_mainz00_13950, 
(int)(((long)2)), BgL_bodyz00_11756); 
PROCEDURE_SET(BgL_mainz00_13950, 
(int)(((long)3)), BgL_runz00_13949); 
PROCEDURE_SET(BgL_mainz00_13950, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11757)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13951;
BgL_objz00_13951 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13949, BgL_objz00_13951); BgL_objz00_13951; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3340z00_13952;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3341z00_13953;
BgL_arg3341z00_13953 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11755))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13954;
BgL_newz00_13954 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24619;
BgL_tmpz00_24619 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13954, BgL_tmpz00_24619, BgL_arg3341z00_13953); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24624;int BgL_tmpz00_24622;
BgL_auxz00_24624 = 
BINT(BgL_siza7ezd2framez75_11757); 
BgL_tmpz00_24622 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13954, BgL_tmpz00_24622, BgL_auxz00_24624); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24627;
BgL_tmpz00_24627 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13954, BgL_tmpz00_24627, BgL_runz00_13949); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24632;int BgL_tmpz00_24630;
BgL_auxz00_24632 = 
BINT(((long)-3)); 
BgL_tmpz00_24630 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13954, BgL_tmpz00_24630, BgL_auxz00_24632); } 
BgL_arg3340z00_13952 = BgL_newz00_13954; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13950, BgL_arg3340z00_13952); BgL_arg3340z00_13952; } 
return BgL_mainz00_13950;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5101 */
obj_t BGl_z62main5101z62zz__evaluate_compz00(obj_t BgL_envz00_11759, obj_t BgL_cz00_11765, obj_t BgL_dz00_11766, obj_t BgL_lastz00_11767)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11763;long BgL_siza7ezd2framez75_11764;
BgL_runz00_11763 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11759, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11764 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11759, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13955;
BgL_sz00_13955 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13956;
BgL_bpz00_13956 = 
VECTOR_REF(
((obj_t)BgL_sz00_13955),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13955, BgL_bpz00_13956, 
BINT(BgL_siza7ezd2framez75_11764)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3344z00_13957;
BgL_arg3344z00_13957 = 
(
(long)CINT(BgL_bpz00_13956)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13955),BgL_arg3344z00_13957,BgL_cz00_11765); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3345z00_13958;
BgL_arg3345z00_13958 = 
(
(long)CINT(BgL_bpz00_13956)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13955),BgL_arg3345z00_13958,BgL_dz00_11766); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3346z00_13959;
BgL_arg3346z00_13959 = 
(
(long)CINT(BgL_bpz00_13956)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13955),BgL_arg3346z00_13959,BgL_lastz00_11767); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13960;
BgL_ez00_13960 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13960, BgL_bpz00_13956); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13961;
BgL_accz00_13961 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11763, BgL_sz00_13955, BgL_bpz00_13956); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13960); 
VECTOR_SET(
((obj_t)BgL_sz00_13955),((long)0),BgL_bpz00_13956); 
return BgL_accz00_13961;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13962;
BgL_nsz00_13962 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13962,((long)1),BgL_sz00_13955); 
VECTOR_SET(BgL_nsz00_13962,((long)2),BgL_cz00_11765); 
VECTOR_SET(BgL_nsz00_13962,((long)3),BgL_dz00_11766); 
VECTOR_SET(BgL_nsz00_13962,((long)4),BgL_lastz00_11767); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13963;
BgL_z12denvz12_13963 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13963, BgL_nsz00_13962); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13964;
BgL_ez00_13964 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13964, BgL_sz00_13955); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13965;
BgL_____rz00_13965 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11763, BgL_nsz00_13962, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13964); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13963, BgL_sz00_13955); 
return BgL_____rz00_13965;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5102 */
obj_t BGl_z62run5102z62zz__evaluate_compz00(obj_t BgL_envz00_11768, obj_t BgL_sz00_11772)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11769;BgL_ev_absz00_bglt BgL_i1243z00_11770;obj_t BgL_bodyz00_11771;
BgL_iboxesz00_11769 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11768, 
(int)(((long)0)))); 
BgL_i1243z00_11770 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11768, 
(int)(((long)1)))); 
BgL_bodyz00_11771 = 
PROCEDURE_REF(BgL_envz00_11768, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13966;
BgL_bpz00_13966 = 
VECTOR_REF(
((obj_t)BgL_sz00_11772),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11772, BgL_iboxesz00_11769, BgL_bpz00_13966); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13967;obj_t BgL_wherez00_13968;obj_t BgL_locz00_13969;
BgL_z12denvz12_13967 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13968 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11770))->BgL_wherez00); 
BgL_locz00_13969 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11770))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13967, BgL_wherez00_13968, BgL_locz00_13969); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_13970;
BgL_za2za2resza2za2z00_13970 = 
PROCEDURE_ENTRY(BgL_bodyz00_11771)(BgL_bodyz00_11771, BgL_sz00_11772, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13967); 
return BgL_za2za2resza2za2z00_13970;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3351> */
obj_t BGl_z62zc3anonymousza33351ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11773, obj_t BgL_sz00_11779)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11774;long BgL_siza7eza7_11775;BgL_ev_absz00_bglt BgL_i1243z00_11776;obj_t BgL_bodyz00_11777;long BgL_siza7ezd2framez75_11778;
BgL_ifreesz00_11774 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11773, 
(int)(((long)0)))); 
BgL_siza7eza7_11775 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11773, 
(int)(((long)1)))); 
BgL_i1243z00_11776 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11773, 
(int)(((long)2)))); 
BgL_bodyz00_11777 = 
PROCEDURE_REF(BgL_envz00_11773, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11778 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11773, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13971;
BgL_bpz00_13971 = 
VECTOR_REF(
((obj_t)BgL_sz00_11779),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13972;
BgL_valza2za2_13972 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11779, BgL_bpz00_13971, BgL_ifreesz00_11774); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13973;
BgL_runz00_13973 = 
MAKE_FX_PROCEDURE(BGl_z62run5104z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13973, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11775)); 
PROCEDURE_SET(BgL_runz00_13973, 
(int)(((long)1)), BgL_valza2za2_13972); 
PROCEDURE_SET(BgL_runz00_13973, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11776)); 
PROCEDURE_SET(BgL_runz00_13973, 
(int)(((long)3)), BgL_bodyz00_11777); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13974;
BgL_mainz00_13974 = 
MAKE_VA_PROCEDURE(BGl_z62main5103z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13974, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11775)); 
PROCEDURE_SET(BgL_mainz00_13974, 
(int)(((long)1)), BgL_valza2za2_13972); 
PROCEDURE_SET(BgL_mainz00_13974, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11776)); 
PROCEDURE_SET(BgL_mainz00_13974, 
(int)(((long)3)), BgL_bodyz00_11777); 
PROCEDURE_SET(BgL_mainz00_13974, 
(int)(((long)4)), BgL_runz00_13973); 
PROCEDURE_SET(BgL_mainz00_13974, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11778)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13975;
BgL_objz00_13975 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13973, BgL_objz00_13975); BgL_objz00_13975; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3352z00_13976;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3353z00_13977;
BgL_arg3353z00_13977 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11776))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_13978;
BgL_newz00_13978 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24751;
BgL_tmpz00_24751 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13978, BgL_tmpz00_24751, BgL_arg3353z00_13977); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24756;int BgL_tmpz00_24754;
BgL_auxz00_24756 = 
BINT(BgL_siza7ezd2framez75_11778); 
BgL_tmpz00_24754 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13978, BgL_tmpz00_24754, BgL_auxz00_24756); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24759;
BgL_tmpz00_24759 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13978, BgL_tmpz00_24759, BgL_runz00_13973); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24764;int BgL_tmpz00_24762;
BgL_auxz00_24764 = 
BINT(((long)-3)); 
BgL_tmpz00_24762 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13978, BgL_tmpz00_24762, BgL_auxz00_24764); } 
BgL_arg3352z00_13976 = BgL_newz00_13978; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13974, BgL_arg3352z00_13976); BgL_arg3352z00_13976; } 
return BgL_mainz00_13974;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5103 */
obj_t BGl_z62main5103z62zz__evaluate_compz00(obj_t BgL_envz00_11780, obj_t BgL_cz00_11787, obj_t BgL_dz00_11788, obj_t BgL_lastz00_11789)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11785;long BgL_siza7ezd2framez75_11786;
BgL_runz00_11785 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11780, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11786 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11780, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_13979;
BgL_sz00_13979 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13980;
BgL_bpz00_13980 = 
VECTOR_REF(
((obj_t)BgL_sz00_13979),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13979, BgL_bpz00_13980, 
BINT(BgL_siza7ezd2framez75_11786)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3356z00_13981;
BgL_arg3356z00_13981 = 
(
(long)CINT(BgL_bpz00_13980)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13979),BgL_arg3356z00_13981,BgL_cz00_11787); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3357z00_13982;
BgL_arg3357z00_13982 = 
(
(long)CINT(BgL_bpz00_13980)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13979),BgL_arg3357z00_13982,BgL_dz00_11788); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3358z00_13983;
BgL_arg3358z00_13983 = 
(
(long)CINT(BgL_bpz00_13980)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13979),BgL_arg3358z00_13983,BgL_lastz00_11789); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13984;
BgL_ez00_13984 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13984, BgL_bpz00_13980); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_13985;
BgL_accz00_13985 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11785, BgL_sz00_13979, BgL_bpz00_13980); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13984); 
VECTOR_SET(
((obj_t)BgL_sz00_13979),((long)0),BgL_bpz00_13980); 
return BgL_accz00_13985;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_13986;
BgL_nsz00_13986 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13986,((long)1),BgL_sz00_13979); 
VECTOR_SET(BgL_nsz00_13986,((long)2),BgL_cz00_11787); 
VECTOR_SET(BgL_nsz00_13986,((long)3),BgL_dz00_11788); 
VECTOR_SET(BgL_nsz00_13986,((long)4),BgL_lastz00_11789); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_13987;
BgL_z12denvz12_13987 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13987, BgL_nsz00_13986); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_13988;
BgL_ez00_13988 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13988, BgL_sz00_13979); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_13989;
BgL_____rz00_13989 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11785, BgL_nsz00_13986, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13988); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13987, BgL_sz00_13979); 
return BgL_____rz00_13989;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5104 */
obj_t BGl_z62run5104z62zz__evaluate_compz00(obj_t BgL_envz00_11790, obj_t BgL_sz00_11795)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11791;obj_t BgL_valza2za2_11792;BgL_ev_absz00_bglt BgL_i1243z00_11793;obj_t BgL_bodyz00_11794;
BgL_siza7eza7_11791 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11790, 
(int)(((long)0)))); 
BgL_valza2za2_11792 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11790, 
(int)(((long)1)))); 
BgL_i1243z00_11793 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11790, 
(int)(((long)2)))); 
BgL_bodyz00_11794 = 
PROCEDURE_REF(BgL_envz00_11790, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13990;
BgL_bpz00_13990 = 
VECTOR_REF(
((obj_t)BgL_sz00_11795),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11795, BgL_valza2za2_11792, 
(
(long)CINT(BgL_bpz00_13990)+BgL_siza7eza7_11791)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_13991;obj_t BgL_wherez00_13992;obj_t BgL_locz00_13993;
BgL_z12denvz12_13991 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13992 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11793))->BgL_wherez00); 
BgL_locz00_13993 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11793))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13991, BgL_wherez00_13992, BgL_locz00_13993); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_13994;
BgL_za2za2resza2za2z00_13994 = 
PROCEDURE_ENTRY(BgL_bodyz00_11794)(BgL_bodyz00_11794, BgL_sz00_11795, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13991); 
return BgL_za2za2resza2za2z00_13994;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3361> */
obj_t BGl_z62zc3anonymousza33361ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11796, obj_t BgL_sz00_11803)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11797;obj_t BgL_iboxesz00_11798;long BgL_siza7eza7_11799;BgL_ev_absz00_bglt BgL_i1243z00_11800;obj_t BgL_bodyz00_11801;long BgL_siza7ezd2framez75_11802;
BgL_ifreesz00_11797 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11796, 
(int)(((long)0)))); 
BgL_iboxesz00_11798 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11796, 
(int)(((long)1)))); 
BgL_siza7eza7_11799 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11796, 
(int)(((long)2)))); 
BgL_i1243z00_11800 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11796, 
(int)(((long)3)))); 
BgL_bodyz00_11801 = 
PROCEDURE_REF(BgL_envz00_11796, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11802 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11796, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_13995;
BgL_bpz00_13995 = 
VECTOR_REF(
((obj_t)BgL_sz00_11803),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_13996;
BgL_valza2za2_13996 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11803, BgL_bpz00_13995, BgL_ifreesz00_11797); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_13997;
BgL_runz00_13997 = 
MAKE_FX_PROCEDURE(BGl_z62run5106z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13997, 
(int)(((long)0)), BgL_iboxesz00_11798); 
PROCEDURE_SET(BgL_runz00_13997, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11799)); 
PROCEDURE_SET(BgL_runz00_13997, 
(int)(((long)2)), BgL_valza2za2_13996); 
PROCEDURE_SET(BgL_runz00_13997, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11800)); 
PROCEDURE_SET(BgL_runz00_13997, 
(int)(((long)4)), BgL_bodyz00_11801); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_13998;
BgL_mainz00_13998 = 
MAKE_VA_PROCEDURE(BGl_z62main5105z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13998, 
(int)(((long)0)), BgL_iboxesz00_11798); 
PROCEDURE_SET(BgL_mainz00_13998, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11799)); 
PROCEDURE_SET(BgL_mainz00_13998, 
(int)(((long)2)), BgL_valza2za2_13996); 
PROCEDURE_SET(BgL_mainz00_13998, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11800)); 
PROCEDURE_SET(BgL_mainz00_13998, 
(int)(((long)4)), BgL_bodyz00_11801); 
PROCEDURE_SET(BgL_mainz00_13998, 
(int)(((long)5)), BgL_runz00_13997); 
PROCEDURE_SET(BgL_mainz00_13998, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11802)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_13999;
BgL_objz00_13999 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13997, BgL_objz00_13999); BgL_objz00_13999; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3362z00_14000;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3363z00_14001;
BgL_arg3363z00_14001 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11800))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14002;
BgL_newz00_14002 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24895;
BgL_tmpz00_24895 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14002, BgL_tmpz00_24895, BgL_arg3363z00_14001); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24900;int BgL_tmpz00_24898;
BgL_auxz00_24900 = 
BINT(BgL_siza7ezd2framez75_11802); 
BgL_tmpz00_24898 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14002, BgL_tmpz00_24898, BgL_auxz00_24900); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_24903;
BgL_tmpz00_24903 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14002, BgL_tmpz00_24903, BgL_runz00_13997); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_24908;int BgL_tmpz00_24906;
BgL_auxz00_24908 = 
BINT(((long)-3)); 
BgL_tmpz00_24906 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14002, BgL_tmpz00_24906, BgL_auxz00_24908); } 
BgL_arg3362z00_14000 = BgL_newz00_14002; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13998, BgL_arg3362z00_14000); BgL_arg3362z00_14000; } 
return BgL_mainz00_13998;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5105 */
obj_t BGl_z62main5105z62zz__evaluate_compz00(obj_t BgL_envz00_11804, obj_t BgL_cz00_11812, obj_t BgL_dz00_11813, obj_t BgL_lastz00_11814)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11810;long BgL_siza7ezd2framez75_11811;
BgL_runz00_11810 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11804, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11811 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11804, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14003;
BgL_sz00_14003 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14004;
BgL_bpz00_14004 = 
VECTOR_REF(
((obj_t)BgL_sz00_14003),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14003, BgL_bpz00_14004, 
BINT(BgL_siza7ezd2framez75_11811)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3366z00_14005;
BgL_arg3366z00_14005 = 
(
(long)CINT(BgL_bpz00_14004)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14003),BgL_arg3366z00_14005,BgL_cz00_11812); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3367z00_14006;
BgL_arg3367z00_14006 = 
(
(long)CINT(BgL_bpz00_14004)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14003),BgL_arg3367z00_14006,BgL_dz00_11813); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3368z00_14007;
BgL_arg3368z00_14007 = 
(
(long)CINT(BgL_bpz00_14004)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14003),BgL_arg3368z00_14007,BgL_lastz00_11814); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14008;
BgL_ez00_14008 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14008, BgL_bpz00_14004); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14009;
BgL_accz00_14009 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11810, BgL_sz00_14003, BgL_bpz00_14004); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14008); 
VECTOR_SET(
((obj_t)BgL_sz00_14003),((long)0),BgL_bpz00_14004); 
return BgL_accz00_14009;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14010;
BgL_nsz00_14010 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14010,((long)1),BgL_sz00_14003); 
VECTOR_SET(BgL_nsz00_14010,((long)2),BgL_cz00_11812); 
VECTOR_SET(BgL_nsz00_14010,((long)3),BgL_dz00_11813); 
VECTOR_SET(BgL_nsz00_14010,((long)4),BgL_lastz00_11814); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14011;
BgL_z12denvz12_14011 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14011, BgL_nsz00_14010); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14012;
BgL_ez00_14012 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14012, BgL_sz00_14003); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14013;
BgL_____rz00_14013 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11810, BgL_nsz00_14010, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14012); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14011, BgL_sz00_14003); 
return BgL_____rz00_14013;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5106 */
obj_t BGl_z62run5106z62zz__evaluate_compz00(obj_t BgL_envz00_11815, obj_t BgL_sz00_11821)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11816;long BgL_siza7eza7_11817;obj_t BgL_valza2za2_11818;BgL_ev_absz00_bglt BgL_i1243z00_11819;obj_t BgL_bodyz00_11820;
BgL_iboxesz00_11816 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11815, 
(int)(((long)0)))); 
BgL_siza7eza7_11817 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11815, 
(int)(((long)1)))); 
BgL_valza2za2_11818 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11815, 
(int)(((long)2)))); 
BgL_i1243z00_11819 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11815, 
(int)(((long)3)))); 
BgL_bodyz00_11820 = 
PROCEDURE_REF(BgL_envz00_11815, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14014;
BgL_bpz00_14014 = 
VECTOR_REF(
((obj_t)BgL_sz00_11821),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11821, BgL_iboxesz00_11816, BgL_bpz00_14014); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11821, BgL_valza2za2_11818, 
(
(long)CINT(BgL_bpz00_14014)+BgL_siza7eza7_11817)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14015;obj_t BgL_wherez00_14016;obj_t BgL_locz00_14017;
BgL_z12denvz12_14015 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14016 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11819))->BgL_wherez00); 
BgL_locz00_14017 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11819))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14015, BgL_wherez00_14016, BgL_locz00_14017); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14018;
BgL_za2za2resza2za2z00_14018 = 
PROCEDURE_ENTRY(BgL_bodyz00_11820)(BgL_bodyz00_11820, BgL_sz00_11821, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14015); 
return BgL_za2za2resza2za2z00_14018;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3287> */
obj_t BGl_z62zc3anonymousza33287ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11822, obj_t BgL_sz00_11826)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11823;obj_t BgL_bodyz00_11824;long BgL_siza7ezd2framez75_11825;
BgL_i1243z00_11823 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11822, 
(int)(((long)0)))); 
BgL_bodyz00_11824 = 
PROCEDURE_REF(BgL_envz00_11822, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11825 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11822, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14019;
BgL_bpz00_14019 = 
VECTOR_REF(
((obj_t)BgL_sz00_11826),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14020;
BgL_runz00_14020 = 
MAKE_FX_PROCEDURE(BGl_z62run5108z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14020, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11823)); 
PROCEDURE_SET(BgL_runz00_14020, 
(int)(((long)1)), BgL_bodyz00_11824); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14021;
BgL_mainz00_14021 = 
MAKE_FX_PROCEDURE(BGl_z62main5107z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14021, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11823)); 
PROCEDURE_SET(BgL_mainz00_14021, 
(int)(((long)1)), BgL_bodyz00_11824); 
PROCEDURE_SET(BgL_mainz00_14021, 
(int)(((long)2)), BgL_runz00_14020); 
PROCEDURE_SET(BgL_mainz00_14021, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11825)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14022;
BgL_objz00_14022 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14020, BgL_objz00_14022); BgL_objz00_14022; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3288z00_14023;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3289z00_14024;
BgL_arg3289z00_14024 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11823))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14025;
BgL_newz00_14025 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25019;
BgL_tmpz00_25019 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14025, BgL_tmpz00_25019, BgL_arg3289z00_14024); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25024;int BgL_tmpz00_25022;
BgL_auxz00_25024 = 
BINT(BgL_siza7ezd2framez75_11825); 
BgL_tmpz00_25022 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14025, BgL_tmpz00_25022, BgL_auxz00_25024); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25027;
BgL_tmpz00_25027 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14025, BgL_tmpz00_25027, BgL_runz00_14020); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25032;int BgL_tmpz00_25030;
BgL_auxz00_25032 = 
BINT(((long)2)); 
BgL_tmpz00_25030 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14025, BgL_tmpz00_25030, BgL_auxz00_25032); } 
BgL_arg3288z00_14023 = BgL_newz00_14025; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14021, BgL_arg3288z00_14023); BgL_arg3288z00_14023; } 
return BgL_mainz00_14021;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5107 */
obj_t BGl_z62main5107z62zz__evaluate_compz00(obj_t BgL_envz00_11827, obj_t BgL_cz00_11832, obj_t BgL_dz00_11833)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11830;long BgL_siza7ezd2framez75_11831;
BgL_runz00_11830 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11827, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11831 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11827, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14026;
BgL_sz00_14026 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14027;
BgL_bpz00_14027 = 
VECTOR_REF(
((obj_t)BgL_sz00_14026),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14026, BgL_bpz00_14027, 
BINT(BgL_siza7ezd2framez75_11831)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3292z00_14028;
BgL_arg3292z00_14028 = 
(
(long)CINT(BgL_bpz00_14027)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14026),BgL_arg3292z00_14028,BgL_cz00_11832); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3293z00_14029;
BgL_arg3293z00_14029 = 
(
(long)CINT(BgL_bpz00_14027)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14026),BgL_arg3293z00_14029,BgL_dz00_11833); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14030;
BgL_ez00_14030 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14030, BgL_bpz00_14027); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14031;
BgL_accz00_14031 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11830, BgL_sz00_14026, BgL_bpz00_14027); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14030); 
VECTOR_SET(
((obj_t)BgL_sz00_14026),((long)0),BgL_bpz00_14027); 
return BgL_accz00_14031;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14032;
BgL_nsz00_14032 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14032,((long)1),BgL_sz00_14026); 
VECTOR_SET(BgL_nsz00_14032,((long)2),BgL_cz00_11832); 
VECTOR_SET(BgL_nsz00_14032,((long)3),BgL_dz00_11833); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14033;
BgL_z12denvz12_14033 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14033, BgL_nsz00_14032); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14034;
BgL_ez00_14034 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14034, BgL_sz00_14026); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14035;
BgL_____rz00_14035 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11830, BgL_nsz00_14032, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14034); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14033, BgL_sz00_14026); 
return BgL_____rz00_14035;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5108 */
obj_t BGl_z62run5108z62zz__evaluate_compz00(obj_t BgL_envz00_11834, obj_t BgL_sz00_11837)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11835;obj_t BgL_bodyz00_11836;
BgL_i1243z00_11835 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11834, 
(int)(((long)0)))); 
BgL_bodyz00_11836 = 
PROCEDURE_REF(BgL_envz00_11834, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14036;
BgL_bpz00_14036 = 
VECTOR_REF(
((obj_t)BgL_sz00_11837),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14037;obj_t BgL_wherez00_14038;obj_t BgL_locz00_14039;
BgL_z12denvz12_14037 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14038 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11835))->BgL_wherez00); 
BgL_locz00_14039 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11835))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14037, BgL_wherez00_14038, BgL_locz00_14039); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14040;
BgL_za2za2resza2za2z00_14040 = 
PROCEDURE_ENTRY(BgL_bodyz00_11836)(BgL_bodyz00_11836, BgL_sz00_11837, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14037); 
return BgL_za2za2resza2za2z00_14040;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3295> */
obj_t BGl_z62zc3anonymousza33295ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11838, obj_t BgL_sz00_11843)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11839;BgL_ev_absz00_bglt BgL_i1243z00_11840;obj_t BgL_bodyz00_11841;long BgL_siza7ezd2framez75_11842;
BgL_iboxesz00_11839 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11838, 
(int)(((long)0)))); 
BgL_i1243z00_11840 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11838, 
(int)(((long)1)))); 
BgL_bodyz00_11841 = 
PROCEDURE_REF(BgL_envz00_11838, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11842 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11838, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14041;
BgL_bpz00_14041 = 
VECTOR_REF(
((obj_t)BgL_sz00_11843),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14042;
BgL_runz00_14042 = 
MAKE_FX_PROCEDURE(BGl_z62run5110z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14042, 
(int)(((long)0)), BgL_iboxesz00_11839); 
PROCEDURE_SET(BgL_runz00_14042, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11840)); 
PROCEDURE_SET(BgL_runz00_14042, 
(int)(((long)2)), BgL_bodyz00_11841); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14043;
BgL_mainz00_14043 = 
MAKE_FX_PROCEDURE(BGl_z62main5109z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14043, 
(int)(((long)0)), BgL_iboxesz00_11839); 
PROCEDURE_SET(BgL_mainz00_14043, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11840)); 
PROCEDURE_SET(BgL_mainz00_14043, 
(int)(((long)2)), BgL_bodyz00_11841); 
PROCEDURE_SET(BgL_mainz00_14043, 
(int)(((long)3)), BgL_runz00_14042); 
PROCEDURE_SET(BgL_mainz00_14043, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11842)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14044;
BgL_objz00_14044 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14042, BgL_objz00_14044); BgL_objz00_14044; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3296z00_14045;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3297z00_14046;
BgL_arg3297z00_14046 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11840))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14047;
BgL_newz00_14047 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25132;
BgL_tmpz00_25132 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14047, BgL_tmpz00_25132, BgL_arg3297z00_14046); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25137;int BgL_tmpz00_25135;
BgL_auxz00_25137 = 
BINT(BgL_siza7ezd2framez75_11842); 
BgL_tmpz00_25135 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14047, BgL_tmpz00_25135, BgL_auxz00_25137); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25140;
BgL_tmpz00_25140 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14047, BgL_tmpz00_25140, BgL_runz00_14042); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25145;int BgL_tmpz00_25143;
BgL_auxz00_25145 = 
BINT(((long)2)); 
BgL_tmpz00_25143 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14047, BgL_tmpz00_25143, BgL_auxz00_25145); } 
BgL_arg3296z00_14045 = BgL_newz00_14047; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14043, BgL_arg3296z00_14045); BgL_arg3296z00_14045; } 
return BgL_mainz00_14043;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5109 */
obj_t BGl_z62main5109z62zz__evaluate_compz00(obj_t BgL_envz00_11844, obj_t BgL_cz00_11850, obj_t BgL_dz00_11851)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11848;long BgL_siza7ezd2framez75_11849;
BgL_runz00_11848 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11844, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11849 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11844, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14048;
BgL_sz00_14048 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14049;
BgL_bpz00_14049 = 
VECTOR_REF(
((obj_t)BgL_sz00_14048),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14048, BgL_bpz00_14049, 
BINT(BgL_siza7ezd2framez75_11849)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3300z00_14050;
BgL_arg3300z00_14050 = 
(
(long)CINT(BgL_bpz00_14049)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14048),BgL_arg3300z00_14050,BgL_cz00_11850); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3301z00_14051;
BgL_arg3301z00_14051 = 
(
(long)CINT(BgL_bpz00_14049)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14048),BgL_arg3301z00_14051,BgL_dz00_11851); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14052;
BgL_ez00_14052 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14052, BgL_bpz00_14049); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14053;
BgL_accz00_14053 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11848, BgL_sz00_14048, BgL_bpz00_14049); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14052); 
VECTOR_SET(
((obj_t)BgL_sz00_14048),((long)0),BgL_bpz00_14049); 
return BgL_accz00_14053;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14054;
BgL_nsz00_14054 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14054,((long)1),BgL_sz00_14048); 
VECTOR_SET(BgL_nsz00_14054,((long)2),BgL_cz00_11850); 
VECTOR_SET(BgL_nsz00_14054,((long)3),BgL_dz00_11851); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14055;
BgL_z12denvz12_14055 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14055, BgL_nsz00_14054); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14056;
BgL_ez00_14056 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14056, BgL_sz00_14048); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14057;
BgL_____rz00_14057 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11848, BgL_nsz00_14054, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14056); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14055, BgL_sz00_14048); 
return BgL_____rz00_14057;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5110 */
obj_t BGl_z62run5110z62zz__evaluate_compz00(obj_t BgL_envz00_11852, obj_t BgL_sz00_11856)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11853;BgL_ev_absz00_bglt BgL_i1243z00_11854;obj_t BgL_bodyz00_11855;
BgL_iboxesz00_11853 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11852, 
(int)(((long)0)))); 
BgL_i1243z00_11854 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11852, 
(int)(((long)1)))); 
BgL_bodyz00_11855 = 
PROCEDURE_REF(BgL_envz00_11852, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14058;
BgL_bpz00_14058 = 
VECTOR_REF(
((obj_t)BgL_sz00_11856),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11856, BgL_iboxesz00_11853, BgL_bpz00_14058); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14059;obj_t BgL_wherez00_14060;obj_t BgL_locz00_14061;
BgL_z12denvz12_14059 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14060 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11854))->BgL_wherez00); 
BgL_locz00_14061 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11854))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14059, BgL_wherez00_14060, BgL_locz00_14061); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14062;
BgL_za2za2resza2za2z00_14062 = 
PROCEDURE_ENTRY(BgL_bodyz00_11855)(BgL_bodyz00_11855, BgL_sz00_11856, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14059); 
return BgL_za2za2resza2za2z00_14062;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3306> */
obj_t BGl_z62zc3anonymousza33306ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11857, obj_t BgL_sz00_11863)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11858;long BgL_siza7eza7_11859;BgL_ev_absz00_bglt BgL_i1243z00_11860;obj_t BgL_bodyz00_11861;long BgL_siza7ezd2framez75_11862;
BgL_ifreesz00_11858 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11857, 
(int)(((long)0)))); 
BgL_siza7eza7_11859 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11857, 
(int)(((long)1)))); 
BgL_i1243z00_11860 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11857, 
(int)(((long)2)))); 
BgL_bodyz00_11861 = 
PROCEDURE_REF(BgL_envz00_11857, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11862 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11857, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14063;
BgL_bpz00_14063 = 
VECTOR_REF(
((obj_t)BgL_sz00_11863),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14064;
BgL_valza2za2_14064 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11863, BgL_bpz00_14063, BgL_ifreesz00_11858); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14065;
BgL_runz00_14065 = 
MAKE_FX_PROCEDURE(BGl_z62run5112z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14065, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11859)); 
PROCEDURE_SET(BgL_runz00_14065, 
(int)(((long)1)), BgL_valza2za2_14064); 
PROCEDURE_SET(BgL_runz00_14065, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11860)); 
PROCEDURE_SET(BgL_runz00_14065, 
(int)(((long)3)), BgL_bodyz00_11861); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14066;
BgL_mainz00_14066 = 
MAKE_FX_PROCEDURE(BGl_z62main5111z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14066, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11859)); 
PROCEDURE_SET(BgL_mainz00_14066, 
(int)(((long)1)), BgL_valza2za2_14064); 
PROCEDURE_SET(BgL_mainz00_14066, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11860)); 
PROCEDURE_SET(BgL_mainz00_14066, 
(int)(((long)3)), BgL_bodyz00_11861); 
PROCEDURE_SET(BgL_mainz00_14066, 
(int)(((long)4)), BgL_runz00_14065); 
PROCEDURE_SET(BgL_mainz00_14066, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11862)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14067;
BgL_objz00_14067 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14065, BgL_objz00_14067); BgL_objz00_14067; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3307z00_14068;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3308z00_14069;
BgL_arg3308z00_14069 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11860))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14070;
BgL_newz00_14070 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25259;
BgL_tmpz00_25259 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14070, BgL_tmpz00_25259, BgL_arg3308z00_14069); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25264;int BgL_tmpz00_25262;
BgL_auxz00_25264 = 
BINT(BgL_siza7ezd2framez75_11862); 
BgL_tmpz00_25262 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14070, BgL_tmpz00_25262, BgL_auxz00_25264); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25267;
BgL_tmpz00_25267 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14070, BgL_tmpz00_25267, BgL_runz00_14065); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25272;int BgL_tmpz00_25270;
BgL_auxz00_25272 = 
BINT(((long)2)); 
BgL_tmpz00_25270 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14070, BgL_tmpz00_25270, BgL_auxz00_25272); } 
BgL_arg3307z00_14068 = BgL_newz00_14070; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14066, BgL_arg3307z00_14068); BgL_arg3307z00_14068; } 
return BgL_mainz00_14066;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5111 */
obj_t BGl_z62main5111z62zz__evaluate_compz00(obj_t BgL_envz00_11864, obj_t BgL_cz00_11871, obj_t BgL_dz00_11872)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11869;long BgL_siza7ezd2framez75_11870;
BgL_runz00_11869 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11864, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11870 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11864, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14071;
BgL_sz00_14071 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14072;
BgL_bpz00_14072 = 
VECTOR_REF(
((obj_t)BgL_sz00_14071),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14071, BgL_bpz00_14072, 
BINT(BgL_siza7ezd2framez75_11870)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3311z00_14073;
BgL_arg3311z00_14073 = 
(
(long)CINT(BgL_bpz00_14072)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14071),BgL_arg3311z00_14073,BgL_cz00_11871); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3312z00_14074;
BgL_arg3312z00_14074 = 
(
(long)CINT(BgL_bpz00_14072)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14071),BgL_arg3312z00_14074,BgL_dz00_11872); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14075;
BgL_ez00_14075 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14075, BgL_bpz00_14072); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14076;
BgL_accz00_14076 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11869, BgL_sz00_14071, BgL_bpz00_14072); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14075); 
VECTOR_SET(
((obj_t)BgL_sz00_14071),((long)0),BgL_bpz00_14072); 
return BgL_accz00_14076;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14077;
BgL_nsz00_14077 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14077,((long)1),BgL_sz00_14071); 
VECTOR_SET(BgL_nsz00_14077,((long)2),BgL_cz00_11871); 
VECTOR_SET(BgL_nsz00_14077,((long)3),BgL_dz00_11872); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14078;
BgL_z12denvz12_14078 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14078, BgL_nsz00_14077); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14079;
BgL_ez00_14079 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14079, BgL_sz00_14071); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14080;
BgL_____rz00_14080 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11869, BgL_nsz00_14077, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14079); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14078, BgL_sz00_14071); 
return BgL_____rz00_14080;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5112 */
obj_t BGl_z62run5112z62zz__evaluate_compz00(obj_t BgL_envz00_11873, obj_t BgL_sz00_11878)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11874;obj_t BgL_valza2za2_11875;BgL_ev_absz00_bglt BgL_i1243z00_11876;obj_t BgL_bodyz00_11877;
BgL_siza7eza7_11874 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11873, 
(int)(((long)0)))); 
BgL_valza2za2_11875 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11873, 
(int)(((long)1)))); 
BgL_i1243z00_11876 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11873, 
(int)(((long)2)))); 
BgL_bodyz00_11877 = 
PROCEDURE_REF(BgL_envz00_11873, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14081;
BgL_bpz00_14081 = 
VECTOR_REF(
((obj_t)BgL_sz00_11878),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11878, BgL_valza2za2_11875, 
(
(long)CINT(BgL_bpz00_14081)+BgL_siza7eza7_11874)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14082;obj_t BgL_wherez00_14083;obj_t BgL_locz00_14084;
BgL_z12denvz12_14082 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14083 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11876))->BgL_wherez00); 
BgL_locz00_14084 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11876))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14082, BgL_wherez00_14083, BgL_locz00_14084); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14085;
BgL_za2za2resza2za2z00_14085 = 
PROCEDURE_ENTRY(BgL_bodyz00_11877)(BgL_bodyz00_11877, BgL_sz00_11878, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14082); 
return BgL_za2za2resza2za2z00_14085;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3315> */
obj_t BGl_z62zc3anonymousza33315ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11879, obj_t BgL_sz00_11886)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11880;obj_t BgL_iboxesz00_11881;long BgL_siza7eza7_11882;BgL_ev_absz00_bglt BgL_i1243z00_11883;obj_t BgL_bodyz00_11884;long BgL_siza7ezd2framez75_11885;
BgL_ifreesz00_11880 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11879, 
(int)(((long)0)))); 
BgL_iboxesz00_11881 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11879, 
(int)(((long)1)))); 
BgL_siza7eza7_11882 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11879, 
(int)(((long)2)))); 
BgL_i1243z00_11883 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11879, 
(int)(((long)3)))); 
BgL_bodyz00_11884 = 
PROCEDURE_REF(BgL_envz00_11879, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11885 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11879, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14086;
BgL_bpz00_14086 = 
VECTOR_REF(
((obj_t)BgL_sz00_11886),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14087;
BgL_valza2za2_14087 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11886, BgL_bpz00_14086, BgL_ifreesz00_11880); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14088;
BgL_runz00_14088 = 
MAKE_FX_PROCEDURE(BGl_z62run5114z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14088, 
(int)(((long)0)), BgL_iboxesz00_11881); 
PROCEDURE_SET(BgL_runz00_14088, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11882)); 
PROCEDURE_SET(BgL_runz00_14088, 
(int)(((long)2)), BgL_valza2za2_14087); 
PROCEDURE_SET(BgL_runz00_14088, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11883)); 
PROCEDURE_SET(BgL_runz00_14088, 
(int)(((long)4)), BgL_bodyz00_11884); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14089;
BgL_mainz00_14089 = 
MAKE_FX_PROCEDURE(BGl_z62main5113z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14089, 
(int)(((long)0)), BgL_iboxesz00_11881); 
PROCEDURE_SET(BgL_mainz00_14089, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11882)); 
PROCEDURE_SET(BgL_mainz00_14089, 
(int)(((long)2)), BgL_valza2za2_14087); 
PROCEDURE_SET(BgL_mainz00_14089, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11883)); 
PROCEDURE_SET(BgL_mainz00_14089, 
(int)(((long)4)), BgL_bodyz00_11884); 
PROCEDURE_SET(BgL_mainz00_14089, 
(int)(((long)5)), BgL_runz00_14088); 
PROCEDURE_SET(BgL_mainz00_14089, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11885)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14090;
BgL_objz00_14090 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14088, BgL_objz00_14090); BgL_objz00_14090; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3316z00_14091;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3317z00_14092;
BgL_arg3317z00_14092 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11883))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14093;
BgL_newz00_14093 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25398;
BgL_tmpz00_25398 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14093, BgL_tmpz00_25398, BgL_arg3317z00_14092); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25403;int BgL_tmpz00_25401;
BgL_auxz00_25403 = 
BINT(BgL_siza7ezd2framez75_11885); 
BgL_tmpz00_25401 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14093, BgL_tmpz00_25401, BgL_auxz00_25403); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25406;
BgL_tmpz00_25406 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14093, BgL_tmpz00_25406, BgL_runz00_14088); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25411;int BgL_tmpz00_25409;
BgL_auxz00_25411 = 
BINT(((long)2)); 
BgL_tmpz00_25409 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14093, BgL_tmpz00_25409, BgL_auxz00_25411); } 
BgL_arg3316z00_14091 = BgL_newz00_14093; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14089, BgL_arg3316z00_14091); BgL_arg3316z00_14091; } 
return BgL_mainz00_14089;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5113 */
obj_t BGl_z62main5113z62zz__evaluate_compz00(obj_t BgL_envz00_11887, obj_t BgL_cz00_11895, obj_t BgL_dz00_11896)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11893;long BgL_siza7ezd2framez75_11894;
BgL_runz00_11893 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11887, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11894 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11887, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14094;
BgL_sz00_14094 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14095;
BgL_bpz00_14095 = 
VECTOR_REF(
((obj_t)BgL_sz00_14094),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14094, BgL_bpz00_14095, 
BINT(BgL_siza7ezd2framez75_11894)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3320z00_14096;
BgL_arg3320z00_14096 = 
(
(long)CINT(BgL_bpz00_14095)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14094),BgL_arg3320z00_14096,BgL_cz00_11895); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3321z00_14097;
BgL_arg3321z00_14097 = 
(
(long)CINT(BgL_bpz00_14095)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14094),BgL_arg3321z00_14097,BgL_dz00_11896); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14098;
BgL_ez00_14098 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14098, BgL_bpz00_14095); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14099;
BgL_accz00_14099 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11893, BgL_sz00_14094, BgL_bpz00_14095); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14098); 
VECTOR_SET(
((obj_t)BgL_sz00_14094),((long)0),BgL_bpz00_14095); 
return BgL_accz00_14099;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14100;
BgL_nsz00_14100 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14100,((long)1),BgL_sz00_14094); 
VECTOR_SET(BgL_nsz00_14100,((long)2),BgL_cz00_11895); 
VECTOR_SET(BgL_nsz00_14100,((long)3),BgL_dz00_11896); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14101;
BgL_z12denvz12_14101 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14101, BgL_nsz00_14100); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14102;
BgL_ez00_14102 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14102, BgL_sz00_14094); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14103;
BgL_____rz00_14103 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11893, BgL_nsz00_14100, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14102); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14101, BgL_sz00_14094); 
return BgL_____rz00_14103;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5114 */
obj_t BGl_z62run5114z62zz__evaluate_compz00(obj_t BgL_envz00_11897, obj_t BgL_sz00_11903)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11898;long BgL_siza7eza7_11899;obj_t BgL_valza2za2_11900;BgL_ev_absz00_bglt BgL_i1243z00_11901;obj_t BgL_bodyz00_11902;
BgL_iboxesz00_11898 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)0)))); 
BgL_siza7eza7_11899 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)1)))); 
BgL_valza2za2_11900 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)2)))); 
BgL_i1243z00_11901 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)3)))); 
BgL_bodyz00_11902 = 
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14104;
BgL_bpz00_14104 = 
VECTOR_REF(
((obj_t)BgL_sz00_11903),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11903, BgL_iboxesz00_11898, BgL_bpz00_14104); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11903, BgL_valza2za2_11900, 
(
(long)CINT(BgL_bpz00_14104)+BgL_siza7eza7_11899)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14105;obj_t BgL_wherez00_14106;obj_t BgL_locz00_14107;
BgL_z12denvz12_14105 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14106 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11901))->BgL_wherez00); 
BgL_locz00_14107 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11901))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14105, BgL_wherez00_14106, BgL_locz00_14107); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14108;
BgL_za2za2resza2za2z00_14108 = 
PROCEDURE_ENTRY(BgL_bodyz00_11902)(BgL_bodyz00_11902, BgL_sz00_11903, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14105); 
return BgL_za2za2resza2za2z00_14108;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3244> */
obj_t BGl_z62zc3anonymousza33244ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11904, obj_t BgL_sz00_11908)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11905;obj_t BgL_bodyz00_11906;long BgL_siza7ezd2framez75_11907;
BgL_i1243z00_11905 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11904, 
(int)(((long)0)))); 
BgL_bodyz00_11906 = 
PROCEDURE_REF(BgL_envz00_11904, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11907 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11904, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14109;
BgL_bpz00_14109 = 
VECTOR_REF(
((obj_t)BgL_sz00_11908),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14110;
BgL_runz00_14110 = 
MAKE_FX_PROCEDURE(BGl_z62run5116z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14110, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11905)); 
PROCEDURE_SET(BgL_runz00_14110, 
(int)(((long)1)), BgL_bodyz00_11906); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14111;
BgL_mainz00_14111 = 
MAKE_VA_PROCEDURE(BGl_z62main5115z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14111, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11905)); 
PROCEDURE_SET(BgL_mainz00_14111, 
(int)(((long)1)), BgL_bodyz00_11906); 
PROCEDURE_SET(BgL_mainz00_14111, 
(int)(((long)2)), BgL_runz00_14110); 
PROCEDURE_SET(BgL_mainz00_14111, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11907)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14112;
BgL_objz00_14112 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14110, BgL_objz00_14112); BgL_objz00_14112; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3245z00_14113;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3246z00_14114;
BgL_arg3246z00_14114 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11905))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14115;
BgL_newz00_14115 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25517;
BgL_tmpz00_25517 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14115, BgL_tmpz00_25517, BgL_arg3246z00_14114); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25522;int BgL_tmpz00_25520;
BgL_auxz00_25522 = 
BINT(BgL_siza7ezd2framez75_11907); 
BgL_tmpz00_25520 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14115, BgL_tmpz00_25520, BgL_auxz00_25522); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25525;
BgL_tmpz00_25525 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14115, BgL_tmpz00_25525, BgL_runz00_14110); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25530;int BgL_tmpz00_25528;
BgL_auxz00_25530 = 
BINT(((long)-2)); 
BgL_tmpz00_25528 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14115, BgL_tmpz00_25528, BgL_auxz00_25530); } 
BgL_arg3245z00_14113 = BgL_newz00_14115; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14111, BgL_arg3245z00_14113); BgL_arg3245z00_14113; } 
return BgL_mainz00_14111;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5115 */
obj_t BGl_z62main5115z62zz__evaluate_compz00(obj_t BgL_envz00_11909, obj_t BgL_dz00_11914, obj_t BgL_lastz00_11915)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11912;long BgL_siza7ezd2framez75_11913;
BgL_runz00_11912 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11909, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11913 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11909, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14116;
BgL_sz00_14116 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14117;
BgL_bpz00_14117 = 
VECTOR_REF(
((obj_t)BgL_sz00_14116),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14116, BgL_bpz00_14117, 
BINT(BgL_siza7ezd2framez75_11913)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3249z00_14118;
BgL_arg3249z00_14118 = 
(
(long)CINT(BgL_bpz00_14117)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14116),BgL_arg3249z00_14118,BgL_dz00_11914); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3250z00_14119;
BgL_arg3250z00_14119 = 
(
(long)CINT(BgL_bpz00_14117)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14116),BgL_arg3250z00_14119,BgL_lastz00_11915); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14120;
BgL_ez00_14120 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14120, BgL_bpz00_14117); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14121;
BgL_accz00_14121 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11912, BgL_sz00_14116, BgL_bpz00_14117); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14120); 
VECTOR_SET(
((obj_t)BgL_sz00_14116),((long)0),BgL_bpz00_14117); 
return BgL_accz00_14121;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14122;
BgL_nsz00_14122 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14122,((long)1),BgL_sz00_14116); 
VECTOR_SET(BgL_nsz00_14122,((long)2),BgL_dz00_11914); 
VECTOR_SET(BgL_nsz00_14122,((long)3),BgL_lastz00_11915); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14123;
BgL_z12denvz12_14123 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14123, BgL_nsz00_14122); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14124;
BgL_ez00_14124 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14124, BgL_sz00_14116); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14125;
BgL_____rz00_14125 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11912, BgL_nsz00_14122, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14124); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14123, BgL_sz00_14116); 
return BgL_____rz00_14125;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5116 */
obj_t BGl_z62run5116z62zz__evaluate_compz00(obj_t BgL_envz00_11916, obj_t BgL_sz00_11919)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11917;obj_t BgL_bodyz00_11918;
BgL_i1243z00_11917 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11916, 
(int)(((long)0)))); 
BgL_bodyz00_11918 = 
PROCEDURE_REF(BgL_envz00_11916, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14126;
BgL_bpz00_14126 = 
VECTOR_REF(
((obj_t)BgL_sz00_11919),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14127;obj_t BgL_wherez00_14128;obj_t BgL_locz00_14129;
BgL_z12denvz12_14127 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14128 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11917))->BgL_wherez00); 
BgL_locz00_14129 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11917))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14127, BgL_wherez00_14128, BgL_locz00_14129); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14130;
BgL_za2za2resza2za2z00_14130 = 
PROCEDURE_ENTRY(BgL_bodyz00_11918)(BgL_bodyz00_11918, BgL_sz00_11919, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14127); 
return BgL_za2za2resza2za2z00_14130;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3252> */
obj_t BGl_z62zc3anonymousza33252ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11920, obj_t BgL_sz00_11925)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11921;BgL_ev_absz00_bglt BgL_i1243z00_11922;obj_t BgL_bodyz00_11923;long BgL_siza7ezd2framez75_11924;
BgL_iboxesz00_11921 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11920, 
(int)(((long)0)))); 
BgL_i1243z00_11922 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11920, 
(int)(((long)1)))); 
BgL_bodyz00_11923 = 
PROCEDURE_REF(BgL_envz00_11920, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11924 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11920, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14131;
BgL_bpz00_14131 = 
VECTOR_REF(
((obj_t)BgL_sz00_11925),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14132;
BgL_runz00_14132 = 
MAKE_FX_PROCEDURE(BGl_z62run5118z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14132, 
(int)(((long)0)), BgL_iboxesz00_11921); 
PROCEDURE_SET(BgL_runz00_14132, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11922)); 
PROCEDURE_SET(BgL_runz00_14132, 
(int)(((long)2)), BgL_bodyz00_11923); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14133;
BgL_mainz00_14133 = 
MAKE_VA_PROCEDURE(BGl_z62main5117z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14133, 
(int)(((long)0)), BgL_iboxesz00_11921); 
PROCEDURE_SET(BgL_mainz00_14133, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_11922)); 
PROCEDURE_SET(BgL_mainz00_14133, 
(int)(((long)2)), BgL_bodyz00_11923); 
PROCEDURE_SET(BgL_mainz00_14133, 
(int)(((long)3)), BgL_runz00_14132); 
PROCEDURE_SET(BgL_mainz00_14133, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11924)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14134;
BgL_objz00_14134 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14132, BgL_objz00_14134); BgL_objz00_14134; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3253z00_14135;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3254z00_14136;
BgL_arg3254z00_14136 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11922))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14137;
BgL_newz00_14137 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25630;
BgL_tmpz00_25630 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14137, BgL_tmpz00_25630, BgL_arg3254z00_14136); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25635;int BgL_tmpz00_25633;
BgL_auxz00_25635 = 
BINT(BgL_siza7ezd2framez75_11924); 
BgL_tmpz00_25633 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14137, BgL_tmpz00_25633, BgL_auxz00_25635); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25638;
BgL_tmpz00_25638 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14137, BgL_tmpz00_25638, BgL_runz00_14132); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25643;int BgL_tmpz00_25641;
BgL_auxz00_25643 = 
BINT(((long)-2)); 
BgL_tmpz00_25641 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14137, BgL_tmpz00_25641, BgL_auxz00_25643); } 
BgL_arg3253z00_14135 = BgL_newz00_14137; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14133, BgL_arg3253z00_14135); BgL_arg3253z00_14135; } 
return BgL_mainz00_14133;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5117 */
obj_t BGl_z62main5117z62zz__evaluate_compz00(obj_t BgL_envz00_11926, obj_t BgL_dz00_11932, obj_t BgL_lastz00_11933)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11930;long BgL_siza7ezd2framez75_11931;
BgL_runz00_11930 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11926, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11931 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11926, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14138;
BgL_sz00_14138 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14139;
BgL_bpz00_14139 = 
VECTOR_REF(
((obj_t)BgL_sz00_14138),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14138, BgL_bpz00_14139, 
BINT(BgL_siza7ezd2framez75_11931)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3257z00_14140;
BgL_arg3257z00_14140 = 
(
(long)CINT(BgL_bpz00_14139)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14138),BgL_arg3257z00_14140,BgL_dz00_11932); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3258z00_14141;
BgL_arg3258z00_14141 = 
(
(long)CINT(BgL_bpz00_14139)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14138),BgL_arg3258z00_14141,BgL_lastz00_11933); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14142;
BgL_ez00_14142 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14142, BgL_bpz00_14139); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14143;
BgL_accz00_14143 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11930, BgL_sz00_14138, BgL_bpz00_14139); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14142); 
VECTOR_SET(
((obj_t)BgL_sz00_14138),((long)0),BgL_bpz00_14139); 
return BgL_accz00_14143;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14144;
BgL_nsz00_14144 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14144,((long)1),BgL_sz00_14138); 
VECTOR_SET(BgL_nsz00_14144,((long)2),BgL_dz00_11932); 
VECTOR_SET(BgL_nsz00_14144,((long)3),BgL_lastz00_11933); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14145;
BgL_z12denvz12_14145 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14145, BgL_nsz00_14144); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14146;
BgL_ez00_14146 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14146, BgL_sz00_14138); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14147;
BgL_____rz00_14147 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11930, BgL_nsz00_14144, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14146); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14145, BgL_sz00_14138); 
return BgL_____rz00_14147;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5118 */
obj_t BGl_z62run5118z62zz__evaluate_compz00(obj_t BgL_envz00_11934, obj_t BgL_sz00_11938)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11935;BgL_ev_absz00_bglt BgL_i1243z00_11936;obj_t BgL_bodyz00_11937;
BgL_iboxesz00_11935 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11934, 
(int)(((long)0)))); 
BgL_i1243z00_11936 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11934, 
(int)(((long)1)))); 
BgL_bodyz00_11937 = 
PROCEDURE_REF(BgL_envz00_11934, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14148;
BgL_bpz00_14148 = 
VECTOR_REF(
((obj_t)BgL_sz00_11938),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11938, BgL_iboxesz00_11935, BgL_bpz00_14148); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14149;obj_t BgL_wherez00_14150;obj_t BgL_locz00_14151;
BgL_z12denvz12_14149 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14150 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11936))->BgL_wherez00); 
BgL_locz00_14151 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11936))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14149, BgL_wherez00_14150, BgL_locz00_14151); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14152;
BgL_za2za2resza2za2z00_14152 = 
PROCEDURE_ENTRY(BgL_bodyz00_11937)(BgL_bodyz00_11937, BgL_sz00_11938, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14149); 
return BgL_za2za2resza2za2z00_14152;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3263> */
obj_t BGl_z62zc3anonymousza33263ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11939, obj_t BgL_sz00_11945)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11940;long BgL_siza7eza7_11941;BgL_ev_absz00_bglt BgL_i1243z00_11942;obj_t BgL_bodyz00_11943;long BgL_siza7ezd2framez75_11944;
BgL_ifreesz00_11940 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11939, 
(int)(((long)0)))); 
BgL_siza7eza7_11941 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11939, 
(int)(((long)1)))); 
BgL_i1243z00_11942 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11939, 
(int)(((long)2)))); 
BgL_bodyz00_11943 = 
PROCEDURE_REF(BgL_envz00_11939, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11944 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11939, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14153;
BgL_bpz00_14153 = 
VECTOR_REF(
((obj_t)BgL_sz00_11945),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14154;
BgL_valza2za2_14154 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11945, BgL_bpz00_14153, BgL_ifreesz00_11940); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14155;
BgL_runz00_14155 = 
MAKE_FX_PROCEDURE(BGl_z62run5120z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14155, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11941)); 
PROCEDURE_SET(BgL_runz00_14155, 
(int)(((long)1)), BgL_valza2za2_14154); 
PROCEDURE_SET(BgL_runz00_14155, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11942)); 
PROCEDURE_SET(BgL_runz00_14155, 
(int)(((long)3)), BgL_bodyz00_11943); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14156;
BgL_mainz00_14156 = 
MAKE_VA_PROCEDURE(BGl_z62main5119z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14156, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11941)); 
PROCEDURE_SET(BgL_mainz00_14156, 
(int)(((long)1)), BgL_valza2za2_14154); 
PROCEDURE_SET(BgL_mainz00_14156, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_11942)); 
PROCEDURE_SET(BgL_mainz00_14156, 
(int)(((long)3)), BgL_bodyz00_11943); 
PROCEDURE_SET(BgL_mainz00_14156, 
(int)(((long)4)), BgL_runz00_14155); 
PROCEDURE_SET(BgL_mainz00_14156, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11944)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14157;
BgL_objz00_14157 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14155, BgL_objz00_14157); BgL_objz00_14157; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3264z00_14158;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3265z00_14159;
BgL_arg3265z00_14159 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11942))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14160;
BgL_newz00_14160 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25757;
BgL_tmpz00_25757 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14160, BgL_tmpz00_25757, BgL_arg3265z00_14159); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25762;int BgL_tmpz00_25760;
BgL_auxz00_25762 = 
BINT(BgL_siza7ezd2framez75_11944); 
BgL_tmpz00_25760 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14160, BgL_tmpz00_25760, BgL_auxz00_25762); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25765;
BgL_tmpz00_25765 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14160, BgL_tmpz00_25765, BgL_runz00_14155); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25770;int BgL_tmpz00_25768;
BgL_auxz00_25770 = 
BINT(((long)-2)); 
BgL_tmpz00_25768 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14160, BgL_tmpz00_25768, BgL_auxz00_25770); } 
BgL_arg3264z00_14158 = BgL_newz00_14160; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14156, BgL_arg3264z00_14158); BgL_arg3264z00_14158; } 
return BgL_mainz00_14156;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5119 */
obj_t BGl_z62main5119z62zz__evaluate_compz00(obj_t BgL_envz00_11946, obj_t BgL_dz00_11953, obj_t BgL_lastz00_11954)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11951;long BgL_siza7ezd2framez75_11952;
BgL_runz00_11951 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11946, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11952 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11946, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14161;
BgL_sz00_14161 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14162;
BgL_bpz00_14162 = 
VECTOR_REF(
((obj_t)BgL_sz00_14161),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14161, BgL_bpz00_14162, 
BINT(BgL_siza7ezd2framez75_11952)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3268z00_14163;
BgL_arg3268z00_14163 = 
(
(long)CINT(BgL_bpz00_14162)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14161),BgL_arg3268z00_14163,BgL_dz00_11953); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3269z00_14164;
BgL_arg3269z00_14164 = 
(
(long)CINT(BgL_bpz00_14162)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14161),BgL_arg3269z00_14164,BgL_lastz00_11954); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14165;
BgL_ez00_14165 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14165, BgL_bpz00_14162); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14166;
BgL_accz00_14166 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11951, BgL_sz00_14161, BgL_bpz00_14162); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14165); 
VECTOR_SET(
((obj_t)BgL_sz00_14161),((long)0),BgL_bpz00_14162); 
return BgL_accz00_14166;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14167;
BgL_nsz00_14167 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14167,((long)1),BgL_sz00_14161); 
VECTOR_SET(BgL_nsz00_14167,((long)2),BgL_dz00_11953); 
VECTOR_SET(BgL_nsz00_14167,((long)3),BgL_lastz00_11954); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14168;
BgL_z12denvz12_14168 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14168, BgL_nsz00_14167); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14169;
BgL_ez00_14169 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14169, BgL_sz00_14161); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14170;
BgL_____rz00_14170 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11951, BgL_nsz00_14167, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14169); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14168, BgL_sz00_14161); 
return BgL_____rz00_14170;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5120 */
obj_t BGl_z62run5120z62zz__evaluate_compz00(obj_t BgL_envz00_11955, obj_t BgL_sz00_11960)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_11956;obj_t BgL_valza2za2_11957;BgL_ev_absz00_bglt BgL_i1243z00_11958;obj_t BgL_bodyz00_11959;
BgL_siza7eza7_11956 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11955, 
(int)(((long)0)))); 
BgL_valza2za2_11957 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11955, 
(int)(((long)1)))); 
BgL_i1243z00_11958 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11955, 
(int)(((long)2)))); 
BgL_bodyz00_11959 = 
PROCEDURE_REF(BgL_envz00_11955, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14171;
BgL_bpz00_14171 = 
VECTOR_REF(
((obj_t)BgL_sz00_11960),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11960, BgL_valza2za2_11957, 
(
(long)CINT(BgL_bpz00_14171)+BgL_siza7eza7_11956)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14172;obj_t BgL_wherez00_14173;obj_t BgL_locz00_14174;
BgL_z12denvz12_14172 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14173 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11958))->BgL_wherez00); 
BgL_locz00_14174 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11958))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14172, BgL_wherez00_14173, BgL_locz00_14174); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14175;
BgL_za2za2resza2za2z00_14175 = 
PROCEDURE_ENTRY(BgL_bodyz00_11959)(BgL_bodyz00_11959, BgL_sz00_11960, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14172); 
return BgL_za2za2resza2za2z00_14175;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3272> */
obj_t BGl_z62zc3anonymousza33272ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11961, obj_t BgL_sz00_11968)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_11962;obj_t BgL_iboxesz00_11963;long BgL_siza7eza7_11964;BgL_ev_absz00_bglt BgL_i1243z00_11965;obj_t BgL_bodyz00_11966;long BgL_siza7ezd2framez75_11967;
BgL_ifreesz00_11962 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11961, 
(int)(((long)0)))); 
BgL_iboxesz00_11963 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11961, 
(int)(((long)1)))); 
BgL_siza7eza7_11964 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11961, 
(int)(((long)2)))); 
BgL_i1243z00_11965 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11961, 
(int)(((long)3)))); 
BgL_bodyz00_11966 = 
PROCEDURE_REF(BgL_envz00_11961, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11967 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11961, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14176;
BgL_bpz00_14176 = 
VECTOR_REF(
((obj_t)BgL_sz00_11968),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14177;
BgL_valza2za2_14177 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11968, BgL_bpz00_14176, BgL_ifreesz00_11962); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14178;
BgL_runz00_14178 = 
MAKE_FX_PROCEDURE(BGl_z62run5122z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14178, 
(int)(((long)0)), BgL_iboxesz00_11963); 
PROCEDURE_SET(BgL_runz00_14178, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11964)); 
PROCEDURE_SET(BgL_runz00_14178, 
(int)(((long)2)), BgL_valza2za2_14177); 
PROCEDURE_SET(BgL_runz00_14178, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11965)); 
PROCEDURE_SET(BgL_runz00_14178, 
(int)(((long)4)), BgL_bodyz00_11966); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14179;
BgL_mainz00_14179 = 
MAKE_VA_PROCEDURE(BGl_z62main5121z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14179, 
(int)(((long)0)), BgL_iboxesz00_11963); 
PROCEDURE_SET(BgL_mainz00_14179, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11964)); 
PROCEDURE_SET(BgL_mainz00_14179, 
(int)(((long)2)), BgL_valza2za2_14177); 
PROCEDURE_SET(BgL_mainz00_14179, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_11965)); 
PROCEDURE_SET(BgL_mainz00_14179, 
(int)(((long)4)), BgL_bodyz00_11966); 
PROCEDURE_SET(BgL_mainz00_14179, 
(int)(((long)5)), BgL_runz00_14178); 
PROCEDURE_SET(BgL_mainz00_14179, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11967)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14180;
BgL_objz00_14180 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14178, BgL_objz00_14180); BgL_objz00_14180; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3273z00_14181;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3274z00_14182;
BgL_arg3274z00_14182 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11965))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14183;
BgL_newz00_14183 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25896;
BgL_tmpz00_25896 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14183, BgL_tmpz00_25896, BgL_arg3274z00_14182); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25901;int BgL_tmpz00_25899;
BgL_auxz00_25901 = 
BINT(BgL_siza7ezd2framez75_11967); 
BgL_tmpz00_25899 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14183, BgL_tmpz00_25899, BgL_auxz00_25901); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_25904;
BgL_tmpz00_25904 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14183, BgL_tmpz00_25904, BgL_runz00_14178); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_25909;int BgL_tmpz00_25907;
BgL_auxz00_25909 = 
BINT(((long)-2)); 
BgL_tmpz00_25907 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14183, BgL_tmpz00_25907, BgL_auxz00_25909); } 
BgL_arg3273z00_14181 = BgL_newz00_14183; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14179, BgL_arg3273z00_14181); BgL_arg3273z00_14181; } 
return BgL_mainz00_14179;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5121 */
obj_t BGl_z62main5121z62zz__evaluate_compz00(obj_t BgL_envz00_11969, obj_t BgL_dz00_11977, obj_t BgL_lastz00_11978)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11975;long BgL_siza7ezd2framez75_11976;
BgL_runz00_11975 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11969, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11976 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11969, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14184;
BgL_sz00_14184 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14185;
BgL_bpz00_14185 = 
VECTOR_REF(
((obj_t)BgL_sz00_14184),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14184, BgL_bpz00_14185, 
BINT(BgL_siza7ezd2framez75_11976)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3277z00_14186;
BgL_arg3277z00_14186 = 
(
(long)CINT(BgL_bpz00_14185)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14184),BgL_arg3277z00_14186,BgL_dz00_11977); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3278z00_14187;
BgL_arg3278z00_14187 = 
(
(long)CINT(BgL_bpz00_14185)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14184),BgL_arg3278z00_14187,BgL_lastz00_11978); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14188;
BgL_ez00_14188 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14188, BgL_bpz00_14185); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14189;
BgL_accz00_14189 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11975, BgL_sz00_14184, BgL_bpz00_14185); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14188); 
VECTOR_SET(
((obj_t)BgL_sz00_14184),((long)0),BgL_bpz00_14185); 
return BgL_accz00_14189;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14190;
BgL_nsz00_14190 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14190,((long)1),BgL_sz00_14184); 
VECTOR_SET(BgL_nsz00_14190,((long)2),BgL_dz00_11977); 
VECTOR_SET(BgL_nsz00_14190,((long)3),BgL_lastz00_11978); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14191;
BgL_z12denvz12_14191 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14191, BgL_nsz00_14190); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14192;
BgL_ez00_14192 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14192, BgL_sz00_14184); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14193;
BgL_____rz00_14193 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11975, BgL_nsz00_14190, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14192); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14191, BgL_sz00_14184); 
return BgL_____rz00_14193;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5122 */
obj_t BGl_z62run5122z62zz__evaluate_compz00(obj_t BgL_envz00_11979, obj_t BgL_sz00_11985)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_11980;long BgL_siza7eza7_11981;obj_t BgL_valza2za2_11982;BgL_ev_absz00_bglt BgL_i1243z00_11983;obj_t BgL_bodyz00_11984;
BgL_iboxesz00_11980 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11979, 
(int)(((long)0)))); 
BgL_siza7eza7_11981 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11979, 
(int)(((long)1)))); 
BgL_valza2za2_11982 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11979, 
(int)(((long)2)))); 
BgL_i1243z00_11983 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11979, 
(int)(((long)3)))); 
BgL_bodyz00_11984 = 
PROCEDURE_REF(BgL_envz00_11979, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14194;
BgL_bpz00_14194 = 
VECTOR_REF(
((obj_t)BgL_sz00_11985),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11985, BgL_iboxesz00_11980, BgL_bpz00_14194); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11985, BgL_valza2za2_11982, 
(
(long)CINT(BgL_bpz00_14194)+BgL_siza7eza7_11981)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14195;obj_t BgL_wherez00_14196;obj_t BgL_locz00_14197;
BgL_z12denvz12_14195 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14196 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11983))->BgL_wherez00); 
BgL_locz00_14197 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11983))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14195, BgL_wherez00_14196, BgL_locz00_14197); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14198;
BgL_za2za2resza2za2z00_14198 = 
PROCEDURE_ENTRY(BgL_bodyz00_11984)(BgL_bodyz00_11984, BgL_sz00_11985, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14195); 
return BgL_za2za2resza2za2z00_14198;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3205> */
obj_t BGl_z62zc3anonymousza33205ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_11986, obj_t BgL_sz00_11990)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11987;obj_t BgL_bodyz00_11988;long BgL_siza7ezd2framez75_11989;
BgL_i1243z00_11987 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11986, 
(int)(((long)0)))); 
BgL_bodyz00_11988 = 
PROCEDURE_REF(BgL_envz00_11986, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11989 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11986, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14199;
BgL_bpz00_14199 = 
VECTOR_REF(
((obj_t)BgL_sz00_11990),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14200;
BgL_runz00_14200 = 
MAKE_FX_PROCEDURE(BGl_z62run5124z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14200, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11987)); 
PROCEDURE_SET(BgL_runz00_14200, 
(int)(((long)1)), BgL_bodyz00_11988); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14201;
BgL_mainz00_14201 = 
MAKE_FX_PROCEDURE(BGl_z62main5123z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14201, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_11987)); 
PROCEDURE_SET(BgL_mainz00_14201, 
(int)(((long)1)), BgL_bodyz00_11988); 
PROCEDURE_SET(BgL_mainz00_14201, 
(int)(((long)2)), BgL_runz00_14200); 
PROCEDURE_SET(BgL_mainz00_14201, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11989)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14202;
BgL_objz00_14202 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14200, BgL_objz00_14202); BgL_objz00_14202; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3206z00_14203;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3207z00_14204;
BgL_arg3207z00_14204 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11987))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14205;
BgL_newz00_14205 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26015;
BgL_tmpz00_26015 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14205, BgL_tmpz00_26015, BgL_arg3207z00_14204); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26020;int BgL_tmpz00_26018;
BgL_auxz00_26020 = 
BINT(BgL_siza7ezd2framez75_11989); 
BgL_tmpz00_26018 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14205, BgL_tmpz00_26018, BgL_auxz00_26020); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26023;
BgL_tmpz00_26023 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14205, BgL_tmpz00_26023, BgL_runz00_14200); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26028;int BgL_tmpz00_26026;
BgL_auxz00_26028 = 
BINT(((long)1)); 
BgL_tmpz00_26026 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14205, BgL_tmpz00_26026, BgL_auxz00_26028); } 
BgL_arg3206z00_14203 = BgL_newz00_14205; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14201, BgL_arg3206z00_14203); BgL_arg3206z00_14203; } 
return BgL_mainz00_14201;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5123 */
obj_t BGl_z62main5123z62zz__evaluate_compz00(obj_t BgL_envz00_11991, obj_t BgL_dz00_11996)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_11994;long BgL_siza7ezd2framez75_11995;
BgL_runz00_11994 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11991, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11995 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11991, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14206;
BgL_sz00_14206 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14207;
BgL_bpz00_14207 = 
VECTOR_REF(
((obj_t)BgL_sz00_14206),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14206, BgL_bpz00_14207, 
BINT(BgL_siza7ezd2framez75_11995)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3210z00_14208;
BgL_arg3210z00_14208 = 
(
(long)CINT(BgL_bpz00_14207)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14206),BgL_arg3210z00_14208,BgL_dz00_11996); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14209;
BgL_ez00_14209 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14209, BgL_bpz00_14207); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14210;
BgL_accz00_14210 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11994, BgL_sz00_14206, BgL_bpz00_14207); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14209); 
VECTOR_SET(
((obj_t)BgL_sz00_14206),((long)0),BgL_bpz00_14207); 
return BgL_accz00_14210;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14211;
BgL_nsz00_14211 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14211,((long)1),BgL_sz00_14206); 
VECTOR_SET(BgL_nsz00_14211,((long)2),BgL_dz00_11996); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14212;
BgL_z12denvz12_14212 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14212, BgL_nsz00_14211); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14213;
BgL_ez00_14213 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14213, BgL_sz00_14206); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14214;
BgL_____rz00_14214 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11994, BgL_nsz00_14211, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14213); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14212, BgL_sz00_14206); 
return BgL_____rz00_14214;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5124 */
obj_t BGl_z62run5124z62zz__evaluate_compz00(obj_t BgL_envz00_11997, obj_t BgL_sz00_12000)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_11998;obj_t BgL_bodyz00_11999;
BgL_i1243z00_11998 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11997, 
(int)(((long)0)))); 
BgL_bodyz00_11999 = 
PROCEDURE_REF(BgL_envz00_11997, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14215;
BgL_bpz00_14215 = 
VECTOR_REF(
((obj_t)BgL_sz00_12000),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14216;obj_t BgL_wherez00_14217;obj_t BgL_locz00_14218;
BgL_z12denvz12_14216 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14217 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11998))->BgL_wherez00); 
BgL_locz00_14218 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_11998))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14216, BgL_wherez00_14217, BgL_locz00_14218); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14219;
BgL_za2za2resza2za2z00_14219 = 
PROCEDURE_ENTRY(BgL_bodyz00_11999)(BgL_bodyz00_11999, BgL_sz00_12000, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14216); 
return BgL_za2za2resza2za2z00_14219;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3212> */
obj_t BGl_z62zc3anonymousza33212ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12001, obj_t BgL_sz00_12006)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12002;BgL_ev_absz00_bglt BgL_i1243z00_12003;obj_t BgL_bodyz00_12004;long BgL_siza7ezd2framez75_12005;
BgL_iboxesz00_12002 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12001, 
(int)(((long)0)))); 
BgL_i1243z00_12003 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12001, 
(int)(((long)1)))); 
BgL_bodyz00_12004 = 
PROCEDURE_REF(BgL_envz00_12001, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12005 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12001, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14220;
BgL_bpz00_14220 = 
VECTOR_REF(
((obj_t)BgL_sz00_12006),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14221;
BgL_runz00_14221 = 
MAKE_FX_PROCEDURE(BGl_z62run5126z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14221, 
(int)(((long)0)), BgL_iboxesz00_12002); 
PROCEDURE_SET(BgL_runz00_14221, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_12003)); 
PROCEDURE_SET(BgL_runz00_14221, 
(int)(((long)2)), BgL_bodyz00_12004); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14222;
BgL_mainz00_14222 = 
MAKE_FX_PROCEDURE(BGl_z62main5125z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14222, 
(int)(((long)0)), BgL_iboxesz00_12002); 
PROCEDURE_SET(BgL_mainz00_14222, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_12003)); 
PROCEDURE_SET(BgL_mainz00_14222, 
(int)(((long)2)), BgL_bodyz00_12004); 
PROCEDURE_SET(BgL_mainz00_14222, 
(int)(((long)3)), BgL_runz00_14221); 
PROCEDURE_SET(BgL_mainz00_14222, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12005)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14223;
BgL_objz00_14223 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14221, BgL_objz00_14223); BgL_objz00_14223; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3213z00_14224;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3214z00_14225;
BgL_arg3214z00_14225 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12003))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14226;
BgL_newz00_14226 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26123;
BgL_tmpz00_26123 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14226, BgL_tmpz00_26123, BgL_arg3214z00_14225); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26128;int BgL_tmpz00_26126;
BgL_auxz00_26128 = 
BINT(BgL_siza7ezd2framez75_12005); 
BgL_tmpz00_26126 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14226, BgL_tmpz00_26126, BgL_auxz00_26128); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26131;
BgL_tmpz00_26131 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14226, BgL_tmpz00_26131, BgL_runz00_14221); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26136;int BgL_tmpz00_26134;
BgL_auxz00_26136 = 
BINT(((long)1)); 
BgL_tmpz00_26134 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14226, BgL_tmpz00_26134, BgL_auxz00_26136); } 
BgL_arg3213z00_14224 = BgL_newz00_14226; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14222, BgL_arg3213z00_14224); BgL_arg3213z00_14224; } 
return BgL_mainz00_14222;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5125 */
obj_t BGl_z62main5125z62zz__evaluate_compz00(obj_t BgL_envz00_12007, obj_t BgL_dz00_12013)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12011;long BgL_siza7ezd2framez75_12012;
BgL_runz00_12011 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12007, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12012 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12007, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14227;
BgL_sz00_14227 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14228;
BgL_bpz00_14228 = 
VECTOR_REF(
((obj_t)BgL_sz00_14227),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14227, BgL_bpz00_14228, 
BINT(BgL_siza7ezd2framez75_12012)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3217z00_14229;
BgL_arg3217z00_14229 = 
(
(long)CINT(BgL_bpz00_14228)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14227),BgL_arg3217z00_14229,BgL_dz00_12013); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14230;
BgL_ez00_14230 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14230, BgL_bpz00_14228); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14231;
BgL_accz00_14231 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12011, BgL_sz00_14227, BgL_bpz00_14228); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14230); 
VECTOR_SET(
((obj_t)BgL_sz00_14227),((long)0),BgL_bpz00_14228); 
return BgL_accz00_14231;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14232;
BgL_nsz00_14232 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14232,((long)1),BgL_sz00_14227); 
VECTOR_SET(BgL_nsz00_14232,((long)2),BgL_dz00_12013); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14233;
BgL_z12denvz12_14233 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14233, BgL_nsz00_14232); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14234;
BgL_ez00_14234 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14234, BgL_sz00_14227); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14235;
BgL_____rz00_14235 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12011, BgL_nsz00_14232, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14234); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14233, BgL_sz00_14227); 
return BgL_____rz00_14235;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5126 */
obj_t BGl_z62run5126z62zz__evaluate_compz00(obj_t BgL_envz00_12014, obj_t BgL_sz00_12018)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12015;BgL_ev_absz00_bglt BgL_i1243z00_12016;obj_t BgL_bodyz00_12017;
BgL_iboxesz00_12015 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12014, 
(int)(((long)0)))); 
BgL_i1243z00_12016 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12014, 
(int)(((long)1)))); 
BgL_bodyz00_12017 = 
PROCEDURE_REF(BgL_envz00_12014, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14236;
BgL_bpz00_14236 = 
VECTOR_REF(
((obj_t)BgL_sz00_12018),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12018, BgL_iboxesz00_12015, BgL_bpz00_14236); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14237;obj_t BgL_wherez00_14238;obj_t BgL_locz00_14239;
BgL_z12denvz12_14237 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14238 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12016))->BgL_wherez00); 
BgL_locz00_14239 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12016))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14237, BgL_wherez00_14238, BgL_locz00_14239); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14240;
BgL_za2za2resza2za2z00_14240 = 
PROCEDURE_ENTRY(BgL_bodyz00_12017)(BgL_bodyz00_12017, BgL_sz00_12018, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14237); 
return BgL_za2za2resza2za2z00_14240;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3222> */
obj_t BGl_z62zc3anonymousza33222ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12019, obj_t BgL_sz00_12025)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12020;long BgL_siza7eza7_12021;BgL_ev_absz00_bglt BgL_i1243z00_12022;obj_t BgL_bodyz00_12023;long BgL_siza7ezd2framez75_12024;
BgL_ifreesz00_12020 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12019, 
(int)(((long)0)))); 
BgL_siza7eza7_12021 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12019, 
(int)(((long)1)))); 
BgL_i1243z00_12022 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12019, 
(int)(((long)2)))); 
BgL_bodyz00_12023 = 
PROCEDURE_REF(BgL_envz00_12019, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12024 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12019, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14241;
BgL_bpz00_14241 = 
VECTOR_REF(
((obj_t)BgL_sz00_12025),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14242;
BgL_valza2za2_14242 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12025, BgL_bpz00_14241, BgL_ifreesz00_12020); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14243;
BgL_runz00_14243 = 
MAKE_FX_PROCEDURE(BGl_z62run5128z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14243, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12021)); 
PROCEDURE_SET(BgL_runz00_14243, 
(int)(((long)1)), BgL_valza2za2_14242); 
PROCEDURE_SET(BgL_runz00_14243, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_12022)); 
PROCEDURE_SET(BgL_runz00_14243, 
(int)(((long)3)), BgL_bodyz00_12023); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14244;
BgL_mainz00_14244 = 
MAKE_FX_PROCEDURE(BGl_z62main5127z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14244, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12021)); 
PROCEDURE_SET(BgL_mainz00_14244, 
(int)(((long)1)), BgL_valza2za2_14242); 
PROCEDURE_SET(BgL_mainz00_14244, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_12022)); 
PROCEDURE_SET(BgL_mainz00_14244, 
(int)(((long)3)), BgL_bodyz00_12023); 
PROCEDURE_SET(BgL_mainz00_14244, 
(int)(((long)4)), BgL_runz00_14243); 
PROCEDURE_SET(BgL_mainz00_14244, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12024)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14245;
BgL_objz00_14245 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14243, BgL_objz00_14245); BgL_objz00_14245; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3223z00_14246;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3224z00_14247;
BgL_arg3224z00_14247 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12022))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14248;
BgL_newz00_14248 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26245;
BgL_tmpz00_26245 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14248, BgL_tmpz00_26245, BgL_arg3224z00_14247); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26250;int BgL_tmpz00_26248;
BgL_auxz00_26250 = 
BINT(BgL_siza7ezd2framez75_12024); 
BgL_tmpz00_26248 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14248, BgL_tmpz00_26248, BgL_auxz00_26250); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26253;
BgL_tmpz00_26253 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14248, BgL_tmpz00_26253, BgL_runz00_14243); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26258;int BgL_tmpz00_26256;
BgL_auxz00_26258 = 
BINT(((long)1)); 
BgL_tmpz00_26256 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14248, BgL_tmpz00_26256, BgL_auxz00_26258); } 
BgL_arg3223z00_14246 = BgL_newz00_14248; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14244, BgL_arg3223z00_14246); BgL_arg3223z00_14246; } 
return BgL_mainz00_14244;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5127 */
obj_t BGl_z62main5127z62zz__evaluate_compz00(obj_t BgL_envz00_12026, obj_t BgL_dz00_12033)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12031;long BgL_siza7ezd2framez75_12032;
BgL_runz00_12031 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12026, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12032 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12026, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14249;
BgL_sz00_14249 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14250;
BgL_bpz00_14250 = 
VECTOR_REF(
((obj_t)BgL_sz00_14249),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14249, BgL_bpz00_14250, 
BINT(BgL_siza7ezd2framez75_12032)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3227z00_14251;
BgL_arg3227z00_14251 = 
(
(long)CINT(BgL_bpz00_14250)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14249),BgL_arg3227z00_14251,BgL_dz00_12033); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14252;
BgL_ez00_14252 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14252, BgL_bpz00_14250); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14253;
BgL_accz00_14253 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12031, BgL_sz00_14249, BgL_bpz00_14250); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14252); 
VECTOR_SET(
((obj_t)BgL_sz00_14249),((long)0),BgL_bpz00_14250); 
return BgL_accz00_14253;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14254;
BgL_nsz00_14254 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14254,((long)1),BgL_sz00_14249); 
VECTOR_SET(BgL_nsz00_14254,((long)2),BgL_dz00_12033); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14255;
BgL_z12denvz12_14255 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14255, BgL_nsz00_14254); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14256;
BgL_ez00_14256 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14256, BgL_sz00_14249); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14257;
BgL_____rz00_14257 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12031, BgL_nsz00_14254, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14256); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14255, BgL_sz00_14249); 
return BgL_____rz00_14257;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5128 */
obj_t BGl_z62run5128z62zz__evaluate_compz00(obj_t BgL_envz00_12034, obj_t BgL_sz00_12039)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_12035;obj_t BgL_valza2za2_12036;BgL_ev_absz00_bglt BgL_i1243z00_12037;obj_t BgL_bodyz00_12038;
BgL_siza7eza7_12035 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12034, 
(int)(((long)0)))); 
BgL_valza2za2_12036 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12034, 
(int)(((long)1)))); 
BgL_i1243z00_12037 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12034, 
(int)(((long)2)))); 
BgL_bodyz00_12038 = 
PROCEDURE_REF(BgL_envz00_12034, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14258;
BgL_bpz00_14258 = 
VECTOR_REF(
((obj_t)BgL_sz00_12039),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12039, BgL_valza2za2_12036, 
(
(long)CINT(BgL_bpz00_14258)+BgL_siza7eza7_12035)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14259;obj_t BgL_wherez00_14260;obj_t BgL_locz00_14261;
BgL_z12denvz12_14259 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14260 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12037))->BgL_wherez00); 
BgL_locz00_14261 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12037))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14259, BgL_wherez00_14260, BgL_locz00_14261); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14262;
BgL_za2za2resza2za2z00_14262 = 
PROCEDURE_ENTRY(BgL_bodyz00_12038)(BgL_bodyz00_12038, BgL_sz00_12039, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14259); 
return BgL_za2za2resza2za2z00_14262;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3230> */
obj_t BGl_z62zc3anonymousza33230ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12040, obj_t BgL_sz00_12047)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12041;obj_t BgL_iboxesz00_12042;long BgL_siza7eza7_12043;BgL_ev_absz00_bglt BgL_i1243z00_12044;obj_t BgL_bodyz00_12045;long BgL_siza7ezd2framez75_12046;
BgL_ifreesz00_12041 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12040, 
(int)(((long)0)))); 
BgL_iboxesz00_12042 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12040, 
(int)(((long)1)))); 
BgL_siza7eza7_12043 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12040, 
(int)(((long)2)))); 
BgL_i1243z00_12044 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12040, 
(int)(((long)3)))); 
BgL_bodyz00_12045 = 
PROCEDURE_REF(BgL_envz00_12040, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12046 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12040, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14263;
BgL_bpz00_14263 = 
VECTOR_REF(
((obj_t)BgL_sz00_12047),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14264;
BgL_valza2za2_14264 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12047, BgL_bpz00_14263, BgL_ifreesz00_12041); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14265;
BgL_runz00_14265 = 
MAKE_FX_PROCEDURE(BGl_z62run5130z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14265, 
(int)(((long)0)), BgL_iboxesz00_12042); 
PROCEDURE_SET(BgL_runz00_14265, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12043)); 
PROCEDURE_SET(BgL_runz00_14265, 
(int)(((long)2)), BgL_valza2za2_14264); 
PROCEDURE_SET(BgL_runz00_14265, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_12044)); 
PROCEDURE_SET(BgL_runz00_14265, 
(int)(((long)4)), BgL_bodyz00_12045); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14266;
BgL_mainz00_14266 = 
MAKE_FX_PROCEDURE(BGl_z62main5129z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14266, 
(int)(((long)0)), BgL_iboxesz00_12042); 
PROCEDURE_SET(BgL_mainz00_14266, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12043)); 
PROCEDURE_SET(BgL_mainz00_14266, 
(int)(((long)2)), BgL_valza2za2_14264); 
PROCEDURE_SET(BgL_mainz00_14266, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_12044)); 
PROCEDURE_SET(BgL_mainz00_14266, 
(int)(((long)4)), BgL_bodyz00_12045); 
PROCEDURE_SET(BgL_mainz00_14266, 
(int)(((long)5)), BgL_runz00_14265); 
PROCEDURE_SET(BgL_mainz00_14266, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12046)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14267;
BgL_objz00_14267 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14265, BgL_objz00_14267); BgL_objz00_14267; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3231z00_14268;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3232z00_14269;
BgL_arg3232z00_14269 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12044))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14270;
BgL_newz00_14270 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26379;
BgL_tmpz00_26379 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14270, BgL_tmpz00_26379, BgL_arg3232z00_14269); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26384;int BgL_tmpz00_26382;
BgL_auxz00_26384 = 
BINT(BgL_siza7ezd2framez75_12046); 
BgL_tmpz00_26382 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14270, BgL_tmpz00_26382, BgL_auxz00_26384); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26387;
BgL_tmpz00_26387 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14270, BgL_tmpz00_26387, BgL_runz00_14265); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26392;int BgL_tmpz00_26390;
BgL_auxz00_26392 = 
BINT(((long)1)); 
BgL_tmpz00_26390 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14270, BgL_tmpz00_26390, BgL_auxz00_26392); } 
BgL_arg3231z00_14268 = BgL_newz00_14270; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14266, BgL_arg3231z00_14268); BgL_arg3231z00_14268; } 
return BgL_mainz00_14266;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5129 */
obj_t BGl_z62main5129z62zz__evaluate_compz00(obj_t BgL_envz00_12048, obj_t BgL_dz00_12056)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12054;long BgL_siza7ezd2framez75_12055;
BgL_runz00_12054 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12048, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12055 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12048, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14271;
BgL_sz00_14271 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14272;
BgL_bpz00_14272 = 
VECTOR_REF(
((obj_t)BgL_sz00_14271),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14271, BgL_bpz00_14272, 
BINT(BgL_siza7ezd2framez75_12055)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3235z00_14273;
BgL_arg3235z00_14273 = 
(
(long)CINT(BgL_bpz00_14272)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14271),BgL_arg3235z00_14273,BgL_dz00_12056); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14274;
BgL_ez00_14274 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14274, BgL_bpz00_14272); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14275;
BgL_accz00_14275 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12054, BgL_sz00_14271, BgL_bpz00_14272); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14274); 
VECTOR_SET(
((obj_t)BgL_sz00_14271),((long)0),BgL_bpz00_14272); 
return BgL_accz00_14275;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14276;
BgL_nsz00_14276 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14276,((long)1),BgL_sz00_14271); 
VECTOR_SET(BgL_nsz00_14276,((long)2),BgL_dz00_12056); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14277;
BgL_z12denvz12_14277 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14277, BgL_nsz00_14276); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14278;
BgL_ez00_14278 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14278, BgL_sz00_14271); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14279;
BgL_____rz00_14279 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12054, BgL_nsz00_14276, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14278); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14277, BgL_sz00_14271); 
return BgL_____rz00_14279;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5130 */
obj_t BGl_z62run5130z62zz__evaluate_compz00(obj_t BgL_envz00_12057, obj_t BgL_sz00_12063)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12058;long BgL_siza7eza7_12059;obj_t BgL_valza2za2_12060;BgL_ev_absz00_bglt BgL_i1243z00_12061;obj_t BgL_bodyz00_12062;
BgL_iboxesz00_12058 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12057, 
(int)(((long)0)))); 
BgL_siza7eza7_12059 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12057, 
(int)(((long)1)))); 
BgL_valza2za2_12060 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12057, 
(int)(((long)2)))); 
BgL_i1243z00_12061 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12057, 
(int)(((long)3)))); 
BgL_bodyz00_12062 = 
PROCEDURE_REF(BgL_envz00_12057, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14280;
BgL_bpz00_14280 = 
VECTOR_REF(
((obj_t)BgL_sz00_12063),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12063, BgL_iboxesz00_12058, BgL_bpz00_14280); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12063, BgL_valza2za2_12060, 
(
(long)CINT(BgL_bpz00_14280)+BgL_siza7eza7_12059)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14281;obj_t BgL_wherez00_14282;obj_t BgL_locz00_14283;
BgL_z12denvz12_14281 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14282 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12061))->BgL_wherez00); 
BgL_locz00_14283 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12061))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14281, BgL_wherez00_14282, BgL_locz00_14283); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14284;
BgL_za2za2resza2za2z00_14284 = 
PROCEDURE_ENTRY(BgL_bodyz00_12062)(BgL_bodyz00_12062, BgL_sz00_12063, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14281); 
return BgL_za2za2resza2za2z00_14284;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3166> */
obj_t BGl_z62zc3anonymousza33166ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12064, obj_t BgL_sz00_12068)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12065;obj_t BgL_bodyz00_12066;long BgL_siza7ezd2framez75_12067;
BgL_i1243z00_12065 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12064, 
(int)(((long)0)))); 
BgL_bodyz00_12066 = 
PROCEDURE_REF(BgL_envz00_12064, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12067 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12064, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14285;
BgL_bpz00_14285 = 
VECTOR_REF(
((obj_t)BgL_sz00_12068),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14286;
BgL_runz00_14286 = 
MAKE_FX_PROCEDURE(BGl_z62run5132z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14286, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_12065)); 
PROCEDURE_SET(BgL_runz00_14286, 
(int)(((long)1)), BgL_bodyz00_12066); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14287;
BgL_mainz00_14287 = 
MAKE_VA_PROCEDURE(BGl_z62main5131z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14287, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_12065)); 
PROCEDURE_SET(BgL_mainz00_14287, 
(int)(((long)1)), BgL_bodyz00_12066); 
PROCEDURE_SET(BgL_mainz00_14287, 
(int)(((long)2)), BgL_runz00_14286); 
PROCEDURE_SET(BgL_mainz00_14287, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12067)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14288;
BgL_objz00_14288 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14286, BgL_objz00_14288); BgL_objz00_14288; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3167z00_14289;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3168z00_14290;
BgL_arg3168z00_14290 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12065))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14291;
BgL_newz00_14291 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26493;
BgL_tmpz00_26493 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14291, BgL_tmpz00_26493, BgL_arg3168z00_14290); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26498;int BgL_tmpz00_26496;
BgL_auxz00_26498 = 
BINT(BgL_siza7ezd2framez75_12067); 
BgL_tmpz00_26496 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14291, BgL_tmpz00_26496, BgL_auxz00_26498); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26501;
BgL_tmpz00_26501 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14291, BgL_tmpz00_26501, BgL_runz00_14286); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26506;int BgL_tmpz00_26504;
BgL_auxz00_26506 = 
BINT(((long)-1)); 
BgL_tmpz00_26504 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14291, BgL_tmpz00_26504, BgL_auxz00_26506); } 
BgL_arg3167z00_14289 = BgL_newz00_14291; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14287, BgL_arg3167z00_14289); BgL_arg3167z00_14289; } 
return BgL_mainz00_14287;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5131 */
obj_t BGl_z62main5131z62zz__evaluate_compz00(obj_t BgL_envz00_12069, obj_t BgL_lastz00_12074)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12072;long BgL_siza7ezd2framez75_12073;
BgL_runz00_12072 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12069, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12073 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12069, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14292;
BgL_sz00_14292 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14293;
BgL_bpz00_14293 = 
VECTOR_REF(
((obj_t)BgL_sz00_14292),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14292, BgL_bpz00_14293, 
BINT(BgL_siza7ezd2framez75_12073)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3171z00_14294;
BgL_arg3171z00_14294 = 
(
(long)CINT(BgL_bpz00_14293)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14292),BgL_arg3171z00_14294,BgL_lastz00_12074); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14295;
BgL_ez00_14295 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14295, BgL_bpz00_14293); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14296;
BgL_accz00_14296 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12072, BgL_sz00_14292, BgL_bpz00_14293); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14295); 
VECTOR_SET(
((obj_t)BgL_sz00_14292),((long)0),BgL_bpz00_14293); 
return BgL_accz00_14296;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14297;
BgL_nsz00_14297 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14297,((long)1),BgL_sz00_14292); 
VECTOR_SET(BgL_nsz00_14297,((long)2),BgL_lastz00_12074); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14298;
BgL_z12denvz12_14298 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14298, BgL_nsz00_14297); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14299;
BgL_ez00_14299 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14299, BgL_sz00_14292); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14300;
BgL_____rz00_14300 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12072, BgL_nsz00_14297, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14299); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14298, BgL_sz00_14292); 
return BgL_____rz00_14300;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5132 */
obj_t BGl_z62run5132z62zz__evaluate_compz00(obj_t BgL_envz00_12075, obj_t BgL_sz00_12078)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12076;obj_t BgL_bodyz00_12077;
BgL_i1243z00_12076 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12075, 
(int)(((long)0)))); 
BgL_bodyz00_12077 = 
PROCEDURE_REF(BgL_envz00_12075, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14301;
BgL_bpz00_14301 = 
VECTOR_REF(
((obj_t)BgL_sz00_12078),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14302;obj_t BgL_wherez00_14303;obj_t BgL_locz00_14304;
BgL_z12denvz12_14302 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14303 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12076))->BgL_wherez00); 
BgL_locz00_14304 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12076))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14302, BgL_wherez00_14303, BgL_locz00_14304); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14305;
BgL_za2za2resza2za2z00_14305 = 
PROCEDURE_ENTRY(BgL_bodyz00_12077)(BgL_bodyz00_12077, BgL_sz00_12078, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14302); 
return BgL_za2za2resza2za2z00_14305;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3173> */
obj_t BGl_z62zc3anonymousza33173ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12079, obj_t BgL_sz00_12084)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12080;BgL_ev_absz00_bglt BgL_i1243z00_12081;obj_t BgL_bodyz00_12082;long BgL_siza7ezd2framez75_12083;
BgL_iboxesz00_12080 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12079, 
(int)(((long)0)))); 
BgL_i1243z00_12081 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12079, 
(int)(((long)1)))); 
BgL_bodyz00_12082 = 
PROCEDURE_REF(BgL_envz00_12079, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12083 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12079, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14306;
BgL_bpz00_14306 = 
VECTOR_REF(
((obj_t)BgL_sz00_12084),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14307;
BgL_runz00_14307 = 
MAKE_FX_PROCEDURE(BGl_z62run5134z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14307, 
(int)(((long)0)), BgL_iboxesz00_12080); 
PROCEDURE_SET(BgL_runz00_14307, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_12081)); 
PROCEDURE_SET(BgL_runz00_14307, 
(int)(((long)2)), BgL_bodyz00_12082); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14308;
BgL_mainz00_14308 = 
MAKE_VA_PROCEDURE(BGl_z62main5133z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14308, 
(int)(((long)0)), BgL_iboxesz00_12080); 
PROCEDURE_SET(BgL_mainz00_14308, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_12081)); 
PROCEDURE_SET(BgL_mainz00_14308, 
(int)(((long)2)), BgL_bodyz00_12082); 
PROCEDURE_SET(BgL_mainz00_14308, 
(int)(((long)3)), BgL_runz00_14307); 
PROCEDURE_SET(BgL_mainz00_14308, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12083)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14309;
BgL_objz00_14309 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14307, BgL_objz00_14309); BgL_objz00_14309; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3174z00_14310;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3175z00_14311;
BgL_arg3175z00_14311 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12081))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14312;
BgL_newz00_14312 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26601;
BgL_tmpz00_26601 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14312, BgL_tmpz00_26601, BgL_arg3175z00_14311); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26606;int BgL_tmpz00_26604;
BgL_auxz00_26606 = 
BINT(BgL_siza7ezd2framez75_12083); 
BgL_tmpz00_26604 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14312, BgL_tmpz00_26604, BgL_auxz00_26606); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26609;
BgL_tmpz00_26609 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14312, BgL_tmpz00_26609, BgL_runz00_14307); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26614;int BgL_tmpz00_26612;
BgL_auxz00_26614 = 
BINT(((long)-1)); 
BgL_tmpz00_26612 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14312, BgL_tmpz00_26612, BgL_auxz00_26614); } 
BgL_arg3174z00_14310 = BgL_newz00_14312; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14308, BgL_arg3174z00_14310); BgL_arg3174z00_14310; } 
return BgL_mainz00_14308;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5133 */
obj_t BGl_z62main5133z62zz__evaluate_compz00(obj_t BgL_envz00_12085, obj_t BgL_lastz00_12091)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12089;long BgL_siza7ezd2framez75_12090;
BgL_runz00_12089 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12085, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12090 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12085, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14313;
BgL_sz00_14313 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14314;
BgL_bpz00_14314 = 
VECTOR_REF(
((obj_t)BgL_sz00_14313),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14313, BgL_bpz00_14314, 
BINT(BgL_siza7ezd2framez75_12090)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3178z00_14315;
BgL_arg3178z00_14315 = 
(
(long)CINT(BgL_bpz00_14314)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14313),BgL_arg3178z00_14315,BgL_lastz00_12091); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14316;
BgL_ez00_14316 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14316, BgL_bpz00_14314); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14317;
BgL_accz00_14317 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12089, BgL_sz00_14313, BgL_bpz00_14314); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14316); 
VECTOR_SET(
((obj_t)BgL_sz00_14313),((long)0),BgL_bpz00_14314); 
return BgL_accz00_14317;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14318;
BgL_nsz00_14318 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14318,((long)1),BgL_sz00_14313); 
VECTOR_SET(BgL_nsz00_14318,((long)2),BgL_lastz00_12091); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14319;
BgL_z12denvz12_14319 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14319, BgL_nsz00_14318); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14320;
BgL_ez00_14320 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14320, BgL_sz00_14313); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14321;
BgL_____rz00_14321 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12089, BgL_nsz00_14318, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14320); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14319, BgL_sz00_14313); 
return BgL_____rz00_14321;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5134 */
obj_t BGl_z62run5134z62zz__evaluate_compz00(obj_t BgL_envz00_12092, obj_t BgL_sz00_12096)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12093;BgL_ev_absz00_bglt BgL_i1243z00_12094;obj_t BgL_bodyz00_12095;
BgL_iboxesz00_12093 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12092, 
(int)(((long)0)))); 
BgL_i1243z00_12094 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12092, 
(int)(((long)1)))); 
BgL_bodyz00_12095 = 
PROCEDURE_REF(BgL_envz00_12092, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14322;
BgL_bpz00_14322 = 
VECTOR_REF(
((obj_t)BgL_sz00_12096),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12096, BgL_iboxesz00_12093, BgL_bpz00_14322); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14323;obj_t BgL_wherez00_14324;obj_t BgL_locz00_14325;
BgL_z12denvz12_14323 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14324 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12094))->BgL_wherez00); 
BgL_locz00_14325 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12094))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14323, BgL_wherez00_14324, BgL_locz00_14325); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14326;
BgL_za2za2resza2za2z00_14326 = 
PROCEDURE_ENTRY(BgL_bodyz00_12095)(BgL_bodyz00_12095, BgL_sz00_12096, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14323); 
return BgL_za2za2resza2za2z00_14326;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3183> */
obj_t BGl_z62zc3anonymousza33183ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12097, obj_t BgL_sz00_12103)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12098;long BgL_siza7eza7_12099;BgL_ev_absz00_bglt BgL_i1243z00_12100;obj_t BgL_bodyz00_12101;long BgL_siza7ezd2framez75_12102;
BgL_ifreesz00_12098 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12097, 
(int)(((long)0)))); 
BgL_siza7eza7_12099 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12097, 
(int)(((long)1)))); 
BgL_i1243z00_12100 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12097, 
(int)(((long)2)))); 
BgL_bodyz00_12101 = 
PROCEDURE_REF(BgL_envz00_12097, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12102 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12097, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14327;
BgL_bpz00_14327 = 
VECTOR_REF(
((obj_t)BgL_sz00_12103),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14328;
BgL_valza2za2_14328 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12103, BgL_bpz00_14327, BgL_ifreesz00_12098); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14329;
BgL_runz00_14329 = 
MAKE_FX_PROCEDURE(BGl_z62run5136z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14329, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12099)); 
PROCEDURE_SET(BgL_runz00_14329, 
(int)(((long)1)), BgL_valza2za2_14328); 
PROCEDURE_SET(BgL_runz00_14329, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_12100)); 
PROCEDURE_SET(BgL_runz00_14329, 
(int)(((long)3)), BgL_bodyz00_12101); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14330;
BgL_mainz00_14330 = 
MAKE_VA_PROCEDURE(BGl_z62main5135z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14330, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12099)); 
PROCEDURE_SET(BgL_mainz00_14330, 
(int)(((long)1)), BgL_valza2za2_14328); 
PROCEDURE_SET(BgL_mainz00_14330, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_12100)); 
PROCEDURE_SET(BgL_mainz00_14330, 
(int)(((long)3)), BgL_bodyz00_12101); 
PROCEDURE_SET(BgL_mainz00_14330, 
(int)(((long)4)), BgL_runz00_14329); 
PROCEDURE_SET(BgL_mainz00_14330, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12102)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14331;
BgL_objz00_14331 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14329, BgL_objz00_14331); BgL_objz00_14331; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3184z00_14332;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3185z00_14333;
BgL_arg3185z00_14333 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12100))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14334;
BgL_newz00_14334 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26723;
BgL_tmpz00_26723 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14334, BgL_tmpz00_26723, BgL_arg3185z00_14333); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26728;int BgL_tmpz00_26726;
BgL_auxz00_26728 = 
BINT(BgL_siza7ezd2framez75_12102); 
BgL_tmpz00_26726 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14334, BgL_tmpz00_26726, BgL_auxz00_26728); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26731;
BgL_tmpz00_26731 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14334, BgL_tmpz00_26731, BgL_runz00_14329); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26736;int BgL_tmpz00_26734;
BgL_auxz00_26736 = 
BINT(((long)-1)); 
BgL_tmpz00_26734 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14334, BgL_tmpz00_26734, BgL_auxz00_26736); } 
BgL_arg3184z00_14332 = BgL_newz00_14334; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14330, BgL_arg3184z00_14332); BgL_arg3184z00_14332; } 
return BgL_mainz00_14330;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5135 */
obj_t BGl_z62main5135z62zz__evaluate_compz00(obj_t BgL_envz00_12104, obj_t BgL_lastz00_12111)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12109;long BgL_siza7ezd2framez75_12110;
BgL_runz00_12109 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12104, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12110 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12104, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14335;
BgL_sz00_14335 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14336;
BgL_bpz00_14336 = 
VECTOR_REF(
((obj_t)BgL_sz00_14335),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14335, BgL_bpz00_14336, 
BINT(BgL_siza7ezd2framez75_12110)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3188z00_14337;
BgL_arg3188z00_14337 = 
(
(long)CINT(BgL_bpz00_14336)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14335),BgL_arg3188z00_14337,BgL_lastz00_12111); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14338;
BgL_ez00_14338 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14338, BgL_bpz00_14336); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14339;
BgL_accz00_14339 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12109, BgL_sz00_14335, BgL_bpz00_14336); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14338); 
VECTOR_SET(
((obj_t)BgL_sz00_14335),((long)0),BgL_bpz00_14336); 
return BgL_accz00_14339;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14340;
BgL_nsz00_14340 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14340,((long)1),BgL_sz00_14335); 
VECTOR_SET(BgL_nsz00_14340,((long)2),BgL_lastz00_12111); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14341;
BgL_z12denvz12_14341 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14341, BgL_nsz00_14340); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14342;
BgL_ez00_14342 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14342, BgL_sz00_14335); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14343;
BgL_____rz00_14343 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12109, BgL_nsz00_14340, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14342); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14341, BgL_sz00_14335); 
return BgL_____rz00_14343;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5136 */
obj_t BGl_z62run5136z62zz__evaluate_compz00(obj_t BgL_envz00_12112, obj_t BgL_sz00_12117)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_12113;obj_t BgL_valza2za2_12114;BgL_ev_absz00_bglt BgL_i1243z00_12115;obj_t BgL_bodyz00_12116;
BgL_siza7eza7_12113 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12112, 
(int)(((long)0)))); 
BgL_valza2za2_12114 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12112, 
(int)(((long)1)))); 
BgL_i1243z00_12115 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12112, 
(int)(((long)2)))); 
BgL_bodyz00_12116 = 
PROCEDURE_REF(BgL_envz00_12112, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14344;
BgL_bpz00_14344 = 
VECTOR_REF(
((obj_t)BgL_sz00_12117),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12117, BgL_valza2za2_12114, 
(
(long)CINT(BgL_bpz00_14344)+BgL_siza7eza7_12113)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14345;obj_t BgL_wherez00_14346;obj_t BgL_locz00_14347;
BgL_z12denvz12_14345 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14346 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12115))->BgL_wherez00); 
BgL_locz00_14347 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12115))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14345, BgL_wherez00_14346, BgL_locz00_14347); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14348;
BgL_za2za2resza2za2z00_14348 = 
PROCEDURE_ENTRY(BgL_bodyz00_12116)(BgL_bodyz00_12116, BgL_sz00_12117, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14345); 
return BgL_za2za2resza2za2z00_14348;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3191> */
obj_t BGl_z62zc3anonymousza33191ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12118, obj_t BgL_sz00_12125)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12119;obj_t BgL_iboxesz00_12120;long BgL_siza7eza7_12121;BgL_ev_absz00_bglt BgL_i1243z00_12122;obj_t BgL_bodyz00_12123;long BgL_siza7ezd2framez75_12124;
BgL_ifreesz00_12119 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12118, 
(int)(((long)0)))); 
BgL_iboxesz00_12120 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12118, 
(int)(((long)1)))); 
BgL_siza7eza7_12121 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12118, 
(int)(((long)2)))); 
BgL_i1243z00_12122 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12118, 
(int)(((long)3)))); 
BgL_bodyz00_12123 = 
PROCEDURE_REF(BgL_envz00_12118, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12124 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12118, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14349;
BgL_bpz00_14349 = 
VECTOR_REF(
((obj_t)BgL_sz00_12125),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14350;
BgL_valza2za2_14350 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12125, BgL_bpz00_14349, BgL_ifreesz00_12119); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14351;
BgL_runz00_14351 = 
MAKE_FX_PROCEDURE(BGl_z62run5138z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14351, 
(int)(((long)0)), BgL_iboxesz00_12120); 
PROCEDURE_SET(BgL_runz00_14351, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12121)); 
PROCEDURE_SET(BgL_runz00_14351, 
(int)(((long)2)), BgL_valza2za2_14350); 
PROCEDURE_SET(BgL_runz00_14351, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_12122)); 
PROCEDURE_SET(BgL_runz00_14351, 
(int)(((long)4)), BgL_bodyz00_12123); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14352;
BgL_mainz00_14352 = 
MAKE_VA_PROCEDURE(BGl_z62main5137z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14352, 
(int)(((long)0)), BgL_iboxesz00_12120); 
PROCEDURE_SET(BgL_mainz00_14352, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12121)); 
PROCEDURE_SET(BgL_mainz00_14352, 
(int)(((long)2)), BgL_valza2za2_14350); 
PROCEDURE_SET(BgL_mainz00_14352, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_12122)); 
PROCEDURE_SET(BgL_mainz00_14352, 
(int)(((long)4)), BgL_bodyz00_12123); 
PROCEDURE_SET(BgL_mainz00_14352, 
(int)(((long)5)), BgL_runz00_14351); 
PROCEDURE_SET(BgL_mainz00_14352, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12124)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14353;
BgL_objz00_14353 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14351, BgL_objz00_14353); BgL_objz00_14353; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3192z00_14354;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3193z00_14355;
BgL_arg3193z00_14355 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12122))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14356;
BgL_newz00_14356 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26857;
BgL_tmpz00_26857 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14356, BgL_tmpz00_26857, BgL_arg3193z00_14355); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26862;int BgL_tmpz00_26860;
BgL_auxz00_26862 = 
BINT(BgL_siza7ezd2framez75_12124); 
BgL_tmpz00_26860 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14356, BgL_tmpz00_26860, BgL_auxz00_26862); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26865;
BgL_tmpz00_26865 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14356, BgL_tmpz00_26865, BgL_runz00_14351); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26870;int BgL_tmpz00_26868;
BgL_auxz00_26870 = 
BINT(((long)-1)); 
BgL_tmpz00_26868 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14356, BgL_tmpz00_26868, BgL_auxz00_26870); } 
BgL_arg3192z00_14354 = BgL_newz00_14356; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14352, BgL_arg3192z00_14354); BgL_arg3192z00_14354; } 
return BgL_mainz00_14352;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5137 */
obj_t BGl_z62main5137z62zz__evaluate_compz00(obj_t BgL_envz00_12126, obj_t BgL_lastz00_12134)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12132;long BgL_siza7ezd2framez75_12133;
BgL_runz00_12132 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12126, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12133 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12126, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14357;
BgL_sz00_14357 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14358;
BgL_bpz00_14358 = 
VECTOR_REF(
((obj_t)BgL_sz00_14357),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14357, BgL_bpz00_14358, 
BINT(BgL_siza7ezd2framez75_12133)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3196z00_14359;
BgL_arg3196z00_14359 = 
(
(long)CINT(BgL_bpz00_14358)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14357),BgL_arg3196z00_14359,BgL_lastz00_12134); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14360;
BgL_ez00_14360 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14360, BgL_bpz00_14358); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14361;
BgL_accz00_14361 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12132, BgL_sz00_14357, BgL_bpz00_14358); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14360); 
VECTOR_SET(
((obj_t)BgL_sz00_14357),((long)0),BgL_bpz00_14358); 
return BgL_accz00_14361;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14362;
BgL_nsz00_14362 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14362,((long)1),BgL_sz00_14357); 
VECTOR_SET(BgL_nsz00_14362,((long)2),BgL_lastz00_12134); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14363;
BgL_z12denvz12_14363 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14363, BgL_nsz00_14362); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14364;
BgL_ez00_14364 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14364, BgL_sz00_14357); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14365;
BgL_____rz00_14365 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12132, BgL_nsz00_14362, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14364); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14363, BgL_sz00_14357); 
return BgL_____rz00_14365;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5138 */
obj_t BGl_z62run5138z62zz__evaluate_compz00(obj_t BgL_envz00_12135, obj_t BgL_sz00_12141)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12136;long BgL_siza7eza7_12137;obj_t BgL_valza2za2_12138;BgL_ev_absz00_bglt BgL_i1243z00_12139;obj_t BgL_bodyz00_12140;
BgL_iboxesz00_12136 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12135, 
(int)(((long)0)))); 
BgL_siza7eza7_12137 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12135, 
(int)(((long)1)))); 
BgL_valza2za2_12138 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12135, 
(int)(((long)2)))); 
BgL_i1243z00_12139 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12135, 
(int)(((long)3)))); 
BgL_bodyz00_12140 = 
PROCEDURE_REF(BgL_envz00_12135, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14366;
BgL_bpz00_14366 = 
VECTOR_REF(
((obj_t)BgL_sz00_12141),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12141, BgL_iboxesz00_12136, BgL_bpz00_14366); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12141, BgL_valza2za2_12138, 
(
(long)CINT(BgL_bpz00_14366)+BgL_siza7eza7_12137)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14367;obj_t BgL_wherez00_14368;obj_t BgL_locz00_14369;
BgL_z12denvz12_14367 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14368 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12139))->BgL_wherez00); 
BgL_locz00_14369 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12139))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14367, BgL_wherez00_14368, BgL_locz00_14369); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14370;
BgL_za2za2resza2za2z00_14370 = 
PROCEDURE_ENTRY(BgL_bodyz00_12140)(BgL_bodyz00_12140, BgL_sz00_12141, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14367); 
return BgL_za2za2resza2za2z00_14370;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3131> */
obj_t BGl_z62zc3anonymousza33131ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12142, obj_t BgL_sz00_12146)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12143;obj_t BgL_bodyz00_12144;long BgL_siza7ezd2framez75_12145;
BgL_i1243z00_12143 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12142, 
(int)(((long)0)))); 
BgL_bodyz00_12144 = 
PROCEDURE_REF(BgL_envz00_12142, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12145 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12142, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14371;
BgL_bpz00_14371 = 
VECTOR_REF(
((obj_t)BgL_sz00_12146),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14372;
BgL_runz00_14372 = 
MAKE_FX_PROCEDURE(BGl_z62run5140z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14372, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_12143)); 
PROCEDURE_SET(BgL_runz00_14372, 
(int)(((long)1)), BgL_bodyz00_12144); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14373;
BgL_mainz00_14373 = 
MAKE_FX_PROCEDURE(BGl_z62main5139z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14373, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_12143)); 
PROCEDURE_SET(BgL_mainz00_14373, 
(int)(((long)1)), BgL_bodyz00_12144); 
PROCEDURE_SET(BgL_mainz00_14373, 
(int)(((long)2)), BgL_runz00_14372); 
PROCEDURE_SET(BgL_mainz00_14373, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12145)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14374;
BgL_objz00_14374 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14372, BgL_objz00_14374); BgL_objz00_14374; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3132z00_14375;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3133z00_14376;
BgL_arg3133z00_14376 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12143))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14377;
BgL_newz00_14377 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26971;
BgL_tmpz00_26971 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14377, BgL_tmpz00_26971, BgL_arg3133z00_14376); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26976;int BgL_tmpz00_26974;
BgL_auxz00_26976 = 
BINT(BgL_siza7ezd2framez75_12145); 
BgL_tmpz00_26974 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14377, BgL_tmpz00_26974, BgL_auxz00_26976); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_26979;
BgL_tmpz00_26979 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14377, BgL_tmpz00_26979, BgL_runz00_14372); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_26984;int BgL_tmpz00_26982;
BgL_auxz00_26984 = 
BINT(((long)0)); 
BgL_tmpz00_26982 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14377, BgL_tmpz00_26982, BgL_auxz00_26984); } 
BgL_arg3132z00_14375 = BgL_newz00_14377; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14373, BgL_arg3132z00_14375); BgL_arg3132z00_14375; } 
return BgL_mainz00_14373;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5139 */
obj_t BGl_z62main5139z62zz__evaluate_compz00(obj_t BgL_envz00_12147)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12150;long BgL_siza7ezd2framez75_12151;
BgL_runz00_12150 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12147, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12151 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12147, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14378;
BgL_sz00_14378 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14379;
BgL_bpz00_14379 = 
VECTOR_REF(
((obj_t)BgL_sz00_14378),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14378, BgL_bpz00_14379, 
BINT(BgL_siza7ezd2framez75_12151)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14380;
BgL_ez00_14380 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14380, BgL_bpz00_14379); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14381;
BgL_accz00_14381 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12150, BgL_sz00_14378, BgL_bpz00_14379); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14380); 
VECTOR_SET(
((obj_t)BgL_sz00_14378),((long)0),BgL_bpz00_14379); 
return BgL_accz00_14381;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14382;
BgL_nsz00_14382 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14382,((long)1),BgL_sz00_14378); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14383;
BgL_z12denvz12_14383 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14383, BgL_nsz00_14382); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14384;
BgL_ez00_14384 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14384, BgL_sz00_14378); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14385;
BgL_____rz00_14385 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12150, BgL_nsz00_14382, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14384); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14383, BgL_sz00_14378); 
return BgL_____rz00_14385;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5140 */
obj_t BGl_z62run5140z62zz__evaluate_compz00(obj_t BgL_envz00_12152, obj_t BgL_sz00_12155)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12153;obj_t BgL_bodyz00_12154;
BgL_i1243z00_12153 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12152, 
(int)(((long)0)))); 
BgL_bodyz00_12154 = 
PROCEDURE_REF(BgL_envz00_12152, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14386;
BgL_bpz00_14386 = 
VECTOR_REF(
((obj_t)BgL_sz00_12155),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14387;obj_t BgL_wherez00_14388;obj_t BgL_locz00_14389;
BgL_z12denvz12_14387 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14388 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12153))->BgL_wherez00); 
BgL_locz00_14389 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12153))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14387, BgL_wherez00_14388, BgL_locz00_14389); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14390;
BgL_za2za2resza2za2z00_14390 = 
PROCEDURE_ENTRY(BgL_bodyz00_12154)(BgL_bodyz00_12154, BgL_sz00_12155, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14387); 
return BgL_za2za2resza2za2z00_14390;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3137> */
obj_t BGl_z62zc3anonymousza33137ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12156, obj_t BgL_sz00_12161)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12157;BgL_ev_absz00_bglt BgL_i1243z00_12158;obj_t BgL_bodyz00_12159;long BgL_siza7ezd2framez75_12160;
BgL_iboxesz00_12157 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12156, 
(int)(((long)0)))); 
BgL_i1243z00_12158 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12156, 
(int)(((long)1)))); 
BgL_bodyz00_12159 = 
PROCEDURE_REF(BgL_envz00_12156, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12160 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12156, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14391;
BgL_bpz00_14391 = 
VECTOR_REF(
((obj_t)BgL_sz00_12161),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14392;
BgL_runz00_14392 = 
MAKE_FX_PROCEDURE(BGl_z62run5142z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14392, 
(int)(((long)0)), BgL_iboxesz00_12157); 
PROCEDURE_SET(BgL_runz00_14392, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_12158)); 
PROCEDURE_SET(BgL_runz00_14392, 
(int)(((long)2)), BgL_bodyz00_12159); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14393;
BgL_mainz00_14393 = 
MAKE_FX_PROCEDURE(BGl_z62main5141z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14393, 
(int)(((long)0)), BgL_iboxesz00_12157); 
PROCEDURE_SET(BgL_mainz00_14393, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_12158)); 
PROCEDURE_SET(BgL_mainz00_14393, 
(int)(((long)2)), BgL_bodyz00_12159); 
PROCEDURE_SET(BgL_mainz00_14393, 
(int)(((long)3)), BgL_runz00_14392); 
PROCEDURE_SET(BgL_mainz00_14393, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12160)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14394;
BgL_objz00_14394 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14392, BgL_objz00_14394); BgL_objz00_14394; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3138z00_14395;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3139z00_14396;
BgL_arg3139z00_14396 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12158))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14397;
BgL_newz00_14397 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27074;
BgL_tmpz00_27074 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14397, BgL_tmpz00_27074, BgL_arg3139z00_14396); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27079;int BgL_tmpz00_27077;
BgL_auxz00_27079 = 
BINT(BgL_siza7ezd2framez75_12160); 
BgL_tmpz00_27077 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14397, BgL_tmpz00_27077, BgL_auxz00_27079); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27082;
BgL_tmpz00_27082 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14397, BgL_tmpz00_27082, BgL_runz00_14392); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27087;int BgL_tmpz00_27085;
BgL_auxz00_27087 = 
BINT(((long)0)); 
BgL_tmpz00_27085 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14397, BgL_tmpz00_27085, BgL_auxz00_27087); } 
BgL_arg3138z00_14395 = BgL_newz00_14397; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14393, BgL_arg3138z00_14395); BgL_arg3138z00_14395; } 
return BgL_mainz00_14393;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5141 */
obj_t BGl_z62main5141z62zz__evaluate_compz00(obj_t BgL_envz00_12162)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12166;long BgL_siza7ezd2framez75_12167;
BgL_runz00_12166 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12162, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12167 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12162, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14398;
BgL_sz00_14398 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14399;
BgL_bpz00_14399 = 
VECTOR_REF(
((obj_t)BgL_sz00_14398),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14398, BgL_bpz00_14399, 
BINT(BgL_siza7ezd2framez75_12167)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14400;
BgL_ez00_14400 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14400, BgL_bpz00_14399); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14401;
BgL_accz00_14401 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12166, BgL_sz00_14398, BgL_bpz00_14399); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14400); 
VECTOR_SET(
((obj_t)BgL_sz00_14398),((long)0),BgL_bpz00_14399); 
return BgL_accz00_14401;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14402;
BgL_nsz00_14402 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14402,((long)1),BgL_sz00_14398); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14403;
BgL_z12denvz12_14403 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14403, BgL_nsz00_14402); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14404;
BgL_ez00_14404 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14404, BgL_sz00_14398); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14405;
BgL_____rz00_14405 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12166, BgL_nsz00_14402, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14404); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14403, BgL_sz00_14398); 
return BgL_____rz00_14405;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5142 */
obj_t BGl_z62run5142z62zz__evaluate_compz00(obj_t BgL_envz00_12168, obj_t BgL_sz00_12172)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12169;BgL_ev_absz00_bglt BgL_i1243z00_12170;obj_t BgL_bodyz00_12171;
BgL_iboxesz00_12169 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12168, 
(int)(((long)0)))); 
BgL_i1243z00_12170 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12168, 
(int)(((long)1)))); 
BgL_bodyz00_12171 = 
PROCEDURE_REF(BgL_envz00_12168, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14406;
BgL_bpz00_14406 = 
VECTOR_REF(
((obj_t)BgL_sz00_12172),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12172, BgL_iboxesz00_12169, BgL_bpz00_14406); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14407;obj_t BgL_wherez00_14408;obj_t BgL_locz00_14409;
BgL_z12denvz12_14407 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14408 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12170))->BgL_wherez00); 
BgL_locz00_14409 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12170))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14407, BgL_wherez00_14408, BgL_locz00_14409); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14410;
BgL_za2za2resza2za2z00_14410 = 
PROCEDURE_ENTRY(BgL_bodyz00_12171)(BgL_bodyz00_12171, BgL_sz00_12172, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14407); 
return BgL_za2za2resza2za2z00_14410;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3146> */
obj_t BGl_z62zc3anonymousza33146ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12173, obj_t BgL_sz00_12179)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12174;long BgL_siza7eza7_12175;BgL_ev_absz00_bglt BgL_i1243z00_12176;obj_t BgL_bodyz00_12177;long BgL_siza7ezd2framez75_12178;
BgL_ifreesz00_12174 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12173, 
(int)(((long)0)))); 
BgL_siza7eza7_12175 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12173, 
(int)(((long)1)))); 
BgL_i1243z00_12176 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12173, 
(int)(((long)2)))); 
BgL_bodyz00_12177 = 
PROCEDURE_REF(BgL_envz00_12173, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12178 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12173, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14411;
BgL_bpz00_14411 = 
VECTOR_REF(
((obj_t)BgL_sz00_12179),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14412;
BgL_valza2za2_14412 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12179, BgL_bpz00_14411, BgL_ifreesz00_12174); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14413;
BgL_runz00_14413 = 
MAKE_FX_PROCEDURE(BGl_z62run5144z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14413, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12175)); 
PROCEDURE_SET(BgL_runz00_14413, 
(int)(((long)1)), BgL_valza2za2_14412); 
PROCEDURE_SET(BgL_runz00_14413, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_12176)); 
PROCEDURE_SET(BgL_runz00_14413, 
(int)(((long)3)), BgL_bodyz00_12177); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14414;
BgL_mainz00_14414 = 
MAKE_FX_PROCEDURE(BGl_z62main5143z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14414, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12175)); 
PROCEDURE_SET(BgL_mainz00_14414, 
(int)(((long)1)), BgL_valza2za2_14412); 
PROCEDURE_SET(BgL_mainz00_14414, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_12176)); 
PROCEDURE_SET(BgL_mainz00_14414, 
(int)(((long)3)), BgL_bodyz00_12177); 
PROCEDURE_SET(BgL_mainz00_14414, 
(int)(((long)4)), BgL_runz00_14413); 
PROCEDURE_SET(BgL_mainz00_14414, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12178)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14415;
BgL_objz00_14415 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14413, BgL_objz00_14415); BgL_objz00_14415; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3147z00_14416;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3148z00_14417;
BgL_arg3148z00_14417 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12176))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14418;
BgL_newz00_14418 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27191;
BgL_tmpz00_27191 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14418, BgL_tmpz00_27191, BgL_arg3148z00_14417); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27196;int BgL_tmpz00_27194;
BgL_auxz00_27196 = 
BINT(BgL_siza7ezd2framez75_12178); 
BgL_tmpz00_27194 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14418, BgL_tmpz00_27194, BgL_auxz00_27196); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27199;
BgL_tmpz00_27199 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14418, BgL_tmpz00_27199, BgL_runz00_14413); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27204;int BgL_tmpz00_27202;
BgL_auxz00_27204 = 
BINT(((long)0)); 
BgL_tmpz00_27202 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14418, BgL_tmpz00_27202, BgL_auxz00_27204); } 
BgL_arg3147z00_14416 = BgL_newz00_14418; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14414, BgL_arg3147z00_14416); BgL_arg3147z00_14416; } 
return BgL_mainz00_14414;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5143 */
obj_t BGl_z62main5143z62zz__evaluate_compz00(obj_t BgL_envz00_12180)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12185;long BgL_siza7ezd2framez75_12186;
BgL_runz00_12185 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12180, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12186 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12180, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14419;
BgL_sz00_14419 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14420;
BgL_bpz00_14420 = 
VECTOR_REF(
((obj_t)BgL_sz00_14419),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14419, BgL_bpz00_14420, 
BINT(BgL_siza7ezd2framez75_12186)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14421;
BgL_ez00_14421 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14421, BgL_bpz00_14420); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14422;
BgL_accz00_14422 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12185, BgL_sz00_14419, BgL_bpz00_14420); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14421); 
VECTOR_SET(
((obj_t)BgL_sz00_14419),((long)0),BgL_bpz00_14420); 
return BgL_accz00_14422;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14423;
BgL_nsz00_14423 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14423,((long)1),BgL_sz00_14419); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14424;
BgL_z12denvz12_14424 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14424, BgL_nsz00_14423); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14425;
BgL_ez00_14425 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14425, BgL_sz00_14419); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14426;
BgL_____rz00_14426 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12185, BgL_nsz00_14423, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14425); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14424, BgL_sz00_14419); 
return BgL_____rz00_14426;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5144 */
obj_t BGl_z62run5144z62zz__evaluate_compz00(obj_t BgL_envz00_12187, obj_t BgL_sz00_12192)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_12188;obj_t BgL_valza2za2_12189;BgL_ev_absz00_bglt BgL_i1243z00_12190;obj_t BgL_bodyz00_12191;
BgL_siza7eza7_12188 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12187, 
(int)(((long)0)))); 
BgL_valza2za2_12189 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12187, 
(int)(((long)1)))); 
BgL_i1243z00_12190 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12187, 
(int)(((long)2)))); 
BgL_bodyz00_12191 = 
PROCEDURE_REF(BgL_envz00_12187, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14427;
BgL_bpz00_14427 = 
VECTOR_REF(
((obj_t)BgL_sz00_12192),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12192, BgL_valza2za2_12189, 
(
(long)CINT(BgL_bpz00_14427)+BgL_siza7eza7_12188)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14428;obj_t BgL_wherez00_14429;obj_t BgL_locz00_14430;
BgL_z12denvz12_14428 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14429 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12190))->BgL_wherez00); 
BgL_locz00_14430 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12190))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14428, BgL_wherez00_14429, BgL_locz00_14430); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14431;
BgL_za2za2resza2za2z00_14431 = 
PROCEDURE_ENTRY(BgL_bodyz00_12191)(BgL_bodyz00_12191, BgL_sz00_12192, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14428); 
return BgL_za2za2resza2za2z00_14431;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3153> */
obj_t BGl_z62zc3anonymousza33153ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12193, obj_t BgL_sz00_12200)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12194;obj_t BgL_iboxesz00_12195;long BgL_siza7eza7_12196;BgL_ev_absz00_bglt BgL_i1243z00_12197;obj_t BgL_bodyz00_12198;long BgL_siza7ezd2framez75_12199;
BgL_ifreesz00_12194 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12193, 
(int)(((long)0)))); 
BgL_iboxesz00_12195 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12193, 
(int)(((long)1)))); 
BgL_siza7eza7_12196 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12193, 
(int)(((long)2)))); 
BgL_i1243z00_12197 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12193, 
(int)(((long)3)))); 
BgL_bodyz00_12198 = 
PROCEDURE_REF(BgL_envz00_12193, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12199 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12193, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14432;
BgL_bpz00_14432 = 
VECTOR_REF(
((obj_t)BgL_sz00_12200),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14433;
BgL_valza2za2_14433 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12200, BgL_bpz00_14432, BgL_ifreesz00_12194); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14434;
BgL_runz00_14434 = 
MAKE_FX_PROCEDURE(BGl_z62run5146z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14434, 
(int)(((long)0)), BgL_iboxesz00_12195); 
PROCEDURE_SET(BgL_runz00_14434, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12196)); 
PROCEDURE_SET(BgL_runz00_14434, 
(int)(((long)2)), BgL_valza2za2_14433); 
PROCEDURE_SET(BgL_runz00_14434, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_12197)); 
PROCEDURE_SET(BgL_runz00_14434, 
(int)(((long)4)), BgL_bodyz00_12198); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14435;
BgL_mainz00_14435 = 
MAKE_FX_PROCEDURE(BGl_z62main5145z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14435, 
(int)(((long)0)), BgL_iboxesz00_12195); 
PROCEDURE_SET(BgL_mainz00_14435, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12196)); 
PROCEDURE_SET(BgL_mainz00_14435, 
(int)(((long)2)), BgL_valza2za2_14433); 
PROCEDURE_SET(BgL_mainz00_14435, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_12197)); 
PROCEDURE_SET(BgL_mainz00_14435, 
(int)(((long)4)), BgL_bodyz00_12198); 
PROCEDURE_SET(BgL_mainz00_14435, 
(int)(((long)5)), BgL_runz00_14434); 
PROCEDURE_SET(BgL_mainz00_14435, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12199)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14436;
BgL_objz00_14436 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14434, BgL_objz00_14436); BgL_objz00_14436; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3154z00_14437;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3155z00_14438;
BgL_arg3155z00_14438 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12197))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14439;
BgL_newz00_14439 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27320;
BgL_tmpz00_27320 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14439, BgL_tmpz00_27320, BgL_arg3155z00_14438); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27325;int BgL_tmpz00_27323;
BgL_auxz00_27325 = 
BINT(BgL_siza7ezd2framez75_12199); 
BgL_tmpz00_27323 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14439, BgL_tmpz00_27323, BgL_auxz00_27325); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27328;
BgL_tmpz00_27328 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14439, BgL_tmpz00_27328, BgL_runz00_14434); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27333;int BgL_tmpz00_27331;
BgL_auxz00_27333 = 
BINT(((long)0)); 
BgL_tmpz00_27331 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14439, BgL_tmpz00_27331, BgL_auxz00_27333); } 
BgL_arg3154z00_14437 = BgL_newz00_14439; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14435, BgL_arg3154z00_14437); BgL_arg3154z00_14437; } 
return BgL_mainz00_14435;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5145 */
obj_t BGl_z62main5145z62zz__evaluate_compz00(obj_t BgL_envz00_12201)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_12207;long BgL_siza7ezd2framez75_12208;
BgL_runz00_12207 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12201, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12208 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12201, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14440;
BgL_sz00_14440 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14441;
BgL_bpz00_14441 = 
VECTOR_REF(
((obj_t)BgL_sz00_14440),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14440, BgL_bpz00_14441, 
BINT(BgL_siza7ezd2framez75_12208)))
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14442;
BgL_ez00_14442 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14442, BgL_bpz00_14441); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14443;
BgL_accz00_14443 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12207, BgL_sz00_14440, BgL_bpz00_14441); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14442); 
VECTOR_SET(
((obj_t)BgL_sz00_14440),((long)0),BgL_bpz00_14441); 
return BgL_accz00_14443;} }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14444;
BgL_nsz00_14444 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14444,((long)1),BgL_sz00_14440); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14445;
BgL_z12denvz12_14445 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14445, BgL_nsz00_14444); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14446;
BgL_ez00_14446 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14446, BgL_sz00_14440); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14447;
BgL_____rz00_14447 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12207, BgL_nsz00_14444, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14446); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14445, BgL_sz00_14440); 
return BgL_____rz00_14447;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5146 */
obj_t BGl_z62run5146z62zz__evaluate_compz00(obj_t BgL_envz00_12209, obj_t BgL_sz00_12215)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12210;long BgL_siza7eza7_12211;obj_t BgL_valza2za2_12212;BgL_ev_absz00_bglt BgL_i1243z00_12213;obj_t BgL_bodyz00_12214;
BgL_iboxesz00_12210 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12209, 
(int)(((long)0)))); 
BgL_siza7eza7_12211 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12209, 
(int)(((long)1)))); 
BgL_valza2za2_12212 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12209, 
(int)(((long)2)))); 
BgL_i1243z00_12213 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12209, 
(int)(((long)3)))); 
BgL_bodyz00_12214 = 
PROCEDURE_REF(BgL_envz00_12209, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14448;
BgL_bpz00_14448 = 
VECTOR_REF(
((obj_t)BgL_sz00_12215),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12215, BgL_iboxesz00_12210, BgL_bpz00_14448); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12215, BgL_valza2za2_12212, 
(
(long)CINT(BgL_bpz00_14448)+BgL_siza7eza7_12211)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14449;obj_t BgL_wherez00_14450;obj_t BgL_locz00_14451;
BgL_z12denvz12_14449 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14450 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12213))->BgL_wherez00); 
BgL_locz00_14451 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12213))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14449, BgL_wherez00_14450, BgL_locz00_14451); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14452;
BgL_za2za2resza2za2z00_14452 = 
PROCEDURE_ENTRY(BgL_bodyz00_12214)(BgL_bodyz00_12214, BgL_sz00_12215, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14449); 
return BgL_za2za2resza2za2z00_14452;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3581> */
obj_t BGl_z62zc3anonymousza33581ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12216, obj_t BgL_sz00_12220)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12217;obj_t BgL_bodyz00_12218;long BgL_siza7ezd2framez75_12219;
BgL_i1243z00_12217 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12216, 
(int)(((long)0)))); 
BgL_bodyz00_12218 = 
PROCEDURE_REF(BgL_envz00_12216, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12219 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12216, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14453;
BgL_bpz00_14453 = 
VECTOR_REF(
((obj_t)BgL_sz00_12220),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14454;
BgL_runz00_14454 = 
MAKE_FX_PROCEDURE(BGl_z62run5148z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14454, 
(int)(((long)0)), 
((obj_t)BgL_i1243z00_12217)); 
PROCEDURE_SET(BgL_runz00_14454, 
(int)(((long)1)), BgL_bodyz00_12218); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14455;
BgL_mainz00_14455 = 
MAKE_VA_PROCEDURE(BGl_z62main5147z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14455, 
(int)(((long)0)), BgL_bodyz00_12218); 
PROCEDURE_SET(BgL_mainz00_14455, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_12217)); 
PROCEDURE_SET(BgL_mainz00_14455, 
(int)(((long)2)), BgL_runz00_14454); 
PROCEDURE_SET(BgL_mainz00_14455, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12219)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14456;
BgL_objz00_14456 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14454, BgL_objz00_14456); BgL_objz00_14456; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3582z00_14457;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3583z00_14458;obj_t BgL_arg3584z00_14459;
BgL_arg3583z00_14458 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12217))->BgL_arityz00); 
BgL_arg3584z00_14459 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12217))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14460;
BgL_newz00_14460 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27430;
BgL_tmpz00_27430 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14460, BgL_tmpz00_27430, BgL_arg3584z00_14459); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27435;int BgL_tmpz00_27433;
BgL_auxz00_27435 = 
BINT(BgL_siza7ezd2framez75_12219); 
BgL_tmpz00_27433 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14460, BgL_tmpz00_27433, BgL_auxz00_27435); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27438;
BgL_tmpz00_27438 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14460, BgL_tmpz00_27438, BgL_runz00_14454); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27441;
BgL_tmpz00_27441 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14460, BgL_tmpz00_27441, BgL_arg3583z00_14458); } 
BgL_arg3582z00_14457 = BgL_newz00_14460; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14455, BgL_arg3582z00_14457); BgL_arg3582z00_14457; } 
return BgL_mainz00_14455;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5147 */
obj_t BGl_z62main5147z62zz__evaluate_compz00(obj_t BgL_envz00_12221, obj_t BgL_az00_12226, obj_t BgL_bz00_12227, obj_t BgL_cz00_12228, obj_t BgL_dz00_12229, obj_t BgL_restz00_12230)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12223;obj_t BgL_runz00_12224;long BgL_siza7ezd2framez75_12225;
BgL_i1243z00_12223 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12221, 
(int)(((long)1)))); 
BgL_runz00_12224 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12221, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12225 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12221, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14461;
BgL_sz00_14461 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14462;
BgL_bpz00_14462 = 
VECTOR_REF(
((obj_t)BgL_sz00_14461),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14461, BgL_bpz00_14462, 
BINT(BgL_siza7ezd2framez75_12225)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3587z00_14463;
BgL_arg3587z00_14463 = 
(
(long)CINT(BgL_bpz00_14462)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14461),BgL_arg3587z00_14463,BgL_az00_12226); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3588z00_14464;
BgL_arg3588z00_14464 = 
(
(long)CINT(BgL_bpz00_14462)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14461),BgL_arg3588z00_14464,BgL_bz00_12227); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3589z00_14465;
BgL_arg3589z00_14465 = 
(
(long)CINT(BgL_bpz00_14462)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14461),BgL_arg3589z00_14465,BgL_cz00_12228); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3590z00_14466;
BgL_arg3590z00_14466 = 
(
(long)CINT(BgL_bpz00_14462)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14461),BgL_arg3590z00_14466,BgL_dz00_12229); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14461, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12223))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14462)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12223))->BgL_arityz00), ((long)4)), BgL_restz00_12230, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12223))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14467;
BgL_ez00_14467 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14467, BgL_bpz00_14462); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14468;
BgL_accz00_14468 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12224, BgL_sz00_14461, BgL_bpz00_14462); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14467); 
VECTOR_SET(
((obj_t)BgL_sz00_14461),((long)0),BgL_bpz00_14462); 
return BgL_accz00_14468;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14469;
BgL_nsz00_14469 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14469,((long)1),BgL_sz00_14461); 
VECTOR_SET(BgL_nsz00_14469,((long)2),BgL_az00_12226); 
VECTOR_SET(BgL_nsz00_14469,((long)3),BgL_bz00_12227); 
VECTOR_SET(BgL_nsz00_14469,((long)4),BgL_cz00_12228); 
VECTOR_SET(BgL_nsz00_14469,((long)5),BgL_dz00_12229); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14469, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12223))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12223))->BgL_arityz00), ((long)4)), BgL_restz00_12230, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12223))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14470;
BgL_z12denvz12_14470 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14470, BgL_nsz00_14469); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14471;
BgL_ez00_14471 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14471, BgL_sz00_14461); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14472;
BgL_____rz00_14472 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12224, BgL_nsz00_14469, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14471); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14470, BgL_sz00_14461); 
return BgL_____rz00_14472;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5148 */
obj_t BGl_z62run5148z62zz__evaluate_compz00(obj_t BgL_envz00_12231, obj_t BgL_sz00_12234)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12232;obj_t BgL_bodyz00_12233;
BgL_i1243z00_12232 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12231, 
(int)(((long)0)))); 
BgL_bodyz00_12233 = 
PROCEDURE_REF(BgL_envz00_12231, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14473;
BgL_bpz00_14473 = 
VECTOR_REF(
((obj_t)BgL_sz00_12234),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14474;obj_t BgL_wherez00_14475;obj_t BgL_locz00_14476;
BgL_z12denvz12_14474 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14475 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12232))->BgL_wherez00); 
BgL_locz00_14476 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12232))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14474, BgL_wherez00_14475, BgL_locz00_14476); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14477;
BgL_za2za2resza2za2z00_14477 = 
PROCEDURE_ENTRY(BgL_bodyz00_12233)(BgL_bodyz00_12233, BgL_sz00_12234, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14474); 
return BgL_za2za2resza2za2z00_14477;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3601> */
obj_t BGl_z62zc3anonymousza33601ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12235, obj_t BgL_sz00_12240)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12236;BgL_ev_absz00_bglt BgL_i1243z00_12237;obj_t BgL_bodyz00_12238;long BgL_siza7ezd2framez75_12239;
BgL_iboxesz00_12236 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12235, 
(int)(((long)0)))); 
BgL_i1243z00_12237 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12235, 
(int)(((long)1)))); 
BgL_bodyz00_12238 = 
PROCEDURE_REF(BgL_envz00_12235, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12239 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12235, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14478;
BgL_bpz00_14478 = 
VECTOR_REF(
((obj_t)BgL_sz00_12240),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */

{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14479;
BgL_runz00_14479 = 
MAKE_FX_PROCEDURE(BGl_z62run5150z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14479, 
(int)(((long)0)), BgL_iboxesz00_12236); 
PROCEDURE_SET(BgL_runz00_14479, 
(int)(((long)1)), 
((obj_t)BgL_i1243z00_12237)); 
PROCEDURE_SET(BgL_runz00_14479, 
(int)(((long)2)), BgL_bodyz00_12238); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14480;
BgL_mainz00_14480 = 
MAKE_VA_PROCEDURE(BGl_z62main5149z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14480, 
(int)(((long)0)), BgL_iboxesz00_12236); 
PROCEDURE_SET(BgL_mainz00_14480, 
(int)(((long)1)), BgL_bodyz00_12238); 
PROCEDURE_SET(BgL_mainz00_14480, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_12237)); 
PROCEDURE_SET(BgL_mainz00_14480, 
(int)(((long)3)), BgL_runz00_14479); 
PROCEDURE_SET(BgL_mainz00_14480, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12239)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14481;
BgL_objz00_14481 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14479, BgL_objz00_14481); BgL_objz00_14481; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3602z00_14482;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3603z00_14483;obj_t BgL_arg3604z00_14484;
BgL_arg3603z00_14483 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12237))->BgL_arityz00); 
BgL_arg3604z00_14484 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12237))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14485;
BgL_newz00_14485 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27567;
BgL_tmpz00_27567 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14485, BgL_tmpz00_27567, BgL_arg3604z00_14484); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27572;int BgL_tmpz00_27570;
BgL_auxz00_27572 = 
BINT(BgL_siza7ezd2framez75_12239); 
BgL_tmpz00_27570 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14485, BgL_tmpz00_27570, BgL_auxz00_27572); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27575;
BgL_tmpz00_27575 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14485, BgL_tmpz00_27575, BgL_runz00_14479); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27578;
BgL_tmpz00_27578 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14485, BgL_tmpz00_27578, BgL_arg3603z00_14483); } 
BgL_arg3602z00_14482 = BgL_newz00_14485; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14480, BgL_arg3602z00_14482); BgL_arg3602z00_14482; } 
return BgL_mainz00_14480;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5149 */
obj_t BGl_z62main5149z62zz__evaluate_compz00(obj_t BgL_envz00_12241, obj_t BgL_az00_12247, obj_t BgL_bz00_12248, obj_t BgL_cz00_12249, obj_t BgL_dz00_12250, obj_t BgL_restz00_12251)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12244;obj_t BgL_runz00_12245;long BgL_siza7ezd2framez75_12246;
BgL_i1243z00_12244 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12241, 
(int)(((long)2)))); 
BgL_runz00_12245 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12241, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12246 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12241, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14486;
BgL_sz00_14486 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14487;
BgL_bpz00_14487 = 
VECTOR_REF(
((obj_t)BgL_sz00_14486),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14486, BgL_bpz00_14487, 
BINT(BgL_siza7ezd2framez75_12246)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3607z00_14488;
BgL_arg3607z00_14488 = 
(
(long)CINT(BgL_bpz00_14487)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14486),BgL_arg3607z00_14488,BgL_az00_12247); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3608z00_14489;
BgL_arg3608z00_14489 = 
(
(long)CINT(BgL_bpz00_14487)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14486),BgL_arg3608z00_14489,BgL_bz00_12248); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3609z00_14490;
BgL_arg3609z00_14490 = 
(
(long)CINT(BgL_bpz00_14487)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14486),BgL_arg3609z00_14490,BgL_cz00_12249); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3610z00_14491;
BgL_arg3610z00_14491 = 
(
(long)CINT(BgL_bpz00_14487)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14486),BgL_arg3610z00_14491,BgL_dz00_12250); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14486, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12244))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14487)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12244))->BgL_arityz00), ((long)4)), BgL_restz00_12251, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12244))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14492;
BgL_ez00_14492 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14492, BgL_bpz00_14487); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14493;
BgL_accz00_14493 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12245, BgL_sz00_14486, BgL_bpz00_14487); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14492); 
VECTOR_SET(
((obj_t)BgL_sz00_14486),((long)0),BgL_bpz00_14487); 
return BgL_accz00_14493;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14494;
BgL_nsz00_14494 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14494,((long)1),BgL_sz00_14486); 
VECTOR_SET(BgL_nsz00_14494,((long)2),BgL_az00_12247); 
VECTOR_SET(BgL_nsz00_14494,((long)3),BgL_bz00_12248); 
VECTOR_SET(BgL_nsz00_14494,((long)4),BgL_cz00_12249); 
VECTOR_SET(BgL_nsz00_14494,((long)5),BgL_dz00_12250); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14494, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12244))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12244))->BgL_arityz00), ((long)4)), BgL_restz00_12251, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12244))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14495;
BgL_z12denvz12_14495 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14495, BgL_nsz00_14494); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14496;
BgL_ez00_14496 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14496, BgL_sz00_14486); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14497;
BgL_____rz00_14497 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12245, BgL_nsz00_14494, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14496); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14495, BgL_sz00_14486); 
return BgL_____rz00_14497;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5150 */
obj_t BGl_z62run5150z62zz__evaluate_compz00(obj_t BgL_envz00_12252, obj_t BgL_sz00_12256)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12253;BgL_ev_absz00_bglt BgL_i1243z00_12254;obj_t BgL_bodyz00_12255;
BgL_iboxesz00_12253 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12252, 
(int)(((long)0)))); 
BgL_i1243z00_12254 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12252, 
(int)(((long)1)))); 
BgL_bodyz00_12255 = 
PROCEDURE_REF(BgL_envz00_12252, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14498;
BgL_bpz00_14498 = 
VECTOR_REF(
((obj_t)BgL_sz00_12256),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12256, BgL_iboxesz00_12253, BgL_bpz00_14498); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14499;obj_t BgL_wherez00_14500;obj_t BgL_locz00_14501;
BgL_z12denvz12_14499 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14500 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12254))->BgL_wherez00); 
BgL_locz00_14501 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12254))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1167 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14499, BgL_wherez00_14500, BgL_locz00_14501); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_za2za2resza2za2z00_14502;
BgL_za2za2resza2za2z00_14502 = 
PROCEDURE_ENTRY(BgL_bodyz00_12255)(BgL_bodyz00_12255, BgL_sz00_12256, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14499); 
return BgL_za2za2resza2za2z00_14502;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3624> */
obj_t BGl_z62zc3anonymousza33624ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12257, obj_t BgL_sz00_12263)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12258;long BgL_siza7eza7_12259;BgL_ev_absz00_bglt BgL_i1243z00_12260;obj_t BgL_bodyz00_12261;long BgL_siza7ezd2framez75_12262;
BgL_ifreesz00_12258 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12257, 
(int)(((long)0)))); 
BgL_siza7eza7_12259 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12257, 
(int)(((long)1)))); 
BgL_i1243z00_12260 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12257, 
(int)(((long)2)))); 
BgL_bodyz00_12261 = 
PROCEDURE_REF(BgL_envz00_12257, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12262 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12257, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14503;
BgL_bpz00_14503 = 
VECTOR_REF(
((obj_t)BgL_sz00_12263),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14504;
BgL_valza2za2_14504 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12263, BgL_bpz00_14503, BgL_ifreesz00_12258); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14505;
BgL_runz00_14505 = 
MAKE_FX_PROCEDURE(BGl_z62run5152z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14505, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12259)); 
PROCEDURE_SET(BgL_runz00_14505, 
(int)(((long)1)), BgL_valza2za2_14504); 
PROCEDURE_SET(BgL_runz00_14505, 
(int)(((long)2)), 
((obj_t)BgL_i1243z00_12260)); 
PROCEDURE_SET(BgL_runz00_14505, 
(int)(((long)3)), BgL_bodyz00_12261); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14506;
BgL_mainz00_14506 = 
MAKE_VA_PROCEDURE(BGl_z62main5151z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14506, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12259)); 
PROCEDURE_SET(BgL_mainz00_14506, 
(int)(((long)1)), BgL_valza2za2_14504); 
PROCEDURE_SET(BgL_mainz00_14506, 
(int)(((long)2)), BgL_bodyz00_12261); 
PROCEDURE_SET(BgL_mainz00_14506, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_12260)); 
PROCEDURE_SET(BgL_mainz00_14506, 
(int)(((long)4)), BgL_runz00_14505); 
PROCEDURE_SET(BgL_mainz00_14506, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12262)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14507;
BgL_objz00_14507 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14505, BgL_objz00_14507); BgL_objz00_14507; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3625z00_14508;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3626z00_14509;obj_t BgL_arg3627z00_14510;
BgL_arg3626z00_14509 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12260))->BgL_arityz00); 
BgL_arg3627z00_14510 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12260))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14511;
BgL_newz00_14511 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27718;
BgL_tmpz00_27718 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14511, BgL_tmpz00_27718, BgL_arg3627z00_14510); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27723;int BgL_tmpz00_27721;
BgL_auxz00_27723 = 
BINT(BgL_siza7ezd2framez75_12262); 
BgL_tmpz00_27721 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14511, BgL_tmpz00_27721, BgL_auxz00_27723); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27726;
BgL_tmpz00_27726 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14511, BgL_tmpz00_27726, BgL_runz00_14505); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27729;
BgL_tmpz00_27729 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14511, BgL_tmpz00_27729, BgL_arg3626z00_14509); } 
BgL_arg3625z00_14508 = BgL_newz00_14511; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14506, BgL_arg3625z00_14508); BgL_arg3625z00_14508; } 
return BgL_mainz00_14506;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5151 */
obj_t BGl_z62main5151z62zz__evaluate_compz00(obj_t BgL_envz00_12264, obj_t BgL_az00_12271, obj_t BgL_bz00_12272, obj_t BgL_cz00_12273, obj_t BgL_dz00_12274, obj_t BgL_restz00_12275)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12268;obj_t BgL_runz00_12269;long BgL_siza7ezd2framez75_12270;
BgL_i1243z00_12268 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12264, 
(int)(((long)3)))); 
BgL_runz00_12269 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12264, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12270 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12264, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14512;
BgL_sz00_14512 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14513;
BgL_bpz00_14513 = 
VECTOR_REF(
((obj_t)BgL_sz00_14512),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14512, BgL_bpz00_14513, 
BINT(BgL_siza7ezd2framez75_12270)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3630z00_14514;
BgL_arg3630z00_14514 = 
(
(long)CINT(BgL_bpz00_14513)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14512),BgL_arg3630z00_14514,BgL_az00_12271); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3631z00_14515;
BgL_arg3631z00_14515 = 
(
(long)CINT(BgL_bpz00_14513)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14512),BgL_arg3631z00_14515,BgL_bz00_12272); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3632z00_14516;
BgL_arg3632z00_14516 = 
(
(long)CINT(BgL_bpz00_14513)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14512),BgL_arg3632z00_14516,BgL_cz00_12273); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3633z00_14517;
BgL_arg3633z00_14517 = 
(
(long)CINT(BgL_bpz00_14513)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14512),BgL_arg3633z00_14517,BgL_dz00_12274); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14512, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12268))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14513)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12268))->BgL_arityz00), ((long)4)), BgL_restz00_12275, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12268))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14518;
BgL_ez00_14518 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14518, BgL_bpz00_14513); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14519;
BgL_accz00_14519 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12269, BgL_sz00_14512, BgL_bpz00_14513); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14518); 
VECTOR_SET(
((obj_t)BgL_sz00_14512),((long)0),BgL_bpz00_14513); 
return BgL_accz00_14519;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14520;
BgL_nsz00_14520 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14520,((long)1),BgL_sz00_14512); 
VECTOR_SET(BgL_nsz00_14520,((long)2),BgL_az00_12271); 
VECTOR_SET(BgL_nsz00_14520,((long)3),BgL_bz00_12272); 
VECTOR_SET(BgL_nsz00_14520,((long)4),BgL_cz00_12273); 
VECTOR_SET(BgL_nsz00_14520,((long)5),BgL_dz00_12274); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14520, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12268))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12268))->BgL_arityz00), ((long)4)), BgL_restz00_12275, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12268))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14521;
BgL_z12denvz12_14521 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14521, BgL_nsz00_14520); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14522;
BgL_ez00_14522 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14522, BgL_sz00_14512); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14523;
BgL_____rz00_14523 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12269, BgL_nsz00_14520, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14522); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14521, BgL_sz00_14512); 
return BgL_____rz00_14523;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5152 */
obj_t BGl_z62run5152z62zz__evaluate_compz00(obj_t BgL_envz00_12276, obj_t BgL_sz00_12281)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_siza7eza7_12277;obj_t BgL_valza2za2_12278;BgL_ev_absz00_bglt BgL_i1243z00_12279;obj_t BgL_bodyz00_12280;
BgL_siza7eza7_12277 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12276, 
(int)(((long)0)))); 
BgL_valza2za2_12278 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12276, 
(int)(((long)1)))); 
BgL_i1243z00_12279 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12276, 
(int)(((long)2)))); 
BgL_bodyz00_12280 = 
PROCEDURE_REF(BgL_envz00_12276, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14524;
BgL_bpz00_14524 = 
VECTOR_REF(
((obj_t)BgL_sz00_12281),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12281, BgL_valza2za2_12278, 
(
(long)CINT(BgL_bpz00_14524)+BgL_siza7eza7_12277)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14525;obj_t BgL_wherez00_14526;obj_t BgL_locz00_14527;
BgL_z12denvz12_14525 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14526 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12279))->BgL_wherez00); 
BgL_locz00_14527 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12279))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14525, BgL_wherez00_14526, BgL_locz00_14527); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14528;
BgL_za2za2resza2za2z00_14528 = 
PROCEDURE_ENTRY(BgL_bodyz00_12280)(BgL_bodyz00_12280, BgL_sz00_12281, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14525); 
return BgL_za2za2resza2za2z00_14528;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3645> */
obj_t BGl_z62zc3anonymousza33645ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12282, obj_t BgL_sz00_12289)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_12283;obj_t BgL_iboxesz00_12284;long BgL_siza7eza7_12285;BgL_ev_absz00_bglt BgL_i1243z00_12286;obj_t BgL_bodyz00_12287;long BgL_siza7ezd2framez75_12288;
BgL_ifreesz00_12283 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12282, 
(int)(((long)0)))); 
BgL_iboxesz00_12284 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12282, 
(int)(((long)1)))); 
BgL_siza7eza7_12285 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12282, 
(int)(((long)2)))); 
BgL_i1243z00_12286 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12282, 
(int)(((long)3)))); 
BgL_bodyz00_12287 = 
PROCEDURE_REF(BgL_envz00_12282, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12288 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12282, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14529;
BgL_bpz00_14529 = 
VECTOR_REF(
((obj_t)BgL_sz00_12289),((long)0)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_valza2za2_14530;
BgL_valza2za2_14530 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12289, BgL_bpz00_14529, BgL_ifreesz00_12283); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_runz00_14531;
BgL_runz00_14531 = 
MAKE_FX_PROCEDURE(BGl_z62run5154z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14531, 
(int)(((long)0)), BgL_iboxesz00_12284); 
PROCEDURE_SET(BgL_runz00_14531, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12285)); 
PROCEDURE_SET(BgL_runz00_14531, 
(int)(((long)2)), BgL_valza2za2_14530); 
PROCEDURE_SET(BgL_runz00_14531, 
(int)(((long)3)), 
((obj_t)BgL_i1243z00_12286)); 
PROCEDURE_SET(BgL_runz00_14531, 
(int)(((long)4)), BgL_bodyz00_12287); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_mainz00_14532;
BgL_mainz00_14532 = 
MAKE_VA_PROCEDURE(BGl_z62main5153z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14532, 
(int)(((long)0)), BgL_iboxesz00_12284); 
PROCEDURE_SET(BgL_mainz00_14532, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12285)); 
PROCEDURE_SET(BgL_mainz00_14532, 
(int)(((long)2)), BgL_valza2za2_14530); 
PROCEDURE_SET(BgL_mainz00_14532, 
(int)(((long)3)), BgL_bodyz00_12287); 
PROCEDURE_SET(BgL_mainz00_14532, 
(int)(((long)4)), 
((obj_t)BgL_i1243z00_12286)); 
PROCEDURE_SET(BgL_mainz00_14532, 
(int)(((long)5)), BgL_runz00_14531); 
PROCEDURE_SET(BgL_mainz00_14532, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12288)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_objz00_14533;
BgL_objz00_14533 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14531, BgL_objz00_14533); BgL_objz00_14533; } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3646z00_14534;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3647z00_14535;obj_t BgL_arg3648z00_14536;
BgL_arg3647z00_14535 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12286))->BgL_arityz00); 
BgL_arg3648z00_14536 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12286))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_newz00_14537;
BgL_newz00_14537 = 
create_struct(BGl_symbol5184z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27881;
BgL_tmpz00_27881 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14537, BgL_tmpz00_27881, BgL_arg3648z00_14536); } 
{ /* Eval/evaluate_comp.scm 676 */
obj_t BgL_auxz00_27886;int BgL_tmpz00_27884;
BgL_auxz00_27886 = 
BINT(BgL_siza7ezd2framez75_12288); 
BgL_tmpz00_27884 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14537, BgL_tmpz00_27884, BgL_auxz00_27886); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27889;
BgL_tmpz00_27889 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14537, BgL_tmpz00_27889, BgL_runz00_14531); } 
{ /* Eval/evaluate_comp.scm 676 */
int BgL_tmpz00_27892;
BgL_tmpz00_27892 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14537, BgL_tmpz00_27892, BgL_arg3647z00_14535); } 
BgL_arg3646z00_14534 = BgL_newz00_14537; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14532, BgL_arg3646z00_14534); BgL_arg3646z00_14534; } 
return BgL_mainz00_14532;} } } } } } 
BGL_FUNCTION_END;
}



/* &main5153 */
obj_t BGl_z62main5153z62zz__evaluate_compz00(obj_t BgL_envz00_12290, obj_t BgL_az00_12298, obj_t BgL_bz00_12299, obj_t BgL_cz00_12300, obj_t BgL_dz00_12301, obj_t BgL_restz00_12302)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
BgL_ev_absz00_bglt BgL_i1243z00_12295;obj_t BgL_runz00_12296;long BgL_siza7ezd2framez75_12297;
BgL_i1243z00_12295 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12290, 
(int)(((long)4)))); 
BgL_runz00_12296 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12290, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12297 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12290, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_sz00_14538;
BgL_sz00_14538 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14539;
BgL_bpz00_14539 = 
VECTOR_REF(
((obj_t)BgL_sz00_14538),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14538, BgL_bpz00_14539, 
BINT(BgL_siza7ezd2framez75_12297)))
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3651z00_14540;
BgL_arg3651z00_14540 = 
(
(long)CINT(BgL_bpz00_14539)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14538),BgL_arg3651z00_14540,BgL_az00_12298); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3652z00_14541;
BgL_arg3652z00_14541 = 
(
(long)CINT(BgL_bpz00_14539)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14538),BgL_arg3652z00_14541,BgL_bz00_12299); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3653z00_14542;
BgL_arg3653z00_14542 = 
(
(long)CINT(BgL_bpz00_14539)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14538),BgL_arg3653z00_14542,BgL_cz00_12300); } 
{ /* Eval/evaluate_comp.scm 1167 */
long BgL_arg3654z00_14543;
BgL_arg3654z00_14543 = 
(
(long)CINT(BgL_bpz00_14539)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14538),BgL_arg3654z00_14543,BgL_dz00_12301); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14538, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12295))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14539)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12295))->BgL_arityz00), ((long)4)), BgL_restz00_12302, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12295))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14544;
BgL_ez00_14544 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14544, BgL_bpz00_14539); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_accz00_14545;
BgL_accz00_14545 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12296, BgL_sz00_14538, BgL_bpz00_14539); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14544); 
VECTOR_SET(
((obj_t)BgL_sz00_14538),((long)0),BgL_bpz00_14539); 
return BgL_accz00_14545;} } }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_nsz00_14546;
BgL_nsz00_14546 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14546,((long)1),BgL_sz00_14538); 
VECTOR_SET(BgL_nsz00_14546,((long)2),BgL_az00_12298); 
VECTOR_SET(BgL_nsz00_14546,((long)3),BgL_bz00_12299); 
VECTOR_SET(BgL_nsz00_14546,((long)4),BgL_cz00_12300); 
VECTOR_SET(BgL_nsz00_14546,((long)5),BgL_dz00_12301); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14546, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12295))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12295))->BgL_arityz00), ((long)4)), BgL_restz00_12302, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12295))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_z12denvz12_14547;
BgL_z12denvz12_14547 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14547, BgL_nsz00_14546); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ez00_14548;
BgL_ez00_14548 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14548, BgL_sz00_14538); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_____rz00_14549;
BgL_____rz00_14549 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12296, BgL_nsz00_14546, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14548); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14547, BgL_sz00_14538); 
return BgL_____rz00_14549;} } } } } } } } 
BGL_FUNCTION_END;
}



/* &run5154 */
obj_t BGl_z62run5154z62zz__evaluate_compz00(obj_t BgL_envz00_12303, obj_t BgL_sz00_12309)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1167 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_iboxesz00_12304;long BgL_siza7eza7_12305;obj_t BgL_valza2za2_12306;BgL_ev_absz00_bglt BgL_i1243z00_12307;obj_t BgL_bodyz00_12308;
BgL_iboxesz00_12304 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12303, 
(int)(((long)0)))); 
BgL_siza7eza7_12305 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12303, 
(int)(((long)1)))); 
BgL_valza2za2_12306 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12303, 
(int)(((long)2)))); 
BgL_i1243z00_12307 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12303, 
(int)(((long)3)))); 
BgL_bodyz00_12308 = 
PROCEDURE_REF(BgL_envz00_12303, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_bpz00_14550;
BgL_bpz00_14550 = 
VECTOR_REF(
((obj_t)BgL_sz00_12309),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12309, BgL_iboxesz00_12304, BgL_bpz00_14550); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12309, BgL_valza2za2_12306, 
(
(long)CINT(BgL_bpz00_14550)+BgL_siza7eza7_12305)); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_z12denvz12_14551;obj_t BgL_wherez00_14552;obj_t BgL_locz00_14553;
BgL_z12denvz12_14551 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14552 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12307))->BgL_wherez00); 
BgL_locz00_14553 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1243z00_12307))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1088 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14551, BgL_wherez00_14552, BgL_locz00_14553); 
{ /* Eval/evaluate_comp.scm 1088 */
obj_t BgL_za2za2resza2za2z00_14554;
BgL_za2za2resza2za2z00_14554 = 
PROCEDURE_ENTRY(BgL_bodyz00_12308)(BgL_bodyz00_12308, BgL_sz00_12309, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14551); 
return BgL_za2za2resza2za2z00_14554;} } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_app1428 */
obj_t BGl_z62compzd2ev_app1428zb0zz__evaluate_compz00(obj_t BgL_envz00_12310, obj_t BgL_ez00_12311, obj_t BgL_stkz00_12312)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 1037 */
{ /* Eval/evaluate_comp.scm 1039 */
obj_t BgL__ortest_1229z00_14556;
BgL__ortest_1229z00_14556 = 
BGl_arithzd2expressionzd2zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_12311), BgL_stkz00_12312); 
if(
CBOOL(BgL__ortest_1229z00_14556))
{ /* Eval/evaluate_comp.scm 1039 */
return BgL__ortest_1229z00_14556;}  else 
{ /* Eval/evaluate_comp.scm 1040 */
obj_t BgL__ortest_1230z00_14557;
BgL__ortest_1230z00_14557 = 
BGl_inlinezd2callzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_funz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_argsz00), BgL_stkz00_12312); 
if(
CBOOL(BgL__ortest_1230z00_14557))
{ /* Eval/evaluate_comp.scm 1040 */
return BgL__ortest_1230z00_14557;}  else 
{ /* Eval/evaluate_comp.scm 1040 */
if(
(
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_argsz00))>((long)4)))
{ /* Eval/evaluate_comp.scm 1041 */
return 
BGl_compzd2oldzd2callz00zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_12311), BgL_stkz00_12312);}  else 
{ /* Eval/evaluate_comp.scm 1043 */
obj_t BgL_fz00_14558;long BgL_siza7eza7_14559;obj_t BgL_symbzd2funzd2_14560;
BgL_fz00_14558 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_funz00), BgL_stkz00_12312); 
BgL_siza7eza7_14559 = 
bgl_list_length(BgL_stkz00_12312); 
BgL_symbzd2funzd2_14560 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_funz00)); 
if(
NULLP(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_argsz00)))
{ /* Eval/evaluate_comp.scm 1044 */
return 
BGl_compzd2call0zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_funz00), BgL_symbzd2funzd2_14560, BgL_fz00_14558, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_tailzf3zf3), BgL_stkz00_12312, BgL_siza7eza7_14559);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_a1z00_14561;obj_t BgL_argsz00_14562;
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_arg3115z00_14563;
BgL_arg3115z00_14563 = 
CAR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_argsz00)); 
BgL_a1z00_14561 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3115z00_14563), BgL_stkz00_12312); } 
BgL_argsz00_14562 = 
CDR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_argsz00)); 
if(
NULLP(BgL_argsz00_14562))
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_compzd2call1zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_funz00), BgL_symbzd2funzd2_14560, BgL_fz00_14558, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_tailzf3zf3), BgL_stkz00_12312, BgL_siza7eza7_14559, BgL_a1z00_14561);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_a2z00_14564;obj_t BgL_argsz00_14565;
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_arg3114z00_14566;
BgL_arg3114z00_14566 = 
CAR(
((obj_t)BgL_argsz00_14562)); 
BgL_a2z00_14564 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3114z00_14566), BgL_stkz00_12312); } 
BgL_argsz00_14565 = 
CDR(
((obj_t)BgL_argsz00_14562)); 
if(
NULLP(BgL_argsz00_14565))
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_compzd2call2zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_funz00), BgL_symbzd2funzd2_14560, BgL_fz00_14558, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_tailzf3zf3), BgL_stkz00_12312, BgL_siza7eza7_14559, BgL_a1z00_14561, BgL_a2z00_14564);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_a3z00_14567;obj_t BgL_argsz00_14568;
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_arg3113z00_14569;
BgL_arg3113z00_14569 = 
CAR(
((obj_t)BgL_argsz00_14565)); 
BgL_a3z00_14567 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3113z00_14569), BgL_stkz00_12312); } 
BgL_argsz00_14568 = 
CDR(
((obj_t)BgL_argsz00_14565)); 
if(
NULLP(BgL_argsz00_14568))
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_compzd2call3zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_funz00), BgL_symbzd2funzd2_14560, BgL_fz00_14558, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_tailzf3zf3), BgL_stkz00_12312, BgL_siza7eza7_14559, BgL_a1z00_14561, BgL_a2z00_14564, BgL_a3z00_14567);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_a4z00_14570;obj_t BgL_argsz00_14571;
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL_arg3112z00_14572;
BgL_arg3112z00_14572 = 
CAR(
((obj_t)BgL_argsz00_14568)); 
BgL_a4z00_14570 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3112z00_14572), BgL_stkz00_12312); } 
BgL_argsz00_14571 = 
CDR(
((obj_t)BgL_argsz00_14568)); 
if(
NULLP(BgL_argsz00_14571))
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_compzd2call4zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_funz00), BgL_symbzd2funzd2_14560, BgL_fz00_14558, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12311)))->BgL_tailzf3zf3), BgL_stkz00_12312, BgL_siza7eza7_14559, BgL_a1z00_14561, BgL_a2z00_14564, BgL_a3z00_14567, BgL_a4z00_14570);}  else 
{ /* Eval/evaluate_comp.scm 1046 */
return 
BGl_errorz00zz__errorz00(BGl_string5167z00zz__evaluate_compz00, BGl_string5282z00zz__evaluate_compz00, BGl_string5283z00zz__evaluate_compz00);} } } } } } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_goto1426 */
obj_t BGl_z62compzd2ev_goto1426zb0zz__evaluate_compz00(obj_t BgL_envz00_12313, obj_t BgL_ez00_12314, obj_t BgL_stkz00_12315)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 597 */
{ /* Eval/evaluate_comp.scm 600 */
obj_t BgL_slotz00_14576;long BgL_siza7eza7_14577;obj_t BgL_lstkz00_14578;
BgL_slotz00_14576 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12314)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12314)))->BgL_labelsz00)))->BgL_envz00)); 
BgL_siza7eza7_14577 = 
bgl_list_length(BgL_stkz00_12315); 
BgL_lstkz00_14578 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12314)))->BgL_labelsz00)))->BgL_stkz00); 
{ /* Eval/evaluate_comp.scm 602 */
long BgL_llstkz00_14579;obj_t BgL_substkz00_14580;obj_t BgL_boxesz00_14581;
BgL_llstkz00_14579 = 
bgl_list_length(BgL_lstkz00_14578); 
BgL_substkz00_14580 = 
BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_14578, BgL_stkz00_12315); 
{ /* Eval/evaluate_comp.scm 602 */
obj_t BgL_pairz00_14582;
BgL_pairz00_14582 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12314)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12314)))->BgL_labelsz00)))->BgL_boxesz00)); 
BgL_boxesz00_14581 = 
CDR(BgL_pairz00_14582); } 
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12314)))->BgL_argsz00), BgL_substkz00_14580))
{ /* Eval/evaluate_comp.scm 605 */
obj_t BgL_argsz00_14583;long BgL_nbargsz00_14584;
BgL_argsz00_14583 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12314)))->BgL_argsz00), BgL_stkz00_12315); 
BgL_nbargsz00_14584 = 
bgl_list_length(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12314)))->BgL_argsz00)); 
{ /* Eval/evaluate_comp.scm 606 */
obj_t BgL_zc3anonymousza33070ze3z83_14585;
BgL_zc3anonymousza33070ze3z83_14585 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33070ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3anonymousza33070ze3z83_14585, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14577)); 
PROCEDURE_SET(BgL_zc3anonymousza33070ze3z83_14585, 
(int)(((long)1)), 
BINT(BgL_llstkz00_14579)); 
PROCEDURE_SET(BgL_zc3anonymousza33070ze3z83_14585, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_12314))); 
PROCEDURE_SET(BgL_zc3anonymousza33070ze3z83_14585, 
(int)(((long)3)), BgL_argsz00_14583); 
PROCEDURE_SET(BgL_zc3anonymousza33070ze3z83_14585, 
(int)(((long)4)), BgL_boxesz00_14581); 
PROCEDURE_SET(BgL_zc3anonymousza33070ze3z83_14585, 
(int)(((long)5)), 
BINT(BgL_nbargsz00_14584)); 
PROCEDURE_SET(BgL_zc3anonymousza33070ze3z83_14585, 
(int)(((long)6)), BgL_slotz00_14576); 
return BgL_zc3anonymousza33070ze3z83_14585;} }  else 
{ /* Eval/evaluate_comp.scm 611 */
obj_t BgL_argsz00_14586;
{ /* Eval/evaluate_comp.scm 611 */
obj_t BgL_lz00_14587;long BgL_nz00_14588;
BgL_lz00_14587 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12314)))->BgL_argsz00); 
BgL_nz00_14588 = 
(BgL_siza7eza7_14577-BgL_llstkz00_14579); 
BgL_argsz00_14586 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_12315, BgL_lz00_14587, BgL_nz00_14588); } 
{ /* Eval/evaluate_comp.scm 612 */
obj_t BgL_zc3anonymousza33076ze3z83_14589;
BgL_zc3anonymousza33076ze3z83_14589 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33076ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3anonymousza33076ze3z83_14589, 
(int)(((long)0)), 
BINT(BgL_llstkz00_14579)); 
PROCEDURE_SET(BgL_zc3anonymousza33076ze3z83_14589, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_12314))); 
PROCEDURE_SET(BgL_zc3anonymousza33076ze3z83_14589, 
(int)(((long)2)), BgL_argsz00_14586); 
PROCEDURE_SET(BgL_zc3anonymousza33076ze3z83_14589, 
(int)(((long)3)), BgL_boxesz00_14581); 
PROCEDURE_SET(BgL_zc3anonymousza33076ze3z83_14589, 
(int)(((long)4)), BgL_slotz00_14576); 
return BgL_zc3anonymousza33076ze3z83_14589;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3070> */
obj_t BGl_z62zc3anonymousza33070ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12316, obj_t BgL_sz00_12324)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 606 */
{ /* Eval/evaluate_comp.scm 606 */
long BgL_siza7eza7_12317;long BgL_llstkz00_12318;BgL_ev_gotoz00_bglt BgL_i1141z00_12319;obj_t BgL_argsz00_12320;obj_t BgL_boxesz00_12321;long BgL_nbargsz00_12322;obj_t BgL_slotz00_12323;
BgL_siza7eza7_12317 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12316, 
(int)(((long)0)))); 
BgL_llstkz00_12318 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12316, 
(int)(((long)1)))); 
BgL_i1141z00_12319 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_12316, 
(int)(((long)2)))); 
BgL_argsz00_12320 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12316, 
(int)(((long)3)))); 
BgL_boxesz00_12321 = 
PROCEDURE_REF(BgL_envz00_12316, 
(int)(((long)4))); 
BgL_nbargsz00_12322 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12316, 
(int)(((long)5)))); 
BgL_slotz00_12323 = 
PROCEDURE_REF(BgL_envz00_12316, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 606 */
obj_t BgL_bpz00_14590;
BgL_bpz00_14590 = 
VECTOR_REF(
((obj_t)BgL_sz00_12324),((long)0)); 
{ /* Eval/evaluate_comp.scm 607 */
long BgL_spz00_14591;long BgL_lspz00_14592;
BgL_spz00_14591 = 
(
(long)CINT(BgL_bpz00_14590)+BgL_siza7eza7_12317); 
BgL_lspz00_14592 = 
(
(long)CINT(BgL_bpz00_14590)+BgL_llstkz00_12318); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_12324, BgL_argsz00_12320, BgL_boxesz00_12321, BgL_spz00_14591, 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1141z00_12319))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 609 */
long BgL_arg3072z00_14593;
BgL_arg3072z00_14593 = 
(BgL_spz00_14591+BgL_nbargsz00_12322); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_12324, BgL_lspz00_14592, BgL_sz00_12324, 
BINT(BgL_spz00_14591), 
BINT(BgL_arg3072z00_14593)); } 
return 
CDR(
((obj_t)BgL_slotz00_12323));} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3076> */
obj_t BGl_z62zc3anonymousza33076ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12325, obj_t BgL_sz00_12331)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 612 */
{ /* Eval/evaluate_comp.scm 612 */
long BgL_llstkz00_12326;BgL_ev_gotoz00_bglt BgL_i1141z00_12327;obj_t BgL_argsz00_12328;obj_t BgL_boxesz00_12329;obj_t BgL_slotz00_12330;
BgL_llstkz00_12326 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)0)))); 
BgL_i1141z00_12327 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)1)))); 
BgL_argsz00_12328 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)2)))); 
BgL_boxesz00_12329 = 
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)3))); 
BgL_slotz00_12330 = 
PROCEDURE_REF(BgL_envz00_12325, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 612 */
obj_t BgL_bpz00_14594;
BgL_bpz00_14594 = 
VECTOR_REF(
((obj_t)BgL_sz00_12331),((long)0)); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_12331, BgL_argsz00_12328, BgL_boxesz00_12329, 
(
(long)CINT(BgL_bpz00_14594)+BgL_llstkz00_12326), 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1141z00_12327))->BgL_locz00)); 
return 
CDR(
((obj_t)BgL_slotz00_12330));} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_labels1424 */
obj_t BGl_z62compzd2ev_labels1424zb0zz__evaluate_compz00(obj_t BgL_envz00_12332, obj_t BgL_ez00_12333, obj_t BgL_stkz00_12334)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 565 */
{ 
obj_t BgL_fz00_14597;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12333)))->BgL_stkz00)=((obj_t)BgL_stkz00_12334),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_envz00_14599;
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_l1328z00_14600;
BgL_l1328z00_14600 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12333)))->BgL_varsz00); 
if(
NULLP(BgL_l1328z00_14600))
{ /* Eval/evaluate_comp.scm 572 */
BgL_envz00_14599 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_head1330z00_14601;
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_res4700z00_14602;
BgL_res4700z00_14602 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1330z00_14601 = BgL_res4700z00_14602; } 
{ 
obj_t BgL_l1328z00_14604;obj_t BgL_tail1331z00_14605;
BgL_l1328z00_14604 = BgL_l1328z00_14600; 
BgL_tail1331z00_14605 = BgL_head1330z00_14601; 
BgL_zc3anonymousza33061ze3z83_14603:
if(
NULLP(BgL_l1328z00_14604))
{ /* Eval/evaluate_comp.scm 572 */
BgL_envz00_14599 = 
CDR(BgL_head1330z00_14601); }  else 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_newtail1332z00_14606;
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_arg3064z00_14607;
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_vz00_14608;
BgL_vz00_14608 = 
CAR(
((obj_t)BgL_l1328z00_14604)); 
BgL_arg3064z00_14607 = 
MAKE_YOUNG_PAIR(BgL_vz00_14608, BGl_symbol5284z00zz__evaluate_compz00); } 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_res4702z00_14609;
BgL_res4702z00_14609 = 
MAKE_YOUNG_PAIR(BgL_arg3064z00_14607, BNIL); 
BgL_newtail1332z00_14606 = BgL_res4702z00_14609; } } 
SET_CDR(BgL_tail1331z00_14605, BgL_newtail1332z00_14606); 
{ /* Eval/evaluate_comp.scm 572 */
obj_t BgL_arg3063z00_14610;
BgL_arg3063z00_14610 = 
CDR(
((obj_t)BgL_l1328z00_14604)); 
{ 
obj_t BgL_tail1331z00_28234;obj_t BgL_l1328z00_28233;
BgL_l1328z00_28233 = BgL_arg3063z00_14610; 
BgL_tail1331z00_28234 = BgL_newtail1332z00_14606; 
BgL_tail1331z00_14605 = BgL_tail1331z00_28234; 
BgL_l1328z00_14604 = BgL_l1328z00_28233; 
goto BgL_zc3anonymousza33061ze3z83_14603;} } } } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12333)))->BgL_envz00)=((obj_t)BgL_envz00_14599),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 575 */
obj_t BgL_g1336z00_14611;
BgL_g1336z00_14611 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12333)))->BgL_valsz00); 
{ 
obj_t BgL_ll1333z00_14613;obj_t BgL_ll1334z00_14614;
BgL_ll1333z00_14613 = BgL_envz00_14599; 
BgL_ll1334z00_14614 = BgL_g1336z00_14611; 
BgL_zc3anonymousza33051ze3z83_14612:
if(
NULLP(BgL_ll1333z00_14613))
{ /* Eval/evaluate_comp.scm 575 */((bool_t)1); }  else 
{ /* Eval/evaluate_comp.scm 575 */
{ /* Eval/evaluate_comp.scm 577 */
obj_t BgL_slotz00_14615;obj_t BgL_valz00_14616;
BgL_slotz00_14615 = 
CAR(
((obj_t)BgL_ll1333z00_14613)); 
BgL_valz00_14616 = 
CAR(
((obj_t)BgL_ll1334z00_14614)); 
{ /* Eval/evaluate_comp.scm 578 */
obj_t BgL_arg3053z00_14617;
{ /* Eval/evaluate_comp.scm 578 */
obj_t BgL_arg3054z00_14618;
{ /* Eval/evaluate_comp.scm 578 */
obj_t BgL_arg3055z00_14619;obj_t BgL_arg3056z00_14620;
BgL_arg3055z00_14619 = 
CDR(
((obj_t)BgL_valz00_14616)); 
{ /* Eval/evaluate_comp.scm 578 */
obj_t BgL_arg3057z00_14621;
BgL_arg3057z00_14621 = 
CAR(
((obj_t)BgL_valz00_14616)); 
BgL_arg3056z00_14620 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12334, BgL_arg3057z00_14621); } 
BgL_arg3054z00_14618 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3055z00_14619), BgL_arg3056z00_14620); } 
BgL_fz00_14597 = BgL_arg3054z00_14618; 
{ /* Eval/evaluate_comp.scm 567 */
obj_t BgL_objz00_14598;
BgL_objz00_14598 = BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00; 
{ /* Eval/evaluate_comp.scm 567 */
obj_t BgL_tmpz00_28252;
BgL_tmpz00_28252 = 
((obj_t)BgL_fz00_14597); 
PROCEDURE_ATTR_SET(BgL_tmpz00_28252, BgL_objz00_14598); } BgL_objz00_14598; } 
BgL_arg3053z00_14617 = BgL_fz00_14597; } 
{ /* Eval/evaluate_comp.scm 577 */
obj_t BgL_tmpz00_28255;
BgL_tmpz00_28255 = 
((obj_t)BgL_slotz00_14615); 
SET_CDR(BgL_tmpz00_28255, BgL_arg3053z00_14617); } } } 
{ /* Eval/evaluate_comp.scm 575 */
obj_t BgL_arg3058z00_14622;obj_t BgL_arg3059z00_14623;
BgL_arg3058z00_14622 = 
CDR(
((obj_t)BgL_ll1333z00_14613)); 
BgL_arg3059z00_14623 = 
CDR(
((obj_t)BgL_ll1334z00_14614)); 
{ 
obj_t BgL_ll1334z00_28263;obj_t BgL_ll1333z00_28262;
BgL_ll1333z00_28262 = BgL_arg3058z00_14622; 
BgL_ll1334z00_28263 = BgL_arg3059z00_14623; 
BgL_ll1334z00_14614 = BgL_ll1334z00_28263; 
BgL_ll1333z00_14613 = BgL_ll1333z00_28262; 
goto BgL_zc3anonymousza33051ze3z83_14612;} } } } } } 
{ /* Eval/evaluate_comp.scm 582 */
obj_t BgL_bodyz00_14624;
BgL_bodyz00_14624 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12333)))->BgL_bodyz00), BgL_stkz00_12334); 
{ /* Eval/evaluate_comp.scm 583 */
obj_t BgL_zc3anonymousza33065ze3z83_14625;
BgL_zc3anonymousza33065ze3z83_14625 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33065ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza33065ze3z83_14625, 
(int)(((long)0)), BgL_bodyz00_14624); 
return BgL_zc3anonymousza33065ze3z83_14625;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3065> */
obj_t BGl_z62zc3anonymousza33065ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12335, obj_t BgL_sz00_12337)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 583 */
{ /* Eval/evaluate_comp.scm 583 */
obj_t BgL_bodyz00_12336;
BgL_bodyz00_12336 = 
PROCEDURE_REF(BgL_envz00_12335, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 583 */
obj_t BgL_bpz00_14626;
BgL_bpz00_14626 = 
VECTOR_REF(
((obj_t)BgL_sz00_12337),((long)0)); 
return 
BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(BgL_bodyz00_12336, BgL_sz00_12337);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_synchronize1422 */
obj_t BGl_z62compzd2ev_synchroniza7e1422z17zz__evaluate_compz00(obj_t BgL_envz00_12338, obj_t BgL_ez00_12339, obj_t BgL_stkz00_12340)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 545 */
{ /* Eval/evaluate_comp.scm 547 */
obj_t BgL_mutexz00_14628;obj_t BgL_prelockz00_14629;obj_t BgL_bodyz00_14630;
BgL_mutexz00_14628 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12339)))->BgL_mutexz00), BgL_stkz00_12340); 
BgL_prelockz00_14629 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12339)))->BgL_prelockz00), BgL_stkz00_12340); 
BgL_bodyz00_14630 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12339)))->BgL_bodyz00), BgL_stkz00_12340); 
{ /* Eval/evaluate_comp.scm 550 */
obj_t BgL_zc3anonymousza33044ze3z83_14631;
BgL_zc3anonymousza33044ze3z83_14631 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33044ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza33044ze3z83_14631, 
(int)(((long)0)), BgL_mutexz00_14628); 
PROCEDURE_SET(BgL_zc3anonymousza33044ze3z83_14631, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12339))); 
PROCEDURE_SET(BgL_zc3anonymousza33044ze3z83_14631, 
(int)(((long)2)), BgL_prelockz00_14629); 
PROCEDURE_SET(BgL_zc3anonymousza33044ze3z83_14631, 
(int)(((long)3)), BgL_bodyz00_14630); 
return BgL_zc3anonymousza33044ze3z83_14631;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3044> */
obj_t BGl_z62zc3anonymousza33044ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12341, obj_t BgL_sz00_12346)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 550 */
{ /* Eval/evaluate_comp.scm 550 */
obj_t BgL_mutexz00_12342;BgL_ev_synchroniza7eza7_bglt BgL_i1138z00_12343;obj_t BgL_prelockz00_12344;obj_t BgL_bodyz00_12345;
BgL_mutexz00_12342 = 
PROCEDURE_REF(BgL_envz00_12341, 
(int)(((long)0))); 
BgL_i1138z00_12343 = 
((BgL_ev_synchroniza7eza7_bglt)
PROCEDURE_REF(BgL_envz00_12341, 
(int)(((long)1)))); 
BgL_prelockz00_12344 = 
PROCEDURE_REF(BgL_envz00_12341, 
(int)(((long)2))); 
BgL_bodyz00_12345 = 
PROCEDURE_REF(BgL_envz00_12341, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 550 */
obj_t BgL_bpz00_14632;
BgL_bpz00_14632 = 
VECTOR_REF(
((obj_t)BgL_sz00_12346),((long)0)); 
{ /* Eval/evaluate_comp.scm 551 */
obj_t BgL_mz00_14633;
BgL_mz00_14633 = 
PROCEDURE_ENTRY(BgL_mutexz00_12342)(BgL_mutexz00_12342, BgL_sz00_12346, BEOA); 
{ /* Eval/evaluate_comp.scm 552 */
bool_t BgL_testz00_28314;
{ /* Eval/evaluate_comp.scm 552 */
bool_t BgL_res4697z00_14634;
BgL_res4697z00_14634 = 
BGL_MUTEXP(BgL_mz00_14633); 
BgL_testz00_28314 = BgL_res4697z00_14634; } 
if(BgL_testz00_28314)
{ /* Eval/evaluate_comp.scm 553 */
obj_t BgL_pz00_14635;
BgL_pz00_14635 = 
PROCEDURE_ENTRY(BgL_prelockz00_12344)(BgL_prelockz00_12344, BgL_sz00_12346, BEOA); 
{ /* Eval/evaluate_comp.scm 555 */
obj_t BgL_za2za2resza2za2z00_14636;
if(
PAIRP(BgL_pz00_14635))
{ /* Eval/evaluate_comp.scm 556 */
obj_t BgL_top5421z00_28323;
BgL_top5421z00_28323 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_14633, BgL_pz00_14635); 
BGL_EXITD_PUSH_PROTECT(BgL_top5421z00_28323, BgL_mz00_14633); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 556 */
obj_t BgL_tmp5420z00_28322;
BgL_tmp5420z00_28322 = 
PROCEDURE_ENTRY(BgL_bodyz00_12345)(BgL_bodyz00_12345, BgL_sz00_12346, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5421z00_28323); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_14633); 
BgL_za2za2resza2za2z00_14636 = BgL_tmp5420z00_28322; } }  else 
{ /* Eval/evaluate_comp.scm 557 */
obj_t BgL_top5423z00_28334;
BgL_top5423z00_28334 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mz00_14633); 
BGL_EXITD_PUSH_PROTECT(BgL_top5423z00_28334, BgL_mz00_14633); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 557 */
obj_t BgL_tmp5422z00_28333;
BgL_tmp5422z00_28333 = 
PROCEDURE_ENTRY(BgL_bodyz00_12345)(BgL_bodyz00_12345, BgL_sz00_12346, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5423z00_28334); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_14633); 
BgL_za2za2resza2za2z00_14636 = BgL_tmp5422z00_28333; } } 
VECTOR_SET(
((obj_t)BgL_sz00_12346),((long)0),BgL_bpz00_14632); 
return BgL_za2za2resza2za2z00_14636;} }  else 
{ /* Eval/evaluate_comp.scm 552 */
return 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_string5286z00zz__evaluate_compz00, BGl_string5287z00zz__evaluate_compz00, BgL_mz00_14633, 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_i1138z00_12343))->BgL_locz00));} } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_with-handler1420 */
obj_t BGl_z62compzd2ev_withzd2handler1420z62zz__evaluate_compz00(obj_t BgL_envz00_12347, obj_t BgL_ez00_12348, obj_t BgL_stkz00_12349)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 536 */
{ /* Eval/evaluate_comp.scm 538 */
obj_t BgL_handlerz00_14638;obj_t BgL_bodyz00_14639;
BgL_handlerz00_14638 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_12348)))->BgL_handlerz00), BgL_stkz00_12349); 
BgL_bodyz00_14639 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_12348)))->BgL_bodyz00), BgL_stkz00_12349); 
{ /* Eval/evaluate_comp.scm 539 */
obj_t BgL_zc3anonymousza33030ze3z83_14640;
BgL_zc3anonymousza33030ze3z83_14640 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33030ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza33030ze3z83_14640, 
(int)(((long)0)), BgL_handlerz00_14638); 
PROCEDURE_SET(BgL_zc3anonymousza33030ze3z83_14640, 
(int)(((long)1)), BgL_bodyz00_14639); 
return BgL_zc3anonymousza33030ze3z83_14640;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3030> */
obj_t BGl_z62zc3anonymousza33030ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12350, obj_t BgL_sz00_12353)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 539 */
{ /* Eval/evaluate_comp.scm 539 */
obj_t BgL_handlerz00_12351;obj_t BgL_bodyz00_12352;
BgL_handlerz00_12351 = 
PROCEDURE_REF(BgL_envz00_12350, 
(int)(((long)0))); 
BgL_bodyz00_12352 = 
PROCEDURE_REF(BgL_envz00_12350, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 539 */
obj_t BgL_bpz00_14641;
BgL_bpz00_14641 = 
VECTOR_REF(
((obj_t)BgL_sz00_12353),((long)0)); 
{ /* Eval/evaluate_comp.scm 540 */
obj_t BgL_hz00_14642;
BgL_hz00_14642 = 
PROCEDURE_ENTRY(BgL_handlerz00_12351)(BgL_handlerz00_12351, BgL_sz00_12353, BEOA); 
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_za2za2resza2za2z00_14643;
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_res1128z00_14644;
BgL_res1128z00_14644 = 
MAKE_CELL(BUNSPEC); 
if(
CBOOL(
BGl_zc3exitza33037ze3ze70z64zz__evaluate_compz00(BgL_sz00_12353, BgL_bodyz00_12352, BgL_res1128z00_14644)))
{ /* Eval/evaluate_comp.scm 542 */
BgL_za2za2resza2za2z00_14643 = 
PROCEDURE_ENTRY(BgL_hz00_14642)(BgL_hz00_14642, 
CELL_REF(BgL_res1128z00_14644), BEOA); }  else 
{ /* Eval/evaluate_comp.scm 542 */
BgL_za2za2resza2za2z00_14643 = 
CELL_REF(BgL_res1128z00_14644); } } 
VECTOR_SET(
((obj_t)BgL_sz00_12353),((long)0),BgL_bpz00_14641); 
return BgL_za2za2resza2za2z00_14643;} } } } } 
BGL_FUNCTION_END;
}



/* <exit:3037>~0 */
obj_t BGl_zc3exitza33037ze3ze70z64zz__evaluate_compz00(obj_t BgL_sz00_12541, obj_t BgL_bodyz00_12540, obj_t BgL_res1128z00_12539)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 542 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1134z00_4197;
if( SET_EXIT(BgL_an_exit1134z00_4197) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1134z00_4197 = 
(void *)jmpbuf; 
{ /* Eval/evaluate_comp.scm 542 */

PUSH_EXIT(BgL_an_exit1134z00_4197, ((long)1)); 
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_an_exitd1135z00_4198;
BgL_an_exitd1135z00_4198 = 
((obj_t)(&exitd)); 
{ /* Eval/evaluate_comp.scm 542 */
bool_t BgL_res1137z00_4201;
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_ohs1126z00_4202;
BgL_ohs1126z00_4202 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_exitd1131z00_4203;
BgL_exitd1131z00_4203 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3anonymousza33041ze3z83_11321;
BgL_zc3anonymousza33041ze3z83_11321 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza33041ze3z83_11321, 
(int)(((long)0)), BgL_ohs1126z00_4202); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1131z00_4203, BgL_zc3anonymousza33041ze3z83_11321); 
{ /* Eval/evaluate_comp.scm 542 */
bool_t BgL_tmp1133z00_4205;
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_arg3038z00_4206;
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_zc3anonymousza33040ze3z83_11320;
BgL_zc3anonymousza33040ze3z83_11320 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33040ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza33040ze3z83_11320, 
(int)(((long)0)), 
((obj_t)BgL_res1128z00_12539)); 
PROCEDURE_SET(BgL_zc3anonymousza33040ze3z83_11320, 
(int)(((long)1)), BgL_an_exitd1135z00_4198); 
BgL_arg3038z00_4206 = 
MAKE_YOUNG_PAIR(BgL_zc3anonymousza33040ze3z83_11320, BgL_ohs1126z00_4202); } 
BGL_ERROR_HANDLER_SET(BgL_arg3038z00_4206); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_auxz00_12355;
BgL_auxz00_12355 = 
PROCEDURE_ENTRY(BgL_bodyz00_12540)(BgL_bodyz00_12540, BgL_sz00_12541, BEOA); 
CELL_SET(BgL_res1128z00_12539, BgL_auxz00_12355); } 
BgL_tmp1133z00_4205 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1131z00_4203); 
BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00(BgL_zc3anonymousza33041ze3z83_11321); 
BgL_res1137z00_4201 = BgL_tmp1133z00_4205; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1137z00_4201);} } } 
} } 
BGL_FUNCTION_END;
}



/* &<anonymous:3040> */
obj_t BGl_z62zc3anonymousza33040ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12357, obj_t BgL_ez00_12360)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 542 */
{ /* Eval/evaluate_comp.scm 542 */
obj_t BgL_res1128z00_12358;obj_t BgL_an_exitd1135z00_12359;
BgL_res1128z00_12358 = 
PROCEDURE_REF(BgL_envz00_12357, 
(int)(((long)0))); 
BgL_an_exitd1135z00_12359 = 
PROCEDURE_REF(BgL_envz00_12357, 
(int)(((long)1))); 
CELL_SET(BgL_res1128z00_12358, BgL_ez00_12360); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1135z00_12359, BTRUE);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:3041> */
obj_t BGl_z62zc3anonymousza33041ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12362)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 542 */
{ 
obj_t BgL_ohs1126z00_12363;
BgL_ohs1126z00_12363 = 
PROCEDURE_REF(BgL_envz00_12362, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1126z00_12363); 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* &comp-ev_unwind-prote1418 */
obj_t BGl_z62compzd2ev_unwindzd2prote1418z62zz__evaluate_compz00(obj_t BgL_envz00_12364, obj_t BgL_ez00_12365, obj_t BgL_stkz00_12366)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 527 */
{ /* Eval/evaluate_comp.scm 529 */
obj_t BgL_ez00_14646;obj_t BgL_bodyz00_14647;
BgL_ez00_14646 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_12365)))->BgL_ez00), BgL_stkz00_12366); 
BgL_bodyz00_14647 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_12365)))->BgL_bodyz00), BgL_stkz00_12366); 
{ /* Eval/evaluate_comp.scm 530 */
obj_t BgL_zc3anonymousza33026ze3z83_14648;
BgL_zc3anonymousza33026ze3z83_14648 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33026ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza33026ze3z83_14648, 
(int)(((long)0)), BgL_bodyz00_14647); 
PROCEDURE_SET(BgL_zc3anonymousza33026ze3z83_14648, 
(int)(((long)1)), BgL_ez00_14646); 
return BgL_zc3anonymousza33026ze3z83_14648;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3026> */
obj_t BGl_z62zc3anonymousza33026ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12367, obj_t BgL_sz00_12370)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 530 */
{ /* Eval/evaluate_comp.scm 530 */
obj_t BgL_bodyz00_12368;obj_t BgL_ez00_12369;
BgL_bodyz00_12368 = 
PROCEDURE_REF(BgL_envz00_12367, 
(int)(((long)0))); 
BgL_ez00_12369 = 
PROCEDURE_REF(BgL_envz00_12367, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 530 */
obj_t BgL_bpz00_14649;
BgL_bpz00_14649 = 
VECTOR_REF(
((obj_t)BgL_sz00_12370),((long)0)); 
{ /* Eval/evaluate_comp.scm 532 */
obj_t BgL_exitd1122z00_14650;
BgL_exitd1122z00_14650 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 533 */
obj_t BgL_zc3anonymousza33027ze3z83_14651;
BgL_zc3anonymousza33027ze3z83_14651 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33027ze3z83_14651, 
(int)(((long)0)), BgL_sz00_12370); 
PROCEDURE_SET(BgL_zc3anonymousza33027ze3z83_14651, 
(int)(((long)1)), BgL_bpz00_14649); 
PROCEDURE_SET(BgL_zc3anonymousza33027ze3z83_14651, 
(int)(((long)2)), BgL_bodyz00_12368); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1122z00_14650, BgL_zc3anonymousza33027ze3z83_14651); 
{ /* Eval/evaluate_comp.scm 532 */
obj_t BgL_tmp1124z00_14652;
BgL_tmp1124z00_14652 = 
PROCEDURE_ENTRY(BgL_ez00_12369)(BgL_ez00_12369, BgL_sz00_12370, BEOA); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1122z00_14650); 
BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00(BgL_zc3anonymousza33027ze3z83_14651); 
return BgL_tmp1124z00_14652;} } } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3027> */
obj_t BGl_z62zc3anonymousza33027ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12371)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 532 */
{ /* Eval/evaluate_comp.scm 533 */
obj_t BgL_sz00_12372;obj_t BgL_savedzd2bpzd2_12373;obj_t BgL_bodyz00_12374;
BgL_sz00_12372 = 
PROCEDURE_REF(BgL_envz00_12371, 
(int)(((long)0))); 
BgL_savedzd2bpzd2_12373 = 
PROCEDURE_REF(BgL_envz00_12371, 
(int)(((long)1))); 
BgL_bodyz00_12374 = 
PROCEDURE_REF(BgL_envz00_12371, 
(int)(((long)2))); 
VECTOR_SET(
((obj_t)BgL_sz00_12372),((long)0),BgL_savedzd2bpzd2_12373); 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12374)(BgL_bodyz00_12374, BgL_sz00_12372, BEOA);} } 
BGL_FUNCTION_END;
}



/* &comp-ev_bind-exit1416 */
obj_t BGl_z62compzd2ev_bindzd2exit1416z62zz__evaluate_compz00(obj_t BgL_envz00_12375, obj_t BgL_ez00_12376, obj_t BgL_stkz00_12377)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 516 */
{ /* Eval/evaluate_comp.scm 518 */
long BgL_siza7eza7_14654;obj_t BgL_nstkz00_14655;
BgL_siza7eza7_14654 = 
bgl_list_length(BgL_stkz00_12377); 
{ /* Eval/evaluate_comp.scm 518 */
obj_t BgL_arg3024z00_14656;
{ /* Eval/evaluate_comp.scm 518 */
BgL_ev_varz00_bglt BgL_arg3025z00_14657;
BgL_arg3025z00_14657 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12376)))->BgL_varz00); 
BgL_arg3024z00_14656 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg3025z00_14657), BNIL); } 
BgL_nstkz00_14655 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12377, BgL_arg3024z00_14656); } 
{ /* Eval/evaluate_comp.scm 519 */
obj_t BgL_bodyz00_14658;obj_t BgL_effzf3zf3_14659;
BgL_bodyz00_14658 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12376)))->BgL_bodyz00), BgL_nstkz00_14655); 
BgL_effzf3zf3_14659 = 
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12376)))->BgL_varz00)))->BgL_effz00); 
{ /* Eval/evaluate_comp.scm 520 */
obj_t BgL_zc3anonymousza33019ze3z83_14660;
BgL_zc3anonymousza33019ze3z83_14660 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33019ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza33019ze3z83_14660, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14654)); 
PROCEDURE_SET(BgL_zc3anonymousza33019ze3z83_14660, 
(int)(((long)1)), BgL_effzf3zf3_14659); 
PROCEDURE_SET(BgL_zc3anonymousza33019ze3z83_14660, 
(int)(((long)2)), BgL_bodyz00_14658); 
return BgL_zc3anonymousza33019ze3z83_14660;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:3019> */
obj_t BGl_z62zc3anonymousza33019ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12378, obj_t BgL_sz00_12382)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 520 */
{ /* Eval/evaluate_comp.scm 520 */
long BgL_siza7eza7_12379;obj_t BgL_effzf3zf3_12380;obj_t BgL_bodyz00_12381;
BgL_siza7eza7_12379 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12378, 
(int)(((long)0)))); 
BgL_effzf3zf3_12380 = 
PROCEDURE_REF(BgL_envz00_12378, 
(int)(((long)1))); 
BgL_bodyz00_12381 = 
PROCEDURE_REF(BgL_envz00_12378, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 520 */
obj_t BgL_bpz00_14661;
BgL_bpz00_14661 = 
VECTOR_REF(
((obj_t)BgL_sz00_12382),((long)0)); 
{ /* Eval/evaluate_comp.scm 522 */
obj_t BgL_za2za2resza2za2z00_14662;
BgL_za2za2resza2za2z00_14662 = 
BGl_zc3exitza33020ze3ze70z64zz__evaluate_compz00(BgL_bodyz00_12381, BgL_sz00_12382, BgL_effzf3zf3_12380, BgL_siza7eza7_12379, BgL_bpz00_14661); 
VECTOR_SET(
((obj_t)BgL_sz00_12382),((long)0),BgL_bpz00_14661); 
return BgL_za2za2resza2za2z00_14662;} } } } 
BGL_FUNCTION_END;
}



/* <exit:3020>~0 */
obj_t BGl_zc3exitza33020ze3ze70z64zz__evaluate_compz00(obj_t BgL_bodyz00_12538, obj_t BgL_sz00_12537, obj_t BgL_effzf3zf3_12536, long BgL_siza7eza7_12535, obj_t BgL_bpz00_12534)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 522 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1117z00_4132;
if( SET_EXIT(BgL_an_exit1117z00_4132) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1117z00_4132 = 
(void *)jmpbuf; 
{ /* Eval/evaluate_comp.scm 522 */

PUSH_EXIT(BgL_an_exit1117z00_4132, ((long)1)); 
{ /* Eval/evaluate_comp.scm 522 */
obj_t BgL_an_exitd1118z00_4133;
BgL_an_exitd1118z00_4133 = 
((obj_t)(&exitd)); 
{ /* Eval/evaluate_comp.scm 522 */
obj_t BgL_exitz00_11327;
BgL_exitz00_11327 = 
MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_exitz00_11327, 
(int)(((long)0)), BgL_an_exitd1118z00_4133); 
{ /* Eval/evaluate_comp.scm 522 */
obj_t BgL_res1120z00_4136;
{ /* Eval/evaluate_comp.scm 523 */
long BgL_arg3021z00_4137;obj_t BgL_arg3022z00_4138;
BgL_arg3021z00_4137 = 
(
(long)CINT(BgL_bpz00_12534)+BgL_siza7eza7_12535); 
if(
CBOOL(BgL_effzf3zf3_12536))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_8851;
BgL_newz00_8851 = 
create_struct(BGl_symbol5177z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28512;
BgL_tmpz00_28512 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_8851, BgL_tmpz00_28512, BgL_exitz00_11327); } 
BgL_arg3022z00_4138 = BgL_newz00_8851; }  else 
{ /* Eval/evaluate_comp.scm 523 */
BgL_arg3022z00_4138 = BgL_exitz00_11327; } 
VECTOR_SET(
((obj_t)BgL_sz00_12537),BgL_arg3021z00_4137,BgL_arg3022z00_4138); } 
BgL_res1120z00_4136 = 
PROCEDURE_ENTRY(BgL_bodyz00_12538)(BgL_bodyz00_12538, BgL_sz00_12537, BEOA); 
POP_EXIT(); 
return BgL_res1120z00_4136;} } } } 
} } 
BGL_FUNCTION_END;
}



/* &exit */
obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_12383, obj_t BgL_val1119z00_12385)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 522 */
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(
PROCEDURE_REF(BgL_envz00_12383, 
(int)(((long)0))), BgL_val1119z00_12385);} 
BGL_FUNCTION_END;
}



/* &comp-ev_letrec1414 */
obj_t BGl_z62compzd2ev_letrec1414zb0zz__evaluate_compz00(obj_t BgL_envz00_12386, obj_t BgL_ez00_12387, obj_t BgL_stkz00_12388)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 487 */
{ /* Eval/evaluate_comp.scm 489 */
long BgL_siza7eza7_14664;obj_t BgL_nstkz00_14665;
BgL_siza7eza7_14664 = 
bgl_list_length(BgL_stkz00_12388); 
{ /* Eval/evaluate_comp.scm 489 */
obj_t BgL_arg3018z00_14666;
BgL_arg3018z00_14666 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12387))))->BgL_varsz00); 
BgL_nstkz00_14665 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12388, BgL_arg3018z00_14666); } 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_cvalsz00_14667;obj_t BgL_bodyz00_14668;
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_l1314z00_14669;
BgL_l1314z00_14669 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12387))))->BgL_valsz00); 
if(
NULLP(BgL_l1314z00_14669))
{ /* Eval/evaluate_comp.scm 490 */
BgL_cvalsz00_14667 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_head1316z00_14670;
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_res4676z00_14671;
BgL_res4676z00_14671 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1316z00_14670 = BgL_res4676z00_14671; } 
{ 
obj_t BgL_l1314z00_14673;obj_t BgL_tail1317z00_14674;
BgL_l1314z00_14673 = BgL_l1314z00_14669; 
BgL_tail1317z00_14674 = BgL_head1316z00_14670; 
BgL_zc3anonymousza33013ze3z83_14672:
if(
NULLP(BgL_l1314z00_14673))
{ /* Eval/evaluate_comp.scm 490 */
BgL_cvalsz00_14667 = 
CDR(BgL_head1316z00_14670); }  else 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_newtail1318z00_14675;
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_arg3016z00_14676;
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_vz00_14677;
BgL_vz00_14677 = 
CAR(
((obj_t)BgL_l1314z00_14673)); 
BgL_arg3016z00_14676 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_14677), BgL_nstkz00_14665); } 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_res4678z00_14678;
BgL_res4678z00_14678 = 
MAKE_YOUNG_PAIR(BgL_arg3016z00_14676, BNIL); 
BgL_newtail1318z00_14675 = BgL_res4678z00_14678; } } 
SET_CDR(BgL_tail1317z00_14674, BgL_newtail1318z00_14675); 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_arg3015z00_14679;
BgL_arg3015z00_14679 = 
CDR(
((obj_t)BgL_l1314z00_14673)); 
{ 
obj_t BgL_tail1317z00_28548;obj_t BgL_l1314z00_28547;
BgL_l1314z00_28547 = BgL_arg3015z00_14679; 
BgL_tail1317z00_28548 = BgL_newtail1318z00_14675; 
BgL_tail1317z00_14674 = BgL_tail1317z00_28548; 
BgL_l1314z00_14673 = BgL_l1314z00_28547; 
goto BgL_zc3anonymousza33013ze3z83_14672;} } } } } } 
{ /* Eval/evaluate_comp.scm 491 */
BgL_ev_exprz00_bglt BgL_arg3017z00_14680;
BgL_arg3017z00_14680 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12387))))->BgL_bodyz00); 
BgL_bodyz00_14668 = 
BGl_compz00zz__evaluate_compz00(BgL_arg3017z00_14680, BgL_nstkz00_14665); } 
{ /* Eval/evaluate_comp.scm 492 */
bool_t BgL_testz00_28553;
{ 
obj_t BgL_l1319z00_14682;
BgL_l1319z00_14682 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12387))))->BgL_valsz00); 
BgL_zc3anonymousza33010ze3z83_14681:
if(
NULLP(BgL_l1319z00_14682))
{ /* Eval/evaluate_comp.scm 492 */
BgL_testz00_28553 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 492 */
bool_t BgL_testz00_28556;
{ /* Eval/evaluate_comp.scm 492 */
obj_t BgL_vz00_14683;
BgL_vz00_14683 = 
CAR(
((obj_t)BgL_l1319z00_14682)); 
BgL_testz00_28556 = 
BGl_isazf3zf3zz__objectz00(BgL_vz00_14683, BGl_ev_absz00zz__evaluate_typesz00); } 
if(BgL_testz00_28556)
{ 
obj_t BgL_l1319z00_28560;
BgL_l1319z00_28560 = 
CDR(
((obj_t)BgL_l1319z00_14682)); 
BgL_l1319z00_14682 = BgL_l1319z00_28560; 
goto BgL_zc3anonymousza33010ze3z83_14681;}  else 
{ /* Eval/evaluate_comp.scm 492 */
BgL_testz00_28553 = ((bool_t)0)
; } } } 
if(BgL_testz00_28553)
{ /* Eval/evaluate_comp.scm 493 */
obj_t BgL_zc3anonymousza32980ze3z83_14684;
BgL_zc3anonymousza32980ze3z83_14684 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32980ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32980ze3z83_14684, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14664)); 
PROCEDURE_SET(BgL_zc3anonymousza32980ze3z83_14684, 
(int)(((long)1)), BgL_cvalsz00_14667); 
PROCEDURE_SET(BgL_zc3anonymousza32980ze3z83_14684, 
(int)(((long)2)), BgL_bodyz00_14668); 
return BgL_zc3anonymousza32980ze3z83_14684;}  else 
{ /* Eval/evaluate_comp.scm 503 */
obj_t BgL_zc3anonymousza32993ze3z83_14685;
BgL_zc3anonymousza32993ze3z83_14685 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32993ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32993ze3z83_14685, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14664)); 
PROCEDURE_SET(BgL_zc3anonymousza32993ze3z83_14685, 
(int)(((long)1)), BgL_cvalsz00_14667); 
PROCEDURE_SET(BgL_zc3anonymousza32993ze3z83_14685, 
(int)(((long)2)), BgL_bodyz00_14668); 
return BgL_zc3anonymousza32993ze3z83_14685;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2980> */
obj_t BGl_z62zc3anonymousza32980ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12389, obj_t BgL_sz00_12393)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 493 */
{ /* Eval/evaluate_comp.scm 493 */
long BgL_siza7eza7_12390;obj_t BgL_cvalsz00_12391;obj_t BgL_bodyz00_12392;
BgL_siza7eza7_12390 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12389, 
(int)(((long)0)))); 
BgL_cvalsz00_12391 = 
PROCEDURE_REF(BgL_envz00_12389, 
(int)(((long)1))); 
BgL_bodyz00_12392 = 
PROCEDURE_REF(BgL_envz00_12389, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 493 */
obj_t BgL_bpz00_14686;
BgL_bpz00_14686 = 
VECTOR_REF(
((obj_t)BgL_sz00_12393),((long)0)); 
{ /* Eval/evaluate_comp.scm 494 */
long BgL_g1111z00_14687;
BgL_g1111z00_14687 = 
(
(long)CINT(BgL_bpz00_14686)+BgL_siza7eza7_12390); 
{ 
obj_t BgL_lz00_14689;long BgL_iz00_14690;
BgL_lz00_14689 = BgL_cvalsz00_12391; 
BgL_iz00_14690 = BgL_g1111z00_14687; 
BgL_recz00_14688:
if(
NULLP(BgL_lz00_14689))
{ /* Eval/evaluate_comp.scm 495 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 495 */
{ /* Eval/evaluate_comp.scm 496 */
obj_t BgL_arg2983z00_14691;
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14692;
BgL_newz00_14692 = 
create_struct(BGl_symbol5177z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28601;
BgL_tmpz00_28601 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14692, BgL_tmpz00_28601, BUNSPEC); } 
BgL_arg2983z00_14691 = BgL_newz00_14692; } 
VECTOR_SET(
((obj_t)BgL_sz00_12393),BgL_iz00_14690,BgL_arg2983z00_14691); } 
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_arg2984z00_14693;long BgL_arg2985z00_14694;
BgL_arg2984z00_14693 = 
CDR(
((obj_t)BgL_lz00_14689)); 
BgL_arg2985z00_14694 = 
(BgL_iz00_14690+((long)1)); 
{ 
long BgL_iz00_28610;obj_t BgL_lz00_28609;
BgL_lz00_28609 = BgL_arg2984z00_14693; 
BgL_iz00_28610 = BgL_arg2985z00_14694; 
BgL_iz00_14690 = BgL_iz00_28610; 
BgL_lz00_14689 = BgL_lz00_28609; 
goto BgL_recz00_14688;} } } } } 
{ /* Eval/evaluate_comp.scm 498 */
long BgL_g1112z00_14695;
BgL_g1112z00_14695 = 
(
(long)CINT(BgL_bpz00_14686)+BgL_siza7eza7_12390); 
{ 
obj_t BgL_lz00_14697;long BgL_iz00_14698;
BgL_lz00_14697 = BgL_cvalsz00_12391; 
BgL_iz00_14698 = BgL_g1112z00_14695; 
BgL_recz00_14696:
if(
NULLP(BgL_lz00_14697))
{ /* Eval/evaluate_comp.scm 499 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 499 */
{ /* Eval/evaluate_comp.scm 500 */
obj_t BgL_arg2988z00_14699;obj_t BgL_arg2989z00_14700;
BgL_arg2988z00_14699 = 
VECTOR_REF(
((obj_t)BgL_sz00_12393),BgL_iz00_14698); 
{ /* Eval/evaluate_comp.scm 500 */
obj_t BgL_fun2990z00_14701;
BgL_fun2990z00_14701 = 
CAR(
((obj_t)BgL_lz00_14697)); 
BgL_arg2989z00_14700 = 
PROCEDURE_ENTRY(BgL_fun2990z00_14701)(BgL_fun2990z00_14701, BgL_sz00_12393, BEOA); } 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_28625;obj_t BgL_tmpz00_28623;
BgL_auxz00_28625 = 
(int)(((long)0)); 
BgL_tmpz00_28623 = 
((obj_t)BgL_arg2988z00_14699); 
STRUCT_SET(BgL_tmpz00_28623, BgL_auxz00_28625, BgL_arg2989z00_14700); } } 
{ /* Eval/evaluate_comp.scm 501 */
obj_t BgL_arg2991z00_14702;long BgL_arg2992z00_14703;
BgL_arg2991z00_14702 = 
CDR(
((obj_t)BgL_lz00_14697)); 
BgL_arg2992z00_14703 = 
(BgL_iz00_14698+((long)1)); 
{ 
long BgL_iz00_28632;obj_t BgL_lz00_28631;
BgL_lz00_28631 = BgL_arg2991z00_14702; 
BgL_iz00_28632 = BgL_arg2992z00_14703; 
BgL_iz00_14698 = BgL_iz00_28632; 
BgL_lz00_14697 = BgL_lz00_28631; 
goto BgL_recz00_14696;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12392)(BgL_bodyz00_12392, BgL_sz00_12393, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2993> */
obj_t BGl_z62zc3anonymousza32993ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12394, obj_t BgL_sz00_12398)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 503 */
{ /* Eval/evaluate_comp.scm 503 */
long BgL_siza7eza7_12395;obj_t BgL_cvalsz00_12396;obj_t BgL_bodyz00_12397;
BgL_siza7eza7_12395 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12394, 
(int)(((long)0)))); 
BgL_cvalsz00_12396 = 
PROCEDURE_REF(BgL_envz00_12394, 
(int)(((long)1))); 
BgL_bodyz00_12397 = 
PROCEDURE_REF(BgL_envz00_12394, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 503 */
obj_t BgL_bpz00_14704;
BgL_bpz00_14704 = 
VECTOR_REF(
((obj_t)BgL_sz00_12398),((long)0)); 
{ /* Eval/evaluate_comp.scm 504 */
long BgL_g1113z00_14705;
BgL_g1113z00_14705 = 
(
(long)CINT(BgL_bpz00_14704)+BgL_siza7eza7_12395); 
{ 
obj_t BgL_lz00_14707;long BgL_iz00_14708;
BgL_lz00_14707 = BgL_cvalsz00_12396; 
BgL_iz00_14708 = BgL_g1113z00_14705; 
BgL_recz00_14706:
if(
NULLP(BgL_lz00_14707))
{ /* Eval/evaluate_comp.scm 505 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 505 */
{ /* Eval/evaluate_comp.scm 506 */
obj_t BgL_arg2996z00_14709;
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14710;
BgL_newz00_14710 = 
create_struct(BGl_symbol5177z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28652;
BgL_tmpz00_28652 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14710, BgL_tmpz00_28652, BUNSPEC); } 
BgL_arg2996z00_14709 = BgL_newz00_14710; } 
VECTOR_SET(
((obj_t)BgL_sz00_12398),BgL_iz00_14708,BgL_arg2996z00_14709); } 
{ /* Eval/evaluate_comp.scm 507 */
obj_t BgL_arg2997z00_14711;long BgL_arg2998z00_14712;
BgL_arg2997z00_14711 = 
CDR(
((obj_t)BgL_lz00_14707)); 
BgL_arg2998z00_14712 = 
(BgL_iz00_14708+((long)1)); 
{ 
long BgL_iz00_28661;obj_t BgL_lz00_28660;
BgL_lz00_28660 = BgL_arg2997z00_14711; 
BgL_iz00_28661 = BgL_arg2998z00_14712; 
BgL_iz00_14708 = BgL_iz00_28661; 
BgL_lz00_14707 = BgL_lz00_28660; 
goto BgL_recz00_14706;} } } } } 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_rvalsz00_14713;
if(
NULLP(BgL_cvalsz00_12396))
{ /* Eval/evaluate_comp.scm 508 */
BgL_rvalsz00_14713 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_head1325z00_14714;
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_res4690z00_14715;
BgL_res4690z00_14715 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1325z00_14714 = BgL_res4690z00_14715; } 
{ 
obj_t BgL_l1323z00_14717;obj_t BgL_tail1326z00_14718;
BgL_l1323z00_14717 = BgL_cvalsz00_12396; 
BgL_tail1326z00_14718 = BgL_head1325z00_14714; 
BgL_zc3anonymousza33006ze3z83_14716:
if(
NULLP(BgL_l1323z00_14717))
{ /* Eval/evaluate_comp.scm 508 */
BgL_rvalsz00_14713 = 
CDR(BgL_head1325z00_14714); }  else 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_newtail1327z00_14719;
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_arg3009z00_14720;
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_vz00_14721;
BgL_vz00_14721 = 
CAR(
((obj_t)BgL_l1323z00_14717)); 
BgL_arg3009z00_14720 = 
PROCEDURE_ENTRY(BgL_vz00_14721)(BgL_vz00_14721, BgL_sz00_12398, BEOA); } 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_res4692z00_14722;
BgL_res4692z00_14722 = 
MAKE_YOUNG_PAIR(BgL_arg3009z00_14720, BNIL); 
BgL_newtail1327z00_14719 = BgL_res4692z00_14722; } } 
SET_CDR(BgL_tail1326z00_14718, BgL_newtail1327z00_14719); 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_arg3008z00_14723;
BgL_arg3008z00_14723 = 
CDR(
((obj_t)BgL_l1323z00_14717)); 
{ 
obj_t BgL_tail1326z00_28679;obj_t BgL_l1323z00_28678;
BgL_l1323z00_28678 = BgL_arg3008z00_14723; 
BgL_tail1326z00_28679 = BgL_newtail1327z00_14719; 
BgL_tail1326z00_14718 = BgL_tail1326z00_28679; 
BgL_l1323z00_14717 = BgL_l1323z00_28678; 
goto BgL_zc3anonymousza33006ze3z83_14716;} } } } } 
{ /* Eval/evaluate_comp.scm 509 */
long BgL_g1114z00_14724;
BgL_g1114z00_14724 = 
(
(long)CINT(BgL_bpz00_14704)+BgL_siza7eza7_12395); 
{ 
obj_t BgL_lz00_14726;long BgL_iz00_14727;
BgL_lz00_14726 = BgL_rvalsz00_14713; 
BgL_iz00_14727 = BgL_g1114z00_14724; 
BgL_recz00_14725:
if(
NULLP(BgL_lz00_14726))
{ /* Eval/evaluate_comp.scm 510 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 510 */
{ /* Eval/evaluate_comp.scm 511 */
obj_t BgL_arg3001z00_14728;obj_t BgL_arg3002z00_14729;
BgL_arg3001z00_14728 = 
VECTOR_REF(
((obj_t)BgL_sz00_12398),BgL_iz00_14727); 
BgL_arg3002z00_14729 = 
CAR(
((obj_t)BgL_lz00_14726)); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_28690;obj_t BgL_tmpz00_28688;
BgL_auxz00_28690 = 
(int)(((long)0)); 
BgL_tmpz00_28688 = 
((obj_t)BgL_arg3001z00_14728); 
STRUCT_SET(BgL_tmpz00_28688, BgL_auxz00_28690, BgL_arg3002z00_14729); } } 
{ /* Eval/evaluate_comp.scm 512 */
obj_t BgL_arg3003z00_14730;long BgL_arg3004z00_14731;
BgL_arg3003z00_14730 = 
CDR(
((obj_t)BgL_lz00_14726)); 
BgL_arg3004z00_14731 = 
(BgL_iz00_14727+((long)1)); 
{ 
long BgL_iz00_28697;obj_t BgL_lz00_28696;
BgL_lz00_28696 = BgL_arg3003z00_14730; 
BgL_iz00_28697 = BgL_arg3004z00_14731; 
BgL_iz00_14727 = BgL_iz00_28697; 
BgL_lz00_14726 = BgL_lz00_28696; 
goto BgL_recz00_14725;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12397)(BgL_bodyz00_12397, BgL_sz00_12398, BEOA);} } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_let*1412 */
obj_t BGl_z62compzd2ev_letza21412z12zz__evaluate_compz00(obj_t BgL_envz00_12399, obj_t BgL_ez00_12400, obj_t BgL_stkz00_12401)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 474 */
{ /* Eval/evaluate_comp.scm 476 */
long BgL_siza7eza7_14733;obj_t BgL_nstkz00_14734;
BgL_siza7eza7_14733 = 
bgl_list_length(BgL_stkz00_12401); 
{ /* Eval/evaluate_comp.scm 476 */
obj_t BgL_arg2975z00_14735;
BgL_arg2975z00_14735 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12400))))->BgL_varsz00); 
BgL_nstkz00_14734 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12401, BgL_arg2975z00_14735); } 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_valsz00_14736;obj_t BgL_bodyz00_14737;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_l1309z00_14738;
BgL_l1309z00_14738 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12400))))->BgL_valsz00); 
if(
NULLP(BgL_l1309z00_14738))
{ /* Eval/evaluate_comp.scm 477 */
BgL_valsz00_14736 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_head1311z00_14739;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_res4669z00_14740;
BgL_res4669z00_14740 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1311z00_14739 = BgL_res4669z00_14740; } 
{ 
obj_t BgL_l1309z00_14742;obj_t BgL_tail1312z00_14743;
BgL_l1309z00_14742 = BgL_l1309z00_14738; 
BgL_tail1312z00_14743 = BgL_head1311z00_14739; 
BgL_zc3anonymousza32970ze3z83_14741:
if(
NULLP(BgL_l1309z00_14742))
{ /* Eval/evaluate_comp.scm 477 */
BgL_valsz00_14736 = 
CDR(BgL_head1311z00_14739); }  else 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_newtail1313z00_14744;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_arg2973z00_14745;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_vz00_14746;
BgL_vz00_14746 = 
CAR(
((obj_t)BgL_l1309z00_14742)); 
BgL_arg2973z00_14745 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_14746), BgL_nstkz00_14734); } 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_res4671z00_14747;
BgL_res4671z00_14747 = 
MAKE_YOUNG_PAIR(BgL_arg2973z00_14745, BNIL); 
BgL_newtail1313z00_14744 = BgL_res4671z00_14747; } } 
SET_CDR(BgL_tail1312z00_14743, BgL_newtail1313z00_14744); 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_arg2972z00_14748;
BgL_arg2972z00_14748 = 
CDR(
((obj_t)BgL_l1309z00_14742)); 
{ 
obj_t BgL_tail1312z00_28725;obj_t BgL_l1309z00_28724;
BgL_l1309z00_28724 = BgL_arg2972z00_14748; 
BgL_tail1312z00_28725 = BgL_newtail1313z00_14744; 
BgL_tail1312z00_14743 = BgL_tail1312z00_28725; 
BgL_l1309z00_14742 = BgL_l1309z00_28724; 
goto BgL_zc3anonymousza32970ze3z83_14741;} } } } } } 
{ /* Eval/evaluate_comp.scm 478 */
BgL_ev_exprz00_bglt BgL_arg2974z00_14749;
BgL_arg2974z00_14749 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12400))))->BgL_bodyz00); 
BgL_bodyz00_14737 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2974z00_14749, BgL_nstkz00_14734); } 
{ /* Eval/evaluate_comp.scm 479 */
obj_t BgL_zc3anonymousza32959ze3z83_14750;
BgL_zc3anonymousza32959ze3z83_14750 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32959ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza32959ze3z83_14750, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14733)); 
PROCEDURE_SET(BgL_zc3anonymousza32959ze3z83_14750, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_letza2za2_bglt)BgL_ez00_12400))); 
PROCEDURE_SET(BgL_zc3anonymousza32959ze3z83_14750, 
(int)(((long)2)), BgL_valsz00_14736); 
PROCEDURE_SET(BgL_zc3anonymousza32959ze3z83_14750, 
(int)(((long)3)), BgL_bodyz00_14737); 
return BgL_zc3anonymousza32959ze3z83_14750;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2959> */
obj_t BGl_z62zc3anonymousza32959ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12402, obj_t BgL_sz00_12407)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 479 */
{ /* Eval/evaluate_comp.scm 479 */
long BgL_siza7eza7_12403;BgL_ev_letza2za2_bglt BgL_i1108z00_12404;obj_t BgL_valsz00_12405;obj_t BgL_bodyz00_12406;
BgL_siza7eza7_12403 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12402, 
(int)(((long)0)))); 
BgL_i1108z00_12404 = 
((BgL_ev_letza2za2_bglt)
PROCEDURE_REF(BgL_envz00_12402, 
(int)(((long)1)))); 
BgL_valsz00_12405 = 
PROCEDURE_REF(BgL_envz00_12402, 
(int)(((long)2))); 
BgL_bodyz00_12406 = 
PROCEDURE_REF(BgL_envz00_12402, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 479 */
obj_t BgL_bpz00_14751;
BgL_bpz00_14751 = 
VECTOR_REF(
((obj_t)BgL_sz00_12407),((long)0)); 
{ /* Eval/evaluate_comp.scm 480 */
long BgL_g1109z00_14752;
BgL_g1109z00_14752 = 
(
(long)CINT(BgL_bpz00_14751)+BgL_siza7eza7_12403); 
{ 
obj_t BgL_lz00_14754;long BgL_iz00_14755;obj_t BgL_bza2za2_14756;
BgL_lz00_14754 = BgL_valsz00_12405; 
BgL_iz00_14755 = BgL_g1109z00_14752; 
BgL_bza2za2_14756 = 
(((BgL_ev_letza2za2_bglt)COBJECT(BgL_i1108z00_12404))->BgL_boxesz00); 
BgL_recz00_14753:
if(
NULLP(BgL_lz00_14754))
{ /* Eval/evaluate_comp.scm 481 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 481 */
{ /* Eval/evaluate_comp.scm 482 */
obj_t BgL_valz00_14757;
{ /* Eval/evaluate_comp.scm 482 */
obj_t BgL_fun2965z00_14758;
BgL_fun2965z00_14758 = 
CAR(
((obj_t)BgL_lz00_14754)); 
BgL_valz00_14757 = 
PROCEDURE_ENTRY(BgL_fun2965z00_14758)(BgL_fun2965z00_14758, BgL_sz00_12407, BEOA); } 
{ /* Eval/evaluate_comp.scm 483 */
obj_t BgL_arg2963z00_14759;
if(
CBOOL(
CAR(
((obj_t)BgL_bza2za2_14756))))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14760;
BgL_newz00_14760 = 
create_struct(BGl_symbol5177z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28772;
BgL_tmpz00_28772 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14760, BgL_tmpz00_28772, BgL_valz00_14757); } 
BgL_arg2963z00_14759 = BgL_newz00_14760; }  else 
{ /* Eval/evaluate_comp.scm 483 */
BgL_arg2963z00_14759 = BgL_valz00_14757; } 
VECTOR_SET(
((obj_t)BgL_sz00_12407),BgL_iz00_14755,BgL_arg2963z00_14759); } } 
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_arg2966z00_14761;long BgL_arg2967z00_14762;obj_t BgL_arg2968z00_14763;
BgL_arg2966z00_14761 = 
CDR(
((obj_t)BgL_lz00_14754)); 
BgL_arg2967z00_14762 = 
(BgL_iz00_14755+((long)1)); 
BgL_arg2968z00_14763 = 
CDR(
((obj_t)BgL_bza2za2_14756)); 
{ 
obj_t BgL_bza2za2_28784;long BgL_iz00_28783;obj_t BgL_lz00_28782;
BgL_lz00_28782 = BgL_arg2966z00_14761; 
BgL_iz00_28783 = BgL_arg2967z00_14762; 
BgL_bza2za2_28784 = BgL_arg2968z00_14763; 
BgL_bza2za2_14756 = BgL_bza2za2_28784; 
BgL_iz00_14755 = BgL_iz00_28783; 
BgL_lz00_14754 = BgL_lz00_28782; 
goto BgL_recz00_14753;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12406)(BgL_bodyz00_12406, BgL_sz00_12407, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_let1410 */
obj_t BGl_z62compzd2ev_let1410zb0zz__evaluate_compz00(obj_t BgL_envz00_12408, obj_t BgL_ez00_12409, obj_t BgL_stkz00_12410)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 455 */
{ /* Eval/evaluate_comp.scm 457 */
long BgL_siza7eza7_14765;obj_t BgL_nstkz00_14766;
BgL_siza7eza7_14765 = 
bgl_list_length(BgL_stkz00_12410); 
{ /* Eval/evaluate_comp.scm 457 */
obj_t BgL_arg2958z00_14767;
BgL_arg2958z00_14767 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12409))))->BgL_varsz00); 
BgL_nstkz00_14766 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12410, BgL_arg2958z00_14767); } 
{ /* Eval/evaluate_comp.scm 458 */
obj_t BgL_valsz00_14768;obj_t BgL_iboxesz00_14769;obj_t BgL_bodyz00_14770;
{ /* Eval/evaluate_comp.scm 459 */
obj_t BgL_arg2951z00_14771;
BgL_arg2951z00_14771 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12409))))->BgL_valsz00); 
BgL_valsz00_14768 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg2951z00_14771, BgL_stkz00_12410); } 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_l1304z00_14772;
BgL_l1304z00_14772 = 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_ez00_12409)))->BgL_boxesz00); 
if(
NULLP(BgL_l1304z00_14772))
{ /* Eval/evaluate_comp.scm 460 */
BgL_iboxesz00_14769 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_head1306z00_14773;
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_res4660z00_14774;
BgL_res4660z00_14774 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1306z00_14773 = BgL_res4660z00_14774; } 
{ 
obj_t BgL_l1304z00_14776;obj_t BgL_tail1307z00_14777;
BgL_l1304z00_14776 = BgL_l1304z00_14772; 
BgL_tail1307z00_14777 = BgL_head1306z00_14773; 
BgL_zc3anonymousza32953ze3z83_14775:
if(
NULLP(BgL_l1304z00_14776))
{ /* Eval/evaluate_comp.scm 460 */
BgL_iboxesz00_14769 = 
CDR(BgL_head1306z00_14773); }  else 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_newtail1308z00_14778;
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_arg2956z00_14779;
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_vz00_14780;
BgL_vz00_14780 = 
CAR(
((obj_t)BgL_l1304z00_14776)); 
BgL_arg2956z00_14779 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_14780, BgL_nstkz00_14766); } 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_res4662z00_14781;
BgL_res4662z00_14781 = 
MAKE_YOUNG_PAIR(BgL_arg2956z00_14779, BNIL); 
BgL_newtail1308z00_14778 = BgL_res4662z00_14781; } } 
SET_CDR(BgL_tail1307z00_14777, BgL_newtail1308z00_14778); 
{ /* Eval/evaluate_comp.scm 460 */
obj_t BgL_arg2955z00_14782;
BgL_arg2955z00_14782 = 
CDR(
((obj_t)BgL_l1304z00_14776)); 
{ 
obj_t BgL_tail1307z00_28815;obj_t BgL_l1304z00_28814;
BgL_l1304z00_28814 = BgL_arg2955z00_14782; 
BgL_tail1307z00_28815 = BgL_newtail1308z00_14778; 
BgL_tail1307z00_14777 = BgL_tail1307z00_28815; 
BgL_l1304z00_14776 = BgL_l1304z00_28814; 
goto BgL_zc3anonymousza32953ze3z83_14775;} } } } } } 
{ /* Eval/evaluate_comp.scm 461 */
BgL_ev_exprz00_bglt BgL_arg2957z00_14783;
BgL_arg2957z00_14783 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12409))))->BgL_bodyz00); 
BgL_bodyz00_14770 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2957z00_14783, BgL_nstkz00_14766); } 
{ /* Eval/evaluate_comp.scm 462 */
obj_t BgL_zc3anonymousza32938ze3z83_14784;
BgL_zc3anonymousza32938ze3z83_14784 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32938ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3anonymousza32938ze3z83_14784, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14765)); 
PROCEDURE_SET(BgL_zc3anonymousza32938ze3z83_14784, 
(int)(((long)1)), BgL_valsz00_14768); 
PROCEDURE_SET(BgL_zc3anonymousza32938ze3z83_14784, 
(int)(((long)2)), BgL_iboxesz00_14769); 
PROCEDURE_SET(BgL_zc3anonymousza32938ze3z83_14784, 
(int)(((long)3)), BgL_bodyz00_14770); 
return BgL_zc3anonymousza32938ze3z83_14784;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2938> */
obj_t BGl_z62zc3anonymousza32938ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12411, obj_t BgL_sz00_12416)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 462 */
{ /* Eval/evaluate_comp.scm 462 */
long BgL_siza7eza7_12412;obj_t BgL_valsz00_12413;obj_t BgL_iboxesz00_12414;obj_t BgL_bodyz00_12415;
BgL_siza7eza7_12412 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12411, 
(int)(((long)0)))); 
BgL_valsz00_12413 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12411, 
(int)(((long)1)))); 
BgL_iboxesz00_12414 = 
PROCEDURE_REF(BgL_envz00_12411, 
(int)(((long)2))); 
BgL_bodyz00_12415 = 
PROCEDURE_REF(BgL_envz00_12411, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 462 */
obj_t BgL_bpz00_14785;
BgL_bpz00_14785 = 
VECTOR_REF(
((obj_t)BgL_sz00_12416),((long)0)); 
{ /* Eval/evaluate_comp.scm 463 */
long BgL_g1107z00_14786;
BgL_g1107z00_14786 = 
(
(long)CINT(BgL_bpz00_14785)+BgL_siza7eza7_12412); 
{ 
obj_t BgL_lz00_14788;long BgL_iz00_14789;
BgL_lz00_14788 = BgL_valsz00_12413; 
BgL_iz00_14789 = BgL_g1107z00_14786; 
BgL_recz00_14787:
if(
NULLP(BgL_lz00_14788))
{ /* Eval/evaluate_comp.scm 464 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 464 */
{ /* Eval/evaluate_comp.scm 465 */
obj_t BgL_arg2941z00_14790;
{ /* Eval/evaluate_comp.scm 465 */
obj_t BgL_fun2942z00_14791;
BgL_fun2942z00_14791 = 
CAR(
((obj_t)BgL_lz00_14788)); 
BgL_arg2941z00_14790 = 
PROCEDURE_ENTRY(BgL_fun2942z00_14791)(BgL_fun2942z00_14791, BgL_sz00_12416, BEOA); } 
VECTOR_SET(
((obj_t)BgL_sz00_12416),BgL_iz00_14789,BgL_arg2941z00_14790); } 
{ /* Eval/evaluate_comp.scm 466 */
obj_t BgL_arg2943z00_14792;long BgL_arg2944z00_14793;
BgL_arg2943z00_14792 = 
CDR(
((obj_t)BgL_lz00_14788)); 
BgL_arg2944z00_14793 = 
(BgL_iz00_14789+((long)1)); 
{ 
long BgL_iz00_28860;obj_t BgL_lz00_28859;
BgL_lz00_28859 = BgL_arg2943z00_14792; 
BgL_iz00_28860 = BgL_arg2944z00_14793; 
BgL_iz00_14789 = BgL_iz00_28860; 
BgL_lz00_14788 = BgL_lz00_28859; 
goto BgL_recz00_14787;} } } } } 
{ 
obj_t BgL_lz00_14795;
BgL_lz00_14795 = BgL_iboxesz00_12414; 
BgL_recz00_14794:
if(
NULLP(BgL_lz00_14795))
{ /* Eval/evaluate_comp.scm 468 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 468 */
{ /* Eval/evaluate_comp.scm 469 */
long BgL_iz00_14796;
BgL_iz00_14796 = 
(
(long)CINT(BgL_bpz00_14785)+
(long)CINT(
CAR(
((obj_t)BgL_lz00_14795)))); 
{ /* Eval/evaluate_comp.scm 470 */
obj_t BgL_arg2947z00_14797;
{ /* Eval/evaluate_comp.scm 470 */
obj_t BgL_arg2948z00_14798;
BgL_arg2948z00_14798 = 
VECTOR_REF(
((obj_t)BgL_sz00_12416),BgL_iz00_14796); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14799;
BgL_newz00_14799 = 
create_struct(BGl_symbol5177z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28872;
BgL_tmpz00_28872 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14799, BgL_tmpz00_28872, BgL_arg2948z00_14798); } 
BgL_arg2947z00_14797 = BgL_newz00_14799; } } 
VECTOR_SET(
((obj_t)BgL_sz00_12416),BgL_iz00_14796,BgL_arg2947z00_14797); } } 
{ /* Eval/evaluate_comp.scm 471 */
obj_t BgL_arg2950z00_14800;
BgL_arg2950z00_14800 = 
CDR(
((obj_t)BgL_lz00_14795)); 
{ 
obj_t BgL_lz00_28879;
BgL_lz00_28879 = BgL_arg2950z00_14800; 
BgL_lz00_14795 = BgL_lz00_28879; 
goto BgL_recz00_14794;} } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12415)(BgL_bodyz00_12415, BgL_sz00_12416, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_prog21408 */
obj_t BGl_z62compzd2ev_prog21408zb0zz__evaluate_compz00(obj_t BgL_envz00_12417, obj_t BgL_ez00_12418, obj_t BgL_stkz00_12419)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 449 */
{ /* Eval/evaluate_comp.scm 451 */
obj_t BgL_e1z00_14802;obj_t BgL_e2z00_14803;
BgL_e1z00_14802 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_12418)))->BgL_e1z00), BgL_stkz00_12419); 
BgL_e2z00_14803 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_12418)))->BgL_e2z00), BgL_stkz00_12419); 
{ /* Eval/evaluate_comp.scm 452 */
obj_t BgL_zc3anonymousza32935ze3z83_14804;
BgL_zc3anonymousza32935ze3z83_14804 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32935ze3z83_14804, 
(int)(((long)0)), BgL_e1z00_14802); 
PROCEDURE_SET(BgL_zc3anonymousza32935ze3z83_14804, 
(int)(((long)1)), BgL_e2z00_14803); 
return BgL_zc3anonymousza32935ze3z83_14804;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2935> */
obj_t BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12420, obj_t BgL_sz00_12423)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 452 */
{ /* Eval/evaluate_comp.scm 452 */
obj_t BgL_e1z00_12421;obj_t BgL_e2z00_12422;
BgL_e1z00_12421 = 
PROCEDURE_REF(BgL_envz00_12420, 
(int)(((long)0))); 
BgL_e2z00_12422 = 
PROCEDURE_REF(BgL_envz00_12420, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 452 */
obj_t BgL_bpz00_14805;
BgL_bpz00_14805 = 
VECTOR_REF(
((obj_t)BgL_sz00_12423),((long)0)); 
PROCEDURE_ENTRY(BgL_e1z00_12421)(BgL_e1z00_12421, BgL_sz00_12423, BEOA); 
return 
PROCEDURE_ENTRY(BgL_e2z00_12422)(BgL_e2z00_12422, BgL_sz00_12423, BEOA);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_and1406 */
obj_t BGl_z62compzd2ev_and1406zb0zz__evaluate_compz00(obj_t BgL_envz00_12424, obj_t BgL_ez00_12425, obj_t BgL_stkz00_12426)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 439 */
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_argsz00_14807;
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_l1299z00_14808;
BgL_l1299z00_14808 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_ez00_12425))))->BgL_argsz00); 
if(
NULLP(BgL_l1299z00_14808))
{ /* Eval/evaluate_comp.scm 441 */
BgL_argsz00_14807 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_head1301z00_14809;
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_res4655z00_14810;
BgL_res4655z00_14810 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1301z00_14809 = BgL_res4655z00_14810; } 
{ 
obj_t BgL_l1299z00_14812;obj_t BgL_tail1302z00_14813;
BgL_l1299z00_14812 = BgL_l1299z00_14808; 
BgL_tail1302z00_14813 = BgL_head1301z00_14809; 
BgL_zc3anonymousza32931ze3z83_14811:
if(
NULLP(BgL_l1299z00_14812))
{ /* Eval/evaluate_comp.scm 441 */
BgL_argsz00_14807 = 
CDR(BgL_head1301z00_14809); }  else 
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_newtail1303z00_14814;
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_arg2934z00_14815;
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_ez00_14816;
BgL_ez00_14816 = 
CAR(
((obj_t)BgL_l1299z00_14812)); 
BgL_arg2934z00_14815 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_14816), BgL_stkz00_12426); } 
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_res4657z00_14817;
BgL_res4657z00_14817 = 
MAKE_YOUNG_PAIR(BgL_arg2934z00_14815, BNIL); 
BgL_newtail1303z00_14814 = BgL_res4657z00_14817; } } 
SET_CDR(BgL_tail1302z00_14813, BgL_newtail1303z00_14814); 
{ /* Eval/evaluate_comp.scm 441 */
obj_t BgL_arg2933z00_14818;
BgL_arg2933z00_14818 = 
CDR(
((obj_t)BgL_l1299z00_14812)); 
{ 
obj_t BgL_tail1302z00_28929;obj_t BgL_l1299z00_28928;
BgL_l1299z00_28928 = BgL_arg2933z00_14818; 
BgL_tail1302z00_28929 = BgL_newtail1303z00_14814; 
BgL_tail1302z00_14813 = BgL_tail1302z00_28929; 
BgL_l1299z00_14812 = BgL_l1299z00_28928; 
goto BgL_zc3anonymousza32931ze3z83_14811;} } } } } } 
{ /* Eval/evaluate_comp.scm 442 */
obj_t BgL_zc3anonymousza32925ze3z83_14819;
BgL_zc3anonymousza32925ze3z83_14819 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32925ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32925ze3z83_14819, 
(int)(((long)0)), BgL_argsz00_14807); 
return BgL_zc3anonymousza32925ze3z83_14819;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2925> */
obj_t BGl_z62zc3anonymousza32925ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12427, obj_t BgL_sz00_12429)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 442 */
{ /* Eval/evaluate_comp.scm 442 */
obj_t BgL_argsz00_12428;
BgL_argsz00_12428 = 
PROCEDURE_REF(BgL_envz00_12427, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 442 */
obj_t BgL_bpz00_14820;
BgL_bpz00_14820 = 
VECTOR_REF(
((obj_t)BgL_sz00_12429),((long)0)); 
{ 
obj_t BgL_lz00_14822;obj_t BgL_rz00_14823;
BgL_lz00_14822 = BgL_argsz00_12428; 
BgL_rz00_14823 = BTRUE; 
BgL_recz00_14821:
if(
NULLP(BgL_lz00_14822))
{ /* Eval/evaluate_comp.scm 444 */
return BgL_rz00_14823;}  else 
{ /* Eval/evaluate_comp.scm 446 */
obj_t BgL_vz00_14824;
{ /* Eval/evaluate_comp.scm 446 */
obj_t BgL_fun2929z00_14825;
BgL_fun2929z00_14825 = 
CAR(
((obj_t)BgL_lz00_14822)); 
BgL_vz00_14824 = 
PROCEDURE_ENTRY(BgL_fun2929z00_14825)(BgL_fun2929z00_14825, BgL_sz00_12429, BEOA); } 
if(
CBOOL(BgL_vz00_14824))
{ /* Eval/evaluate_comp.scm 447 */
obj_t BgL_arg2928z00_14826;
BgL_arg2928z00_14826 = 
CDR(
((obj_t)BgL_lz00_14822)); 
{ 
obj_t BgL_rz00_28952;obj_t BgL_lz00_28951;
BgL_lz00_28951 = BgL_arg2928z00_14826; 
BgL_rz00_28952 = BgL_vz00_14824; 
BgL_rz00_14823 = BgL_rz00_28952; 
BgL_lz00_14822 = BgL_lz00_28951; 
goto BgL_recz00_14821;} }  else 
{ /* Eval/evaluate_comp.scm 447 */
return BFALSE;} } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_or1404 */
obj_t BGl_z62compzd2ev_or1404zb0zz__evaluate_compz00(obj_t BgL_envz00_12430, obj_t BgL_ez00_12431, obj_t BgL_stkz00_12432)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 430 */
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_argsz00_14828;
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_l1294z00_14829;
BgL_l1294z00_14829 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_ez00_12431))))->BgL_argsz00); 
if(
NULLP(BgL_l1294z00_14829))
{ /* Eval/evaluate_comp.scm 432 */
BgL_argsz00_14828 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_head1296z00_14830;
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_res4650z00_14831;
BgL_res4650z00_14831 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1296z00_14830 = BgL_res4650z00_14831; } 
{ 
obj_t BgL_l1294z00_14833;obj_t BgL_tail1297z00_14834;
BgL_l1294z00_14833 = BgL_l1294z00_14829; 
BgL_tail1297z00_14834 = BgL_head1296z00_14830; 
BgL_zc3anonymousza32921ze3z83_14832:
if(
NULLP(BgL_l1294z00_14833))
{ /* Eval/evaluate_comp.scm 432 */
BgL_argsz00_14828 = 
CDR(BgL_head1296z00_14830); }  else 
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_newtail1298z00_14835;
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_arg2924z00_14836;
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_ez00_14837;
BgL_ez00_14837 = 
CAR(
((obj_t)BgL_l1294z00_14833)); 
BgL_arg2924z00_14836 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_14837), BgL_stkz00_12432); } 
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_res4652z00_14838;
BgL_res4652z00_14838 = 
MAKE_YOUNG_PAIR(BgL_arg2924z00_14836, BNIL); 
BgL_newtail1298z00_14835 = BgL_res4652z00_14838; } } 
SET_CDR(BgL_tail1297z00_14834, BgL_newtail1298z00_14835); 
{ /* Eval/evaluate_comp.scm 432 */
obj_t BgL_arg2923z00_14839;
BgL_arg2923z00_14839 = 
CDR(
((obj_t)BgL_l1294z00_14833)); 
{ 
obj_t BgL_tail1297z00_28971;obj_t BgL_l1294z00_28970;
BgL_l1294z00_28970 = BgL_arg2923z00_14839; 
BgL_tail1297z00_28971 = BgL_newtail1298z00_14835; 
BgL_tail1297z00_14834 = BgL_tail1297z00_28971; 
BgL_l1294z00_14833 = BgL_l1294z00_28970; 
goto BgL_zc3anonymousza32921ze3z83_14832;} } } } } } 
{ /* Eval/evaluate_comp.scm 433 */
obj_t BgL_zc3anonymousza32915ze3z83_14840;
BgL_zc3anonymousza32915ze3z83_14840 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32915ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32915ze3z83_14840, 
(int)(((long)0)), BgL_argsz00_14828); 
return BgL_zc3anonymousza32915ze3z83_14840;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2915> */
obj_t BGl_z62zc3anonymousza32915ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12433, obj_t BgL_sz00_12435)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 433 */
{ /* Eval/evaluate_comp.scm 433 */
obj_t BgL_argsz00_12434;
BgL_argsz00_12434 = 
PROCEDURE_REF(BgL_envz00_12433, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 433 */
obj_t BgL_bpz00_14841;
BgL_bpz00_14841 = 
VECTOR_REF(
((obj_t)BgL_sz00_12435),((long)0)); 
{ 
obj_t BgL_lz00_14843;
BgL_lz00_14843 = BgL_argsz00_12434; 
BgL_recz00_14842:
if(
NULLP(BgL_lz00_14843))
{ /* Eval/evaluate_comp.scm 435 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 437 */
obj_t BgL__ortest_1102z00_14844;
{ /* Eval/evaluate_comp.scm 437 */
obj_t BgL_fun2919z00_14845;
BgL_fun2919z00_14845 = 
CAR(
((obj_t)BgL_lz00_14843)); 
BgL__ortest_1102z00_14844 = 
PROCEDURE_ENTRY(BgL_fun2919z00_14845)(BgL_fun2919z00_14845, BgL_sz00_12435, BEOA); } 
if(
CBOOL(BgL__ortest_1102z00_14844))
{ /* Eval/evaluate_comp.scm 437 */
return BgL__ortest_1102z00_14844;}  else 
{ /* Eval/evaluate_comp.scm 437 */
obj_t BgL_arg2918z00_14846;
BgL_arg2918z00_14846 = 
CDR(
((obj_t)BgL_lz00_14843)); 
{ 
obj_t BgL_lz00_28993;
BgL_lz00_28993 = BgL_arg2918z00_14846; 
BgL_lz00_14843 = BgL_lz00_28993; 
goto BgL_recz00_14842;} } } } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_if1402 */
obj_t BGl_z62compzd2ev_if1402zb0zz__evaluate_compz00(obj_t BgL_envz00_12436, obj_t BgL_ez00_12437, obj_t BgL_stkz00_12438)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 424 */
{ /* Eval/evaluate_comp.scm 426 */
obj_t BgL_pz00_14848;obj_t BgL_tz00_14849;obj_t BgL_ez00_14850;
BgL_pz00_14848 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12437)))->BgL_pz00), BgL_stkz00_12438); 
BgL_tz00_14849 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12437)))->BgL_tz00), BgL_stkz00_12438); 
BgL_ez00_14850 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12437)))->BgL_ez00), BgL_stkz00_12438); 
{ /* Eval/evaluate_comp.scm 427 */
obj_t BgL_zc3anonymousza32910ze3z83_14851;
BgL_zc3anonymousza32910ze3z83_14851 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32910ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32910ze3z83_14851, 
(int)(((long)0)), BgL_ez00_14850); 
PROCEDURE_SET(BgL_zc3anonymousza32910ze3z83_14851, 
(int)(((long)1)), BgL_tz00_14849); 
PROCEDURE_SET(BgL_zc3anonymousza32910ze3z83_14851, 
(int)(((long)2)), BgL_pz00_14848); 
return BgL_zc3anonymousza32910ze3z83_14851;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2910> */
obj_t BGl_z62zc3anonymousza32910ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12439, obj_t BgL_sz00_12443)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 427 */
{ /* Eval/evaluate_comp.scm 427 */
obj_t BgL_ez00_12440;obj_t BgL_tz00_12441;obj_t BgL_pz00_12442;
BgL_ez00_12440 = 
PROCEDURE_REF(BgL_envz00_12439, 
(int)(((long)0))); 
BgL_tz00_12441 = 
PROCEDURE_REF(BgL_envz00_12439, 
(int)(((long)1))); 
BgL_pz00_12442 = 
PROCEDURE_REF(BgL_envz00_12439, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 427 */
obj_t BgL_bpz00_14852;
BgL_bpz00_14852 = 
VECTOR_REF(
((obj_t)BgL_sz00_12443),((long)0)); 
if(
CBOOL(
PROCEDURE_ENTRY(BgL_pz00_12442)(BgL_pz00_12442, BgL_sz00_12443, BEOA)))
{ /* Eval/evaluate_comp.scm 428 */
return 
PROCEDURE_ENTRY(BgL_tz00_12441)(BgL_tz00_12441, BgL_sz00_12443, BEOA);}  else 
{ /* Eval/evaluate_comp.scm 428 */
return 
PROCEDURE_ENTRY(BgL_ez00_12440)(BgL_ez00_12440, BgL_sz00_12443, BEOA);} } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_litt1400 */
obj_t BGl_z62compzd2ev_litt1400zb0zz__evaluate_compz00(obj_t BgL_envz00_12444, obj_t BgL_ez00_12445, obj_t BgL_stkz00_12446)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 419 */
{ /* Eval/evaluate_comp.scm 421 */
obj_t BgL_zc3anonymousza32909ze3z83_14854;
BgL_zc3anonymousza32909ze3z83_14854 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32909ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32909ze3z83_14854, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_littz00_bglt)BgL_ez00_12445))); 
return BgL_zc3anonymousza32909ze3z83_14854;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:2909> */
obj_t BGl_z62zc3anonymousza32909ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12447, obj_t BgL_sz00_12449)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 421 */
{ /* Eval/evaluate_comp.scm 421 */
BgL_ev_littz00_bglt BgL_i1099z00_12448;
BgL_i1099z00_12448 = 
((BgL_ev_littz00_bglt)
PROCEDURE_REF(BgL_envz00_12447, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 421 */
obj_t BgL_bpz00_14855;
BgL_bpz00_14855 = 
VECTOR_REF(
((obj_t)BgL_sz00_12449),((long)0)); 
return 
(((BgL_ev_littz00_bglt)COBJECT(BgL_i1099z00_12448))->BgL_valuez00);} } } 
BGL_FUNCTION_END;
}



/* &comp-ev_defglobal1398 */
obj_t BGl_z62compzd2ev_defglobal1398zb0zz__evaluate_compz00(obj_t BgL_envz00_12450, obj_t BgL_ez00_12451, obj_t BgL_stkz00_12452)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 388 */
{ /* Eval/evaluate_comp.scm 390 */
obj_t BgL_ez00_14857;
{ /* Eval/evaluate_comp.scm 390 */
BgL_ev_exprz00_bglt BgL_arg2908z00_14858;
BgL_arg2908z00_14858 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_ez00_12451))))->BgL_ez00); 
BgL_ez00_14857 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2908z00_14858, BgL_stkz00_12452); } 
{ /* Eval/evaluate_comp.scm 391 */
obj_t BgL_zc3anonymousza32883ze3z83_14859;
BgL_zc3anonymousza32883ze3z83_14859 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32883ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32883ze3z83_14859, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_defglobalz00_bglt)BgL_ez00_12451))); 
PROCEDURE_SET(BgL_zc3anonymousza32883ze3z83_14859, 
(int)(((long)1)), BgL_ez00_14857); 
return BgL_zc3anonymousza32883ze3z83_14859;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2883> */
obj_t BGl_z62zc3anonymousza32883ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12453, obj_t BgL_sz00_12456)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 391 */
{ /* Eval/evaluate_comp.scm 391 */
BgL_ev_defglobalz00_bglt BgL_i1096z00_12454;obj_t BgL_ez00_12455;
BgL_i1096z00_12454 = 
((BgL_ev_defglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_12453, 
(int)(((long)0)))); 
BgL_ez00_12455 = 
PROCEDURE_REF(BgL_envz00_12453, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 391 */
obj_t BgL_bpz00_14860;
BgL_bpz00_14860 = 
VECTOR_REF(
((obj_t)BgL_sz00_12456),((long)0)); 
{ /* Eval/evaluate_comp.scm 392 */
obj_t BgL_gz00_14861;
{ /* Eval/evaluate_comp.scm 392 */
obj_t BgL_arg2906z00_14862;obj_t BgL_arg2907z00_14863;
BgL_arg2906z00_14862 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12454)))->BgL_modz00); 
BgL_arg2907z00_14863 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12454)))->BgL_namez00); 
BgL_gz00_14861 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2906z00_14862, BgL_arg2907z00_14863); } 
if(
CBOOL(BgL_gz00_14861))
{ /* Eval/evaluate_comp.scm 394 */
{ 

{ /* Eval/evaluate_comp.scm 396 */
int BgL_aux1098z00_14867;
{ /* Eval/evaluate_comp.scm 396 */
int BgL_res4648z00_14868;
BgL_res4648z00_14868 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_14861),((long)0))); 
BgL_aux1098z00_14867 = BgL_res4648z00_14868; } 
switch( 
(long)(BgL_aux1098z00_14867)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 398 */
obj_t BgL_arg2885z00_14869;obj_t BgL_arg2886z00_14870;
BgL_arg2885z00_14869 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12454)))->BgL_locz00); 
BgL_arg2886z00_14870 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12454)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2885z00_14869, BGl_string5288z00zz__evaluate_compz00, BGl_string5289z00zz__evaluate_compz00, BgL_arg2886z00_14870); } break;case ((long)1) : 

{ /* Eval/evaluate_comp.scm 400 */
obj_t BgL_arg2887z00_14871;obj_t BgL_arg2888z00_14872;
BgL_arg2887z00_14871 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12454)))->BgL_locz00); 
BgL_arg2888z00_14872 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12454)))->BgL_namez00); 
{ /* Eval/evaluate_comp.scm 400 */
obj_t BgL_list2889z00_14873;
{ /* Eval/evaluate_comp.scm 400 */
obj_t BgL_arg2890z00_14874;
{ /* Eval/evaluate_comp.scm 400 */
obj_t BgL_arg2891z00_14875;
BgL_arg2891z00_14875 = 
MAKE_YOUNG_PAIR(BgL_arg2888z00_14872, BNIL); 
BgL_arg2890z00_14874 = 
MAKE_YOUNG_PAIR(BGl_string5290z00zz__evaluate_compz00, BgL_arg2891z00_14875); } 
BgL_list2889z00_14873 = 
MAKE_YOUNG_PAIR(BGl_string5167z00zz__evaluate_compz00, BgL_arg2890z00_14874); } 
BGl_evwarningz00zz__everrorz00(BgL_arg2887z00_14871, BgL_list2889z00_14873); } } 
{ /* Eval/evaluate_comp.scm 402 */
obj_t BgL_arg2892z00_14876;obj_t BgL_arg2893z00_14877;
BgL_arg2892z00_14876 = 
VECTOR_REF(
((obj_t)BgL_gz00_14861),((long)2)); 
BgL_arg2893z00_14877 = 
PROCEDURE_ENTRY(BgL_ez00_12455)(BgL_ez00_12455, BgL_sz00_12456, BEOA); 
__EVMEANING_ADDRESS_SET(BgL_arg2892z00_14876, BgL_arg2893z00_14877); } break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 404 */
obj_t BgL_arg2894z00_14878;
BgL_arg2894z00_14878 = 
PROCEDURE_ENTRY(BgL_ez00_12455)(BgL_ez00_12455, BgL_sz00_12456, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_14861),((long)2),BgL_arg2894z00_14878); } break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 406 */
obj_t BgL_arg2895z00_14879;
BgL_arg2895z00_14879 = 
PROCEDURE_ENTRY(BgL_ez00_12455)(BgL_ez00_12455, BgL_sz00_12456, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_14861),((long)2),BgL_arg2895z00_14879); } 
VECTOR_SET(
((obj_t)BgL_gz00_14861),((long)0),
BINT(((long)2))); break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 409 */
obj_t BgL_arg2896z00_14880;
BgL_arg2896z00_14880 = 
PROCEDURE_ENTRY(BgL_ez00_12455)(BgL_ez00_12455, BgL_sz00_12456, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_14861),((long)2),BgL_arg2896z00_14880); } 
VECTOR_SET(
((obj_t)BgL_gz00_14861),((long)0),
BINT(((long)5))); break;
default: 
{ /* Eval/evaluate_comp.scm 412 */
obj_t BgL_arg2897z00_14865;obj_t BgL_arg2898z00_14866;
BgL_arg2897z00_14865 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12454)))->BgL_locz00); 
BgL_arg2898z00_14866 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12454)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2897z00_14865, BGl_string5288z00zz__evaluate_compz00, BGl_string5289z00zz__evaluate_compz00, BgL_arg2898z00_14866); } } } } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12454)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 414 */
obj_t BgL_gz00_14881;
{ /* Eval/evaluate_comp.scm 414 */
obj_t BgL_arg2903z00_14882;obj_t BgL_arg2904z00_14883;obj_t BgL_arg2905z00_14884;
BgL_arg2903z00_14882 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12454)))->BgL_namez00); 
BgL_arg2904z00_14883 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12454)))->BgL_modz00); 
BgL_arg2905z00_14884 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12454)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 414 */
obj_t BgL_v1372z00_14885;
BgL_v1372z00_14885 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1372z00_14885,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1372z00_14885,((long)1),BgL_arg2903z00_14882); 
VECTOR_SET(BgL_v1372z00_14885,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1372z00_14885,((long)3),BgL_arg2904z00_14883); 
VECTOR_SET(BgL_v1372z00_14885,((long)4),BgL_arg2905z00_14884); 
BgL_gz00_14881 = BgL_v1372z00_14885; } } 
{ /* Eval/evaluate_comp.scm 415 */
obj_t BgL_arg2899z00_14886;
BgL_arg2899z00_14886 = 
PROCEDURE_ENTRY(BgL_ez00_12455)(BgL_ez00_12455, BgL_sz00_12456, BEOA); 
VECTOR_SET(BgL_gz00_14881,((long)2),BgL_arg2899z00_14886); } 
{ /* Eval/evaluate_comp.scm 416 */
obj_t BgL_arg2900z00_14887;obj_t BgL_arg2901z00_14888;obj_t BgL_arg2902z00_14889;
BgL_arg2900z00_14887 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12454)))->BgL_modz00); 
BgL_arg2901z00_14888 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12454)))->BgL_namez00); 
BgL_arg2902z00_14889 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12454)))->BgL_locz00); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(BgL_arg2900z00_14887, BgL_arg2901z00_14888, BgL_gz00_14881, BgL_arg2902z00_14889); } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1096z00_12454)))->BgL_namez00);} } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_setglobal1396 */
obj_t BGl_z62compzd2ev_setglobal1396zb0zz__evaluate_compz00(obj_t BgL_envz00_12457, obj_t BgL_ez00_12458, obj_t BgL_stkz00_12459)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 365 */
{ /* Eval/evaluate_comp.scm 367 */
obj_t BgL_gz00_14891;obj_t BgL_ez00_14892;
BgL_gz00_14891 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12458)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12458)))->BgL_namez00)); 
{ /* Eval/evaluate_comp.scm 367 */
BgL_ev_exprz00_bglt BgL_arg2882z00_14893;
BgL_arg2882z00_14893 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_ez00_12458))))->BgL_ez00); 
BgL_ez00_14892 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2882z00_14893, BgL_stkz00_12459); } 
if(
CBOOL(BgL_gz00_14891))
{ 

{ /* Eval/evaluate_comp.scm 369 */
int BgL_aux1095z00_14896;
{ /* Eval/evaluate_comp.scm 369 */
int BgL_res4647z00_14897;
BgL_res4647z00_14897 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_14891),((long)0))); 
BgL_aux1095z00_14896 = BgL_res4647z00_14897; } 
switch( 
(long)(BgL_aux1095z00_14896)) { case ((long)1) : 

{ /* Eval/evaluate_comp.scm 371 */
obj_t BgL_zc3anonymousza32858ze3z83_14898;
BgL_zc3anonymousza32858ze3z83_14898 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32858ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32858ze3z83_14898, 
(int)(((long)0)), BgL_gz00_14891); 
PROCEDURE_SET(BgL_zc3anonymousza32858ze3z83_14898, 
(int)(((long)1)), BgL_ez00_14892); 
return BgL_zc3anonymousza32858ze3z83_14898;} break;case ((long)0) : 
case ((long)4) : 
case ((long)5) : 

return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12458)))->BgL_locz00), BGl_string5288z00zz__evaluate_compz00, BGl_string5289z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12458)))->BgL_namez00));break;
default: 
{ /* Eval/evaluate_comp.scm 376 */
obj_t BgL_zc3anonymousza32863ze3z83_14895;
BgL_zc3anonymousza32863ze3z83_14895 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32863ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32863ze3z83_14895, 
(int)(((long)0)), BgL_ez00_14892); 
PROCEDURE_SET(BgL_zc3anonymousza32863ze3z83_14895, 
(int)(((long)1)), BgL_gz00_14891); 
return BgL_zc3anonymousza32863ze3z83_14895;} } } }  else 
{ /* Eval/evaluate_comp.scm 377 */
obj_t BgL_slotz00_14899;
BgL_slotz00_14899 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12458)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 379 */
obj_t BgL_gz00_14900;
{ /* Eval/evaluate_comp.scm 379 */
obj_t BgL_arg2870z00_14901;obj_t BgL_arg2871z00_14902;obj_t BgL_arg2872z00_14903;
BgL_arg2870z00_14901 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12458)))->BgL_namez00); 
BgL_arg2871z00_14902 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12458)))->BgL_modz00); 
BgL_arg2872z00_14903 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12458)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 379 */
obj_t BgL_v1372z00_14904;
BgL_v1372z00_14904 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1372z00_14904,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1372z00_14904,((long)1),BgL_arg2870z00_14901); 
VECTOR_SET(BgL_v1372z00_14904,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1372z00_14904,((long)3),BgL_arg2871z00_14902); 
VECTOR_SET(BgL_v1372z00_14904,((long)4),BgL_arg2872z00_14903); 
BgL_gz00_14900 = BgL_v1372z00_14904; } } 
VECTOR_SET(BgL_gz00_14900,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12458)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12458)))->BgL_namez00), BgL_gz00_14900, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12458)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 378 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 382 */
obj_t BgL_zc3anonymousza32874ze3z83_14905;
BgL_zc3anonymousza32874ze3z83_14905 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32874ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3anonymousza32874ze3z83_14905, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_setglobalz00_bglt)BgL_ez00_12458))); 
PROCEDURE_SET(BgL_zc3anonymousza32874ze3z83_14905, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_14899)); 
PROCEDURE_SET(BgL_zc3anonymousza32874ze3z83_14905, 
(int)(((long)2)), BgL_ez00_14892); 
return BgL_zc3anonymousza32874ze3z83_14905;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2858> */
obj_t BGl_z62zc3anonymousza32858ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12462, obj_t BgL_sz00_12465)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 371 */
{ /* Eval/evaluate_comp.scm 371 */
obj_t BgL_gz00_12463;obj_t BgL_ez00_12464;
BgL_gz00_12463 = 
PROCEDURE_REF(BgL_envz00_12462, 
(int)(((long)0))); 
BgL_ez00_12464 = 
PROCEDURE_REF(BgL_envz00_12462, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 371 */
obj_t BgL_bpz00_14906;
BgL_bpz00_14906 = 
VECTOR_REF(
((obj_t)BgL_sz00_12465),((long)0)); 
{ /* Eval/evaluate_comp.scm 372 */
obj_t BgL_arg2859z00_14907;obj_t BgL_arg2860z00_14908;
BgL_arg2859z00_14907 = 
VECTOR_REF(
((obj_t)BgL_gz00_12463),((long)2)); 
BgL_arg2860z00_14908 = 
PROCEDURE_ENTRY(BgL_ez00_12464)(BgL_ez00_12464, BgL_sz00_12465, BEOA); 
return 
__EVMEANING_ADDRESS_SET(BgL_arg2859z00_14907, BgL_arg2860z00_14908);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2863> */
obj_t BGl_z62zc3anonymousza32863ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12466, obj_t BgL_sz00_12469)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 376 */
{ /* Eval/evaluate_comp.scm 376 */
obj_t BgL_ez00_12467;obj_t BgL_gz00_12468;
BgL_ez00_12467 = 
PROCEDURE_REF(BgL_envz00_12466, 
(int)(((long)0))); 
BgL_gz00_12468 = 
PROCEDURE_REF(BgL_envz00_12466, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 376 */
obj_t BgL_bpz00_14909;
BgL_bpz00_14909 = 
VECTOR_REF(
((obj_t)BgL_sz00_12469),((long)0)); 
{ /* Eval/evaluate_comp.scm 376 */
obj_t BgL_arg2864z00_14910;
BgL_arg2864z00_14910 = 
PROCEDURE_ENTRY(BgL_ez00_12467)(BgL_ez00_12467, BgL_sz00_12469, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_gz00_12468),((long)2),BgL_arg2864z00_14910);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2874> */
obj_t BGl_z62zc3anonymousza32874ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12470, obj_t BgL_sz00_12474)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 382 */
{ /* Eval/evaluate_comp.scm 382 */
BgL_ev_setglobalz00_bglt BgL_i1093z00_12471;obj_t BgL_slotz00_12472;obj_t BgL_ez00_12473;
BgL_i1093z00_12471 = 
((BgL_ev_setglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_12470, 
(int)(((long)0)))); 
BgL_slotz00_12472 = 
PROCEDURE_REF(BgL_envz00_12470, 
(int)(((long)1))); 
BgL_ez00_12473 = 
PROCEDURE_REF(BgL_envz00_12470, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 382 */
obj_t BgL_bpz00_14911;
BgL_bpz00_14911 = 
VECTOR_REF(
((obj_t)BgL_sz00_12474),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_12472)))
{ /* Eval/evaluate_comp.scm 383 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 383 */
{ /* Eval/evaluate_comp.scm 384 */
obj_t BgL_auxz00_14912;
BgL_auxz00_14912 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1093z00_12471))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1093z00_12471))->BgL_namez00)); 
CELL_SET(BgL_slotz00_12472, BgL_auxz00_14912); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_12472)))
{ /* Eval/evaluate_comp.scm 385 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 385 */
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1093z00_12471))->BgL_locz00), BGl_string5167z00zz__evaluate_compz00, BGl_string5291z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1093z00_12471))->BgL_namez00)); } } 
{ /* Eval/evaluate_comp.scm 386 */
obj_t BgL_arg2879z00_14913;
BgL_arg2879z00_14913 = 
PROCEDURE_ENTRY(BgL_ez00_12473)(BgL_ez00_12473, BgL_sz00_12474, BEOA); 
{ /* Eval/evaluate_comp.scm 386 */
obj_t BgL_evalzd2globalzd2_14914;
BgL_evalzd2globalzd2_14914 = 
CELL_REF(BgL_slotz00_12472); 
return 
VECTOR_SET(BgL_evalzd2globalzd2_14914,((long)2),BgL_arg2879z00_14913);} } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_global1394 */
obj_t BGl_z62compzd2ev_global1394zb0zz__evaluate_compz00(obj_t BgL_envz00_12476, obj_t BgL_varz00_12477, obj_t BgL_stkz00_12478)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 339 */
{ /* Eval/evaluate_comp.scm 341 */
obj_t BgL_gz00_14916;
BgL_gz00_14916 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12477)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12477)))->BgL_namez00)); 
if(
CBOOL(BgL_gz00_14916))
{ /* Eval/evaluate_comp.scm 343 */
bool_t BgL_testz00_29286;
{ /* Eval/evaluate_comp.scm 343 */
int BgL_arg2835z00_14917;
{ /* Eval/evaluate_comp.scm 343 */
int BgL_res4643z00_14918;
BgL_res4643z00_14918 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_14916),((long)0))); 
BgL_arg2835z00_14917 = BgL_res4643z00_14918; } 
BgL_testz00_29286 = 
(
BINT(BgL_arg2835z00_14917)==
BINT(((long)1))); } 
if(BgL_testz00_29286)
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_zc3anonymousza32832ze3z83_14919;
BgL_zc3anonymousza32832ze3z83_14919 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32832ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32832ze3z83_14919, 
(int)(((long)0)), BgL_gz00_14916); 
return BgL_zc3anonymousza32832ze3z83_14919;}  else 
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_zc3anonymousza32834ze3z83_14920;
BgL_zc3anonymousza32834ze3z83_14920 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32834ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32834ze3z83_14920, 
(int)(((long)0)), BgL_gz00_14916); 
return BgL_zc3anonymousza32834ze3z83_14920;} }  else 
{ /* Eval/evaluate_comp.scm 348 */
obj_t BgL_slotz00_14921;
BgL_slotz00_14921 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12477)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_gz00_14922;
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_arg2841z00_14923;obj_t BgL_arg2842z00_14924;obj_t BgL_arg2843z00_14925;
BgL_arg2841z00_14923 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12477)))->BgL_namez00); 
BgL_arg2842z00_14924 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12477)))->BgL_modz00); 
BgL_arg2843z00_14925 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12477)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_v1372z00_14926;
BgL_v1372z00_14926 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1372z00_14926,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1372z00_14926,((long)1),BgL_arg2841z00_14923); 
VECTOR_SET(BgL_v1372z00_14926,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1372z00_14926,((long)3),BgL_arg2842z00_14924); 
VECTOR_SET(BgL_v1372z00_14926,((long)4),BgL_arg2843z00_14925); 
BgL_gz00_14922 = BgL_v1372z00_14926; } } 
VECTOR_SET(BgL_gz00_14922,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12477)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12477)))->BgL_namez00), BgL_gz00_14922, 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12477)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 349 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 353 */
obj_t BgL_zc3anonymousza32845ze3z83_14927;
BgL_zc3anonymousza32845ze3z83_14927 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32845ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32845ze3z83_14927, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_globalz00_bglt)BgL_varz00_12477))); 
PROCEDURE_SET(BgL_zc3anonymousza32845ze3z83_14927, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_14921)); 
return BgL_zc3anonymousza32845ze3z83_14927;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2832> */
obj_t BGl_z62zc3anonymousza32832ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12481, obj_t BgL_sz00_12483)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 344 */
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_gz00_12482;
BgL_gz00_12482 = 
PROCEDURE_REF(BgL_envz00_12481, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_bpz00_14928;
BgL_bpz00_14928 = 
VECTOR_REF(
((obj_t)BgL_sz00_12483),((long)0)); 
{ /* Eval/evaluate_comp.scm 345 */
obj_t BgL_arg2833z00_14929;
BgL_arg2833z00_14929 = 
VECTOR_REF(
((obj_t)BgL_gz00_12482),((long)2)); 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2833z00_14929);} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2834> */
obj_t BGl_z62zc3anonymousza32834ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12484, obj_t BgL_sz00_12486)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 346 */
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_gz00_12485;
BgL_gz00_12485 = 
PROCEDURE_REF(BgL_envz00_12484, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_bpz00_14930;
BgL_bpz00_14930 = 
VECTOR_REF(
((obj_t)BgL_sz00_12486),((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_gz00_12485),((long)2));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2845> */
obj_t BGl_z62zc3anonymousza32845ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12487, obj_t BgL_sz00_12490)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 353 */
{ /* Eval/evaluate_comp.scm 353 */
BgL_ev_globalz00_bglt BgL_i1092z00_12488;obj_t BgL_slotz00_12489;
BgL_i1092z00_12488 = 
((BgL_ev_globalz00_bglt)
PROCEDURE_REF(BgL_envz00_12487, 
(int)(((long)0)))); 
BgL_slotz00_12489 = 
PROCEDURE_REF(BgL_envz00_12487, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 353 */
obj_t BgL_bpz00_14931;
BgL_bpz00_14931 = 
VECTOR_REF(
((obj_t)BgL_sz00_12490),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_12489)))
{ /* Eval/evaluate_comp.scm 354 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 354 */
{ /* Eval/evaluate_comp.scm 355 */
obj_t BgL_auxz00_14932;
BgL_auxz00_14932 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12488))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12488))->BgL_namez00)); 
CELL_SET(BgL_slotz00_12489, BgL_auxz00_14932); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_12489)))
{ /* Eval/evaluate_comp.scm 356 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 356 */
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12488))->BgL_locz00), BGl_string5167z00zz__evaluate_compz00, BGl_string5291z00zz__evaluate_compz00, 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12488))->BgL_namez00)); } } 
{ /* Eval/evaluate_comp.scm 357 */
obj_t BgL_vz00_14933;
{ /* Eval/evaluate_comp.scm 357 */
obj_t BgL_evalzd2globalzd2_14934;
BgL_evalzd2globalzd2_14934 = 
CELL_REF(BgL_slotz00_12489); 
BgL_vz00_14933 = 
VECTOR_REF(BgL_evalzd2globalzd2_14934,((long)2)); } 
if(
(BgL_vz00_14933==BUNSPEC))
{ /* Eval/evaluate_comp.scm 359 */
int BgL_tz00_14935;
{ /* Eval/evaluate_comp.scm 359 */
int BgL_res4644z00_14936;
{ /* Eval/evaluate_comp.scm 359 */
obj_t BgL_evalzd2globalzd2_14937;
BgL_evalzd2globalzd2_14937 = 
CELL_REF(BgL_slotz00_12489); 
BgL_res4644z00_14936 = 
CINT(
VECTOR_REF(BgL_evalzd2globalzd2_14937,((long)0))); } 
BgL_tz00_14935 = BgL_res4644z00_14936; } 
{ /* Eval/evaluate_comp.scm 360 */
bool_t BgL_testz00_29374;
if(
(
(long)(BgL_tz00_14935)==((long)3)))
{ /* Eval/evaluate_comp.scm 360 */
BgL_testz00_29374 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 360 */
BgL_testz00_29374 = 
(
(long)(BgL_tz00_14935)==((long)4))
; } 
if(BgL_testz00_29374)
{ /* Eval/evaluate_comp.scm 360 */
return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12488))->BgL_locz00), BGl_string5167z00zz__evaluate_compz00, BGl_string5292z00zz__evaluate_compz00, 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1092z00_12488))->BgL_namez00));}  else 
{ /* Eval/evaluate_comp.scm 360 */
return BgL_vz00_14933;} } }  else 
{ /* Eval/evaluate_comp.scm 358 */
return BgL_vz00_14933;} } } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_setlocal1392 */
obj_t BGl_z62compzd2ev_setlocal1392zb0zz__evaluate_compz00(obj_t BgL_envz00_12492, obj_t BgL_ez00_12493, obj_t BgL_stkz00_12494)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 321 */
{ /* Eval/evaluate_comp.scm 323 */
obj_t BgL_iz00_14939;obj_t BgL_ez00_14940;
{ /* Eval/evaluate_comp.scm 323 */
BgL_ev_varz00_bglt BgL_arg2828z00_14941;
BgL_arg2828z00_14941 = 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_12493)))->BgL_vz00); 
BgL_iz00_14939 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)BgL_arg2828z00_14941), BgL_stkz00_12494); } 
{ /* Eval/evaluate_comp.scm 323 */
BgL_ev_exprz00_bglt BgL_arg2829z00_14942;
BgL_arg2829z00_14942 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_12493))))->BgL_ez00); 
BgL_ez00_14940 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2829z00_14942, BgL_stkz00_12494); } 
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_12493)))->BgL_vz00)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_zc3anonymousza32821ze3z83_14943;
BgL_zc3anonymousza32821ze3z83_14943 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32821ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32821ze3z83_14943, 
(int)(((long)0)), BgL_iz00_14939); 
PROCEDURE_SET(BgL_zc3anonymousza32821ze3z83_14943, 
(int)(((long)1)), BgL_ez00_14940); 
return BgL_zc3anonymousza32821ze3z83_14943;}  else 
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_zc3anonymousza32825ze3z83_14944;
BgL_zc3anonymousza32825ze3z83_14944 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32825ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3anonymousza32825ze3z83_14944, 
(int)(((long)0)), BgL_iz00_14939); 
PROCEDURE_SET(BgL_zc3anonymousza32825ze3z83_14944, 
(int)(((long)1)), BgL_ez00_14940); 
return BgL_zc3anonymousza32825ze3z83_14944;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2821> */
obj_t BGl_z62zc3anonymousza32821ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12495, obj_t BgL_sz00_12498)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 326 */
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_iz00_12496;obj_t BgL_ez00_12497;
BgL_iz00_12496 = 
PROCEDURE_REF(BgL_envz00_12495, 
(int)(((long)0))); 
BgL_ez00_12497 = 
PROCEDURE_REF(BgL_envz00_12495, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_bpz00_14945;
BgL_bpz00_14945 = 
VECTOR_REF(
((obj_t)BgL_sz00_12498),((long)0)); 
{ /* Eval/evaluate_comp.scm 327 */
obj_t BgL_arg2822z00_14946;obj_t BgL_arg2823z00_14947;
{ /* Eval/evaluate_comp.scm 327 */
long BgL_arg2824z00_14948;
BgL_arg2824z00_14948 = 
(
(long)CINT(BgL_bpz00_14945)+
(long)CINT(BgL_iz00_12496)); 
BgL_arg2822z00_14946 = 
VECTOR_REF(
((obj_t)BgL_sz00_12498),BgL_arg2824z00_14948); } 
BgL_arg2823z00_14947 = 
PROCEDURE_ENTRY(BgL_ez00_12497)(BgL_ez00_12497, BgL_sz00_12498, BEOA); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_xz00_14949;
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_29427;obj_t BgL_tmpz00_29425;
BgL_auxz00_29427 = 
(int)(((long)0)); 
BgL_tmpz00_29425 = 
((obj_t)BgL_arg2822z00_14946); 
BgL_xz00_14949 = 
STRUCT_SET(BgL_tmpz00_29425, BgL_auxz00_29427, BgL_arg2823z00_14947); } 
return BUNSPEC;} } } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2825> */
obj_t BGl_z62zc3anonymousza32825ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12499, obj_t BgL_sz00_12502)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 328 */
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_iz00_12500;obj_t BgL_ez00_12501;
BgL_iz00_12500 = 
PROCEDURE_REF(BgL_envz00_12499, 
(int)(((long)0))); 
BgL_ez00_12501 = 
PROCEDURE_REF(BgL_envz00_12499, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_bpz00_14950;
BgL_bpz00_14950 = 
VECTOR_REF(
((obj_t)BgL_sz00_12502),((long)0)); 
{ /* Eval/evaluate_comp.scm 329 */
long BgL_arg2826z00_14951;obj_t BgL_arg2827z00_14952;
BgL_arg2826z00_14951 = 
(
(long)CINT(BgL_bpz00_14950)+
(long)CINT(BgL_iz00_12500)); 
BgL_arg2827z00_14952 = 
PROCEDURE_ENTRY(BgL_ez00_12501)(BgL_ez00_12501, BgL_sz00_12502, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_12502),BgL_arg2826z00_14951,BgL_arg2827z00_14952);} } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_var1390 */
obj_t BGl_z62compzd2ev_var1390zb0zz__evaluate_compz00(obj_t BgL_envz00_12503, obj_t BgL_varz00_12504, obj_t BgL_stkz00_12505)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 316 */
{ /* Eval/evaluate_comp.scm 317 */
obj_t BgL_iz00_14954;
BgL_iz00_14954 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)
((BgL_ev_varz00_bglt)BgL_varz00_12504)), BgL_stkz00_12505); 
{ 

if(
INTEGERP(BgL_iz00_14954))
{ /* Eval/evaluate_comp.scm 319 */
switch( 
(long)CINT(BgL_iz00_14954)) { case ((long)0) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12504)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5293z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5294z00zz__evaluate_compz00;} break;case ((long)1) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12504)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5295z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5296z00zz__evaluate_compz00;} break;case ((long)2) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12504)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5297z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5298z00zz__evaluate_compz00;} break;case ((long)3) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12504)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5299z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5300z00zz__evaluate_compz00;} break;
default: 
BgL_case_else1087z00_14955:
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12504)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_zc3anonymousza32815ze3z83_14956;
BgL_zc3anonymousza32815ze3z83_14956 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32815ze3z83_14956, 
(int)(((long)0)), BgL_iz00_14954); 
return BgL_zc3anonymousza32815ze3z83_14956;}  else 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_zc3anonymousza32818ze3z83_14957;
BgL_zc3anonymousza32818ze3z83_14957 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32818ze3z83_14957, 
(int)(((long)0)), BgL_iz00_14954); 
return BgL_zc3anonymousza32818ze3z83_14957;} } }  else 
{ /* Eval/evaluate_comp.scm 319 */
goto BgL_case_else1087z00_14955;} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2809> */
obj_t BGl_z62zc3anonymousza32809ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12506, obj_t BgL_sz00_12507)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14958;
BgL_bpz00_14958 = 
VECTOR_REF(
((obj_t)BgL_sz00_12507),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2810z00_14959;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2811z00_14960;
BgL_arg2811z00_14960 = 
(
(long)CINT(BgL_bpz00_14958)+((long)3)); 
BgL_arg2810z00_14959 = 
VECTOR_REF(
((obj_t)BgL_sz00_12507),BgL_arg2811z00_14960); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2810z00_14959), 
(int)(((long)0)));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2812> */
obj_t BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12508, obj_t BgL_sz00_12509)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14961;
BgL_bpz00_14961 = 
VECTOR_REF(
((obj_t)BgL_sz00_12509),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2813z00_14962;
BgL_arg2813z00_14962 = 
(
(long)CINT(BgL_bpz00_14961)+((long)3)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12509),BgL_arg2813z00_14962);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2803> */
obj_t BGl_z62zc3anonymousza32803ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12510, obj_t BgL_sz00_12511)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14963;
BgL_bpz00_14963 = 
VECTOR_REF(
((obj_t)BgL_sz00_12511),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2804z00_14964;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2805z00_14965;
BgL_arg2805z00_14965 = 
(
(long)CINT(BgL_bpz00_14963)+((long)2)); 
BgL_arg2804z00_14964 = 
VECTOR_REF(
((obj_t)BgL_sz00_12511),BgL_arg2805z00_14965); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2804z00_14964), 
(int)(((long)0)));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2806> */
obj_t BGl_z62zc3anonymousza32806ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12512, obj_t BgL_sz00_12513)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14966;
BgL_bpz00_14966 = 
VECTOR_REF(
((obj_t)BgL_sz00_12513),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2807z00_14967;
BgL_arg2807z00_14967 = 
(
(long)CINT(BgL_bpz00_14966)+((long)2)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12513),BgL_arg2807z00_14967);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2797> */
obj_t BGl_z62zc3anonymousza32797ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12514, obj_t BgL_sz00_12515)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14968;
BgL_bpz00_14968 = 
VECTOR_REF(
((obj_t)BgL_sz00_12515),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2798z00_14969;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2799z00_14970;
BgL_arg2799z00_14970 = 
(
(long)CINT(BgL_bpz00_14968)+((long)1)); 
BgL_arg2798z00_14969 = 
VECTOR_REF(
((obj_t)BgL_sz00_12515),BgL_arg2799z00_14970); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2798z00_14969), 
(int)(((long)0)));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2800> */
obj_t BGl_z62zc3anonymousza32800ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12516, obj_t BgL_sz00_12517)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14971;
BgL_bpz00_14971 = 
VECTOR_REF(
((obj_t)BgL_sz00_12517),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2801z00_14972;
BgL_arg2801z00_14972 = 
(
(long)CINT(BgL_bpz00_14971)+((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12517),BgL_arg2801z00_14972);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2791> */
obj_t BGl_z62zc3anonymousza32791ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12518, obj_t BgL_sz00_12519)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14973;
BgL_bpz00_14973 = 
VECTOR_REF(
((obj_t)BgL_sz00_12519),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2792z00_14974;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2793z00_14975;
BgL_arg2793z00_14975 = 
(
(long)CINT(BgL_bpz00_14973)+((long)0)); 
BgL_arg2792z00_14974 = 
VECTOR_REF(
((obj_t)BgL_sz00_12519),BgL_arg2793z00_14975); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2792z00_14974), 
(int)(((long)0)));} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2794> */
obj_t BGl_z62zc3anonymousza32794ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12520, obj_t BgL_sz00_12521)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14976;
BgL_bpz00_14976 = 
VECTOR_REF(
((obj_t)BgL_sz00_12521),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2795z00_14977;
BgL_arg2795z00_14977 = 
(
(long)CINT(BgL_bpz00_14976)+((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12521),BgL_arg2795z00_14977);} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2815> */
obj_t BGl_z62zc3anonymousza32815ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12522, obj_t BgL_sz00_12524)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_iz00_12523;
BgL_iz00_12523 = 
PROCEDURE_REF(BgL_envz00_12522, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14978;
BgL_bpz00_14978 = 
VECTOR_REF(
((obj_t)BgL_sz00_12524),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2816z00_14979;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2817z00_14980;
BgL_arg2817z00_14980 = 
(
(long)CINT(BgL_bpz00_14978)+
(long)CINT(BgL_iz00_12523)); 
BgL_arg2816z00_14979 = 
VECTOR_REF(
((obj_t)BgL_sz00_12524),BgL_arg2817z00_14980); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2816z00_14979), 
(int)(((long)0)));} } } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2818> */
obj_t BGl_z62zc3anonymousza32818ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12525, obj_t BgL_sz00_12527)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_iz00_12526;
BgL_iz00_12526 = 
PROCEDURE_REF(BgL_envz00_12525, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_14981;
BgL_bpz00_14981 = 
VECTOR_REF(
((obj_t)BgL_sz00_12527),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2819z00_14982;
BgL_arg2819z00_14982 = 
(
(long)CINT(BgL_bpz00_14981)+
(long)CINT(BgL_iz00_12526)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12527),BgL_arg2819z00_14982);} } } } 
BGL_FUNCTION_END;
}



/* &comp-ev_trap1388 */
obj_t BGl_z62compzd2ev_trap1388zb0zz__evaluate_compz00(obj_t BgL_envz00_12528, obj_t BgL_ez00_12529, obj_t BgL_stkz00_12530)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 289 */
{ /* Eval/evaluate_comp.scm 291 */
obj_t BgL_ez00_14984;
{ /* Eval/evaluate_comp.scm 291 */
BgL_ev_exprz00_bglt BgL_arg2788z00_14985;
BgL_arg2788z00_14985 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_ez00_12529))))->BgL_ez00); 
BgL_ez00_14984 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2788z00_14985, BgL_stkz00_12530); } 
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_zc3anonymousza32782ze3z83_14986;
BgL_zc3anonymousza32782ze3z83_14986 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32782ze3ze1zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza32782ze3z83_14986, 
(int)(((long)0)), BgL_ez00_14984); 
return BgL_zc3anonymousza32782ze3z83_14986;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2782> */
obj_t BGl_z62zc3anonymousza32782ze3ze1zz__evaluate_compz00(obj_t BgL_envz00_12531, obj_t BgL_sz00_12533)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 292 */
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_ez00_12532;
BgL_ez00_12532 = 
PROCEDURE_REF(BgL_envz00_12531, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_bpz00_14987;
BgL_bpz00_14987 = 
VECTOR_REF(
((obj_t)BgL_sz00_12533),((long)0)); 
{ /* Eval/evaluate_comp.scm 293 */
obj_t BgL_cmdz00_14988;
BgL_cmdz00_14988 = 
PROCEDURE_ENTRY(BgL_ez00_12532)(BgL_ez00_12532, BgL_sz00_12533, BEOA); 
if(
(BgL_cmdz00_14988==BGl_symbol5301z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return BgL_bpz00_14987;}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_14988==BGl_symbol5303z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_reset_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_14988==BGl_symbol5305z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_get_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_14988==BGl_symbol5307z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 302 */
obj_t BgL_arg2787z00_14989;
BgL_arg2787z00_14989 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
return 
VECTOR_SET(
((obj_t)BgL_arg2787z00_14989),((long)0),
BINT(((long)2)));}  else 
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_errorz00zz__errorz00(BGl_string5167z00zz__evaluate_compz00, BGl_string5309z00zz__evaluate_compz00, BgL_cmdz00_14988);} } } } } } } } 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_comp.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)180158922), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)251314740), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__srfi4z00(((long)467924966), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)454272164), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)445908113), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)434692624), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-400105135), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)127905250), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)23062368), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)6183155), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long)193509656), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)20669940), 
BSTRING_TO_STRING(BGl_string5310z00zz__evaluate_compz00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
