/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.3f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 04 Jul 2019 08:10:18 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3f/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_types.scm -o objs/obj_p/Eval/evaluate_types.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_z62zc3anonymousza31797ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1769z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2560z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2564z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2568z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1770z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1775z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t, obj_t);
extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_symbol2575z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31993ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1786z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2580z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2585z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1795z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1796z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2593z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31414ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2598z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1964z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31979ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1970z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1977z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62lambda1991z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1998z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1999z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31472ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31814ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31547ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31581ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1401z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31834ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1409z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1411z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31940ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31851ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1419z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza32000ze3ze1zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1420z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1427z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1428z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
static obj_t BGl_z62lambda1433z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1434z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31675ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_globalz00_bglt BGl_z62lambda1442z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31870ze3ze1zz__evaluate_typesz00(obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1444z62zz__evaluate_typesz00(obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1607z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31765ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2400z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2404z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1450z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1451z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1615z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1456z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2410z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2415z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2419z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1461z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1623z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1462z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1625z62zz__evaluate_typesz00(obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1468z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2424z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2428z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_littz00_bglt BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31695ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1477z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2432z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2436z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1803z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1805z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_ifz00_bglt BGl_z62lambda1484z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_z62lambda1647z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31858ze3ze1zz__evaluate_typesz00(obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1486z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1648z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2441z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2607z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2445z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1812z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1813z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1652z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1653z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2612z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2450z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2455z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_letrecz00_bglt BGl_z62lambda1820z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_letrecz00_bglt BGl_z62lambda1822z62zz__evaluate_typesz00(obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2622z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2460z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2464z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2628z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2468z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_labelsz00_bglt BGl_z62lambda1830z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1673z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1839z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1679z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2632z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2473z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2639z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1680z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1843z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1684z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1685z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1849z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2480z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2645z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2485z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31403ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2489z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1850z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1691z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1693z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1857z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1699z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2651z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2656z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2494z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1862z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1863z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1868z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1869z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2662z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2666z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31986ze3ze1zz__evaluate_typesz00(obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1876z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2675z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2677z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1889z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2682z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_symbol2687z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1890z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1894z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1895z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1899z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2692z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31515ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31534ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31429ze3ze1zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31446ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31609ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31715ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31910ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31627ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31807ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31824ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31735ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31557ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3anonymousza31665ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1505z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31488ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
static BgL_ev_listz00_bglt BGl_z62lambda1511z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1513z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1521z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
extern obj_t BGl_objectz00zz__objectz00;
static BgL_ev_orz00_bglt BGl_z62lambda1529z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1531z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31790ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1700z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1704z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_andz00_bglt BGl_z62lambda1543z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1705z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31880ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_andz00_bglt BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2505z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1711z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1713z62zz__evaluate_typesz00(obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1553z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1555z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1399z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2510z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2514z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2518z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1562z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1724z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1563z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1725z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1568z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31599ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2523z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3anonymousza31972ze3ze1zz__evaluate_typesz00(obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1577z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1579z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2532z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2536z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2376z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2378z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1740z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1744z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1906z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1745z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2700z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2702z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2543z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2382z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2384z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2549z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2389z00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1750z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1754z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1595z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1597z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2553z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2391z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2395z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2402z00zz__evaluate_typesz00, BgL_bgl_za762lambda1451za7622704z00, BGl_z62lambda1451z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2403z00zz__evaluate_typesz00, BgL_bgl_za762lambda1450za7622705z00, BGl_z62lambda1450z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2406z00zz__evaluate_typesz00, BgL_bgl_za762lambda1456za7622706z00, BGl_z62lambda1456z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2407z00zz__evaluate_typesz00, BgL_bgl_za762lambda1455za7622707z00, BGl_z62lambda1455z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2408z00zz__evaluate_typesz00, BgL_bgl_za762lambda1462za7622708z00, BGl_z62lambda1462z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2409z00zz__evaluate_typesz00, BgL_bgl_za762lambda1461za7622709z00, BGl_z62lambda1461z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2412z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72710za7, BGl_z62zc3anonymousza31446ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2413z00zz__evaluate_typesz00, BgL_bgl_za762lambda1444za7622711z00, BGl_z62lambda1444z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2414z00zz__evaluate_typesz00, BgL_bgl_za762lambda1442za7622712z00, BGl_z62lambda1442z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2417z00zz__evaluate_typesz00, BgL_bgl_za762lambda1477za7622713z00, BGl_z62lambda1477z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2418z00zz__evaluate_typesz00, BgL_bgl_za762lambda1476za7622714z00, BGl_z62lambda1476z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2506z00zz__evaluate_typesz00, BgL_bgl_string2506za700za7za7_2715za7, "ev_setglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2421z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72716za7, BGl_z62zc3anonymousza31472ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2422z00zz__evaluate_typesz00, BgL_bgl_za762lambda1470za7622717z00, BGl_z62lambda1470z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2423z00zz__evaluate_typesz00, BgL_bgl_za762lambda1468za7622718z00, BGl_z62lambda1468z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2511z00zz__evaluate_typesz00, BgL_bgl_string2511za700za7za7_2719za7, "ev_defglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2426z00zz__evaluate_typesz00, BgL_bgl_za762lambda1493za7622720z00, BGl_z62lambda1493z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2427z00zz__evaluate_typesz00, BgL_bgl_za762lambda1492za7622721z00, BGl_z62lambda1492z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2515z00zz__evaluate_typesz00, BgL_bgl_string2515za700za7za7_2722za7, "var", 3 );
DEFINE_STRING( BGl_string2519z00zz__evaluate_typesz00, BgL_bgl_string2519za700za7za7_2723za7, "body", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2430z00zz__evaluate_typesz00, BgL_bgl_za762lambda1499za7622724z00, BGl_z62lambda1499z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2431z00zz__evaluate_typesz00, BgL_bgl_za762lambda1498za7622725z00, BGl_z62lambda1498z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2434z00zz__evaluate_typesz00, BgL_bgl_za762lambda1505za7622726z00, BGl_z62lambda1505z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2435z00zz__evaluate_typesz00, BgL_bgl_za762lambda1504za7622727z00, BGl_z62lambda1504z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2524z00zz__evaluate_typesz00, BgL_bgl_string2524za700za7za7_2728za7, "ev_bind-exit", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2438z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72729za7, BGl_z62zc3anonymousza31488ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2439z00zz__evaluate_typesz00, BgL_bgl_za762lambda1486za7622730z00, BGl_z62lambda1486z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2600z00zz__evaluate_typesz00, BgL_bgl_za762lambda1839za7622731z00, BGl_z62lambda1839z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2601z00zz__evaluate_typesz00, BgL_bgl_za762lambda1838za7622732z00, BGl_z62lambda1838z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2602z00zz__evaluate_typesz00, BgL_bgl_za762lambda1844za7622733z00, BGl_z62lambda1844z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2440z00zz__evaluate_typesz00, BgL_bgl_za762lambda1484za7622734z00, BGl_z62lambda1484z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2603z00zz__evaluate_typesz00, BgL_bgl_za762lambda1843za7622735z00, BGl_z62lambda1843z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2604z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72736za7, BGl_z62zc3anonymousza31851ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2605z00zz__evaluate_typesz00, BgL_bgl_za762lambda1850za7622737z00, BGl_z62lambda1850z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2443z00zz__evaluate_typesz00, BgL_bgl_za762lambda1521za7622738z00, BGl_z62lambda1521z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2606z00zz__evaluate_typesz00, BgL_bgl_za762lambda1849za7622739z00, BGl_z62lambda1849z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2444z00zz__evaluate_typesz00, BgL_bgl_za762lambda1520za7622740z00, BGl_z62lambda1520z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2533z00zz__evaluate_typesz00, BgL_bgl_string2533za700za7za7_2741za7, "ev_unwind-protect", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2609z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72742za7, BGl_z62zc3anonymousza31858ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2447z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72743za7, BGl_z62zc3anonymousza31515ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2448z00zz__evaluate_typesz00, BgL_bgl_za762lambda1513za7622744z00, BGl_z62lambda1513z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2449z00zz__evaluate_typesz00, BgL_bgl_za762lambda1511za7622745z00, BGl_z62lambda1511z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2537z00zz__evaluate_typesz00, BgL_bgl_string2537za700za7za7_2746za7, "handler", 7 );
DEFINE_STRING( BGl_string2377z00zz__evaluate_typesz00, BgL_bgl_string2377za700za7za7_2747za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string2379z00zz__evaluate_typesz00, BgL_bgl_string2379za700za7za7_2748za7, "__evaluate_types", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2610z00zz__evaluate_typesz00, BgL_bgl_za762lambda1857za7622749z00, BGl_z62lambda1857z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2611z00zz__evaluate_typesz00, BgL_bgl_za762lambda1856za7622750z00, BGl_z62lambda1856z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2701z00zz__evaluate_typesz00, BgL_bgl_string2701za700za7za7_2751za7, "ev_abs", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2614z00zz__evaluate_typesz00, BgL_bgl_za762lambda1863za7622752z00, BGl_z62lambda1863z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2452z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72753za7, BGl_z62zc3anonymousza31534ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2615z00zz__evaluate_typesz00, BgL_bgl_za762lambda1862za7622754z00, BGl_z62lambda1862z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2453z00zz__evaluate_typesz00, BgL_bgl_za762lambda1531za7622755z00, BGl_z62lambda1531z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2703z00zz__evaluate_typesz00, BgL_bgl_string2703za700za7za7_2756za7, "_", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72757za7, BGl_z62zc3anonymousza31870ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2454z00zz__evaluate_typesz00, BgL_bgl_za762lambda1529za7622758z00, BGl_z62lambda1529z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2617z00zz__evaluate_typesz00, BgL_bgl_za762lambda1869za7622759z00, BGl_z62lambda1869z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2618z00zz__evaluate_typesz00, BgL_bgl_za762lambda1868za7622760z00, BGl_z62lambda1868z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2619z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72761za7, BGl_z62zc3anonymousza31834ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2544z00zz__evaluate_typesz00, BgL_bgl_string2544za700za7za7_2762za7, "ev_with-handler", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2457z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72763za7, BGl_z62zc3anonymousza31547ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2458z00zz__evaluate_typesz00, BgL_bgl_za762lambda1545za7622764z00, BGl_z62lambda1545z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2383z00zz__evaluate_typesz00, BgL_bgl_string2383za700za7za7_2765za7, "name", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2459z00zz__evaluate_typesz00, BgL_bgl_za762lambda1543za7622766z00, BGl_z62lambda1543z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2385z00zz__evaluate_typesz00, BgL_bgl_string2385za700za7za7_2767za7, "symbol", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2620z00zz__evaluate_typesz00, BgL_bgl_za762lambda1832za7622768z00, BGl_z62lambda1832z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2621z00zz__evaluate_typesz00, BgL_bgl_za762lambda1830za7622769z00, BGl_z62lambda1830z62zz__evaluate_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2624z00zz__evaluate_typesz00, BgL_bgl_za762lambda1885za7622770z00, BGl_z62lambda1885z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2462z00zz__evaluate_typesz00, BgL_bgl_za762lambda1563za7622771z00, BGl_z62lambda1563z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2625z00zz__evaluate_typesz00, BgL_bgl_za762lambda1884za7622772z00, BGl_z62lambda1884z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2550z00zz__evaluate_typesz00, BgL_bgl_string2550za700za7za7_2773za7, "mutex", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2463z00zz__evaluate_typesz00, BgL_bgl_za762lambda1562za7622774z00, BGl_z62lambda1562z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2626z00zz__evaluate_typesz00, BgL_bgl_za762lambda1890za7622775z00, BGl_z62lambda1890z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2627z00zz__evaluate_typesz00, BgL_bgl_za762lambda1889za7622776z00, BGl_z62lambda1889z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2390z00zz__evaluate_typesz00, BgL_bgl_string2390za700za7za7_2777za7, "eff", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2466z00zz__evaluate_typesz00, BgL_bgl_za762lambda1568za7622778z00, BGl_z62lambda1568z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2554z00zz__evaluate_typesz00, BgL_bgl_string2554za700za7za7_2779za7, "prelock", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2467z00zz__evaluate_typesz00, BgL_bgl_za762lambda1567za7622780z00, BGl_z62lambda1567z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2392z00zz__evaluate_typesz00, BgL_bgl_string2392za700za7za7_2781za7, "obj", 3 );
DEFINE_STRING( BGl_string2396z00zz__evaluate_typesz00, BgL_bgl_string2396za700za7za7_2782za7, "type", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2630z00zz__evaluate_typesz00, BgL_bgl_za762lambda1895za7622783z00, BGl_z62lambda1895z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2631z00zz__evaluate_typesz00, BgL_bgl_za762lambda1894za7622784z00, BGl_z62lambda1894z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2470z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72785za7, BGl_z62zc3anonymousza31557ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2471z00zz__evaluate_typesz00, BgL_bgl_za762lambda1555za7622786z00, BGl_z62lambda1555z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2634z00zz__evaluate_typesz00, BgL_bgl_za762lambda1900za7622787z00, BGl_z62lambda1900z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2472z00zz__evaluate_typesz00, BgL_bgl_za762lambda1553za7622788z00, BGl_z62lambda1553z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2635z00zz__evaluate_typesz00, BgL_bgl_za762lambda1899za7622789z00, BGl_z62lambda1899z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2636z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72790za7, BGl_z62zc3anonymousza31880ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2561z00zz__evaluate_typesz00, BgL_bgl_string2561za700za7za7_2791za7, "ev_synchronize", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2637z00zz__evaluate_typesz00, BgL_bgl_za762lambda1878za7622792z00, BGl_z62lambda1878z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2475z00zz__evaluate_typesz00, BgL_bgl_za762lambda1588za7622793z00, BGl_z62lambda1588z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2638z00zz__evaluate_typesz00, BgL_bgl_za762lambda1876za7622794z00, BGl_z62lambda1876z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2476z00zz__evaluate_typesz00, BgL_bgl_za762lambda1587za7622795z00, BGl_z62lambda1587z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2477z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72796za7, BGl_z62zc3anonymousza31581ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2565z00zz__evaluate_typesz00, BgL_bgl_string2565za700za7za7_2797za7, "vars", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2478z00zz__evaluate_typesz00, BgL_bgl_za762lambda1579za7622798z00, BGl_z62lambda1579z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2479z00zz__evaluate_typesz00, BgL_bgl_za762lambda1577za7622799z00, BGl_z62lambda1577z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2569z00zz__evaluate_typesz00, BgL_bgl_string2569za700za7za7_2800za7, "vals", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2641z00zz__evaluate_typesz00, BgL_bgl_za762lambda1915za7622801z00, BGl_z62lambda1915z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2642z00zz__evaluate_typesz00, BgL_bgl_za762lambda1914za7622802z00, BGl_z62lambda1914z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2643z00zz__evaluate_typesz00, BgL_bgl_za762lambda1920za7622803z00, BGl_z62lambda1920z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2644z00zz__evaluate_typesz00, BgL_bgl_za762lambda1919za7622804z00, BGl_z62lambda1919z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2482z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72805za7, BGl_z62zc3anonymousza31599ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2483z00zz__evaluate_typesz00, BgL_bgl_za762lambda1597za7622806z00, BGl_z62lambda1597z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2484z00zz__evaluate_typesz00, BgL_bgl_za762lambda1595za7622807z00, BGl_z62lambda1595z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2647z00zz__evaluate_typesz00, BgL_bgl_za762lambda1925za7622808z00, BGl_z62lambda1925z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2648z00zz__evaluate_typesz00, BgL_bgl_za762lambda1924za7622809z00, BGl_z62lambda1924z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2649z00zz__evaluate_typesz00, BgL_bgl_za762lambda1930za7622810z00, BGl_z62lambda1930z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2487z00zz__evaluate_typesz00, BgL_bgl_za762lambda1615za7622811z00, BGl_z62lambda1615z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2488z00zz__evaluate_typesz00, BgL_bgl_za762lambda1614za7622812z00, BGl_z62lambda1614z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2576z00zz__evaluate_typesz00, BgL_bgl_string2576za700za7za7_2813za7, "ev_binder", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2650z00zz__evaluate_typesz00, BgL_bgl_za762lambda1929za7622814z00, BGl_z62lambda1929z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2653z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72815za7, BGl_z62zc3anonymousza31910ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2491z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72816za7, BGl_z62zc3anonymousza31609ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2654z00zz__evaluate_typesz00, BgL_bgl_za762lambda1908za7622817z00, BGl_z62lambda1908z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2492z00zz__evaluate_typesz00, BgL_bgl_za762lambda1607za7622818z00, BGl_z62lambda1607z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2655z00zz__evaluate_typesz00, BgL_bgl_za762lambda1906za7622819z00, BGl_z62lambda1906z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2493z00zz__evaluate_typesz00, BgL_bgl_za762lambda1605za7622820z00, BGl_z62lambda1605z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2581z00zz__evaluate_typesz00, BgL_bgl_string2581za700za7za7_2821za7, "boxes", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2658z00zz__evaluate_typesz00, BgL_bgl_za762lambda1945za7622822z00, BGl_z62lambda1945z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2496z00zz__evaluate_typesz00, BgL_bgl_za762lambda1641za7622823z00, BGl_z62lambda1641z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2659z00zz__evaluate_typesz00, BgL_bgl_za762lambda1944za7622824z00, BGl_z62lambda1944z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2497z00zz__evaluate_typesz00, BgL_bgl_za762lambda1640za7622825z00, BGl_z62lambda1640z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2498z00zz__evaluate_typesz00, BgL_bgl_za762lambda1648za7622826z00, BGl_z62lambda1648z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2586z00zz__evaluate_typesz00, BgL_bgl_string2586za700za7za7_2827za7, "ev_let", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2499z00zz__evaluate_typesz00, BgL_bgl_za762lambda1647za7622828z00, BGl_z62lambda1647z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2660z00zz__evaluate_typesz00, BgL_bgl_za762lambda1950za7622829z00, BGl_z62lambda1950z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2661z00zz__evaluate_typesz00, BgL_bgl_za762lambda1949za7622830z00, BGl_z62lambda1949z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2664z00zz__evaluate_typesz00, BgL_bgl_za762lambda1955za7622831z00, BGl_z62lambda1955z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2665z00zz__evaluate_typesz00, BgL_bgl_za762lambda1954za7622832z00, BGl_z62lambda1954z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2668z00zz__evaluate_typesz00, BgL_bgl_za762lambda1960za7622833z00, BGl_z62lambda1960z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2669z00zz__evaluate_typesz00, BgL_bgl_za762lambda1959za7622834z00, BGl_z62lambda1959z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2594z00zz__evaluate_typesz00, BgL_bgl_string2594za700za7za7_2835za7, "ev_let*", 7 );
DEFINE_STRING( BGl_string2599z00zz__evaluate_typesz00, BgL_bgl_string2599za700za7za7_2836za7, "ev_letrec", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2670z00zz__evaluate_typesz00, BgL_bgl_za762lambda1965za7622837z00, BGl_z62lambda1965z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2671z00zz__evaluate_typesz00, BgL_bgl_za762lambda1964za7622838z00, BGl_z62lambda1964z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2672z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72839za7, BGl_z62zc3anonymousza31972ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2673z00zz__evaluate_typesz00, BgL_bgl_za762lambda1971za7622840z00, BGl_z62lambda1971z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2674z00zz__evaluate_typesz00, BgL_bgl_za762lambda1970za7622841z00, BGl_z62lambda1970z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2679z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72842za7, BGl_z62zc3anonymousza31979ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2680z00zz__evaluate_typesz00, BgL_bgl_za762lambda1978za7622843z00, BGl_z62lambda1978z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2681z00zz__evaluate_typesz00, BgL_bgl_za762lambda1977za7622844z00, BGl_z62lambda1977z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2684z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72845za7, BGl_z62zc3anonymousza31986ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2685z00zz__evaluate_typesz00, BgL_bgl_za762lambda1985za7622846z00, BGl_z62lambda1985z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2686z00zz__evaluate_typesz00, BgL_bgl_za762lambda1984za7622847z00, BGl_z62lambda1984z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2689z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72848za7, BGl_z62zc3anonymousza31993ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2690z00zz__evaluate_typesz00, BgL_bgl_za762lambda1992za7622849z00, BGl_z62lambda1992z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2691z00zz__evaluate_typesz00, BgL_bgl_za762lambda1991za7622850z00, BGl_z62lambda1991z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2694z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72851za7, BGl_z62zc3anonymousza32000ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2695z00zz__evaluate_typesz00, BgL_bgl_za762lambda1999za7622852z00, BGl_z62lambda1999z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2696z00zz__evaluate_typesz00, BgL_bgl_za762lambda1998za7622853z00, BGl_z62lambda1998z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2697z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72854za7, BGl_z62zc3anonymousza31940ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2698z00zz__evaluate_typesz00, BgL_bgl_za762lambda1938za7622855z00, BGl_z62lambda1938z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2699z00zz__evaluate_typesz00, BgL_bgl_za762lambda1936za7622856z00, BGl_z62lambda1936z62zz__evaluate_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STRING( BGl_string2401z00zz__evaluate_typesz00, BgL_bgl_string2401za700za7za7_2857za7, "ev_var", 6 );
DEFINE_STRING( BGl_string2405z00zz__evaluate_typesz00, BgL_bgl_string2405za700za7za7_2858za7, "loc", 3 );
DEFINE_STRING( BGl_string2411z00zz__evaluate_typesz00, BgL_bgl_string2411za700za7za7_2859za7, "mod", 3 );
DEFINE_STRING( BGl_string2416z00zz__evaluate_typesz00, BgL_bgl_string2416za700za7za7_2860za7, "ev_global", 9 );
DEFINE_STRING( BGl_string2420z00zz__evaluate_typesz00, BgL_bgl_string2420za700za7za7_2861za7, "value", 5 );
DEFINE_STRING( BGl_string2425z00zz__evaluate_typesz00, BgL_bgl_string2425za700za7za7_2862za7, "ev_litt", 7 );
DEFINE_STRING( BGl_string2429z00zz__evaluate_typesz00, BgL_bgl_string2429za700za7za7_2863za7, "p", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2500z00zz__evaluate_typesz00, BgL_bgl_za762lambda1653za7622864z00, BGl_z62lambda1653z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2501z00zz__evaluate_typesz00, BgL_bgl_za762lambda1652za7622865z00, BGl_z62lambda1652z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2502z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72866za7, BGl_z62zc3anonymousza31627ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2503z00zz__evaluate_typesz00, BgL_bgl_za762lambda1625za7622867z00, BGl_z62lambda1625z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2504z00zz__evaluate_typesz00, BgL_bgl_za762lambda1623za7622868z00, BGl_z62lambda1623z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2507z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72869za7, BGl_z62zc3anonymousza31665ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2508z00zz__evaluate_typesz00, BgL_bgl_za762lambda1663za7622870z00, BGl_z62lambda1663z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2433z00zz__evaluate_typesz00, BgL_bgl_string2433za700za7za7_2871za7, "t", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2509z00zz__evaluate_typesz00, BgL_bgl_za762lambda1661za7622872z00, BGl_z62lambda1661z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2437z00zz__evaluate_typesz00, BgL_bgl_string2437za700za7za7_2873za7, "e", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2512z00zz__evaluate_typesz00, BgL_bgl_za762lambda1680za7622874z00, BGl_z62lambda1680z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2513z00zz__evaluate_typesz00, BgL_bgl_za762lambda1679za7622875z00, BGl_z62lambda1679z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2516z00zz__evaluate_typesz00, BgL_bgl_za762lambda1685za7622876z00, BGl_z62lambda1685z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2517z00zz__evaluate_typesz00, BgL_bgl_za762lambda1684za7622877z00, BGl_z62lambda1684z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2442z00zz__evaluate_typesz00, BgL_bgl_string2442za700za7za7_2878za7, "ev_if", 5 );
DEFINE_STRING( BGl_string2608z00zz__evaluate_typesz00, BgL_bgl_string2608za700za7za7_2879za7, "env", 3 );
DEFINE_STRING( BGl_string2446z00zz__evaluate_typesz00, BgL_bgl_string2446za700za7za7_2880za7, "args", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2520z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72881za7, BGl_z62zc3anonymousza31675ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2521z00zz__evaluate_typesz00, BgL_bgl_za762lambda1673za7622882z00, BGl_z62lambda1673z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2522z00zz__evaluate_typesz00, BgL_bgl_za762lambda1671za7622883z00, BGl_z62lambda1671z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2525z00zz__evaluate_typesz00, BgL_bgl_za762lambda1700za7622884z00, BGl_z62lambda1700z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2613z00zz__evaluate_typesz00, BgL_bgl_string2613za700za7za7_2885za7, "stk", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2526z00zz__evaluate_typesz00, BgL_bgl_za762lambda1699za7622886z00, BGl_z62lambda1699z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2451z00zz__evaluate_typesz00, BgL_bgl_string2451za700za7za7_2887za7, "ev_list", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2527z00zz__evaluate_typesz00, BgL_bgl_za762lambda1705za7622888z00, BGl_z62lambda1705z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2528z00zz__evaluate_typesz00, BgL_bgl_za762lambda1704za7622889z00, BGl_z62lambda1704z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2529z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72890za7, BGl_z62zc3anonymousza31695ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2456z00zz__evaluate_typesz00, BgL_bgl_string2456za700za7za7_2891za7, "ev_or", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2530z00zz__evaluate_typesz00, BgL_bgl_za762lambda1693za7622892z00, BGl_z62lambda1693z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2531z00zz__evaluate_typesz00, BgL_bgl_za762lambda1691za7622893z00, BGl_z62lambda1691z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2534z00zz__evaluate_typesz00, BgL_bgl_za762lambda1720za7622894z00, BGl_z62lambda1720z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2535z00zz__evaluate_typesz00, BgL_bgl_za762lambda1719za7622895z00, BGl_z62lambda1719z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2373z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72896za7, BGl_z62zc3anonymousza31403ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2623z00zz__evaluate_typesz00, BgL_bgl_string2623za700za7za7_2897za7, "ev_labels", 9 );
DEFINE_STRING( BGl_string2461z00zz__evaluate_typesz00, BgL_bgl_string2461za700za7za7_2898za7, "ev_and", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2374z00zz__evaluate_typesz00, BgL_bgl_za762lambda1401za7622899z00, BGl_z62lambda1401z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2375z00zz__evaluate_typesz00, BgL_bgl_za762lambda1399za7622900z00, BGl_z62lambda1399z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2538z00zz__evaluate_typesz00, BgL_bgl_za762lambda1725za7622901z00, BGl_z62lambda1725z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2539z00zz__evaluate_typesz00, BgL_bgl_za762lambda1724za7622902z00, BGl_z62lambda1724z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2465z00zz__evaluate_typesz00, BgL_bgl_string2465za700za7za7_2903za7, "e1", 2 );
DEFINE_STRING( BGl_string2629z00zz__evaluate_typesz00, BgL_bgl_string2629za700za7za7_2904za7, "label", 5 );
DEFINE_STRING( BGl_string2469z00zz__evaluate_typesz00, BgL_bgl_string2469za700za7za7_2905za7, "e2", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2540z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72906za7, BGl_z62zc3anonymousza31715ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2541z00zz__evaluate_typesz00, BgL_bgl_za762lambda1713za7622907z00, BGl_z62lambda1713z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2542z00zz__evaluate_typesz00, BgL_bgl_za762lambda1711za7622908z00, BGl_z62lambda1711z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2380z00zz__evaluate_typesz00, BgL_bgl_za762lambda1420za7622909z00, BGl_z62lambda1420z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2381z00zz__evaluate_typesz00, BgL_bgl_za762lambda1419za7622910z00, BGl_z62lambda1419z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2545z00zz__evaluate_typesz00, BgL_bgl_za762lambda1740za7622911z00, BGl_z62lambda1740z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2633z00zz__evaluate_typesz00, BgL_bgl_string2633za700za7za7_2912za7, "labels", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2546z00zz__evaluate_typesz00, BgL_bgl_za762lambda1739za7622913z00, BGl_z62lambda1739z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2547z00zz__evaluate_typesz00, BgL_bgl_za762lambda1745za7622914z00, BGl_z62lambda1745z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__evaluate_typesz00, BgL_bgl_za762lambda1744za7622915z00, BGl_z62lambda1744z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2386z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72916za7, BGl_z62zc3anonymousza31429ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2474z00zz__evaluate_typesz00, BgL_bgl_string2474za700za7za7_2917za7, "ev_prog2", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2387z00zz__evaluate_typesz00, BgL_bgl_za762lambda1428za7622918z00, BGl_z62lambda1428z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2388z00zz__evaluate_typesz00, BgL_bgl_za762lambda1427za7622919z00, BGl_z62lambda1427z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2551z00zz__evaluate_typesz00, BgL_bgl_za762lambda1750za7622920z00, BGl_z62lambda1750z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2552z00zz__evaluate_typesz00, BgL_bgl_za762lambda1749za7622921z00, BGl_z62lambda1749z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2640z00zz__evaluate_typesz00, BgL_bgl_string2640za700za7za7_2922za7, "ev_goto", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2555z00zz__evaluate_typesz00, BgL_bgl_za762lambda1755za7622923z00, BGl_z62lambda1755z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2393z00zz__evaluate_typesz00, BgL_bgl_za762lambda1434za7622924z00, BGl_z62lambda1434z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2556z00zz__evaluate_typesz00, BgL_bgl_za762lambda1754za7622925z00, BGl_z62lambda1754z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2481z00zz__evaluate_typesz00, BgL_bgl_string2481za700za7za7_2926za7, "ev_hook", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2394z00zz__evaluate_typesz00, BgL_bgl_za762lambda1433za7622927z00, BGl_z62lambda1433z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2557z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72928za7, BGl_z62zc3anonymousza31735ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2558z00zz__evaluate_typesz00, BgL_bgl_za762lambda1733za7622929z00, BGl_z62lambda1733z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2646z00zz__evaluate_typesz00, BgL_bgl_string2646za700za7za7_2930za7, "fun", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2559z00zz__evaluate_typesz00, BgL_bgl_za762lambda1731za7622931z00, BGl_z62lambda1731z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2397z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72932za7, BGl_z62zc3anonymousza31414ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2398z00zz__evaluate_typesz00, BgL_bgl_za762lambda1411za7622933z00, BGl_z62lambda1411z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2486z00zz__evaluate_typesz00, BgL_bgl_string2486za700za7za7_2934za7, "ev_trap", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2399z00zz__evaluate_typesz00, BgL_bgl_za762lambda1409za7622935z00, BGl_z62lambda1409z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2562z00zz__evaluate_typesz00, BgL_bgl_za762lambda1770za7622936z00, BGl_z62lambda1770z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2563z00zz__evaluate_typesz00, BgL_bgl_za762lambda1769za7622937z00, BGl_z62lambda1769z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2652z00zz__evaluate_typesz00, BgL_bgl_string2652za700za7za7_2938za7, "tail?", 5 );
DEFINE_STRING( BGl_string2490z00zz__evaluate_typesz00, BgL_bgl_string2490za700za7za7_2939za7, "v", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2566z00zz__evaluate_typesz00, BgL_bgl_za762lambda1775za7622940z00, BGl_z62lambda1775z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2567z00zz__evaluate_typesz00, BgL_bgl_za762lambda1774za7622941z00, BGl_z62lambda1774z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2657z00zz__evaluate_typesz00, BgL_bgl_string2657za700za7za7_2942za7, "ev_app", 6 );
DEFINE_STRING( BGl_string2495z00zz__evaluate_typesz00, BgL_bgl_string2495za700za7za7_2943za7, "ev_setlocal", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2570z00zz__evaluate_typesz00, BgL_bgl_za762lambda1780za7622944z00, BGl_z62lambda1780z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2571z00zz__evaluate_typesz00, BgL_bgl_za762lambda1779za7622945z00, BGl_z62lambda1779z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2572z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72946za7, BGl_z62zc3anonymousza31765ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2573z00zz__evaluate_typesz00, BgL_bgl_za762lambda1763za7622947z00, BGl_z62lambda1763z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2574z00zz__evaluate_typesz00, BgL_bgl_za762lambda1761za7622948z00, BGl_z62lambda1761z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2663z00zz__evaluate_typesz00, BgL_bgl_string2663za700za7za7_2949za7, "where", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2577z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72950za7, BGl_z62zc3anonymousza31797ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2578z00zz__evaluate_typesz00, BgL_bgl_za762lambda1796za7622951z00, BGl_z62lambda1796z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2579z00zz__evaluate_typesz00, BgL_bgl_za762lambda1795za7622952z00, BGl_z62lambda1795z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2667z00zz__evaluate_typesz00, BgL_bgl_string2667za700za7za7_2953za7, "arity", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2582z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72954za7, BGl_z62zc3anonymousza31790ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2583z00zz__evaluate_typesz00, BgL_bgl_za762lambda1788za7622955z00, BGl_z62lambda1788z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2584z00zz__evaluate_typesz00, BgL_bgl_za762lambda1786za7622956z00, BGl_z62lambda1786z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2587z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72957za7, BGl_z62zc3anonymousza31814ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2588z00zz__evaluate_typesz00, BgL_bgl_za762lambda1813za7622958z00, BGl_z62lambda1813z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2676z00zz__evaluate_typesz00, BgL_bgl_string2676za700za7za7_2959za7, "size", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2589z00zz__evaluate_typesz00, BgL_bgl_za762lambda1812za7622960z00, BGl_z62lambda1812z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2678z00zz__evaluate_typesz00, BgL_bgl_string2678za700za7za7_2961za7, "int", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2590z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72962za7, BGl_z62zc3anonymousza31807ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2591z00zz__evaluate_typesz00, BgL_bgl_za762lambda1805za7622963z00, BGl_z62lambda1805z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2592z00zz__evaluate_typesz00, BgL_bgl_za762lambda1803za7622964z00, BGl_z62lambda1803z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2595z00zz__evaluate_typesz00, BgL_bgl_za762za7c3anonymousza72965za7, BGl_z62zc3anonymousza31824ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2683z00zz__evaluate_typesz00, BgL_bgl_string2683za700za7za7_2966za7, "bind", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2596z00zz__evaluate_typesz00, BgL_bgl_za762lambda1822za7622967z00, BGl_z62lambda1822z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2597z00zz__evaluate_typesz00, BgL_bgl_za762lambda1820za7622968z00, BGl_z62lambda1820z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2688z00zz__evaluate_typesz00, BgL_bgl_string2688za700za7za7_2969za7, "free", 4 );
DEFINE_STRING( BGl_string2693z00zz__evaluate_typesz00, BgL_bgl_string2693za700za7za7_2970za7, "inner", 5 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2560z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2564z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2568z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2575z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2580z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2585z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2593z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2598z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letrecz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_labelsz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_absz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_ifz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_gotoz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_orz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_varz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_andz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2400z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2404z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2410z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2415z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2419z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_appz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2424z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2428z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2432z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2436z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_synchroniza7eza7zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2441z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2607z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2445z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2612z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2450z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2455z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2622z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2460z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2464z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2628z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2468z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2632z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2473z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2639z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2480z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2645z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2485z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2489z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_defglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2651z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2656z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2494z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2662z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2666z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2675z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2677z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2682z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2687z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2692z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_prog2z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letza2za2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_trapz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_hookz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_globalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_binderz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_listz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_littz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_exprz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2505z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2510z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2514z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2518z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2523z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2532z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2536z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2376z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2378z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2700z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2702z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2543z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2382z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2384z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2549z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2389z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setlocalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2553z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2391z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2395z00zz__evaluate_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_types.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1940>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31940ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:2000>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza32000ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1993>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31993ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1986>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31986ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1979>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31979ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1972>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3anonymousza31972ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1910>\" \"Eval/evaluate_types.scm\" 3265) \"BGl_z62zc3anonymousza31910ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1880>\" \"Eval/evaluate_types.scm\" 3154) \"BGl_z62zc3anonymousza31880ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1834>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3anonymousza31834ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1870>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3anonymousza31870ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1858>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3anonymousza31858ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1851>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3anonymousza31851ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1824>\" \"Eval/evaluate_types.scm\" 2908) \"BGl_z62zc3anonymousza31824ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1807>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3anonymousza31807ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1814>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3anonymousza31814ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1790>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3anonymousza31790ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1797>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3anonymousza31797ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1765>\" \"Eval/evaluate_types.scm\" 2713) \"BGl_z62zc3anonymousza31765ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1735>\" \"Eval/evaluate_types.scm\" 2587) \"BGl_z62zc3anonymousza31735ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1715>\" \"Eval/evaluate_types.scm\" 2505) \"BGl_z62zc3anonymousza31715ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1695>\" \"Eval/evaluate_types.scm\" 2427) \"BGl_z62zc3anonymousza31695ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1675>\" \"Eval/evaluate_types.scm\" 2353) \"BGl_z62zc3anonymousza31675ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1665>\" \"Eval/evaluate_types.scm\" 2314) \"BGl_z62zc3anonymousza31665ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1627>\" \"Eval/evaluate_types.scm\" 2226) \"BGl_z62zc3anonymousza31627ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1609>\" \"Eval/evaluate_types.scm\" 2176) \"BGl_z62zc3anonymousza31609ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1599>\" \"Eval/evaluate_types.scm\" 2147) \"BGl_z62zc3anonymousza31599ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1581>\" \"Eval/evaluate_types.scm\" 2100) \"BGl_z62zc3anonymousza31581ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1557>\" \"Eval/evaluate_types.scm\" 2032) \"BGl_z62zc3anonymousza31557ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1547>\" \"Eval/evaluate_types.scm\" 2004) \"BGl_z62zc3anonymousza31547ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1534>\" \"Eval/evaluate_types.scm\" 1977) \"BGl_z62zc3anonymousza31534ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1515>\" \"Eval/evaluate_types.scm\" 1936) \"BGl_z62zc3anonymousza31515ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1488>\" \"Eval/evaluate_types.scm\" 1855) \"BGl_z62zc3anonymousza31488ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1472>\" \"Eval/evaluate_types.scm\" 1813) \"BGl_z62zc3anonymousza31472ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1446>\" \"Eval/evaluate_types.scm\" 1723) \"BGl_z62zc3anonymousza31446ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1414>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3anonymousza31414ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1429>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3anonymousza31429ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1403>\" \"Eval/evaluate_types.scm\" 1612) \"BGl_z62zc3anonymousza31403ze3ze1zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long BgL_checksumz00_4285, char * BgL_fromz00_4286)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_typesz00(); 
BGl_cnstzd2initzd2zz__evaluate_typesz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(); 
BGl_objectzd2initzd2zz__evaluate_typesz00(); 
return 
BGl_profzd2initzd2zz__evaluate_typesz00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
BGl_symbol2376z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2377z00zz__evaluate_typesz00); 
BGl_symbol2378z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2379z00zz__evaluate_typesz00); 
BGl_symbol2382z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2383z00zz__evaluate_typesz00); 
BGl_symbol2384z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2385z00zz__evaluate_typesz00); 
BGl_symbol2389z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2390z00zz__evaluate_typesz00); 
BGl_symbol2391z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2392z00zz__evaluate_typesz00); 
BGl_symbol2395z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2396z00zz__evaluate_typesz00); 
BGl_symbol2400z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2401z00zz__evaluate_typesz00); 
BGl_symbol2404z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2405z00zz__evaluate_typesz00); 
BGl_symbol2410z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2411z00zz__evaluate_typesz00); 
BGl_symbol2415z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2416z00zz__evaluate_typesz00); 
BGl_symbol2419z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2420z00zz__evaluate_typesz00); 
BGl_symbol2424z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2425z00zz__evaluate_typesz00); 
BGl_symbol2428z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2429z00zz__evaluate_typesz00); 
BGl_symbol2432z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2433z00zz__evaluate_typesz00); 
BGl_symbol2436z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2437z00zz__evaluate_typesz00); 
BGl_symbol2441z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2442z00zz__evaluate_typesz00); 
BGl_symbol2445z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2446z00zz__evaluate_typesz00); 
BGl_symbol2450z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2451z00zz__evaluate_typesz00); 
BGl_symbol2455z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2456z00zz__evaluate_typesz00); 
BGl_symbol2460z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2461z00zz__evaluate_typesz00); 
BGl_symbol2464z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2465z00zz__evaluate_typesz00); 
BGl_symbol2468z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2469z00zz__evaluate_typesz00); 
BGl_symbol2473z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2474z00zz__evaluate_typesz00); 
BGl_symbol2480z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2481z00zz__evaluate_typesz00); 
BGl_symbol2485z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2486z00zz__evaluate_typesz00); 
BGl_symbol2489z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2490z00zz__evaluate_typesz00); 
BGl_symbol2494z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2495z00zz__evaluate_typesz00); 
BGl_symbol2505z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2506z00zz__evaluate_typesz00); 
BGl_symbol2510z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2511z00zz__evaluate_typesz00); 
BGl_symbol2514z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2515z00zz__evaluate_typesz00); 
BGl_symbol2518z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2519z00zz__evaluate_typesz00); 
BGl_symbol2523z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2524z00zz__evaluate_typesz00); 
BGl_symbol2532z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2533z00zz__evaluate_typesz00); 
BGl_symbol2536z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2537z00zz__evaluate_typesz00); 
BGl_symbol2543z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2544z00zz__evaluate_typesz00); 
BGl_symbol2549z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2550z00zz__evaluate_typesz00); 
BGl_symbol2553z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2554z00zz__evaluate_typesz00); 
BGl_symbol2560z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2561z00zz__evaluate_typesz00); 
BGl_symbol2564z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2565z00zz__evaluate_typesz00); 
BGl_symbol2568z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2569z00zz__evaluate_typesz00); 
BGl_symbol2575z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2576z00zz__evaluate_typesz00); 
BGl_symbol2580z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2581z00zz__evaluate_typesz00); 
BGl_symbol2585z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2586z00zz__evaluate_typesz00); 
BGl_symbol2593z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2594z00zz__evaluate_typesz00); 
BGl_symbol2598z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2599z00zz__evaluate_typesz00); 
BGl_symbol2607z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2608z00zz__evaluate_typesz00); 
BGl_symbol2612z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2613z00zz__evaluate_typesz00); 
BGl_symbol2622z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2623z00zz__evaluate_typesz00); 
BGl_symbol2628z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2629z00zz__evaluate_typesz00); 
BGl_symbol2632z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2633z00zz__evaluate_typesz00); 
BGl_symbol2639z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2640z00zz__evaluate_typesz00); 
BGl_symbol2645z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2646z00zz__evaluate_typesz00); 
BGl_symbol2651z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2652z00zz__evaluate_typesz00); 
BGl_symbol2656z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2657z00zz__evaluate_typesz00); 
BGl_symbol2662z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2663z00zz__evaluate_typesz00); 
BGl_symbol2666z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2667z00zz__evaluate_typesz00); 
BGl_symbol2675z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2676z00zz__evaluate_typesz00); 
BGl_symbol2677z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2678z00zz__evaluate_typesz00); 
BGl_symbol2682z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2683z00zz__evaluate_typesz00); 
BGl_symbol2687z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2688z00zz__evaluate_typesz00); 
BGl_symbol2692z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2693z00zz__evaluate_typesz00); 
BGl_symbol2700z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2701z00zz__evaluate_typesz00); 
return ( 
BGl_symbol2702z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2703z00zz__evaluate_typesz00), BUNSPEC) ;} 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_arg1397z00_1057;obj_t BgL_arg1398z00_1058;
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_v1281z00_1068;
BgL_v1281z00_1068 = 
create_vector(((long)0)); 
BgL_arg1397z00_1057 = BgL_v1281z00_1068; } 
{ /* Eval/evaluate_types.scm 49 */
obj_t BgL_v1282z00_1069;
BgL_v1282z00_1069 = 
create_vector(((long)0)); 
BgL_arg1398z00_1058 = BgL_v1282z00_1069; } 
BGl_ev_exprz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2376z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00, ((long)36682), BGl_proc2375z00zz__evaluate_typesz00, BGl_proc2374z00zz__evaluate_typesz00, BFALSE, BGl_proc2373z00zz__evaluate_typesz00, BFALSE, BgL_arg1397z00_1057, BgL_arg1398z00_1058); } 
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_arg1407z00_1076;obj_t BgL_arg1408z00_1077;
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_v1283z00_1090;
BgL_v1283z00_1090 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1283z00_1090,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2382z00zz__evaluate_typesz00, BGl_proc2381z00zz__evaluate_typesz00, BGl_proc2380z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2384z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1283z00_1090,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2389z00zz__evaluate_typesz00, BGl_proc2388z00zz__evaluate_typesz00, BGl_proc2387z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2386z00zz__evaluate_typesz00, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1283z00_1090,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2395z00zz__evaluate_typesz00, BGl_proc2394z00zz__evaluate_typesz00, BGl_proc2393z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
BgL_arg1407z00_1076 = BgL_v1283z00_1090; } 
{ /* Eval/evaluate_types.scm 51 */
obj_t BgL_v1284z00_1124;
BgL_v1284z00_1124 = 
create_vector(((long)0)); 
BgL_arg1408z00_1077 = BgL_v1284z00_1124; } 
BGl_ev_varz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2400z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)7285), BGl_proc2399z00zz__evaluate_typesz00, BGl_proc2398z00zz__evaluate_typesz00, BFALSE, BGl_proc2397z00zz__evaluate_typesz00, BFALSE, BgL_arg1407z00_1076, BgL_arg1408z00_1077); } 
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_arg1440z00_1131;obj_t BgL_arg1441z00_1132;
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_v1285z00_1145;
BgL_v1285z00_1145 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1285z00_1145,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2404z00zz__evaluate_typesz00, BGl_proc2403z00zz__evaluate_typesz00, BGl_proc2402z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1285z00_1145,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2382z00zz__evaluate_typesz00, BGl_proc2407z00zz__evaluate_typesz00, BGl_proc2406z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2384z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1285z00_1145,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2410z00zz__evaluate_typesz00, BGl_proc2409z00zz__evaluate_typesz00, BGl_proc2408z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
BgL_arg1440z00_1131 = BgL_v1285z00_1145; } 
{ /* Eval/evaluate_types.scm 55 */
obj_t BgL_v1286z00_1176;
BgL_v1286z00_1176 = 
create_vector(((long)0)); 
BgL_arg1441z00_1132 = BgL_v1286z00_1176; } 
BGl_ev_globalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2415z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59175), BGl_proc2414z00zz__evaluate_typesz00, BGl_proc2413z00zz__evaluate_typesz00, BFALSE, BGl_proc2412z00zz__evaluate_typesz00, BFALSE, BgL_arg1440z00_1131, BgL_arg1441z00_1132); } 
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_arg1466z00_1183;obj_t BgL_arg1467z00_1184;
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_v1287z00_1195;
BgL_v1287z00_1195 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1287z00_1195,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2419z00zz__evaluate_typesz00, BGl_proc2418z00zz__evaluate_typesz00, BGl_proc2417z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
BgL_arg1466z00_1183 = BgL_v1287z00_1195; } 
{ /* Eval/evaluate_types.scm 60 */
obj_t BgL_v1288z00_1206;
BgL_v1288z00_1206 = 
create_vector(((long)0)); 
BgL_arg1467z00_1184 = BgL_v1288z00_1206; } 
BGl_ev_littz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2424z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)42418), BGl_proc2423z00zz__evaluate_typesz00, BGl_proc2422z00zz__evaluate_typesz00, BFALSE, BGl_proc2421z00zz__evaluate_typesz00, BFALSE, BgL_arg1466z00_1183, BgL_arg1467z00_1184); } 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_arg1482z00_1213;obj_t BgL_arg1483z00_1214;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_v1289z00_1227;
BgL_v1289z00_1227 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1289z00_1227,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2428z00zz__evaluate_typesz00, BGl_proc2427z00zz__evaluate_typesz00, BGl_proc2426z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1289z00_1227,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2432z00zz__evaluate_typesz00, BGl_proc2431z00zz__evaluate_typesz00, BGl_proc2430z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1289z00_1227,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2436z00zz__evaluate_typesz00, BGl_proc2435z00zz__evaluate_typesz00, BGl_proc2434z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1482z00_1213 = BgL_v1289z00_1227; } 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_v1290z00_1258;
BgL_v1290z00_1258 = 
create_vector(((long)0)); 
BgL_arg1483z00_1214 = BgL_v1290z00_1258; } 
BGl_ev_ifz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2441z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)19099), BGl_proc2440z00zz__evaluate_typesz00, BGl_proc2439z00zz__evaluate_typesz00, BFALSE, BGl_proc2438z00zz__evaluate_typesz00, BFALSE, BgL_arg1482z00_1213, BgL_arg1483z00_1214); } 
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_arg1509z00_1265;obj_t BgL_arg1510z00_1266;
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_v1291z00_1277;
BgL_v1291z00_1277 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1291z00_1277,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2445z00zz__evaluate_typesz00, BGl_proc2444z00zz__evaluate_typesz00, BGl_proc2443z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
BgL_arg1509z00_1265 = BgL_v1291z00_1277; } 
{ /* Eval/evaluate_types.scm 66 */
obj_t BgL_v1292z00_1288;
BgL_v1292z00_1288 = 
create_vector(((long)0)); 
BgL_arg1510z00_1266 = BgL_v1292z00_1288; } 
BGl_ev_listz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2450z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)39617), BGl_proc2449z00zz__evaluate_typesz00, BGl_proc2448z00zz__evaluate_typesz00, BFALSE, BGl_proc2447z00zz__evaluate_typesz00, BFALSE, BgL_arg1509z00_1265, BgL_arg1510z00_1266); } 
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_arg1525z00_1295;obj_t BgL_arg1528z00_1296;
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_v1293z00_1307;
BgL_v1293z00_1307 = 
create_vector(((long)0)); 
BgL_arg1525z00_1295 = BgL_v1293z00_1307; } 
{ /* Eval/evaluate_types.scm 68 */
obj_t BgL_v1294z00_1308;
BgL_v1294z00_1308 = 
create_vector(((long)0)); 
BgL_arg1528z00_1296 = BgL_v1294z00_1308; } 
BGl_ev_orz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2455z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)50334), BGl_proc2454z00zz__evaluate_typesz00, BGl_proc2453z00zz__evaluate_typesz00, BFALSE, BGl_proc2452z00zz__evaluate_typesz00, BFALSE, BgL_arg1525z00_1295, BgL_arg1528z00_1296); } 
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_arg1541z00_1315;obj_t BgL_arg1542z00_1316;
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_v1295z00_1327;
BgL_v1295z00_1327 = 
create_vector(((long)0)); 
BgL_arg1541z00_1315 = BgL_v1295z00_1327; } 
{ /* Eval/evaluate_types.scm 69 */
obj_t BgL_v1296z00_1328;
BgL_v1296z00_1328 = 
create_vector(((long)0)); 
BgL_arg1542z00_1316 = BgL_v1296z00_1328; } 
BGl_ev_andz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2460z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, ((long)26888), BGl_proc2459z00zz__evaluate_typesz00, BGl_proc2458z00zz__evaluate_typesz00, BFALSE, BGl_proc2457z00zz__evaluate_typesz00, BFALSE, BgL_arg1541z00_1315, BgL_arg1542z00_1316); } 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_arg1551z00_1335;obj_t BgL_arg1552z00_1336;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_v1297z00_1348;
BgL_v1297z00_1348 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1297z00_1348,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2464z00zz__evaluate_typesz00, BGl_proc2463z00zz__evaluate_typesz00, BGl_proc2462z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1297z00_1348,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2468z00zz__evaluate_typesz00, BGl_proc2467z00zz__evaluate_typesz00, BGl_proc2466z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1551z00_1335 = BgL_v1297z00_1348; } 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_v1298z00_1369;
BgL_v1298z00_1369 = 
create_vector(((long)0)); 
BgL_arg1552z00_1336 = BgL_v1298z00_1369; } 
BGl_ev_prog2z00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2473z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)14177), BGl_proc2472z00zz__evaluate_typesz00, BGl_proc2471z00zz__evaluate_typesz00, BFALSE, BGl_proc2470z00zz__evaluate_typesz00, BFALSE, BgL_arg1551z00_1335, BgL_arg1552z00_1336); } 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_arg1574z00_1376;obj_t BgL_arg1576z00_1377;
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_v1299z00_1388;
BgL_v1299z00_1388 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1299z00_1388,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2436z00zz__evaluate_typesz00, BGl_proc2476z00zz__evaluate_typesz00, BGl_proc2475z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1574z00_1376 = BgL_v1299z00_1388; } 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_v1300z00_1399;
BgL_v1300z00_1399 = 
create_vector(((long)0)); 
BgL_arg1576z00_1377 = BgL_v1300z00_1399; } 
BGl_ev_hookz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2480z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)32125), BGl_proc2479z00zz__evaluate_typesz00, BGl_proc2478z00zz__evaluate_typesz00, BFALSE, BGl_proc2477z00zz__evaluate_typesz00, BFALSE, BgL_arg1574z00_1376, BgL_arg1576z00_1377); } 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_arg1593z00_1406;obj_t BgL_arg1594z00_1407;
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_v1301z00_1418;
BgL_v1301z00_1418 = 
create_vector(((long)0)); 
BgL_arg1593z00_1406 = BgL_v1301z00_1418; } 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_v1302z00_1419;
BgL_v1302z00_1419 = 
create_vector(((long)0)); 
BgL_arg1594z00_1407 = BgL_v1302z00_1419; } 
BGl_ev_trapz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2485z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)24451), BGl_proc2484z00zz__evaluate_typesz00, BGl_proc2483z00zz__evaluate_typesz00, BFALSE, BGl_proc2482z00zz__evaluate_typesz00, BFALSE, BgL_arg1593z00_1406, BgL_arg1594z00_1407); } 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_arg1603z00_1426;obj_t BgL_arg1604z00_1427;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_v1303z00_1439;
BgL_v1303z00_1439 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1303z00_1439,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2489z00zz__evaluate_typesz00, BGl_proc2488z00zz__evaluate_typesz00, BGl_proc2487z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
BgL_arg1603z00_1426 = BgL_v1303z00_1439; } 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_v1304z00_1450;
BgL_v1304z00_1450 = 
create_vector(((long)0)); 
BgL_arg1604z00_1427 = BgL_v1304z00_1450; } 
BGl_ev_setlocalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2494z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)37950), BGl_proc2493z00zz__evaluate_typesz00, BGl_proc2492z00zz__evaluate_typesz00, BFALSE, BGl_proc2491z00zz__evaluate_typesz00, BFALSE, BgL_arg1603z00_1426, BgL_arg1604z00_1427); } 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_arg1621z00_1457;obj_t BgL_arg1622z00_1458;
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_v1305z00_1472;
BgL_v1305z00_1472 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1305z00_1472,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2404z00zz__evaluate_typesz00, BGl_proc2497z00zz__evaluate_typesz00, BGl_proc2496z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1305z00_1472,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2382z00zz__evaluate_typesz00, BGl_proc2499z00zz__evaluate_typesz00, BGl_proc2498z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2384z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1305z00_1472,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2410z00zz__evaluate_typesz00, BGl_proc2501z00zz__evaluate_typesz00, BGl_proc2500z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
BgL_arg1621z00_1457 = BgL_v1305z00_1472; } 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_v1306z00_1503;
BgL_v1306z00_1503 = 
create_vector(((long)0)); 
BgL_arg1622z00_1458 = BgL_v1306z00_1503; } 
BGl_ev_setglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2505z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, ((long)62117), BGl_proc2504z00zz__evaluate_typesz00, BGl_proc2503z00zz__evaluate_typesz00, BFALSE, BGl_proc2502z00zz__evaluate_typesz00, BFALSE, BgL_arg1621z00_1457, BgL_arg1622z00_1458); } 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_arg1659z00_1510;obj_t BgL_arg1660z00_1511;
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_v1307z00_1525;
BgL_v1307z00_1525 = 
create_vector(((long)0)); 
BgL_arg1659z00_1510 = BgL_v1307z00_1525; } 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_v1308z00_1526;
BgL_v1308z00_1526 = 
create_vector(((long)0)); 
BgL_arg1660z00_1511 = BgL_v1308z00_1526; } 
BGl_ev_defglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2510z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_setglobalz00zz__evaluate_typesz00, ((long)36158), BGl_proc2509z00zz__evaluate_typesz00, BGl_proc2508z00zz__evaluate_typesz00, BFALSE, BGl_proc2507z00zz__evaluate_typesz00, BFALSE, BgL_arg1659z00_1510, BgL_arg1660z00_1511); } 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_arg1669z00_1533;obj_t BgL_arg1670z00_1534;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_v1309z00_1546;
BgL_v1309z00_1546 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1309z00_1546,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2514z00zz__evaluate_typesz00, BGl_proc2513z00zz__evaluate_typesz00, BGl_proc2512z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1309z00_1546,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2518z00zz__evaluate_typesz00, BGl_proc2517z00zz__evaluate_typesz00, BGl_proc2516z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1669z00_1533 = BgL_v1309z00_1546; } 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_v1310z00_1567;
BgL_v1310z00_1567 = 
create_vector(((long)0)); 
BgL_arg1670z00_1534 = BgL_v1310z00_1567; } 
BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2523z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)10723), BGl_proc2522z00zz__evaluate_typesz00, BGl_proc2521z00zz__evaluate_typesz00, BFALSE, BGl_proc2520z00zz__evaluate_typesz00, BFALSE, BgL_arg1669z00_1533, BgL_arg1670z00_1534); } 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_arg1689z00_1574;obj_t BgL_arg1690z00_1575;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_v1311z00_1587;
BgL_v1311z00_1587 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1311z00_1587,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2436z00zz__evaluate_typesz00, BGl_proc2526z00zz__evaluate_typesz00, BGl_proc2525z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1311z00_1587,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2518z00zz__evaluate_typesz00, BGl_proc2528z00zz__evaluate_typesz00, BGl_proc2527z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1689z00_1574 = BgL_v1311z00_1587; } 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_v1312z00_1608;
BgL_v1312z00_1608 = 
create_vector(((long)0)); 
BgL_arg1690z00_1575 = BgL_v1312z00_1608; } 
BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2532z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)59644), BGl_proc2531z00zz__evaluate_typesz00, BGl_proc2530z00zz__evaluate_typesz00, BFALSE, BGl_proc2529z00zz__evaluate_typesz00, BFALSE, BgL_arg1689z00_1574, BgL_arg1690z00_1575); } 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_arg1709z00_1615;obj_t BgL_arg1710z00_1616;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_v1313z00_1628;
BgL_v1313z00_1628 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1313z00_1628,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2536z00zz__evaluate_typesz00, BGl_proc2535z00zz__evaluate_typesz00, BGl_proc2534z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1313z00_1628,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2518z00zz__evaluate_typesz00, BGl_proc2539z00zz__evaluate_typesz00, BGl_proc2538z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1709z00_1615 = BgL_v1313z00_1628; } 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_v1314z00_1649;
BgL_v1314z00_1649 = 
create_vector(((long)0)); 
BgL_arg1710z00_1616 = BgL_v1314z00_1649; } 
BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2543z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)54033), BGl_proc2542z00zz__evaluate_typesz00, BGl_proc2541z00zz__evaluate_typesz00, BFALSE, BGl_proc2540z00zz__evaluate_typesz00, BFALSE, BgL_arg1709z00_1615, BgL_arg1710z00_1616); } 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_arg1729z00_1656;obj_t BgL_arg1730z00_1657;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_v1315z00_1671;
BgL_v1315z00_1671 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1315z00_1671,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2404z00zz__evaluate_typesz00, BGl_proc2546z00zz__evaluate_typesz00, BGl_proc2545z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1315z00_1671,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2549z00zz__evaluate_typesz00, BGl_proc2548z00zz__evaluate_typesz00, BGl_proc2547z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1315z00_1671,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2553z00zz__evaluate_typesz00, BGl_proc2552z00zz__evaluate_typesz00, BGl_proc2551z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1315z00_1671,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2518z00zz__evaluate_typesz00, BGl_proc2556z00zz__evaluate_typesz00, BGl_proc2555z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1729z00_1656 = BgL_v1315z00_1671; } 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_v1316z00_1712;
BgL_v1316z00_1712 = 
create_vector(((long)0)); 
BgL_arg1730z00_1657 = BgL_v1316z00_1712; } 
BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2560z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)40653), BGl_proc2559z00zz__evaluate_typesz00, BGl_proc2558z00zz__evaluate_typesz00, BFALSE, BGl_proc2557z00zz__evaluate_typesz00, BFALSE, BgL_arg1729z00_1656, BgL_arg1730z00_1657); } 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_arg1759z00_1719;obj_t BgL_arg1760z00_1720;
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_v1317z00_1733;
BgL_v1317z00_1733 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1317z00_1733,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2564z00zz__evaluate_typesz00, BGl_proc2563z00zz__evaluate_typesz00, BGl_proc2562z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1317z00_1733,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2568z00zz__evaluate_typesz00, BGl_proc2567z00zz__evaluate_typesz00, BGl_proc2566z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1317z00_1733,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2518z00zz__evaluate_typesz00, BGl_proc2571z00zz__evaluate_typesz00, BGl_proc2570z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1759z00_1719 = BgL_v1317z00_1733; } 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_v1318z00_1764;
BgL_v1318z00_1764 = 
create_vector(((long)0)); 
BgL_arg1760z00_1720 = BgL_v1318z00_1764; } 
BGl_ev_binderz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2575z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)50341), BGl_proc2574z00zz__evaluate_typesz00, BGl_proc2573z00zz__evaluate_typesz00, BFALSE, BGl_proc2572z00zz__evaluate_typesz00, BFALSE, BgL_arg1759z00_1719, BgL_arg1760z00_1720); } 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_arg1784z00_1771;obj_t BgL_arg1785z00_1772;
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_v1319z00_1786;
BgL_v1319z00_1786 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1319z00_1786,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2580z00zz__evaluate_typesz00, BGl_proc2579z00zz__evaluate_typesz00, BGl_proc2578z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2577z00zz__evaluate_typesz00, BGl_symbol2391z00zz__evaluate_typesz00)); 
BgL_arg1784z00_1771 = BgL_v1319z00_1786; } 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_v1320z00_1800;
BgL_v1320z00_1800 = 
create_vector(((long)0)); 
BgL_arg1785z00_1772 = BgL_v1320z00_1800; } 
BGl_ev_letz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2585z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)20484), BGl_proc2584z00zz__evaluate_typesz00, BGl_proc2583z00zz__evaluate_typesz00, BFALSE, BGl_proc2582z00zz__evaluate_typesz00, BFALSE, BgL_arg1784z00_1771, BgL_arg1785z00_1772); } 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_arg1801z00_1807;obj_t BgL_arg1802z00_1808;
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_v1321z00_1822;
BgL_v1321z00_1822 = 
create_vector(((long)1)); 
VECTOR_SET(BgL_v1321z00_1822,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2580z00zz__evaluate_typesz00, BGl_proc2589z00zz__evaluate_typesz00, BGl_proc2588z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2587z00zz__evaluate_typesz00, BGl_symbol2391z00zz__evaluate_typesz00)); 
BgL_arg1801z00_1807 = BgL_v1321z00_1822; } 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_v1322z00_1836;
BgL_v1322z00_1836 = 
create_vector(((long)0)); 
BgL_arg1802z00_1808 = BgL_v1322z00_1836; } 
BGl_ev_letza2za2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2593z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)9906), BGl_proc2592z00zz__evaluate_typesz00, BGl_proc2591z00zz__evaluate_typesz00, BFALSE, BGl_proc2590z00zz__evaluate_typesz00, BFALSE, BgL_arg1801z00_1807, BgL_arg1802z00_1808); } 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_arg1818z00_1843;obj_t BgL_arg1819z00_1844;
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_v1323z00_1857;
BgL_v1323z00_1857 = 
create_vector(((long)0)); 
BgL_arg1818z00_1843 = BgL_v1323z00_1857; } 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_v1324z00_1858;
BgL_v1324z00_1858 = 
create_vector(((long)0)); 
BgL_arg1819z00_1844 = BgL_v1324z00_1858; } 
BGl_ev_letrecz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2598z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, ((long)43956), BGl_proc2597z00zz__evaluate_typesz00, BGl_proc2596z00zz__evaluate_typesz00, BFALSE, BGl_proc2595z00zz__evaluate_typesz00, BFALSE, BgL_arg1818z00_1843, BgL_arg1819z00_1844); } 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_arg1828z00_1865;obj_t BgL_arg1829z00_1866;
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_v1325z00_1882;
BgL_v1325z00_1882 = 
create_vector(((long)6)); 
VECTOR_SET(BgL_v1325z00_1882,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2564z00zz__evaluate_typesz00, BGl_proc2601z00zz__evaluate_typesz00, BGl_proc2600z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1325z00_1882,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2568z00zz__evaluate_typesz00, BGl_proc2603z00zz__evaluate_typesz00, BGl_proc2602z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1325z00_1882,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2607z00zz__evaluate_typesz00, BGl_proc2606z00zz__evaluate_typesz00, BGl_proc2605z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2604z00zz__evaluate_typesz00, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1325z00_1882,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2612z00zz__evaluate_typesz00, BGl_proc2611z00zz__evaluate_typesz00, BGl_proc2610z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2609z00zz__evaluate_typesz00, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1325z00_1882,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2518z00zz__evaluate_typesz00, BGl_proc2615z00zz__evaluate_typesz00, BGl_proc2614z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1325z00_1882,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2580z00zz__evaluate_typesz00, BGl_proc2618z00zz__evaluate_typesz00, BGl_proc2617z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2616z00zz__evaluate_typesz00, BGl_symbol2391z00zz__evaluate_typesz00)); 
BgL_arg1828z00_1865 = BgL_v1325z00_1882; } 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_v1326z00_1952;
BgL_v1326z00_1952 = 
create_vector(((long)0)); 
BgL_arg1829z00_1866 = BgL_v1326z00_1952; } 
BGl_ev_labelsz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2622z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)51941), BGl_proc2621z00zz__evaluate_typesz00, BGl_proc2620z00zz__evaluate_typesz00, BFALSE, BGl_proc2619z00zz__evaluate_typesz00, BFALSE, BgL_arg1828z00_1865, BgL_arg1829z00_1866); } 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_arg1874z00_1959;obj_t BgL_arg1875z00_1960;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_v1327z00_1974;
BgL_v1327z00_1974 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1327z00_1974,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2404z00zz__evaluate_typesz00, BGl_proc2625z00zz__evaluate_typesz00, BGl_proc2624z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1327z00_1974,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2628z00zz__evaluate_typesz00, BGl_proc2627z00zz__evaluate_typesz00, BGl_proc2626z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1327z00_1974,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2632z00zz__evaluate_typesz00, BGl_proc2631z00zz__evaluate_typesz00, BGl_proc2630z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1327z00_1974,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2445z00zz__evaluate_typesz00, BGl_proc2635z00zz__evaluate_typesz00, BGl_proc2634z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
BgL_arg1874z00_1959 = BgL_v1327z00_1974; } 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_v1328z00_2015;
BgL_v1328z00_2015 = 
create_vector(((long)0)); 
BgL_arg1875z00_1960 = BgL_v1328z00_2015; } 
BGl_ev_gotoz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2639z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)25746), BGl_proc2638z00zz__evaluate_typesz00, BGl_proc2637z00zz__evaluate_typesz00, BFALSE, BGl_proc2636z00zz__evaluate_typesz00, BFALSE, BgL_arg1874z00_1959, BgL_arg1875z00_1960); } 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_arg1904z00_2022;obj_t BgL_arg1905z00_2023;
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_v1329z00_2037;
BgL_v1329z00_2037 = 
create_vector(((long)4)); 
VECTOR_SET(BgL_v1329z00_2037,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2404z00zz__evaluate_typesz00, BGl_proc2642z00zz__evaluate_typesz00, BGl_proc2641z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_2037,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2645z00zz__evaluate_typesz00, BGl_proc2644z00zz__evaluate_typesz00, BGl_proc2643z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_2037,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2445z00zz__evaluate_typesz00, BGl_proc2648z00zz__evaluate_typesz00, BGl_proc2647z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_2037,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2651z00zz__evaluate_typesz00, BGl_proc2650z00zz__evaluate_typesz00, BGl_proc2649z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
BgL_arg1904z00_2022 = BgL_v1329z00_2037; } 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_v1330z00_2078;
BgL_v1330z00_2078 = 
create_vector(((long)0)); 
BgL_arg1905z00_2023 = BgL_v1330z00_2078; } 
BGl_ev_appz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2656z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)55822), BGl_proc2655z00zz__evaluate_typesz00, BGl_proc2654z00zz__evaluate_typesz00, BFALSE, BGl_proc2653z00zz__evaluate_typesz00, BFALSE, BgL_arg1904z00_2022, BgL_arg1905z00_2023); } 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_arg1934z00_2085;obj_t BgL_arg1935z00_2086;
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_v1331z00_2106;
BgL_v1331z00_2106 = 
create_vector(((long)10)); 
VECTOR_SET(BgL_v1331z00_2106,((long)0),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2404z00zz__evaluate_typesz00, BGl_proc2659z00zz__evaluate_typesz00, BGl_proc2658z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2106,((long)1),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2662z00zz__evaluate_typesz00, BGl_proc2661z00zz__evaluate_typesz00, BGl_proc2660z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2106,((long)2),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2666z00zz__evaluate_typesz00, BGl_proc2665z00zz__evaluate_typesz00, BGl_proc2664z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2106,((long)3),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2564z00zz__evaluate_typesz00, BGl_proc2669z00zz__evaluate_typesz00, BGl_proc2668z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2106,((long)4),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2518z00zz__evaluate_typesz00, BGl_proc2671z00zz__evaluate_typesz00, BGl_proc2670z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2106,((long)5),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2675z00zz__evaluate_typesz00, BGl_proc2674z00zz__evaluate_typesz00, BGl_proc2673z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2672z00zz__evaluate_typesz00, BGl_symbol2677z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2106,((long)6),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2682z00zz__evaluate_typesz00, BGl_proc2681z00zz__evaluate_typesz00, BGl_proc2680z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2679z00zz__evaluate_typesz00, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2106,((long)7),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2687z00zz__evaluate_typesz00, BGl_proc2686z00zz__evaluate_typesz00, BGl_proc2685z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2684z00zz__evaluate_typesz00, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2106,((long)8),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2692z00zz__evaluate_typesz00, BGl_proc2691z00zz__evaluate_typesz00, BGl_proc2690z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2689z00zz__evaluate_typesz00, BGl_symbol2391z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2106,((long)9),
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2580z00zz__evaluate_typesz00, BGl_proc2696z00zz__evaluate_typesz00, BGl_proc2695z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2694z00zz__evaluate_typesz00, BGl_symbol2391z00zz__evaluate_typesz00)); 
BgL_arg1934z00_2085 = BgL_v1331z00_2106; } 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_v1332z00_2222;
BgL_v1332z00_2222 = 
create_vector(((long)0)); 
BgL_arg1935z00_2086 = BgL_v1332z00_2222; } 
return ( 
BGl_ev_absz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2700z00zz__evaluate_typesz00, BGl_symbol2378z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, ((long)22827), BGl_proc2699z00zz__evaluate_typesz00, BGl_proc2698z00zz__evaluate_typesz00, BFALSE, BGl_proc2697z00zz__evaluate_typesz00, BFALSE, BgL_arg1934z00_2085, BgL_arg1935z00_2086), BUNSPEC) ;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1940> */
obj_t BGl_z62zc3anonymousza31940ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3370, obj_t BgL_new1189z00_3371)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
{ 
BgL_ev_absz00_bglt BgL_auxz00_4553;
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3371)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3371)))->BgL_wherez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3371)))->BgL_arityz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3371)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4562;
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL_classz00_3846;
BgL_classz00_3846 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 122 */
obj_t BgL__ortest_1280z00_3847;
BgL__ortest_1280z00_3847 = 
BGL_CLASS_NIL(BgL_classz00_3846); 
if(
CBOOL(BgL__ortest_1280z00_3847))
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4562 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_3847)
; }  else 
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4562 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3846))
; } } } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3371)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4562),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3371)))->BgL_siza7eza7)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3371)))->BgL_bindz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3371)))->BgL_freez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3371)))->BgL_innerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3371)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4553 = 
((BgL_ev_absz00_bglt)BgL_new1189z00_3371); 
return 
((obj_t)BgL_auxz00_4553);} } 
BGL_FUNCTION_END;
}



/* &lambda1938 */
BgL_ev_absz00_bglt BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t BgL_envz00_3372)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1188z00_3848;
BgL_new1188z00_3848 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
long BgL_arg1939z00_3849;
{ /* Eval/evaluate_types.scm 122 */
long BgL_res2322z00_3850;
BgL_res2322z00_3850 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BgL_arg1939z00_3849 = BgL_res2322z00_3850; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1188z00_3848), BgL_arg1939z00_3849); } 
return BgL_new1188z00_3848;} } 
BGL_FUNCTION_END;
}



/* &lambda1936 */
BgL_ev_absz00_bglt BGl_z62lambda1936z62zz__evaluate_typesz00(obj_t BgL_envz00_3373, obj_t BgL_loc1178z00_3374, obj_t BgL_where1179z00_3375, obj_t BgL_arity1180z00_3376, obj_t BgL_vars1181z00_3377, obj_t BgL_body1182z00_3378, obj_t BgL_siza7e1183za7_3379, obj_t BgL_bind1184z00_3380, obj_t BgL_free1185z00_3381, obj_t BgL_inner1186z00_3382, obj_t BgL_boxes1187z00_3383)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
int BgL_siza7e1183za7_3852;
BgL_siza7e1183za7_3852 = 
CINT(BgL_siza7e1183za7_3379); 
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1241z00_3853;
{ /* Eval/evaluate_types.scm 122 */
BgL_ev_absz00_bglt BgL_new1240z00_3854;
BgL_new1240z00_3854 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
long BgL_arg1937z00_3855;
{ /* Eval/evaluate_types.scm 122 */
long BgL_res2321z00_3856;
BgL_res2321z00_3856 = 
BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00); 
BgL_arg1937z00_3855 = BgL_res2321z00_3856; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1240z00_3854), BgL_arg1937z00_3855); } 
BgL_new1241z00_3853 = BgL_new1240z00_3854; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3853))->BgL_locz00)=((obj_t)BgL_loc1178z00_3374),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3853))->BgL_wherez00)=((obj_t)BgL_where1179z00_3375),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3853))->BgL_arityz00)=((obj_t)BgL_arity1180z00_3376),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3853))->BgL_varsz00)=((obj_t)BgL_vars1181z00_3377),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3853))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1182z00_3378)),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3853))->BgL_siza7eza7)=((int)BgL_siza7e1183za7_3852),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3853))->BgL_bindz00)=((obj_t)BgL_bind1184z00_3380),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3853))->BgL_freez00)=((obj_t)BgL_free1185z00_3381),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3853))->BgL_innerz00)=((obj_t)BgL_inner1186z00_3382),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3853))->BgL_boxesz00)=((obj_t)BgL_boxes1187z00_3383),BUNSPEC); 
return BgL_new1241z00_3853;} } } 
BGL_FUNCTION_END;
}



/* &<anonymous:2000> */
obj_t BGl_z62zc3anonymousza32000ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3384)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1999 */
obj_t BGl_z62lambda1999z62zz__evaluate_typesz00(obj_t BgL_envz00_3385, obj_t BgL_oz00_3386, obj_t BgL_vz00_3387)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3386)))->BgL_boxesz00)=((obj_t)BgL_vz00_3387),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1998 */
obj_t BGl_z62lambda1998z62zz__evaluate_typesz00(obj_t BgL_envz00_3388, obj_t BgL_oz00_3389)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3389)))->BgL_boxesz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1993> */
obj_t BGl_z62zc3anonymousza31993ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3390)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1992 */
obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t BgL_envz00_3391, obj_t BgL_oz00_3392, obj_t BgL_vz00_3393)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3392)))->BgL_innerz00)=((obj_t)BgL_vz00_3393),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1991 */
obj_t BGl_z62lambda1991z62zz__evaluate_typesz00(obj_t BgL_envz00_3394, obj_t BgL_oz00_3395)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3395)))->BgL_innerz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1986> */
obj_t BGl_z62zc3anonymousza31986ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3396)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1985 */
obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t BgL_envz00_3397, obj_t BgL_oz00_3398, obj_t BgL_vz00_3399)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3398)))->BgL_freez00)=((obj_t)BgL_vz00_3399),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1984 */
obj_t BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t BgL_envz00_3400, obj_t BgL_oz00_3401)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3401)))->BgL_freez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1979> */
obj_t BGl_z62zc3anonymousza31979ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3402)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1978 */
obj_t BGl_z62lambda1978z62zz__evaluate_typesz00(obj_t BgL_envz00_3403, obj_t BgL_oz00_3404, obj_t BgL_vz00_3405)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3404)))->BgL_bindz00)=((obj_t)BgL_vz00_3405),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1977 */
obj_t BGl_z62lambda1977z62zz__evaluate_typesz00(obj_t BgL_envz00_3406, obj_t BgL_oz00_3407)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3407)))->BgL_bindz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1972> */
obj_t BGl_z62zc3anonymousza31972ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3408)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(((long)0));} 
BGL_FUNCTION_END;
}



/* &lambda1971 */
obj_t BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t BgL_envz00_3409, obj_t BgL_oz00_3410, obj_t BgL_vz00_3411)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
int BgL_vz00_3866;
BgL_vz00_3866 = 
CINT(BgL_vz00_3411); 
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3410)))->BgL_siza7eza7)=((int)BgL_vz00_3866),BUNSPEC);} } 
BGL_FUNCTION_END;
}



/* &lambda1970 */
obj_t BGl_z62lambda1970z62zz__evaluate_typesz00(obj_t BgL_envz00_3412, obj_t BgL_oz00_3413)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3413)))->BgL_siza7eza7));} 
BGL_FUNCTION_END;
}



/* &lambda1965 */
obj_t BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t BgL_envz00_3414, obj_t BgL_oz00_3415, obj_t BgL_vz00_3416)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3415)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3416)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1964 */
BgL_ev_exprz00_bglt BGl_z62lambda1964z62zz__evaluate_typesz00(obj_t BgL_envz00_3417, obj_t BgL_oz00_3418)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3418)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1960 */
obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t BgL_envz00_3419, obj_t BgL_oz00_3420, obj_t BgL_vz00_3421)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3420)))->BgL_varsz00)=((obj_t)BgL_vz00_3421),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1959 */
obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t BgL_envz00_3422, obj_t BgL_oz00_3423)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3423)))->BgL_varsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1955 */
obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t BgL_envz00_3424, obj_t BgL_oz00_3425, obj_t BgL_vz00_3426)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3425)))->BgL_arityz00)=((obj_t)BgL_vz00_3426),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1954 */
obj_t BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t BgL_envz00_3427, obj_t BgL_oz00_3428)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3428)))->BgL_arityz00);} 
BGL_FUNCTION_END;
}



/* &lambda1950 */
obj_t BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t BgL_envz00_3429, obj_t BgL_oz00_3430, obj_t BgL_vz00_3431)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3430)))->BgL_wherez00)=((obj_t)BgL_vz00_3431),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1949 */
obj_t BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t BgL_envz00_3432, obj_t BgL_oz00_3433)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3433)))->BgL_wherez00);} 
BGL_FUNCTION_END;
}



/* &lambda1945 */
obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t BgL_envz00_3434, obj_t BgL_oz00_3435, obj_t BgL_vz00_3436)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3435)))->BgL_locz00)=((obj_t)BgL_vz00_3436),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1944 */
obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t BgL_envz00_3437, obj_t BgL_oz00_3438)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3438)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1910> */
obj_t BGl_z62zc3anonymousza31910ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3439, obj_t BgL_new1176z00_3440)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
{ 
BgL_ev_appz00_bglt BgL_auxz00_4648;
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1176z00_3440)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4651;
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL_classz00_3880;
BgL_classz00_3880 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 119 */
obj_t BgL__ortest_1280z00_3881;
BgL__ortest_1280z00_3881 = 
BGL_CLASS_NIL(BgL_classz00_3880); 
if(
CBOOL(BgL__ortest_1280z00_3881))
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4651 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_3881)
; }  else 
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4651 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3880))
; } } } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1176z00_3440)))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4651),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1176z00_3440)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1176z00_3440)))->BgL_tailzf3zf3)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4648 = 
((BgL_ev_appz00_bglt)BgL_new1176z00_3440); 
return 
((obj_t)BgL_auxz00_4648);} } 
BGL_FUNCTION_END;
}



/* &lambda1908 */
BgL_ev_appz00_bglt BGl_z62lambda1908z62zz__evaluate_typesz00(obj_t BgL_envz00_3441)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1175z00_3882;
BgL_new1175z00_3882 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
long BgL_arg1909z00_3883;
{ /* Eval/evaluate_types.scm 119 */
long BgL_res2320z00_3884;
BgL_res2320z00_3884 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1909z00_3883 = BgL_res2320z00_3884; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1175z00_3882), BgL_arg1909z00_3883); } 
return BgL_new1175z00_3882;} } 
BGL_FUNCTION_END;
}



/* &lambda1906 */
BgL_ev_appz00_bglt BGl_z62lambda1906z62zz__evaluate_typesz00(obj_t BgL_envz00_3442, obj_t BgL_loc1171z00_3443, obj_t BgL_fun1172z00_3444, obj_t BgL_args1173z00_3445, obj_t BgL_tailzf31174zf3_3446)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1239z00_3886;
{ /* Eval/evaluate_types.scm 119 */
BgL_ev_appz00_bglt BgL_new1238z00_3887;
BgL_new1238z00_3887 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
long BgL_arg1907z00_3888;
{ /* Eval/evaluate_types.scm 119 */
long BgL_res2319z00_3889;
BgL_res2319z00_3889 = 
BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00); 
BgL_arg1907z00_3888 = BgL_res2319z00_3889; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1238z00_3887), BgL_arg1907z00_3888); } 
BgL_new1239z00_3886 = BgL_new1238z00_3887; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1239z00_3886))->BgL_locz00)=((obj_t)BgL_loc1171z00_3443),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1239z00_3886))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_fun1172z00_3444)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1239z00_3886))->BgL_argsz00)=((obj_t)BgL_args1173z00_3445),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1239z00_3886))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf31174zf3_3446),BUNSPEC); 
return BgL_new1239z00_3886;} } 
BGL_FUNCTION_END;
}



/* &lambda1930 */
obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t BgL_envz00_3447, obj_t BgL_oz00_3448, obj_t BgL_vz00_3449)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3448)))->BgL_tailzf3zf3)=((obj_t)BgL_vz00_3449),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1929 */
obj_t BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t BgL_envz00_3450, obj_t BgL_oz00_3451)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3451)))->BgL_tailzf3zf3);} 
BGL_FUNCTION_END;
}



/* &lambda1925 */
obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t BgL_envz00_3452, obj_t BgL_oz00_3453, obj_t BgL_vz00_3454)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3453)))->BgL_argsz00)=((obj_t)BgL_vz00_3454),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1924 */
obj_t BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t BgL_envz00_3455, obj_t BgL_oz00_3456)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3456)))->BgL_argsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1920 */
obj_t BGl_z62lambda1920z62zz__evaluate_typesz00(obj_t BgL_envz00_3457, obj_t BgL_oz00_3458, obj_t BgL_vz00_3459)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3458)))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3459)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1919 */
BgL_ev_exprz00_bglt BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t BgL_envz00_3460, obj_t BgL_oz00_3461)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3461)))->BgL_funz00);} 
BGL_FUNCTION_END;
}



/* &lambda1915 */
obj_t BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t BgL_envz00_3462, obj_t BgL_oz00_3463, obj_t BgL_vz00_3464)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3463)))->BgL_locz00)=((obj_t)BgL_vz00_3464),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1914 */
obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t BgL_envz00_3465, obj_t BgL_oz00_3466)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3466)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1880> */
obj_t BGl_z62zc3anonymousza31880ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3467, obj_t BgL_new1169z00_3468)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
{ 
BgL_ev_gotoz00_bglt BgL_auxz00_4696;
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1169z00_3468)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_varz00_bglt BgL_auxz00_4699;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_classz00_3900;
BgL_classz00_3900 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL__ortest_1280z00_3901;
BgL__ortest_1280z00_3901 = 
BGL_CLASS_NIL(BgL_classz00_3900); 
if(
CBOOL(BgL__ortest_1280z00_3901))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4699 = 
((BgL_ev_varz00_bglt)BgL__ortest_1280z00_3901)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4699 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3900))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1169z00_3468)))->BgL_labelz00)=((BgL_ev_varz00_bglt)BgL_auxz00_4699),BUNSPEC); } 
{ 
BgL_ev_labelsz00_bglt BgL_auxz00_4708;
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL_classz00_3902;
BgL_classz00_3902 = BGl_ev_labelsz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
obj_t BgL__ortest_1280z00_3903;
BgL__ortest_1280z00_3903 = 
BGL_CLASS_NIL(BgL_classz00_3902); 
if(
CBOOL(BgL__ortest_1280z00_3903))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4708 = 
((BgL_ev_labelsz00_bglt)BgL__ortest_1280z00_3903)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4708 = 
((BgL_ev_labelsz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3902))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1169z00_3468)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)BgL_auxz00_4708),BUNSPEC); } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1169z00_3468)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4696 = 
((BgL_ev_gotoz00_bglt)BgL_new1169z00_3468); 
return 
((obj_t)BgL_auxz00_4696);} } 
BGL_FUNCTION_END;
}



/* &lambda1878 */
BgL_ev_gotoz00_bglt BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t BgL_envz00_3469)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1168z00_3904;
BgL_new1168z00_3904 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
long BgL_arg1879z00_3905;
{ /* Eval/evaluate_types.scm 114 */
long BgL_res2318z00_3906;
BgL_res2318z00_3906 = 
BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00); 
BgL_arg1879z00_3905 = BgL_res2318z00_3906; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1168z00_3904), BgL_arg1879z00_3905); } 
return BgL_new1168z00_3904;} } 
BGL_FUNCTION_END;
}



/* &lambda1876 */
BgL_ev_gotoz00_bglt BGl_z62lambda1876z62zz__evaluate_typesz00(obj_t BgL_envz00_3470, obj_t BgL_loc1164z00_3471, obj_t BgL_label1165z00_3472, obj_t BgL_labels1166z00_3473, obj_t BgL_args1167z00_3474)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1237z00_3909;
{ /* Eval/evaluate_types.scm 114 */
BgL_ev_gotoz00_bglt BgL_new1236z00_3910;
BgL_new1236z00_3910 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
long BgL_arg1877z00_3911;
{ /* Eval/evaluate_types.scm 114 */
long BgL_res2317z00_3912;
BgL_res2317z00_3912 = 
BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00); 
BgL_arg1877z00_3911 = BgL_res2317z00_3912; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1236z00_3910), BgL_arg1877z00_3911); } 
BgL_new1237z00_3909 = BgL_new1236z00_3910; } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1237z00_3909))->BgL_locz00)=((obj_t)BgL_loc1164z00_3471),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1237z00_3909))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_label1165z00_3472)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1237z00_3909))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_labels1166z00_3473)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1237z00_3909))->BgL_argsz00)=((obj_t)BgL_args1167z00_3474),BUNSPEC); 
return BgL_new1237z00_3909;} } 
BGL_FUNCTION_END;
}



/* &lambda1900 */
obj_t BGl_z62lambda1900z62zz__evaluate_typesz00(obj_t BgL_envz00_3475, obj_t BgL_oz00_3476, obj_t BgL_vz00_3477)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3476)))->BgL_argsz00)=((obj_t)BgL_vz00_3477),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1899 */
obj_t BGl_z62lambda1899z62zz__evaluate_typesz00(obj_t BgL_envz00_3478, obj_t BgL_oz00_3479)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3479)))->BgL_argsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1895 */
obj_t BGl_z62lambda1895z62zz__evaluate_typesz00(obj_t BgL_envz00_3480, obj_t BgL_oz00_3481, obj_t BgL_vz00_3482)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3481)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_vz00_3482)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1894 */
BgL_ev_labelsz00_bglt BGl_z62lambda1894z62zz__evaluate_typesz00(obj_t BgL_envz00_3483, obj_t BgL_oz00_3484)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3484)))->BgL_labelsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1890 */
obj_t BGl_z62lambda1890z62zz__evaluate_typesz00(obj_t BgL_envz00_3485, obj_t BgL_oz00_3486, obj_t BgL_vz00_3487)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3486)))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3487)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1889 */
BgL_ev_varz00_bglt BGl_z62lambda1889z62zz__evaluate_typesz00(obj_t BgL_envz00_3488, obj_t BgL_oz00_3489)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3489)))->BgL_labelz00);} 
BGL_FUNCTION_END;
}



/* &lambda1885 */
obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t BgL_envz00_3490, obj_t BgL_oz00_3491, obj_t BgL_vz00_3492)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3491)))->BgL_locz00)=((obj_t)BgL_vz00_3492),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1884 */
obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t BgL_envz00_3493, obj_t BgL_oz00_3494)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3494)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1834> */
obj_t BGl_z62zc3anonymousza31834ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3495, obj_t BgL_new1162z00_3496)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
{ 
BgL_ev_labelsz00_bglt BgL_auxz00_4753;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1162z00_3496)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1162z00_3496)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1162z00_3496)))->BgL_envz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1162z00_3496)))->BgL_stkz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4762;
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL_classz00_3924;
BgL_classz00_3924 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 106 */
obj_t BgL__ortest_1280z00_3925;
BgL__ortest_1280z00_3925 = 
BGL_CLASS_NIL(BgL_classz00_3924); 
if(
CBOOL(BgL__ortest_1280z00_3925))
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4762 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_3925)
; }  else 
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4762 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3924))
; } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1162z00_3496)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4762),BUNSPEC); } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1162z00_3496)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4753 = 
((BgL_ev_labelsz00_bglt)BgL_new1162z00_3496); 
return 
((obj_t)BgL_auxz00_4753);} } 
BGL_FUNCTION_END;
}



/* &lambda1832 */
BgL_ev_labelsz00_bglt BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t BgL_envz00_3497)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1161z00_3926;
BgL_new1161z00_3926 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
long BgL_arg1833z00_3927;
{ /* Eval/evaluate_types.scm 106 */
long BgL_res2316z00_3928;
BgL_res2316z00_3928 = 
BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00); 
BgL_arg1833z00_3927 = BgL_res2316z00_3928; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1161z00_3926), BgL_arg1833z00_3927); } 
return BgL_new1161z00_3926;} } 
BGL_FUNCTION_END;
}



/* &lambda1830 */
BgL_ev_labelsz00_bglt BGl_z62lambda1830z62zz__evaluate_typesz00(obj_t BgL_envz00_3498, obj_t BgL_vars1155z00_3499, obj_t BgL_vals1156z00_3500, obj_t BgL_env1157z00_3501, obj_t BgL_stk1158z00_3502, obj_t BgL_body1159z00_3503, obj_t BgL_boxes1160z00_3504)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1235z00_3930;
{ /* Eval/evaluate_types.scm 106 */
BgL_ev_labelsz00_bglt BgL_new1234z00_3931;
BgL_new1234z00_3931 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
long BgL_arg1831z00_3932;
{ /* Eval/evaluate_types.scm 106 */
long BgL_res2315z00_3933;
BgL_res2315z00_3933 = 
BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00); 
BgL_arg1831z00_3932 = BgL_res2315z00_3933; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1234z00_3931), BgL_arg1831z00_3932); } 
BgL_new1235z00_3930 = BgL_new1234z00_3931; } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3930))->BgL_varsz00)=((obj_t)BgL_vars1155z00_3499),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3930))->BgL_valsz00)=((obj_t)BgL_vals1156z00_3500),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3930))->BgL_envz00)=((obj_t)BgL_env1157z00_3501),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3930))->BgL_stkz00)=((obj_t)BgL_stk1158z00_3502),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3930))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1159z00_3503)),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3930))->BgL_boxesz00)=((obj_t)BgL_boxes1160z00_3504),BUNSPEC); 
return BgL_new1235z00_3930;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1870> */
obj_t BGl_z62zc3anonymousza31870ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3505)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1869 */
obj_t BGl_z62lambda1869z62zz__evaluate_typesz00(obj_t BgL_envz00_3506, obj_t BgL_oz00_3507, obj_t BgL_vz00_3508)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3507)))->BgL_boxesz00)=((obj_t)BgL_vz00_3508),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1868 */
obj_t BGl_z62lambda1868z62zz__evaluate_typesz00(obj_t BgL_envz00_3509, obj_t BgL_oz00_3510)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3510)))->BgL_boxesz00);} 
BGL_FUNCTION_END;
}



/* &lambda1863 */
obj_t BGl_z62lambda1863z62zz__evaluate_typesz00(obj_t BgL_envz00_3511, obj_t BgL_oz00_3512, obj_t BgL_vz00_3513)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3512)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3513)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1862 */
BgL_ev_exprz00_bglt BGl_z62lambda1862z62zz__evaluate_typesz00(obj_t BgL_envz00_3514, obj_t BgL_oz00_3515)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3515)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1858> */
obj_t BGl_z62zc3anonymousza31858ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3516)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1857 */
obj_t BGl_z62lambda1857z62zz__evaluate_typesz00(obj_t BgL_envz00_3517, obj_t BgL_oz00_3518, obj_t BgL_vz00_3519)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3518)))->BgL_stkz00)=((obj_t)BgL_vz00_3519),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1856 */
obj_t BGl_z62lambda1856z62zz__evaluate_typesz00(obj_t BgL_envz00_3520, obj_t BgL_oz00_3521)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3521)))->BgL_stkz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1851> */
obj_t BGl_z62zc3anonymousza31851ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3522)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1850 */
obj_t BGl_z62lambda1850z62zz__evaluate_typesz00(obj_t BgL_envz00_3523, obj_t BgL_oz00_3524, obj_t BgL_vz00_3525)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3524)))->BgL_envz00)=((obj_t)BgL_vz00_3525),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1849 */
obj_t BGl_z62lambda1849z62zz__evaluate_typesz00(obj_t BgL_envz00_3526, obj_t BgL_oz00_3527)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3527)))->BgL_envz00);} 
BGL_FUNCTION_END;
}



/* &lambda1844 */
obj_t BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t BgL_envz00_3528, obj_t BgL_oz00_3529, obj_t BgL_vz00_3530)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3529)))->BgL_valsz00)=((obj_t)BgL_vz00_3530),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1843 */
obj_t BGl_z62lambda1843z62zz__evaluate_typesz00(obj_t BgL_envz00_3531, obj_t BgL_oz00_3532)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3532)))->BgL_valsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1839 */
obj_t BGl_z62lambda1839z62zz__evaluate_typesz00(obj_t BgL_envz00_3533, obj_t BgL_oz00_3534, obj_t BgL_vz00_3535)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3534)))->BgL_varsz00)=((obj_t)BgL_vz00_3535),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1838 */
obj_t BGl_z62lambda1838z62zz__evaluate_typesz00(obj_t BgL_envz00_3536, obj_t BgL_oz00_3537)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3537)))->BgL_varsz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1824> */
obj_t BGl_z62zc3anonymousza31824ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3538, obj_t BgL_new1153z00_3539)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 105 */
{ 
BgL_ev_letrecz00_bglt BgL_auxz00_4815;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1153z00_3539))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1153z00_3539))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4822;
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL_classz00_3948;
BgL_classz00_3948 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 105 */
obj_t BgL__ortest_1280z00_3949;
BgL__ortest_1280z00_3949 = 
BGL_CLASS_NIL(BgL_classz00_3948); 
if(
CBOOL(BgL__ortest_1280z00_3949))
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4822 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_3949)
; }  else 
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4822 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3948))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1153z00_3539))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4822),BUNSPEC); } 
BgL_auxz00_4815 = 
((BgL_ev_letrecz00_bglt)BgL_new1153z00_3539); 
return 
((obj_t)BgL_auxz00_4815);} } 
BGL_FUNCTION_END;
}



/* &lambda1822 */
BgL_ev_letrecz00_bglt BGl_z62lambda1822z62zz__evaluate_typesz00(obj_t BgL_envz00_3540)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1152z00_3950;
BgL_new1152z00_3950 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
long BgL_arg1823z00_3951;
{ /* Eval/evaluate_types.scm 105 */
long BgL_res2314z00_3952;
BgL_res2314z00_3952 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BgL_arg1823z00_3951 = BgL_res2314z00_3952; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1152z00_3950), BgL_arg1823z00_3951); } 
return BgL_new1152z00_3950;} } 
BGL_FUNCTION_END;
}



/* &lambda1820 */
BgL_ev_letrecz00_bglt BGl_z62lambda1820z62zz__evaluate_typesz00(obj_t BgL_envz00_3541, obj_t BgL_vars1149z00_3542, obj_t BgL_vals1150z00_3543, obj_t BgL_body1151z00_3544)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1233z00_3954;
{ /* Eval/evaluate_types.scm 105 */
BgL_ev_letrecz00_bglt BgL_new1232z00_3955;
BgL_new1232z00_3955 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
long BgL_arg1821z00_3956;
{ /* Eval/evaluate_types.scm 105 */
long BgL_res2313z00_3957;
BgL_res2313z00_3957 = 
BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00); 
BgL_arg1821z00_3956 = BgL_res2313z00_3957; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1232z00_3955), BgL_arg1821z00_3956); } 
BgL_new1233z00_3954 = BgL_new1232z00_3955; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3954)))->BgL_varsz00)=((obj_t)BgL_vars1149z00_3542),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3954)))->BgL_valsz00)=((obj_t)BgL_vals1150z00_3543),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3954)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1151z00_3544)),BUNSPEC); 
return BgL_new1233z00_3954;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1807> */
obj_t BGl_z62zc3anonymousza31807ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3545, obj_t BgL_new1147z00_3546)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
{ 
BgL_ev_letza2za2_bglt BgL_auxz00_4849;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1147z00_3546))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1147z00_3546))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4856;
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL_classz00_3959;
BgL_classz00_3959 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 103 */
obj_t BgL__ortest_1280z00_3960;
BgL__ortest_1280z00_3960 = 
BGL_CLASS_NIL(BgL_classz00_3959); 
if(
CBOOL(BgL__ortest_1280z00_3960))
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4856 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_3960)
; }  else 
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4856 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3959))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1147z00_3546))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4856),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_new1147z00_3546)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4849 = 
((BgL_ev_letza2za2_bglt)BgL_new1147z00_3546); 
return 
((obj_t)BgL_auxz00_4849);} } 
BGL_FUNCTION_END;
}



/* &lambda1805 */
BgL_ev_letza2za2_bglt BGl_z62lambda1805z62zz__evaluate_typesz00(obj_t BgL_envz00_3547)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1146z00_3961;
BgL_new1146z00_3961 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
long BgL_arg1806z00_3962;
{ /* Eval/evaluate_types.scm 103 */
long BgL_res2312z00_3963;
BgL_res2312z00_3963 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BgL_arg1806z00_3962 = BgL_res2312z00_3963; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1146z00_3961), BgL_arg1806z00_3962); } 
return BgL_new1146z00_3961;} } 
BGL_FUNCTION_END;
}



/* &lambda1803 */
BgL_ev_letza2za2_bglt BGl_z62lambda1803z62zz__evaluate_typesz00(obj_t BgL_envz00_3548, obj_t BgL_vars1142z00_3549, obj_t BgL_vals1143z00_3550, obj_t BgL_body1144z00_3551, obj_t BgL_boxes1145z00_3552)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1231z00_3965;
{ /* Eval/evaluate_types.scm 103 */
BgL_ev_letza2za2_bglt BgL_new1230z00_3966;
BgL_new1230z00_3966 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
long BgL_arg1804z00_3967;
{ /* Eval/evaluate_types.scm 103 */
long BgL_res2311z00_3968;
BgL_res2311z00_3968 = 
BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00); 
BgL_arg1804z00_3967 = BgL_res2311z00_3968; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1230z00_3966), BgL_arg1804z00_3967); } 
BgL_new1231z00_3965 = BgL_new1230z00_3966; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3965)))->BgL_varsz00)=((obj_t)BgL_vars1142z00_3549),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3965)))->BgL_valsz00)=((obj_t)BgL_vals1143z00_3550),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3965)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1144z00_3551)),BUNSPEC); 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1231z00_3965))->BgL_boxesz00)=((obj_t)BgL_boxes1145z00_3552),BUNSPEC); 
return BgL_new1231z00_3965;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1814> */
obj_t BGl_z62zc3anonymousza31814ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3553)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1813 */
obj_t BGl_z62lambda1813z62zz__evaluate_typesz00(obj_t BgL_envz00_3554, obj_t BgL_oz00_3555, obj_t BgL_vz00_3556)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
return 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3555)))->BgL_boxesz00)=((obj_t)BgL_vz00_3556),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1812 */
obj_t BGl_z62lambda1812z62zz__evaluate_typesz00(obj_t BgL_envz00_3557, obj_t BgL_oz00_3558)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 103 */
return 
(((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3558)))->BgL_boxesz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1790> */
obj_t BGl_z62zc3anonymousza31790ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3559, obj_t BgL_new1140z00_3560)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
{ 
BgL_ev_letz00_bglt BgL_auxz00_4890;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1140z00_3560))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1140z00_3560))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4897;
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL_classz00_3972;
BgL_classz00_3972 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 101 */
obj_t BgL__ortest_1280z00_3973;
BgL__ortest_1280z00_3973 = 
BGL_CLASS_NIL(BgL_classz00_3972); 
if(
CBOOL(BgL__ortest_1280z00_3973))
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4897 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_3973)
; }  else 
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4897 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3972))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1140z00_3560))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4897),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_new1140z00_3560)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4890 = 
((BgL_ev_letz00_bglt)BgL_new1140z00_3560); 
return 
((obj_t)BgL_auxz00_4890);} } 
BGL_FUNCTION_END;
}



/* &lambda1788 */
BgL_ev_letz00_bglt BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t BgL_envz00_3561)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1139z00_3974;
BgL_new1139z00_3974 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
long BgL_arg1789z00_3975;
{ /* Eval/evaluate_types.scm 101 */
long BgL_res2310z00_3976;
BgL_res2310z00_3976 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BgL_arg1789z00_3975 = BgL_res2310z00_3976; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1139z00_3974), BgL_arg1789z00_3975); } 
return BgL_new1139z00_3974;} } 
BGL_FUNCTION_END;
}



/* &lambda1786 */
BgL_ev_letz00_bglt BGl_z62lambda1786z62zz__evaluate_typesz00(obj_t BgL_envz00_3562, obj_t BgL_vars1135z00_3563, obj_t BgL_vals1136z00_3564, obj_t BgL_body1137z00_3565, obj_t BgL_boxes1138z00_3566)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1229z00_3978;
{ /* Eval/evaluate_types.scm 101 */
BgL_ev_letz00_bglt BgL_new1228z00_3979;
BgL_new1228z00_3979 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
long BgL_arg1787z00_3980;
{ /* Eval/evaluate_types.scm 101 */
long BgL_res2309z00_3981;
BgL_res2309z00_3981 = 
BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00); 
BgL_arg1787z00_3980 = BgL_res2309z00_3981; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1228z00_3979), BgL_arg1787z00_3980); } 
BgL_new1229z00_3978 = BgL_new1228z00_3979; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1229z00_3978)))->BgL_varsz00)=((obj_t)BgL_vars1135z00_3563),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1229z00_3978)))->BgL_valsz00)=((obj_t)BgL_vals1136z00_3564),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1229z00_3978)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1137z00_3565)),BUNSPEC); 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1229z00_3978))->BgL_boxesz00)=((obj_t)BgL_boxes1138z00_3566),BUNSPEC); 
return BgL_new1229z00_3978;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1797> */
obj_t BGl_z62zc3anonymousza31797ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3567)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
return BNIL;} 
BGL_FUNCTION_END;
}



/* &lambda1796 */
obj_t BGl_z62lambda1796z62zz__evaluate_typesz00(obj_t BgL_envz00_3568, obj_t BgL_oz00_3569, obj_t BgL_vz00_3570)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
return 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3569)))->BgL_boxesz00)=((obj_t)BgL_vz00_3570),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1795 */
obj_t BGl_z62lambda1795z62zz__evaluate_typesz00(obj_t BgL_envz00_3571, obj_t BgL_oz00_3572)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 101 */
return 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3572)))->BgL_boxesz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1765> */
obj_t BGl_z62zc3anonymousza31765ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3573, obj_t BgL_new1133z00_3574)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
{ 
BgL_ev_binderz00_bglt BgL_auxz00_4931;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1133z00_3574)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1133z00_3574)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4936;
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL_classz00_3985;
BgL_classz00_3985 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 97 */
obj_t BgL__ortest_1280z00_3986;
BgL__ortest_1280z00_3986 = 
BGL_CLASS_NIL(BgL_classz00_3985); 
if(
CBOOL(BgL__ortest_1280z00_3986))
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4936 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_3986)
; }  else 
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4936 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3985))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1133z00_3574)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4936),BUNSPEC); } 
BgL_auxz00_4931 = 
((BgL_ev_binderz00_bglt)BgL_new1133z00_3574); 
return 
((obj_t)BgL_auxz00_4931);} } 
BGL_FUNCTION_END;
}



/* &lambda1763 */
BgL_ev_binderz00_bglt BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t BgL_envz00_3575)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1132z00_3987;
BgL_new1132z00_3987 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
long BgL_arg1764z00_3988;
{ /* Eval/evaluate_types.scm 97 */
long BgL_res2308z00_3989;
BgL_res2308z00_3989 = 
BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00); 
BgL_arg1764z00_3988 = BgL_res2308z00_3989; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1132z00_3987), BgL_arg1764z00_3988); } 
return BgL_new1132z00_3987;} } 
BGL_FUNCTION_END;
}



/* &lambda1761 */
BgL_ev_binderz00_bglt BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t BgL_envz00_3576, obj_t BgL_vars1129z00_3577, obj_t BgL_vals1130z00_3578, obj_t BgL_body1131z00_3579)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1227z00_3991;
{ /* Eval/evaluate_types.scm 97 */
BgL_ev_binderz00_bglt BgL_new1226z00_3992;
BgL_new1226z00_3992 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
long BgL_arg1762z00_3993;
{ /* Eval/evaluate_types.scm 97 */
long BgL_res2307z00_3994;
BgL_res2307z00_3994 = 
BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00); 
BgL_arg1762z00_3993 = BgL_res2307z00_3994; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1226z00_3992), BgL_arg1762z00_3993); } 
BgL_new1227z00_3991 = BgL_new1226z00_3992; } 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1227z00_3991))->BgL_varsz00)=((obj_t)BgL_vars1129z00_3577),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1227z00_3991))->BgL_valsz00)=((obj_t)BgL_vals1130z00_3578),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1227z00_3991))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1131z00_3579)),BUNSPEC); 
return BgL_new1227z00_3991;} } 
BGL_FUNCTION_END;
}



/* &lambda1780 */
obj_t BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t BgL_envz00_3580, obj_t BgL_oz00_3581, obj_t BgL_vz00_3582)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3581)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3582)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1779 */
BgL_ev_exprz00_bglt BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t BgL_envz00_3583, obj_t BgL_oz00_3584)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3584)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1775 */
obj_t BGl_z62lambda1775z62zz__evaluate_typesz00(obj_t BgL_envz00_3585, obj_t BgL_oz00_3586, obj_t BgL_vz00_3587)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3586)))->BgL_valsz00)=((obj_t)BgL_vz00_3587),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1774 */
obj_t BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t BgL_envz00_3588, obj_t BgL_oz00_3589)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3589)))->BgL_valsz00);} 
BGL_FUNCTION_END;
}



/* &lambda1770 */
obj_t BGl_z62lambda1770z62zz__evaluate_typesz00(obj_t BgL_envz00_3590, obj_t BgL_oz00_3591, obj_t BgL_vz00_3592)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3591)))->BgL_varsz00)=((obj_t)BgL_vz00_3592),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1769 */
obj_t BGl_z62lambda1769z62zz__evaluate_typesz00(obj_t BgL_envz00_3593, obj_t BgL_oz00_3594)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3594)))->BgL_varsz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1735> */
obj_t BGl_z62zc3anonymousza31735ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3595, obj_t BgL_new1127z00_3596)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
{ 
BgL_ev_synchroniza7eza7_bglt BgL_auxz00_4972;
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1127z00_3596)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4975;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_4003;
BgL_classz00_4003 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1280z00_4004;
BgL__ortest_1280z00_4004 = 
BGL_CLASS_NIL(BgL_classz00_4003); 
if(
CBOOL(BgL__ortest_1280z00_4004))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4975 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4004)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4975 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4003))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1127z00_3596)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4975),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4984;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_4005;
BgL_classz00_4005 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1280z00_4006;
BgL__ortest_1280z00_4006 = 
BGL_CLASS_NIL(BgL_classz00_4005); 
if(
CBOOL(BgL__ortest_1280z00_4006))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4984 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4006)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4984 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4005))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1127z00_3596)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4984),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_4993;
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL_classz00_4007;
BgL_classz00_4007 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
obj_t BgL__ortest_1280z00_4008;
BgL__ortest_1280z00_4008 = 
BGL_CLASS_NIL(BgL_classz00_4007); 
if(
CBOOL(BgL__ortest_1280z00_4008))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4993 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4008)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4993 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4007))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1127z00_3596)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4993),BUNSPEC); } 
BgL_auxz00_4972 = 
((BgL_ev_synchroniza7eza7_bglt)BgL_new1127z00_3596); 
return 
((obj_t)BgL_auxz00_4972);} } 
BGL_FUNCTION_END;
}



/* &lambda1733 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t BgL_envz00_3597)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1126z00_4009;
BgL_new1126z00_4009 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
long BgL_arg1734z00_4010;
{ /* Eval/evaluate_types.scm 92 */
long BgL_res2306z00_4011;
BgL_res2306z00_4011 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg1734z00_4010 = BgL_res2306z00_4011; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_4009), BgL_arg1734z00_4010); } 
return BgL_new1126z00_4009;} } 
BGL_FUNCTION_END;
}



/* &lambda1731 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t BgL_envz00_3598, obj_t BgL_loc1122z00_3599, obj_t BgL_mutex1123z00_3600, obj_t BgL_prelock1124z00_3601, obj_t BgL_body1125z00_3602)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1225z00_4015;
{ /* Eval/evaluate_types.scm 92 */
BgL_ev_synchroniza7eza7_bglt BgL_new1224z00_4016;
BgL_new1224z00_4016 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
long BgL_arg1732z00_4017;
{ /* Eval/evaluate_types.scm 92 */
long BgL_res2305z00_4018;
BgL_res2305z00_4018 = 
BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BgL_arg1732z00_4017 = BgL_res2305z00_4018; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1224z00_4016), BgL_arg1732z00_4017); } 
BgL_new1225z00_4015 = BgL_new1224z00_4016; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1225z00_4015))->BgL_locz00)=((obj_t)BgL_loc1122z00_3599),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1225z00_4015))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_mutex1123z00_3600)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1225z00_4015))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_prelock1124z00_3601)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1225z00_4015))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1125z00_3602)),BUNSPEC); 
return BgL_new1225z00_4015;} } 
BGL_FUNCTION_END;
}



/* &lambda1755 */
obj_t BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t BgL_envz00_3603, obj_t BgL_oz00_3604, obj_t BgL_vz00_3605)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3604)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3605)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1754 */
BgL_ev_exprz00_bglt BGl_z62lambda1754z62zz__evaluate_typesz00(obj_t BgL_envz00_3606, obj_t BgL_oz00_3607)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3607)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1750 */
obj_t BGl_z62lambda1750z62zz__evaluate_typesz00(obj_t BgL_envz00_3608, obj_t BgL_oz00_3609, obj_t BgL_vz00_3610)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3609)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3610)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1749 */
BgL_ev_exprz00_bglt BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t BgL_envz00_3611, obj_t BgL_oz00_3612)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3612)))->BgL_prelockz00);} 
BGL_FUNCTION_END;
}



/* &lambda1745 */
obj_t BGl_z62lambda1745z62zz__evaluate_typesz00(obj_t BgL_envz00_3613, obj_t BgL_oz00_3614, obj_t BgL_vz00_3615)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3614)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3615)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1744 */
BgL_ev_exprz00_bglt BGl_z62lambda1744z62zz__evaluate_typesz00(obj_t BgL_envz00_3616, obj_t BgL_oz00_3617)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3617)))->BgL_mutexz00);} 
BGL_FUNCTION_END;
}



/* &lambda1740 */
obj_t BGl_z62lambda1740z62zz__evaluate_typesz00(obj_t BgL_envz00_3618, obj_t BgL_oz00_3619, obj_t BgL_vz00_3620)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3619)))->BgL_locz00)=((obj_t)BgL_vz00_3620),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1739 */
obj_t BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t BgL_envz00_3621, obj_t BgL_oz00_3622)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3622)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1715> */
obj_t BGl_z62zc3anonymousza31715ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3623, obj_t BgL_new1120z00_3624)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
{ 
BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_5038;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5039;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_classz00_4031;
BgL_classz00_4031 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL__ortest_1280z00_4032;
BgL__ortest_1280z00_4032 = 
BGL_CLASS_NIL(BgL_classz00_4031); 
if(
CBOOL(BgL__ortest_1280z00_4032))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_5039 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4032)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_5039 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4031))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1120z00_3624)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5039),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5048;
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL_classz00_4033;
BgL_classz00_4033 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
obj_t BgL__ortest_1280z00_4034;
BgL__ortest_1280z00_4034 = 
BGL_CLASS_NIL(BgL_classz00_4033); 
if(
CBOOL(BgL__ortest_1280z00_4034))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_5048 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4034)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_5048 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4033))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1120z00_3624)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5048),BUNSPEC); } 
BgL_auxz00_5038 = 
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1120z00_3624); 
return 
((obj_t)BgL_auxz00_5038);} } 
BGL_FUNCTION_END;
}



/* &lambda1713 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1713z62zz__evaluate_typesz00(obj_t BgL_envz00_3625)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1119z00_4035;
BgL_new1119z00_4035 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
long BgL_arg1714z00_4036;
{ /* Eval/evaluate_types.scm 89 */
long BgL_res2304z00_4037;
BgL_res2304z00_4037 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BgL_arg1714z00_4036 = BgL_res2304z00_4037; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_4035), BgL_arg1714z00_4036); } 
return BgL_new1119z00_4035;} } 
BGL_FUNCTION_END;
}



/* &lambda1711 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1711z62zz__evaluate_typesz00(obj_t BgL_envz00_3626, obj_t BgL_handler1117z00_3627, obj_t BgL_body1118z00_3628)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1223z00_4040;
{ /* Eval/evaluate_types.scm 89 */
BgL_ev_withzd2handlerzd2_bglt BgL_new1222z00_4041;
BgL_new1222z00_4041 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
long BgL_arg1712z00_4042;
{ /* Eval/evaluate_types.scm 89 */
long BgL_res2303z00_4043;
BgL_res2303z00_4043 = 
BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BgL_arg1712z00_4042 = BgL_res2303z00_4043; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1222z00_4041), BgL_arg1712z00_4042); } 
BgL_new1223z00_4040 = BgL_new1222z00_4041; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1223z00_4040))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_handler1117z00_3627)),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1223z00_4040))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1118z00_3628)),BUNSPEC); 
return BgL_new1223z00_4040;} } 
BGL_FUNCTION_END;
}



/* &lambda1725 */
obj_t BGl_z62lambda1725z62zz__evaluate_typesz00(obj_t BgL_envz00_3629, obj_t BgL_oz00_3630, obj_t BgL_vz00_3631)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3630)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3631)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1724 */
BgL_ev_exprz00_bglt BGl_z62lambda1724z62zz__evaluate_typesz00(obj_t BgL_envz00_3632, obj_t BgL_oz00_3633)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3633)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1720 */
obj_t BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t BgL_envz00_3634, obj_t BgL_oz00_3635, obj_t BgL_vz00_3636)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3635)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3636)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1719 */
BgL_ev_exprz00_bglt BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t BgL_envz00_3637, obj_t BgL_oz00_3638)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3638)))->BgL_handlerz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1695> */
obj_t BGl_z62zc3anonymousza31695ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3639, obj_t BgL_new1115z00_3640)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
{ 
BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5081;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5082;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_classz00_4051;
BgL_classz00_4051 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL__ortest_1280z00_4052;
BgL__ortest_1280z00_4052 = 
BGL_CLASS_NIL(BgL_classz00_4051); 
if(
CBOOL(BgL__ortest_1280z00_4052))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5082 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4052)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5082 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4051))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1115z00_3640)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5082),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5091;
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL_classz00_4053;
BgL_classz00_4053 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
obj_t BgL__ortest_1280z00_4054;
BgL__ortest_1280z00_4054 = 
BGL_CLASS_NIL(BgL_classz00_4053); 
if(
CBOOL(BgL__ortest_1280z00_4054))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5091 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4054)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5091 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4053))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1115z00_3640)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5091),BUNSPEC); } 
BgL_auxz00_5081 = 
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1115z00_3640); 
return 
((obj_t)BgL_auxz00_5081);} } 
BGL_FUNCTION_END;
}



/* &lambda1693 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1693z62zz__evaluate_typesz00(obj_t BgL_envz00_3641)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1114z00_4055;
BgL_new1114z00_4055 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
long BgL_arg1694z00_4056;
{ /* Eval/evaluate_types.scm 86 */
long BgL_res2302z00_4057;
BgL_res2302z00_4057 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BgL_arg1694z00_4056 = BgL_res2302z00_4057; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1114z00_4055), BgL_arg1694z00_4056); } 
return BgL_new1114z00_4055;} } 
BGL_FUNCTION_END;
}



/* &lambda1691 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1691z62zz__evaluate_typesz00(obj_t BgL_envz00_3642, obj_t BgL_e1112z00_3643, obj_t BgL_body1113z00_3644)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1221z00_4060;
{ /* Eval/evaluate_types.scm 86 */
BgL_ev_unwindzd2protectzd2_bglt BgL_new1220z00_4061;
BgL_new1220z00_4061 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
long BgL_arg1692z00_4062;
{ /* Eval/evaluate_types.scm 86 */
long BgL_res2301z00_4063;
BgL_res2301z00_4063 = 
BGL_CLASS_INDEX(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BgL_arg1692z00_4062 = BgL_res2301z00_4063; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1220z00_4061), BgL_arg1692z00_4062); } 
BgL_new1221z00_4060 = BgL_new1220z00_4061; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1221z00_4060))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1112z00_3643)),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1221z00_4060))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1113z00_3644)),BUNSPEC); 
return BgL_new1221z00_4060;} } 
BGL_FUNCTION_END;
}



/* &lambda1705 */
obj_t BGl_z62lambda1705z62zz__evaluate_typesz00(obj_t BgL_envz00_3645, obj_t BgL_oz00_3646, obj_t BgL_vz00_3647)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3646)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3647)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1704 */
BgL_ev_exprz00_bglt BGl_z62lambda1704z62zz__evaluate_typesz00(obj_t BgL_envz00_3648, obj_t BgL_oz00_3649)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3649)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1700 */
obj_t BGl_z62lambda1700z62zz__evaluate_typesz00(obj_t BgL_envz00_3650, obj_t BgL_oz00_3651, obj_t BgL_vz00_3652)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3651)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3652)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1699 */
BgL_ev_exprz00_bglt BGl_z62lambda1699z62zz__evaluate_typesz00(obj_t BgL_envz00_3653, obj_t BgL_oz00_3654)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3654)))->BgL_ez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1675> */
obj_t BGl_z62zc3anonymousza31675ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3655, obj_t BgL_new1110z00_3656)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
{ 
BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5124;
{ 
BgL_ev_varz00_bglt BgL_auxz00_5125;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_classz00_4071;
BgL_classz00_4071 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL__ortest_1280z00_4072;
BgL__ortest_1280z00_4072 = 
BGL_CLASS_NIL(BgL_classz00_4071); 
if(
CBOOL(BgL__ortest_1280z00_4072))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5125 = 
((BgL_ev_varz00_bglt)BgL__ortest_1280z00_4072)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5125 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4071))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1110z00_3656)))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5125),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5134;
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL_classz00_4073;
BgL_classz00_4073 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
obj_t BgL__ortest_1280z00_4074;
BgL__ortest_1280z00_4074 = 
BGL_CLASS_NIL(BgL_classz00_4073); 
if(
CBOOL(BgL__ortest_1280z00_4074))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5134 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4074)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5134 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4073))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1110z00_3656)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5134),BUNSPEC); } 
BgL_auxz00_5124 = 
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1110z00_3656); 
return 
((obj_t)BgL_auxz00_5124);} } 
BGL_FUNCTION_END;
}



/* &lambda1673 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1673z62zz__evaluate_typesz00(obj_t BgL_envz00_3657)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1109z00_4075;
BgL_new1109z00_4075 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
long BgL_arg1674z00_4076;
{ /* Eval/evaluate_types.scm 83 */
long BgL_res2300z00_4077;
BgL_res2300z00_4077 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BgL_arg1674z00_4076 = BgL_res2300z00_4077; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1109z00_4075), BgL_arg1674z00_4076); } 
return BgL_new1109z00_4075;} } 
BGL_FUNCTION_END;
}



/* &lambda1671 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t BgL_envz00_3658, obj_t BgL_var1107z00_3659, obj_t BgL_body1108z00_3660)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1219z00_4080;
{ /* Eval/evaluate_types.scm 83 */
BgL_ev_bindzd2exitzd2_bglt BgL_new1218z00_4081;
BgL_new1218z00_4081 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
long BgL_arg1672z00_4082;
{ /* Eval/evaluate_types.scm 83 */
long BgL_res2299z00_4083;
BgL_res2299z00_4083 = 
BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BgL_arg1672z00_4082 = BgL_res2299z00_4083; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1218z00_4081), BgL_arg1672z00_4082); } 
BgL_new1219z00_4080 = BgL_new1218z00_4081; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1219z00_4080))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_var1107z00_3659)),BUNSPEC); 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1219z00_4080))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1108z00_3660)),BUNSPEC); 
return BgL_new1219z00_4080;} } 
BGL_FUNCTION_END;
}



/* &lambda1685 */
obj_t BGl_z62lambda1685z62zz__evaluate_typesz00(obj_t BgL_envz00_3661, obj_t BgL_oz00_3662, obj_t BgL_vz00_3663)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3662)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3663)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1684 */
BgL_ev_exprz00_bglt BGl_z62lambda1684z62zz__evaluate_typesz00(obj_t BgL_envz00_3664, obj_t BgL_oz00_3665)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3665)))->BgL_bodyz00);} 
BGL_FUNCTION_END;
}



/* &lambda1680 */
obj_t BGl_z62lambda1680z62zz__evaluate_typesz00(obj_t BgL_envz00_3666, obj_t BgL_oz00_3667, obj_t BgL_vz00_3668)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3667)))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3668)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1679 */
BgL_ev_varz00_bglt BGl_z62lambda1679z62zz__evaluate_typesz00(obj_t BgL_envz00_3669, obj_t BgL_oz00_3670)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3670)))->BgL_varz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1665> */
obj_t BGl_z62zc3anonymousza31665ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3671, obj_t BgL_new1105z00_3672)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 82 */
{ 
BgL_ev_defglobalz00_bglt BgL_auxz00_5167;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5168;
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL_classz00_4091;
BgL_classz00_4091 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 82 */
obj_t BgL__ortest_1280z00_4092;
BgL__ortest_1280z00_4092 = 
BGL_CLASS_NIL(BgL_classz00_4091); 
if(
CBOOL(BgL__ortest_1280z00_4092))
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5168 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4092)
; }  else 
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5168 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4091))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1105z00_3672))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5168),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1105z00_3672))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1105z00_3672))))->BgL_namez00)=((obj_t)BGl_symbol2702z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1105z00_3672))))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5167 = 
((BgL_ev_defglobalz00_bglt)BgL_new1105z00_3672); 
return 
((obj_t)BgL_auxz00_5167);} } 
BGL_FUNCTION_END;
}



/* &lambda1663 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t BgL_envz00_3673)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1104z00_4093;
BgL_new1104z00_4093 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
long BgL_arg1664z00_4094;
{ /* Eval/evaluate_types.scm 82 */
long BgL_res2298z00_4095;
BgL_res2298z00_4095 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg1664z00_4094 = BgL_res2298z00_4095; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_4093), BgL_arg1664z00_4094); } 
return BgL_new1104z00_4093;} } 
BGL_FUNCTION_END;
}



/* &lambda1661 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t BgL_envz00_3674, obj_t BgL_e1100z00_3675, obj_t BgL_loc1101z00_3676, obj_t BgL_name1102z00_3677, obj_t BgL_mod1103z00_3678)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1217z00_4098;
{ /* Eval/evaluate_types.scm 82 */
BgL_ev_defglobalz00_bglt BgL_new1216z00_4099;
BgL_new1216z00_4099 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
long BgL_arg1662z00_4100;
{ /* Eval/evaluate_types.scm 82 */
long BgL_res2297z00_4101;
BgL_res2297z00_4101 = 
BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BgL_arg1662z00_4100 = BgL_res2297z00_4101; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1216z00_4099), BgL_arg1662z00_4100); } 
BgL_new1217z00_4098 = BgL_new1216z00_4099; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1217z00_4098)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1100z00_3675)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1217z00_4098)))->BgL_locz00)=((obj_t)BgL_loc1101z00_3676),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1217z00_4098)))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1102z00_3677)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1217z00_4098)))->BgL_modz00)=((obj_t)BgL_mod1103z00_3678),BUNSPEC); 
return BgL_new1217z00_4098;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1627> */
obj_t BGl_z62zc3anonymousza31627ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3679, obj_t BgL_new1098z00_3680)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
{ 
BgL_ev_setglobalz00_bglt BgL_auxz00_5207;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5208;
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL_classz00_4103;
BgL_classz00_4103 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 78 */
obj_t BgL__ortest_1280z00_4104;
BgL__ortest_1280z00_4104 = 
BGL_CLASS_NIL(BgL_classz00_4103); 
if(
CBOOL(BgL__ortest_1280z00_4104))
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5208 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4104)
; }  else 
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5208 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4103))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_new1098z00_3680))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5208),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1098z00_3680)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1098z00_3680)))->BgL_namez00)=((obj_t)BGl_symbol2702z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1098z00_3680)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5207 = 
((BgL_ev_setglobalz00_bglt)BgL_new1098z00_3680); 
return 
((obj_t)BgL_auxz00_5207);} } 
BGL_FUNCTION_END;
}



/* &lambda1625 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1625z62zz__evaluate_typesz00(obj_t BgL_envz00_3681)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1097z00_4105;
BgL_new1097z00_4105 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
long BgL_arg1626z00_4106;
{ /* Eval/evaluate_types.scm 78 */
long BgL_res2296z00_4107;
BgL_res2296z00_4107 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg1626z00_4106 = BgL_res2296z00_4107; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1097z00_4105), BgL_arg1626z00_4106); } 
return BgL_new1097z00_4105;} } 
BGL_FUNCTION_END;
}



/* &lambda1623 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1623z62zz__evaluate_typesz00(obj_t BgL_envz00_3682, obj_t BgL_e1093z00_3683, obj_t BgL_loc1094z00_3684, obj_t BgL_name1095z00_3685, obj_t BgL_mod1096z00_3686)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1215z00_4110;
{ /* Eval/evaluate_types.scm 78 */
BgL_ev_setglobalz00_bglt BgL_new1214z00_4111;
BgL_new1214z00_4111 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
long BgL_arg1624z00_4112;
{ /* Eval/evaluate_types.scm 78 */
long BgL_res2295z00_4113;
BgL_res2295z00_4113 = 
BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BgL_arg1624z00_4112 = BgL_res2295z00_4113; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1214z00_4111), BgL_arg1624z00_4112); } 
BgL_new1215z00_4110 = BgL_new1214z00_4111; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1215z00_4110)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1093z00_3683)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1215z00_4110))->BgL_locz00)=((obj_t)BgL_loc1094z00_3684),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1215z00_4110))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1095z00_3685)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1215z00_4110))->BgL_modz00)=((obj_t)BgL_mod1096z00_3686),BUNSPEC); 
return BgL_new1215z00_4110;} } 
BGL_FUNCTION_END;
}



/* &lambda1653 */
obj_t BGl_z62lambda1653z62zz__evaluate_typesz00(obj_t BgL_envz00_3687, obj_t BgL_oz00_3688, obj_t BgL_vz00_3689)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3688)))->BgL_modz00)=((obj_t)BgL_vz00_3689),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1652 */
obj_t BGl_z62lambda1652z62zz__evaluate_typesz00(obj_t BgL_envz00_3690, obj_t BgL_oz00_3691)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3691)))->BgL_modz00);} 
BGL_FUNCTION_END;
}



/* &lambda1648 */
obj_t BGl_z62lambda1648z62zz__evaluate_typesz00(obj_t BgL_envz00_3692, obj_t BgL_oz00_3693, obj_t BgL_vz00_3694)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3693)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3694)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1647 */
obj_t BGl_z62lambda1647z62zz__evaluate_typesz00(obj_t BgL_envz00_3695, obj_t BgL_oz00_3696)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3696)))->BgL_namez00);} 
BGL_FUNCTION_END;
}



/* &lambda1641 */
obj_t BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t BgL_envz00_3697, obj_t BgL_oz00_3698, obj_t BgL_vz00_3699)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3698)))->BgL_locz00)=((obj_t)BgL_vz00_3699),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1640 */
obj_t BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t BgL_envz00_3700, obj_t BgL_oz00_3701)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3701)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1609> */
obj_t BGl_z62zc3anonymousza31609ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3702, obj_t BgL_new1091z00_3703)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 76 */
{ 
BgL_ev_setlocalz00_bglt BgL_auxz00_5254;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5255;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_classz00_4122;
BgL_classz00_4122 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL__ortest_1280z00_4123;
BgL__ortest_1280z00_4123 = 
BGL_CLASS_NIL(BgL_classz00_4122); 
if(
CBOOL(BgL__ortest_1280z00_4123))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5255 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4123)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5255 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4122))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_new1091z00_3703))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5255),BUNSPEC); } 
{ 
BgL_ev_varz00_bglt BgL_auxz00_5265;
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL_classz00_4124;
BgL_classz00_4124 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
obj_t BgL__ortest_1280z00_4125;
BgL__ortest_1280z00_4125 = 
BGL_CLASS_NIL(BgL_classz00_4124); 
if(
CBOOL(BgL__ortest_1280z00_4125))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5265 = 
((BgL_ev_varz00_bglt)BgL__ortest_1280z00_4125)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5265 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4124))
; } } } 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_new1091z00_3703)))->BgL_vz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5265),BUNSPEC); } 
BgL_auxz00_5254 = 
((BgL_ev_setlocalz00_bglt)BgL_new1091z00_3703); 
return 
((obj_t)BgL_auxz00_5254);} } 
BGL_FUNCTION_END;
}



/* &lambda1607 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1607z62zz__evaluate_typesz00(obj_t BgL_envz00_3704)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1090z00_4126;
BgL_new1090z00_4126 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
long BgL_arg1608z00_4127;
{ /* Eval/evaluate_types.scm 76 */
long BgL_res2294z00_4128;
BgL_res2294z00_4128 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BgL_arg1608z00_4127 = BgL_res2294z00_4128; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_4126), BgL_arg1608z00_4127); } 
return BgL_new1090z00_4126;} } 
BGL_FUNCTION_END;
}



/* &lambda1605 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1605z62zz__evaluate_typesz00(obj_t BgL_envz00_3705, obj_t BgL_e1088z00_3706, obj_t BgL_v1089z00_3707)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1213z00_4131;
{ /* Eval/evaluate_types.scm 76 */
BgL_ev_setlocalz00_bglt BgL_new1212z00_4132;
BgL_new1212z00_4132 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
long BgL_arg1606z00_4133;
{ /* Eval/evaluate_types.scm 76 */
long BgL_res2293z00_4134;
BgL_res2293z00_4134 = 
BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BgL_arg1606z00_4133 = BgL_res2293z00_4134; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1212z00_4132), BgL_arg1606z00_4133); } 
BgL_new1213z00_4131 = BgL_new1212z00_4132; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1213z00_4131)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1088z00_3706)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1213z00_4131))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_v1089z00_3707)),BUNSPEC); 
return BgL_new1213z00_4131;} } 
BGL_FUNCTION_END;
}



/* &lambda1615 */
obj_t BGl_z62lambda1615z62zz__evaluate_typesz00(obj_t BgL_envz00_3708, obj_t BgL_oz00_3709, obj_t BgL_vz00_3710)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 76 */
return 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3709)))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3710)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1614 */
BgL_ev_varz00_bglt BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t BgL_envz00_3711, obj_t BgL_oz00_3712)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 76 */
return 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3712)))->BgL_vz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1599> */
obj_t BGl_z62zc3anonymousza31599ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3713, obj_t BgL_new1086z00_3714)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 75 */
{ 
BgL_ev_trapz00_bglt BgL_auxz00_5294;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5295;
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL_classz00_4139;
BgL_classz00_4139 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 75 */
obj_t BgL__ortest_1280z00_4140;
BgL__ortest_1280z00_4140 = 
BGL_CLASS_NIL(BgL_classz00_4139); 
if(
CBOOL(BgL__ortest_1280z00_4140))
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5295 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4140)
; }  else 
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5295 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4139))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_new1086z00_3714))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5295),BUNSPEC); } 
BgL_auxz00_5294 = 
((BgL_ev_trapz00_bglt)BgL_new1086z00_3714); 
return 
((obj_t)BgL_auxz00_5294);} } 
BGL_FUNCTION_END;
}



/* &lambda1597 */
BgL_ev_trapz00_bglt BGl_z62lambda1597z62zz__evaluate_typesz00(obj_t BgL_envz00_3715)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1085z00_4141;
BgL_new1085z00_4141 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
long BgL_arg1598z00_4142;
{ /* Eval/evaluate_types.scm 75 */
long BgL_res2292z00_4143;
BgL_res2292z00_4143 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BgL_arg1598z00_4142 = BgL_res2292z00_4143; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_4141), BgL_arg1598z00_4142); } 
return BgL_new1085z00_4141;} } 
BGL_FUNCTION_END;
}



/* &lambda1595 */
BgL_ev_trapz00_bglt BGl_z62lambda1595z62zz__evaluate_typesz00(obj_t BgL_envz00_3716, obj_t BgL_e1084z00_3717)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1211z00_4145;
{ /* Eval/evaluate_types.scm 75 */
BgL_ev_trapz00_bglt BgL_new1210z00_4146;
BgL_new1210z00_4146 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
long BgL_arg1596z00_4147;
{ /* Eval/evaluate_types.scm 75 */
long BgL_res2291z00_4148;
BgL_res2291z00_4148 = 
BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00); 
BgL_arg1596z00_4147 = BgL_res2291z00_4148; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1210z00_4146), BgL_arg1596z00_4147); } 
BgL_new1211z00_4145 = BgL_new1210z00_4146; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1211z00_4145)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1084z00_3717)),BUNSPEC); 
return BgL_new1211z00_4145;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1581> */
obj_t BGl_z62zc3anonymousza31581ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3718, obj_t BgL_new1082z00_3719)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 73 */
{ 
BgL_ev_hookz00_bglt BgL_auxz00_5318;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5319;
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL_classz00_4150;
BgL_classz00_4150 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 73 */
obj_t BgL__ortest_1280z00_4151;
BgL__ortest_1280z00_4151 = 
BGL_CLASS_NIL(BgL_classz00_4150); 
if(
CBOOL(BgL__ortest_1280z00_4151))
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5319 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4151)
; }  else 
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5319 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4150))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1082z00_3719)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5319),BUNSPEC); } 
BgL_auxz00_5318 = 
((BgL_ev_hookz00_bglt)BgL_new1082z00_3719); 
return 
((obj_t)BgL_auxz00_5318);} } 
BGL_FUNCTION_END;
}



/* &lambda1579 */
BgL_ev_hookz00_bglt BGl_z62lambda1579z62zz__evaluate_typesz00(obj_t BgL_envz00_3720)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1081z00_4152;
BgL_new1081z00_4152 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
long BgL_arg1580z00_4153;
{ /* Eval/evaluate_types.scm 73 */
long BgL_res2290z00_4154;
BgL_res2290z00_4154 = 
BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00); 
BgL_arg1580z00_4153 = BgL_res2290z00_4154; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1081z00_4152), BgL_arg1580z00_4153); } 
return BgL_new1081z00_4152;} } 
BGL_FUNCTION_END;
}



/* &lambda1577 */
BgL_ev_hookz00_bglt BGl_z62lambda1577z62zz__evaluate_typesz00(obj_t BgL_envz00_3721, obj_t BgL_e1080z00_3722)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1209z00_4156;
{ /* Eval/evaluate_types.scm 73 */
BgL_ev_hookz00_bglt BgL_new1208z00_4157;
BgL_new1208z00_4157 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
long BgL_arg1578z00_4158;
{ /* Eval/evaluate_types.scm 73 */
long BgL_res2289z00_4159;
BgL_res2289z00_4159 = 
BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00); 
BgL_arg1578z00_4158 = BgL_res2289z00_4159; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1208z00_4157), BgL_arg1578z00_4158); } 
BgL_new1209z00_4156 = BgL_new1208z00_4157; } 
((((BgL_ev_hookz00_bglt)COBJECT(BgL_new1209z00_4156))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1080z00_3722)),BUNSPEC); 
return BgL_new1209z00_4156;} } 
BGL_FUNCTION_END;
}



/* &lambda1588 */
obj_t BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t BgL_envz00_3723, obj_t BgL_oz00_3724, obj_t BgL_vz00_3725)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 73 */
return 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3724)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3725)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1587 */
BgL_ev_exprz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t BgL_envz00_3726, obj_t BgL_oz00_3727)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 73 */
return 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3727)))->BgL_ez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1557> */
obj_t BGl_z62zc3anonymousza31557ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3728, obj_t BgL_new1078z00_3729)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
{ 
BgL_ev_prog2z00_bglt BgL_auxz00_5345;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5346;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_classz00_4164;
BgL_classz00_4164 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL__ortest_1280z00_4165;
BgL__ortest_1280z00_4165 = 
BGL_CLASS_NIL(BgL_classz00_4164); 
if(
CBOOL(BgL__ortest_1280z00_4165))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5346 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4165)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5346 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4164))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1078z00_3729)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5346),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5355;
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL_classz00_4166;
BgL_classz00_4166 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
obj_t BgL__ortest_1280z00_4167;
BgL__ortest_1280z00_4167 = 
BGL_CLASS_NIL(BgL_classz00_4166); 
if(
CBOOL(BgL__ortest_1280z00_4167))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5355 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4167)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5355 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4166))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1078z00_3729)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5355),BUNSPEC); } 
BgL_auxz00_5345 = 
((BgL_ev_prog2z00_bglt)BgL_new1078z00_3729); 
return 
((obj_t)BgL_auxz00_5345);} } 
BGL_FUNCTION_END;
}



/* &lambda1555 */
BgL_ev_prog2z00_bglt BGl_z62lambda1555z62zz__evaluate_typesz00(obj_t BgL_envz00_3730)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1077z00_4168;
BgL_new1077z00_4168 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
long BgL_arg1556z00_4169;
{ /* Eval/evaluate_types.scm 70 */
long BgL_res2288z00_4170;
BgL_res2288z00_4170 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BgL_arg1556z00_4169 = BgL_res2288z00_4170; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_4168), BgL_arg1556z00_4169); } 
return BgL_new1077z00_4168;} } 
BGL_FUNCTION_END;
}



/* &lambda1553 */
BgL_ev_prog2z00_bglt BGl_z62lambda1553z62zz__evaluate_typesz00(obj_t BgL_envz00_3731, obj_t BgL_e11075z00_3732, obj_t BgL_e21076z00_3733)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1207z00_4173;
{ /* Eval/evaluate_types.scm 70 */
BgL_ev_prog2z00_bglt BgL_new1206z00_4174;
BgL_new1206z00_4174 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
long BgL_arg1554z00_4175;
{ /* Eval/evaluate_types.scm 70 */
long BgL_res2287z00_4176;
BgL_res2287z00_4176 = 
BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00); 
BgL_arg1554z00_4175 = BgL_res2287z00_4176; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1206z00_4174), BgL_arg1554z00_4175); } 
BgL_new1207z00_4173 = BgL_new1206z00_4174; } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1207z00_4173))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e11075z00_3732)),BUNSPEC); 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1207z00_4173))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e21076z00_3733)),BUNSPEC); 
return BgL_new1207z00_4173;} } 
BGL_FUNCTION_END;
}



/* &lambda1568 */
obj_t BGl_z62lambda1568z62zz__evaluate_typesz00(obj_t BgL_envz00_3734, obj_t BgL_oz00_3735, obj_t BgL_vz00_3736)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3735)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3736)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1567 */
BgL_ev_exprz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t BgL_envz00_3737, obj_t BgL_oz00_3738)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3738)))->BgL_e2z00);} 
BGL_FUNCTION_END;
}



/* &lambda1563 */
obj_t BGl_z62lambda1563z62zz__evaluate_typesz00(obj_t BgL_envz00_3739, obj_t BgL_oz00_3740, obj_t BgL_vz00_3741)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3740)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3741)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1562 */
BgL_ev_exprz00_bglt BGl_z62lambda1562z62zz__evaluate_typesz00(obj_t BgL_envz00_3742, obj_t BgL_oz00_3743)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3743)))->BgL_e1z00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1547> */
obj_t BGl_z62zc3anonymousza31547ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3744, obj_t BgL_new1073z00_3745)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 69 */
{ 
BgL_ev_andz00_bglt BgL_auxz00_5388;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_new1073z00_3745))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5388 = 
((BgL_ev_andz00_bglt)BgL_new1073z00_3745); 
return 
((obj_t)BgL_auxz00_5388);} } 
BGL_FUNCTION_END;
}



/* &lambda1545 */
BgL_ev_andz00_bglt BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t BgL_envz00_3746)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1072z00_4184;
BgL_new1072z00_4184 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
long BgL_arg1546z00_4185;
{ /* Eval/evaluate_types.scm 69 */
long BgL_res2286z00_4186;
BgL_res2286z00_4186 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BgL_arg1546z00_4185 = BgL_res2286z00_4186; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_4184), BgL_arg1546z00_4185); } 
return BgL_new1072z00_4184;} } 
BGL_FUNCTION_END;
}



/* &lambda1543 */
BgL_ev_andz00_bglt BGl_z62lambda1543z62zz__evaluate_typesz00(obj_t BgL_envz00_3747, obj_t BgL_args1071z00_3748)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1205z00_4187;
{ /* Eval/evaluate_types.scm 69 */
BgL_ev_andz00_bglt BgL_new1204z00_4188;
BgL_new1204z00_4188 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
long BgL_arg1544z00_4189;
{ /* Eval/evaluate_types.scm 69 */
long BgL_res2285z00_4190;
BgL_res2285z00_4190 = 
BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00); 
BgL_arg1544z00_4189 = BgL_res2285z00_4190; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1204z00_4188), BgL_arg1544z00_4189); } 
BgL_new1205z00_4187 = BgL_new1204z00_4188; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1205z00_4187)))->BgL_argsz00)=((obj_t)BgL_args1071z00_3748),BUNSPEC); 
return BgL_new1205z00_4187;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1534> */
obj_t BGl_z62zc3anonymousza31534ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3749, obj_t BgL_new1069z00_3750)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 68 */
{ 
BgL_ev_orz00_bglt BgL_auxz00_5404;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_new1069z00_3750))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5404 = 
((BgL_ev_orz00_bglt)BgL_new1069z00_3750); 
return 
((obj_t)BgL_auxz00_5404);} } 
BGL_FUNCTION_END;
}



/* &lambda1531 */
BgL_ev_orz00_bglt BGl_z62lambda1531z62zz__evaluate_typesz00(obj_t BgL_envz00_3751)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1068z00_4192;
BgL_new1068z00_4192 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
long BgL_arg1533z00_4193;
{ /* Eval/evaluate_types.scm 68 */
long BgL_res2284z00_4194;
BgL_res2284z00_4194 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BgL_arg1533z00_4193 = BgL_res2284z00_4194; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1068z00_4192), BgL_arg1533z00_4193); } 
return BgL_new1068z00_4192;} } 
BGL_FUNCTION_END;
}



/* &lambda1529 */
BgL_ev_orz00_bglt BGl_z62lambda1529z62zz__evaluate_typesz00(obj_t BgL_envz00_3752, obj_t BgL_args1067z00_3753)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1203z00_4195;
{ /* Eval/evaluate_types.scm 68 */
BgL_ev_orz00_bglt BgL_new1202z00_4196;
BgL_new1202z00_4196 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
long BgL_arg1530z00_4197;
{ /* Eval/evaluate_types.scm 68 */
long BgL_res2283z00_4198;
BgL_res2283z00_4198 = 
BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00); 
BgL_arg1530z00_4197 = BgL_res2283z00_4198; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1202z00_4196), BgL_arg1530z00_4197); } 
BgL_new1203z00_4195 = BgL_new1202z00_4196; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1203z00_4195)))->BgL_argsz00)=((obj_t)BgL_args1067z00_3753),BUNSPEC); 
return BgL_new1203z00_4195;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1515> */
obj_t BGl_z62zc3anonymousza31515ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3754, obj_t BgL_new1065z00_3755)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 66 */
{ 
BgL_ev_listz00_bglt BgL_auxz00_5420;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1065z00_3755)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5420 = 
((BgL_ev_listz00_bglt)BgL_new1065z00_3755); 
return 
((obj_t)BgL_auxz00_5420);} } 
BGL_FUNCTION_END;
}



/* &lambda1513 */
BgL_ev_listz00_bglt BGl_z62lambda1513z62zz__evaluate_typesz00(obj_t BgL_envz00_3756)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1064z00_4200;
BgL_new1064z00_4200 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
long BgL_arg1514z00_4201;
{ /* Eval/evaluate_types.scm 66 */
long BgL_res2282z00_4202;
BgL_res2282z00_4202 = 
BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00); 
BgL_arg1514z00_4201 = BgL_res2282z00_4202; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_4200), BgL_arg1514z00_4201); } 
return BgL_new1064z00_4200;} } 
BGL_FUNCTION_END;
}



/* &lambda1511 */
BgL_ev_listz00_bglt BGl_z62lambda1511z62zz__evaluate_typesz00(obj_t BgL_envz00_3757, obj_t BgL_args1063z00_3758)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1201z00_4203;
{ /* Eval/evaluate_types.scm 66 */
BgL_ev_listz00_bglt BgL_new1200z00_4204;
BgL_new1200z00_4204 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
long BgL_arg1512z00_4205;
{ /* Eval/evaluate_types.scm 66 */
long BgL_res2281z00_4206;
BgL_res2281z00_4206 = 
BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00); 
BgL_arg1512z00_4205 = BgL_res2281z00_4206; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1200z00_4204), BgL_arg1512z00_4205); } 
BgL_new1201z00_4203 = BgL_new1200z00_4204; } 
((((BgL_ev_listz00_bglt)COBJECT(BgL_new1201z00_4203))->BgL_argsz00)=((obj_t)BgL_args1063z00_3758),BUNSPEC); 
return BgL_new1201z00_4203;} } 
BGL_FUNCTION_END;
}



/* &lambda1521 */
obj_t BGl_z62lambda1521z62zz__evaluate_typesz00(obj_t BgL_envz00_3759, obj_t BgL_oz00_3760, obj_t BgL_vz00_3761)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 66 */
return 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3760)))->BgL_argsz00)=((obj_t)BgL_vz00_3761),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1520 */
obj_t BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t BgL_envz00_3762, obj_t BgL_oz00_3763)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 66 */
return 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3763)))->BgL_argsz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1488> */
obj_t BGl_z62zc3anonymousza31488ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3764, obj_t BgL_new1061z00_3765)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
{ 
BgL_ev_ifz00_bglt BgL_auxz00_5438;
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5439;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_4210;
BgL_classz00_4210 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1280z00_4211;
BgL__ortest_1280z00_4211 = 
BGL_CLASS_NIL(BgL_classz00_4210); 
if(
CBOOL(BgL__ortest_1280z00_4211))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5439 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4211)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5439 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4210))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1061z00_3765)))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5439),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5448;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_4212;
BgL_classz00_4212 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1280z00_4213;
BgL__ortest_1280z00_4213 = 
BGL_CLASS_NIL(BgL_classz00_4212); 
if(
CBOOL(BgL__ortest_1280z00_4213))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5448 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4213)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5448 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4212))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1061z00_3765)))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5448),BUNSPEC); } 
{ 
BgL_ev_exprz00_bglt BgL_auxz00_5457;
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL_classz00_4214;
BgL_classz00_4214 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
obj_t BgL__ortest_1280z00_4215;
BgL__ortest_1280z00_4215 = 
BGL_CLASS_NIL(BgL_classz00_4214); 
if(
CBOOL(BgL__ortest_1280z00_4215))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5457 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1280z00_4215)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5457 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4214))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1061z00_3765)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5457),BUNSPEC); } 
BgL_auxz00_5438 = 
((BgL_ev_ifz00_bglt)BgL_new1061z00_3765); 
return 
((obj_t)BgL_auxz00_5438);} } 
BGL_FUNCTION_END;
}



/* &lambda1486 */
BgL_ev_ifz00_bglt BGl_z62lambda1486z62zz__evaluate_typesz00(obj_t BgL_envz00_3766)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1060z00_4216;
BgL_new1060z00_4216 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
long BgL_arg1487z00_4217;
{ /* Eval/evaluate_types.scm 62 */
long BgL_res2280z00_4218;
BgL_res2280z00_4218 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg1487z00_4217 = BgL_res2280z00_4218; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1060z00_4216), BgL_arg1487z00_4217); } 
return BgL_new1060z00_4216;} } 
BGL_FUNCTION_END;
}



/* &lambda1484 */
BgL_ev_ifz00_bglt BGl_z62lambda1484z62zz__evaluate_typesz00(obj_t BgL_envz00_3767, obj_t BgL_p1057z00_3768, obj_t BgL_t1058z00_3769, obj_t BgL_e1059z00_3770)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1199z00_4222;
{ /* Eval/evaluate_types.scm 62 */
BgL_ev_ifz00_bglt BgL_new1198z00_4223;
BgL_new1198z00_4223 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
long BgL_arg1485z00_4224;
{ /* Eval/evaluate_types.scm 62 */
long BgL_res2279z00_4225;
BgL_res2279z00_4225 = 
BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00); 
BgL_arg1485z00_4224 = BgL_res2279z00_4225; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1198z00_4223), BgL_arg1485z00_4224); } 
BgL_new1199z00_4222 = BgL_new1198z00_4223; } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1199z00_4222))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_p1057z00_3768)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1199z00_4222))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_t1058z00_3769)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1199z00_4222))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1059z00_3770)),BUNSPEC); 
return BgL_new1199z00_4222;} } 
BGL_FUNCTION_END;
}



/* &lambda1505 */
obj_t BGl_z62lambda1505z62zz__evaluate_typesz00(obj_t BgL_envz00_3771, obj_t BgL_oz00_3772, obj_t BgL_vz00_3773)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3772)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3773)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1504 */
BgL_ev_exprz00_bglt BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t BgL_envz00_3774, obj_t BgL_oz00_3775)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3775)))->BgL_ez00);} 
BGL_FUNCTION_END;
}



/* &lambda1499 */
obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t BgL_envz00_3776, obj_t BgL_oz00_3777, obj_t BgL_vz00_3778)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3777)))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3778)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1498 */
BgL_ev_exprz00_bglt BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t BgL_envz00_3779, obj_t BgL_oz00_3780)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3780)))->BgL_tz00);} 
BGL_FUNCTION_END;
}



/* &lambda1493 */
obj_t BGl_z62lambda1493z62zz__evaluate_typesz00(obj_t BgL_envz00_3781, obj_t BgL_oz00_3782, obj_t BgL_vz00_3783)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3782)))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3783)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1492 */
BgL_ev_exprz00_bglt BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t BgL_envz00_3784, obj_t BgL_oz00_3785)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3785)))->BgL_pz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1472> */
obj_t BGl_z62zc3anonymousza31472ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3786, obj_t BgL_new1055z00_3787)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 60 */
{ 
BgL_ev_littz00_bglt BgL_auxz00_5497;
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_new1055z00_3787)))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5497 = 
((BgL_ev_littz00_bglt)BgL_new1055z00_3787); 
return 
((obj_t)BgL_auxz00_5497);} } 
BGL_FUNCTION_END;
}



/* &lambda1470 */
BgL_ev_littz00_bglt BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t BgL_envz00_3788)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1054z00_4236;
BgL_new1054z00_4236 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
long BgL_arg1471z00_4237;
{ /* Eval/evaluate_types.scm 60 */
long BgL_res2278z00_4238;
BgL_res2278z00_4238 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg1471z00_4237 = BgL_res2278z00_4238; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1054z00_4236), BgL_arg1471z00_4237); } 
return BgL_new1054z00_4236;} } 
BGL_FUNCTION_END;
}



/* &lambda1468 */
BgL_ev_littz00_bglt BGl_z62lambda1468z62zz__evaluate_typesz00(obj_t BgL_envz00_3789, obj_t BgL_value1053z00_3790)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1197z00_4239;
{ /* Eval/evaluate_types.scm 60 */
BgL_ev_littz00_bglt BgL_new1196z00_4240;
BgL_new1196z00_4240 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
long BgL_arg1469z00_4241;
{ /* Eval/evaluate_types.scm 60 */
long BgL_res2277z00_4242;
BgL_res2277z00_4242 = 
BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00); 
BgL_arg1469z00_4241 = BgL_res2277z00_4242; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1196z00_4240), BgL_arg1469z00_4241); } 
BgL_new1197z00_4239 = BgL_new1196z00_4240; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1197z00_4239))->BgL_valuez00)=((obj_t)BgL_value1053z00_3790),BUNSPEC); 
return BgL_new1197z00_4239;} } 
BGL_FUNCTION_END;
}



/* &lambda1477 */
obj_t BGl_z62lambda1477z62zz__evaluate_typesz00(obj_t BgL_envz00_3791, obj_t BgL_oz00_3792, obj_t BgL_vz00_3793)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 60 */
return 
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3792)))->BgL_valuez00)=((obj_t)BgL_vz00_3793),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1476 */
obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t BgL_envz00_3794, obj_t BgL_oz00_3795)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 60 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3795)))->BgL_valuez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1446> */
obj_t BGl_z62zc3anonymousza31446ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3796, obj_t BgL_new1051z00_3797)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
{ 
BgL_ev_globalz00_bglt BgL_auxz00_5515;
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1051z00_3797)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1051z00_3797)))->BgL_namez00)=((obj_t)BGl_symbol2702z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1051z00_3797)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5515 = 
((BgL_ev_globalz00_bglt)BgL_new1051z00_3797); 
return 
((obj_t)BgL_auxz00_5515);} } 
BGL_FUNCTION_END;
}



/* &lambda1444 */
BgL_ev_globalz00_bglt BGl_z62lambda1444z62zz__evaluate_typesz00(obj_t BgL_envz00_3798)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1050z00_4246;
BgL_new1050z00_4246 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
long BgL_arg1445z00_4247;
{ /* Eval/evaluate_types.scm 55 */
long BgL_res2276z00_4248;
BgL_res2276z00_4248 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg1445z00_4247 = BgL_res2276z00_4248; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1050z00_4246), BgL_arg1445z00_4247); } 
return BgL_new1050z00_4246;} } 
BGL_FUNCTION_END;
}



/* &lambda1442 */
BgL_ev_globalz00_bglt BGl_z62lambda1442z62zz__evaluate_typesz00(obj_t BgL_envz00_3799, obj_t BgL_loc1047z00_3800, obj_t BgL_name1048z00_3801, obj_t BgL_mod1049z00_3802)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1195z00_4250;
{ /* Eval/evaluate_types.scm 55 */
BgL_ev_globalz00_bglt BgL_new1194z00_4251;
BgL_new1194z00_4251 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
long BgL_arg1443z00_4252;
{ /* Eval/evaluate_types.scm 55 */
long BgL_res2275z00_4253;
BgL_res2275z00_4253 = 
BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00); 
BgL_arg1443z00_4252 = BgL_res2275z00_4253; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1194z00_4251), BgL_arg1443z00_4252); } 
BgL_new1195z00_4250 = BgL_new1194z00_4251; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1195z00_4250))->BgL_locz00)=((obj_t)BgL_loc1047z00_3800),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1195z00_4250))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1048z00_3801)),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1195z00_4250))->BgL_modz00)=((obj_t)BgL_mod1049z00_3802),BUNSPEC); 
return BgL_new1195z00_4250;} } 
BGL_FUNCTION_END;
}



/* &lambda1462 */
obj_t BGl_z62lambda1462z62zz__evaluate_typesz00(obj_t BgL_envz00_3803, obj_t BgL_oz00_3804, obj_t BgL_vz00_3805)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3804)))->BgL_modz00)=((obj_t)BgL_vz00_3805),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1461 */
obj_t BGl_z62lambda1461z62zz__evaluate_typesz00(obj_t BgL_envz00_3806, obj_t BgL_oz00_3807)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3807)))->BgL_modz00);} 
BGL_FUNCTION_END;
}



/* &lambda1456 */
obj_t BGl_z62lambda1456z62zz__evaluate_typesz00(obj_t BgL_envz00_3808, obj_t BgL_oz00_3809, obj_t BgL_vz00_3810)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3809)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3810)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1455 */
obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t BgL_envz00_3811, obj_t BgL_oz00_3812)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3812)))->BgL_namez00);} 
BGL_FUNCTION_END;
}



/* &lambda1451 */
obj_t BGl_z62lambda1451z62zz__evaluate_typesz00(obj_t BgL_envz00_3813, obj_t BgL_oz00_3814, obj_t BgL_vz00_3815)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3814)))->BgL_locz00)=((obj_t)BgL_vz00_3815),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1450 */
obj_t BGl_z62lambda1450z62zz__evaluate_typesz00(obj_t BgL_envz00_3816, obj_t BgL_oz00_3817)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3817)))->BgL_locz00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1414> */
obj_t BGl_z62zc3anonymousza31414ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3818, obj_t BgL_new1045z00_3819)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
{ 
BgL_ev_varz00_bglt BgL_auxz00_5549;
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1045z00_3819)))->BgL_namez00)=((obj_t)BGl_symbol2702z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1045z00_3819)))->BgL_effz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1045z00_3819)))->BgL_typez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5549 = 
((BgL_ev_varz00_bglt)BgL_new1045z00_3819); 
return 
((obj_t)BgL_auxz00_5549);} } 
BGL_FUNCTION_END;
}



/* &lambda1411 */
BgL_ev_varz00_bglt BGl_z62lambda1411z62zz__evaluate_typesz00(obj_t BgL_envz00_3820)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1044z00_4262;
BgL_new1044z00_4262 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
long BgL_arg1413z00_4263;
{ /* Eval/evaluate_types.scm 51 */
long BgL_res2274z00_4264;
BgL_res2274z00_4264 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg1413z00_4263 = BgL_res2274z00_4264; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1044z00_4262), BgL_arg1413z00_4263); } 
return BgL_new1044z00_4262;} } 
BGL_FUNCTION_END;
}



/* &lambda1409 */
BgL_ev_varz00_bglt BGl_z62lambda1409z62zz__evaluate_typesz00(obj_t BgL_envz00_3821, obj_t BgL_name1041z00_3822, obj_t BgL_eff1042z00_3823, obj_t BgL_type1043z00_3824)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1193z00_4266;
{ /* Eval/evaluate_types.scm 51 */
BgL_ev_varz00_bglt BgL_new1192z00_4267;
BgL_new1192z00_4267 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
long BgL_arg1410z00_4268;
{ /* Eval/evaluate_types.scm 51 */
long BgL_res2273z00_4269;
BgL_res2273z00_4269 = 
BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00); 
BgL_arg1410z00_4268 = BgL_res2273z00_4269; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1192z00_4267), BgL_arg1410z00_4268); } 
BgL_new1193z00_4266 = BgL_new1192z00_4267; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1193z00_4266))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1041z00_3822)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1193z00_4266))->BgL_effz00)=((obj_t)BgL_eff1042z00_3823),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1193z00_4266))->BgL_typez00)=((obj_t)BgL_type1043z00_3824),BUNSPEC); 
return BgL_new1193z00_4266;} } 
BGL_FUNCTION_END;
}



/* &lambda1434 */
obj_t BGl_z62lambda1434z62zz__evaluate_typesz00(obj_t BgL_envz00_3825, obj_t BgL_oz00_3826, obj_t BgL_vz00_3827)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3826)))->BgL_typez00)=((obj_t)BgL_vz00_3827),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1433 */
obj_t BGl_z62lambda1433z62zz__evaluate_typesz00(obj_t BgL_envz00_3828, obj_t BgL_oz00_3829)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3829)))->BgL_typez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1429> */
obj_t BGl_z62zc3anonymousza31429ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3830)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* &lambda1428 */
obj_t BGl_z62lambda1428z62zz__evaluate_typesz00(obj_t BgL_envz00_3831, obj_t BgL_oz00_3832, obj_t BgL_vz00_3833)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3832)))->BgL_effz00)=((obj_t)BgL_vz00_3833),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1427 */
obj_t BGl_z62lambda1427z62zz__evaluate_typesz00(obj_t BgL_envz00_3834, obj_t BgL_oz00_3835)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3835)))->BgL_effz00);} 
BGL_FUNCTION_END;
}



/* &lambda1420 */
obj_t BGl_z62lambda1420z62zz__evaluate_typesz00(obj_t BgL_envz00_3836, obj_t BgL_oz00_3837, obj_t BgL_vz00_3838)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3837)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3838)),BUNSPEC);} 
BGL_FUNCTION_END;
}



/* &lambda1419 */
obj_t BGl_z62lambda1419z62zz__evaluate_typesz00(obj_t BgL_envz00_3839, obj_t BgL_oz00_3840)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3840)))->BgL_namez00);} 
BGL_FUNCTION_END;
}



/* &<anonymous:1403> */
obj_t BGl_z62zc3anonymousza31403ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3841, obj_t BgL_new1039z00_3842)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 49 */
return 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_new1039z00_3842));} 
BGL_FUNCTION_END;
}



/* &lambda1401 */
BgL_ev_exprz00_bglt BGl_z62lambda1401z62zz__evaluate_typesz00(obj_t BgL_envz00_3843)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1038z00_4278;
BgL_new1038z00_4278 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
long BgL_arg1402z00_4279;
{ /* Eval/evaluate_types.scm 49 */
long BgL_res2272z00_4280;
BgL_res2272z00_4280 = 
BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00); 
BgL_arg1402z00_4279 = BgL_res2272z00_4280; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1038z00_4278), BgL_arg1402z00_4279); } 
return BgL_new1038z00_4278;} } 
BGL_FUNCTION_END;
}



/* &lambda1399 */
BgL_ev_exprz00_bglt BGl_z62lambda1399z62zz__evaluate_typesz00(obj_t BgL_envz00_3844)
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1191z00_4281;
{ /* Eval/evaluate_types.scm 49 */
BgL_ev_exprz00_bglt BgL_new1190z00_4282;
BgL_new1190z00_4282 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
long BgL_arg1400z00_4283;
{ /* Eval/evaluate_types.scm 49 */
long BgL_res2271z00_4284;
BgL_res2271z00_4284 = 
BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00); 
BgL_arg1400z00_4283 = BgL_res2271z00_4284; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1190z00_4282), BgL_arg1400z00_4283); } 
BgL_new1191z00_4281 = BgL_new1190z00_4282; } 
return BgL_new1191z00_4281;} } 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
{ BGL_FUNCTION_BEGIN;
{ /* Eval/evaluate_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)180158922), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)251314740), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)454272164), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)445908113), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)434692624), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-400105135), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)127905250), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string2379z00zz__evaluate_typesz00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
