/*===========================================================================*/
/*   (Unsafe/base64.scm)                                                     */
/*   Bigloo (4.3f)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu 04 Jul 2019 08:10:18 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo4.3f/bin/bigloo -srfi enable-resolv -srfi enable-gmp -srfi enable-unistring -srfi enable-pcre -O3 -fcfa-arithmetic -q -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo4.3f/lib/bigloo/4.3f -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Unsafe/base64.scm -o objs/obj_p/Unsafe/base64.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* runtime code modification */
#define BGL_SELF_MODIFYING_CODE 0

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62iozd2parsezd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2parsezd2errorz62_bglt;


extern obj_t BGl_makezd2u8vectorzd2zz__srfi4z00(long, uint8_t);
static obj_t BGl_z62zc3anonymousza31887ze3ze1zz__base64z00(obj_t, obj_t);
static obj_t BGl_bytezd2tablezd2zz__base64z00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__base64z00 = BUNSPEC;
extern obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_base64zd2encodezd2zz__base64z00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62pemzd2readzd2filez62zz__base64z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_base64zd2decodezd2portz00zz__base64z00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__base64z00();
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_z62iozd2parsezd2errorz62zz__objectz00;
static obj_t BGl_genericzd2initzd2zz__base64z00();
static obj_t BGl_objectzd2initzd2zz__base64z00();
static long BGl_thezd2lengthze70z35zz__base64z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_pemzd2decodezd2portz00zz__base64z00(obj_t, obj_t);
static obj_t BGl_z62pemzd2decodezd2portz62zz__base64z00(obj_t, obj_t, obj_t);
static long BGl_actualzd2stringzd2lengthz00zz__base64z00(obj_t);
static obj_t BGl_z62zc3anonymousza31508ze3ze1zz__base64z00(obj_t, obj_t, long);
static obj_t BGl_methodzd2initzd2zz__base64z00();
extern obj_t make_string(long, unsigned char);
extern obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_base64zd2decodezd2grammarz00zz__base64z00 = BUNSPEC;
extern obj_t rgc_buffer_substring(obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_pemzd2readzd2filez00zz__base64z00(obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t bgl_close_output_port(obj_t);
static unsigned char BGl_encodezd2charzd2zz__base64z00(long);
static obj_t BGl_ignoreze70ze7zz__base64z00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31914ze3ze1zz__base64z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__base64z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
static obj_t BGl__base64zd2decodezd2zz__base64z00(obj_t, obj_t);
static obj_t BGl_bytezd2setz12ze70z27zz__base64z00(obj_t, long, long);
static obj_t BGl__base64zd2encodezd2portz00zz__base64z00(obj_t, obj_t);
extern obj_t BGl_readzd2linezd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__base64z00();
static obj_t BGl_gczd2rootszd2initz00zz__base64z00();
extern bool_t bigloo_strcmp_at(obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_base64zd2decodezd2zz__base64z00(obj_t, obj_t);
extern obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl__base64zd2decodezd2portz00zz__base64z00(obj_t, obj_t);
extern obj_t c_substring(obj_t, long, long);
static obj_t BGl_profzd2initzd2zz__base64z00();
extern bool_t rgc_buffer_eof2_p(obj_t, long, long);
static obj_t BGl_z62zc3anonymousza31221ze3ze1zz__base64z00(obj_t, obj_t, obj_t, obj_t, long, long, obj_t, bool_t);
static obj_t BGl_z62zc3anonymousza31883ze3ze1zz__base64z00(obj_t, obj_t);
extern bool_t rgc_fill_buffer(obj_t);
static obj_t BGl__base64zd2encodezd2zz__base64z00(obj_t, obj_t);
extern obj_t BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
extern obj_t BGl_readzd2bytezd2zz__r4_input_6_10_2z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_base64zd2encodezd2portz00zz__base64z00(obj_t, obj_t, obj_t);
static obj_t BGl_pemzd2markupzd2grammarz00zz__base64z00 = BUNSPEC;
extern bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_base64zd2encodezd2envz00zz__base64z00, BgL_bgl__base64za7d2encode2870za7, opt_generic_entry, BGl__base64zd2encodezd2zz__base64z00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_base64zd2decodezd2portzd2envzd2zz__base64z00, BgL_bgl__base64za7d2decode2871za7, opt_generic_entry, BGl__base64zd2decodezd2portz00zz__base64z00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_base64zd2encodezd2portzd2envzd2zz__base64z00, BgL_bgl__base64za7d2encode2872za7, opt_generic_entry, BGl__base64zd2encodezd2portz00zz__base64z00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pemzd2readzd2filezd2envzd2zz__base64z00, BgL_bgl_za762pemza7d2readza7d22873za7, BGl_z62pemzd2readzd2filez62zz__base64z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_base64zd2decodezd2envz00zz__base64z00, BgL_bgl__base64za7d2decode2874za7, opt_generic_entry, BGl__base64zd2decodezd2zz__base64z00, BFALSE, -1 );
DEFINE_STRING( BGl_string2846z00zz__base64z00, BgL_bgl_string2846za700za7za7_2875za7, "regular-grammar", 15 );
DEFINE_STRING( BGl_string2847z00zz__base64z00, BgL_bgl_string2847za700za7za7_2876za7, "Illegal match", 13 );
DEFINE_STRING( BGl_string2848z00zz__base64z00, BgL_bgl_string2848za700za7za7_2877za7, "pem-decode-port", 15 );
DEFINE_STRING( BGl_string2849z00zz__base64z00, BgL_bgl_string2849za700za7za7_2878za7, "Illegal character in PEM markup", 31 );
DEFINE_STRING( BGl_string2850z00zz__base64z00, BgL_bgl_string2850za700za7za7_2879za7, "{~a}~a", 6 );
DEFINE_STRING( BGl_string2851z00zz__base64z00, BgL_bgl_string2851za700za7za7_2880za7, "Illegal PEM markup", 18 );
DEFINE_STRING( BGl_string2852z00zz__base64z00, BgL_bgl_string2852za700za7za7_2881za7, "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/", 64 );
DEFINE_STRING( BGl_string2853z00zz__base64z00, BgL_bgl_string2853za700za7za7_2882za7, "/builddir/build/BUILD/bigloo4.3f/runtime/Unsafe/base64.scm", 58 );
DEFINE_STRING( BGl_string2854z00zz__base64z00, BgL_bgl_string2854za700za7za7_2883za7, "_base64-encode", 14 );
DEFINE_STRING( BGl_string2855z00zz__base64z00, BgL_bgl_string2855za700za7za7_2884za7, "bstring", 7 );
DEFINE_STRING( BGl_string2856z00zz__base64z00, BgL_bgl_string2856za700za7za7_2885za7, "_base64-encode-port", 19 );
DEFINE_STRING( BGl_string2857z00zz__base64z00, BgL_bgl_string2857za700za7za7_2886za7, "input-port", 10 );
DEFINE_STRING( BGl_string2858z00zz__base64z00, BgL_bgl_string2858za700za7za7_2887za7, "output-port", 11 );
DEFINE_STRING( BGl_string2859z00zz__base64z00, BgL_bgl_string2859za700za7za7_2888za7, "_base64-decode", 14 );
DEFINE_STRING( BGl_string2860z00zz__base64z00, BgL_bgl_string2860za700za7za7_2889za7, "_base64-decode-port", 19 );
DEFINE_STRING( BGl_string2862z00zz__base64z00, BgL_bgl_string2862za700za7za7_2890za7, "BEGIN ", 6 );
DEFINE_STRING( BGl_string2863z00zz__base64z00, BgL_bgl_string2863za700za7za7_2891za7, "Illegal PEM begin markup", 24 );
DEFINE_STRING( BGl_string2864z00zz__base64z00, BgL_bgl_string2864za700za7za7_2892za7, "&pem-decode-port", 16 );
DEFINE_STRING( BGl_string2865z00zz__base64z00, BgL_bgl_string2865za700za7za7_2893za7, "END ", 4 );
DEFINE_STRING( BGl_string2866z00zz__base64z00, BgL_bgl_string2866za700za7za7_2894za7, "PEM begin/end markup mismatch", 29 );
DEFINE_STRING( BGl_string2867z00zz__base64z00, BgL_bgl_string2867za700za7za7_2895za7, "Illegal character", 17 );
DEFINE_STRING( BGl_string2868z00zz__base64z00, BgL_bgl_string2868za700za7za7_2896za7, "&pem-read-file", 14 );
DEFINE_STRING( BGl_string2869z00zz__base64z00, BgL_bgl_string2869za700za7za7_2897za7, "__base64", 8 );
DEFINE_BGL_L_PROCEDURE(BGl_proc2861z00zz__base64z00, BgL_bgl_za762za7c3anonymousza72898za7, BGl_z62zc3anonymousza31883ze3ze1zz__base64z00 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_pemzd2decodezd2portzd2envzd2zz__base64z00, BgL_bgl_za762pemza7d2decodeza72899za7, BGl_z62pemzd2decodezd2portz62zz__base64z00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_bytezd2tablezd2zz__base64z00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__base64z00) );
ADD_ROOT( (void *)(&BGl_base64zd2decodezd2grammarz00zz__base64z00) );
ADD_ROOT( (void *)(&BGl_pemzd2markupzd2grammarz00zz__base64z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Unsafe/base64.scm\" 963) \"BGl_toplevelzd2initzd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"byte-set!~0\" \"Unsafe/base64.scm\" 6617) \"BGl_bytezd2setz12ze70z27zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1508>\" \"Unsafe/base64.scm\" 14733) \"BGl_z62zc3anonymousza31508ze3ze1zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"ignore~0\" \"Unsafe/base64.scm\" 14733) \"BGl_ignoreze70ze7zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"the-length~0\" \"Unsafe/base64.scm\" 14733) \"BGl_thezd2lengthze70z35zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1221>\" \"Unsafe/base64.scm\" 11571) \"BGl_z62zc3anonymousza31221ze3ze1zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"encode-char\" \"Unsafe/base64.scm\" 2471) \"BGl_encodezd2charzd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_base64-encode\" \"Unsafe/base64.scm\" 2752) \"BGl__base64zd2encodezd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"base64-encode\" \"Unsafe/base64.scm\" 2752) \"BGl_base64zd2encodezd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_base64-encode-port\" \"Unsafe/base64.scm\" 4911) \"BGl__base64zd2encodezd2portz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"base64-encode-port\" \"Unsafe/base64.scm\" 4911) \"BGl_base64zd2encodezd2portz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"actual-string-length\" \"Unsafe/base64.scm\" 7969) \"BGl_actualzd2stringzd2lengthz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_base64-decode\" \"Unsafe/base64.scm\" 8420) \"BGl__base64zd2decodezd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"base64-decode\" \"Unsafe/base64.scm\" 8420) \"BGl_base64zd2decodezd2zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"_base64-decode-port\" \"Unsafe/base64.scm\" 14330) \"BGl__base64zd2decodezd2portz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"base64-decode-port\" \"Unsafe/base64.scm\" 14330) \"BGl_base64zd2decodezd2portz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1883>\" \"Unsafe/base64.scm\" 14459) \"BGl_z62zc3anonymousza31883ze3ze1zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"pem-decode-port\" \"Unsafe/base64.scm\" 15608) \"BGl_pemzd2decodezd2portz00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&pem-decode-port\" \"Unsafe/base64.scm\" 15608) \"BGl_z62pemzd2decodezd2portz62zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1887>\" \"Unsafe/base64.scm\" 16395) \"BGl_z62zc3anonymousza31887ze3ze1zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"pem-read-file\" \"Unsafe/base64.scm\" 16839) \"BGl_pemzd2readzd2filez00zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&pem-read-file\" \"Unsafe/base64.scm\" 16839) \"BGl_z62pemzd2readzd2filez62zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<anonymous:1914>\" \"Unsafe/base64.scm\" 16938) \"BGl_z62zc3anonymousza31914ze3ze1zz__base64z00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__base64z00(long BgL_checksumz00_4944, char * BgL_fromz00_4945)
{ BGL_FUNCTION_BEGIN;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__base64z00))
{ 
BGl_requirezd2initializa7ationz75zz__base64z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__base64z00(); 
BGl_importedzd2moduleszd2initz00zz__base64z00(); 
BGl_toplevelzd2initzd2zz__base64z00(); 
return 
BGl_profzd2initzd2zz__base64z00();}  else 
{ 
return BUNSPEC;} } 
BGL_FUNCTION_END;
}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__base64z00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 15 */
return 
bgl_gc_roots_register();} 
BGL_FUNCTION_END;
}



/* prof-init */
obj_t BGl_profzd2initzd2zz__base64z00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 15 */
return 
write_bprof_table();} 
BGL_FUNCTION_END;
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__base64z00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 15 */
{ /* Unsafe/base64.scm 173 */
obj_t BgL_tablez00_1199;
BgL_tablez00_1199 = 
BGl_makezd2u8vectorzd2zz__srfi4z00(((long)128), 
(uint8_t)(((long)0))); 
{ 
long BgL_iz00_1202;
BgL_iz00_1202 = ((long)0); 
BgL_zc3anonymousza31205ze3z83_1203:
if(
(BgL_iz00_1202<((long)26)))
{ /* Unsafe/base64.scm 177 */
BGl_bytezd2setz12ze70z27zz__base64z00(BgL_tablez00_1199, 
(BgL_iz00_1202+((long)65)), BgL_iz00_1202); 
BGl_bytezd2setz12ze70z27zz__base64z00(BgL_tablez00_1199, 
(BgL_iz00_1202+((long)97)), 
(BgL_iz00_1202+((long)26))); 
{ 
long BgL_iz00_4964;
BgL_iz00_4964 = 
(BgL_iz00_1202+((long)1)); 
BgL_iz00_1202 = BgL_iz00_4964; 
goto BgL_zc3anonymousza31205ze3z83_1203;} }  else 
{ /* Unsafe/base64.scm 177 */((bool_t)0); } } 
{ 
long BgL_iz00_1211;
BgL_iz00_1211 = ((long)0); 
BgL_zc3anonymousza31214ze3z83_1212:
if(
(BgL_iz00_1211<((long)10)))
{ /* Unsafe/base64.scm 182 */
BGl_bytezd2setz12ze70z27zz__base64z00(BgL_tablez00_1199, 
(BgL_iz00_1211+((long)48)), 
(BgL_iz00_1211+((long)52))); 
{ 
long BgL_iz00_4971;
BgL_iz00_4971 = 
(BgL_iz00_1211+((long)1)); 
BgL_iz00_1211 = BgL_iz00_4971; 
goto BgL_zc3anonymousza31214ze3z83_1212;} }  else 
{ /* Unsafe/base64.scm 182 */((bool_t)0); } } 
{ /* Unsafe/base64.scm 175 */
uint8_t BgL_tmpz00_4973;
BgL_tmpz00_4973 = 
(uint8_t)(((long)62)); 
BGL_U8VSET(BgL_tablez00_1199, ((long)43), BgL_tmpz00_4973); } BUNSPEC; 
{ /* Unsafe/base64.scm 175 */
uint8_t BgL_tmpz00_4976;
BgL_tmpz00_4976 = 
(uint8_t)(((long)62)); 
BGL_U8VSET(BgL_tablez00_1199, ((long)45), BgL_tmpz00_4976); } BUNSPEC; 
{ /* Unsafe/base64.scm 175 */
uint8_t BgL_tmpz00_4979;
BgL_tmpz00_4979 = 
(uint8_t)(((long)63)); 
BGL_U8VSET(BgL_tablez00_1199, ((long)47), BgL_tmpz00_4979); } BUNSPEC; 
{ /* Unsafe/base64.scm 175 */
uint8_t BgL_tmpz00_4982;
BgL_tmpz00_4982 = 
(uint8_t)(((long)63)); 
BGL_U8VSET(BgL_tablez00_1199, ((long)95), BgL_tmpz00_4982); } BUNSPEC; 
BGl_bytezd2tablezd2zz__base64z00 = BgL_tablez00_1199; } 
{ /* Unsafe/base64.scm 300 */
obj_t BgL_zc3anonymousza31221ze3z83_4572;
{ 
int BgL_tmpz00_4985;
BgL_tmpz00_4985 = 
(int)(((long)0)); 
BgL_zc3anonymousza31221ze3z83_4572 = 
MAKE_EL_PROCEDURE(BgL_tmpz00_4985); } 
BGl_base64zd2decodezd2grammarz00zz__base64z00 = BgL_zc3anonymousza31221ze3z83_4572; } 
{ /* Unsafe/base64.scm 388 */
obj_t BgL_zc3anonymousza31508ze3z83_4571;
{ 
int BgL_tmpz00_4988;
BgL_tmpz00_4988 = 
(int)(((long)0)); 
BgL_zc3anonymousza31508ze3z83_4571 = 
MAKE_EL_PROCEDURE(BgL_tmpz00_4988); } 
return ( 
BGl_pemzd2markupzd2grammarz00zz__base64z00 = BgL_zc3anonymousza31508ze3z83_4571, BUNSPEC) ;} } 
BGL_FUNCTION_END;
}



/* byte-set!~0 */
obj_t BGl_bytezd2setz12ze70z27zz__base64z00(obj_t BgL_tz00_1218, long BgL_oz00_1219, long BgL_vz00_1220)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 175 */
{ /* Unsafe/base64.scm 175 */
uint8_t BgL_tmpz00_4991;
BgL_tmpz00_4991 = 
(uint8_t)(BgL_vz00_1220); 
BGL_U8VSET(BgL_tz00_1218, BgL_oz00_1219, BgL_tmpz00_4991); } 
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* &<anonymous:1508> */
obj_t BGl_z62zc3anonymousza31508ze3ze1zz__base64z00(obj_t BgL_envz00_4573, obj_t BgL_iportz00_4574, long BgL_countz00_4575)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 388 */
{ /* Unsafe/base64.scm 388 */
long BgL_countz00_4636;
BgL_countz00_4636 = BgL_countz00_4575; 
{ /* Unsafe/base64.scm 388 */
obj_t BgL_countz00_4637;
{ /* Unsafe/base64.scm 388 */
obj_t BgL_cellvalz00_4994;
BgL_cellvalz00_4994 = 
BINT(BgL_countz00_4636); 
BgL_countz00_4637 = 
MAKE_CELL(BgL_cellvalz00_4994); } 
return 
BGl_ignoreze70ze7zz__base64z00(BgL_countz00_4637, BgL_iportz00_4574);} } } 
BGL_FUNCTION_END;
}



/* ignore~0 */
obj_t BGl_ignoreze70ze7zz__base64z00(obj_t BgL_countz00_4601, obj_t BgL_iportz00_4600)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 388 */
BGl_ignoreze70ze7zz__base64z00:
{ 
obj_t BgL_iportz00_1855;long BgL_lastzd2matchzd2_1856;long BgL_forwardz00_1857;long BgL_bufposz00_1858;obj_t BgL_iportz00_1832;long BgL_lastzd2matchzd2_1833;long BgL_forwardz00_1834;long BgL_bufposz00_1835;obj_t BgL_iportz00_1815;long BgL_lastzd2matchzd2_1816;long BgL_forwardz00_1817;long BgL_bufposz00_1818;obj_t BgL_iportz00_1800;long BgL_lastzd2matchzd2_1801;long BgL_forwardz00_1802;long BgL_bufposz00_1803;obj_t BgL_iportz00_1777;long BgL_lastzd2matchzd2_1778;long BgL_forwardz00_1779;long BgL_bufposz00_1780;
{ /* Unsafe/base64.scm 388 */
long BgL_res2485z00_3541;
BgL_res2485z00_3541 = 
RGC_START_MATCH(BgL_iportz00_4600); BgL_res2485z00_3541; } 
{ /* Unsafe/base64.scm 388 */
long BgL_matchz00_1989;
{ /* Unsafe/base64.scm 388 */
long BgL_arg1683z00_2018;long BgL_arg1684z00_2019;
{ /* Unsafe/base64.scm 388 */
long BgL_res2486z00_3543;
BgL_res2486z00_3543 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4600); 
BgL_arg1683z00_2018 = BgL_res2486z00_3543; } 
{ /* Unsafe/base64.scm 388 */
long BgL_res2487z00_3545;
BgL_res2487z00_3545 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4600); 
BgL_arg1684z00_2019 = BgL_res2487z00_3545; } 
BgL_iportz00_1815 = BgL_iportz00_4600; 
BgL_lastzd2matchzd2_1816 = ((long)3); 
BgL_forwardz00_1817 = BgL_arg1683z00_2018; 
BgL_bufposz00_1818 = BgL_arg1684z00_2019; 
BgL_zc3anonymousza31529ze3z83_1819:
if(
(BgL_forwardz00_1817==BgL_bufposz00_1818))
{ /* Unsafe/base64.scm 388 */
if(
rgc_fill_buffer(BgL_iportz00_1815))
{ /* Unsafe/base64.scm 388 */
long BgL_arg1533z00_1822;long BgL_arg1534z00_1823;
{ /* Unsafe/base64.scm 388 */
long BgL_res2448z00_3453;
BgL_res2448z00_3453 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1815); 
BgL_arg1533z00_1822 = BgL_res2448z00_3453; } 
{ /* Unsafe/base64.scm 388 */
long BgL_res2449z00_3455;
BgL_res2449z00_3455 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1815); 
BgL_arg1534z00_1823 = BgL_res2449z00_3455; } 
{ 
long BgL_bufposz00_5007;long BgL_forwardz00_5006;
BgL_forwardz00_5006 = BgL_arg1533z00_1822; 
BgL_bufposz00_5007 = BgL_arg1534z00_1823; 
BgL_bufposz00_1818 = BgL_bufposz00_5007; 
BgL_forwardz00_1817 = BgL_forwardz00_5006; 
goto BgL_zc3anonymousza31529ze3z83_1819;} }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_1989 = BgL_lastzd2matchzd2_1816; } }  else 
{ /* Unsafe/base64.scm 388 */
int BgL_curz00_1824;
{ /* Unsafe/base64.scm 388 */
int BgL_res2450z00_3458;
BgL_res2450z00_3458 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1815, BgL_forwardz00_1817); 
BgL_curz00_1824 = BgL_res2450z00_3458; } 
{ /* Unsafe/base64.scm 388 */

if(
(
(long)(BgL_curz00_1824)==((long)45)))
{ /* Unsafe/base64.scm 388 */
BgL_iportz00_1800 = BgL_iportz00_1815; 
BgL_lastzd2matchzd2_1801 = BgL_lastzd2matchzd2_1816; 
BgL_forwardz00_1802 = 
(((long)1)+BgL_forwardz00_1817); 
BgL_bufposz00_1803 = BgL_bufposz00_1818; 
BgL_zc3anonymousza31519ze3z83_1804:
{ /* Unsafe/base64.scm 388 */
long BgL_newzd2matchzd2_1805;
{ /* Unsafe/base64.scm 388 */
long BgL_res2435z00_3422;
BgL_res2435z00_3422 = 
RGC_STOP_MATCH(BgL_iportz00_1800, BgL_forwardz00_1802); BgL_res2435z00_3422; } 
BgL_newzd2matchzd2_1805 = ((long)0); 
if(
(BgL_forwardz00_1802==BgL_bufposz00_1803))
{ /* Unsafe/base64.scm 388 */
if(
rgc_fill_buffer(BgL_iportz00_1800))
{ /* Unsafe/base64.scm 388 */
long BgL_arg1522z00_1808;long BgL_arg1523z00_1809;
{ /* Unsafe/base64.scm 388 */
long BgL_res2438z00_3429;
BgL_res2438z00_3429 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1800); 
BgL_arg1522z00_1808 = BgL_res2438z00_3429; } 
{ /* Unsafe/base64.scm 388 */
long BgL_res2439z00_3431;
BgL_res2439z00_3431 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1800); 
BgL_arg1523z00_1809 = BgL_res2439z00_3431; } 
{ 
long BgL_bufposz00_5020;long BgL_forwardz00_5019;
BgL_forwardz00_5019 = BgL_arg1522z00_1808; 
BgL_bufposz00_5020 = BgL_arg1523z00_1809; 
BgL_bufposz00_1803 = BgL_bufposz00_5020; 
BgL_forwardz00_1802 = BgL_forwardz00_5019; 
goto BgL_zc3anonymousza31519ze3z83_1804;} }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_1989 = BgL_newzd2matchzd2_1805; } }  else 
{ /* Unsafe/base64.scm 388 */
int BgL_curz00_1810;
{ /* Unsafe/base64.scm 388 */
int BgL_res2440z00_3434;
BgL_res2440z00_3434 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1800, BgL_forwardz00_1802); 
BgL_curz00_1810 = BgL_res2440z00_3434; } 
{ /* Unsafe/base64.scm 388 */

if(
(
(long)(BgL_curz00_1810)==((long)45)))
{ /* Unsafe/base64.scm 388 */
BgL_iportz00_1855 = BgL_iportz00_1800; 
BgL_lastzd2matchzd2_1856 = BgL_newzd2matchzd2_1805; 
BgL_forwardz00_1857 = 
(((long)1)+BgL_forwardz00_1802); 
BgL_bufposz00_1858 = BgL_bufposz00_1803; 
BgL_zc3anonymousza31552ze3z83_1859:
{ /* Unsafe/base64.scm 388 */
long BgL_newzd2matchzd2_1860;
{ /* Unsafe/base64.scm 388 */
long BgL_res2469z00_3504;
BgL_res2469z00_3504 = 
RGC_STOP_MATCH(BgL_iportz00_1855, BgL_forwardz00_1857); BgL_res2469z00_3504; } 
BgL_newzd2matchzd2_1860 = ((long)0); 
if(
(BgL_forwardz00_1857==BgL_bufposz00_1858))
{ /* Unsafe/base64.scm 388 */
if(
rgc_fill_buffer(BgL_iportz00_1855))
{ /* Unsafe/base64.scm 388 */
long BgL_arg1555z00_1863;long BgL_arg1556z00_1864;
{ /* Unsafe/base64.scm 388 */
long BgL_res2472z00_3511;
BgL_res2472z00_3511 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1855); 
BgL_arg1555z00_1863 = BgL_res2472z00_3511; } 
{ /* Unsafe/base64.scm 388 */
long BgL_res2473z00_3513;
BgL_res2473z00_3513 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1855); 
BgL_arg1556z00_1864 = BgL_res2473z00_3513; } 
{ 
long BgL_bufposz00_5033;long BgL_forwardz00_5032;
BgL_forwardz00_5032 = BgL_arg1555z00_1863; 
BgL_bufposz00_5033 = BgL_arg1556z00_1864; 
BgL_bufposz00_1858 = BgL_bufposz00_5033; 
BgL_forwardz00_1857 = BgL_forwardz00_5032; 
goto BgL_zc3anonymousza31552ze3z83_1859;} }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_1989 = BgL_newzd2matchzd2_1860; } }  else 
{ /* Unsafe/base64.scm 388 */
int BgL_curz00_1865;
{ /* Unsafe/base64.scm 388 */
int BgL_res2474z00_3516;
BgL_res2474z00_3516 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1855, BgL_forwardz00_1857); 
BgL_curz00_1865 = BgL_res2474z00_3516; } 
{ /* Unsafe/base64.scm 388 */

if(
(
(long)(BgL_curz00_1865)==((long)45)))
{ 
long BgL_forwardz00_5039;long BgL_lastzd2matchzd2_5038;
BgL_lastzd2matchzd2_5038 = BgL_newzd2matchzd2_1860; 
BgL_forwardz00_5039 = 
(((long)1)+BgL_forwardz00_1857); 
BgL_forwardz00_1857 = BgL_forwardz00_5039; 
BgL_lastzd2matchzd2_1856 = BgL_lastzd2matchzd2_5038; 
goto BgL_zc3anonymousza31552ze3z83_1859;}  else 
{ /* Unsafe/base64.scm 388 */
if(
(
(long)(BgL_curz00_1865)==((long)10)))
{ /* Unsafe/base64.scm 388 */
long BgL_arg1561z00_1869;
BgL_arg1561z00_1869 = 
(((long)1)+BgL_forwardz00_1857); 
{ /* Unsafe/base64.scm 388 */
long BgL_newzd2matchzd2_3525;
{ /* Unsafe/base64.scm 388 */
long BgL_res2479z00_3528;
BgL_res2479z00_3528 = 
RGC_STOP_MATCH(BgL_iportz00_1855, BgL_arg1561z00_1869); BgL_res2479z00_3528; } 
BgL_newzd2matchzd2_3525 = ((long)1); 
BgL_matchz00_1989 = BgL_newzd2matchzd2_3525; } }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_1989 = BgL_newzd2matchzd2_1860; } } } } } }  else 
{ /* Unsafe/base64.scm 388 */
if(
(
(long)(BgL_curz00_1810)==((long)10)))
{ /* Unsafe/base64.scm 388 */
long BgL_arg1528z00_1814;
BgL_arg1528z00_1814 = 
(((long)1)+BgL_forwardz00_1802); 
{ /* Unsafe/base64.scm 388 */
long BgL_newzd2matchzd2_3443;
{ /* Unsafe/base64.scm 388 */
long BgL_res2445z00_3446;
BgL_res2445z00_3446 = 
RGC_STOP_MATCH(BgL_iportz00_1800, BgL_arg1528z00_1814); BgL_res2445z00_3446; } 
BgL_newzd2matchzd2_3443 = ((long)1); 
BgL_matchz00_1989 = BgL_newzd2matchzd2_3443; } }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_1989 = BgL_newzd2matchzd2_1805; } } } } } }  else 
{ /* Unsafe/base64.scm 388 */
bool_t BgL_testz00_5053;
if(
(
(long)(BgL_curz00_1824)==((long)10)))
{ /* Unsafe/base64.scm 388 */
BgL_testz00_5053 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 388 */
BgL_testz00_5053 = 
(
(long)(BgL_curz00_1824)==((long)13))
; } 
if(BgL_testz00_5053)
{ /* Unsafe/base64.scm 388 */
long BgL_arg1540z00_1829;
BgL_arg1540z00_1829 = 
(((long)1)+BgL_forwardz00_1817); 
{ /* Unsafe/base64.scm 388 */
long BgL_newzd2matchzd2_3469;
{ /* Unsafe/base64.scm 388 */
long BgL_res2456z00_3472;
BgL_res2456z00_3472 = 
RGC_STOP_MATCH(BgL_iportz00_1815, BgL_arg1540z00_1829); BgL_res2456z00_3472; } 
BgL_newzd2matchzd2_3469 = ((long)3); 
BgL_matchz00_1989 = BgL_newzd2matchzd2_3469; } }  else 
{ /* Unsafe/base64.scm 388 */
BgL_iportz00_1832 = BgL_iportz00_1815; 
BgL_lastzd2matchzd2_1833 = BgL_lastzd2matchzd2_1816; 
BgL_forwardz00_1834 = 
(((long)1)+BgL_forwardz00_1817); 
BgL_bufposz00_1835 = BgL_bufposz00_1818; 
BgL_zc3anonymousza31542ze3z83_1836:
{ /* Unsafe/base64.scm 388 */
long BgL_newzd2matchzd2_1837;
{ /* Unsafe/base64.scm 388 */
long BgL_res2458z00_3477;
BgL_res2458z00_3477 = 
RGC_STOP_MATCH(BgL_iportz00_1832, BgL_forwardz00_1834); BgL_res2458z00_3477; } 
BgL_newzd2matchzd2_1837 = ((long)2); 
if(
(BgL_forwardz00_1834==BgL_bufposz00_1835))
{ /* Unsafe/base64.scm 388 */
if(
rgc_fill_buffer(BgL_iportz00_1832))
{ /* Unsafe/base64.scm 388 */
long BgL_arg1545z00_1840;long BgL_arg1546z00_1841;
{ /* Unsafe/base64.scm 388 */
long BgL_res2461z00_3484;
BgL_res2461z00_3484 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1832); 
BgL_arg1545z00_1840 = BgL_res2461z00_3484; } 
{ /* Unsafe/base64.scm 388 */
long BgL_res2462z00_3486;
BgL_res2462z00_3486 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1832); 
BgL_arg1546z00_1841 = BgL_res2462z00_3486; } 
{ 
long BgL_bufposz00_5069;long BgL_forwardz00_5068;
BgL_forwardz00_5068 = BgL_arg1545z00_1840; 
BgL_bufposz00_5069 = BgL_arg1546z00_1841; 
BgL_bufposz00_1835 = BgL_bufposz00_5069; 
BgL_forwardz00_1834 = BgL_forwardz00_5068; 
goto BgL_zc3anonymousza31542ze3z83_1836;} }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_1989 = BgL_newzd2matchzd2_1837; } }  else 
{ /* Unsafe/base64.scm 388 */
int BgL_curz00_1842;
{ /* Unsafe/base64.scm 388 */
int BgL_res2463z00_3489;
BgL_res2463z00_3489 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1832, BgL_forwardz00_1834); 
BgL_curz00_1842 = BgL_res2463z00_3489; } 
{ /* Unsafe/base64.scm 388 */

{ /* Unsafe/base64.scm 388 */
bool_t BgL_testz00_5071;
if(
(
(long)(BgL_curz00_1842)==((long)10)))
{ /* Unsafe/base64.scm 388 */
BgL_testz00_5071 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 388 */
if(
(
(long)(BgL_curz00_1842)==((long)13)))
{ /* Unsafe/base64.scm 388 */
BgL_testz00_5071 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 388 */
BgL_testz00_5071 = 
(
(long)(BgL_curz00_1842)==((long)45))
; } } 
if(BgL_testz00_5071)
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_1989 = BgL_newzd2matchzd2_1837; }  else 
{ /* Unsafe/base64.scm 388 */
BgL_iportz00_1777 = BgL_iportz00_1832; 
BgL_lastzd2matchzd2_1778 = BgL_newzd2matchzd2_1837; 
BgL_forwardz00_1779 = 
(((long)1)+BgL_forwardz00_1834); 
BgL_bufposz00_1780 = BgL_bufposz00_1835; 
BgL_zc3anonymousza31509ze3z83_1781:
{ /* Unsafe/base64.scm 388 */
long BgL_newzd2matchzd2_1782;
{ /* Unsafe/base64.scm 388 */
long BgL_res2424z00_3395;
BgL_res2424z00_3395 = 
RGC_STOP_MATCH(BgL_iportz00_1777, BgL_forwardz00_1779); BgL_res2424z00_3395; } 
BgL_newzd2matchzd2_1782 = ((long)2); 
if(
(BgL_forwardz00_1779==BgL_bufposz00_1780))
{ /* Unsafe/base64.scm 388 */
if(
rgc_fill_buffer(BgL_iportz00_1777))
{ /* Unsafe/base64.scm 388 */
long BgL_arg1512z00_1785;long BgL_arg1513z00_1786;
{ /* Unsafe/base64.scm 388 */
long BgL_res2427z00_3402;
BgL_res2427z00_3402 = 
RGC_BUFFER_FORWARD(BgL_iportz00_1777); 
BgL_arg1512z00_1785 = BgL_res2427z00_3402; } 
{ /* Unsafe/base64.scm 388 */
long BgL_res2428z00_3404;
BgL_res2428z00_3404 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_1777); 
BgL_arg1513z00_1786 = BgL_res2428z00_3404; } 
{ 
long BgL_bufposz00_5088;long BgL_forwardz00_5087;
BgL_forwardz00_5087 = BgL_arg1512z00_1785; 
BgL_bufposz00_5088 = BgL_arg1513z00_1786; 
BgL_bufposz00_1780 = BgL_bufposz00_5088; 
BgL_forwardz00_1779 = BgL_forwardz00_5087; 
goto BgL_zc3anonymousza31509ze3z83_1781;} }  else 
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_1989 = BgL_newzd2matchzd2_1782; } }  else 
{ /* Unsafe/base64.scm 388 */
int BgL_curz00_1787;
{ /* Unsafe/base64.scm 388 */
int BgL_res2429z00_3407;
BgL_res2429z00_3407 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_1777, BgL_forwardz00_1779); 
BgL_curz00_1787 = BgL_res2429z00_3407; } 
{ /* Unsafe/base64.scm 388 */

{ /* Unsafe/base64.scm 388 */
bool_t BgL_testz00_5090;
if(
(
(long)(BgL_curz00_1787)==((long)10)))
{ /* Unsafe/base64.scm 388 */
BgL_testz00_5090 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 388 */
if(
(
(long)(BgL_curz00_1787)==((long)13)))
{ /* Unsafe/base64.scm 388 */
BgL_testz00_5090 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 388 */
BgL_testz00_5090 = 
(
(long)(BgL_curz00_1787)==((long)45))
; } } 
if(BgL_testz00_5090)
{ /* Unsafe/base64.scm 388 */
BgL_matchz00_1989 = BgL_newzd2matchzd2_1782; }  else 
{ 
long BgL_forwardz00_5100;long BgL_lastzd2matchzd2_5099;
BgL_lastzd2matchzd2_5099 = BgL_newzd2matchzd2_1782; 
BgL_forwardz00_5100 = 
(((long)1)+BgL_forwardz00_1779); 
BgL_forwardz00_1779 = BgL_forwardz00_5100; 
BgL_lastzd2matchzd2_1778 = BgL_lastzd2matchzd2_5099; 
goto BgL_zc3anonymousza31509ze3z83_1781;} } } } } } } } } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_4600); 
{ 

switch( BgL_matchz00_1989) { case ((long)3) : 

{ /* Unsafe/base64.scm 404 */
obj_t BgL_cz00_1993;
{ /* Unsafe/base64.scm 388 */
bool_t BgL_testz00_5105;
{ /* Unsafe/base64.scm 388 */
long BgL_arg1657z00_1979;
{ /* Unsafe/base64.scm 388 */
long BgL_res2482z00_3535;
BgL_res2482z00_3535 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4600); 
BgL_arg1657z00_1979 = BgL_res2482z00_3535; } 
BgL_testz00_5105 = 
(BgL_arg1657z00_1979==((long)0)); } 
if(BgL_testz00_5105)
{ /* Unsafe/base64.scm 388 */
BgL_cz00_1993 = BEOF; }  else 
{ /* Unsafe/base64.scm 388 */
unsigned char BgL_res2484z00_3539;
BgL_res2484z00_3539 = 
RGC_BUFFER_CHARACTER(BgL_iportz00_4600); 
BgL_cz00_1993 = 
BCHAR(BgL_res2484z00_3539); } } 
{ /* Unsafe/base64.scm 405 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1665z00_1994;
{ /* Unsafe/base64.scm 405 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_new1076z00_1995;
{ /* Unsafe/base64.scm 405 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_new1075z00_2002;
BgL_new1075z00_2002 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Unsafe/base64.scm 405 */
long BgL_arg1672z00_2003;
{ /* Unsafe/base64.scm 405 */
long BgL_res2488z00_3548;
BgL_res2488z00_3548 = 
BGL_CLASS_INDEX(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BgL_arg1672z00_2003 = BgL_res2488z00_3548; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1075z00_2002), BgL_arg1672z00_2003); } 
BgL_new1076z00_1995 = BgL_new1075z00_2002; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_1995)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_1995)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_5118;
{ /* Unsafe/base64.scm 405 */
obj_t BgL_arg1666z00_1996;
{ /* Unsafe/base64.scm 405 */
obj_t BgL_arg1667z00_1997;
{ /* Unsafe/base64.scm 405 */
obj_t BgL_res2489z00_3552;
{ /* Unsafe/base64.scm 405 */
obj_t BgL_classz00_3551;
BgL_classz00_3551 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_res2489z00_3552 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3551); } 
BgL_arg1667z00_1997 = BgL_res2489z00_3552; } 
BgL_arg1666z00_1996 = 
VECTOR_REF(BgL_arg1667z00_1997,((long)2)); } 
BgL_auxz00_5118 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1666z00_1996); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1076z00_1995)))->BgL_stackz00)=((obj_t)BgL_auxz00_5118),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1076z00_1995)))->BgL_procz00)=((obj_t)BGl_string2848z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1076z00_1995)))->BgL_msgz00)=((obj_t)BGl_string2849z00zz__base64z00),BUNSPEC); 
{ 
obj_t BgL_auxz00_5128;
{ /* Unsafe/base64.scm 408 */
obj_t BgL_arg1668z00_1998;
BgL_arg1668z00_1998 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_iportz00_4600); 
{ /* Unsafe/base64.scm 408 */
obj_t BgL_list1669z00_1999;
{ /* Unsafe/base64.scm 408 */
obj_t BgL_arg1670z00_2000;
BgL_arg1670z00_2000 = 
MAKE_YOUNG_PAIR(BgL_arg1668z00_1998, BNIL); 
BgL_list1669z00_1999 = 
MAKE_YOUNG_PAIR(BgL_cz00_1993, BgL_arg1670z00_2000); } 
BgL_auxz00_5128 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2850z00zz__base64z00, BgL_list1669z00_1999); } } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1076z00_1995)))->BgL_objz00)=((obj_t)BgL_auxz00_5128),BUNSPEC); } 
BgL_arg1665z00_1994 = BgL_new1076z00_1995; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1665z00_1994));} } break;case ((long)2) : 

{ /* Unsafe/base64.scm 395 */
obj_t BgL_sz00_2004;
BgL_sz00_2004 = 
rgc_buffer_substring(BgL_iportz00_4600, ((long)0), 
BGl_thezd2lengthze70z35zz__base64z00(BgL_iportz00_4600)); 
{ /* Unsafe/base64.scm 395 */
obj_t BgL_countez00_2005;
BgL_countez00_2005 = 
BGl_ignoreze70ze7zz__base64z00(BgL_countz00_4601, BgL_iportz00_4600); 
{ /* Unsafe/base64.scm 396 */

if(
(
CELL_REF(BgL_countz00_4601)==BgL_countez00_2005))
{ /* Unsafe/base64.scm 397 */
return BgL_sz00_2004;}  else 
{ /* Unsafe/base64.scm 399 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1674z00_2007;
{ /* Unsafe/base64.scm 399 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_new1078z00_2008;
{ /* Unsafe/base64.scm 399 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_new1077z00_2014;
BgL_new1077z00_2014 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Unsafe/base64.scm 399 */
long BgL_arg1680z00_2015;
{ /* Unsafe/base64.scm 399 */
long BgL_res2491z00_3556;
BgL_res2491z00_3556 = 
BGL_CLASS_INDEX(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BgL_arg1680z00_2015 = BgL_res2491z00_3556; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_2014), BgL_arg1680z00_2015); } 
BgL_new1078z00_2008 = BgL_new1077z00_2014; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1078z00_2008)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1078z00_2008)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_5150;
{ /* Unsafe/base64.scm 399 */
obj_t BgL_arg1675z00_2009;
{ /* Unsafe/base64.scm 399 */
obj_t BgL_arg1676z00_2010;
{ /* Unsafe/base64.scm 399 */
obj_t BgL_res2492z00_3560;
{ /* Unsafe/base64.scm 399 */
obj_t BgL_classz00_3559;
BgL_classz00_3559 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_res2492z00_3560 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_3559); } 
BgL_arg1676z00_2010 = BgL_res2492z00_3560; } 
BgL_arg1675z00_2009 = 
VECTOR_REF(BgL_arg1676z00_2010,((long)2)); } 
BgL_auxz00_5150 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1675z00_2009); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1078z00_2008)))->BgL_stackz00)=((obj_t)BgL_auxz00_5150),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1078z00_2008)))->BgL_procz00)=((obj_t)BGl_string2848z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1078z00_2008)))->BgL_msgz00)=((obj_t)BGl_string2851z00zz__base64z00),BUNSPEC); 
{ 
obj_t BgL_auxz00_5160;
{ /* Unsafe/base64.scm 402 */
obj_t BgL_list1677z00_2011;
{ /* Unsafe/base64.scm 402 */
obj_t BgL_arg1678z00_2012;
{ /* Unsafe/base64.scm 402 */
obj_t BgL_arg1679z00_2013;
BgL_arg1679z00_2013 = 
MAKE_YOUNG_PAIR(BgL_countez00_2005, BNIL); 
BgL_arg1678z00_2012 = 
MAKE_YOUNG_PAIR(
CELL_REF(BgL_countz00_4601), BgL_arg1679z00_2013); } 
BgL_list1677z00_2011 = 
MAKE_YOUNG_PAIR(BgL_sz00_2004, BgL_arg1678z00_2012); } 
BgL_auxz00_5160 = BgL_list1677z00_2011; } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1078z00_2008)))->BgL_objz00)=((obj_t)BgL_auxz00_5160),BUNSPEC); } 
BgL_arg1674z00_2007 = BgL_new1078z00_2008; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1674z00_2007));} } } } break;case ((long)1) : 

{ /* Unsafe/base64.scm 393 */
long BgL_arg1681z00_2016;
BgL_arg1681z00_2016 = 
BGl_thezd2lengthze70z35zz__base64z00(BgL_iportz00_4600); 
return 
BINT(
(BgL_arg1681z00_2016-((long)1)));} break;case ((long)0) : 

{ /* Unsafe/base64.scm 390 */
obj_t BgL_auxz00_4602;
{ /* Unsafe/base64.scm 390 */
long BgL_arg1682z00_2017;
BgL_arg1682z00_2017 = 
BGl_thezd2lengthze70z35zz__base64z00(BgL_iportz00_4600); 
BgL_auxz00_4602 = 
ADDFX(
BINT(BgL_arg1682z00_2017), 
CELL_REF(BgL_countz00_4601)); } 
CELL_SET(BgL_countz00_4601, BgL_auxz00_4602); } 
{ 

goto BGl_ignoreze70ze7zz__base64z00;} break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string2846z00zz__base64z00, BGl_string2847z00zz__base64z00, 
BINT(BgL_matchz00_1989));} } } } } 
BGL_FUNCTION_END;
}



/* the-length~0 */
long BGl_thezd2lengthze70z35zz__base64z00(obj_t BgL_iportz00_4603)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 388 */
{ /* Unsafe/base64.scm 388 */
long BgL_res2481z00_3533;
BgL_res2481z00_3533 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4603); 
return BgL_res2481z00_3533;} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1221> */
obj_t BGl_z62zc3anonymousza31221ze3ze1zz__base64z00(obj_t BgL_envz00_4576, obj_t BgL_iportz00_4577, obj_t BgL_opz00_4578, obj_t BgL_bufz00_4579, long BgL_wz00_4580, long BgL_lenz00_4581, obj_t BgL_hookz00_4582, bool_t BgL_eofzd2nozd2paddingz00_4583)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 300 */
{ /* Unsafe/base64.scm 300 */
long BgL_wz00_4641;
BgL_wz00_4641 = BgL_wz00_4580; 
{ 
obj_t BgL_iportz00_4895;long BgL_lastzd2matchzd2_4896;long BgL_forwardz00_4897;long BgL_bufposz00_4898;obj_t BgL_iportz00_4885;long BgL_lastzd2matchzd2_4886;long BgL_forwardz00_4887;long BgL_bufposz00_4888;obj_t BgL_iportz00_4862;long BgL_lastzd2matchzd2_4863;long BgL_forwardz00_4864;long BgL_bufposz00_4865;obj_t BgL_iportz00_4849;long BgL_lastzd2matchzd2_4850;long BgL_forwardz00_4851;long BgL_bufposz00_4852;obj_t BgL_iportz00_4830;long BgL_lastzd2matchzd2_4831;long BgL_forwardz00_4832;long BgL_bufposz00_4833;obj_t BgL_iportz00_4813;long BgL_lastzd2matchzd2_4814;long BgL_forwardz00_4815;long BgL_bufposz00_4816;obj_t BgL_iportz00_4795;long BgL_lastzd2matchzd2_4796;long BgL_forwardz00_4797;long BgL_bufposz00_4798;
BgL_ignorez00_4645:
{ /* Unsafe/base64.scm 300 */
long BgL_res2419z00_4658;
BgL_res2419z00_4658 = 
RGC_START_MATCH(BgL_iportz00_4577); BgL_res2419z00_4658; } 
{ /* Unsafe/base64.scm 300 */
long BgL_matchz00_4659;
{ /* Unsafe/base64.scm 300 */
long BgL_arg1506z00_4660;long BgL_arg1507z00_4661;
{ /* Unsafe/base64.scm 300 */
long BgL_res2420z00_4662;
BgL_res2420z00_4662 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4577); 
BgL_arg1506z00_4660 = BgL_res2420z00_4662; } 
{ /* Unsafe/base64.scm 300 */
long BgL_res2421z00_4663;
BgL_res2421z00_4663 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4577); 
BgL_arg1507z00_4661 = BgL_res2421z00_4663; } 
BgL_iportz00_4895 = BgL_iportz00_4577; 
BgL_lastzd2matchzd2_4896 = ((long)8); 
BgL_forwardz00_4897 = BgL_arg1506z00_4660; 
BgL_bufposz00_4898 = BgL_arg1507z00_4661; 
BgL_statezd20zd21044z00_4657:
if(
(BgL_forwardz00_4897==BgL_bufposz00_4898))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4895))
{ /* Unsafe/base64.scm 300 */
long BgL_arg1225z00_4899;long BgL_arg1227z00_4900;
{ /* Unsafe/base64.scm 300 */
long BgL_res2207z00_4901;
BgL_res2207z00_4901 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4895); 
BgL_arg1225z00_4899 = BgL_res2207z00_4901; } 
{ /* Unsafe/base64.scm 300 */
long BgL_res2208z00_4902;
BgL_res2208z00_4902 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4895); 
BgL_arg1227z00_4900 = BgL_res2208z00_4902; } 
{ 
long BgL_bufposz00_5188;long BgL_forwardz00_5187;
BgL_forwardz00_5187 = BgL_arg1225z00_4899; 
BgL_bufposz00_5188 = BgL_arg1227z00_4900; 
BgL_bufposz00_4898 = BgL_bufposz00_5188; 
BgL_forwardz00_4897 = BgL_forwardz00_5187; 
goto BgL_statezd20zd21044z00_4657;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4659 = BgL_lastzd2matchzd2_4896; } }  else 
{ /* Unsafe/base64.scm 300 */
int BgL_curz00_4903;
{ /* Unsafe/base64.scm 300 */
int BgL_res2209z00_4904;
BgL_res2209z00_4904 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4895, BgL_forwardz00_4897); 
BgL_curz00_4903 = BgL_res2209z00_4904; } 
{ /* Unsafe/base64.scm 300 */

{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5190;
if(
(
(long)(BgL_curz00_4903)==((long)43)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5190 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4903)==((long)45)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5190 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5197;
if(
(
(long)(BgL_curz00_4903)>=((long)47)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5197 = 
(
(long)(BgL_curz00_4903)<((long)58))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5197 = ((bool_t)0)
; } 
if(BgL_testz00_5197)
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5190 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5203;
if(
(
(long)(BgL_curz00_4903)>=((long)65)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5203 = 
(
(long)(BgL_curz00_4903)<((long)91))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5203 = ((bool_t)0)
; } 
if(BgL_testz00_5203)
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5190 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4903)==((long)95)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5190 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4903)>=((long)97)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5190 = 
(
(long)(BgL_curz00_4903)<((long)123))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5190 = ((bool_t)0)
; } } } } } } 
if(BgL_testz00_5190)
{ /* Unsafe/base64.scm 300 */
BgL_iportz00_4795 = BgL_iportz00_4895; 
BgL_lastzd2matchzd2_4796 = BgL_lastzd2matchzd2_4896; 
BgL_forwardz00_4797 = 
(((long)1)+BgL_forwardz00_4897); 
BgL_bufposz00_4798 = BgL_bufposz00_4898; 
BgL_statezd23zd21047z00_4651:
{ /* Unsafe/base64.scm 300 */
long BgL_newzd2matchzd2_4799;
{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5217;
{ /* Unsafe/base64.scm 300 */
bool_t BgL_rz00_4800;
BgL_rz00_4800 = 
rgc_buffer_eof2_p(BgL_iportz00_4795, BgL_forwardz00_4797, BgL_bufposz00_4798); 
{ /* Unsafe/base64.scm 300 */
long BgL_res2303z00_4801;
BgL_res2303z00_4801 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4795); 
BgL_forwardz00_4797 = BgL_res2303z00_4801; } 
{ /* Unsafe/base64.scm 300 */
long BgL_res2304z00_4802;
BgL_res2304z00_4802 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4795); 
BgL_bufposz00_4798 = BgL_res2304z00_4802; } 
BgL_testz00_5217 = BgL_rz00_4800; } 
if(BgL_testz00_5217)
{ /* Unsafe/base64.scm 300 */
{ /* Unsafe/base64.scm 300 */
long BgL_res2305z00_4803;
BgL_res2305z00_4803 = 
RGC_STOP_MATCH(BgL_iportz00_4795, BgL_forwardz00_4797); BgL_res2305z00_4803; } 
BgL_newzd2matchzd2_4799 = ((long)6); }  else 
{ /* Unsafe/base64.scm 300 */
{ /* Unsafe/base64.scm 300 */
long BgL_res2306z00_4804;
BgL_res2306z00_4804 = 
RGC_STOP_MATCH(BgL_iportz00_4795, BgL_forwardz00_4797); BgL_res2306z00_4804; } 
BgL_newzd2matchzd2_4799 = ((long)8); } } 
if(
(BgL_forwardz00_4797==BgL_bufposz00_4798))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4795))
{ /* Unsafe/base64.scm 300 */
long BgL_arg1337z00_4805;long BgL_arg1338z00_4806;
{ /* Unsafe/base64.scm 300 */
long BgL_res2309z00_4807;
BgL_res2309z00_4807 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4795); 
BgL_arg1337z00_4805 = BgL_res2309z00_4807; } 
{ /* Unsafe/base64.scm 300 */
long BgL_res2310z00_4808;
BgL_res2310z00_4808 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4795); 
BgL_arg1338z00_4806 = BgL_res2310z00_4808; } 
{ 
long BgL_bufposz00_5230;long BgL_forwardz00_5229;
BgL_forwardz00_5229 = BgL_arg1337z00_4805; 
BgL_bufposz00_5230 = BgL_arg1338z00_4806; 
BgL_bufposz00_4798 = BgL_bufposz00_5230; 
BgL_forwardz00_4797 = BgL_forwardz00_5229; 
goto BgL_statezd23zd21047z00_4651;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4659 = BgL_newzd2matchzd2_4799; } }  else 
{ /* Unsafe/base64.scm 300 */
int BgL_curz00_4809;
{ /* Unsafe/base64.scm 300 */
int BgL_res2311z00_4810;
BgL_res2311z00_4810 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4795, BgL_forwardz00_4797); 
BgL_curz00_4809 = BgL_res2311z00_4810; } 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4809)==((long)61)))
{ /* Unsafe/base64.scm 300 */
long BgL_arg1340z00_4811;
BgL_arg1340z00_4811 = 
(((long)1)+BgL_forwardz00_4797); 
BgL_iportz00_4885 = BgL_iportz00_4795; 
BgL_lastzd2matchzd2_4886 = BgL_newzd2matchzd2_4799; 
BgL_forwardz00_4887 = BgL_arg1340z00_4811; 
BgL_bufposz00_4888 = BgL_bufposz00_4798; 
BgL_statezd25zd21049z00_4656:
if(
(BgL_forwardz00_4887==BgL_bufposz00_4888))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4885))
{ /* Unsafe/base64.scm 300 */
long BgL_arg1244z00_4889;long BgL_arg1246z00_4890;
{ /* Unsafe/base64.scm 300 */
long BgL_res2228z00_4891;
BgL_res2228z00_4891 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4885); 
BgL_arg1244z00_4889 = BgL_res2228z00_4891; } 
{ /* Unsafe/base64.scm 300 */
long BgL_res2229z00_4892;
BgL_res2229z00_4892 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4885); 
BgL_arg1246z00_4890 = BgL_res2229z00_4892; } 
{ 
long BgL_bufposz00_5243;long BgL_forwardz00_5242;
BgL_forwardz00_5242 = BgL_arg1244z00_4889; 
BgL_bufposz00_5243 = BgL_arg1246z00_4890; 
BgL_bufposz00_4888 = BgL_bufposz00_5243; 
BgL_forwardz00_4887 = BgL_forwardz00_5242; 
goto BgL_statezd25zd21049z00_4656;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4659 = BgL_lastzd2matchzd2_4886; } }  else 
{ /* Unsafe/base64.scm 300 */
int BgL_curz00_4893;
{ /* Unsafe/base64.scm 300 */
int BgL_res2230z00_4894;
BgL_res2230z00_4894 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4885, BgL_forwardz00_4887); 
BgL_curz00_4893 = BgL_res2230z00_4894; } 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4893)==((long)61)))
{ /* Unsafe/base64.scm 300 */
BgL_iportz00_4849 = BgL_iportz00_4885; 
BgL_lastzd2matchzd2_4850 = BgL_lastzd2matchzd2_4886; 
BgL_forwardz00_4851 = 
(((long)1)+BgL_forwardz00_4887); 
BgL_bufposz00_4852 = BgL_bufposz00_4888; 
BgL_statezd27zd21051z00_4654:
if(
(BgL_forwardz00_4851==BgL_bufposz00_4852))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4849))
{ /* Unsafe/base64.scm 300 */
long BgL_arg1278z00_4853;long BgL_arg1279z00_4854;
{ /* Unsafe/base64.scm 300 */
long BgL_res2261z00_4855;
BgL_res2261z00_4855 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4849); 
BgL_arg1278z00_4853 = BgL_res2261z00_4855; } 
{ /* Unsafe/base64.scm 300 */
long BgL_res2262z00_4856;
BgL_res2262z00_4856 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4849); 
BgL_arg1279z00_4854 = BgL_res2262z00_4856; } 
{ 
long BgL_bufposz00_5255;long BgL_forwardz00_5254;
BgL_forwardz00_5254 = BgL_arg1278z00_4853; 
BgL_bufposz00_5255 = BgL_arg1279z00_4854; 
BgL_bufposz00_4852 = BgL_bufposz00_5255; 
BgL_forwardz00_4851 = BgL_forwardz00_5254; 
goto BgL_statezd27zd21051z00_4654;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4659 = BgL_lastzd2matchzd2_4850; } }  else 
{ /* Unsafe/base64.scm 300 */
int BgL_curz00_4857;
{ /* Unsafe/base64.scm 300 */
int BgL_res2263z00_4858;
BgL_res2263z00_4858 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4849, BgL_forwardz00_4851); 
BgL_curz00_4857 = BgL_res2263z00_4858; } 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4857)==((long)61)))
{ /* Unsafe/base64.scm 300 */
long BgL_arg1283z00_4859;
BgL_arg1283z00_4859 = 
(((long)1)+BgL_forwardz00_4851); 
{ /* Unsafe/base64.scm 300 */
long BgL_newzd2matchzd2_4860;
{ /* Unsafe/base64.scm 300 */
long BgL_res2266z00_4861;
BgL_res2266z00_4861 = 
RGC_STOP_MATCH(BgL_iportz00_4849, BgL_arg1283z00_4859); BgL_res2266z00_4861; } 
BgL_newzd2matchzd2_4860 = ((long)5); 
BgL_matchz00_4659 = BgL_newzd2matchzd2_4860; } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4659 = BgL_lastzd2matchzd2_4850; } } } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4659 = BgL_lastzd2matchzd2_4886; } } } }  else 
{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5263;
if(
(
(long)(BgL_curz00_4809)==((long)43)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5263 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4809)==((long)45)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5263 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5270;
if(
(
(long)(BgL_curz00_4809)>=((long)47)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5270 = 
(
(long)(BgL_curz00_4809)<((long)58))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5270 = ((bool_t)0)
; } 
if(BgL_testz00_5270)
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5263 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5276;
if(
(
(long)(BgL_curz00_4809)>=((long)65)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5276 = 
(
(long)(BgL_curz00_4809)<((long)91))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5276 = ((bool_t)0)
; } 
if(BgL_testz00_5276)
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5263 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4809)==((long)95)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5263 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4809)>=((long)97)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5263 = 
(
(long)(BgL_curz00_4809)<((long)123))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5263 = ((bool_t)0)
; } } } } } } 
if(BgL_testz00_5263)
{ /* Unsafe/base64.scm 300 */
long BgL_arg1349z00_4812;
BgL_arg1349z00_4812 = 
(((long)1)+BgL_forwardz00_4797); 
BgL_iportz00_4813 = BgL_iportz00_4795; 
BgL_lastzd2matchzd2_4814 = BgL_newzd2matchzd2_4799; 
BgL_forwardz00_4815 = BgL_arg1349z00_4812; 
BgL_bufposz00_4816 = BgL_bufposz00_4798; 
BgL_statezd24zd21048z00_4652:
{ /* Unsafe/base64.scm 300 */
long BgL_newzd2matchzd2_4817;
{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5291;
{ /* Unsafe/base64.scm 300 */
bool_t BgL_rz00_4818;
BgL_rz00_4818 = 
rgc_buffer_eof2_p(BgL_iportz00_4813, BgL_forwardz00_4815, BgL_bufposz00_4816); 
{ /* Unsafe/base64.scm 300 */
long BgL_res2282z00_4819;
BgL_res2282z00_4819 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4813); 
BgL_forwardz00_4815 = BgL_res2282z00_4819; } 
{ /* Unsafe/base64.scm 300 */
long BgL_res2283z00_4820;
BgL_res2283z00_4820 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4813); 
BgL_bufposz00_4816 = BgL_res2283z00_4820; } 
BgL_testz00_5291 = BgL_rz00_4818; } 
if(BgL_testz00_5291)
{ /* Unsafe/base64.scm 300 */
{ /* Unsafe/base64.scm 300 */
long BgL_res2284z00_4821;
BgL_res2284z00_4821 = 
RGC_STOP_MATCH(BgL_iportz00_4813, BgL_forwardz00_4815); BgL_res2284z00_4821; } 
BgL_newzd2matchzd2_4817 = ((long)4); }  else 
{ /* Unsafe/base64.scm 300 */
BgL_newzd2matchzd2_4817 = BgL_lastzd2matchzd2_4814; } } 
if(
(BgL_forwardz00_4815==BgL_bufposz00_4816))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4813))
{ /* Unsafe/base64.scm 300 */
long BgL_arg1308z00_4822;long BgL_arg1317z00_4823;
{ /* Unsafe/base64.scm 300 */
long BgL_res2287z00_4824;
BgL_res2287z00_4824 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4813); 
BgL_arg1308z00_4822 = BgL_res2287z00_4824; } 
{ /* Unsafe/base64.scm 300 */
long BgL_res2288z00_4825;
BgL_res2288z00_4825 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4813); 
BgL_arg1317z00_4823 = BgL_res2288z00_4825; } 
{ 
long BgL_bufposz00_5303;long BgL_forwardz00_5302;
BgL_forwardz00_5302 = BgL_arg1308z00_4822; 
BgL_bufposz00_5303 = BgL_arg1317z00_4823; 
BgL_bufposz00_4816 = BgL_bufposz00_5303; 
BgL_forwardz00_4815 = BgL_forwardz00_5302; 
goto BgL_statezd24zd21048z00_4652;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4659 = BgL_newzd2matchzd2_4817; } }  else 
{ /* Unsafe/base64.scm 300 */
int BgL_curz00_4826;
{ /* Unsafe/base64.scm 300 */
int BgL_res2289z00_4827;
BgL_res2289z00_4827 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4813, BgL_forwardz00_4815); 
BgL_curz00_4826 = BgL_res2289z00_4827; } 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4826)==((long)61)))
{ /* Unsafe/base64.scm 300 */
long BgL_arg1323z00_4828;
BgL_arg1323z00_4828 = 
(((long)1)+BgL_forwardz00_4815); 
BgL_iportz00_4830 = BgL_iportz00_4813; 
BgL_lastzd2matchzd2_4831 = BgL_newzd2matchzd2_4817; 
BgL_forwardz00_4832 = BgL_arg1323z00_4828; 
BgL_bufposz00_4833 = BgL_bufposz00_4816; 
BgL_statezd210zd21054z00_4653:
{ /* Unsafe/base64.scm 300 */
long BgL_newzd2matchzd2_4834;
{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5309;
{ /* Unsafe/base64.scm 300 */
bool_t BgL_rz00_4835;
BgL_rz00_4835 = 
rgc_buffer_eof2_p(BgL_iportz00_4830, BgL_forwardz00_4832, BgL_bufposz00_4833); 
{ /* Unsafe/base64.scm 300 */
long BgL_res2269z00_4836;
BgL_res2269z00_4836 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4830); 
BgL_forwardz00_4832 = BgL_res2269z00_4836; } 
{ /* Unsafe/base64.scm 300 */
long BgL_res2270z00_4837;
BgL_res2270z00_4837 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4830); 
BgL_bufposz00_4833 = BgL_res2270z00_4837; } 
BgL_testz00_5309 = BgL_rz00_4835; } 
if(BgL_testz00_5309)
{ /* Unsafe/base64.scm 300 */
{ /* Unsafe/base64.scm 300 */
long BgL_res2271z00_4838;
BgL_res2271z00_4838 = 
RGC_STOP_MATCH(BgL_iportz00_4830, BgL_forwardz00_4832); BgL_res2271z00_4838; } 
BgL_newzd2matchzd2_4834 = ((long)4); }  else 
{ /* Unsafe/base64.scm 300 */
BgL_newzd2matchzd2_4834 = BgL_lastzd2matchzd2_4831; } } 
if(
(BgL_forwardz00_4832==BgL_bufposz00_4833))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4830))
{ /* Unsafe/base64.scm 300 */
long BgL_arg1290z00_4839;long BgL_arg1292z00_4840;
{ /* Unsafe/base64.scm 300 */
long BgL_res2274z00_4841;
BgL_res2274z00_4841 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4830); 
BgL_arg1290z00_4839 = BgL_res2274z00_4841; } 
{ /* Unsafe/base64.scm 300 */
long BgL_res2275z00_4842;
BgL_res2275z00_4842 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4830); 
BgL_arg1292z00_4840 = BgL_res2275z00_4842; } 
{ 
long BgL_bufposz00_5321;long BgL_forwardz00_5320;
BgL_forwardz00_5320 = BgL_arg1290z00_4839; 
BgL_bufposz00_5321 = BgL_arg1292z00_4840; 
BgL_bufposz00_4833 = BgL_bufposz00_5321; 
BgL_forwardz00_4832 = BgL_forwardz00_5320; 
goto BgL_statezd210zd21054z00_4653;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4659 = BgL_newzd2matchzd2_4834; } }  else 
{ /* Unsafe/base64.scm 300 */
int BgL_curz00_4843;
{ /* Unsafe/base64.scm 300 */
int BgL_res2276z00_4844;
BgL_res2276z00_4844 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4830, BgL_forwardz00_4832); 
BgL_curz00_4843 = BgL_res2276z00_4844; } 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4843)==((long)61)))
{ /* Unsafe/base64.scm 300 */
long BgL_arg1302z00_4845;
BgL_arg1302z00_4845 = 
(((long)1)+BgL_forwardz00_4832); 
{ /* Unsafe/base64.scm 300 */
long BgL_bufposz00_4846;
BgL_bufposz00_4846 = BgL_bufposz00_4833; 
{ /* Unsafe/base64.scm 300 */
long BgL_newzd2matchzd2_4847;
{ /* Unsafe/base64.scm 300 */
long BgL_res2279z00_4848;
BgL_res2279z00_4848 = 
RGC_STOP_MATCH(BgL_iportz00_4830, BgL_arg1302z00_4845); BgL_res2279z00_4848; } 
BgL_newzd2matchzd2_4847 = ((long)3); 
BgL_matchz00_4659 = BgL_newzd2matchzd2_4847; } } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4659 = BgL_newzd2matchzd2_4834; } } } } }  else 
{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5328;
if(
(
(long)(BgL_curz00_4826)==((long)43)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5328 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4826)==((long)45)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5328 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5335;
if(
(
(long)(BgL_curz00_4826)>=((long)47)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5335 = 
(
(long)(BgL_curz00_4826)<((long)58))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5335 = ((bool_t)0)
; } 
if(BgL_testz00_5335)
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5328 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5341;
if(
(
(long)(BgL_curz00_4826)>=((long)65)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5341 = 
(
(long)(BgL_curz00_4826)<((long)91))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5341 = ((bool_t)0)
; } 
if(BgL_testz00_5341)
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5328 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4826)==((long)95)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5328 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4826)>=((long)97)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5328 = 
(
(long)(BgL_curz00_4826)<((long)123))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5328 = ((bool_t)0)
; } } } } } } 
if(BgL_testz00_5328)
{ /* Unsafe/base64.scm 300 */
long BgL_arg1332z00_4829;
BgL_arg1332z00_4829 = 
(((long)1)+BgL_forwardz00_4815); 
BgL_iportz00_4862 = BgL_iportz00_4813; 
BgL_lastzd2matchzd2_4863 = BgL_newzd2matchzd2_4817; 
BgL_forwardz00_4864 = BgL_arg1332z00_4829; 
BgL_bufposz00_4865 = BgL_bufposz00_4816; 
BgL_statezd29zd21053z00_4655:
{ /* Unsafe/base64.scm 300 */
long BgL_newzd2matchzd2_4866;
{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5356;
{ /* Unsafe/base64.scm 300 */
bool_t BgL_rz00_4867;
BgL_rz00_4867 = 
rgc_buffer_eof2_p(BgL_iportz00_4862, BgL_forwardz00_4864, BgL_bufposz00_4865); 
{ /* Unsafe/base64.scm 300 */
long BgL_res2236z00_4868;
BgL_res2236z00_4868 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4862); 
BgL_forwardz00_4864 = BgL_res2236z00_4868; } 
{ /* Unsafe/base64.scm 300 */
long BgL_res2237z00_4869;
BgL_res2237z00_4869 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4862); 
BgL_bufposz00_4865 = BgL_res2237z00_4869; } 
BgL_testz00_5356 = BgL_rz00_4867; } 
if(BgL_testz00_5356)
{ /* Unsafe/base64.scm 300 */
{ /* Unsafe/base64.scm 300 */
long BgL_res2238z00_4870;
BgL_res2238z00_4870 = 
RGC_STOP_MATCH(BgL_iportz00_4862, BgL_forwardz00_4864); BgL_res2238z00_4870; } 
BgL_newzd2matchzd2_4866 = ((long)2); }  else 
{ /* Unsafe/base64.scm 300 */
BgL_newzd2matchzd2_4866 = BgL_lastzd2matchzd2_4863; } } 
if(
(BgL_forwardz00_4864==BgL_bufposz00_4865))
{ /* Unsafe/base64.scm 300 */
if(
rgc_fill_buffer(BgL_iportz00_4862))
{ /* Unsafe/base64.scm 300 */
long BgL_arg1254z00_4871;long BgL_arg1256z00_4872;
{ /* Unsafe/base64.scm 300 */
long BgL_res2241z00_4873;
BgL_res2241z00_4873 = 
RGC_BUFFER_FORWARD(BgL_iportz00_4862); 
BgL_arg1254z00_4871 = BgL_res2241z00_4873; } 
{ /* Unsafe/base64.scm 300 */
long BgL_res2242z00_4874;
BgL_res2242z00_4874 = 
RGC_BUFFER_BUFPOS(BgL_iportz00_4862); 
BgL_arg1256z00_4872 = BgL_res2242z00_4874; } 
{ 
long BgL_bufposz00_5368;long BgL_forwardz00_5367;
BgL_forwardz00_5367 = BgL_arg1254z00_4871; 
BgL_bufposz00_5368 = BgL_arg1256z00_4872; 
BgL_bufposz00_4865 = BgL_bufposz00_5368; 
BgL_forwardz00_4864 = BgL_forwardz00_5367; 
goto BgL_statezd29zd21053z00_4655;} }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4659 = BgL_newzd2matchzd2_4866; } }  else 
{ /* Unsafe/base64.scm 300 */
int BgL_curz00_4875;
{ /* Unsafe/base64.scm 300 */
int BgL_res2243z00_4876;
BgL_res2243z00_4876 = 
RGC_BUFFER_GET_CHAR(BgL_iportz00_4862, BgL_forwardz00_4864); 
BgL_curz00_4875 = BgL_res2243z00_4876; } 
{ /* Unsafe/base64.scm 300 */

if(
(
(long)(BgL_curz00_4875)==((long)61)))
{ /* Unsafe/base64.scm 300 */
long BgL_arg1258z00_4877;
BgL_arg1258z00_4877 = 
(((long)1)+BgL_forwardz00_4864); 
{ /* Unsafe/base64.scm 300 */
long BgL_bufposz00_4878;
BgL_bufposz00_4878 = BgL_bufposz00_4865; 
{ /* Unsafe/base64.scm 300 */
long BgL_newzd2matchzd2_4879;
{ /* Unsafe/base64.scm 300 */
long BgL_res2246z00_4880;
BgL_res2246z00_4880 = 
RGC_STOP_MATCH(BgL_iportz00_4862, BgL_arg1258z00_4877); BgL_res2246z00_4880; } 
BgL_newzd2matchzd2_4879 = ((long)1); 
BgL_matchz00_4659 = BgL_newzd2matchzd2_4879; } } }  else 
{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5375;
if(
(
(long)(BgL_curz00_4875)==((long)43)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5375 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4875)==((long)45)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5375 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5382;
if(
(
(long)(BgL_curz00_4875)>=((long)47)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5382 = 
(
(long)(BgL_curz00_4875)<((long)58))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5382 = ((bool_t)0)
; } 
if(BgL_testz00_5382)
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5375 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5388;
if(
(
(long)(BgL_curz00_4875)>=((long)65)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5388 = 
(
(long)(BgL_curz00_4875)<((long)91))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5388 = ((bool_t)0)
; } 
if(BgL_testz00_5388)
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5375 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4875)==((long)95)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5375 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
if(
(
(long)(BgL_curz00_4875)>=((long)97)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5375 = 
(
(long)(BgL_curz00_4875)<((long)123))
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5375 = ((bool_t)0)
; } } } } } } 
if(BgL_testz00_5375)
{ /* Unsafe/base64.scm 300 */
long BgL_arg1268z00_4881;
BgL_arg1268z00_4881 = 
(((long)1)+BgL_forwardz00_4864); 
{ /* Unsafe/base64.scm 300 */
long BgL_bufposz00_4882;
BgL_bufposz00_4882 = BgL_bufposz00_4865; 
{ /* Unsafe/base64.scm 300 */
long BgL_newzd2matchzd2_4883;
{ /* Unsafe/base64.scm 300 */
long BgL_res2257z00_4884;
BgL_res2257z00_4884 = 
RGC_STOP_MATCH(BgL_iportz00_4862, BgL_arg1268z00_4881); BgL_res2257z00_4884; } 
BgL_newzd2matchzd2_4883 = ((long)0); 
BgL_matchz00_4659 = BgL_newzd2matchzd2_4883; } } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4659 = BgL_newzd2matchzd2_4866; } } } } } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4659 = BgL_newzd2matchzd2_4817; } } } } } }  else 
{ /* Unsafe/base64.scm 300 */
BgL_matchz00_4659 = BgL_newzd2matchzd2_4799; } } } } } }  else 
{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5405;
if(
(
(long)(BgL_curz00_4903)==((long)10)))
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5405 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 300 */
BgL_testz00_5405 = 
(
(long)(BgL_curz00_4903)==((long)13))
; } 
if(BgL_testz00_5405)
{ /* Unsafe/base64.scm 300 */
long BgL_arg1239z00_4905;
BgL_arg1239z00_4905 = 
(((long)1)+BgL_forwardz00_4897); 
{ /* Unsafe/base64.scm 300 */
long BgL_newzd2matchzd2_4906;
{ /* Unsafe/base64.scm 300 */
long BgL_res2223z00_4907;
BgL_res2223z00_4907 = 
RGC_STOP_MATCH(BgL_iportz00_4895, BgL_arg1239z00_4905); BgL_res2223z00_4907; } 
BgL_newzd2matchzd2_4906 = ((long)7); 
BgL_matchz00_4659 = BgL_newzd2matchzd2_4906; } }  else 
{ /* Unsafe/base64.scm 300 */
long BgL_arg1240z00_4908;
BgL_arg1240z00_4908 = 
(((long)1)+BgL_forwardz00_4897); 
{ /* Unsafe/base64.scm 300 */
long BgL_newzd2matchzd2_4909;
{ /* Unsafe/base64.scm 300 */
long BgL_res2225z00_4910;
BgL_res2225z00_4910 = 
RGC_STOP_MATCH(BgL_iportz00_4895, BgL_arg1240z00_4908); BgL_res2225z00_4910; } 
BgL_newzd2matchzd2_4909 = ((long)8); 
BgL_matchz00_4659 = BgL_newzd2matchzd2_4909; } } } } } } } 
RGC_SET_FILEPOS(BgL_iportz00_4577); 
{ 

switch( BgL_matchz00_4659) { case ((long)8) : 

{ /* Unsafe/base64.scm 369 */
obj_t BgL_cz00_4665;
{ /* Unsafe/base64.scm 300 */
bool_t BgL_testz00_5416;
{ /* Unsafe/base64.scm 300 */
long BgL_arg1440z00_4792;
{ /* Unsafe/base64.scm 300 */
long BgL_res2326z00_4793;
BgL_res2326z00_4793 = 
RGC_BUFFER_MATCH_LENGTH(BgL_iportz00_4577); 
BgL_arg1440z00_4792 = BgL_res2326z00_4793; } 
BgL_testz00_5416 = 
(BgL_arg1440z00_4792==((long)0)); } 
if(BgL_testz00_5416)
{ /* Unsafe/base64.scm 300 */
BgL_cz00_4665 = BEOF; }  else 
{ /* Unsafe/base64.scm 300 */
unsigned char BgL_res2328z00_4794;
BgL_res2328z00_4794 = 
RGC_BUFFER_CHARACTER(BgL_iportz00_4577); 
BgL_cz00_4665 = 
BCHAR(BgL_res2328z00_4794); } } 
{ /* Unsafe/base64.scm 370 */
bool_t BgL_testz00_5421;
{ /* Unsafe/base64.scm 370 */
bool_t BgL_testz00_5422;
{ /* Unsafe/base64.scm 370 */
bool_t BgL_res2422z00_4666;
BgL_res2422z00_4666 = 
EOF_OBJECTP(BgL_cz00_4665); 
BgL_testz00_5422 = BgL_res2422z00_4666; } 
if(BgL_testz00_5422)
{ /* Unsafe/base64.scm 370 */
BgL_testz00_5421 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 370 */
BgL_testz00_5421 = 
CBOOL(
PROCEDURE_L_ENTRY(BgL_hookz00_4582)(BgL_hookz00_4582, BgL_cz00_4665))
; } } 
if(BgL_testz00_5421)
{ /* Unsafe/base64.scm 370 */
if(
(BgL_wz00_4641>((long)0)))
{ /* Unsafe/base64.scm 372 */
bgl_display_substring(BgL_bufz00_4579, ((long)0), BgL_wz00_4641, BgL_opz00_4578); }  else 
{ /* Unsafe/base64.scm 372 */BFALSE; } 
return BTRUE;}  else 
{ /* Unsafe/base64.scm 370 */
goto BgL_ignorez00_4645;} } } break;case ((long)7) : 

goto BgL_ignorez00_4645;break;case ((long)6) : 

if(BgL_eofzd2nozd2paddingz00_4583)
{ /* Unsafe/base64.scm 365 */
BgL_chunk1z00_4649:
{ /* Unsafe/base64.scm 345 */
int BgL_q0z00_4769;
{ /* Unsafe/base64.scm 345 */
int BgL_arg1451z00_4770;
{ /* Unsafe/base64.scm 300 */
int BgL_res2329z00_4771;
{ /* Unsafe/base64.scm 300 */
int BgL_tmpz00_5433;
BgL_tmpz00_5433 = 
(int)(((long)0)); 
BgL_res2329z00_4771 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4577, BgL_tmpz00_5433); } 
BgL_arg1451z00_4770 = BgL_res2329z00_4771; } 
{ /* Unsafe/base64.scm 345 */
int BgL_res2332z00_4772;
{ /* Unsafe/base64.scm 345 */
char BgL_cz00_4773;
BgL_cz00_4773 = 
(signed char)(BgL_arg1451z00_4770); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_4774;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_5437;
BgL_tmpz00_5437 = 
(long)(BgL_cz00_4773); 
BgL_arg1785z00_4774 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5437); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2331z00_4775;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_4776;
BgL_xz00_4776 = 
(int8_t)(BgL_arg1785z00_4774); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_4777;
BgL_arg2171z00_4777 = 
(long)(BgL_xz00_4776); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2330z00_4778;
BgL_res2330z00_4778 = 
(long)(BgL_arg2171z00_4777); 
BgL_res2331z00_4775 = BgL_res2330z00_4778; } } } 
BgL_res2332z00_4772 = 
(int)(BgL_res2331z00_4775); } } } 
BgL_q0z00_4769 = BgL_res2332z00_4772; } } 
{ /* Unsafe/base64.scm 345 */
int BgL_q1z00_4779;
{ /* Unsafe/base64.scm 346 */
int BgL_res2337z00_4780;
{ /* Unsafe/base64.scm 346 */
unsigned char BgL_cz00_4781;
BgL_cz00_4781 = 
(char)(((unsigned char)'=')); 
{ /* Unsafe/base64.scm 201 */
long BgL_arg1786z00_4782;
BgL_arg1786z00_4782 = 
(
(unsigned char)(BgL_cz00_4781)); 
{ /* Unsafe/base64.scm 201 */
int BgL_res2336z00_4783;
{ /* Unsafe/base64.scm 201 */
char BgL_cz00_4784;
BgL_cz00_4784 = 
(signed char)(BgL_arg1786z00_4782); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_4785;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_5448;
BgL_tmpz00_5448 = 
(long)(BgL_cz00_4784); 
BgL_arg1785z00_4785 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5448); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2335z00_4786;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_4787;
BgL_xz00_4787 = 
(int8_t)(BgL_arg1785z00_4785); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_4788;
BgL_arg2171z00_4788 = 
(long)(BgL_xz00_4787); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2334z00_4789;
BgL_res2334z00_4789 = 
(long)(BgL_arg2171z00_4788); 
BgL_res2335z00_4786 = BgL_res2334z00_4789; } } } 
BgL_res2336z00_4783 = 
(int)(BgL_res2335z00_4786); } } } 
BgL_res2337z00_4780 = BgL_res2336z00_4783; } } } 
BgL_q1z00_4779 = BgL_res2337z00_4780; } 
{ /* Unsafe/base64.scm 346 */
long BgL_v0z00_4790;
BgL_v0z00_4790 = 
(
(
(long)(BgL_q0z00_4769) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_4779) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 347 */

{ /* Unsafe/base64.scm 348 */
unsigned char BgL_arg1447z00_4791;
BgL_arg1447z00_4791 = 
(BgL_v0z00_4790); 
STRING_SET(BgL_bufz00_4579, BgL_wz00_4641, BgL_arg1447z00_4791); } 
return 
bgl_display_substring(BgL_bufz00_4579, ((long)0), BgL_wz00_4641, BgL_opz00_4578);} } } } }  else 
{ /* Unsafe/base64.scm 365 */
return BFALSE;} break;case ((long)5) : 

goto BgL_chunk1z00_4649;break;case ((long)4) : 

if(BgL_eofzd2nozd2paddingz00_4583)
{ /* Unsafe/base64.scm 361 */
BgL_chunk2z00_4648:
{ /* Unsafe/base64.scm 336 */
int BgL_q0z00_4746;
{ /* Unsafe/base64.scm 336 */
int BgL_arg1462z00_4747;
{ /* Unsafe/base64.scm 300 */
int BgL_res2342z00_4748;
{ /* Unsafe/base64.scm 300 */
int BgL_tmpz00_5466;
BgL_tmpz00_5466 = 
(int)(((long)0)); 
BgL_res2342z00_4748 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4577, BgL_tmpz00_5466); } 
BgL_arg1462z00_4747 = BgL_res2342z00_4748; } 
{ /* Unsafe/base64.scm 336 */
int BgL_res2345z00_4749;
{ /* Unsafe/base64.scm 336 */
char BgL_cz00_4750;
BgL_cz00_4750 = 
(signed char)(BgL_arg1462z00_4747); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_4751;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_5470;
BgL_tmpz00_5470 = 
(long)(BgL_cz00_4750); 
BgL_arg1785z00_4751 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5470); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2344z00_4752;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_4753;
BgL_xz00_4753 = 
(int8_t)(BgL_arg1785z00_4751); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_4754;
BgL_arg2171z00_4754 = 
(long)(BgL_xz00_4753); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2343z00_4755;
BgL_res2343z00_4755 = 
(long)(BgL_arg2171z00_4754); 
BgL_res2344z00_4752 = BgL_res2343z00_4755; } } } 
BgL_res2345z00_4749 = 
(int)(BgL_res2344z00_4752); } } } 
BgL_q0z00_4746 = BgL_res2345z00_4749; } } 
{ /* Unsafe/base64.scm 336 */
int BgL_q1z00_4756;
{ /* Unsafe/base64.scm 337 */
int BgL_arg1461z00_4757;
{ /* Unsafe/base64.scm 300 */
int BgL_res2346z00_4758;
{ /* Unsafe/base64.scm 300 */
int BgL_tmpz00_5477;
BgL_tmpz00_5477 = 
(int)(((long)1)); 
BgL_res2346z00_4758 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4577, BgL_tmpz00_5477); } 
BgL_arg1461z00_4757 = BgL_res2346z00_4758; } 
{ /* Unsafe/base64.scm 337 */
int BgL_res2349z00_4759;
{ /* Unsafe/base64.scm 337 */
char BgL_cz00_4760;
BgL_cz00_4760 = 
(signed char)(BgL_arg1461z00_4757); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_4761;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_5481;
BgL_tmpz00_5481 = 
(long)(BgL_cz00_4760); 
BgL_arg1785z00_4761 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5481); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2348z00_4762;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_4763;
BgL_xz00_4763 = 
(int8_t)(BgL_arg1785z00_4761); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_4764;
BgL_arg2171z00_4764 = 
(long)(BgL_xz00_4763); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2347z00_4765;
BgL_res2347z00_4765 = 
(long)(BgL_arg2171z00_4764); 
BgL_res2348z00_4762 = BgL_res2347z00_4765; } } } 
BgL_res2349z00_4759 = 
(int)(BgL_res2348z00_4762); } } } 
BgL_q1z00_4756 = BgL_res2349z00_4759; } } 
{ /* Unsafe/base64.scm 337 */
long BgL_v0z00_4766;
BgL_v0z00_4766 = 
(
(
(long)(BgL_q0z00_4746) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_4756) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 338 */
long BgL_v1z00_4767;
BgL_v1z00_4767 = 
(
(
(long)(BgL_q1z00_4756) << 
(int)(((long)4))) & ((long)240)); 
{ /* Unsafe/base64.scm 339 */

{ /* Unsafe/base64.scm 340 */
unsigned char BgL_arg1453z00_4768;
BgL_arg1453z00_4768 = 
(BgL_v0z00_4766); 
STRING_SET(BgL_bufz00_4579, BgL_wz00_4641, BgL_arg1453z00_4768); } 
{ /* Unsafe/base64.scm 341 */
unsigned char BgL_auxz00_5503;long BgL_tmpz00_5501;
BgL_auxz00_5503 = 
(BgL_v1z00_4767); 
BgL_tmpz00_5501 = 
(BgL_wz00_4641+((long)1)); 
STRING_SET(BgL_bufz00_4579, BgL_tmpz00_5501, BgL_auxz00_5503); } 
{ /* Unsafe/base64.scm 342 */
long BgL_tmpz00_5506;
BgL_tmpz00_5506 = 
(BgL_wz00_4641+((long)1)); 
return 
bgl_display_substring(BgL_bufz00_4579, ((long)0), BgL_tmpz00_5506, BgL_opz00_4578);} } } } } } }  else 
{ /* Unsafe/base64.scm 361 */
return BFALSE;} break;case ((long)3) : 

goto BgL_chunk2z00_4648;break;case ((long)2) : 

if(BgL_eofzd2nozd2paddingz00_4583)
{ /* Unsafe/base64.scm 357 */
BgL_chunk3z00_4647:
{ /* Unsafe/base64.scm 324 */
int BgL_q0z00_4712;
{ /* Unsafe/base64.scm 324 */
int BgL_arg1479z00_4713;
{ /* Unsafe/base64.scm 300 */
int BgL_res2359z00_4714;
{ /* Unsafe/base64.scm 300 */
int BgL_tmpz00_5510;
BgL_tmpz00_5510 = 
(int)(((long)0)); 
BgL_res2359z00_4714 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4577, BgL_tmpz00_5510); } 
BgL_arg1479z00_4713 = BgL_res2359z00_4714; } 
{ /* Unsafe/base64.scm 324 */
int BgL_res2362z00_4715;
{ /* Unsafe/base64.scm 324 */
char BgL_cz00_4716;
BgL_cz00_4716 = 
(signed char)(BgL_arg1479z00_4713); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_4717;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_5514;
BgL_tmpz00_5514 = 
(long)(BgL_cz00_4716); 
BgL_arg1785z00_4717 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5514); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2361z00_4718;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_4719;
BgL_xz00_4719 = 
(int8_t)(BgL_arg1785z00_4717); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_4720;
BgL_arg2171z00_4720 = 
(long)(BgL_xz00_4719); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2360z00_4721;
BgL_res2360z00_4721 = 
(long)(BgL_arg2171z00_4720); 
BgL_res2361z00_4718 = BgL_res2360z00_4721; } } } 
BgL_res2362z00_4715 = 
(int)(BgL_res2361z00_4718); } } } 
BgL_q0z00_4712 = BgL_res2362z00_4715; } } 
{ /* Unsafe/base64.scm 324 */
int BgL_q1z00_4722;
{ /* Unsafe/base64.scm 325 */
int BgL_arg1478z00_4723;
{ /* Unsafe/base64.scm 300 */
int BgL_res2363z00_4724;
{ /* Unsafe/base64.scm 300 */
int BgL_tmpz00_5521;
BgL_tmpz00_5521 = 
(int)(((long)1)); 
BgL_res2363z00_4724 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4577, BgL_tmpz00_5521); } 
BgL_arg1478z00_4723 = BgL_res2363z00_4724; } 
{ /* Unsafe/base64.scm 325 */
int BgL_res2366z00_4725;
{ /* Unsafe/base64.scm 325 */
char BgL_cz00_4726;
BgL_cz00_4726 = 
(signed char)(BgL_arg1478z00_4723); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_4727;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_5525;
BgL_tmpz00_5525 = 
(long)(BgL_cz00_4726); 
BgL_arg1785z00_4727 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5525); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2365z00_4728;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_4729;
BgL_xz00_4729 = 
(int8_t)(BgL_arg1785z00_4727); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_4730;
BgL_arg2171z00_4730 = 
(long)(BgL_xz00_4729); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2364z00_4731;
BgL_res2364z00_4731 = 
(long)(BgL_arg2171z00_4730); 
BgL_res2365z00_4728 = BgL_res2364z00_4731; } } } 
BgL_res2366z00_4725 = 
(int)(BgL_res2365z00_4728); } } } 
BgL_q1z00_4722 = BgL_res2366z00_4725; } } 
{ /* Unsafe/base64.scm 325 */
int BgL_q2z00_4732;
{ /* Unsafe/base64.scm 326 */
int BgL_arg1477z00_4733;
{ /* Unsafe/base64.scm 300 */
int BgL_res2367z00_4734;
{ /* Unsafe/base64.scm 300 */
int BgL_tmpz00_5532;
BgL_tmpz00_5532 = 
(int)(((long)2)); 
BgL_res2367z00_4734 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4577, BgL_tmpz00_5532); } 
BgL_arg1477z00_4733 = BgL_res2367z00_4734; } 
{ /* Unsafe/base64.scm 326 */
int BgL_res2370z00_4735;
{ /* Unsafe/base64.scm 326 */
char BgL_cz00_4736;
BgL_cz00_4736 = 
(signed char)(BgL_arg1477z00_4733); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_4737;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_5536;
BgL_tmpz00_5536 = 
(long)(BgL_cz00_4736); 
BgL_arg1785z00_4737 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5536); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2369z00_4738;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_4739;
BgL_xz00_4739 = 
(int8_t)(BgL_arg1785z00_4737); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_4740;
BgL_arg2171z00_4740 = 
(long)(BgL_xz00_4739); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2368z00_4741;
BgL_res2368z00_4741 = 
(long)(BgL_arg2171z00_4740); 
BgL_res2369z00_4738 = BgL_res2368z00_4741; } } } 
BgL_res2370z00_4735 = 
(int)(BgL_res2369z00_4738); } } } 
BgL_q2z00_4732 = BgL_res2370z00_4735; } } 
{ /* Unsafe/base64.scm 326 */
long BgL_v0z00_4742;
BgL_v0z00_4742 = 
(
(
(long)(BgL_q0z00_4712) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_4722) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 327 */
long BgL_v1z00_4743;
BgL_v1z00_4743 = 
(
(
(
(long)(BgL_q1z00_4722) << 
(int)(((long)4))) & ((long)240)) | 
(
(long)(BgL_q2z00_4732) >> 
(int)(((long)2)))); 
{ /* Unsafe/base64.scm 328 */
long BgL_v2z00_4744;
BgL_v2z00_4744 = 
(
(
(long)(BgL_q2z00_4732) << 
(int)(((long)6))) & ((long)192)); 
{ /* Unsafe/base64.scm 329 */

{ /* Unsafe/base64.scm 330 */
unsigned char BgL_arg1464z00_4745;
BgL_arg1464z00_4745 = 
(BgL_v0z00_4742); 
STRING_SET(BgL_bufz00_4579, BgL_wz00_4641, BgL_arg1464z00_4745); } 
{ /* Unsafe/base64.scm 331 */
unsigned char BgL_auxz00_5566;long BgL_tmpz00_5564;
BgL_auxz00_5566 = 
(BgL_v1z00_4743); 
BgL_tmpz00_5564 = 
(BgL_wz00_4641+((long)1)); 
STRING_SET(BgL_bufz00_4579, BgL_tmpz00_5564, BgL_auxz00_5566); } 
{ /* Unsafe/base64.scm 332 */
unsigned char BgL_auxz00_5571;long BgL_tmpz00_5569;
BgL_auxz00_5571 = 
(BgL_v2z00_4744); 
BgL_tmpz00_5569 = 
(BgL_wz00_4641+((long)2)); 
STRING_SET(BgL_bufz00_4579, BgL_tmpz00_5569, BgL_auxz00_5571); } 
{ /* Unsafe/base64.scm 333 */
long BgL_tmpz00_5574;
BgL_tmpz00_5574 = 
(BgL_wz00_4641+((long)2)); 
return 
bgl_display_substring(BgL_bufz00_4579, ((long)0), BgL_tmpz00_5574, BgL_opz00_4578);} } } } } } } } }  else 
{ /* Unsafe/base64.scm 357 */
return BFALSE;} break;case ((long)1) : 

goto BgL_chunk3z00_4647;break;case ((long)0) : 

{ /* Unsafe/base64.scm 306 */
int BgL_q0z00_4667;
{ /* Unsafe/base64.scm 306 */
int BgL_arg1500z00_4668;
{ /* Unsafe/base64.scm 300 */
int BgL_res2386z00_4669;
{ /* Unsafe/base64.scm 300 */
int BgL_tmpz00_5577;
BgL_tmpz00_5577 = 
(int)(((long)0)); 
BgL_res2386z00_4669 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4577, BgL_tmpz00_5577); } 
BgL_arg1500z00_4668 = BgL_res2386z00_4669; } 
{ /* Unsafe/base64.scm 306 */
int BgL_res2389z00_4670;
{ /* Unsafe/base64.scm 306 */
char BgL_cz00_4671;
BgL_cz00_4671 = 
(signed char)(BgL_arg1500z00_4668); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_4672;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_5581;
BgL_tmpz00_5581 = 
(long)(BgL_cz00_4671); 
BgL_arg1785z00_4672 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5581); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2388z00_4673;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_4674;
BgL_xz00_4674 = 
(int8_t)(BgL_arg1785z00_4672); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_4675;
BgL_arg2171z00_4675 = 
(long)(BgL_xz00_4674); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2387z00_4676;
BgL_res2387z00_4676 = 
(long)(BgL_arg2171z00_4675); 
BgL_res2388z00_4673 = BgL_res2387z00_4676; } } } 
BgL_res2389z00_4670 = 
(int)(BgL_res2388z00_4673); } } } 
BgL_q0z00_4667 = BgL_res2389z00_4670; } } 
{ /* Unsafe/base64.scm 306 */
int BgL_q1z00_4677;
{ /* Unsafe/base64.scm 307 */
int BgL_arg1499z00_4678;
{ /* Unsafe/base64.scm 300 */
int BgL_res2390z00_4679;
{ /* Unsafe/base64.scm 300 */
int BgL_tmpz00_5588;
BgL_tmpz00_5588 = 
(int)(((long)1)); 
BgL_res2390z00_4679 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4577, BgL_tmpz00_5588); } 
BgL_arg1499z00_4678 = BgL_res2390z00_4679; } 
{ /* Unsafe/base64.scm 307 */
int BgL_res2393z00_4680;
{ /* Unsafe/base64.scm 307 */
char BgL_cz00_4681;
BgL_cz00_4681 = 
(signed char)(BgL_arg1499z00_4678); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_4682;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_5592;
BgL_tmpz00_5592 = 
(long)(BgL_cz00_4681); 
BgL_arg1785z00_4682 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5592); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2392z00_4683;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_4684;
BgL_xz00_4684 = 
(int8_t)(BgL_arg1785z00_4682); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_4685;
BgL_arg2171z00_4685 = 
(long)(BgL_xz00_4684); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2391z00_4686;
BgL_res2391z00_4686 = 
(long)(BgL_arg2171z00_4685); 
BgL_res2392z00_4683 = BgL_res2391z00_4686; } } } 
BgL_res2393z00_4680 = 
(int)(BgL_res2392z00_4683); } } } 
BgL_q1z00_4677 = BgL_res2393z00_4680; } } 
{ /* Unsafe/base64.scm 307 */
int BgL_q2z00_4687;
{ /* Unsafe/base64.scm 308 */
int BgL_arg1498z00_4688;
{ /* Unsafe/base64.scm 300 */
int BgL_res2394z00_4689;
{ /* Unsafe/base64.scm 300 */
int BgL_tmpz00_5599;
BgL_tmpz00_5599 = 
(int)(((long)2)); 
BgL_res2394z00_4689 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4577, BgL_tmpz00_5599); } 
BgL_arg1498z00_4688 = BgL_res2394z00_4689; } 
{ /* Unsafe/base64.scm 308 */
int BgL_res2397z00_4690;
{ /* Unsafe/base64.scm 308 */
char BgL_cz00_4691;
BgL_cz00_4691 = 
(signed char)(BgL_arg1498z00_4688); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_4692;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_5603;
BgL_tmpz00_5603 = 
(long)(BgL_cz00_4691); 
BgL_arg1785z00_4692 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5603); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2396z00_4693;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_4694;
BgL_xz00_4694 = 
(int8_t)(BgL_arg1785z00_4692); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_4695;
BgL_arg2171z00_4695 = 
(long)(BgL_xz00_4694); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2395z00_4696;
BgL_res2395z00_4696 = 
(long)(BgL_arg2171z00_4695); 
BgL_res2396z00_4693 = BgL_res2395z00_4696; } } } 
BgL_res2397z00_4690 = 
(int)(BgL_res2396z00_4693); } } } 
BgL_q2z00_4687 = BgL_res2397z00_4690; } } 
{ /* Unsafe/base64.scm 308 */
int BgL_q3z00_4697;
{ /* Unsafe/base64.scm 309 */
int BgL_arg1497z00_4698;
{ /* Unsafe/base64.scm 300 */
int BgL_res2398z00_4699;
{ /* Unsafe/base64.scm 300 */
int BgL_tmpz00_5610;
BgL_tmpz00_5610 = 
(int)(((long)3)); 
BgL_res2398z00_4699 = 
RGC_BUFFER_BYTE_REF(BgL_iportz00_4577, BgL_tmpz00_5610); } 
BgL_arg1497z00_4698 = BgL_res2398z00_4699; } 
{ /* Unsafe/base64.scm 309 */
int BgL_res2401z00_4700;
{ /* Unsafe/base64.scm 309 */
char BgL_cz00_4701;
BgL_cz00_4701 = 
(signed char)(BgL_arg1497z00_4698); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_4702;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_5614;
BgL_tmpz00_5614 = 
(long)(BgL_cz00_4701); 
BgL_arg1785z00_4702 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_5614); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2400z00_4703;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_4704;
BgL_xz00_4704 = 
(int8_t)(BgL_arg1785z00_4702); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_4705;
BgL_arg2171z00_4705 = 
(long)(BgL_xz00_4704); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2399z00_4706;
BgL_res2399z00_4706 = 
(long)(BgL_arg2171z00_4705); 
BgL_res2400z00_4703 = BgL_res2399z00_4706; } } } 
BgL_res2401z00_4700 = 
(int)(BgL_res2400z00_4703); } } } 
BgL_q3z00_4697 = BgL_res2401z00_4700; } } 
{ /* Unsafe/base64.scm 309 */
long BgL_v0z00_4707;
BgL_v0z00_4707 = 
(
(
(long)(BgL_q0z00_4667) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_4677) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 310 */
long BgL_v1z00_4708;
BgL_v1z00_4708 = 
(
(
(
(long)(BgL_q1z00_4677) << 
(int)(((long)4))) & ((long)240)) | 
(
(long)(BgL_q2z00_4687) >> 
(int)(((long)2)))); 
{ /* Unsafe/base64.scm 311 */
long BgL_v2z00_4709;
BgL_v2z00_4709 = 
(
(
(
(long)(BgL_q2z00_4687) << 
(int)(((long)6))) & ((long)192)) | 
(long)(BgL_q3z00_4697)); 
{ /* Unsafe/base64.scm 312 */

{ /* Unsafe/base64.scm 313 */
unsigned char BgL_arg1482z00_4710;
BgL_arg1482z00_4710 = 
(BgL_v0z00_4707); 
STRING_SET(BgL_bufz00_4579, BgL_wz00_4641, BgL_arg1482z00_4710); } 
{ /* Unsafe/base64.scm 314 */
unsigned char BgL_auxz00_5646;long BgL_tmpz00_5644;
BgL_auxz00_5646 = 
(BgL_v1z00_4708); 
BgL_tmpz00_5644 = 
(BgL_wz00_4641+((long)1)); 
STRING_SET(BgL_bufz00_4579, BgL_tmpz00_5644, BgL_auxz00_5646); } 
{ /* Unsafe/base64.scm 315 */
unsigned char BgL_auxz00_5651;long BgL_tmpz00_5649;
BgL_auxz00_5651 = 
(BgL_v2z00_4709); 
BgL_tmpz00_5649 = 
(BgL_wz00_4641+((long)2)); 
STRING_SET(BgL_bufz00_4579, BgL_tmpz00_5649, BgL_auxz00_5651); } 
{ /* Unsafe/base64.scm 316 */
long BgL_nwz00_4711;
BgL_nwz00_4711 = 
(BgL_wz00_4641+((long)3)); 
if(
(BgL_nwz00_4711==BgL_lenz00_4581))
{ /* Unsafe/base64.scm 317 */
bgl_display_string(BgL_bufz00_4579, BgL_opz00_4578); 
BgL_wz00_4641 = ((long)0); }  else 
{ /* Unsafe/base64.scm 317 */
BgL_wz00_4641 = BgL_nwz00_4711; } } } } } } } } } } 
goto BgL_ignorez00_4645;break;
default: 
return 
BGl_errorz00zz__errorz00(BGl_string2846z00zz__base64z00, BGl_string2847z00zz__base64z00, 
BINT(BgL_matchz00_4659));} } } } } } 
BGL_FUNCTION_END;
}



/* encode-char */
unsigned char BGl_encodezd2charzd2zz__base64z00(long BgL_oz00_3)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 65 */
return 
STRING_REF(BGl_string2852z00zz__base64z00, BgL_oz00_3);} 
BGL_FUNCTION_END;
}



/* _base64-encode */
obj_t BGl__base64zd2encodezd2zz__base64z00(obj_t BgL_envz00_7, obj_t BgL_optz00_6)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 71 */
{ /* Unsafe/base64.scm 71 */
obj_t BgL_g1139z00_2063;
BgL_g1139z00_2063 = 
VECTOR_REF(BgL_optz00_6,((long)0)); 
switch( 
VECTOR_LENGTH(BgL_optz00_6)) { case ((long)1) : 

{ /* Unsafe/base64.scm 71 */

{ /* Unsafe/base64.scm 71 */
obj_t BgL_auxz00_5663;
if(
STRINGP(BgL_g1139z00_2063))
{ /* Unsafe/base64.scm 71 */
BgL_auxz00_5663 = BgL_g1139z00_2063
; }  else 
{ 
obj_t BgL_auxz00_5666;
BgL_auxz00_5666 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2853z00zz__base64z00, 
BINT(((long)2752)), BGl_string2854z00zz__base64z00, BGl_string2855z00zz__base64z00, BgL_g1139z00_2063); 
FAILURE(BgL_auxz00_5666,BFALSE,BFALSE);} 
return 
BGl_base64zd2encodezd2zz__base64z00(BgL_auxz00_5663, 
BINT(((long)76)));} } break;case ((long)2) : 

{ /* Unsafe/base64.scm 71 */
obj_t BgL_paddingz00_2068;
BgL_paddingz00_2068 = 
VECTOR_REF(BgL_optz00_6,((long)1)); 
{ /* Unsafe/base64.scm 71 */

{ /* Unsafe/base64.scm 71 */
obj_t BgL_auxz00_5673;
if(
STRINGP(BgL_g1139z00_2063))
{ /* Unsafe/base64.scm 71 */
BgL_auxz00_5673 = BgL_g1139z00_2063
; }  else 
{ 
obj_t BgL_auxz00_5676;
BgL_auxz00_5676 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2853z00zz__base64z00, 
BINT(((long)2752)), BGl_string2854z00zz__base64z00, BGl_string2855z00zz__base64z00, BgL_g1139z00_2063); 
FAILURE(BgL_auxz00_5676,BFALSE,BFALSE);} 
return 
BGl_base64zd2encodezd2zz__base64z00(BgL_auxz00_5673, BgL_paddingz00_2068);} } } break;
default: 
return BUNSPEC;} } } 
BGL_FUNCTION_END;
}



/* base64-encode */
BGL_EXPORTED_DEF obj_t BGl_base64zd2encodezd2zz__base64z00(obj_t BgL_sz00_4, obj_t BgL_paddingz00_5)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 71 */
{ /* Unsafe/base64.scm 74 */
long BgL_lenz00_2072;
BgL_lenz00_2072 = 
STRING_LENGTH(BgL_sz00_4); 
{ /* Unsafe/base64.scm 75 */
long BgL_lenzd23zd2_2073;
BgL_lenzd23zd2_2073 = 
(BgL_lenz00_2072-((long)3)); 
{ /* Unsafe/base64.scm 76 */
long BgL_rlenz00_2074;
BgL_rlenz00_2074 = 
(((long)4)*
(
(((long)2)+BgL_lenz00_2072)/((long)3))); 
{ /* Unsafe/base64.scm 77 */
long BgL_padz00_2075;
{ /* Unsafe/base64.scm 78 */
bool_t BgL_testz00_5688;
if(
INTEGERP(BgL_paddingz00_5))
{ /* Unsafe/base64.scm 78 */
BgL_testz00_5688 = 
(
(long)CINT(BgL_paddingz00_5)>((long)0))
; }  else 
{ /* Unsafe/base64.scm 78 */
BgL_testz00_5688 = ((bool_t)0)
; } 
if(BgL_testz00_5688)
{ /* Unsafe/base64.scm 78 */
BgL_padz00_2075 = 
(
(((long)3)*
(long)CINT(BgL_paddingz00_5))/((long)4)); }  else 
{ /* Unsafe/base64.scm 78 */
BgL_padz00_2075 = ((long)-1); } } 
{ /* Unsafe/base64.scm 78 */
long BgL_flenz00_2076;
if(
(BgL_padz00_2075>((long)0)))
{ /* Unsafe/base64.scm 81 */
BgL_flenz00_2076 = 
(BgL_rlenz00_2074+
(BgL_rlenz00_2074/
(long)CINT(BgL_paddingz00_5))); }  else 
{ /* Unsafe/base64.scm 81 */
BgL_flenz00_2076 = BgL_rlenz00_2074; } 
{ /* Unsafe/base64.scm 81 */
obj_t BgL_resz00_2077;
BgL_resz00_2077 = 
make_string(BgL_flenz00_2076, ((unsigned char)10)); 
{ /* Unsafe/base64.scm 84 */

{ 
long BgL_xz00_2079;long BgL_yz00_2080;
BgL_xz00_2079 = ((long)0); 
BgL_yz00_2080 = ((long)0); 
BgL_zc3anonymousza31690ze3z83_2081:
if(
(BgL_xz00_2079<=BgL_lenzd23zd2_2073))
{ /* Unsafe/base64.scm 88 */
long BgL_i0z00_2083;
BgL_i0z00_2083 = 
(
STRING_REF(BgL_sz00_4, BgL_xz00_2079)); 
{ /* Unsafe/base64.scm 88 */
long BgL_i1z00_2084;
BgL_i1z00_2084 = 
(
STRING_REF(BgL_sz00_4, 
(((long)1)+BgL_xz00_2079))); 
{ /* Unsafe/base64.scm 89 */
long BgL_i2z00_2085;
BgL_i2z00_2085 = 
(
STRING_REF(BgL_sz00_4, 
(((long)2)+BgL_xz00_2079))); 
{ /* Unsafe/base64.scm 90 */
long BgL_o0z00_2086;
BgL_o0z00_2086 = 
(
(BgL_i0z00_2083 & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 91 */
long BgL_o1z00_2087;
BgL_o1z00_2087 = 
(
(
(BgL_i0z00_2083 & ((long)3)) << 
(int)(((long)4))) | 
(
(BgL_i1z00_2084 & ((long)240)) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 92 */
long BgL_o2z00_2088;
BgL_o2z00_2088 = 
(
(
(BgL_i1z00_2084 & ((long)15)) << 
(int)(((long)2))) | 
(
(BgL_i2z00_2085 & ((long)192)) >> 
(int)(((long)6)))); 
{ /* Unsafe/base64.scm 94 */
long BgL_o3z00_2089;
BgL_o3z00_2089 = 
(BgL_i2z00_2085 & ((long)63)); 
{ /* Unsafe/base64.scm 96 */

{ /* Unsafe/base64.scm 97 */
unsigned char BgL_tmpz00_5730;
BgL_tmpz00_5730 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2086); 
STRING_SET(BgL_resz00_2077, BgL_yz00_2080, BgL_tmpz00_5730); } 
{ /* Unsafe/base64.scm 98 */
unsigned char BgL_auxz00_5735;long BgL_tmpz00_5733;
BgL_auxz00_5735 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2087); 
BgL_tmpz00_5733 = 
(BgL_yz00_2080+((long)1)); 
STRING_SET(BgL_resz00_2077, BgL_tmpz00_5733, BgL_auxz00_5735); } 
{ /* Unsafe/base64.scm 99 */
unsigned char BgL_auxz00_5740;long BgL_tmpz00_5738;
BgL_auxz00_5740 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o2z00_2088); 
BgL_tmpz00_5738 = 
(BgL_yz00_2080+((long)2)); 
STRING_SET(BgL_resz00_2077, BgL_tmpz00_5738, BgL_auxz00_5740); } 
{ /* Unsafe/base64.scm 100 */
unsigned char BgL_auxz00_5745;long BgL_tmpz00_5743;
BgL_auxz00_5745 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o3z00_2089); 
BgL_tmpz00_5743 = 
(BgL_yz00_2080+((long)3)); 
STRING_SET(BgL_resz00_2077, BgL_tmpz00_5743, BgL_auxz00_5745); } 
{ /* Unsafe/base64.scm 101 */
long BgL_nxz00_2097;
BgL_nxz00_2097 = 
(BgL_xz00_2079+((long)3)); 
{ /* Unsafe/base64.scm 102 */
bool_t BgL_testz00_5749;
if(
(BgL_padz00_2075>((long)0)))
{ /* Unsafe/base64.scm 102 */
long BgL_arg1705z00_2104;
{ /* Unsafe/base64.scm 102 */
long BgL_res2537z00_3672;
BgL_res2537z00_3672 = 
(BgL_nxz00_2097%BgL_padz00_2075); 
BgL_arg1705z00_2104 = BgL_res2537z00_3672; } 
BgL_testz00_5749 = 
(BgL_arg1705z00_2104==((long)0)); }  else 
{ /* Unsafe/base64.scm 102 */
BgL_testz00_5749 = ((bool_t)0)
; } 
if(BgL_testz00_5749)
{ 
long BgL_yz00_5755;long BgL_xz00_5754;
BgL_xz00_5754 = BgL_nxz00_2097; 
BgL_yz00_5755 = 
(BgL_yz00_2080+((long)5)); 
BgL_yz00_2080 = BgL_yz00_5755; 
BgL_xz00_2079 = BgL_xz00_5754; 
goto BgL_zc3anonymousza31690ze3z83_2081;}  else 
{ 
long BgL_yz00_5758;long BgL_xz00_5757;
BgL_xz00_5757 = BgL_nxz00_2097; 
BgL_yz00_5758 = 
(BgL_yz00_2080+((long)4)); 
BgL_yz00_2080 = BgL_yz00_5758; 
BgL_xz00_2079 = BgL_xz00_5757; 
goto BgL_zc3anonymousza31690ze3z83_2081;} } } } } } } } } } }  else 
{ /* Unsafe/base64.scm 105 */
long BgL_aux1039z00_2120;
BgL_aux1039z00_2120 = 
(BgL_lenz00_2072-BgL_xz00_2079); 
switch( BgL_aux1039z00_2120) { case ((long)2) : 

{ /* Unsafe/base64.scm 107 */
long BgL_i0z00_2122;
BgL_i0z00_2122 = 
(
STRING_REF(BgL_sz00_4, BgL_xz00_2079)); 
{ /* Unsafe/base64.scm 107 */
long BgL_i1z00_2123;
BgL_i1z00_2123 = 
(
STRING_REF(BgL_sz00_4, 
(BgL_xz00_2079+((long)1)))); 
{ /* Unsafe/base64.scm 108 */
long BgL_o0z00_2124;
BgL_o0z00_2124 = 
(
(BgL_i0z00_2122 & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 109 */
long BgL_o1z00_2125;
BgL_o1z00_2125 = 
(
(
(BgL_i0z00_2122 & ((long)3)) << 
(int)(((long)4))) | 
(
(BgL_i1z00_2123 & ((long)240)) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 110 */
long BgL_o2z00_2126;
BgL_o2z00_2126 = 
(
(BgL_i1z00_2123 & ((long)15)) << 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 112 */

{ /* Unsafe/base64.scm 113 */
unsigned char BgL_tmpz00_5779;
BgL_tmpz00_5779 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2124); 
STRING_SET(BgL_resz00_2077, BgL_yz00_2080, BgL_tmpz00_5779); } 
{ /* Unsafe/base64.scm 114 */
unsigned char BgL_auxz00_5784;long BgL_tmpz00_5782;
BgL_auxz00_5784 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2125); 
BgL_tmpz00_5782 = 
(BgL_yz00_2080+((long)1)); 
STRING_SET(BgL_resz00_2077, BgL_tmpz00_5782, BgL_auxz00_5784); } 
{ /* Unsafe/base64.scm 115 */
unsigned char BgL_auxz00_5789;long BgL_tmpz00_5787;
BgL_auxz00_5789 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o2z00_2126); 
BgL_tmpz00_5787 = 
(BgL_yz00_2080+((long)2)); 
STRING_SET(BgL_resz00_2077, BgL_tmpz00_5787, BgL_auxz00_5789); } 
{ /* Unsafe/base64.scm 116 */
long BgL_tmpz00_5792;
BgL_tmpz00_5792 = 
(BgL_yz00_2080+((long)3)); 
STRING_SET(BgL_resz00_2077, BgL_tmpz00_5792, ((unsigned char)'=')); } } } } } } } break;case ((long)1) : 

{ /* Unsafe/base64.scm 118 */
long BgL_iz00_2142;
BgL_iz00_2142 = 
(
STRING_REF(BgL_sz00_4, BgL_xz00_2079)); 
{ /* Unsafe/base64.scm 118 */
long BgL_o0z00_2143;
BgL_o0z00_2143 = 
(
(BgL_iz00_2142 & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 119 */
long BgL_o1z00_2144;
BgL_o1z00_2144 = 
(
(BgL_iz00_2142 & ((long)3)) << 
(int)(((long)4))); 
{ /* Unsafe/base64.scm 120 */

{ /* Unsafe/base64.scm 121 */
unsigned char BgL_tmpz00_5803;
BgL_tmpz00_5803 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2143); 
STRING_SET(BgL_resz00_2077, BgL_yz00_2080, BgL_tmpz00_5803); } 
{ /* Unsafe/base64.scm 122 */
unsigned char BgL_auxz00_5808;long BgL_tmpz00_5806;
BgL_auxz00_5808 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2144); 
BgL_tmpz00_5806 = 
(BgL_yz00_2080+((long)1)); 
STRING_SET(BgL_resz00_2077, BgL_tmpz00_5806, BgL_auxz00_5808); } 
{ /* Unsafe/base64.scm 123 */
long BgL_tmpz00_5811;
BgL_tmpz00_5811 = 
(BgL_yz00_2080+((long)2)); 
STRING_SET(BgL_resz00_2077, BgL_tmpz00_5811, ((unsigned char)'=')); } 
{ /* Unsafe/base64.scm 124 */
long BgL_tmpz00_5814;
BgL_tmpz00_5814 = 
(BgL_yz00_2080+((long)3)); 
STRING_SET(BgL_resz00_2077, BgL_tmpz00_5814, ((unsigned char)'=')); } } } } } break;
default: BUNSPEC; } } } 
return BgL_resz00_2077;} } } } } } } } 
BGL_FUNCTION_END;
}



/* _base64-encode-port */
obj_t BGl__base64zd2encodezd2portz00zz__base64z00(obj_t BgL_envz00_12, obj_t BgL_optz00_11)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 130 */
{ /* Unsafe/base64.scm 130 */
obj_t BgL_g1142z00_2162;obj_t BgL_g1143z00_2163;
BgL_g1142z00_2162 = 
VECTOR_REF(BgL_optz00_11,((long)0)); 
BgL_g1143z00_2163 = 
VECTOR_REF(BgL_optz00_11,((long)1)); 
switch( 
VECTOR_LENGTH(BgL_optz00_11)) { case ((long)2) : 

{ /* Unsafe/base64.scm 130 */

{ /* Unsafe/base64.scm 130 */
obj_t BgL_auxz00_5827;obj_t BgL_auxz00_5820;
if(
OUTPUT_PORTP(BgL_g1143z00_2163))
{ /* Unsafe/base64.scm 130 */
BgL_auxz00_5827 = BgL_g1143z00_2163
; }  else 
{ 
obj_t BgL_auxz00_5830;
BgL_auxz00_5830 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2853z00zz__base64z00, 
BINT(((long)4911)), BGl_string2856z00zz__base64z00, BGl_string2858z00zz__base64z00, BgL_g1143z00_2163); 
FAILURE(BgL_auxz00_5830,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_g1142z00_2162))
{ /* Unsafe/base64.scm 130 */
BgL_auxz00_5820 = BgL_g1142z00_2162
; }  else 
{ 
obj_t BgL_auxz00_5823;
BgL_auxz00_5823 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2853z00zz__base64z00, 
BINT(((long)4911)), BGl_string2856z00zz__base64z00, BGl_string2857z00zz__base64z00, BgL_g1142z00_2162); 
FAILURE(BgL_auxz00_5823,BFALSE,BFALSE);} 
return 
BGl_base64zd2encodezd2portz00zz__base64z00(BgL_auxz00_5820, BgL_auxz00_5827, 
BINT(((long)76)));} } break;case ((long)3) : 

{ /* Unsafe/base64.scm 130 */
obj_t BgL_paddingz00_2168;
BgL_paddingz00_2168 = 
VECTOR_REF(BgL_optz00_11,((long)2)); 
{ /* Unsafe/base64.scm 130 */

{ /* Unsafe/base64.scm 130 */
obj_t BgL_auxz00_5844;obj_t BgL_auxz00_5837;
if(
OUTPUT_PORTP(BgL_g1143z00_2163))
{ /* Unsafe/base64.scm 130 */
BgL_auxz00_5844 = BgL_g1143z00_2163
; }  else 
{ 
obj_t BgL_auxz00_5847;
BgL_auxz00_5847 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2853z00zz__base64z00, 
BINT(((long)4911)), BGl_string2856z00zz__base64z00, BGl_string2858z00zz__base64z00, BgL_g1143z00_2163); 
FAILURE(BgL_auxz00_5847,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_g1142z00_2162))
{ /* Unsafe/base64.scm 130 */
BgL_auxz00_5837 = BgL_g1142z00_2162
; }  else 
{ 
obj_t BgL_auxz00_5840;
BgL_auxz00_5840 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2853z00zz__base64z00, 
BINT(((long)4911)), BGl_string2856z00zz__base64z00, BGl_string2857z00zz__base64z00, BgL_g1142z00_2162); 
FAILURE(BgL_auxz00_5840,BFALSE,BFALSE);} 
return 
BGl_base64zd2encodezd2portz00zz__base64z00(BgL_auxz00_5837, BgL_auxz00_5844, BgL_paddingz00_2168);} } } break;
default: 
return BUNSPEC;} } } 
BGL_FUNCTION_END;
}



/* base64-encode-port */
BGL_EXPORTED_DEF obj_t BGl_base64zd2encodezd2portz00zz__base64z00(obj_t BgL_ipz00_8, obj_t BgL_opz00_9, obj_t BgL_paddingz00_10)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 130 */
{ /* Unsafe/base64.scm 131 */
long BgL_padz00_2169;
BgL_padz00_2169 = 
(
(long)CINT(BgL_paddingz00_10)-((long)4)); 
{ 
long BgL_iz00_2171;
BgL_iz00_2171 = ((long)0); 
BgL_zc3anonymousza31752ze3z83_2172:
{ /* Unsafe/base64.scm 133 */
obj_t BgL_i0z00_2173;
BgL_i0z00_2173 = 
BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_ipz00_8); 
{ /* Unsafe/base64.scm 134 */
bool_t BgL_testz00_5857;
{ /* Unsafe/base64.scm 134 */
bool_t BgL_res2569z00_3764;
BgL_res2569z00_3764 = 
EOF_OBJECTP(BgL_i0z00_2173); 
BgL_testz00_5857 = BgL_res2569z00_3764; } 
if(BgL_testz00_5857)
{ /* Unsafe/base64.scm 134 */
return BFALSE;}  else 
{ /* Unsafe/base64.scm 135 */
obj_t BgL_i1z00_2175;
BgL_i1z00_2175 = 
BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_ipz00_8); 
{ /* Unsafe/base64.scm 136 */
bool_t BgL_testz00_5860;
{ /* Unsafe/base64.scm 136 */
bool_t BgL_res2570z00_3765;
BgL_res2570z00_3765 = 
EOF_OBJECTP(BgL_i1z00_2175); 
BgL_testz00_5860 = BgL_res2570z00_3765; } 
if(BgL_testz00_5860)
{ /* Unsafe/base64.scm 137 */
long BgL_o0z00_2177;
BgL_o0z00_2177 = 
(
(
(long)CINT(BgL_i0z00_2173) & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 137 */
long BgL_o1z00_2178;
BgL_o1z00_2178 = 
(
(
(long)CINT(BgL_i0z00_2173) & ((long)3)) << 
(int)(((long)4))); 
{ /* Unsafe/base64.scm 138 */

{ /* Unsafe/base64.scm 139 */
unsigned char BgL_tmpz00_5870;
BgL_tmpz00_5870 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2177); 
bgl_display_char(BgL_tmpz00_5870, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 140 */
unsigned char BgL_tmpz00_5873;
BgL_tmpz00_5873 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2178); 
bgl_display_char(BgL_tmpz00_5873, BgL_opz00_9); } 
bgl_display_char(((unsigned char)'='), BgL_opz00_9); 
return 
bgl_display_char(((unsigned char)'='), BgL_opz00_9);} } }  else 
{ /* Unsafe/base64.scm 143 */
obj_t BgL_i2z00_2183;
BgL_i2z00_2183 = 
BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_ipz00_8); 
{ /* Unsafe/base64.scm 144 */
bool_t BgL_testz00_5879;
{ /* Unsafe/base64.scm 144 */
bool_t BgL_res2575z00_3782;
BgL_res2575z00_3782 = 
EOF_OBJECTP(BgL_i2z00_2183); 
BgL_testz00_5879 = BgL_res2575z00_3782; } 
if(BgL_testz00_5879)
{ /* Unsafe/base64.scm 145 */
long BgL_o0z00_2185;
BgL_o0z00_2185 = 
(
(
(long)CINT(BgL_i0z00_2173) & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 145 */
long BgL_o1z00_2186;
BgL_o1z00_2186 = 
(
(
(
(long)CINT(BgL_i0z00_2173) & ((long)3)) << 
(int)(((long)4))) | 
(
(
(long)CINT(BgL_i1z00_2175) & ((long)240)) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 146 */
long BgL_o2z00_2187;
BgL_o2z00_2187 = 
(
(
(long)CINT(BgL_i1z00_2175) & ((long)15)) << 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 148 */

{ /* Unsafe/base64.scm 149 */
unsigned char BgL_tmpz00_5898;
BgL_tmpz00_5898 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2185); 
bgl_display_char(BgL_tmpz00_5898, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 150 */
unsigned char BgL_tmpz00_5901;
BgL_tmpz00_5901 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2186); 
bgl_display_char(BgL_tmpz00_5901, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 151 */
unsigned char BgL_tmpz00_5904;
BgL_tmpz00_5904 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o2z00_2187); 
bgl_display_char(BgL_tmpz00_5904, BgL_opz00_9); } 
return 
bgl_display_char(((unsigned char)'='), BgL_opz00_9);} } } }  else 
{ /* Unsafe/base64.scm 153 */
long BgL_o0z00_2197;
BgL_o0z00_2197 = 
(
(
(long)CINT(BgL_i0z00_2173) & ((long)252)) >> 
(int)(((long)2))); 
{ /* Unsafe/base64.scm 153 */
long BgL_o1z00_2198;
BgL_o1z00_2198 = 
(
(
(
(long)CINT(BgL_i0z00_2173) & ((long)3)) << 
(int)(((long)4))) | 
(
(
(long)CINT(BgL_i1z00_2175) & ((long)240)) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 154 */
long BgL_o2z00_2199;
BgL_o2z00_2199 = 
(
(
(
(long)CINT(BgL_i1z00_2175) & ((long)15)) << 
(int)(((long)2))) | 
(
(
(long)CINT(BgL_i2z00_2183) & ((long)192)) >> 
(int)(((long)6)))); 
{ /* Unsafe/base64.scm 156 */
long BgL_o3z00_2200;
BgL_o3z00_2200 = 
(
(long)CINT(BgL_i2z00_2183) & ((long)63)); 
{ /* Unsafe/base64.scm 158 */

{ /* Unsafe/base64.scm 159 */
unsigned char BgL_tmpz00_5932;
BgL_tmpz00_5932 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o0z00_2197); 
bgl_display_char(BgL_tmpz00_5932, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 160 */
unsigned char BgL_tmpz00_5935;
BgL_tmpz00_5935 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o1z00_2198); 
bgl_display_char(BgL_tmpz00_5935, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 161 */
unsigned char BgL_tmpz00_5938;
BgL_tmpz00_5938 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o2z00_2199); 
bgl_display_char(BgL_tmpz00_5938, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 162 */
unsigned char BgL_tmpz00_5941;
BgL_tmpz00_5941 = 
BGl_encodezd2charzd2zz__base64z00(BgL_o3z00_2200); 
bgl_display_char(BgL_tmpz00_5941, BgL_opz00_9); } 
{ /* Unsafe/base64.scm 163 */
bool_t BgL_testz00_5944;
if(
(BgL_iz00_2171>=BgL_padz00_2169))
{ /* Unsafe/base64.scm 163 */
BgL_testz00_5944 = 
(BgL_padz00_2169>((long)0))
; }  else 
{ /* Unsafe/base64.scm 163 */
BgL_testz00_5944 = ((bool_t)0)
; } 
if(BgL_testz00_5944)
{ /* Unsafe/base64.scm 163 */
bgl_display_char(((unsigned char)10), BgL_opz00_9); 
{ 
long BgL_iz00_5949;
BgL_iz00_5949 = ((long)0); 
BgL_iz00_2171 = BgL_iz00_5949; 
goto BgL_zc3anonymousza31752ze3z83_2172;} }  else 
{ 
long BgL_iz00_5950;
BgL_iz00_5950 = 
(BgL_iz00_2171+((long)4)); 
BgL_iz00_2171 = BgL_iz00_5950; 
goto BgL_zc3anonymousza31752ze3z83_2172;} } } } } } } } } } } } } } } } 
BGL_FUNCTION_END;
}



/* actual-string-length */
long BGl_actualzd2stringzd2lengthz00zz__base64z00(obj_t BgL_sz00_15)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 206 */
{ 
long BgL_iz00_2223;
BgL_iz00_2223 = 
(
STRING_LENGTH(BgL_sz00_15)-((long)1)); 
BgL_zc3anonymousza31787ze3z83_2224:
if(
(BgL_iz00_2223==((long)0)))
{ /* Unsafe/base64.scm 208 */
return BgL_iz00_2223;}  else 
{ /* Unsafe/base64.scm 210 */
unsigned char BgL_cz00_2226;
BgL_cz00_2226 = 
STRING_REF(BgL_sz00_15, BgL_iz00_2223); 
{ /* Unsafe/base64.scm 211 */
bool_t BgL_testz00_5955;
if(
(BgL_cz00_2226==((unsigned char)10)))
{ /* Unsafe/base64.scm 211 */
BgL_testz00_5955 = ((bool_t)1)
; }  else 
{ /* Unsafe/base64.scm 211 */
BgL_testz00_5955 = 
(BgL_cz00_2226==((unsigned char)13))
; } 
if(BgL_testz00_5955)
{ 
long BgL_iz00_5959;
BgL_iz00_5959 = 
(BgL_iz00_2223-((long)1)); 
BgL_iz00_2223 = BgL_iz00_5959; 
goto BgL_zc3anonymousza31787ze3z83_2224;}  else 
{ /* Unsafe/base64.scm 211 */
return 
(BgL_iz00_2223+((long)1));} } } } } 
BGL_FUNCTION_END;
}



/* _base64-decode */
obj_t BGl__base64zd2decodezd2zz__base64z00(obj_t BgL_envz00_19, obj_t BgL_optz00_18)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 218 */
{ /* Unsafe/base64.scm 218 */
obj_t BgL_g1146z00_2233;
BgL_g1146z00_2233 = 
VECTOR_REF(BgL_optz00_18,((long)0)); 
switch( 
VECTOR_LENGTH(BgL_optz00_18)) { case ((long)1) : 

{ /* Unsafe/base64.scm 218 */

{ /* Unsafe/base64.scm 218 */
obj_t BgL_auxz00_5965;
if(
STRINGP(BgL_g1146z00_2233))
{ /* Unsafe/base64.scm 218 */
BgL_auxz00_5965 = BgL_g1146z00_2233
; }  else 
{ 
obj_t BgL_auxz00_5968;
BgL_auxz00_5968 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2853z00zz__base64z00, 
BINT(((long)8420)), BGl_string2859z00zz__base64z00, BGl_string2855z00zz__base64z00, BgL_g1146z00_2233); 
FAILURE(BgL_auxz00_5968,BFALSE,BFALSE);} 
return 
BGl_base64zd2decodezd2zz__base64z00(BgL_auxz00_5965, BFALSE);} } break;case ((long)2) : 

{ /* Unsafe/base64.scm 218 */
obj_t BgL_eofzd2nozd2paddingz00_2238;
BgL_eofzd2nozd2paddingz00_2238 = 
VECTOR_REF(BgL_optz00_18,((long)1)); 
{ /* Unsafe/base64.scm 218 */

{ /* Unsafe/base64.scm 218 */
obj_t BgL_auxz00_5974;
if(
STRINGP(BgL_g1146z00_2233))
{ /* Unsafe/base64.scm 218 */
BgL_auxz00_5974 = BgL_g1146z00_2233
; }  else 
{ 
obj_t BgL_auxz00_5977;
BgL_auxz00_5977 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2853z00zz__base64z00, 
BINT(((long)8420)), BGl_string2859z00zz__base64z00, BGl_string2855z00zz__base64z00, BgL_g1146z00_2233); 
FAILURE(BgL_auxz00_5977,BFALSE,BFALSE);} 
return 
BGl_base64zd2decodezd2zz__base64z00(BgL_auxz00_5974, BgL_eofzd2nozd2paddingz00_2238);} } } break;
default: 
return BUNSPEC;} } } 
BGL_FUNCTION_END;
}



/* base64-decode */
BGL_EXPORTED_DEF obj_t BGl_base64zd2decodezd2zz__base64z00(obj_t BgL_sz00_16, obj_t BgL_eofzd2nozd2paddingz00_17)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 218 */
{ /* Unsafe/base64.scm 219 */
long BgL_lenz00_2239;
BgL_lenz00_2239 = 
BGl_actualzd2stringzd2lengthz00zz__base64z00(BgL_sz00_16); 
{ /* Unsafe/base64.scm 219 */
long BgL_nlenz00_2240;
if(
CBOOL(BgL_eofzd2nozd2paddingz00_17))
{ /* Unsafe/base64.scm 220 */
BgL_nlenz00_2240 = 
(
(((long)1)+
(BgL_lenz00_2239/((long)4)))*((long)3)); }  else 
{ /* Unsafe/base64.scm 220 */
BgL_nlenz00_2240 = 
(
(BgL_lenz00_2239/((long)4))*((long)3)); } 
{ /* Unsafe/base64.scm 220 */
obj_t BgL_resz00_2241;
{ /* Ieee/string.scm 167 */

BgL_resz00_2241 = 
make_string(BgL_nlenz00_2240, ((unsigned char)' ')); } 
{ /* Unsafe/base64.scm 223 */

{ 
long BgL_xz00_2243;long BgL_yz00_2244;
BgL_xz00_2243 = ((long)0); 
BgL_yz00_2244 = ((long)0); 
BgL_zc3anonymousza31794ze3z83_2245:
if(
(BgL_xz00_2243<BgL_lenz00_2239))
{ /* Unsafe/base64.scm 227 */
unsigned char BgL_cz00_2247;
BgL_cz00_2247 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2243+((long)0))); 
{ /* Unsafe/base64.scm 227 */
int BgL_q0z00_2248;
{ /* Unsafe/base64.scm 228 */
int BgL_res2628z00_3922;
{ /* Unsafe/base64.scm 228 */
unsigned char BgL_cz00_3910;
BgL_cz00_3910 = 
(char)(BgL_cz00_2247); 
{ /* Unsafe/base64.scm 201 */
long BgL_arg1786z00_3911;
BgL_arg1786z00_3911 = 
(
(unsigned char)(BgL_cz00_3910)); 
{ /* Unsafe/base64.scm 201 */
int BgL_res2627z00_3921;
{ /* Unsafe/base64.scm 201 */
char BgL_cz00_3914;
BgL_cz00_3914 = 
(signed char)(BgL_arg1786z00_3911); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_3915;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_6001;
BgL_tmpz00_6001 = 
(long)(BgL_cz00_3914); 
BgL_arg1785z00_3915 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_6001); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2626z00_3920;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_3916;
BgL_xz00_3916 = 
(int8_t)(BgL_arg1785z00_3915); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_3917;
BgL_arg2171z00_3917 = 
(long)(BgL_xz00_3916); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2625z00_3919;
BgL_res2625z00_3919 = 
(long)(BgL_arg2171z00_3917); 
BgL_res2626z00_3920 = BgL_res2625z00_3919; } } } 
BgL_res2627z00_3921 = 
(int)(BgL_res2626z00_3920); } } } 
BgL_res2628z00_3922 = BgL_res2627z00_3921; } } } 
BgL_q0z00_2248 = BgL_res2628z00_3922; } 
{ /* Unsafe/base64.scm 228 */

{ /* Unsafe/base64.scm 229 */
bool_t BgL_testz00_6008;
if(
(
(long)(BgL_q0z00_2248)==((long)0)))
{ /* Unsafe/base64.scm 230 */
bool_t BgL__ortest_1043z00_2336;
BgL__ortest_1043z00_2336 = 
(BgL_cz00_2247==((unsigned char)10)); 
if(BgL__ortest_1043z00_2336)
{ /* Unsafe/base64.scm 230 */
BgL_testz00_6008 = BgL__ortest_1043z00_2336
; }  else 
{ /* Unsafe/base64.scm 230 */
BgL_testz00_6008 = 
(BgL_cz00_2247==((unsigned char)13))
; } }  else 
{ /* Unsafe/base64.scm 229 */
BgL_testz00_6008 = ((bool_t)0)
; } 
if(BgL_testz00_6008)
{ 
long BgL_xz00_6015;
BgL_xz00_6015 = 
(BgL_xz00_2243+((long)1)); 
BgL_xz00_2243 = BgL_xz00_6015; 
goto BgL_zc3anonymousza31794ze3z83_2245;}  else 
{ /* Unsafe/base64.scm 229 */
if(
(BgL_xz00_2243<=
(BgL_lenz00_2239-((long)4))))
{ /* Unsafe/base64.scm 234 */
int BgL_q1z00_2255;
{ /* Unsafe/base64.scm 234 */
unsigned char BgL_arg1819z00_2279;
BgL_arg1819z00_2279 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2243+((long)1))); 
{ /* Unsafe/base64.scm 234 */
int BgL_res2641z00_3955;
{ /* Unsafe/base64.scm 234 */
unsigned char BgL_cz00_3943;
BgL_cz00_3943 = 
(char)(BgL_arg1819z00_2279); 
{ /* Unsafe/base64.scm 201 */
long BgL_arg1786z00_3944;
BgL_arg1786z00_3944 = 
(
(unsigned char)(BgL_cz00_3943)); 
{ /* Unsafe/base64.scm 201 */
int BgL_res2640z00_3954;
{ /* Unsafe/base64.scm 201 */
char BgL_cz00_3947;
BgL_cz00_3947 = 
(signed char)(BgL_arg1786z00_3944); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_3948;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_6026;
BgL_tmpz00_6026 = 
(long)(BgL_cz00_3947); 
BgL_arg1785z00_3948 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_6026); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2639z00_3953;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_3949;
BgL_xz00_3949 = 
(int8_t)(BgL_arg1785z00_3948); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_3950;
BgL_arg2171z00_3950 = 
(long)(BgL_xz00_3949); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2638z00_3952;
BgL_res2638z00_3952 = 
(long)(BgL_arg2171z00_3950); 
BgL_res2639z00_3953 = BgL_res2638z00_3952; } } } 
BgL_res2640z00_3954 = 
(int)(BgL_res2639z00_3953); } } } 
BgL_res2641z00_3955 = BgL_res2640z00_3954; } } } 
BgL_q1z00_2255 = BgL_res2641z00_3955; } } 
{ /* Unsafe/base64.scm 234 */
int BgL_q2z00_2256;
{ /* Unsafe/base64.scm 235 */
unsigned char BgL_arg1817z00_2277;
BgL_arg1817z00_2277 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2243+((long)2))); 
{ /* Unsafe/base64.scm 235 */
int BgL_res2648z00_3973;
{ /* Unsafe/base64.scm 235 */
unsigned char BgL_cz00_3961;
BgL_cz00_3961 = 
(char)(BgL_arg1817z00_2277); 
{ /* Unsafe/base64.scm 201 */
long BgL_arg1786z00_3962;
BgL_arg1786z00_3962 = 
(
(unsigned char)(BgL_cz00_3961)); 
{ /* Unsafe/base64.scm 201 */
int BgL_res2647z00_3972;
{ /* Unsafe/base64.scm 201 */
char BgL_cz00_3965;
BgL_cz00_3965 = 
(signed char)(BgL_arg1786z00_3962); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_3966;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_6039;
BgL_tmpz00_6039 = 
(long)(BgL_cz00_3965); 
BgL_arg1785z00_3966 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_6039); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2646z00_3971;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_3967;
BgL_xz00_3967 = 
(int8_t)(BgL_arg1785z00_3966); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_3968;
BgL_arg2171z00_3968 = 
(long)(BgL_xz00_3967); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2645z00_3970;
BgL_res2645z00_3970 = 
(long)(BgL_arg2171z00_3968); 
BgL_res2646z00_3971 = BgL_res2645z00_3970; } } } 
BgL_res2647z00_3972 = 
(int)(BgL_res2646z00_3971); } } } 
BgL_res2648z00_3973 = BgL_res2647z00_3972; } } } 
BgL_q2z00_2256 = BgL_res2648z00_3973; } } 
{ /* Unsafe/base64.scm 235 */
int BgL_q3z00_2257;
{ /* Unsafe/base64.scm 236 */
unsigned char BgL_arg1815z00_2275;
BgL_arg1815z00_2275 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2243+((long)3))); 
{ /* Unsafe/base64.scm 236 */
int BgL_res2655z00_3991;
{ /* Unsafe/base64.scm 236 */
unsigned char BgL_cz00_3979;
BgL_cz00_3979 = 
(char)(BgL_arg1815z00_2275); 
{ /* Unsafe/base64.scm 201 */
long BgL_arg1786z00_3980;
BgL_arg1786z00_3980 = 
(
(unsigned char)(BgL_cz00_3979)); 
{ /* Unsafe/base64.scm 201 */
int BgL_res2654z00_3990;
{ /* Unsafe/base64.scm 201 */
char BgL_cz00_3983;
BgL_cz00_3983 = 
(signed char)(BgL_arg1786z00_3980); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_3984;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_6052;
BgL_tmpz00_6052 = 
(long)(BgL_cz00_3983); 
BgL_arg1785z00_3984 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_6052); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2653z00_3989;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_3985;
BgL_xz00_3985 = 
(int8_t)(BgL_arg1785z00_3984); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_3986;
BgL_arg2171z00_3986 = 
(long)(BgL_xz00_3985); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2652z00_3988;
BgL_res2652z00_3988 = 
(long)(BgL_arg2171z00_3986); 
BgL_res2653z00_3989 = BgL_res2652z00_3988; } } } 
BgL_res2654z00_3990 = 
(int)(BgL_res2653z00_3989); } } } 
BgL_res2655z00_3991 = BgL_res2654z00_3990; } } } 
BgL_q3z00_2257 = BgL_res2655z00_3991; } } 
{ /* Unsafe/base64.scm 236 */
long BgL_v0z00_2258;
BgL_v0z00_2258 = 
(
(
(long)(BgL_q0z00_2248) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_2255) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 237 */
long BgL_v1z00_2259;
BgL_v1z00_2259 = 
(
(
(
(long)(BgL_q1z00_2255) << 
(int)(((long)4))) & ((long)240)) | 
(
(long)(BgL_q2z00_2256) >> 
(int)(((long)2)))); 
{ /* Unsafe/base64.scm 239 */
long BgL_v2z00_2260;
BgL_v2z00_2260 = 
(
(
(
(long)(BgL_q2z00_2256) << 
(int)(((long)6))) & ((long)192)) | 
(long)(BgL_q3z00_2257)); 
{ /* Unsafe/base64.scm 241 */

{ /* Unsafe/base64.scm 243 */
unsigned char BgL_tmpz00_6080;
BgL_tmpz00_6080 = 
(BgL_v0z00_2258); 
STRING_SET(BgL_resz00_2241, BgL_yz00_2244, BgL_tmpz00_6080); } 
{ /* Unsafe/base64.scm 244 */
unsigned char BgL_auxz00_6085;long BgL_tmpz00_6083;
BgL_auxz00_6085 = 
(BgL_v1z00_2259); 
BgL_tmpz00_6083 = 
(BgL_yz00_2244+((long)1)); 
STRING_SET(BgL_resz00_2241, BgL_tmpz00_6083, BgL_auxz00_6085); } 
{ /* Unsafe/base64.scm 245 */
unsigned char BgL_auxz00_6090;long BgL_tmpz00_6088;
BgL_auxz00_6090 = 
(BgL_v2z00_2260); 
BgL_tmpz00_6088 = 
(BgL_yz00_2244+((long)2)); 
STRING_SET(BgL_resz00_2241, BgL_tmpz00_6088, BgL_auxz00_6090); } 
{ 
long BgL_yz00_6095;long BgL_xz00_6093;
BgL_xz00_6093 = 
(BgL_xz00_2243+((long)4)); 
BgL_yz00_6095 = 
(BgL_yz00_2244+((long)3)); 
BgL_yz00_2244 = BgL_yz00_6095; 
BgL_xz00_2243 = BgL_xz00_6093; 
goto BgL_zc3anonymousza31794ze3z83_2245;} } } } } } } }  else 
{ /* Unsafe/base64.scm 247 */
bool_t BgL_testz00_6097;
if(
(BgL_xz00_2243<=
(BgL_lenz00_2239-((long)3))))
{ /* Unsafe/base64.scm 247 */
BgL_testz00_6097 = 
CBOOL(BgL_eofzd2nozd2paddingz00_17)
; }  else 
{ /* Unsafe/base64.scm 247 */
BgL_testz00_6097 = ((bool_t)0)
; } 
if(BgL_testz00_6097)
{ /* Unsafe/base64.scm 248 */
unsigned char BgL_c1z00_2285;
BgL_c1z00_2285 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2243+((long)1))); 
{ /* Unsafe/base64.scm 248 */
unsigned char BgL_c2z00_2286;
BgL_c2z00_2286 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2243+((long)2))); 
{ /* Unsafe/base64.scm 249 */
int BgL_q1z00_2287;
{ /* Unsafe/base64.scm 250 */
int BgL_res2683z00_4065;
{ /* Unsafe/base64.scm 250 */
unsigned char BgL_cz00_4053;
BgL_cz00_4053 = 
(char)(BgL_c1z00_2285); 
{ /* Unsafe/base64.scm 201 */
long BgL_arg1786z00_4054;
BgL_arg1786z00_4054 = 
(
(unsigned char)(BgL_cz00_4053)); 
{ /* Unsafe/base64.scm 201 */
int BgL_res2682z00_4064;
{ /* Unsafe/base64.scm 201 */
char BgL_cz00_4057;
BgL_cz00_4057 = 
(signed char)(BgL_arg1786z00_4054); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_4058;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_6110;
BgL_tmpz00_6110 = 
(long)(BgL_cz00_4057); 
BgL_arg1785z00_4058 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_6110); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2681z00_4063;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_4059;
BgL_xz00_4059 = 
(int8_t)(BgL_arg1785z00_4058); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_4060;
BgL_arg2171z00_4060 = 
(long)(BgL_xz00_4059); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2680z00_4062;
BgL_res2680z00_4062 = 
(long)(BgL_arg2171z00_4060); 
BgL_res2681z00_4063 = BgL_res2680z00_4062; } } } 
BgL_res2682z00_4064 = 
(int)(BgL_res2681z00_4063); } } } 
BgL_res2683z00_4065 = BgL_res2682z00_4064; } } } 
BgL_q1z00_2287 = BgL_res2683z00_4065; } 
{ /* Unsafe/base64.scm 250 */
int BgL_q2z00_2288;
{ /* Unsafe/base64.scm 251 */
int BgL_res2688z00_4078;
{ /* Unsafe/base64.scm 251 */
unsigned char BgL_cz00_4066;
BgL_cz00_4066 = 
(char)(BgL_c2z00_2286); 
{ /* Unsafe/base64.scm 201 */
long BgL_arg1786z00_4067;
BgL_arg1786z00_4067 = 
(
(unsigned char)(BgL_cz00_4066)); 
{ /* Unsafe/base64.scm 201 */
int BgL_res2687z00_4077;
{ /* Unsafe/base64.scm 201 */
char BgL_cz00_4070;
BgL_cz00_4070 = 
(signed char)(BgL_arg1786z00_4067); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_4071;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_6121;
BgL_tmpz00_6121 = 
(long)(BgL_cz00_4070); 
BgL_arg1785z00_4071 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_6121); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2686z00_4076;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_4072;
BgL_xz00_4072 = 
(int8_t)(BgL_arg1785z00_4071); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_4073;
BgL_arg2171z00_4073 = 
(long)(BgL_xz00_4072); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2685z00_4075;
BgL_res2685z00_4075 = 
(long)(BgL_arg2171z00_4073); 
BgL_res2686z00_4076 = BgL_res2685z00_4075; } } } 
BgL_res2687z00_4077 = 
(int)(BgL_res2686z00_4076); } } } 
BgL_res2688z00_4078 = BgL_res2687z00_4077; } } } 
BgL_q2z00_2288 = BgL_res2688z00_4078; } 
{ /* Unsafe/base64.scm 251 */
long BgL_v0z00_2289;
BgL_v0z00_2289 = 
(
(
(long)(BgL_q0z00_2248) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_2287) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 252 */
long BgL_v1z00_2290;
BgL_v1z00_2290 = 
(
(
(
(long)(BgL_q1z00_2287) << 
(int)(((long)4))) & ((long)240)) | 
(
(long)(BgL_q2z00_2288) >> 
(int)(((long)2)))); 
{ /* Unsafe/base64.scm 254 */

{ /* Unsafe/base64.scm 256 */
unsigned char BgL_tmpz00_6143;
BgL_tmpz00_6143 = 
(BgL_v0z00_2289); 
STRING_SET(BgL_resz00_2241, BgL_yz00_2244, BgL_tmpz00_6143); } 
{ /* Unsafe/base64.scm 257 */
unsigned char BgL_auxz00_6148;long BgL_tmpz00_6146;
BgL_auxz00_6148 = 
(BgL_v1z00_2290); 
BgL_tmpz00_6146 = 
(BgL_yz00_2244+((long)1)); 
STRING_SET(BgL_resz00_2241, BgL_tmpz00_6146, BgL_auxz00_6148); } 
if(
(BgL_c1z00_2285==((unsigned char)'=')))
{ /* Unsafe/base64.scm 259 */
return 
bgl_string_shrink(BgL_resz00_2241, BgL_yz00_2244);}  else 
{ /* Unsafe/base64.scm 259 */
if(
(BgL_c2z00_2286==((unsigned char)'=')))
{ /* Unsafe/base64.scm 262 */
long BgL_tmpz00_6156;
BgL_tmpz00_6156 = 
(BgL_yz00_2244+((long)1)); 
return 
bgl_string_shrink(BgL_resz00_2241, BgL_tmpz00_6156);}  else 
{ /* Unsafe/base64.scm 264 */
long BgL_tmpz00_6159;
BgL_tmpz00_6159 = 
(BgL_yz00_2244+((long)2)); 
return 
bgl_string_shrink(BgL_resz00_2241, BgL_tmpz00_6159);} } } } } } } } }  else 
{ /* Unsafe/base64.scm 265 */
bool_t BgL_testz00_6162;
if(
(BgL_xz00_2243<=
(BgL_lenz00_2239-((long)2))))
{ /* Unsafe/base64.scm 265 */
BgL_testz00_6162 = 
CBOOL(BgL_eofzd2nozd2paddingz00_17)
; }  else 
{ /* Unsafe/base64.scm 265 */
BgL_testz00_6162 = ((bool_t)0)
; } 
if(BgL_testz00_6162)
{ /* Unsafe/base64.scm 266 */
unsigned char BgL_c1z00_2309;
BgL_c1z00_2309 = 
STRING_REF(BgL_sz00_16, 
(BgL_xz00_2243+((long)1))); 
{ /* Unsafe/base64.scm 266 */
int BgL_q1z00_2310;
{ /* Unsafe/base64.scm 267 */
int BgL_res2711z00_4145;
{ /* Unsafe/base64.scm 267 */
unsigned char BgL_cz00_4133;
BgL_cz00_4133 = 
(char)(BgL_c1z00_2309); 
{ /* Unsafe/base64.scm 201 */
long BgL_arg1786z00_4134;
BgL_arg1786z00_4134 = 
(
(unsigned char)(BgL_cz00_4133)); 
{ /* Unsafe/base64.scm 201 */
int BgL_res2710z00_4144;
{ /* Unsafe/base64.scm 201 */
char BgL_cz00_4137;
BgL_cz00_4137 = 
(signed char)(BgL_arg1786z00_4134); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_4138;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_6173;
BgL_tmpz00_6173 = 
(long)(BgL_cz00_4137); 
BgL_arg1785z00_4138 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_6173); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2709z00_4143;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_4139;
BgL_xz00_4139 = 
(int8_t)(BgL_arg1785z00_4138); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_4140;
BgL_arg2171z00_4140 = 
(long)(BgL_xz00_4139); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2708z00_4142;
BgL_res2708z00_4142 = 
(long)(BgL_arg2171z00_4140); 
BgL_res2709z00_4143 = BgL_res2708z00_4142; } } } 
BgL_res2710z00_4144 = 
(int)(BgL_res2709z00_4143); } } } 
BgL_res2711z00_4145 = BgL_res2710z00_4144; } } } 
BgL_q1z00_2310 = BgL_res2711z00_4145; } 
{ /* Unsafe/base64.scm 267 */
long BgL_v0z00_2311;
BgL_v0z00_2311 = 
(
(
(long)(BgL_q0z00_2248) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_2310) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 268 */

{ /* Unsafe/base64.scm 270 */
unsigned char BgL_tmpz00_6187;
BgL_tmpz00_6187 = 
(BgL_v0z00_2311); 
STRING_SET(BgL_resz00_2241, BgL_yz00_2244, BgL_tmpz00_6187); } 
if(
(BgL_c1z00_2309==((unsigned char)'=')))
{ /* Unsafe/base64.scm 271 */
return 
bgl_string_shrink(BgL_resz00_2241, BgL_yz00_2244);}  else 
{ /* Unsafe/base64.scm 273 */
long BgL_tmpz00_6193;
BgL_tmpz00_6193 = 
(BgL_yz00_2244+((long)1)); 
return 
bgl_string_shrink(BgL_resz00_2241, BgL_tmpz00_6193);} } } } }  else 
{ /* Unsafe/base64.scm 274 */
bool_t BgL_testz00_6196;
if(
(BgL_xz00_2243<=
(BgL_lenz00_2239-((long)1))))
{ /* Unsafe/base64.scm 274 */
BgL_testz00_6196 = 
CBOOL(BgL_eofzd2nozd2paddingz00_17)
; }  else 
{ /* Unsafe/base64.scm 274 */
BgL_testz00_6196 = ((bool_t)0)
; } 
if(BgL_testz00_6196)
{ /* Unsafe/base64.scm 275 */
int BgL_q1z00_2322;
{ /* Unsafe/base64.scm 275 */
int BgL_res2724z00_4184;
{ /* Unsafe/base64.scm 275 */
unsigned char BgL_cz00_4172;
BgL_cz00_4172 = 
(char)(((unsigned char)'=')); 
{ /* Unsafe/base64.scm 201 */
long BgL_arg1786z00_4173;
BgL_arg1786z00_4173 = 
(
(unsigned char)(BgL_cz00_4172)); 
{ /* Unsafe/base64.scm 201 */
int BgL_res2723z00_4183;
{ /* Unsafe/base64.scm 201 */
char BgL_cz00_4176;
BgL_cz00_4176 = 
(signed char)(BgL_arg1786z00_4173); 
{ /* Unsafe/base64.scm 195 */
uint8_t BgL_arg1785z00_4177;
{ /* Unsafe/base64.scm 195 */
long BgL_tmpz00_6205;
BgL_tmpz00_6205 = 
(long)(BgL_cz00_4176); 
BgL_arg1785z00_4177 = 
BGL_U8VREF(BGl_bytezd2tablezd2zz__base64z00, BgL_tmpz00_6205); } 
{ /* Unsafe/base64.scm 195 */
long BgL_res2722z00_4182;
{ /* Unsafe/base64.scm 195 */
int8_t BgL_xz00_4178;
BgL_xz00_4178 = 
(int8_t)(BgL_arg1785z00_4177); 
{ /* Unsafe/base64.scm 195 */
long BgL_arg2171z00_4179;
BgL_arg2171z00_4179 = 
(long)(BgL_xz00_4178); 
{ /* Unsafe/base64.scm 195 */
long BgL_res2721z00_4181;
BgL_res2721z00_4181 = 
(long)(BgL_arg2171z00_4179); 
BgL_res2722z00_4182 = BgL_res2721z00_4181; } } } 
BgL_res2723z00_4183 = 
(int)(BgL_res2722z00_4182); } } } 
BgL_res2724z00_4184 = BgL_res2723z00_4183; } } } 
BgL_q1z00_2322 = BgL_res2724z00_4184; } 
{ /* Unsafe/base64.scm 275 */
long BgL_v0z00_2323;
BgL_v0z00_2323 = 
(
(
(long)(BgL_q0z00_2248) << 
(int)(((long)2))) | 
(
(long)(BgL_q1z00_2322) >> 
(int)(((long)4)))); 
{ /* Unsafe/base64.scm 276 */

{ /* Unsafe/base64.scm 277 */
unsigned char BgL_tmpz00_6219;
BgL_tmpz00_6219 = 
(BgL_v0z00_2323); 
STRING_SET(BgL_resz00_2241, BgL_yz00_2244, BgL_tmpz00_6219); } 
return 
bgl_string_shrink(BgL_resz00_2241, BgL_yz00_2244);} } }  else 
{ /* Unsafe/base64.scm 280 */
long BgL_tmpz00_6223;
BgL_tmpz00_6223 = 
(BgL_yz00_2244+((long)1)); 
return 
bgl_string_shrink(BgL_resz00_2241, BgL_tmpz00_6223);} } } } } } } } }  else 
{ /* Unsafe/base64.scm 282 */
bool_t BgL_testz00_6226;
if(
(BgL_lenz00_2239>((long)2)))
{ /* Unsafe/base64.scm 282 */
BgL_testz00_6226 = 
(
STRING_REF(BgL_sz00_16, 
(BgL_lenz00_2239-((long)2)))==((unsigned char)'='))
; }  else 
{ /* Unsafe/base64.scm 282 */
BgL_testz00_6226 = ((bool_t)0)
; } 
if(BgL_testz00_6226)
{ /* Unsafe/base64.scm 283 */
long BgL_tmpz00_6232;
BgL_tmpz00_6232 = 
(BgL_yz00_2244-((long)2)); 
return 
bgl_string_shrink(BgL_resz00_2241, BgL_tmpz00_6232);}  else 
{ /* Unsafe/base64.scm 284 */
bool_t BgL_testz00_6235;
if(
(BgL_lenz00_2239>((long)1)))
{ /* Unsafe/base64.scm 284 */
BgL_testz00_6235 = 
(
STRING_REF(BgL_sz00_16, 
(BgL_lenz00_2239-((long)1)))==((unsigned char)'='))
; }  else 
{ /* Unsafe/base64.scm 284 */
BgL_testz00_6235 = ((bool_t)0)
; } 
if(BgL_testz00_6235)
{ /* Unsafe/base64.scm 285 */
long BgL_tmpz00_6241;
BgL_tmpz00_6241 = 
(BgL_yz00_2244-((long)1)); 
return 
bgl_string_shrink(BgL_resz00_2241, BgL_tmpz00_6241);}  else 
{ /* Unsafe/base64.scm 284 */
if(
(BgL_yz00_2244<BgL_nlenz00_2240))
{ /* Unsafe/base64.scm 287 */
return 
bgl_string_shrink(BgL_resz00_2241, BgL_yz00_2244);}  else 
{ /* Unsafe/base64.scm 287 */
return BgL_resz00_2241;} } } } } } } } } } 
BGL_FUNCTION_END;
}



/* _base64-decode-port */
obj_t BGl__base64zd2decodezd2portz00zz__base64z00(obj_t BgL_envz00_24, obj_t BgL_optz00_23)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 380 */
{ /* Unsafe/base64.scm 380 */
obj_t BgL_g1149z00_2361;obj_t BgL_g1150z00_2362;
BgL_g1149z00_2361 = 
VECTOR_REF(BgL_optz00_23,((long)0)); 
BgL_g1150z00_2362 = 
VECTOR_REF(BgL_optz00_23,((long)1)); 
switch( 
VECTOR_LENGTH(BgL_optz00_23)) { case ((long)2) : 

{ /* Unsafe/base64.scm 380 */

{ /* Unsafe/base64.scm 380 */
obj_t BgL_auxz00_6256;obj_t BgL_auxz00_6249;
if(
OUTPUT_PORTP(BgL_g1150z00_2362))
{ /* Unsafe/base64.scm 380 */
BgL_auxz00_6256 = BgL_g1150z00_2362
; }  else 
{ 
obj_t BgL_auxz00_6259;
BgL_auxz00_6259 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2853z00zz__base64z00, 
BINT(((long)14330)), BGl_string2860z00zz__base64z00, BGl_string2858z00zz__base64z00, BgL_g1150z00_2362); 
FAILURE(BgL_auxz00_6259,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_g1149z00_2361))
{ /* Unsafe/base64.scm 380 */
BgL_auxz00_6249 = BgL_g1149z00_2361
; }  else 
{ 
obj_t BgL_auxz00_6252;
BgL_auxz00_6252 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2853z00zz__base64z00, 
BINT(((long)14330)), BGl_string2860z00zz__base64z00, BGl_string2857z00zz__base64z00, BgL_g1149z00_2361); 
FAILURE(BgL_auxz00_6252,BFALSE,BFALSE);} 
return 
BGl_base64zd2decodezd2portz00zz__base64z00(BgL_auxz00_6249, BgL_auxz00_6256, BFALSE);} } break;case ((long)3) : 

{ /* Unsafe/base64.scm 380 */
obj_t BgL_eofzd2nozd2paddingz00_2367;
BgL_eofzd2nozd2paddingz00_2367 = 
VECTOR_REF(BgL_optz00_23,((long)2)); 
{ /* Unsafe/base64.scm 380 */

{ /* Unsafe/base64.scm 380 */
obj_t BgL_auxz00_6272;obj_t BgL_auxz00_6265;
if(
OUTPUT_PORTP(BgL_g1150z00_2362))
{ /* Unsafe/base64.scm 380 */
BgL_auxz00_6272 = BgL_g1150z00_2362
; }  else 
{ 
obj_t BgL_auxz00_6275;
BgL_auxz00_6275 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2853z00zz__base64z00, 
BINT(((long)14330)), BGl_string2860z00zz__base64z00, BGl_string2858z00zz__base64z00, BgL_g1150z00_2362); 
FAILURE(BgL_auxz00_6275,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_g1149z00_2361))
{ /* Unsafe/base64.scm 380 */
BgL_auxz00_6265 = BgL_g1149z00_2361
; }  else 
{ 
obj_t BgL_auxz00_6268;
BgL_auxz00_6268 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2853z00zz__base64z00, 
BINT(((long)14330)), BGl_string2860z00zz__base64z00, BGl_string2857z00zz__base64z00, BgL_g1149z00_2361); 
FAILURE(BgL_auxz00_6268,BFALSE,BFALSE);} 
return 
BGl_base64zd2decodezd2portz00zz__base64z00(BgL_auxz00_6265, BgL_auxz00_6272, BgL_eofzd2nozd2paddingz00_2367);} } } break;
default: 
return BUNSPEC;} } } 
BGL_FUNCTION_END;
}



/* base64-decode-port */
BGL_EXPORTED_DEF obj_t BGl_base64zd2decodezd2portz00zz__base64z00(obj_t BgL_ipz00_20, obj_t BgL_opz00_21, obj_t BgL_eofzd2nozd2paddingz00_22)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 380 */
{ /* Unsafe/base64.scm 381 */
obj_t BgL_arg1881z00_2368;
{ /* Ieee/string.scm 167 */

BgL_arg1881z00_2368 = 
make_string(((long)84), ((unsigned char)' ')); } 
return 
BGl_z62zc3anonymousza31221ze3ze1zz__base64z00(BGl_base64zd2decodezd2grammarz00zz__base64z00, BgL_ipz00_20, BgL_opz00_21, BgL_arg1881z00_2368, ((long)0), ((long)84), BGl_proc2861z00zz__base64z00, ((bool_t)1));} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1883> */
obj_t BGl_z62zc3anonymousza31883ze3ze1zz__base64z00(obj_t BgL_envz00_4585, obj_t BgL_cz00_4586)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 382 */
return 
BBOOL(((bool_t)0));} 
BGL_FUNCTION_END;
}



/* pem-decode-port */
BGL_EXPORTED_DEF obj_t BGl_pemzd2decodezd2portz00zz__base64z00(obj_t BgL_ipz00_25, obj_t BgL_opz00_26)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 413 */
{ /* Unsafe/base64.scm 431 */
obj_t BgL_startz00_2376;
BgL_startz00_2376 = 
BGl_z62zc3anonymousza31508ze3ze1zz__base64z00(BGl_pemzd2markupzd2grammarz00zz__base64z00, BgL_ipz00_25, ((long)0)); 
if(
bigloo_strcmp_at(BgL_startz00_2376, BGl_string2862z00zz__base64z00, ((long)0)))
{ /* Unsafe/base64.scm 433 */
obj_t BgL_arg1885z00_2378;
{ /* Ieee/string.scm 167 */

BgL_arg1885z00_2378 = 
make_string(((long)84), ((unsigned char)' ')); } 
{ /* Unsafe/base64.scm 435 */
obj_t BgL_zc3anonymousza31887ze3z83_4587;
{ 
int BgL_tmpz00_6302;
BgL_tmpz00_6302 = 
(int)(((long)2)); 
BgL_zc3anonymousza31887ze3z83_4587 = 
MAKE_L_PROCEDURE(BGl_z62zc3anonymousza31887ze3ze1zz__base64z00, BgL_tmpz00_6302); } 
PROCEDURE_L_SET(BgL_zc3anonymousza31887ze3z83_4587, 
(int)(((long)0)), BgL_ipz00_25); 
PROCEDURE_L_SET(BgL_zc3anonymousza31887ze3z83_4587, 
(int)(((long)1)), BgL_startz00_2376); 
return 
BGl_z62zc3anonymousza31221ze3ze1zz__base64z00(BGl_base64zd2decodezd2grammarz00zz__base64z00, BgL_ipz00_25, BgL_opz00_26, BgL_arg1885z00_2378, ((long)0), ((long)84), BgL_zc3anonymousza31887ze3z83_4587, ((bool_t)0));} }  else 
{ /* Unsafe/base64.scm 438 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1890z00_2387;
{ /* Unsafe/base64.scm 438 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_new1084z00_2388;
{ /* Unsafe/base64.scm 438 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_new1083z00_2391;
BgL_new1083z00_2391 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Unsafe/base64.scm 438 */
long BgL_arg1893z00_2392;
{ /* Unsafe/base64.scm 438 */
long BgL_res2753z00_4271;
BgL_res2753z00_4271 = 
BGL_CLASS_INDEX(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BgL_arg1893z00_2392 = BgL_res2753z00_4271; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1083z00_2391), BgL_arg1893z00_2392); } 
BgL_new1084z00_2388 = BgL_new1083z00_2391; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1084z00_2388)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1084z00_2388)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_6327;
{ /* Unsafe/base64.scm 438 */
obj_t BgL_arg1891z00_2389;
{ /* Unsafe/base64.scm 438 */
obj_t BgL_arg1892z00_2390;
{ /* Unsafe/base64.scm 438 */
obj_t BgL_res2754z00_4275;
{ /* Unsafe/base64.scm 438 */
obj_t BgL_classz00_4274;
BgL_classz00_4274 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_res2754z00_4275 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_4274); } 
BgL_arg1892z00_2390 = BgL_res2754z00_4275; } 
BgL_arg1891z00_2389 = 
VECTOR_REF(BgL_arg1892z00_2390,((long)2)); } 
BgL_auxz00_6327 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1891z00_2389); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1084z00_2388)))->BgL_stackz00)=((obj_t)BgL_auxz00_6327),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1084z00_2388)))->BgL_procz00)=((obj_t)BGl_string2848z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1084z00_2388)))->BgL_msgz00)=((obj_t)BGl_string2863z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1084z00_2388)))->BgL_objz00)=((obj_t)BgL_startz00_2376),BUNSPEC); 
BgL_arg1890z00_2387 = BgL_new1084z00_2388; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1890z00_2387));} } } 
BGL_FUNCTION_END;
}



/* &pem-decode-port */
obj_t BGl_z62pemzd2decodezd2portz62zz__base64z00(obj_t BgL_envz00_4588, obj_t BgL_ipz00_4589, obj_t BgL_opz00_4590)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 413 */
{ /* Unsafe/base64.scm 416 */
obj_t BgL_auxz00_6348;obj_t BgL_auxz00_6341;
if(
OUTPUT_PORTP(BgL_opz00_4590))
{ /* Unsafe/base64.scm 416 */
BgL_auxz00_6348 = BgL_opz00_4590
; }  else 
{ 
obj_t BgL_auxz00_6351;
BgL_auxz00_6351 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2853z00zz__base64z00, 
BINT(((long)15725)), BGl_string2864z00zz__base64z00, BGl_string2858z00zz__base64z00, BgL_opz00_4590); 
FAILURE(BgL_auxz00_6351,BFALSE,BFALSE);} 
if(
INPUT_PORTP(BgL_ipz00_4589))
{ /* Unsafe/base64.scm 416 */
BgL_auxz00_6341 = BgL_ipz00_4589
; }  else 
{ 
obj_t BgL_auxz00_6344;
BgL_auxz00_6344 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2853z00zz__base64z00, 
BINT(((long)15725)), BGl_string2864z00zz__base64z00, BGl_string2857z00zz__base64z00, BgL_ipz00_4589); 
FAILURE(BgL_auxz00_6344,BFALSE,BFALSE);} 
return 
BGl_pemzd2decodezd2portz00zz__base64z00(BgL_auxz00_6341, BgL_auxz00_6348);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1887> */
obj_t BGl_z62zc3anonymousza31887ze3ze1zz__base64z00(obj_t BgL_envz00_4591, obj_t BgL_cz00_4594)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 434 */
{ /* Unsafe/base64.scm 435 */
obj_t BgL_ipz00_4592;obj_t BgL_startz00_4593;
BgL_ipz00_4592 = 
((obj_t)
PROCEDURE_L_REF(BgL_envz00_4591, 
(int)(((long)0)))); 
BgL_startz00_4593 = 
PROCEDURE_L_REF(BgL_envz00_4591, 
(int)(((long)1))); 
{ 
obj_t BgL_startz00_4912;obj_t BgL_cz00_4913;
{ /* Unsafe/base64.scm 435 */
obj_t BgL_arg1888z00_4939;
{ /* Unsafe/base64.scm 435 */
long BgL_arg1889z00_4940;
BgL_arg1889z00_4940 = 
STRING_LENGTH(
((obj_t)BgL_startz00_4593)); 
{ /* Unsafe/base64.scm 435 */
obj_t BgL_res2752z00_4941;
BgL_res2752z00_4941 = 
c_substring(
((obj_t)BgL_startz00_4593), ((long)7), BgL_arg1889z00_4940); 
BgL_arg1888z00_4939 = BgL_res2752z00_4941; } } 
BgL_startz00_4912 = BgL_arg1888z00_4939; 
BgL_cz00_4913 = BgL_cz00_4594; 
if(
(
CCHAR(BgL_cz00_4913)==((unsigned char)'-')))
{ /* Unsafe/base64.scm 421 */
obj_t BgL_endz00_4914;
BgL_endz00_4914 = 
BGl_z62zc3anonymousza31508ze3ze1zz__base64z00(BGl_pemzd2markupzd2grammarz00zz__base64z00, BgL_ipz00_4592, ((long)1)); 
if(
bigloo_strcmp_at(BgL_endz00_4914, BGl_string2865z00zz__base64z00, ((long)0)))
{ /* Unsafe/base64.scm 423 */
bool_t BgL_testz00_6375;
{ /* Unsafe/base64.scm 423 */
obj_t BgL_arg1904z00_4915;
{ /* Unsafe/base64.scm 423 */
long BgL_arg1905z00_4916;
BgL_arg1905z00_4916 = 
STRING_LENGTH(
((obj_t)BgL_endz00_4914)); 
{ /* Unsafe/base64.scm 423 */
obj_t BgL_res2744z00_4917;
BgL_res2744z00_4917 = 
c_substring(
((obj_t)BgL_endz00_4914), ((long)5), BgL_arg1905z00_4916); 
BgL_arg1904z00_4915 = BgL_res2744z00_4917; } } 
BgL_testz00_6375 = 
bigloo_strcmp(BgL_startz00_4912, BgL_arg1904z00_4915); } 
if(BgL_testz00_6375)
{ /* Unsafe/base64.scm 423 */
return BTRUE;}  else 
{ /* Unsafe/base64.scm 426 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1900z00_4918;
{ /* Unsafe/base64.scm 426 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_new1082z00_4919;
{ /* Unsafe/base64.scm 426 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_new1081z00_4920;
BgL_new1081z00_4920 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Unsafe/base64.scm 426 */
long BgL_arg1903z00_4921;
{ /* Unsafe/base64.scm 426 */
long BgL_res2746z00_4922;
BgL_res2746z00_4922 = 
BGL_CLASS_INDEX(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BgL_arg1903z00_4921 = BgL_res2746z00_4922; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1081z00_4920), BgL_arg1903z00_4921); } 
BgL_new1082z00_4919 = BgL_new1081z00_4920; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1082z00_4919)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1082z00_4919)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_6389;
{ /* Unsafe/base64.scm 426 */
obj_t BgL_arg1901z00_4923;
{ /* Unsafe/base64.scm 426 */
obj_t BgL_arg1902z00_4924;
{ /* Unsafe/base64.scm 426 */
obj_t BgL_res2747z00_4925;
{ /* Unsafe/base64.scm 426 */
obj_t BgL_classz00_4926;
BgL_classz00_4926 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_res2747z00_4925 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_4926); } 
BgL_arg1902z00_4924 = BgL_res2747z00_4925; } 
BgL_arg1901z00_4923 = 
VECTOR_REF(BgL_arg1902z00_4924,((long)2)); } 
BgL_auxz00_6389 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1901z00_4923); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1082z00_4919)))->BgL_stackz00)=((obj_t)BgL_auxz00_6389),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1082z00_4919)))->BgL_procz00)=((obj_t)BGl_string2848z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1082z00_4919)))->BgL_msgz00)=((obj_t)BGl_string2866z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1082z00_4919)))->BgL_objz00)=((obj_t)BgL_endz00_4914),BUNSPEC); 
BgL_arg1900z00_4918 = BgL_new1082z00_4919; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1900z00_4918));} }  else 
{ /* Unsafe/base64.scm 422 */
return BFALSE;} }  else 
{ /* Unsafe/base64.scm 417 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_arg1906z00_4927;
{ /* Unsafe/base64.scm 417 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_new1080z00_4928;
{ /* Unsafe/base64.scm 417 */
BgL_z62iozd2parsezd2errorz62_bglt BgL_new1079z00_4929;
BgL_new1079z00_4929 = 
((BgL_z62iozd2parsezd2errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62iozd2parsezd2errorz62_bgl) ))); 
{ /* Unsafe/base64.scm 417 */
long BgL_arg1912z00_4930;
{ /* Unsafe/base64.scm 417 */
long BgL_res2748z00_4931;
BgL_res2748z00_4931 = 
BGL_CLASS_INDEX(BGl_z62iozd2parsezd2errorz62zz__objectz00); 
BgL_arg1912z00_4930 = BgL_res2748z00_4931; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1079z00_4929), BgL_arg1912z00_4930); } 
BgL_new1080z00_4928 = BgL_new1079z00_4929; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1080z00_4928)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1080z00_4928)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_6411;
{ /* Unsafe/base64.scm 417 */
obj_t BgL_arg1907z00_4932;
{ /* Unsafe/base64.scm 417 */
obj_t BgL_arg1908z00_4933;
{ /* Unsafe/base64.scm 417 */
obj_t BgL_res2749z00_4934;
{ /* Unsafe/base64.scm 417 */
obj_t BgL_classz00_4935;
BgL_classz00_4935 = BGl_z62iozd2parsezd2errorz62zz__objectz00; 
BgL_res2749z00_4934 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_4935); } 
BgL_arg1908z00_4933 = BgL_res2749z00_4934; } 
BgL_arg1907z00_4932 = 
VECTOR_REF(BgL_arg1908z00_4933,((long)2)); } 
BgL_auxz00_6411 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1907z00_4932); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1080z00_4928)))->BgL_stackz00)=((obj_t)BgL_auxz00_6411),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1080z00_4928)))->BgL_procz00)=((obj_t)BGl_string2848z00zz__base64z00),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1080z00_4928)))->BgL_msgz00)=((obj_t)BGl_string2867z00zz__base64z00),BUNSPEC); 
{ 
obj_t BgL_auxz00_6421;
{ /* Unsafe/base64.scm 420 */
obj_t BgL_arg1909z00_4936;
BgL_arg1909z00_4936 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_ipz00_4592); 
{ /* Unsafe/base64.scm 420 */
obj_t BgL_list1910z00_4937;
{ /* Unsafe/base64.scm 420 */
obj_t BgL_arg1911z00_4938;
BgL_arg1911z00_4938 = 
MAKE_YOUNG_PAIR(BgL_arg1909z00_4936, BNIL); 
BgL_list1910z00_4937 = 
MAKE_YOUNG_PAIR(BgL_cz00_4913, BgL_arg1911z00_4938); } 
BgL_auxz00_6421 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2850z00zz__base64z00, BgL_list1910z00_4937); } } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1080z00_4928)))->BgL_objz00)=((obj_t)BgL_auxz00_6421),BUNSPEC); } 
BgL_arg1906z00_4927 = BgL_new1080z00_4928; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1906z00_4927));} } } } } 
BGL_FUNCTION_END;
}



/* pem-read-file */
BGL_EXPORTED_DEF obj_t BGl_pemzd2readzd2filez00zz__base64z00(obj_t BgL_filez00_27)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 446 */
{ /* Unsafe/base64.scm 447 */
obj_t BgL_pz00_2420;
{ /* Unsafe/base64.scm 447 */

{ /* Ieee/port.scm 452 */

BgL_pz00_2420 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
{ /* Unsafe/base64.scm 450 */
obj_t BgL_zc3anonymousza31914ze3z83_4595;
BgL_zc3anonymousza31914ze3z83_4595 = 
MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31914ze3ze1zz__base64z00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3anonymousza31914ze3z83_4595, 
(int)(((long)0)), BgL_pz00_2420); 
BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(BgL_filez00_27, BgL_zc3anonymousza31914ze3z83_4595); } 
return 
bgl_close_output_port(BgL_pz00_2420);} } 
BGL_FUNCTION_END;
}



/* &pem-read-file */
obj_t BGl_z62pemzd2readzd2filez62zz__base64z00(obj_t BgL_envz00_4596, obj_t BgL_filez00_4597)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 446 */
{ /* Unsafe/base64.scm 447 */
obj_t BgL_auxz00_6438;
if(
STRINGP(BgL_filez00_4597))
{ /* Unsafe/base64.scm 447 */
BgL_auxz00_6438 = BgL_filez00_4597
; }  else 
{ 
obj_t BgL_auxz00_6441;
BgL_auxz00_6441 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2853z00zz__base64z00, 
BINT(((long)16871)), BGl_string2868z00zz__base64z00, BGl_string2855z00zz__base64z00, BgL_filez00_4597); 
FAILURE(BgL_auxz00_6441,BFALSE,BFALSE);} 
return 
BGl_pemzd2readzd2filez00zz__base64z00(BgL_auxz00_6438);} } 
BGL_FUNCTION_END;
}



/* &<anonymous:1914> */
obj_t BGl_z62zc3anonymousza31914ze3ze1zz__base64z00(obj_t BgL_envz00_4598)
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 449 */
{ /* Unsafe/base64.scm 450 */
obj_t BgL_pz00_4599;
BgL_pz00_4599 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_4598, 
(int)(((long)0)))); 
{ /* Unsafe/base64.scm 450 */
obj_t BgL_arg1915z00_4942;
{ /* Unsafe/base64.scm 450 */
obj_t BgL_res2755z00_4943;
{ /* Unsafe/base64.scm 450 */
obj_t BgL_tmpz00_6449;
BgL_tmpz00_6449 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res2755z00_4943 = 
BGL_ENV_CURRENT_INPUT_PORT(BgL_tmpz00_6449); } 
BgL_arg1915z00_4942 = BgL_res2755z00_4943; } 
return 
BGl_pemzd2decodezd2portz00zz__base64z00(BgL_arg1915z00_4942, BgL_pz00_4599);} } } 
BGL_FUNCTION_END;
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__base64z00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__base64z00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__base64z00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 15 */
return BUNSPEC;} 
BGL_FUNCTION_END;
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__base64z00()
{ BGL_FUNCTION_BEGIN;
{ /* Unsafe/base64.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string2869z00zz__base64z00));} 
BGL_FUNCTION_END;
}

#ifdef __cplusplus
}
#endif
